#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 8762
#define LARGE_STATE_COUNT 2218
#define SYMBOL_COUNT 420
#define ALIAS_COUNT 6
#define TOKEN_COUNT 173
#define EXTERNAL_TOKEN_COUNT 9
#define FIELD_COUNT 51
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 397

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_type = 6,
  anon_sym_EQ = 7,
  anon_sym_as = 8,
  anon_sym_namespace = 9,
  anon_sym_LBRACE = 10,
  anon_sym_COMMA = 11,
  anon_sym_RBRACE = 12,
  anon_sym_typeof = 13,
  anon_sym_import = 14,
  anon_sym_from = 15,
  anon_sym_with = 16,
  anon_sym_var = 17,
  anon_sym_let = 18,
  anon_sym_const = 19,
  anon_sym_BANG = 20,
  anon_sym_else = 21,
  anon_sym_if = 22,
  anon_sym_switch = 23,
  anon_sym_for = 24,
  anon_sym_LPAREN = 25,
  anon_sym_RPAREN = 26,
  anon_sym_await = 27,
  anon_sym_in = 28,
  anon_sym_of = 29,
  anon_sym_while = 30,
  anon_sym_do = 31,
  anon_sym_try = 32,
  anon_sym_break = 33,
  anon_sym_continue = 34,
  anon_sym_debugger = 35,
  anon_sym_return = 36,
  anon_sym_throw = 37,
  anon_sym_SEMI = 38,
  anon_sym_COLON = 39,
  anon_sym_case = 40,
  anon_sym_catch = 41,
  anon_sym_finally = 42,
  anon_sym_yield = 43,
  anon_sym_LBRACK = 44,
  anon_sym_RBRACK = 45,
  sym__glimmer_template_content = 46,
  anon_sym_LTtemplate_GT = 47,
  anon_sym_LT_SLASHtemplate_GT = 48,
  anon_sym_GT = 49,
  anon_sym_DOT = 50,
  anon_sym_DQUOTE = 51,
  anon_sym_SQUOTE = 52,
  anon_sym_class = 53,
  anon_sym_async = 54,
  anon_sym_function = 55,
  anon_sym_EQ_GT = 56,
  anon_sym_QMARK_DOT = 57,
  anon_sym_new = 58,
  anon_sym_using = 59,
  anon_sym_PLUS_EQ = 60,
  anon_sym_DASH_EQ = 61,
  anon_sym_STAR_EQ = 62,
  anon_sym_SLASH_EQ = 63,
  anon_sym_PERCENT_EQ = 64,
  anon_sym_CARET_EQ = 65,
  anon_sym_AMP_EQ = 66,
  anon_sym_PIPE_EQ = 67,
  anon_sym_GT_GT_EQ = 68,
  anon_sym_GT_GT_GT_EQ = 69,
  anon_sym_LT_LT_EQ = 70,
  anon_sym_STAR_STAR_EQ = 71,
  anon_sym_AMP_AMP_EQ = 72,
  anon_sym_PIPE_PIPE_EQ = 73,
  anon_sym_QMARK_QMARK_EQ = 74,
  anon_sym_DOT_DOT_DOT = 75,
  anon_sym_AMP_AMP = 76,
  anon_sym_PIPE_PIPE = 77,
  anon_sym_GT_GT = 78,
  anon_sym_GT_GT_GT = 79,
  anon_sym_LT_LT = 80,
  anon_sym_AMP = 81,
  anon_sym_CARET = 82,
  anon_sym_PIPE = 83,
  anon_sym_PLUS = 84,
  anon_sym_DASH = 85,
  anon_sym_SLASH = 86,
  anon_sym_PERCENT = 87,
  anon_sym_STAR_STAR = 88,
  anon_sym_LT = 89,
  anon_sym_LT_EQ = 90,
  anon_sym_EQ_EQ = 91,
  anon_sym_EQ_EQ_EQ = 92,
  anon_sym_BANG_EQ = 93,
  anon_sym_BANG_EQ_EQ = 94,
  anon_sym_GT_EQ = 95,
  anon_sym_QMARK_QMARK = 96,
  anon_sym_instanceof = 97,
  anon_sym_TILDE = 98,
  anon_sym_void = 99,
  anon_sym_delete = 100,
  anon_sym_PLUS_PLUS = 101,
  anon_sym_DASH_DASH = 102,
  sym_unescaped_double_string_fragment = 103,
  sym_unescaped_single_string_fragment = 104,
  sym_escape_sequence = 105,
  aux_sym_comment_token1 = 106,
  anon_sym_BQUOTE = 107,
  anon_sym_DOLLAR_LBRACE = 108,
  anon_sym_SLASH2 = 109,
  sym_regex_pattern = 110,
  sym_regex_flags = 111,
  sym_number = 112,
  sym_private_property_identifier = 113,
  anon_sym_target = 114,
  sym_this = 115,
  sym_super = 116,
  sym_true = 117,
  sym_false = 118,
  sym_null = 119,
  sym_undefined = 120,
  anon_sym_AT = 121,
  anon_sym_static = 122,
  anon_sym_readonly = 123,
  anon_sym_get = 124,
  anon_sym_set = 125,
  anon_sym_QMARK = 126,
  anon_sym_declare = 127,
  anon_sym_public = 128,
  anon_sym_private = 129,
  anon_sym_protected = 130,
  anon_sym_override = 131,
  anon_sym_module = 132,
  anon_sym_any = 133,
  anon_sym_number = 134,
  anon_sym_boolean = 135,
  anon_sym_string = 136,
  anon_sym_symbol = 137,
  anon_sym_object = 138,
  anon_sym_property = 139,
  anon_sym_signal = 140,
  anon_sym_on = 141,
  anon_sym_required = 142,
  anon_sym_component = 143,
  anon_sym_abstract = 144,
  anon_sym_satisfies = 145,
  anon_sym_require = 146,
  anon_sym_extends = 147,
  anon_sym_implements = 148,
  anon_sym_global = 149,
  anon_sym_interface = 150,
  anon_sym_enum = 151,
  anon_sym_DASH_QMARK_COLON = 152,
  anon_sym_PLUS_QMARK_COLON = 153,
  anon_sym_QMARK_COLON = 154,
  anon_sym_asserts = 155,
  anon_sym_infer = 156,
  anon_sym_is = 157,
  anon_sym_keyof = 158,
  anon_sym_unique = 159,
  anon_sym_unknown = 160,
  anon_sym_never = 161,
  anon_sym_LBRACE_PIPE = 162,
  anon_sym_PIPE_RBRACE = 163,
  anon_sym_pragma = 164,
  aux_sym_ui_version_specifier_token1 = 165,
  anon_sym_list = 166,
  sym__automatic_semicolon = 167,
  sym__template_chars = 168,
  sym__ternary_qmark = 169,
  sym_html_comment = 170,
  sym__function_signature_automatic_semicolon = 171,
  sym___error_recovery = 172,
  sym_program = 173,
  sym_export_statement = 174,
  sym_namespace_export = 175,
  sym_export_clause = 176,
  sym_export_specifier = 177,
  sym__module_export_name = 178,
  sym_declaration = 179,
  sym_import = 180,
  sym_import_statement = 181,
  sym_import_clause = 182,
  sym__from_clause = 183,
  sym_namespace_import = 184,
  sym_named_imports = 185,
  sym_import_specifier = 186,
  sym_import_attribute = 187,
  sym_expression_statement = 188,
  sym_variable_declaration = 189,
  sym_lexical_declaration = 190,
  sym_variable_declarator = 191,
  sym_statement_block = 192,
  sym_else_clause = 193,
  sym_if_statement = 194,
  sym_switch_statement = 195,
  sym_for_statement = 196,
  sym_for_in_statement = 197,
  sym__for_header = 198,
  sym_while_statement = 199,
  sym_do_statement = 200,
  sym_try_statement = 201,
  sym_with_statement = 202,
  sym_break_statement = 203,
  sym_continue_statement = 204,
  sym_debugger_statement = 205,
  sym_return_statement = 206,
  sym_throw_statement = 207,
  sym_empty_statement = 208,
  sym_labeled_statement = 209,
  sym_switch_body = 210,
  sym_switch_case = 211,
  sym_switch_default = 212,
  sym_catch_clause = 213,
  sym_finally_clause = 214,
  sym_parenthesized_expression = 215,
  sym_expression = 216,
  sym_primary_expression = 217,
  sym_yield_expression = 218,
  sym_object = 219,
  sym_object_pattern = 220,
  sym_assignment_pattern = 221,
  sym_object_assignment_pattern = 222,
  sym_array = 223,
  sym_array_pattern = 224,
  sym_glimmer_template = 225,
  sym_glimmer_opening_tag = 226,
  sym_glimmer_closing_tag = 227,
  sym_nested_identifier = 228,
  sym_class = 229,
  sym_class_declaration = 230,
  sym_class_heritage = 231,
  sym_function_expression = 232,
  sym_function_declaration = 233,
  sym_generator_function = 234,
  sym_generator_function_declaration = 235,
  sym_arrow_function = 236,
  sym__call_signature = 237,
  sym__formal_parameter = 238,
  sym_optional_chain = 239,
  sym_call_expression = 240,
  sym_new_expression = 241,
  sym_await_expression = 242,
  sym_member_expression = 243,
  sym_subscript_expression = 244,
  sym_assignment_expression = 245,
  sym__augmented_assignment_lhs = 246,
  sym_augmented_assignment_expression = 247,
  sym__initializer = 248,
  sym__destructuring_pattern = 249,
  sym_spread_element = 250,
  sym_ternary_expression = 251,
  sym_binary_expression = 252,
  sym_unary_expression = 253,
  sym_update_expression = 254,
  sym_sequence_expression = 255,
  sym_string = 256,
  sym_comment = 257,
  sym_template_string = 258,
  sym_template_substitution = 259,
  sym_regex = 260,
  sym_meta_property = 261,
  sym_arguments = 262,
  sym_decorator = 263,
  sym_decorator_member_expression = 264,
  sym_decorator_call_expression = 265,
  sym_class_body = 266,
  sym_formal_parameters = 267,
  sym_class_static_block = 268,
  sym_pattern = 269,
  sym_rest_pattern = 270,
  sym_method_definition = 271,
  sym_pair = 272,
  sym_pair_pattern = 273,
  sym__property_name = 274,
  sym_computed_property_name = 275,
  sym_public_field_definition = 276,
  sym__import_identifier = 277,
  sym_non_null_expression = 278,
  sym_method_signature = 279,
  sym_abstract_method_signature = 280,
  sym_function_signature = 281,
  sym_type_assertion = 282,
  sym_as_expression = 283,
  sym_satisfies_expression = 284,
  sym_instantiation_expression = 285,
  sym_import_require_clause = 286,
  sym_extends_clause = 287,
  sym__extends_clause_single = 288,
  sym_implements_clause = 289,
  sym_ambient_declaration = 290,
  sym_abstract_class_declaration = 291,
  sym_module = 292,
  sym_internal_module = 293,
  sym__module = 294,
  sym_import_alias = 295,
  sym_nested_type_identifier = 296,
  sym_interface_declaration = 297,
  sym_extends_type_clause = 298,
  sym_enum_declaration = 299,
  sym_enum_body = 300,
  sym_enum_assignment = 301,
  sym_type_alias_declaration = 302,
  sym_accessibility_modifier = 303,
  sym_override_modifier = 304,
  sym_required_parameter = 305,
  sym_optional_parameter = 306,
  sym__parameter_name = 307,
  sym_omitting_type_annotation = 308,
  sym_adding_type_annotation = 309,
  sym_opting_type_annotation = 310,
  sym_type_annotation = 311,
  sym__type_query_member_expression_in_type_annotation = 312,
  sym__type_query_call_expression_in_type_annotation = 313,
  sym_asserts = 314,
  sym_asserts_annotation = 315,
  sym__type = 316,
  sym_tuple_parameter = 317,
  sym_optional_tuple_parameter = 318,
  sym_optional_type = 319,
  sym_rest_type = 320,
  sym__tuple_type_member = 321,
  sym_constructor_type = 322,
  sym__primary_type = 323,
  sym_template_type = 324,
  sym_template_literal_type = 325,
  sym_infer_type = 326,
  sym_conditional_type = 327,
  sym_generic_type = 328,
  sym_type_predicate = 329,
  sym_type_predicate_annotation = 330,
  sym__type_query_member_expression = 331,
  sym__type_query_subscript_expression = 332,
  sym__type_query_call_expression = 333,
  sym__type_query_instantiation_expression = 334,
  sym_type_query = 335,
  sym_index_type_query = 336,
  sym_lookup_type = 337,
  sym_mapped_type_clause = 338,
  sym_literal_type = 339,
  sym__number = 340,
  sym_existential_type = 341,
  sym_flow_maybe_type = 342,
  sym_parenthesized_type = 343,
  sym_predefined_type = 344,
  sym_type_arguments = 345,
  sym_object_type = 346,
  sym_call_signature = 347,
  sym_property_signature = 348,
  sym_type_parameters = 349,
  sym_type_parameter = 350,
  sym_default_type = 351,
  sym_constraint = 352,
  sym_construct_signature = 353,
  sym_index_signature = 354,
  sym_array_type = 355,
  sym_tuple_type = 356,
  sym_readonly_type = 357,
  sym_union_type = 358,
  sym_intersection_type = 359,
  sym_function_type = 360,
  sym_ui_pragma = 361,
  sym_ui_import = 362,
  sym_ui_version_specifier = 363,
  sym_ui_object_definition = 364,
  sym_ui_annotated_object = 365,
  sym_ui_annotation = 366,
  sym_ui_object_initializer = 367,
  sym_ui_annotated_object_member = 368,
  sym_ui_object_definition_binding = 369,
  sym_ui_binding = 370,
  sym_ui_property = 371,
  sym_ui_list_property_type = 372,
  sym_ui_property_modifier = 373,
  sym_ui_object_array = 374,
  sym_ui_required = 375,
  sym_ui_signal = 376,
  sym_ui_signal_parameters = 377,
  sym_ui_signal_parameter = 378,
  sym_ui_inline_component = 379,
  sym__qml_enum_declaration = 380,
  sym__qml_enum_body = 381,
  sym__qml_enum_assignment = 382,
  sym__qml_enum_negative_number = 383,
  sym_ui_nested_identifier = 384,
  sym_ui_simple_nested_identifier = 385,
  aux_sym_program_repeat1 = 386,
  aux_sym_export_statement_repeat1 = 387,
  aux_sym_export_clause_repeat1 = 388,
  aux_sym_named_imports_repeat1 = 389,
  aux_sym_variable_declaration_repeat1 = 390,
  aux_sym_statement_block_repeat1 = 391,
  aux_sym_switch_body_repeat1 = 392,
  aux_sym_object_repeat1 = 393,
  aux_sym_object_pattern_repeat1 = 394,
  aux_sym_array_repeat1 = 395,
  aux_sym_array_pattern_repeat1 = 396,
  aux_sym_glimmer_template_repeat1 = 397,
  aux_sym_sequence_expression_repeat1 = 398,
  aux_sym_string_repeat1 = 399,
  aux_sym_string_repeat2 = 400,
  aux_sym_template_string_repeat1 = 401,
  aux_sym_class_body_repeat1 = 402,
  aux_sym_formal_parameters_repeat1 = 403,
  aux_sym_extends_clause_repeat1 = 404,
  aux_sym_implements_clause_repeat1 = 405,
  aux_sym_extends_type_clause_repeat1 = 406,
  aux_sym_enum_body_repeat1 = 407,
  aux_sym_template_literal_type_repeat1 = 408,
  aux_sym_type_arguments_repeat1 = 409,
  aux_sym_object_type_repeat1 = 410,
  aux_sym_type_parameters_repeat1 = 411,
  aux_sym_tuple_type_repeat1 = 412,
  aux_sym_ui_pragma_repeat1 = 413,
  aux_sym_ui_annotated_object_repeat1 = 414,
  aux_sym_ui_object_initializer_repeat1 = 415,
  aux_sym_ui_property_repeat1 = 416,
  aux_sym_ui_object_array_repeat1 = 417,
  aux_sym_ui_signal_parameters_repeat1 = 418,
  aux_sym__qml_enum_body_repeat1 = 419,
  alias_sym_interface_body = 420,
  alias_sym_property_identifier = 421,
  alias_sym_shorthand_property_identifier = 422,
  alias_sym_shorthand_property_identifier_pattern = 423,
  alias_sym_statement_identifier = 424,
  alias_sym_this_type = 425,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_as] = "as",
  [anon_sym_namespace] = "namespace",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_typeof] = "typeof",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_BANG] = "!",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [anon_sym_LTtemplate_GT] = "<template>",
  [anon_sym_LT_SLASHtemplate_GT] = "</template>",
  [anon_sym_GT] = ">",
  [anon_sym_DOT] = ".",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_class] = "class",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_using] = "using",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_TILDE] = "~",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_readonly] = "readonly",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_QMARK] = "\?",
  [anon_sym_declare] = "declare",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_override] = "override",
  [anon_sym_module] = "module",
  [anon_sym_any] = "any",
  [anon_sym_number] = "number",
  [anon_sym_boolean] = "boolean",
  [anon_sym_string] = "string",
  [anon_sym_symbol] = "symbol",
  [anon_sym_object] = "object",
  [anon_sym_property] = "property",
  [anon_sym_signal] = "signal",
  [anon_sym_on] = "on",
  [anon_sym_required] = "required",
  [anon_sym_component] = "component",
  [anon_sym_abstract] = "abstract",
  [anon_sym_satisfies] = "satisfies",
  [anon_sym_require] = "require",
  [anon_sym_extends] = "extends",
  [anon_sym_implements] = "implements",
  [anon_sym_global] = "global",
  [anon_sym_interface] = "interface",
  [anon_sym_enum] = "enum",
  [anon_sym_DASH_QMARK_COLON] = "-\?:",
  [anon_sym_PLUS_QMARK_COLON] = "+\?:",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_asserts] = "asserts",
  [anon_sym_infer] = "infer",
  [anon_sym_is] = "is",
  [anon_sym_keyof] = "keyof",
  [anon_sym_unique] = "unique symbol",
  [anon_sym_unknown] = "unknown",
  [anon_sym_never] = "never",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [anon_sym_pragma] = "pragma",
  [aux_sym_ui_version_specifier_token1] = "number",
  [anon_sym_list] = "type_identifier",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym__function_signature_automatic_semicolon] = "_function_signature_automatic_semicolon",
  [sym___error_recovery] = "__error_recovery",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_nested_identifier] = "nested_identifier",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym__call_signature] = "_call_signature",
  [sym__formal_parameter] = "_formal_parameter",
  [sym_optional_chain] = "optional_chain",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_comment] = "comment",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [sym_public_field_definition] = "public_field_definition",
  [sym__import_identifier] = "_import_identifier",
  [sym_non_null_expression] = "non_null_expression",
  [sym_method_signature] = "method_signature",
  [sym_abstract_method_signature] = "abstract_method_signature",
  [sym_function_signature] = "function_signature",
  [sym_type_assertion] = "type_assertion",
  [sym_as_expression] = "as_expression",
  [sym_satisfies_expression] = "satisfies_expression",
  [sym_instantiation_expression] = "instantiation_expression",
  [sym_import_require_clause] = "import_require_clause",
  [sym_extends_clause] = "extends_clause",
  [sym__extends_clause_single] = "_extends_clause_single",
  [sym_implements_clause] = "implements_clause",
  [sym_ambient_declaration] = "ambient_declaration",
  [sym_abstract_class_declaration] = "abstract_class_declaration",
  [sym_module] = "module",
  [sym_internal_module] = "internal_module",
  [sym__module] = "_module",
  [sym_import_alias] = "import_alias",
  [sym_nested_type_identifier] = "nested_type_identifier",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_type_clause] = "extends_type_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_assignment] = "enum_assignment",
  [sym_type_alias_declaration] = "type_alias_declaration",
  [sym_accessibility_modifier] = "accessibility_modifier",
  [sym_override_modifier] = "override_modifier",
  [sym_required_parameter] = "required_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym__parameter_name] = "_parameter_name",
  [sym_omitting_type_annotation] = "omitting_type_annotation",
  [sym_adding_type_annotation] = "adding_type_annotation",
  [sym_opting_type_annotation] = "opting_type_annotation",
  [sym_type_annotation] = "type_annotation",
  [sym__type_query_member_expression_in_type_annotation] = "member_expression",
  [sym__type_query_call_expression_in_type_annotation] = "call_expression",
  [sym_asserts] = "asserts",
  [sym_asserts_annotation] = "asserts_annotation",
  [sym__type] = "_type",
  [sym_tuple_parameter] = "required_parameter",
  [sym_optional_tuple_parameter] = "optional_parameter",
  [sym_optional_type] = "optional_type",
  [sym_rest_type] = "rest_type",
  [sym__tuple_type_member] = "_tuple_type_member",
  [sym_constructor_type] = "constructor_type",
  [sym__primary_type] = "_primary_type",
  [sym_template_type] = "template_type",
  [sym_template_literal_type] = "template_literal_type",
  [sym_infer_type] = "infer_type",
  [sym_conditional_type] = "conditional_type",
  [sym_generic_type] = "generic_type",
  [sym_type_predicate] = "type_predicate",
  [sym_type_predicate_annotation] = "type_predicate_annotation",
  [sym__type_query_member_expression] = "member_expression",
  [sym__type_query_subscript_expression] = "subscript_expression",
  [sym__type_query_call_expression] = "call_expression",
  [sym__type_query_instantiation_expression] = "instantiation_expression",
  [sym_type_query] = "type_query",
  [sym_index_type_query] = "index_type_query",
  [sym_lookup_type] = "lookup_type",
  [sym_mapped_type_clause] = "mapped_type_clause",
  [sym_literal_type] = "literal_type",
  [sym__number] = "unary_expression",
  [sym_existential_type] = "existential_type",
  [sym_flow_maybe_type] = "flow_maybe_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_predefined_type] = "predefined_type",
  [sym_type_arguments] = "type_arguments",
  [sym_object_type] = "object_type",
  [sym_call_signature] = "call_signature",
  [sym_property_signature] = "property_signature",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_default_type] = "default_type",
  [sym_constraint] = "constraint",
  [sym_construct_signature] = "construct_signature",
  [sym_index_signature] = "index_signature",
  [sym_array_type] = "array_type",
  [sym_tuple_type] = "tuple_type",
  [sym_readonly_type] = "readonly_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_function_type] = "function_type",
  [sym_ui_pragma] = "ui_pragma",
  [sym_ui_import] = "ui_import",
  [sym_ui_version_specifier] = "ui_version_specifier",
  [sym_ui_object_definition] = "ui_object_definition",
  [sym_ui_annotated_object] = "ui_annotated_object",
  [sym_ui_annotation] = "ui_annotation",
  [sym_ui_object_initializer] = "ui_object_initializer",
  [sym_ui_annotated_object_member] = "ui_annotated_object_member",
  [sym_ui_object_definition_binding] = "ui_object_definition_binding",
  [sym_ui_binding] = "ui_binding",
  [sym_ui_property] = "ui_property",
  [sym_ui_list_property_type] = "ui_list_property_type",
  [sym_ui_property_modifier] = "ui_property_modifier",
  [sym_ui_object_array] = "ui_object_array",
  [sym_ui_required] = "ui_required",
  [sym_ui_signal] = "ui_signal",
  [sym_ui_signal_parameters] = "ui_signal_parameters",
  [sym_ui_signal_parameter] = "ui_signal_parameter",
  [sym_ui_inline_component] = "ui_inline_component",
  [sym__qml_enum_declaration] = "enum_declaration",
  [sym__qml_enum_body] = "enum_body",
  [sym__qml_enum_assignment] = "enum_assignment",
  [sym__qml_enum_negative_number] = "unary_expression",
  [sym_ui_nested_identifier] = "nested_identifier",
  [sym_ui_simple_nested_identifier] = "nested_identifier",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_statement_block_repeat1] = "statement_block_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_extends_clause_repeat1] = "extends_clause_repeat1",
  [aux_sym_implements_clause_repeat1] = "implements_clause_repeat1",
  [aux_sym_extends_type_clause_repeat1] = "extends_type_clause_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_template_literal_type_repeat1] = "template_literal_type_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_ui_pragma_repeat1] = "ui_pragma_repeat1",
  [aux_sym_ui_annotated_object_repeat1] = "ui_annotated_object_repeat1",
  [aux_sym_ui_object_initializer_repeat1] = "ui_object_initializer_repeat1",
  [aux_sym_ui_property_repeat1] = "ui_property_repeat1",
  [aux_sym_ui_object_array_repeat1] = "ui_object_array_repeat1",
  [aux_sym_ui_signal_parameters_repeat1] = "ui_signal_parameters_repeat1",
  [aux_sym__qml_enum_body_repeat1] = "_qml_enum_body_repeat1",
  [alias_sym_interface_body] = "interface_body",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_this_type] = "this_type",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [anon_sym_LTtemplate_GT] = anon_sym_LTtemplate_GT,
  [anon_sym_LT_SLASHtemplate_GT] = anon_sym_LT_SLASHtemplate_GT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_symbol] = anon_sym_symbol,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_property] = anon_sym_property,
  [anon_sym_signal] = anon_sym_signal,
  [anon_sym_on] = anon_sym_on,
  [anon_sym_required] = anon_sym_required,
  [anon_sym_component] = anon_sym_component,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_satisfies] = anon_sym_satisfies,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_DASH_QMARK_COLON] = anon_sym_DASH_QMARK_COLON,
  [anon_sym_PLUS_QMARK_COLON] = anon_sym_PLUS_QMARK_COLON,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_asserts] = anon_sym_asserts,
  [anon_sym_infer] = anon_sym_infer,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_keyof] = anon_sym_keyof,
  [anon_sym_unique] = anon_sym_unique,
  [anon_sym_unknown] = anon_sym_unknown,
  [anon_sym_never] = anon_sym_never,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [anon_sym_pragma] = anon_sym_pragma,
  [aux_sym_ui_version_specifier_token1] = sym_number,
  [anon_sym_list] = anon_sym_list,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = anon_sym_QMARK,
  [sym_html_comment] = sym_html_comment,
  [sym__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [sym___error_recovery] = sym___error_recovery,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym__call_signature] = sym__call_signature,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym_optional_chain] = sym_optional_chain,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_comment] = sym_comment,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym__import_identifier] = sym__import_identifier,
  [sym_non_null_expression] = sym_non_null_expression,
  [sym_method_signature] = sym_method_signature,
  [sym_abstract_method_signature] = sym_abstract_method_signature,
  [sym_function_signature] = sym_function_signature,
  [sym_type_assertion] = sym_type_assertion,
  [sym_as_expression] = sym_as_expression,
  [sym_satisfies_expression] = sym_satisfies_expression,
  [sym_instantiation_expression] = sym_instantiation_expression,
  [sym_import_require_clause] = sym_import_require_clause,
  [sym_extends_clause] = sym_extends_clause,
  [sym__extends_clause_single] = sym__extends_clause_single,
  [sym_implements_clause] = sym_implements_clause,
  [sym_ambient_declaration] = sym_ambient_declaration,
  [sym_abstract_class_declaration] = sym_abstract_class_declaration,
  [sym_module] = sym_module,
  [sym_internal_module] = sym_internal_module,
  [sym__module] = sym__module,
  [sym_import_alias] = sym_import_alias,
  [sym_nested_type_identifier] = sym_nested_type_identifier,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_type_clause] = sym_extends_type_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_assignment] = sym_enum_assignment,
  [sym_type_alias_declaration] = sym_type_alias_declaration,
  [sym_accessibility_modifier] = sym_accessibility_modifier,
  [sym_override_modifier] = sym_override_modifier,
  [sym_required_parameter] = sym_required_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym__parameter_name] = sym__parameter_name,
  [sym_omitting_type_annotation] = sym_omitting_type_annotation,
  [sym_adding_type_annotation] = sym_adding_type_annotation,
  [sym_opting_type_annotation] = sym_opting_type_annotation,
  [sym_type_annotation] = sym_type_annotation,
  [sym__type_query_member_expression_in_type_annotation] = sym_member_expression,
  [sym__type_query_call_expression_in_type_annotation] = sym_call_expression,
  [sym_asserts] = sym_asserts,
  [sym_asserts_annotation] = sym_asserts_annotation,
  [sym__type] = sym__type,
  [sym_tuple_parameter] = sym_required_parameter,
  [sym_optional_tuple_parameter] = sym_optional_parameter,
  [sym_optional_type] = sym_optional_type,
  [sym_rest_type] = sym_rest_type,
  [sym__tuple_type_member] = sym__tuple_type_member,
  [sym_constructor_type] = sym_constructor_type,
  [sym__primary_type] = sym__primary_type,
  [sym_template_type] = sym_template_type,
  [sym_template_literal_type] = sym_template_literal_type,
  [sym_infer_type] = sym_infer_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_predicate] = sym_type_predicate,
  [sym_type_predicate_annotation] = sym_type_predicate_annotation,
  [sym__type_query_member_expression] = sym_member_expression,
  [sym__type_query_subscript_expression] = sym_subscript_expression,
  [sym__type_query_call_expression] = sym_call_expression,
  [sym__type_query_instantiation_expression] = sym_instantiation_expression,
  [sym_type_query] = sym_type_query,
  [sym_index_type_query] = sym_index_type_query,
  [sym_lookup_type] = sym_lookup_type,
  [sym_mapped_type_clause] = sym_mapped_type_clause,
  [sym_literal_type] = sym_literal_type,
  [sym__number] = sym_unary_expression,
  [sym_existential_type] = sym_existential_type,
  [sym_flow_maybe_type] = sym_flow_maybe_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_predefined_type] = sym_predefined_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_object_type] = sym_object_type,
  [sym_call_signature] = sym_call_signature,
  [sym_property_signature] = sym_property_signature,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_default_type] = sym_default_type,
  [sym_constraint] = sym_constraint,
  [sym_construct_signature] = sym_construct_signature,
  [sym_index_signature] = sym_index_signature,
  [sym_array_type] = sym_array_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_readonly_type] = sym_readonly_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_function_type] = sym_function_type,
  [sym_ui_pragma] = sym_ui_pragma,
  [sym_ui_import] = sym_ui_import,
  [sym_ui_version_specifier] = sym_ui_version_specifier,
  [sym_ui_object_definition] = sym_ui_object_definition,
  [sym_ui_annotated_object] = sym_ui_annotated_object,
  [sym_ui_annotation] = sym_ui_annotation,
  [sym_ui_object_initializer] = sym_ui_object_initializer,
  [sym_ui_annotated_object_member] = sym_ui_annotated_object_member,
  [sym_ui_object_definition_binding] = sym_ui_object_definition_binding,
  [sym_ui_binding] = sym_ui_binding,
  [sym_ui_property] = sym_ui_property,
  [sym_ui_list_property_type] = sym_ui_list_property_type,
  [sym_ui_property_modifier] = sym_ui_property_modifier,
  [sym_ui_object_array] = sym_ui_object_array,
  [sym_ui_required] = sym_ui_required,
  [sym_ui_signal] = sym_ui_signal,
  [sym_ui_signal_parameters] = sym_ui_signal_parameters,
  [sym_ui_signal_parameter] = sym_ui_signal_parameter,
  [sym_ui_inline_component] = sym_ui_inline_component,
  [sym__qml_enum_declaration] = sym_enum_declaration,
  [sym__qml_enum_body] = sym_enum_body,
  [sym__qml_enum_assignment] = sym_enum_assignment,
  [sym__qml_enum_negative_number] = sym_unary_expression,
  [sym_ui_nested_identifier] = sym_nested_identifier,
  [sym_ui_simple_nested_identifier] = sym_nested_identifier,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_statement_block_repeat1] = aux_sym_statement_block_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_extends_clause_repeat1] = aux_sym_extends_clause_repeat1,
  [aux_sym_implements_clause_repeat1] = aux_sym_implements_clause_repeat1,
  [aux_sym_extends_type_clause_repeat1] = aux_sym_extends_type_clause_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_template_literal_type_repeat1] = aux_sym_template_literal_type_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_ui_pragma_repeat1] = aux_sym_ui_pragma_repeat1,
  [aux_sym_ui_annotated_object_repeat1] = aux_sym_ui_annotated_object_repeat1,
  [aux_sym_ui_object_initializer_repeat1] = aux_sym_ui_object_initializer_repeat1,
  [aux_sym_ui_property_repeat1] = aux_sym_ui_property_repeat1,
  [aux_sym_ui_object_array_repeat1] = aux_sym_ui_object_array_repeat1,
  [aux_sym_ui_signal_parameters_repeat1] = aux_sym_ui_signal_parameters_repeat1,
  [aux_sym__qml_enum_body_repeat1] = aux_sym__qml_enum_body_repeat1,
  [alias_sym_interface_body] = alias_sym_interface_body,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_this_type] = alias_sym_this_type,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LTtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASHtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_symbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_property] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_on] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_required] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_component] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_satisfies] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asserts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keyof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unique] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unknown] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_never] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pragma] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_ui_version_specifier_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__function_signature_automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym___error_recovery] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym__call_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__import_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_non_null_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_satisfies_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_import_require_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__extends_clause_single] = {
    .visible = false,
    .named = true,
  },
  [sym_implements_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_ambient_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_module] = {
    .visible = true,
    .named = true,
  },
  [sym__module] = {
    .visible = false,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_accessibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_override_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_required_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_name] = {
    .visible = false,
    .named = true,
  },
  [sym_omitting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_adding_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_opting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_type] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_infer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_index_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_lookup_type] = {
    .visible = true,
    .named = true,
  },
  [sym_mapped_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = true,
    .named = true,
  },
  [sym_existential_type] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_maybe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_call_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_property_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_construct_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_index_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_pragma] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_import] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_version_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_object_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_annotated_object] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_object_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_annotated_object_member] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_object_definition_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_property] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_list_property_type] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_property_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_object_array] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_required] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_signal] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_signal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_signal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_inline_component] = {
    .visible = true,
    .named = true,
  },
  [sym__qml_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__qml_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym__qml_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__qml_enum_negative_number] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ui_simple_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_statement_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implements_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_type_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_literal_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ui_pragma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ui_annotated_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ui_object_initializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ui_property_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ui_object_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ui_signal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__qml_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_interface_body] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_this_type] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_annotation = 3,
  field_argument = 4,
  field_arguments = 5,
  field_body = 6,
  field_close_tag = 7,
  field_component = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_constructor = 12,
  field_content = 13,
  field_declaration = 14,
  field_decorator = 15,
  field_definition = 16,
  field_finalizer = 17,
  field_flags = 18,
  field_function = 19,
  field_handler = 20,
  field_increment = 21,
  field_index = 22,
  field_index_type = 23,
  field_initializer = 24,
  field_key = 25,
  field_kind = 26,
  field_label = 27,
  field_left = 28,
  field_major = 29,
  field_minor = 30,
  field_module = 31,
  field_name = 32,
  field_object = 33,
  field_open_tag = 34,
  field_operator = 35,
  field_optional_chain = 36,
  field_parameter = 37,
  field_parameters = 38,
  field_pattern = 39,
  field_property = 40,
  field_return_type = 41,
  field_right = 42,
  field_root = 43,
  field_sign = 44,
  field_source = 45,
  field_type = 46,
  field_type_arguments = 47,
  field_type_name = 48,
  field_type_parameters = 49,
  field_value = 50,
  field_version = 51,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_annotation] = "annotation",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_component] = "component",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_definition] = "definition",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_index_type] = "index_type",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_major] = "major",
  [field_minor] = "minor",
  [field_module] = "module",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_root] = "root",
  [field_sign] = "sign",
  [field_source] = "source",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_name] = "type_name",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
  [field_version] = "version",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 3, .length = 2},
  [6] = {.index = 5, .length = 2},
  [7] = {.index = 7, .length = 2},
  [8] = {.index = 9, .length = 1},
  [9] = {.index = 10, .length = 2},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 1},
  [13] = {.index = 12, .length = 1},
  [14] = {.index = 14, .length = 2},
  [15] = {.index = 16, .length = 1},
  [16] = {.index = 17, .length = 1},
  [17] = {.index = 18, .length = 4},
  [18] = {.index = 22, .length = 2},
  [19] = {.index = 22, .length = 2},
  [20] = {.index = 24, .length = 2},
  [21] = {.index = 26, .length = 1},
  [22] = {.index = 27, .length = 1},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 2},
  [26] = {.index = 24, .length = 2},
  [27] = {.index = 16, .length = 1},
  [28] = {.index = 32, .length = 3},
  [29] = {.index = 35, .length = 2},
  [30] = {.index = 37, .length = 2},
  [31] = {.index = 35, .length = 2},
  [32] = {.index = 39, .length = 2},
  [33] = {.index = 41, .length = 2},
  [34] = {.index = 43, .length = 2},
  [35] = {.index = 45, .length = 1},
  [36] = {.index = 46, .length = 2},
  [37] = {.index = 48, .length = 1},
  [38] = {.index = 49, .length = 1},
  [40] = {.index = 17, .length = 1},
  [42] = {.index = 50, .length = 2},
  [43] = {.index = 52, .length = 2},
  [44] = {.index = 54, .length = 2},
  [45] = {.index = 56, .length = 1},
  [46] = {.index = 57, .length = 2},
  [47] = {.index = 59, .length = 2},
  [48] = {.index = 61, .length = 2},
  [49] = {.index = 63, .length = 2},
  [50] = {.index = 65, .length = 3},
  [51] = {.index = 65, .length = 3},
  [54] = {.index = 68, .length = 1},
  [55] = {.index = 69, .length = 2},
  [56] = {.index = 71, .length = 2},
  [57] = {.index = 73, .length = 2},
  [58] = {.index = 75, .length = 3},
  [59] = {.index = 78, .length = 5},
  [60] = {.index = 65, .length = 3},
  [61] = {.index = 65, .length = 3},
  [62] = {.index = 83, .length = 2},
  [63] = {.index = 85, .length = 2},
  [64] = {.index = 87, .length = 2},
  [65] = {.index = 83, .length = 2},
  [66] = {.index = 85, .length = 2},
  [67] = {.index = 83, .length = 2},
  [68] = {.index = 83, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 2},
  [71] = {.index = 93, .length = 3},
  [72] = {.index = 93, .length = 3},
  [73] = {.index = 96, .length = 3},
  [74] = {.index = 99, .length = 2},
  [75] = {.index = 101, .length = 2},
  [76] = {.index = 103, .length = 2},
  [77] = {.index = 105, .length = 2},
  [79] = {.index = 107, .length = 1},
  [80] = {.index = 108, .length = 2},
  [81] = {.index = 110, .length = 2},
  [82] = {.index = 112, .length = 2},
  [83] = {.index = 114, .length = 1},
  [84] = {.index = 115, .length = 3},
  [85] = {.index = 118, .length = 3},
  [86] = {.index = 121, .length = 2},
  [87] = {.index = 123, .length = 2},
  [88] = {.index = 125, .length = 2},
  [89] = {.index = 127, .length = 2},
  [90] = {.index = 129, .length = 1},
  [91] = {.index = 130, .length = 2},
  [92] = {.index = 132, .length = 1},
  [93] = {.index = 133, .length = 2},
  [94] = {.index = 135, .length = 4},
  [95] = {.index = 139, .length = 2},
  [96] = {.index = 141, .length = 2},
  [97] = {.index = 143, .length = 3},
  [98] = {.index = 146, .length = 2},
  [99] = {.index = 148, .length = 2},
  [100] = {.index = 16, .length = 1},
  [101] = {.index = 150, .length = 2},
  [102] = {.index = 152, .length = 2},
  [103] = {.index = 154, .length = 2},
  [106] = {.index = 150, .length = 2},
  [107] = {.index = 156, .length = 4},
  [108] = {.index = 101, .length = 2},
  [109] = {.index = 103, .length = 2},
  [110] = {.index = 160, .length = 3},
  [111] = {.index = 85, .length = 2},
  [112] = {.index = 163, .length = 3},
  [113] = {.index = 163, .length = 3},
  [114] = {.index = 166, .length = 3},
  [115] = {.index = 169, .length = 2},
  [116] = {.index = 171, .length = 3},
  [117] = {.index = 174, .length = 4},
  [118] = {.index = 178, .length = 3},
  [119] = {.index = 181, .length = 2},
  [120] = {.index = 101, .length = 2},
  [121] = {.index = 183, .length = 2},
  [122] = {.index = 185, .length = 5},
  [123] = {.index = 190, .length = 3},
  [124] = {.index = 190, .length = 3},
  [126] = {.index = 190, .length = 3},
  [127] = {.index = 190, .length = 3},
  [128] = {.index = 193, .length = 2},
  [129] = {.index = 193, .length = 2},
  [130] = {.index = 195, .length = 2},
  [131] = {.index = 197, .length = 2},
  [132] = {.index = 197, .length = 2},
  [133] = {.index = 197, .length = 2},
  [134] = {.index = 197, .length = 2},
  [135] = {.index = 199, .length = 1},
  [136] = {.index = 200, .length = 2},
  [137] = {.index = 202, .length = 1},
  [138] = {.index = 203, .length = 6},
  [139] = {.index = 209, .length = 2},
  [140] = {.index = 211, .length = 1},
  [141] = {.index = 127, .length = 2},
  [142] = {.index = 127, .length = 2},
  [143] = {.index = 212, .length = 5},
  [144] = {.index = 217, .length = 2},
  [145] = {.index = 219, .length = 3},
  [146] = {.index = 222, .length = 1},
  [147] = {.index = 223, .length = 1},
  [148] = {.index = 224, .length = 3},
  [149] = {.index = 227, .length = 3},
  [150] = {.index = 230, .length = 4},
  [151] = {.index = 234, .length = 2},
  [152] = {.index = 236, .length = 3},
  [153] = {.index = 239, .length = 4},
  [154] = {.index = 243, .length = 1},
  [155] = {.index = 244, .length = 2},
  [156] = {.index = 246, .length = 1},
  [157] = {.index = 247, .length = 2},
  [158] = {.index = 249, .length = 3},
  [159] = {.index = 252, .length = 2},
  [160] = {.index = 254, .length = 4},
  [161] = {.index = 258, .length = 2},
  [162] = {.index = 260, .length = 2},
  [163] = {.index = 262, .length = 4},
  [164] = {.index = 260, .length = 2},
  [165] = {.index = 266, .length = 4},
  [166] = {.index = 270, .length = 3},
  [167] = {.index = 273, .length = 2},
  [168] = {.index = 273, .length = 2},
  [169] = {.index = 275, .length = 2},
  [170] = {.index = 277, .length = 1},
  [171] = {.index = 278, .length = 2},
  [172] = {.index = 280, .length = 4},
  [173] = {.index = 284, .length = 4},
  [174] = {.index = 288, .length = 4},
  [175] = {.index = 292, .length = 2},
  [176] = {.index = 294, .length = 2},
  [177] = {.index = 296, .length = 3},
  [178] = {.index = 299, .length = 2},
  [179] = {.index = 301, .length = 4},
  [180] = {.index = 301, .length = 4},
  [181] = {.index = 305, .length = 4},
  [182] = {.index = 305, .length = 4},
  [183] = {.index = 309, .length = 2},
  [184] = {.index = 311, .length = 3},
  [185] = {.index = 314, .length = 3},
  [186] = {.index = 317, .length = 2},
  [187] = {.index = 319, .length = 3},
  [188] = {.index = 322, .length = 5},
  [189] = {.index = 327, .length = 4},
  [190] = {.index = 327, .length = 4},
  [191] = {.index = 327, .length = 4},
  [192] = {.index = 327, .length = 4},
  [193] = {.index = 69, .length = 2},
  [194] = {.index = 331, .length = 4},
  [195] = {.index = 335, .length = 2},
  [196] = {.index = 337, .length = 2},
  [197] = {.index = 339, .length = 3},
  [198] = {.index = 342, .length = 3},
  [199] = {.index = 342, .length = 3},
  [200] = {.index = 342, .length = 3},
  [201] = {.index = 342, .length = 3},
  [202] = {.index = 345, .length = 1},
  [203] = {.index = 346, .length = 1},
  [204] = {.index = 347, .length = 1},
  [205] = {.index = 348, .length = 2},
  [206] = {.index = 350, .length = 6},
  [207] = {.index = 356, .length = 2},
  [208] = {.index = 358, .length = 4},
  [209] = {.index = 348, .length = 2},
  [210] = {.index = 362, .length = 1},
  [211] = {.index = 362, .length = 1},
  [212] = {.index = 247, .length = 2},
  [213] = {.index = 249, .length = 3},
  [214] = {.index = 363, .length = 5},
  [215] = {.index = 368, .length = 2},
  [216] = {.index = 370, .length = 1},
  [217] = {.index = 371, .length = 4},
  [218] = {.index = 375, .length = 2},
  [219] = {.index = 377, .length = 1},
  [220] = {.index = 378, .length = 2},
  [221] = {.index = 380, .length = 2},
  [222] = {.index = 382, .length = 2},
  [223] = {.index = 384, .length = 4},
  [224] = {.index = 388, .length = 2},
  [225] = {.index = 390, .length = 3},
  [226] = {.index = 393, .length = 3},
  [227] = {.index = 396, .length = 3},
  [228] = {.index = 399, .length = 4},
  [229] = {.index = 403, .length = 4},
  [230] = {.index = 407, .length = 2},
  [231] = {.index = 409, .length = 2},
  [232] = {.index = 411, .length = 1},
  [233] = {.index = 412, .length = 4},
  [234] = {.index = 412, .length = 4},
  [235] = {.index = 416, .length = 3},
  [236] = {.index = 419, .length = 2},
  [237] = {.index = 421, .length = 3},
  [238] = {.index = 424, .length = 3},
  [239] = {.index = 427, .length = 3},
  [240] = {.index = 69, .length = 2},
  [241] = {.index = 430, .length = 3},
  [242] = {.index = 433, .length = 4},
  [243] = {.index = 437, .length = 3},
  [244] = {.index = 440, .length = 4},
  [245] = {.index = 440, .length = 4},
  [246] = {.index = 440, .length = 4},
  [247] = {.index = 440, .length = 4},
  [248] = {.index = 444, .length = 1},
  [249] = {.index = 445, .length = 2},
  [250] = {.index = 447, .length = 5},
  [251] = {.index = 39, .length = 2},
  [252] = {.index = 445, .length = 2},
  [253] = {.index = 452, .length = 4},
  [254] = {.index = 456, .length = 2},
  [255] = {.index = 458, .length = 3},
  [256] = {.index = 461, .length = 2},
  [257] = {.index = 461, .length = 2},
  [258] = {.index = 396, .length = 3},
  [259] = {.index = 463, .length = 2},
  [260] = {.index = 465, .length = 3},
  [261] = {.index = 468, .length = 2},
  [262] = {.index = 470, .length = 4},
  [263] = {.index = 69, .length = 2},
  [264] = {.index = 474, .length = 1},
  [265] = {.index = 475, .length = 2},
  [266] = {.index = 477, .length = 2},
  [267] = {.index = 479, .length = 2},
  [268] = {.index = 481, .length = 2},
  [269] = {.index = 483, .length = 3},
  [270] = {.index = 486, .length = 1},
  [271] = {.index = 487, .length = 3},
  [272] = {.index = 490, .length = 2},
  [273] = {.index = 492, .length = 3},
  [274] = {.index = 495, .length = 3},
  [275] = {.index = 498, .length = 3},
  [276] = {.index = 501, .length = 3},
  [277] = {.index = 504, .length = 4},
  [278] = {.index = 508, .length = 3},
  [279] = {.index = 511, .length = 2},
  [280] = {.index = 513, .length = 2},
  [281] = {.index = 515, .length = 4},
  [282] = {.index = 519, .length = 4},
  [283] = {.index = 523, .length = 4},
  [284] = {.index = 527, .length = 3},
  [285] = {.index = 530, .length = 2},
  [286] = {.index = 532, .length = 4},
  [287] = {.index = 536, .length = 2},
  [288] = {.index = 538, .length = 3},
  [289] = {.index = 536, .length = 2},
  [290] = {.index = 541, .length = 3},
  [291] = {.index = 541, .length = 3},
  [292] = {.index = 544, .length = 3},
  [293] = {.index = 547, .length = 5},
  [294] = {.index = 552, .length = 3},
  [295] = {.index = 555, .length = 2},
  [296] = {.index = 557, .length = 1},
  [297] = {.index = 558, .length = 3},
  [298] = {.index = 561, .length = 4},
  [299] = {.index = 565, .length = 2},
  [300] = {.index = 567, .length = 2},
  [301] = {.index = 569, .length = 4},
  [302] = {.index = 573, .length = 4},
  [303] = {.index = 577, .length = 2},
  [304] = {.index = 579, .length = 2},
  [305] = {.index = 581, .length = 3},
  [306] = {.index = 584, .length = 3},
  [307] = {.index = 587, .length = 2},
  [308] = {.index = 589, .length = 2},
  [309] = {.index = 591, .length = 1},
  [310] = {.index = 592, .length = 1},
  [311] = {.index = 593, .length = 3},
  [312] = {.index = 596, .length = 3},
  [313] = {.index = 599, .length = 3},
  [314] = {.index = 602, .length = 3},
  [315] = {.index = 605, .length = 4},
  [316] = {.index = 609, .length = 2},
  [317] = {.index = 611, .length = 4},
  [318] = {.index = 615, .length = 3},
  [319] = {.index = 618, .length = 2},
  [320] = {.index = 620, .length = 4},
  [321] = {.index = 624, .length = 4},
  [322] = {.index = 628, .length = 4},
  [323] = {.index = 632, .length = 3},
  [324] = {.index = 635, .length = 1},
  [325] = {.index = 636, .length = 4},
  [326] = {.index = 640, .length = 4},
  [327] = {.index = 644, .length = 5},
  [328] = {.index = 649, .length = 5},
  [330] = {.index = 654, .length = 4},
  [331] = {.index = 658, .length = 3},
  [332] = {.index = 661, .length = 3},
  [333] = {.index = 664, .length = 3},
  [334] = {.index = 661, .length = 3},
  [335] = {.index = 667, .length = 2},
  [336] = {.index = 669, .length = 4},
  [337] = {.index = 673, .length = 4},
  [338] = {.index = 677, .length = 3},
  [339] = {.index = 680, .length = 2},
  [340] = {.index = 682, .length = 2},
  [341] = {.index = 684, .length = 3},
  [342] = {.index = 687, .length = 2},
  [343] = {.index = 689, .length = 2},
  [344] = {.index = 691, .length = 1},
  [345] = {.index = 692, .length = 3},
  [346] = {.index = 695, .length = 3},
  [347] = {.index = 698, .length = 4},
  [348] = {.index = 702, .length = 4},
  [349] = {.index = 706, .length = 3},
  [350] = {.index = 709, .length = 3},
  [351] = {.index = 712, .length = 2},
  [352] = {.index = 714, .length = 4},
  [353] = {.index = 718, .length = 5},
  [354] = {.index = 723, .length = 5},
  [355] = {.index = 728, .length = 5},
  [356] = {.index = 733, .length = 4},
  [357] = {.index = 737, .length = 4},
  [358] = {.index = 741, .length = 3},
  [359] = {.index = 744, .length = 3},
  [360] = {.index = 744, .length = 3},
  [361] = {.index = 747, .length = 2},
  [362] = {.index = 749, .length = 2},
  [363] = {.index = 751, .length = 3},
  [364] = {.index = 754, .length = 2},
  [365] = {.index = 756, .length = 2},
  [366] = {.index = 758, .length = 4},
  [367] = {.index = 762, .length = 3},
  [368] = {.index = 765, .length = 3},
  [369] = {.index = 768, .length = 4},
  [370] = {.index = 772, .length = 3},
  [371] = {.index = 775, .length = 3},
  [372] = {.index = 778, .length = 2},
  [373] = {.index = 780, .length = 5},
  [374] = {.index = 785, .length = 5},
  [375] = {.index = 790, .length = 4},
  [376] = {.index = 790, .length = 4},
  [377] = {.index = 794, .length = 4},
  [378] = {.index = 798, .length = 3},
  [379] = {.index = 801, .length = 2},
  [380] = {.index = 803, .length = 2},
  [381] = {.index = 805, .length = 3},
  [382] = {.index = 808, .length = 4},
  [383] = {.index = 812, .length = 4},
  [384] = {.index = 816, .length = 3},
  [385] = {.index = 819, .length = 3},
  [386] = {.index = 822, .length = 4},
  [387] = {.index = 826, .length = 3},
  [388] = {.index = 829, .length = 3},
  [389] = {.index = 832, .length = 5},
  [390] = {.index = 837, .length = 3},
  [391] = {.index = 840, .length = 4},
  [392] = {.index = 844, .length = 4},
  [393] = {.index = 848, .length = 3},
  [394] = {.index = 851, .length = 3},
  [395] = {.index = 854, .length = 4},
  [396] = {.index = 858, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_root, 0},
  [1] =
    {field_annotation, 0},
  [2] =
    {field_root, 1},
  [3] =
    {field_initializer, 1},
    {field_type_name, 0},
  [5] =
    {field_annotation, 0, .inherited = true},
    {field_definition, 1},
  [7] =
    {field_annotation, 0, .inherited = true},
    {field_annotation, 1, .inherited = true},
  [9] =
    {field_root, 2},
  [10] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [12] =
    {field_source, 1},
  [13] =
    {field_major, 0},
  [14] =
    {field_initializer, 2},
    {field_type_name, 1},
  [16] =
    {field_name, 1},
  [17] =
    {field_name, 0},
  [18] =
    {field_annotation, 0, .inherited = true},
    {field_body, 1, .inherited = true},
    {field_definition, 1},
    {field_name, 1, .inherited = true},
  [22] =
    {field_source, 1},
    {field_version, 2},
  [24] =
    {field_name, 0},
    {field_value, 2},
  [26] =
    {field_decorator, 0},
  [27] =
    {field_parameters, 0},
  [28] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [30] =
    {field_name, 0},
    {field_type, 1},
  [32] =
    {field_body, 2},
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [35] =
    {field_alias, 3},
    {field_source, 1},
  [37] =
    {field_major, 0},
    {field_minor, 2},
  [39] =
    {field_name, 1},
    {field_value, 3},
  [41] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [43] =
    {field_argument, 1},
    {field_operator, 0},
  [45] =
    {field_pattern, 0},
  [46] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
  [48] =
    {field_body, 1},
  [49] =
    {field_constructor, 1},
  [50] =
    {field_argument, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [52] =
    {field_arguments, 1},
    {field_function, 0},
  [54] =
    {field_argument, 0},
    {field_operator, 1},
  [56] =
    {field_type_arguments, 1},
  [57] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [59] =
    {field_parameters, 0},
    {field_return_type, 1},
  [61] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [63] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [65] =
    {field_initializer, 3},
    {field_name, 2},
    {field_type_name, 0},
  [68] =
    {field_value, 1},
  [69] =
    {field_name, 0},
    {field_type, 2},
  [71] =
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [73] =
    {field_arguments, 1, .inherited = true},
    {field_function, 1, .inherited = true},
  [75] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [78] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [83] =
    {field_name, 2},
    {field_type, 1},
  [85] =
    {field_object, 0},
    {field_property, 2},
  [87] =
    {field_module, 0},
    {field_name, 2},
  [89] =
    {field_name, 1},
    {field_parameters, 2},
  [91] =
    {field_component, 3},
    {field_name, 1},
  [93] =
    {field_alias, 4},
    {field_source, 1},
    {field_version, 2},
  [96] =
    {field_name, 1},
    {field_value, 3},
    {field_value, 4, .inherited = true},
  [99] =
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [101] =
    {field_left, 0},
    {field_right, 2},
  [103] =
    {field_body, 2},
    {field_parameter, 0},
  [105] =
    {field_body, 1},
    {field_name, 0},
  [107] =
    {field_declaration, 1},
  [108] =
    {field_body, 2},
    {field_object, 1},
  [110] =
    {field_condition, 1},
    {field_consequence, 2},
  [112] =
    {field_body, 2},
    {field_value, 1},
  [114] =
    {field_pattern, 1},
  [115] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [118] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
  [121] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 1},
  [123] =
    {field_body, 1},
    {field_handler, 2},
  [125] =
    {field_body, 1},
    {field_finalizer, 2},
  [127] =
    {field_body, 2},
    {field_name, 1},
  [129] =
    {field_value, 0},
  [130] =
    {field_type_arguments, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [132] =
    {field_body, 2},
  [133] =
    {field_body, 2},
    {field_type_parameters, 1},
  [135] =
    {field_body, 2},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [139] =
    {field_arguments, 2},
    {field_constructor, 1},
  [141] =
    {field_constructor, 1},
    {field_type_arguments, 2},
  [143] =
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [146] =
    {field_index, 1, .inherited = true},
    {field_object, 1, .inherited = true},
  [148] =
    {field_function, 1, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
  [150] =
    {field_name, 0},
    {field_type_arguments, 1},
  [152] =
    {field_name, 0},
    {field_value, 1},
  [154] =
    {field_constraint, 1},
    {field_name, 0},
  [156] =
    {field_arguments, 1},
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [160] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [163] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [166] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [169] =
    {field_arguments, 2},
    {field_function, 0},
  [171] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [174] =
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [178] =
    {field_parameters, 1},
    {field_return_type, 2},
    {field_type_parameters, 0},
  [181] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [183] =
    {field_key, 0},
    {field_value, 2},
  [185] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [190] =
    {field_name, 2},
    {field_type, 1},
    {field_value, 4},
  [193] =
    {field_name, 1},
    {field_type, 0},
  [195] =
    {field_name, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [197] =
    {field_name, 3},
    {field_type, 2},
  [199] =
    {field_declaration, 2},
  [200] =
    {field_body, 2},
    {field_label, 0},
  [202] =
    {field_kind, 0},
  [203] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [209] =
    {field_body, 2},
    {field_condition, 1},
  [211] =
    {field_label, 1},
  [212] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [217] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [219] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [222] =
    {field_type, 2},
  [223] =
    {field_pattern, 2},
  [224] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [227] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
  [230] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [234] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 2},
  [236] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [239] =
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [243] =
    {field_decorator, 0, .inherited = true},
  [244] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
  [246] =
    {field_decorator, 1, .inherited = true},
  [247] =
    {field_body, 3},
    {field_name, 1},
  [249] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [252] =
    {field_type_arguments, 1},
    {field_value, 0},
  [254] =
    {field_type_arguments, 1, .inherited = true},
    {field_type_arguments, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [258] =
    {field_body, 3},
    {field_type_parameters, 1},
  [260] =
    {field_body, 3},
    {field_parameter, 1},
  [262] =
    {field_body, 3},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [266] =
    {field_body, 3},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [270] =
    {field_arguments, 3},
    {field_constructor, 1},
    {field_type_arguments, 2},
  [273] =
    {field_left, 1},
    {field_right, 3},
  [275] =
    {field_flags, 3},
    {field_pattern, 1},
  [277] =
    {field_parameters, 1},
  [278] =
    {field_function, 0},
    {field_type_arguments, 1},
  [280] =
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_type_arguments, 1},
  [284] =
    {field_arguments, 1},
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [288] =
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
    {field_type_arguments, 1},
  [292] =
    {field_name, 1},
    {field_value, 2},
  [294] =
    {field_constraint, 2},
    {field_name, 1},
  [296] =
    {field_constraint, 1},
    {field_name, 0},
    {field_value, 2},
  [299] =
    {field_parameters, 0},
    {field_return_type, 2},
  [301] =
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_property, 2},
  [305] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_object, 0},
    {field_property, 2},
  [309] =
    {field_index, 2},
    {field_object, 0},
  [311] =
    {field_arguments, 3},
    {field_function, 0},
    {field_type_arguments, 2},
  [314] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [317] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [319] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [322] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [327] =
    {field_name, 2},
    {field_type, 1},
    {field_value, 4},
    {field_value, 5},
  [331] =
    {field_argument, 2, .inherited = true},
    {field_name, 0},
    {field_operator, 2, .inherited = true},
    {field_value, 2},
  [335] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [337] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [339] =
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_value, 1, .inherited = true},
  [342] =
    {field_name, 3},
    {field_type, 2},
    {field_value, 5},
  [345] =
    {field_source, 2, .inherited = true},
  [346] =
    {field_value, 2},
  [347] =
    {field_source, 2},
  [348] =
    {field_body, 3},
    {field_name, 2},
  [350] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [356] =
    {field_body, 1},
    {field_condition, 3},
  [358] =
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [362] =
    {field_type, 1},
  [363] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [368] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [370] =
    {field_pattern, 3},
  [371] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [375] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 3},
  [377] =
    {field_name, 2},
  [378] =
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [380] =
    {field_name, 1},
    {field_type, 2},
  [382] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [384] =
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [388] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [390] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [393] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
  [396] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [399] =
    {field_type_arguments, 0, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [403] =
    {field_body, 4},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [407] =
    {field_parameters, 1},
    {field_type, 2},
  [409] =
    {field_parameters, 2},
    {field_type_parameters, 1},
  [411] =
    {field_parameters, 2},
  [412] =
    {field_index, 0, .inherited = true},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 2},
  [416] =
    {field_constraint, 2},
    {field_name, 1},
    {field_value, 3},
  [419] =
    {field_parameters, 1},
    {field_type, 3},
  [421] =
    {field_parameters, 1},
    {field_return_type, 3},
    {field_type_parameters, 0},
  [424] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [427] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [430] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [433] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [437] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [440] =
    {field_name, 3},
    {field_type, 2},
    {field_value, 5},
    {field_value, 6},
  [444] =
    {field_source, 3, .inherited = true},
  [445] =
    {field_alias, 2},
    {field_name, 0},
  [447] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [452] =
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [456] =
    {field_body, 4},
    {field_name, 2},
  [458] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [461] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [463] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [465] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [468] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 4},
  [470] =
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [474] =
    {field_type, 3},
  [475] =
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [477] =
    {field_name, 2},
    {field_type, 3},
  [479] =
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [481] =
    {field_name, 1},
    {field_type, 3},
  [483] =
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [486] =
    {field_name, 3},
  [487] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [490] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [492] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [495] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
  [498] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [501] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
  [504] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [508] =
    {field_parameters, 2},
    {field_type, 3},
    {field_type_parameters, 1},
  [511] =
    {field_parameters, 2},
    {field_type, 3},
  [513] =
    {field_parameters, 3},
    {field_type_parameters, 2},
  [515] =
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [519] =
    {field_index, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [523] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
  [527] =
    {field_parameters, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [530] =
    {field_parameters, 2},
    {field_type, 4},
  [532] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [536] =
    {field_alias, 3},
    {field_name, 1},
  [538] =
    {field_name, 1},
    {field_type_parameters, 2},
    {field_value, 4},
  [541] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [544] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [547] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [552] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [555] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [557] =
    {field_name, 2, .inherited = true},
  [558] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [561] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [565] =
    {field_body, 3},
    {field_value, 1},
  [567] =
    {field_body, 4},
    {field_parameter, 2},
  [569] =
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [573] =
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [577] =
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [579] =
    {field_name, 2},
    {field_type, 4},
  [581] =
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [584] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [587] =
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [589] =
    {field_name, 3},
    {field_type, 4},
  [591] =
    {field_type, 4},
  [592] =
    {field_name, 4},
  [593] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [596] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
  [599] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [602] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
  [605] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [609] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
  [611] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [615] =
    {field_parameters, 3},
    {field_type, 4},
    {field_type_parameters, 2},
  [618] =
    {field_index, 3},
    {field_object, 0},
  [620] =
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [624] =
    {field_index, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [628] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
  [632] =
    {field_parameters, 3},
    {field_type, 5},
    {field_type_parameters, 2},
  [635] =
    {field_source, 4},
  [636] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [640] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [644] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [649] =
    {field_body, 6},
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [654] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [658] =
    {field_body, 5},
    {field_parameter, 2},
    {field_type, 3},
  [661] =
    {field_index_type, 3},
    {field_name, 1},
    {field_type, 5},
  [664] =
    {field_alias, 4},
    {field_name, 0},
    {field_type, 2},
  [667] =
    {field_sign, 0},
    {field_type, 5},
  [669] =
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [673] =
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [677] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [680] =
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [682] =
    {field_name, 3},
    {field_type, 5},
  [684] =
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [687] =
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [689] =
    {field_name, 4},
    {field_type, 5},
  [691] =
    {field_name, 5},
  [692] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [695] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
  [698] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [702] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [706] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [709] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
  [712] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
  [714] =
    {field_alternative, 6},
    {field_consequence, 4},
    {field_left, 0},
    {field_right, 2},
  [718] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
  [723] =
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [728] =
    {field_body, 7},
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [733] =
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [737] =
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [741] =
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [744] =
    {field_index_type, 4},
    {field_name, 2},
    {field_type, 6},
  [747] =
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [749] =
    {field_name, 4},
    {field_type, 6},
  [751] =
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [754] =
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [756] =
    {field_name, 5},
    {field_type, 6},
  [758] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [762] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [765] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
  [768] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [772] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [775] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
  [778] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
  [780] =
    {field_body, 8},
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [785] =
    {field_body, 8},
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [790] =
    {field_index_type, 5},
    {field_name, 3},
    {field_sign, 0},
    {field_type, 7},
  [794] =
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [798] =
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [801] =
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [803] =
    {field_name, 5},
    {field_type, 7},
  [805] =
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [808] =
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [812] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [816] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [819] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
  [822] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [826] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 7, .inherited = true},
  [829] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
  [832] =
    {field_body, 9},
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [837] =
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [840] =
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [844] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [848] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 8, .inherited = true},
  [851] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
  [854] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [858] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
    {field_value, 9, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [4] = {
    [0] = sym_identifier,
  },
  [10] = {
    [0] = sym_identifier,
  },
  [11] = {
    [1] = sym_identifier,
  },
  [18] = {
    [1] = sym_identifier,
  },
  [20] = {
    [0] = sym_identifier,
  },
  [23] = {
    [0] = alias_sym_property_identifier,
  },
  [27] = {
    [1] = sym_identifier,
  },
  [29] = {
    [1] = sym_identifier,
  },
  [39] = {
    [0] = anon_sym_list,
  },
  [40] = {
    [0] = anon_sym_list,
  },
  [41] = {
    [0] = alias_sym_this_type,
  },
  [50] = {
    [0] = sym_identifier,
    [2] = sym_identifier,
  },
  [51] = {
    [0] = sym_identifier,
  },
  [52] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [53] = {
    [1] = sym_identifier,
  },
  [60] = {
    [2] = sym_identifier,
  },
  [62] = {
    [1] = anon_sym_list,
    [2] = sym_identifier,
  },
  [63] = {
    [2] = alias_sym_property_identifier,
  },
  [64] = {
    [2] = anon_sym_list,
  },
  [65] = {
    [1] = anon_sym_list,
  },
  [66] = {
    [0] = sym_member_expression,
    [2] = alias_sym_property_identifier,
  },
  [67] = {
    [2] = sym_identifier,
  },
  [71] = {
    [1] = sym_identifier,
  },
  [75] = {
    [0] = sym_identifier,
  },
  [76] = {
    [0] = sym_identifier,
  },
  [78] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [89] = {
    [1] = anon_sym_list,
  },
  [100] = {
    [1] = anon_sym_list,
  },
  [101] = {
    [0] = anon_sym_list,
  },
  [102] = {
    [0] = anon_sym_list,
  },
  [103] = {
    [0] = anon_sym_list,
  },
  [104] = {
    [1] = anon_sym_list,
  },
  [105] = {
    [1] = anon_sym_unique,
  },
  [112] = {
    [2] = alias_sym_property_identifier,
  },
  [120] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [123] = {
    [1] = anon_sym_list,
    [2] = sym_identifier,
  },
  [124] = {
    [1] = anon_sym_list,
  },
  [125] = {
    [2] = anon_sym_list,
  },
  [126] = {
    [2] = sym_identifier,
  },
  [128] = {
    [0] = anon_sym_list,
  },
  [131] = {
    [2] = anon_sym_list,
    [3] = sym_identifier,
  },
  [132] = {
    [2] = anon_sym_list,
  },
  [133] = {
    [3] = sym_identifier,
  },
  [136] = {
    [0] = alias_sym_statement_identifier,
  },
  [140] = {
    [1] = alias_sym_statement_identifier,
  },
  [141] = {
    [1] = anon_sym_list,
    [2] = alias_sym_interface_body,
  },
  [157] = {
    [1] = anon_sym_list,
  },
  [158] = {
    [1] = anon_sym_list,
  },
  [162] = {
    [1] = sym_identifier,
  },
  [167] = {
    [1] = sym_identifier,
  },
  [175] = {
    [1] = anon_sym_list,
  },
  [176] = {
    [1] = anon_sym_list,
  },
  [177] = {
    [0] = anon_sym_list,
  },
  [179] = {
    [2] = alias_sym_property_identifier,
  },
  [181] = {
    [2] = alias_sym_property_identifier,
  },
  [185] = {
    [2] = anon_sym_list,
  },
  [189] = {
    [1] = anon_sym_list,
    [2] = sym_identifier,
  },
  [190] = {
    [1] = anon_sym_list,
  },
  [191] = {
    [2] = sym_identifier,
  },
  [193] = {
    [2] = anon_sym_list,
  },
  [198] = {
    [2] = anon_sym_list,
    [3] = sym_identifier,
  },
  [199] = {
    [2] = anon_sym_list,
  },
  [200] = {
    [3] = sym_identifier,
  },
  [209] = {
    [2] = anon_sym_list,
  },
  [210] = {
    [1] = anon_sym_list,
  },
  [212] = {
    [1] = anon_sym_list,
    [3] = alias_sym_interface_body,
  },
  [213] = {
    [1] = anon_sym_list,
    [3] = alias_sym_interface_body,
  },
  [227] = {
    [1] = anon_sym_list,
  },
  [233] = {
    [2] = alias_sym_property_identifier,
  },
  [235] = {
    [1] = anon_sym_list,
  },
  [240] = {
    [0] = sym_identifier,
  },
  [241] = {
    [2] = anon_sym_list,
  },
  [242] = {
    [2] = anon_sym_list,
  },
  [244] = {
    [2] = anon_sym_list,
    [3] = sym_identifier,
  },
  [245] = {
    [2] = anon_sym_list,
  },
  [246] = {
    [3] = sym_identifier,
  },
  [251] = {
    [1] = anon_sym_list,
  },
  [252] = {
    [0] = sym_identifier,
  },
  [254] = {
    [2] = anon_sym_list,
  },
  [255] = {
    [2] = anon_sym_list,
  },
  [256] = {
    [1] = anon_sym_list,
  },
  [258] = {
    [1] = anon_sym_list,
    [4] = alias_sym_interface_body,
  },
  [260] = {
    [3] = anon_sym_list,
  },
  [263] = {
    [0] = anon_sym_list,
  },
  [286] = {
    [2] = anon_sym_list,
  },
  [288] = {
    [1] = anon_sym_list,
  },
  [289] = {
    [1] = sym_identifier,
  },
  [290] = {
    [1] = sym_identifier,
  },
  [294] = {
    [2] = anon_sym_list,
  },
  [297] = {
    [3] = anon_sym_list,
  },
  [298] = {
    [3] = anon_sym_list,
  },
  [329] = {
    [3] = alias_sym_property_identifier,
  },
  [330] = {
    [3] = anon_sym_list,
  },
  [332] = {
    [1] = sym_identifier,
  },
  [333] = {
    [0] = anon_sym_list,
  },
  [359] = {
    [2] = sym_identifier,
  },
  [375] = {
    [3] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_nested_identifier, 2,
    sym_nested_identifier,
    sym_member_expression,
  sym_predefined_type, 2,
    sym_predefined_type,
    sym_identifier,
  sym_object_type, 2,
    sym_object_type,
    alias_sym_interface_body,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 4,
  [6] = 4,
  [7] = 4,
  [8] = 4,
  [9] = 4,
  [10] = 4,
  [11] = 4,
  [12] = 4,
  [13] = 4,
  [14] = 4,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 20,
  [23] = 21,
  [24] = 20,
  [25] = 20,
  [26] = 21,
  [27] = 20,
  [28] = 21,
  [29] = 21,
  [30] = 20,
  [31] = 21,
  [32] = 21,
  [33] = 20,
  [34] = 20,
  [35] = 21,
  [36] = 21,
  [37] = 20,
  [38] = 21,
  [39] = 20,
  [40] = 21,
  [41] = 20,
  [42] = 21,
  [43] = 21,
  [44] = 21,
  [45] = 20,
  [46] = 21,
  [47] = 20,
  [48] = 21,
  [49] = 21,
  [50] = 20,
  [51] = 20,
  [52] = 20,
  [53] = 21,
  [54] = 21,
  [55] = 20,
  [56] = 20,
  [57] = 21,
  [58] = 20,
  [59] = 21,
  [60] = 20,
  [61] = 21,
  [62] = 20,
  [63] = 21,
  [64] = 21,
  [65] = 20,
  [66] = 21,
  [67] = 20,
  [68] = 20,
  [69] = 21,
  [70] = 21,
  [71] = 21,
  [72] = 20,
  [73] = 21,
  [74] = 20,
  [75] = 20,
  [76] = 21,
  [77] = 20,
  [78] = 20,
  [79] = 21,
  [80] = 21,
  [81] = 20,
  [82] = 19,
  [83] = 21,
  [84] = 20,
  [85] = 20,
  [86] = 21,
  [87] = 20,
  [88] = 20,
  [89] = 20,
  [90] = 21,
  [91] = 20,
  [92] = 21,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 95,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 98,
  [101] = 94,
  [102] = 99,
  [103] = 103,
  [104] = 104,
  [105] = 104,
  [106] = 97,
  [107] = 107,
  [108] = 94,
  [109] = 109,
  [110] = 93,
  [111] = 94,
  [112] = 107,
  [113] = 99,
  [114] = 95,
  [115] = 98,
  [116] = 97,
  [117] = 95,
  [118] = 99,
  [119] = 104,
  [120] = 103,
  [121] = 103,
  [122] = 107,
  [123] = 97,
  [124] = 104,
  [125] = 93,
  [126] = 109,
  [127] = 98,
  [128] = 103,
  [129] = 97,
  [130] = 95,
  [131] = 103,
  [132] = 97,
  [133] = 99,
  [134] = 104,
  [135] = 94,
  [136] = 99,
  [137] = 107,
  [138] = 103,
  [139] = 109,
  [140] = 104,
  [141] = 109,
  [142] = 99,
  [143] = 93,
  [144] = 98,
  [145] = 93,
  [146] = 109,
  [147] = 107,
  [148] = 95,
  [149] = 95,
  [150] = 107,
  [151] = 93,
  [152] = 109,
  [153] = 104,
  [154] = 94,
  [155] = 98,
  [156] = 98,
  [157] = 93,
  [158] = 94,
  [159] = 109,
  [160] = 107,
  [161] = 103,
  [162] = 97,
  [163] = 163,
  [164] = 163,
  [165] = 163,
  [166] = 163,
  [167] = 163,
  [168] = 168,
  [169] = 163,
  [170] = 163,
  [171] = 168,
  [172] = 168,
  [173] = 163,
  [174] = 168,
  [175] = 163,
  [176] = 163,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 178,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 185,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 188,
  [192] = 192,
  [193] = 192,
  [194] = 192,
  [195] = 188,
  [196] = 196,
  [197] = 197,
  [198] = 188,
  [199] = 197,
  [200] = 200,
  [201] = 197,
  [202] = 189,
  [203] = 197,
  [204] = 197,
  [205] = 200,
  [206] = 197,
  [207] = 190,
  [208] = 200,
  [209] = 197,
  [210] = 200,
  [211] = 200,
  [212] = 212,
  [213] = 188,
  [214] = 214,
  [215] = 187,
  [216] = 188,
  [217] = 190,
  [218] = 218,
  [219] = 188,
  [220] = 190,
  [221] = 221,
  [222] = 188,
  [223] = 189,
  [224] = 188,
  [225] = 188,
  [226] = 226,
  [227] = 185,
  [228] = 190,
  [229] = 188,
  [230] = 188,
  [231] = 190,
  [232] = 188,
  [233] = 212,
  [234] = 196,
  [235] = 190,
  [236] = 188,
  [237] = 214,
  [238] = 238,
  [239] = 238,
  [240] = 188,
  [241] = 238,
  [242] = 238,
  [243] = 238,
  [244] = 190,
  [245] = 238,
  [246] = 246,
  [247] = 188,
  [248] = 238,
  [249] = 238,
  [250] = 238,
  [251] = 188,
  [252] = 190,
  [253] = 253,
  [254] = 253,
  [255] = 253,
  [256] = 253,
  [257] = 253,
  [258] = 253,
  [259] = 253,
  [260] = 253,
  [261] = 253,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 265,
  [267] = 265,
  [268] = 265,
  [269] = 265,
  [270] = 265,
  [271] = 265,
  [272] = 265,
  [273] = 265,
  [274] = 274,
  [275] = 274,
  [276] = 274,
  [277] = 274,
  [278] = 278,
  [279] = 274,
  [280] = 278,
  [281] = 274,
  [282] = 278,
  [283] = 278,
  [284] = 278,
  [285] = 274,
  [286] = 274,
  [287] = 278,
  [288] = 278,
  [289] = 278,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 301,
  [303] = 300,
  [304] = 304,
  [305] = 304,
  [306] = 306,
  [307] = 307,
  [308] = 306,
  [309] = 307,
  [310] = 306,
  [311] = 307,
  [312] = 304,
  [313] = 313,
  [314] = 314,
  [315] = 313,
  [316] = 313,
  [317] = 317,
  [318] = 318,
  [319] = 313,
  [320] = 313,
  [321] = 313,
  [322] = 313,
  [323] = 323,
  [324] = 324,
  [325] = 323,
  [326] = 323,
  [327] = 323,
  [328] = 323,
  [329] = 317,
  [330] = 323,
  [331] = 331,
  [332] = 323,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 331,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 331,
  [341] = 333,
  [342] = 342,
  [343] = 343,
  [344] = 317,
  [345] = 337,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 335,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 339,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 334,
  [374] = 374,
  [375] = 338,
  [376] = 376,
  [377] = 377,
  [378] = 317,
  [379] = 379,
  [380] = 331,
  [381] = 352,
  [382] = 359,
  [383] = 376,
  [384] = 358,
  [385] = 348,
  [386] = 331,
  [387] = 317,
  [388] = 347,
  [389] = 367,
  [390] = 353,
  [391] = 361,
  [392] = 363,
  [393] = 369,
  [394] = 317,
  [395] = 317,
  [396] = 370,
  [397] = 397,
  [398] = 372,
  [399] = 397,
  [400] = 317,
  [401] = 334,
  [402] = 368,
  [403] = 365,
  [404] = 317,
  [405] = 366,
  [406] = 358,
  [407] = 357,
  [408] = 317,
  [409] = 351,
  [410] = 355,
  [411] = 377,
  [412] = 339,
  [413] = 354,
  [414] = 335,
  [415] = 346,
  [416] = 338,
  [417] = 397,
  [418] = 371,
  [419] = 397,
  [420] = 360,
  [421] = 397,
  [422] = 422,
  [423] = 397,
  [424] = 349,
  [425] = 350,
  [426] = 397,
  [427] = 366,
  [428] = 335,
  [429] = 377,
  [430] = 376,
  [431] = 431,
  [432] = 432,
  [433] = 346,
  [434] = 434,
  [435] = 434,
  [436] = 365,
  [437] = 437,
  [438] = 438,
  [439] = 368,
  [440] = 434,
  [441] = 434,
  [442] = 331,
  [443] = 363,
  [444] = 369,
  [445] = 361,
  [446] = 348,
  [447] = 360,
  [448] = 350,
  [449] = 353,
  [450] = 352,
  [451] = 357,
  [452] = 452,
  [453] = 434,
  [454] = 351,
  [455] = 371,
  [456] = 354,
  [457] = 437,
  [458] = 367,
  [459] = 370,
  [460] = 331,
  [461] = 461,
  [462] = 359,
  [463] = 338,
  [464] = 438,
  [465] = 355,
  [466] = 349,
  [467] = 434,
  [468] = 452,
  [469] = 434,
  [470] = 347,
  [471] = 434,
  [472] = 434,
  [473] = 434,
  [474] = 452,
  [475] = 475,
  [476] = 434,
  [477] = 434,
  [478] = 372,
  [479] = 452,
  [480] = 434,
  [481] = 452,
  [482] = 334,
  [483] = 452,
  [484] = 452,
  [485] = 434,
  [486] = 331,
  [487] = 339,
  [488] = 374,
  [489] = 489,
  [490] = 377,
  [491] = 346,
  [492] = 351,
  [493] = 493,
  [494] = 354,
  [495] = 495,
  [496] = 357,
  [497] = 493,
  [498] = 498,
  [499] = 347,
  [500] = 493,
  [501] = 331,
  [502] = 493,
  [503] = 493,
  [504] = 372,
  [505] = 369,
  [506] = 349,
  [507] = 350,
  [508] = 366,
  [509] = 360,
  [510] = 510,
  [511] = 493,
  [512] = 361,
  [513] = 376,
  [514] = 367,
  [515] = 355,
  [516] = 365,
  [517] = 363,
  [518] = 352,
  [519] = 353,
  [520] = 493,
  [521] = 371,
  [522] = 348,
  [523] = 370,
  [524] = 359,
  [525] = 368,
  [526] = 526,
  [527] = 526,
  [528] = 528,
  [529] = 526,
  [530] = 530,
  [531] = 530,
  [532] = 526,
  [533] = 526,
  [534] = 526,
  [535] = 526,
  [536] = 536,
  [537] = 537,
  [538] = 536,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 541,
  [543] = 543,
  [544] = 540,
  [545] = 539,
  [546] = 536,
  [547] = 537,
  [548] = 548,
  [549] = 548,
  [550] = 550,
  [551] = 550,
  [552] = 537,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 548,
  [557] = 548,
  [558] = 539,
  [559] = 559,
  [560] = 550,
  [561] = 543,
  [562] = 562,
  [563] = 541,
  [564] = 540,
  [565] = 537,
  [566] = 536,
  [567] = 543,
  [568] = 540,
  [569] = 543,
  [570] = 541,
  [571] = 539,
  [572] = 540,
  [573] = 539,
  [574] = 574,
  [575] = 539,
  [576] = 536,
  [577] = 537,
  [578] = 536,
  [579] = 537,
  [580] = 541,
  [581] = 581,
  [582] = 581,
  [583] = 583,
  [584] = 584,
  [585] = 537,
  [586] = 543,
  [587] = 541,
  [588] = 588,
  [589] = 550,
  [590] = 543,
  [591] = 591,
  [592] = 592,
  [593] = 536,
  [594] = 539,
  [595] = 540,
  [596] = 550,
  [597] = 548,
  [598] = 540,
  [599] = 599,
  [600] = 537,
  [601] = 537,
  [602] = 602,
  [603] = 536,
  [604] = 604,
  [605] = 539,
  [606] = 536,
  [607] = 539,
  [608] = 541,
  [609] = 550,
  [610] = 548,
  [611] = 540,
  [612] = 550,
  [613] = 548,
  [614] = 541,
  [615] = 540,
  [616] = 543,
  [617] = 543,
  [618] = 548,
  [619] = 602,
  [620] = 543,
  [621] = 548,
  [622] = 541,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 629,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 625,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 625,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 624,
  [647] = 629,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 627,
  [657] = 657,
  [658] = 630,
  [659] = 625,
  [660] = 660,
  [661] = 633,
  [662] = 629,
  [663] = 626,
  [664] = 632,
  [665] = 633,
  [666] = 666,
  [667] = 632,
  [668] = 627,
  [669] = 637,
  [670] = 638,
  [671] = 626,
  [672] = 625,
  [673] = 630,
  [674] = 639,
  [675] = 640,
  [676] = 624,
  [677] = 648,
  [678] = 649,
  [679] = 679,
  [680] = 650,
  [681] = 652,
  [682] = 653,
  [683] = 654,
  [684] = 655,
  [685] = 634,
  [686] = 657,
  [687] = 660,
  [688] = 666,
  [689] = 627,
  [690] = 630,
  [691] = 644,
  [692] = 645,
  [693] = 634,
  [694] = 629,
  [695] = 695,
  [696] = 623,
  [697] = 695,
  [698] = 623,
  [699] = 629,
  [700] = 627,
  [701] = 630,
  [702] = 645,
  [703] = 643,
  [704] = 644,
  [705] = 630,
  [706] = 643,
  [707] = 634,
  [708] = 627,
  [709] = 625,
  [710] = 626,
  [711] = 630,
  [712] = 645,
  [713] = 644,
  [714] = 633,
  [715] = 629,
  [716] = 626,
  [717] = 717,
  [718] = 644,
  [719] = 645,
  [720] = 637,
  [721] = 638,
  [722] = 639,
  [723] = 695,
  [724] = 623,
  [725] = 640,
  [726] = 643,
  [727] = 624,
  [728] = 623,
  [729] = 695,
  [730] = 632,
  [731] = 731,
  [732] = 636,
  [733] = 648,
  [734] = 666,
  [735] = 660,
  [736] = 736,
  [737] = 644,
  [738] = 645,
  [739] = 657,
  [740] = 655,
  [741] = 654,
  [742] = 653,
  [743] = 652,
  [744] = 650,
  [745] = 649,
  [746] = 648,
  [747] = 624,
  [748] = 623,
  [749] = 640,
  [750] = 639,
  [751] = 638,
  [752] = 752,
  [753] = 637,
  [754] = 629,
  [755] = 755,
  [756] = 633,
  [757] = 630,
  [758] = 626,
  [759] = 633,
  [760] = 626,
  [761] = 649,
  [762] = 762,
  [763] = 650,
  [764] = 652,
  [765] = 653,
  [766] = 629,
  [767] = 654,
  [768] = 637,
  [769] = 634,
  [770] = 655,
  [771] = 657,
  [772] = 638,
  [773] = 639,
  [774] = 774,
  [775] = 660,
  [776] = 627,
  [777] = 640,
  [778] = 666,
  [779] = 627,
  [780] = 633,
  [781] = 624,
  [782] = 629,
  [783] = 634,
  [784] = 695,
  [785] = 648,
  [786] = 649,
  [787] = 623,
  [788] = 629,
  [789] = 666,
  [790] = 630,
  [791] = 650,
  [792] = 652,
  [793] = 653,
  [794] = 654,
  [795] = 629,
  [796] = 625,
  [797] = 797,
  [798] = 643,
  [799] = 644,
  [800] = 645,
  [801] = 643,
  [802] = 655,
  [803] = 637,
  [804] = 638,
  [805] = 623,
  [806] = 695,
  [807] = 666,
  [808] = 657,
  [809] = 660,
  [810] = 660,
  [811] = 625,
  [812] = 626,
  [813] = 633,
  [814] = 666,
  [815] = 660,
  [816] = 657,
  [817] = 655,
  [818] = 637,
  [819] = 638,
  [820] = 657,
  [821] = 655,
  [822] = 654,
  [823] = 653,
  [824] = 652,
  [825] = 637,
  [826] = 644,
  [827] = 645,
  [828] = 650,
  [829] = 639,
  [830] = 830,
  [831] = 649,
  [832] = 640,
  [833] = 624,
  [834] = 648,
  [835] = 649,
  [836] = 654,
  [837] = 650,
  [838] = 652,
  [839] = 648,
  [840] = 624,
  [841] = 653,
  [842] = 641,
  [843] = 654,
  [844] = 655,
  [845] = 639,
  [846] = 640,
  [847] = 657,
  [848] = 660,
  [849] = 653,
  [850] = 666,
  [851] = 627,
  [852] = 640,
  [853] = 652,
  [854] = 650,
  [855] = 649,
  [856] = 648,
  [857] = 639,
  [858] = 638,
  [859] = 695,
  [860] = 695,
  [861] = 695,
  [862] = 624,
  [863] = 648,
  [864] = 640,
  [865] = 643,
  [866] = 866,
  [867] = 639,
  [868] = 638,
  [869] = 634,
  [870] = 629,
  [871] = 643,
  [872] = 643,
  [873] = 637,
  [874] = 623,
  [875] = 633,
  [876] = 626,
  [877] = 645,
  [878] = 644,
  [879] = 625,
  [880] = 666,
  [881] = 660,
  [882] = 649,
  [883] = 650,
  [884] = 652,
  [885] = 653,
  [886] = 654,
  [887] = 655,
  [888] = 629,
  [889] = 657,
  [890] = 890,
  [891] = 890,
  [892] = 890,
  [893] = 890,
  [894] = 894,
  [895] = 894,
  [896] = 894,
  [897] = 894,
  [898] = 898,
  [899] = 899,
  [900] = 898,
  [901] = 898,
  [902] = 899,
  [903] = 899,
  [904] = 898,
  [905] = 899,
  [906] = 906,
  [907] = 906,
  [908] = 906,
  [909] = 906,
  [910] = 910,
  [911] = 910,
  [912] = 912,
  [913] = 912,
  [914] = 912,
  [915] = 910,
  [916] = 910,
  [917] = 912,
  [918] = 918,
  [919] = 918,
  [920] = 918,
  [921] = 918,
  [922] = 922,
  [923] = 922,
  [924] = 924,
  [925] = 922,
  [926] = 922,
  [927] = 922,
  [928] = 928,
  [929] = 922,
  [930] = 928,
  [931] = 922,
  [932] = 932,
  [933] = 932,
  [934] = 934,
  [935] = 934,
  [936] = 934,
  [937] = 937,
  [938] = 937,
  [939] = 937,
  [940] = 940,
  [941] = 924,
  [942] = 937,
  [943] = 937,
  [944] = 934,
  [945] = 937,
  [946] = 937,
  [947] = 934,
  [948] = 948,
  [949] = 949,
  [950] = 934,
  [951] = 948,
  [952] = 952,
  [953] = 948,
  [954] = 948,
  [955] = 934,
  [956] = 948,
  [957] = 948,
  [958] = 948,
  [959] = 934,
  [960] = 960,
  [961] = 928,
  [962] = 960,
  [963] = 963,
  [964] = 934,
  [965] = 934,
  [966] = 960,
  [967] = 960,
  [968] = 960,
  [969] = 960,
  [970] = 970,
  [971] = 960,
  [972] = 960,
  [973] = 973,
  [974] = 369,
  [975] = 975,
  [976] = 975,
  [977] = 975,
  [978] = 934,
  [979] = 975,
  [980] = 975,
  [981] = 963,
  [982] = 934,
  [983] = 347,
  [984] = 975,
  [985] = 934,
  [986] = 934,
  [987] = 975,
  [988] = 975,
  [989] = 350,
  [990] = 369,
  [991] = 934,
  [992] = 360,
  [993] = 993,
  [994] = 993,
  [995] = 993,
  [996] = 993,
  [997] = 347,
  [998] = 369,
  [999] = 347,
  [1000] = 993,
  [1001] = 993,
  [1002] = 963,
  [1003] = 934,
  [1004] = 949,
  [1005] = 335,
  [1006] = 993,
  [1007] = 993,
  [1008] = 339,
  [1009] = 993,
  [1010] = 934,
  [1011] = 1011,
  [1012] = 347,
  [1013] = 350,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 339,
  [1017] = 335,
  [1018] = 347,
  [1019] = 369,
  [1020] = 369,
  [1021] = 360,
  [1022] = 350,
  [1023] = 369,
  [1024] = 338,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 361,
  [1028] = 1028,
  [1029] = 353,
  [1030] = 1030,
  [1031] = 347,
  [1032] = 360,
  [1033] = 369,
  [1034] = 347,
  [1035] = 1035,
  [1036] = 1011,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 360,
  [1040] = 1040,
  [1041] = 368,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 346,
  [1045] = 350,
  [1046] = 1046,
  [1047] = 963,
  [1048] = 1030,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1035,
  [1056] = 1056,
  [1057] = 368,
  [1058] = 347,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 346,
  [1063] = 347,
  [1064] = 347,
  [1065] = 1040,
  [1066] = 1053,
  [1067] = 1049,
  [1068] = 360,
  [1069] = 1069,
  [1070] = 1043,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1038,
  [1075] = 367,
  [1076] = 1037,
  [1077] = 376,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 369,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 350,
  [1090] = 366,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 368,
  [1095] = 1054,
  [1096] = 348,
  [1097] = 1051,
  [1098] = 1050,
  [1099] = 346,
  [1100] = 1046,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 353,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 361,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 338,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 347,
  [1125] = 1125,
  [1126] = 369,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 335,
  [1130] = 339,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 360,
  [1137] = 1137,
  [1138] = 369,
  [1139] = 1139,
  [1140] = 350,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 360,
  [1145] = 1145,
  [1146] = 350,
  [1147] = 360,
  [1148] = 1148,
  [1149] = 350,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1014,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1028,
  [1169] = 1169,
  [1170] = 1026,
  [1171] = 1025,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1042,
  [1179] = 1011,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1052,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 369,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1015,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 350,
  [1260] = 1180,
  [1261] = 1069,
  [1262] = 1059,
  [1263] = 1087,
  [1264] = 1264,
  [1265] = 1071,
  [1266] = 1060,
  [1267] = 350,
  [1268] = 1102,
  [1269] = 1083,
  [1270] = 1105,
  [1271] = 1086,
  [1272] = 1110,
  [1273] = 1030,
  [1274] = 1113,
  [1275] = 1011,
  [1276] = 1114,
  [1277] = 1115,
  [1278] = 1103,
  [1279] = 1104,
  [1280] = 1121,
  [1281] = 1123,
  [1282] = 1128,
  [1283] = 1101,
  [1284] = 1107,
  [1285] = 1091,
  [1286] = 1156,
  [1287] = 1108,
  [1288] = 1132,
  [1289] = 1111,
  [1290] = 1072,
  [1291] = 1078,
  [1292] = 1037,
  [1293] = 1038,
  [1294] = 1120,
  [1295] = 1122,
  [1296] = 1134,
  [1297] = 360,
  [1298] = 1079,
  [1299] = 1081,
  [1300] = 1088,
  [1301] = 1137,
  [1302] = 1092,
  [1303] = 1139,
  [1304] = 1141,
  [1305] = 1142,
  [1306] = 1093,
  [1307] = 1143,
  [1308] = 1145,
  [1309] = 1148,
  [1310] = 1150,
  [1311] = 1151,
  [1312] = 1061,
  [1313] = 1152,
  [1314] = 1153,
  [1315] = 1155,
  [1316] = 1056,
  [1317] = 1049,
  [1318] = 1080,
  [1319] = 1157,
  [1320] = 1082,
  [1321] = 1085,
  [1322] = 1158,
  [1323] = 1054,
  [1324] = 339,
  [1325] = 335,
  [1326] = 1135,
  [1327] = 1051,
  [1328] = 1159,
  [1329] = 1050,
  [1330] = 1169,
  [1331] = 347,
  [1332] = 1042,
  [1333] = 1173,
  [1334] = 1014,
  [1335] = 1174,
  [1336] = 1154,
  [1337] = 1175,
  [1338] = 1166,
  [1339] = 1181,
  [1340] = 1182,
  [1341] = 1184,
  [1342] = 1217,
  [1343] = 1229,
  [1344] = 1237,
  [1345] = 1239,
  [1346] = 1167,
  [1347] = 1240,
  [1348] = 1125,
  [1349] = 1177,
  [1350] = 1030,
  [1351] = 1119,
  [1352] = 1127,
  [1353] = 1244,
  [1354] = 1118,
  [1355] = 1117,
  [1356] = 1116,
  [1357] = 1133,
  [1358] = 1160,
  [1359] = 1161,
  [1360] = 1162,
  [1361] = 1046,
  [1362] = 346,
  [1363] = 1183,
  [1364] = 338,
  [1365] = 1186,
  [1366] = 1193,
  [1367] = 1194,
  [1368] = 1035,
  [1369] = 1196,
  [1370] = 361,
  [1371] = 1197,
  [1372] = 353,
  [1373] = 1163,
  [1374] = 1164,
  [1375] = 1255,
  [1376] = 1028,
  [1377] = 1026,
  [1378] = 1025,
  [1379] = 1040,
  [1380] = 1015,
  [1381] = 1198,
  [1382] = 1199,
  [1383] = 369,
  [1384] = 1204,
  [1385] = 1205,
  [1386] = 1073,
  [1387] = 1206,
  [1388] = 1213,
  [1389] = 1215,
  [1390] = 1220,
  [1391] = 1221,
  [1392] = 1233,
  [1393] = 360,
  [1394] = 366,
  [1395] = 348,
  [1396] = 347,
  [1397] = 1243,
  [1398] = 347,
  [1399] = 1250,
  [1400] = 350,
  [1401] = 1131,
  [1402] = 1258,
  [1403] = 369,
  [1404] = 1211,
  [1405] = 1200,
  [1406] = 1257,
  [1407] = 360,
  [1408] = 1254,
  [1409] = 1252,
  [1410] = 1256,
  [1411] = 368,
  [1412] = 369,
  [1413] = 350,
  [1414] = 1208,
  [1415] = 1218,
  [1416] = 1209,
  [1417] = 1210,
  [1418] = 1212,
  [1419] = 360,
  [1420] = 1216,
  [1421] = 1043,
  [1422] = 1249,
  [1423] = 1214,
  [1424] = 1253,
  [1425] = 1172,
  [1426] = 1247,
  [1427] = 1176,
  [1428] = 1246,
  [1429] = 1225,
  [1430] = 1245,
  [1431] = 1185,
  [1432] = 1187,
  [1433] = 1238,
  [1434] = 1230,
  [1435] = 1224,
  [1436] = 1223,
  [1437] = 1222,
  [1438] = 1188,
  [1439] = 1189,
  [1440] = 1219,
  [1441] = 1190,
  [1442] = 1226,
  [1443] = 1227,
  [1444] = 376,
  [1445] = 1191,
  [1446] = 1235,
  [1447] = 1228,
  [1448] = 346,
  [1449] = 1231,
  [1450] = 1232,
  [1451] = 1234,
  [1452] = 1241,
  [1453] = 1192,
  [1454] = 1195,
  [1455] = 1201,
  [1456] = 1053,
  [1457] = 367,
  [1458] = 1202,
  [1459] = 1052,
  [1460] = 1203,
  [1461] = 368,
  [1462] = 1251,
  [1463] = 1207,
  [1464] = 1251,
  [1465] = 1199,
  [1466] = 1204,
  [1467] = 1205,
  [1468] = 1206,
  [1469] = 1213,
  [1470] = 1215,
  [1471] = 1220,
  [1472] = 1221,
  [1473] = 1233,
  [1474] = 1155,
  [1475] = 1153,
  [1476] = 1151,
  [1477] = 1243,
  [1478] = 1035,
  [1479] = 1250,
  [1480] = 1200,
  [1481] = 1059,
  [1482] = 1087,
  [1483] = 1071,
  [1484] = 1256,
  [1485] = 1253,
  [1486] = 1014,
  [1487] = 1079,
  [1488] = 350,
  [1489] = 1241,
  [1490] = 360,
  [1491] = 1102,
  [1492] = 1105,
  [1493] = 1125,
  [1494] = 1235,
  [1495] = 369,
  [1496] = 1234,
  [1497] = 1232,
  [1498] = 346,
  [1499] = 350,
  [1500] = 1231,
  [1501] = 1228,
  [1502] = 1211,
  [1503] = 368,
  [1504] = 360,
  [1505] = 1132,
  [1506] = 1227,
  [1507] = 1226,
  [1508] = 1225,
  [1509] = 1101,
  [1510] = 1128,
  [1511] = 1123,
  [1512] = 1216,
  [1513] = 1121,
  [1514] = 1115,
  [1515] = 1212,
  [1516] = 1210,
  [1517] = 1209,
  [1518] = 1119,
  [1519] = 1114,
  [1520] = 1113,
  [1521] = 1110,
  [1522] = 1028,
  [1523] = 1026,
  [1524] = 1025,
  [1525] = 1196,
  [1526] = 1208,
  [1527] = 1060,
  [1528] = 1198,
  [1529] = 1197,
  [1530] = 1207,
  [1531] = 1186,
  [1532] = 1194,
  [1533] = 1193,
  [1534] = 1046,
  [1535] = 1183,
  [1536] = 1180,
  [1537] = 1177,
  [1538] = 1203,
  [1539] = 1167,
  [1540] = 1166,
  [1541] = 1154,
  [1542] = 1056,
  [1543] = 1135,
  [1544] = 1214,
  [1545] = 1134,
  [1546] = 1122,
  [1547] = 1120,
  [1548] = 1202,
  [1549] = 1201,
  [1550] = 1195,
  [1551] = 1192,
  [1552] = 1156,
  [1553] = 1111,
  [1554] = 1042,
  [1555] = 1052,
  [1556] = 1191,
  [1557] = 366,
  [1558] = 1190,
  [1559] = 1189,
  [1560] = 376,
  [1561] = 367,
  [1562] = 1188,
  [1563] = 1187,
  [1564] = 1185,
  [1565] = 1108,
  [1566] = 1107,
  [1567] = 350,
  [1568] = 1072,
  [1569] = 1078,
  [1570] = 1118,
  [1571] = 1137,
  [1572] = 1049,
  [1573] = 1139,
  [1574] = 1141,
  [1575] = 360,
  [1576] = 348,
  [1577] = 1142,
  [1578] = 1143,
  [1579] = 1104,
  [1580] = 1103,
  [1581] = 1086,
  [1582] = 1145,
  [1583] = 1148,
  [1584] = 1083,
  [1585] = 1218,
  [1586] = 1088,
  [1587] = 1092,
  [1588] = 1150,
  [1589] = 1219,
  [1590] = 347,
  [1591] = 1093,
  [1592] = 1176,
  [1593] = 1172,
  [1594] = 1237,
  [1595] = 1152,
  [1596] = 1157,
  [1597] = 1164,
  [1598] = 1163,
  [1599] = 1239,
  [1600] = 1162,
  [1601] = 346,
  [1602] = 1161,
  [1603] = 353,
  [1604] = 361,
  [1605] = 1158,
  [1606] = 1160,
  [1607] = 1133,
  [1608] = 1127,
  [1609] = 368,
  [1610] = 338,
  [1611] = 1159,
  [1612] = 1169,
  [1613] = 1173,
  [1614] = 1174,
  [1615] = 1175,
  [1616] = 1181,
  [1617] = 1116,
  [1618] = 1182,
  [1619] = 1184,
  [1620] = 1217,
  [1621] = 1229,
  [1622] = 1240,
  [1623] = 1244,
  [1624] = 1054,
  [1625] = 1069,
  [1626] = 1255,
  [1627] = 1085,
  [1628] = 1082,
  [1629] = 1080,
  [1630] = 1073,
  [1631] = 1131,
  [1632] = 1258,
  [1633] = 1257,
  [1634] = 1117,
  [1635] = 1254,
  [1636] = 1252,
  [1637] = 1249,
  [1638] = 1247,
  [1639] = 1246,
  [1640] = 1051,
  [1641] = 1245,
  [1642] = 1037,
  [1643] = 1091,
  [1644] = 1061,
  [1645] = 1238,
  [1646] = 1230,
  [1647] = 1224,
  [1648] = 1223,
  [1649] = 1222,
  [1650] = 1038,
  [1651] = 1050,
  [1652] = 369,
  [1653] = 1043,
  [1654] = 1053,
  [1655] = 1015,
  [1656] = 1040,
  [1657] = 347,
  [1658] = 1081,
  [1659] = 1212,
  [1660] = 1237,
  [1661] = 376,
  [1662] = 1093,
  [1663] = 1083,
  [1664] = 1086,
  [1665] = 1103,
  [1666] = 1104,
  [1667] = 1078,
  [1668] = 1072,
  [1669] = 1219,
  [1670] = 1088,
  [1671] = 1218,
  [1672] = 1205,
  [1673] = 360,
  [1674] = 1116,
  [1675] = 1107,
  [1676] = 1117,
  [1677] = 1108,
  [1678] = 1111,
  [1679] = 1156,
  [1680] = 1091,
  [1681] = 1118,
  [1682] = 1120,
  [1683] = 1069,
  [1684] = 1122,
  [1685] = 350,
  [1686] = 1134,
  [1687] = 1214,
  [1688] = 1256,
  [1689] = 1253,
  [1690] = 1251,
  [1691] = 1061,
  [1692] = 1135,
  [1693] = 1154,
  [1694] = 1166,
  [1695] = 1167,
  [1696] = 1177,
  [1697] = 1180,
  [1698] = 1183,
  [1699] = 1186,
  [1700] = 1238,
  [1701] = 1153,
  [1702] = 1155,
  [1703] = 1056,
  [1704] = 1193,
  [1705] = 1230,
  [1706] = 1241,
  [1707] = 1194,
  [1708] = 1196,
  [1709] = 1224,
  [1710] = 1223,
  [1711] = 1197,
  [1712] = 1198,
  [1713] = 1102,
  [1714] = 1199,
  [1715] = 1204,
  [1716] = 1222,
  [1717] = 1105,
  [1718] = 1157,
  [1719] = 1176,
  [1720] = 1164,
  [1721] = 1163,
  [1722] = 1206,
  [1723] = 1162,
  [1724] = 1161,
  [1725] = 1213,
  [1726] = 1215,
  [1727] = 1172,
  [1728] = 1152,
  [1729] = 1220,
  [1730] = 1255,
  [1731] = 1221,
  [1732] = 1233,
  [1733] = 1243,
  [1734] = 1158,
  [1735] = 1250,
  [1736] = 1160,
  [1737] = 1133,
  [1738] = 1200,
  [1739] = 1085,
  [1740] = 1082,
  [1741] = 1080,
  [1742] = 1059,
  [1743] = 1079,
  [1744] = 1087,
  [1745] = 1073,
  [1746] = 1081,
  [1747] = 1071,
  [1748] = 1151,
  [1749] = 1131,
  [1750] = 1264,
  [1751] = 1092,
  [1752] = 1150,
  [1753] = 1148,
  [1754] = 1258,
  [1755] = 1119,
  [1756] = 1145,
  [1757] = 346,
  [1758] = 1127,
  [1759] = 1159,
  [1760] = 1143,
  [1761] = 1169,
  [1762] = 1257,
  [1763] = 1060,
  [1764] = 1142,
  [1765] = 1173,
  [1766] = 1174,
  [1767] = 1175,
  [1768] = 1141,
  [1769] = 1139,
  [1770] = 1137,
  [1771] = 1254,
  [1772] = 1252,
  [1773] = 366,
  [1774] = 1185,
  [1775] = 1187,
  [1776] = 1181,
  [1777] = 1188,
  [1778] = 1182,
  [1779] = 1249,
  [1780] = 1189,
  [1781] = 1190,
  [1782] = 1191,
  [1783] = 1184,
  [1784] = 1192,
  [1785] = 1217,
  [1786] = 1195,
  [1787] = 1247,
  [1788] = 1201,
  [1789] = 1229,
  [1790] = 1202,
  [1791] = 1203,
  [1792] = 367,
  [1793] = 1239,
  [1794] = 1207,
  [1795] = 1240,
  [1796] = 1208,
  [1797] = 1209,
  [1798] = 1210,
  [1799] = 1244,
  [1800] = 1232,
  [1801] = 1216,
  [1802] = 1225,
  [1803] = 1226,
  [1804] = 1227,
  [1805] = 1132,
  [1806] = 1211,
  [1807] = 1228,
  [1808] = 1231,
  [1809] = 1246,
  [1810] = 1234,
  [1811] = 1235,
  [1812] = 1125,
  [1813] = 1101,
  [1814] = 1128,
  [1815] = 1123,
  [1816] = 1121,
  [1817] = 368,
  [1818] = 1115,
  [1819] = 1114,
  [1820] = 1113,
  [1821] = 1110,
  [1822] = 348,
  [1823] = 1245,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1014,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1042,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 338,
  [1838] = 339,
  [1839] = 335,
  [1840] = 361,
  [1841] = 334,
  [1842] = 338,
  [1843] = 353,
  [1844] = 376,
  [1845] = 367,
  [1846] = 339,
  [1847] = 335,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1849,
  [1851] = 359,
  [1852] = 1848,
  [1853] = 372,
  [1854] = 370,
  [1855] = 354,
  [1856] = 366,
  [1857] = 349,
  [1858] = 1849,
  [1859] = 1849,
  [1860] = 1849,
  [1861] = 361,
  [1862] = 348,
  [1863] = 1849,
  [1864] = 353,
  [1865] = 346,
  [1866] = 1849,
  [1867] = 1848,
  [1868] = 367,
  [1869] = 376,
  [1870] = 351,
  [1871] = 1849,
  [1872] = 350,
  [1873] = 360,
  [1874] = 357,
  [1875] = 352,
  [1876] = 1849,
  [1877] = 355,
  [1878] = 1849,
  [1879] = 1848,
  [1880] = 368,
  [1881] = 371,
  [1882] = 377,
  [1883] = 365,
  [1884] = 1848,
  [1885] = 334,
  [1886] = 347,
  [1887] = 1849,
  [1888] = 1849,
  [1889] = 363,
  [1890] = 1849,
  [1891] = 369,
  [1892] = 377,
  [1893] = 365,
  [1894] = 347,
  [1895] = 1895,
  [1896] = 366,
  [1897] = 1897,
  [1898] = 1897,
  [1899] = 346,
  [1900] = 360,
  [1901] = 369,
  [1902] = 1895,
  [1903] = 1895,
  [1904] = 350,
  [1905] = 1897,
  [1906] = 371,
  [1907] = 1895,
  [1908] = 349,
  [1909] = 372,
  [1910] = 363,
  [1911] = 1897,
  [1912] = 352,
  [1913] = 357,
  [1914] = 355,
  [1915] = 351,
  [1916] = 354,
  [1917] = 368,
  [1918] = 370,
  [1919] = 1897,
  [1920] = 1895,
  [1921] = 359,
  [1922] = 348,
  [1923] = 1923,
  [1924] = 1923,
  [1925] = 1923,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1927,
  [1933] = 1929,
  [1934] = 1930,
  [1935] = 1929,
  [1936] = 1936,
  [1937] = 1931,
  [1938] = 1938,
  [1939] = 1929,
  [1940] = 1936,
  [1941] = 1931,
  [1942] = 1928,
  [1943] = 1931,
  [1944] = 1930,
  [1945] = 1929,
  [1946] = 1928,
  [1947] = 1936,
  [1948] = 1938,
  [1949] = 1928,
  [1950] = 1931,
  [1951] = 1927,
  [1952] = 1930,
  [1953] = 1936,
  [1954] = 1927,
  [1955] = 1930,
  [1956] = 1928,
  [1957] = 1936,
  [1958] = 1929,
  [1959] = 1931,
  [1960] = 1928,
  [1961] = 1927,
  [1962] = 1936,
  [1963] = 1928,
  [1964] = 1964,
  [1965] = 1927,
  [1966] = 1929,
  [1967] = 1930,
  [1968] = 1927,
  [1969] = 1931,
  [1970] = 1936,
  [1971] = 1930,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 1974,
  [1976] = 1974,
  [1977] = 1974,
  [1978] = 1974,
  [1979] = 1972,
  [1980] = 1974,
  [1981] = 1981,
  [1982] = 1982,
  [1983] = 1982,
  [1984] = 1981,
  [1985] = 1981,
  [1986] = 1982,
  [1987] = 1982,
  [1988] = 1982,
  [1989] = 1981,
  [1990] = 1981,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 1991,
  [1994] = 1994,
  [1995] = 1995,
  [1996] = 1994,
  [1997] = 1995,
  [1998] = 1992,
  [1999] = 1994,
  [2000] = 1995,
  [2001] = 1991,
  [2002] = 1992,
  [2003] = 1992,
  [2004] = 1994,
  [2005] = 1995,
  [2006] = 1991,
  [2007] = 1992,
  [2008] = 2008,
  [2009] = 2009,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 2009,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 2018,
  [2022] = 2009,
  [2023] = 2013,
  [2024] = 2014,
  [2025] = 2013,
  [2026] = 2009,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2028,
  [2030] = 2009,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 2013,
  [2034] = 2034,
  [2035] = 2034,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 2032,
  [2040] = 2013,
  [2041] = 2014,
  [2042] = 2018,
  [2043] = 2008,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2009,
  [2048] = 2019,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 2051,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2016,
  [2057] = 2010,
  [2058] = 2034,
  [2059] = 2054,
  [2060] = 2014,
  [2061] = 2044,
  [2062] = 2062,
  [2063] = 2027,
  [2064] = 2017,
  [2065] = 2017,
  [2066] = 2066,
  [2067] = 2045,
  [2068] = 2014,
  [2069] = 2031,
  [2070] = 2013,
  [2071] = 2011,
  [2072] = 2072,
  [2073] = 2027,
  [2074] = 2028,
  [2075] = 2010,
  [2076] = 2016,
  [2077] = 2077,
  [2078] = 2032,
  [2079] = 2036,
  [2080] = 2055,
  [2081] = 2010,
  [2082] = 2019,
  [2083] = 2016,
  [2084] = 2055,
  [2085] = 2028,
  [2086] = 2009,
  [2087] = 2013,
  [2088] = 2027,
  [2089] = 2089,
  [2090] = 2090,
  [2091] = 2091,
  [2092] = 2055,
  [2093] = 2045,
  [2094] = 2014,
  [2095] = 2095,
  [2096] = 2096,
  [2097] = 2008,
  [2098] = 2054,
  [2099] = 2096,
  [2100] = 2044,
  [2101] = 2036,
  [2102] = 2077,
  [2103] = 2103,
  [2104] = 2104,
  [2105] = 2036,
  [2106] = 2017,
  [2107] = 2014,
  [2108] = 2044,
  [2109] = 2014,
  [2110] = 2013,
  [2111] = 2016,
  [2112] = 2010,
  [2113] = 2028,
  [2114] = 2034,
  [2115] = 2096,
  [2116] = 2096,
  [2117] = 2054,
  [2118] = 2018,
  [2119] = 2008,
  [2120] = 2032,
  [2121] = 2009,
  [2122] = 2018,
  [2123] = 2019,
  [2124] = 2036,
  [2125] = 2008,
  [2126] = 2034,
  [2127] = 2019,
  [2128] = 2017,
  [2129] = 2031,
  [2130] = 2096,
  [2131] = 2045,
  [2132] = 2027,
  [2133] = 2031,
  [2134] = 2032,
  [2135] = 2045,
  [2136] = 2044,
  [2137] = 2054,
  [2138] = 2055,
  [2139] = 2031,
  [2140] = 2140,
  [2141] = 2141,
  [2142] = 1088,
  [2143] = 2143,
  [2144] = 2141,
  [2145] = 1093,
  [2146] = 2146,
  [2147] = 1214,
  [2148] = 2148,
  [2149] = 2149,
  [2150] = 1211,
  [2151] = 2151,
  [2152] = 2146,
  [2153] = 1218,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2151,
  [2159] = 1219,
  [2160] = 2160,
  [2161] = 2160,
  [2162] = 2162,
  [2163] = 2160,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 2143,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 2164,
  [2171] = 2151,
  [2172] = 2151,
  [2173] = 2160,
  [2174] = 2164,
  [2175] = 2160,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2168,
  [2180] = 2160,
  [2181] = 2181,
  [2182] = 2151,
  [2183] = 2164,
  [2184] = 2168,
  [2185] = 2168,
  [2186] = 2168,
  [2187] = 2187,
  [2188] = 2168,
  [2189] = 2151,
  [2190] = 2164,
  [2191] = 2191,
  [2192] = 2168,
  [2193] = 2164,
  [2194] = 2164,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2160,
  [2200] = 2200,
  [2201] = 2200,
  [2202] = 2202,
  [2203] = 2200,
  [2204] = 2202,
  [2205] = 2200,
  [2206] = 2200,
  [2207] = 2207,
  [2208] = 2200,
  [2209] = 2202,
  [2210] = 2200,
  [2211] = 2200,
  [2212] = 2151,
  [2213] = 2200,
  [2214] = 2202,
  [2215] = 2200,
  [2216] = 2200,
  [2217] = 2151,
  [2218] = 2151,
  [2219] = 2219,
  [2220] = 2219,
  [2221] = 2151,
  [2222] = 2219,
  [2223] = 2223,
  [2224] = 2223,
  [2225] = 2151,
  [2226] = 2223,
  [2227] = 2223,
  [2228] = 2228,
  [2229] = 2223,
  [2230] = 2219,
  [2231] = 2231,
  [2232] = 2151,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2219,
  [2236] = 2151,
  [2237] = 2151,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2228,
  [2242] = 2242,
  [2243] = 2234,
  [2244] = 2223,
  [2245] = 2234,
  [2246] = 2151,
  [2247] = 2234,
  [2248] = 2228,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2228,
  [2252] = 2252,
  [2253] = 2219,
  [2254] = 2254,
  [2255] = 2223,
  [2256] = 2219,
  [2257] = 2250,
  [2258] = 2223,
  [2259] = 2151,
  [2260] = 2219,
  [2261] = 2141,
  [2262] = 2151,
  [2263] = 2263,
  [2264] = 2263,
  [2265] = 2265,
  [2266] = 2250,
  [2267] = 2263,
  [2268] = 2268,
  [2269] = 2268,
  [2270] = 2270,
  [2271] = 2270,
  [2272] = 2151,
  [2273] = 2268,
  [2274] = 2263,
  [2275] = 2268,
  [2276] = 2151,
  [2277] = 2277,
  [2278] = 2270,
  [2279] = 2279,
  [2280] = 2268,
  [2281] = 2263,
  [2282] = 2270,
  [2283] = 2263,
  [2284] = 2268,
  [2285] = 2285,
  [2286] = 2270,
  [2287] = 2263,
  [2288] = 2270,
  [2289] = 2270,
  [2290] = 2268,
  [2291] = 2270,
  [2292] = 2270,
  [2293] = 2268,
  [2294] = 2263,
  [2295] = 2263,
  [2296] = 2151,
  [2297] = 1042,
  [2298] = 2268,
  [2299] = 2263,
  [2300] = 2151,
  [2301] = 2270,
  [2302] = 2268,
  [2303] = 2263,
  [2304] = 2169,
  [2305] = 2250,
  [2306] = 2250,
  [2307] = 2268,
  [2308] = 2270,
  [2309] = 1014,
  [2310] = 2151,
  [2311] = 2250,
  [2312] = 2151,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2313,
  [2316] = 2313,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2313,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2250,
  [2324] = 2324,
  [2325] = 2279,
  [2326] = 2313,
  [2327] = 2327,
  [2328] = 2313,
  [2329] = 2313,
  [2330] = 2313,
  [2331] = 2277,
  [2332] = 2279,
  [2333] = 2250,
  [2334] = 2277,
  [2335] = 2313,
  [2336] = 2321,
  [2337] = 2318,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2339,
  [2341] = 2250,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2339,
  [2345] = 2339,
  [2346] = 2277,
  [2347] = 2324,
  [2348] = 2339,
  [2349] = 2349,
  [2350] = 2277,
  [2351] = 2324,
  [2352] = 2339,
  [2353] = 2343,
  [2354] = 2339,
  [2355] = 2339,
  [2356] = 2339,
  [2357] = 2339,
  [2358] = 2343,
  [2359] = 2343,
  [2360] = 2343,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2343,
  [2364] = 2349,
  [2365] = 2250,
  [2366] = 2338,
  [2367] = 2342,
  [2368] = 2362,
  [2369] = 2343,
  [2370] = 2338,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2250,
  [2376] = 2339,
  [2377] = 2373,
  [2378] = 2371,
  [2379] = 2250,
  [2380] = 2374,
  [2381] = 2324,
  [2382] = 2249,
  [2383] = 2383,
  [2384] = 2277,
  [2385] = 2385,
  [2386] = 2371,
  [2387] = 2383,
  [2388] = 2338,
  [2389] = 2277,
  [2390] = 2314,
  [2391] = 2322,
  [2392] = 2250,
  [2393] = 2385,
  [2394] = 2252,
  [2395] = 2231,
  [2396] = 2265,
  [2397] = 2250,
  [2398] = 2238,
  [2399] = 2240,
  [2400] = 2242,
  [2401] = 2401,
  [2402] = 2342,
  [2403] = 2383,
  [2404] = 2383,
  [2405] = 2322,
  [2406] = 2314,
  [2407] = 2371,
  [2408] = 2385,
  [2409] = 2342,
  [2410] = 2342,
  [2411] = 2254,
  [2412] = 2385,
  [2413] = 2277,
  [2414] = 2414,
  [2415] = 2415,
  [2416] = 2385,
  [2417] = 1042,
  [2418] = 2342,
  [2419] = 2324,
  [2420] = 2383,
  [2421] = 2371,
  [2422] = 2385,
  [2423] = 2277,
  [2424] = 1014,
  [2425] = 2383,
  [2426] = 2426,
  [2427] = 2265,
  [2428] = 2383,
  [2429] = 2371,
  [2430] = 2385,
  [2431] = 2431,
  [2432] = 2415,
  [2433] = 2317,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2435,
  [2437] = 2437,
  [2438] = 2434,
  [2439] = 2439,
  [2440] = 2435,
  [2441] = 2434,
  [2442] = 2435,
  [2443] = 2434,
  [2444] = 2444,
  [2445] = 2437,
  [2446] = 2327,
  [2447] = 2361,
  [2448] = 2435,
  [2449] = 2434,
  [2450] = 2435,
  [2451] = 2434,
  [2452] = 2452,
  [2453] = 2435,
  [2454] = 2435,
  [2455] = 2265,
  [2456] = 2342,
  [2457] = 2434,
  [2458] = 2435,
  [2459] = 2434,
  [2460] = 2324,
  [2461] = 2435,
  [2462] = 2435,
  [2463] = 2324,
  [2464] = 2434,
  [2465] = 2434,
  [2466] = 2434,
  [2467] = 2437,
  [2468] = 2434,
  [2469] = 2342,
  [2470] = 2435,
  [2471] = 2471,
  [2472] = 2435,
  [2473] = 2435,
  [2474] = 2434,
  [2475] = 2434,
  [2476] = 2277,
  [2477] = 2471,
  [2478] = 2437,
  [2479] = 2324,
  [2480] = 2434,
  [2481] = 2471,
  [2482] = 2435,
  [2483] = 2435,
  [2484] = 2434,
  [2485] = 2434,
  [2486] = 2435,
  [2487] = 2434,
  [2488] = 2435,
  [2489] = 2265,
  [2490] = 2490,
  [2491] = 2437,
  [2492] = 2471,
  [2493] = 2435,
  [2494] = 2434,
  [2495] = 2324,
  [2496] = 2434,
  [2497] = 2471,
  [2498] = 2471,
  [2499] = 2471,
  [2500] = 2471,
  [2501] = 2437,
  [2502] = 2437,
  [2503] = 2371,
  [2504] = 2434,
  [2505] = 2371,
  [2506] = 2435,
  [2507] = 2322,
  [2508] = 2314,
  [2509] = 2435,
  [2510] = 2434,
  [2511] = 2435,
  [2512] = 2324,
  [2513] = 2322,
  [2514] = 2265,
  [2515] = 2342,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2318,
  [2519] = 2314,
  [2520] = 2321,
  [2521] = 2371,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2342,
  [2525] = 2371,
  [2526] = 2342,
  [2527] = 2342,
  [2528] = 2342,
  [2529] = 2342,
  [2530] = 2401,
  [2531] = 2531,
  [2532] = 2414,
  [2533] = 2371,
  [2534] = 2371,
  [2535] = 2349,
  [2536] = 2265,
  [2537] = 2342,
  [2538] = 2342,
  [2539] = 2371,
  [2540] = 2371,
  [2541] = 2371,
  [2542] = 2371,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 2544,
  [2546] = 2490,
  [2547] = 2547,
  [2548] = 2547,
  [2549] = 2549,
  [2550] = 2550,
  [2551] = 2550,
  [2552] = 2544,
  [2553] = 2371,
  [2554] = 2544,
  [2555] = 2265,
  [2556] = 2544,
  [2557] = 2550,
  [2558] = 2547,
  [2559] = 2550,
  [2560] = 2549,
  [2561] = 2550,
  [2562] = 2549,
  [2563] = 2265,
  [2564] = 2547,
  [2565] = 2549,
  [2566] = 2550,
  [2567] = 2544,
  [2568] = 2550,
  [2569] = 2265,
  [2570] = 2550,
  [2571] = 2342,
  [2572] = 2544,
  [2573] = 2544,
  [2574] = 2550,
  [2575] = 2544,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 2576,
  [2579] = 2576,
  [2580] = 2576,
  [2581] = 2576,
  [2582] = 2576,
  [2583] = 2577,
  [2584] = 2577,
  [2585] = 2576,
  [2586] = 2577,
  [2587] = 2576,
  [2588] = 2577,
  [2589] = 2576,
  [2590] = 2577,
  [2591] = 2591,
  [2592] = 2591,
  [2593] = 2591,
  [2594] = 2594,
  [2595] = 2594,
  [2596] = 2596,
  [2597] = 2594,
  [2598] = 2591,
  [2599] = 2591,
  [2600] = 2591,
  [2601] = 2594,
  [2602] = 2594,
  [2603] = 2594,
  [2604] = 2604,
  [2605] = 2604,
  [2606] = 2604,
  [2607] = 2604,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2604,
  [2613] = 2608,
  [2614] = 2608,
  [2615] = 2608,
  [2616] = 2608,
  [2617] = 2608,
  [2618] = 2604,
  [2619] = 2619,
  [2620] = 2620,
  [2621] = 2621,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2624,
  [2625] = 2624,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2628,
  [2629] = 2626,
  [2630] = 2626,
  [2631] = 2631,
  [2632] = 2626,
  [2633] = 2633,
  [2634] = 2634,
  [2635] = 2635,
  [2636] = 2626,
  [2637] = 2637,
  [2638] = 2626,
  [2639] = 2639,
  [2640] = 2640,
  [2641] = 2641,
  [2642] = 2626,
  [2643] = 2643,
  [2644] = 2644,
  [2645] = 2645,
  [2646] = 2646,
  [2647] = 2647,
  [2648] = 2648,
  [2649] = 2649,
  [2650] = 2649,
  [2651] = 2651,
  [2652] = 2652,
  [2653] = 2653,
  [2654] = 2654,
  [2655] = 2649,
  [2656] = 2654,
  [2657] = 2657,
  [2658] = 2654,
  [2659] = 2659,
  [2660] = 2654,
  [2661] = 2661,
  [2662] = 2662,
  [2663] = 2663,
  [2664] = 2664,
  [2665] = 2665,
  [2666] = 2666,
  [2667] = 2645,
  [2668] = 2652,
  [2669] = 2661,
  [2670] = 376,
  [2671] = 2671,
  [2672] = 2654,
  [2673] = 2673,
  [2674] = 2674,
  [2675] = 2645,
  [2676] = 2652,
  [2677] = 2677,
  [2678] = 2654,
  [2679] = 2679,
  [2680] = 2680,
  [2681] = 2649,
  [2682] = 2649,
  [2683] = 2683,
  [2684] = 2652,
  [2685] = 2685,
  [2686] = 2686,
  [2687] = 2687,
  [2688] = 2645,
  [2689] = 2649,
  [2690] = 2652,
  [2691] = 2691,
  [2692] = 2654,
  [2693] = 2693,
  [2694] = 367,
  [2695] = 2695,
  [2696] = 2687,
  [2697] = 2697,
  [2698] = 2664,
  [2699] = 2699,
  [2700] = 2700,
  [2701] = 2645,
  [2702] = 2652,
  [2703] = 2703,
  [2704] = 2704,
  [2705] = 2705,
  [2706] = 2706,
  [2707] = 2645,
  [2708] = 2649,
  [2709] = 2709,
  [2710] = 2693,
  [2711] = 2711,
  [2712] = 2712,
  [2713] = 2713,
  [2714] = 2714,
  [2715] = 2715,
  [2716] = 2716,
  [2717] = 2717,
  [2718] = 2718,
  [2719] = 2719,
  [2720] = 2720,
  [2721] = 2721,
  [2722] = 2722,
  [2723] = 2723,
  [2724] = 2724,
  [2725] = 2725,
  [2726] = 2726,
  [2727] = 2727,
  [2728] = 2728,
  [2729] = 2729,
  [2730] = 2730,
  [2731] = 2731,
  [2732] = 2718,
  [2733] = 2733,
  [2734] = 2722,
  [2735] = 2718,
  [2736] = 2736,
  [2737] = 2737,
  [2738] = 2738,
  [2739] = 2718,
  [2740] = 2718,
  [2741] = 2712,
  [2742] = 2742,
  [2743] = 2713,
  [2744] = 2744,
  [2745] = 2718,
  [2746] = 2716,
  [2747] = 2747,
  [2748] = 2748,
  [2749] = 2718,
  [2750] = 2750,
  [2751] = 2751,
  [2752] = 2752,
  [2753] = 2149,
  [2754] = 376,
  [2755] = 2755,
  [2756] = 367,
  [2757] = 338,
  [2758] = 2758,
  [2759] = 2759,
  [2760] = 2760,
  [2761] = 2761,
  [2762] = 2762,
  [2763] = 334,
  [2764] = 2764,
  [2765] = 2765,
  [2766] = 2766,
  [2767] = 2767,
  [2768] = 2768,
  [2769] = 2769,
  [2770] = 2770,
  [2771] = 2771,
  [2772] = 2772,
  [2773] = 2156,
  [2774] = 2774,
  [2775] = 2775,
  [2776] = 2776,
  [2777] = 2777,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 2154,
  [2781] = 2781,
  [2782] = 339,
  [2783] = 2783,
  [2784] = 2784,
  [2785] = 335,
  [2786] = 2786,
  [2787] = 2787,
  [2788] = 2652,
  [2789] = 2645,
  [2790] = 2790,
  [2791] = 2787,
  [2792] = 2792,
  [2793] = 2793,
  [2794] = 2794,
  [2795] = 2795,
  [2796] = 2796,
  [2797] = 2797,
  [2798] = 2798,
  [2799] = 2799,
  [2800] = 2800,
  [2801] = 2801,
  [2802] = 1125,
  [2803] = 2803,
  [2804] = 2804,
  [2805] = 2805,
  [2806] = 2806,
  [2807] = 2807,
  [2808] = 2808,
  [2809] = 2809,
  [2810] = 2810,
  [2811] = 2811,
  [2812] = 2812,
  [2813] = 2813,
  [2814] = 2814,
  [2815] = 2787,
  [2816] = 2816,
  [2817] = 2198,
  [2818] = 2196,
  [2819] = 2191,
  [2820] = 2645,
  [2821] = 2652,
  [2822] = 1119,
  [2823] = 2823,
  [2824] = 2824,
  [2825] = 2825,
  [2826] = 2826,
  [2827] = 2827,
  [2828] = 2828,
  [2829] = 2829,
  [2830] = 2830,
  [2831] = 2831,
  [2832] = 2832,
  [2833] = 2833,
  [2834] = 2834,
  [2835] = 2835,
  [2836] = 2165,
  [2837] = 2195,
  [2838] = 2187,
  [2839] = 2181,
  [2840] = 2162,
  [2841] = 2841,
  [2842] = 2842,
  [2843] = 2843,
  [2844] = 2844,
  [2845] = 1118,
  [2846] = 2846,
  [2847] = 2847,
  [2848] = 2848,
  [2849] = 2849,
  [2850] = 2850,
  [2851] = 2851,
  [2852] = 2852,
  [2853] = 2853,
  [2854] = 2854,
  [2855] = 2855,
  [2856] = 2856,
  [2857] = 2857,
  [2858] = 2787,
  [2859] = 2859,
  [2860] = 2860,
  [2861] = 2861,
  [2862] = 2645,
  [2863] = 2652,
  [2864] = 2864,
  [2865] = 2865,
  [2866] = 2866,
  [2867] = 2176,
  [2868] = 2177,
  [2869] = 2178,
  [2870] = 2870,
  [2871] = 2871,
  [2872] = 2872,
  [2873] = 2873,
  [2874] = 1117,
  [2875] = 2875,
  [2876] = 2876,
  [2877] = 2877,
  [2878] = 2878,
  [2879] = 2879,
  [2880] = 2880,
  [2881] = 2881,
  [2882] = 2882,
  [2883] = 2883,
  [2884] = 2884,
  [2885] = 2885,
  [2886] = 2886,
  [2887] = 2887,
  [2888] = 1116,
  [2889] = 2889,
  [2890] = 2787,
  [2891] = 2891,
  [2892] = 2892,
  [2893] = 2893,
  [2894] = 2894,
  [2895] = 2895,
  [2896] = 2896,
  [2897] = 2897,
  [2898] = 2898,
  [2899] = 2899,
  [2900] = 2900,
  [2901] = 2901,
  [2902] = 2645,
  [2903] = 2903,
  [2904] = 2904,
  [2905] = 2787,
  [2906] = 2652,
  [2907] = 2652,
  [2908] = 2645,
  [2909] = 2787,
  [2910] = 361,
  [2911] = 2911,
  [2912] = 2912,
  [2913] = 2913,
  [2914] = 353,
  [2915] = 2787,
  [2916] = 2787,
  [2917] = 2917,
  [2918] = 2787,
  [2919] = 2919,
  [2920] = 2920,
  [2921] = 2921,
  [2922] = 2652,
  [2923] = 2652,
  [2924] = 2645,
  [2925] = 2645,
  [2926] = 2926,
  [2927] = 2927,
  [2928] = 2928,
  [2929] = 2929,
  [2930] = 2787,
  [2931] = 2931,
  [2932] = 2932,
  [2933] = 2933,
  [2934] = 2934,
  [2935] = 2935,
  [2936] = 2936,
  [2937] = 2937,
  [2938] = 2938,
  [2939] = 2939,
  [2940] = 2940,
  [2941] = 347,
  [2942] = 2942,
  [2943] = 369,
  [2944] = 2944,
  [2945] = 2945,
  [2946] = 2946,
  [2947] = 2947,
  [2948] = 2948,
  [2949] = 2949,
  [2950] = 339,
  [2951] = 335,
  [2952] = 338,
  [2953] = 2953,
  [2954] = 2954,
  [2955] = 2955,
  [2956] = 2956,
  [2957] = 2957,
  [2958] = 2958,
  [2959] = 2959,
  [2960] = 2960,
  [2961] = 2961,
  [2962] = 2962,
  [2963] = 2963,
  [2964] = 2964,
  [2965] = 2965,
  [2966] = 2755,
  [2967] = 2967,
  [2968] = 2968,
  [2969] = 2969,
  [2970] = 2970,
  [2971] = 2971,
  [2972] = 2972,
  [2973] = 2973,
  [2974] = 2974,
  [2975] = 2975,
  [2976] = 2976,
  [2977] = 2977,
  [2978] = 2978,
  [2979] = 2979,
  [2980] = 2980,
  [2981] = 2981,
  [2982] = 2972,
  [2983] = 2967,
  [2984] = 347,
  [2985] = 2977,
  [2986] = 2958,
  [2987] = 2987,
  [2988] = 2957,
  [2989] = 2989,
  [2990] = 2978,
  [2991] = 2991,
  [2992] = 369,
  [2993] = 2979,
  [2994] = 2994,
  [2995] = 2959,
  [2996] = 348,
  [2997] = 2997,
  [2998] = 2977,
  [2999] = 2980,
  [3000] = 2978,
  [3001] = 2731,
  [3002] = 2972,
  [3003] = 2737,
  [3004] = 2738,
  [3005] = 2944,
  [3006] = 3006,
  [3007] = 3007,
  [3008] = 3008,
  [3009] = 3009,
  [3010] = 2980,
  [3011] = 3011,
  [3012] = 3012,
  [3013] = 3013,
  [3014] = 368,
  [3015] = 2960,
  [3016] = 3016,
  [3017] = 3017,
  [3018] = 366,
  [3019] = 3019,
  [3020] = 3020,
  [3021] = 3021,
  [3022] = 3022,
  [3023] = 3023,
  [3024] = 3024,
  [3025] = 3025,
  [3026] = 3026,
  [3027] = 346,
  [3028] = 3028,
  [3029] = 2980,
  [3030] = 3030,
  [3031] = 3031,
  [3032] = 2961,
  [3033] = 3033,
  [3034] = 2944,
  [3035] = 3035,
  [3036] = 3036,
  [3037] = 2956,
  [3038] = 2945,
  [3039] = 2946,
  [3040] = 3040,
  [3041] = 3025,
  [3042] = 3024,
  [3043] = 3043,
  [3044] = 3044,
  [3045] = 3024,
  [3046] = 2945,
  [3047] = 2946,
  [3048] = 2947,
  [3049] = 3049,
  [3050] = 3050,
  [3051] = 3051,
  [3052] = 348,
  [3053] = 3053,
  [3054] = 3054,
  [3055] = 2973,
  [3056] = 350,
  [3057] = 2947,
  [3058] = 3058,
  [3059] = 2948,
  [3060] = 2949,
  [3061] = 2974,
  [3062] = 3062,
  [3063] = 2975,
  [3064] = 2948,
  [3065] = 3065,
  [3066] = 3066,
  [3067] = 3024,
  [3068] = 3025,
  [3069] = 2962,
  [3070] = 2964,
  [3071] = 3025,
  [3072] = 2748,
  [3073] = 3073,
  [3074] = 2965,
  [3075] = 2970,
  [3076] = 3076,
  [3077] = 3077,
  [3078] = 2979,
  [3079] = 2953,
  [3080] = 2949,
  [3081] = 3081,
  [3082] = 3082,
  [3083] = 2973,
  [3084] = 3084,
  [3085] = 3085,
  [3086] = 2969,
  [3087] = 2955,
  [3088] = 2954,
  [3089] = 2974,
  [3090] = 2955,
  [3091] = 2975,
  [3092] = 353,
  [3093] = 361,
  [3094] = 3094,
  [3095] = 2976,
  [3096] = 3096,
  [3097] = 2980,
  [3098] = 368,
  [3099] = 2956,
  [3100] = 3100,
  [3101] = 3101,
  [3102] = 3102,
  [3103] = 3103,
  [3104] = 2730,
  [3105] = 3105,
  [3106] = 3106,
  [3107] = 3107,
  [3108] = 3108,
  [3109] = 3109,
  [3110] = 3110,
  [3111] = 2968,
  [3112] = 350,
  [3113] = 3025,
  [3114] = 3024,
  [3115] = 3115,
  [3116] = 2980,
  [3117] = 2957,
  [3118] = 2958,
  [3119] = 346,
  [3120] = 2967,
  [3121] = 3025,
  [3122] = 2954,
  [3123] = 3123,
  [3124] = 3124,
  [3125] = 3125,
  [3126] = 3126,
  [3127] = 3127,
  [3128] = 2980,
  [3129] = 2953,
  [3130] = 3082,
  [3131] = 3066,
  [3132] = 3054,
  [3133] = 2968,
  [3134] = 366,
  [3135] = 3025,
  [3136] = 2962,
  [3137] = 360,
  [3138] = 2959,
  [3139] = 2969,
  [3140] = 2960,
  [3141] = 3024,
  [3142] = 2964,
  [3143] = 3024,
  [3144] = 2965,
  [3145] = 360,
  [3146] = 2976,
  [3147] = 2961,
  [3148] = 3148,
  [3149] = 2970,
  [3150] = 2980,
  [3151] = 3151,
  [3152] = 3152,
  [3153] = 3153,
  [3154] = 3154,
  [3155] = 3155,
  [3156] = 3156,
  [3157] = 3157,
  [3158] = 2781,
  [3159] = 3159,
  [3160] = 3160,
  [3161] = 3161,
  [3162] = 3162,
  [3163] = 3163,
  [3164] = 3164,
  [3165] = 2149,
  [3166] = 3166,
  [3167] = 3167,
  [3168] = 3152,
  [3169] = 3169,
  [3170] = 3170,
  [3171] = 3171,
  [3172] = 2949,
  [3173] = 3173,
  [3174] = 3153,
  [3175] = 3153,
  [3176] = 3176,
  [3177] = 3177,
  [3178] = 3160,
  [3179] = 3179,
  [3180] = 369,
  [3181] = 3181,
  [3182] = 2760,
  [3183] = 3151,
  [3184] = 369,
  [3185] = 3185,
  [3186] = 347,
  [3187] = 3187,
  [3188] = 2752,
  [3189] = 2948,
  [3190] = 347,
  [3191] = 2953,
  [3192] = 2954,
  [3193] = 3193,
  [3194] = 3082,
  [3195] = 2955,
  [3196] = 2947,
  [3197] = 2956,
  [3198] = 3198,
  [3199] = 2946,
  [3200] = 2945,
  [3201] = 2957,
  [3202] = 2958,
  [3203] = 3153,
  [3204] = 2156,
  [3205] = 3205,
  [3206] = 2750,
  [3207] = 2959,
  [3208] = 2960,
  [3209] = 3209,
  [3210] = 2961,
  [3211] = 3211,
  [3212] = 2962,
  [3213] = 2964,
  [3214] = 2965,
  [3215] = 2967,
  [3216] = 2968,
  [3217] = 2969,
  [3218] = 2970,
  [3219] = 2768,
  [3220] = 3220,
  [3221] = 3221,
  [3222] = 3222,
  [3223] = 3152,
  [3224] = 3224,
  [3225] = 2776,
  [3226] = 3226,
  [3227] = 3167,
  [3228] = 3228,
  [3229] = 3229,
  [3230] = 3209,
  [3231] = 3231,
  [3232] = 3232,
  [3233] = 3153,
  [3234] = 3234,
  [3235] = 3235,
  [3236] = 3236,
  [3237] = 3237,
  [3238] = 3238,
  [3239] = 2979,
  [3240] = 3240,
  [3241] = 3035,
  [3242] = 2762,
  [3243] = 3243,
  [3244] = 2944,
  [3245] = 3245,
  [3246] = 3246,
  [3247] = 2783,
  [3248] = 3035,
  [3249] = 3249,
  [3250] = 3066,
  [3251] = 2936,
  [3252] = 3252,
  [3253] = 2771,
  [3254] = 3254,
  [3255] = 3255,
  [3256] = 3153,
  [3257] = 3153,
  [3258] = 3258,
  [3259] = 3259,
  [3260] = 2976,
  [3261] = 3261,
  [3262] = 3262,
  [3263] = 2975,
  [3264] = 2974,
  [3265] = 2973,
  [3266] = 3266,
  [3267] = 3267,
  [3268] = 3152,
  [3269] = 3269,
  [3270] = 3167,
  [3271] = 3271,
  [3272] = 2830,
  [3273] = 2154,
  [3274] = 3274,
  [3275] = 3275,
  [3276] = 3276,
  [3277] = 3277,
  [3278] = 3167,
  [3279] = 3279,
  [3280] = 3152,
  [3281] = 3281,
  [3282] = 3152,
  [3283] = 3283,
  [3284] = 2829,
  [3285] = 3285,
  [3286] = 3167,
  [3287] = 3167,
  [3288] = 3288,
  [3289] = 2830,
  [3290] = 3211,
  [3291] = 2972,
  [3292] = 3292,
  [3293] = 3152,
  [3294] = 3167,
  [3295] = 3295,
  [3296] = 3296,
  [3297] = 2770,
  [3298] = 350,
  [3299] = 360,
  [3300] = 3054,
  [3301] = 3301,
  [3302] = 2977,
  [3303] = 2978,
  [3304] = 2829,
  [3305] = 3305,
  [3306] = 3028,
  [3307] = 3307,
  [3308] = 2810,
  [3309] = 3309,
  [3310] = 2808,
  [3311] = 1125,
  [3312] = 2805,
  [3313] = 2804,
  [3314] = 3314,
  [3315] = 2803,
  [3316] = 2806,
  [3317] = 2938,
  [3318] = 2790,
  [3319] = 2937,
  [3320] = 2807,
  [3321] = 3054,
  [3322] = 2809,
  [3323] = 3314,
  [3324] = 3324,
  [3325] = 2792,
  [3326] = 3326,
  [3327] = 2811,
  [3328] = 2830,
  [3329] = 2829,
  [3330] = 2659,
  [3331] = 3331,
  [3332] = 2812,
  [3333] = 2813,
  [3334] = 2814,
  [3335] = 3335,
  [3336] = 2894,
  [3337] = 3337,
  [3338] = 2970,
  [3339] = 2969,
  [3340] = 2800,
  [3341] = 2799,
  [3342] = 3028,
  [3343] = 3243,
  [3344] = 2816,
  [3345] = 2198,
  [3346] = 2972,
  [3347] = 3347,
  [3348] = 2196,
  [3349] = 2973,
  [3350] = 2798,
  [3351] = 2797,
  [3352] = 2968,
  [3353] = 3353,
  [3354] = 2796,
  [3355] = 2974,
  [3356] = 2697,
  [3357] = 2795,
  [3358] = 2975,
  [3359] = 2191,
  [3360] = 3360,
  [3361] = 2794,
  [3362] = 2976,
  [3363] = 3363,
  [3364] = 334,
  [3365] = 2967,
  [3366] = 3366,
  [3367] = 3309,
  [3368] = 2963,
  [3369] = 3314,
  [3370] = 3309,
  [3371] = 334,
  [3372] = 2903,
  [3373] = 2901,
  [3374] = 2900,
  [3375] = 2899,
  [3376] = 2977,
  [3377] = 2898,
  [3378] = 3309,
  [3379] = 2896,
  [3380] = 3380,
  [3381] = 2895,
  [3382] = 3314,
  [3383] = 2893,
  [3384] = 3384,
  [3385] = 2965,
  [3386] = 2964,
  [3387] = 2978,
  [3388] = 2892,
  [3389] = 2891,
  [3390] = 2962,
  [3391] = 2931,
  [3392] = 2889,
  [3393] = 1116,
  [3394] = 2887,
  [3395] = 2886,
  [3396] = 3396,
  [3397] = 2961,
  [3398] = 2885,
  [3399] = 2884,
  [3400] = 2883,
  [3401] = 2882,
  [3402] = 2959,
  [3403] = 2958,
  [3404] = 2957,
  [3405] = 2881,
  [3406] = 2880,
  [3407] = 2933,
  [3408] = 2932,
  [3409] = 2956,
  [3410] = 3314,
  [3411] = 2955,
  [3412] = 2829,
  [3413] = 2954,
  [3414] = 2879,
  [3415] = 3243,
  [3416] = 3307,
  [3417] = 2830,
  [3418] = 3036,
  [3419] = 2878,
  [3420] = 2877,
  [3421] = 2876,
  [3422] = 2875,
  [3423] = 2953,
  [3424] = 1117,
  [3425] = 2949,
  [3426] = 3314,
  [3427] = 3198,
  [3428] = 2979,
  [3429] = 3429,
  [3430] = 1119,
  [3431] = 2823,
  [3432] = 3036,
  [3433] = 2824,
  [3434] = 2790,
  [3435] = 2825,
  [3436] = 2826,
  [3437] = 2827,
  [3438] = 2935,
  [3439] = 2828,
  [3440] = 2829,
  [3441] = 2929,
  [3442] = 2830,
  [3443] = 2831,
  [3444] = 3309,
  [3445] = 2832,
  [3446] = 2833,
  [3447] = 2834,
  [3448] = 2835,
  [3449] = 2165,
  [3450] = 3082,
  [3451] = 2873,
  [3452] = 2872,
  [3453] = 2195,
  [3454] = 2187,
  [3455] = 2960,
  [3456] = 2181,
  [3457] = 2162,
  [3458] = 2841,
  [3459] = 2842,
  [3460] = 3309,
  [3461] = 360,
  [3462] = 2691,
  [3463] = 3309,
  [3464] = 2843,
  [3465] = 2871,
  [3466] = 3066,
  [3467] = 2844,
  [3468] = 350,
  [3469] = 2870,
  [3470] = 2790,
  [3471] = 2786,
  [3472] = 3472,
  [3473] = 2929,
  [3474] = 2792,
  [3475] = 2178,
  [3476] = 2177,
  [3477] = 3309,
  [3478] = 2176,
  [3479] = 2866,
  [3480] = 2865,
  [3481] = 2864,
  [3482] = 2861,
  [3483] = 2860,
  [3484] = 2859,
  [3485] = 2857,
  [3486] = 2855,
  [3487] = 2854,
  [3488] = 2853,
  [3489] = 2852,
  [3490] = 3094,
  [3491] = 2851,
  [3492] = 2850,
  [3493] = 2944,
  [3494] = 2849,
  [3495] = 2848,
  [3496] = 3314,
  [3497] = 3314,
  [3498] = 2829,
  [3499] = 2847,
  [3500] = 3198,
  [3501] = 3094,
  [3502] = 2647,
  [3503] = 2846,
  [3504] = 1118,
  [3505] = 2830,
  [3506] = 2945,
  [3507] = 2946,
  [3508] = 2947,
  [3509] = 2948,
  [3510] = 3510,
  [3511] = 3082,
  [3512] = 3512,
  [3513] = 349,
  [3514] = 2723,
  [3515] = 355,
  [3516] = 3516,
  [3517] = 359,
  [3518] = 370,
  [3519] = 354,
  [3520] = 351,
  [3521] = 357,
  [3522] = 3522,
  [3523] = 3523,
  [3524] = 3049,
  [3525] = 3051,
  [3526] = 370,
  [3527] = 3527,
  [3528] = 359,
  [3529] = 3053,
  [3530] = 2945,
  [3531] = 2729,
  [3532] = 355,
  [3533] = 3007,
  [3534] = 3534,
  [3535] = 3008,
  [3536] = 3009,
  [3537] = 352,
  [3538] = 3011,
  [3539] = 3539,
  [3540] = 349,
  [3541] = 354,
  [3542] = 3542,
  [3543] = 3543,
  [3544] = 351,
  [3545] = 3545,
  [3546] = 357,
  [3547] = 3012,
  [3548] = 2719,
  [3549] = 2792,
  [3550] = 363,
  [3551] = 3019,
  [3552] = 365,
  [3553] = 2722,
  [3554] = 3554,
  [3555] = 3081,
  [3556] = 377,
  [3557] = 2725,
  [3558] = 3522,
  [3559] = 2987,
  [3560] = 3065,
  [3561] = 2713,
  [3562] = 2974,
  [3563] = 2976,
  [3564] = 2975,
  [3565] = 3522,
  [3566] = 2974,
  [3567] = 2973,
  [3568] = 2975,
  [3569] = 3020,
  [3570] = 3021,
  [3571] = 3571,
  [3572] = 3572,
  [3573] = 3028,
  [3574] = 3100,
  [3575] = 2981,
  [3576] = 3062,
  [3577] = 3058,
  [3578] = 3044,
  [3579] = 2716,
  [3580] = 3246,
  [3581] = 3581,
  [3582] = 3198,
  [3583] = 3583,
  [3584] = 2976,
  [3585] = 3123,
  [3586] = 2975,
  [3587] = 3522,
  [3588] = 3110,
  [3589] = 3109,
  [3590] = 3105,
  [3591] = 3022,
  [3592] = 352,
  [3593] = 3593,
  [3594] = 3594,
  [3595] = 2713,
  [3596] = 363,
  [3597] = 3023,
  [3598] = 365,
  [3599] = 2973,
  [3600] = 377,
  [3601] = 3084,
  [3602] = 3103,
  [3603] = 3036,
  [3604] = 3101,
  [3605] = 2976,
  [3606] = 3028,
  [3607] = 2716,
  [3608] = 3539,
  [3609] = 3102,
  [3610] = 2736,
  [3611] = 2721,
  [3612] = 3106,
  [3613] = 3107,
  [3614] = 3108,
  [3615] = 2973,
  [3616] = 3026,
  [3617] = 3305,
  [3618] = 2723,
  [3619] = 2944,
  [3620] = 2719,
  [3621] = 2829,
  [3622] = 3516,
  [3623] = 2955,
  [3624] = 2725,
  [3625] = 2830,
  [3626] = 2946,
  [3627] = 2720,
  [3628] = 372,
  [3629] = 2722,
  [3630] = 3522,
  [3631] = 3631,
  [3632] = 2944,
  [3633] = 2945,
  [3634] = 3522,
  [3635] = 371,
  [3636] = 2946,
  [3637] = 2947,
  [3638] = 2947,
  [3639] = 2830,
  [3640] = 3077,
  [3641] = 2948,
  [3642] = 2949,
  [3643] = 2953,
  [3644] = 2974,
  [3645] = 2948,
  [3646] = 2949,
  [3647] = 2953,
  [3648] = 2954,
  [3649] = 2954,
  [3650] = 2955,
  [3651] = 2956,
  [3652] = 2104,
  [3653] = 3653,
  [3654] = 2957,
  [3655] = 2958,
  [3656] = 2829,
  [3657] = 2959,
  [3658] = 2960,
  [3659] = 2961,
  [3660] = 2962,
  [3661] = 2964,
  [3662] = 2965,
  [3663] = 2967,
  [3664] = 2968,
  [3665] = 2969,
  [3666] = 2970,
  [3667] = 2712,
  [3668] = 2972,
  [3669] = 2956,
  [3670] = 2977,
  [3671] = 3198,
  [3672] = 2957,
  [3673] = 2715,
  [3674] = 2958,
  [3675] = 3593,
  [3676] = 2978,
  [3677] = 2959,
  [3678] = 2991,
  [3679] = 3028,
  [3680] = 2960,
  [3681] = 3124,
  [3682] = 2944,
  [3683] = 2961,
  [3684] = 2979,
  [3685] = 3305,
  [3686] = 3094,
  [3687] = 3246,
  [3688] = 2962,
  [3689] = 2964,
  [3690] = 2965,
  [3691] = 2967,
  [3692] = 2945,
  [3693] = 2946,
  [3694] = 2968,
  [3695] = 2947,
  [3696] = 2969,
  [3697] = 2979,
  [3698] = 2970,
  [3699] = 2948,
  [3700] = 3522,
  [3701] = 2972,
  [3702] = 2949,
  [3703] = 2953,
  [3704] = 3148,
  [3705] = 2978,
  [3706] = 3035,
  [3707] = 2954,
  [3708] = 2955,
  [3709] = 2977,
  [3710] = 2956,
  [3711] = 3096,
  [3712] = 2978,
  [3713] = 3036,
  [3714] = 2979,
  [3715] = 2977,
  [3716] = 3085,
  [3717] = 2972,
  [3718] = 2957,
  [3719] = 2958,
  [3720] = 3050,
  [3721] = 2959,
  [3722] = 2997,
  [3723] = 3013,
  [3724] = 2712,
  [3725] = 2929,
  [3726] = 2960,
  [3727] = 2961,
  [3728] = 2970,
  [3729] = 3036,
  [3730] = 2969,
  [3731] = 3243,
  [3732] = 2968,
  [3733] = 3030,
  [3734] = 3054,
  [3735] = 3735,
  [3736] = 3736,
  [3737] = 2962,
  [3738] = 2717,
  [3739] = 3522,
  [3740] = 2736,
  [3741] = 2964,
  [3742] = 371,
  [3743] = 3512,
  [3744] = 2967,
  [3745] = 3522,
  [3746] = 2989,
  [3747] = 3033,
  [3748] = 2965,
  [3749] = 3073,
  [3750] = 2929,
  [3751] = 3125,
  [3752] = 3126,
  [3753] = 3581,
  [3754] = 3754,
  [3755] = 3066,
  [3756] = 3127,
  [3757] = 3016,
  [3758] = 372,
  [3759] = 3759,
  [3760] = 3760,
  [3761] = 3017,
  [3762] = 3762,
  [3763] = 3763,
  [3764] = 3764,
  [3765] = 2976,
  [3766] = 3766,
  [3767] = 3763,
  [3768] = 3763,
  [3769] = 2949,
  [3770] = 2948,
  [3771] = 2947,
  [3772] = 2946,
  [3773] = 2945,
  [3774] = 3774,
  [3775] = 2973,
  [3776] = 3776,
  [3777] = 3036,
  [3778] = 2953,
  [3779] = 2954,
  [3780] = 3763,
  [3781] = 3781,
  [3782] = 3782,
  [3783] = 3763,
  [3784] = 3082,
  [3785] = 2956,
  [3786] = 3774,
  [3787] = 963,
  [3788] = 3305,
  [3789] = 3781,
  [3790] = 3066,
  [3791] = 3791,
  [3792] = 3764,
  [3793] = 3776,
  [3794] = 3774,
  [3795] = 3774,
  [3796] = 3054,
  [3797] = 3781,
  [3798] = 3781,
  [3799] = 3764,
  [3800] = 3774,
  [3801] = 3776,
  [3802] = 3764,
  [3803] = 2792,
  [3804] = 2957,
  [3805] = 2958,
  [3806] = 2959,
  [3807] = 2960,
  [3808] = 2961,
  [3809] = 2962,
  [3810] = 2964,
  [3811] = 2965,
  [3812] = 2015,
  [3813] = 2967,
  [3814] = 3198,
  [3815] = 3815,
  [3816] = 3246,
  [3817] = 2968,
  [3818] = 2969,
  [3819] = 2970,
  [3820] = 3781,
  [3821] = 3776,
  [3822] = 3781,
  [3823] = 3823,
  [3824] = 3774,
  [3825] = 3776,
  [3826] = 2829,
  [3827] = 3764,
  [3828] = 2830,
  [3829] = 3774,
  [3830] = 3198,
  [3831] = 3028,
  [3832] = 3832,
  [3833] = 3781,
  [3834] = 3198,
  [3835] = 2955,
  [3836] = 2929,
  [3837] = 3837,
  [3838] = 2979,
  [3839] = 3763,
  [3840] = 3198,
  [3841] = 3094,
  [3842] = 3776,
  [3843] = 2972,
  [3844] = 2974,
  [3845] = 3764,
  [3846] = 3781,
  [3847] = 3774,
  [3848] = 2975,
  [3849] = 3776,
  [3850] = 3764,
  [3851] = 3224,
  [3852] = 3094,
  [3853] = 3853,
  [3854] = 2140,
  [3855] = 3855,
  [3856] = 2944,
  [3857] = 2790,
  [3858] = 2978,
  [3859] = 3763,
  [3860] = 3860,
  [3861] = 2977,
  [3862] = 3763,
  [3863] = 3791,
  [3864] = 3054,
  [3865] = 3865,
  [3866] = 3776,
  [3867] = 3764,
  [3868] = 3246,
  [3869] = 3869,
  [3870] = 3870,
  [3871] = 339,
  [3872] = 3872,
  [3873] = 3873,
  [3874] = 3874,
  [3875] = 2726,
  [3876] = 3876,
  [3877] = 3877,
  [3878] = 3878,
  [3879] = 3879,
  [3880] = 2790,
  [3881] = 2929,
  [3882] = 369,
  [3883] = 3036,
  [3884] = 3094,
  [3885] = 3885,
  [3886] = 3886,
  [3887] = 963,
  [3888] = 3888,
  [3889] = 335,
  [3890] = 3890,
  [3891] = 3160,
  [3892] = 3892,
  [3893] = 3094,
  [3894] = 3894,
  [3895] = 3895,
  [3896] = 3028,
  [3897] = 3897,
  [3898] = 3898,
  [3899] = 3899,
  [3900] = 347,
  [3901] = 3901,
  [3902] = 3198,
  [3903] = 3903,
  [3904] = 3904,
  [3905] = 3905,
  [3906] = 3906,
  [3907] = 3907,
  [3908] = 3908,
  [3909] = 3909,
  [3910] = 1011,
  [3911] = 2750,
  [3912] = 361,
  [3913] = 3305,
  [3914] = 3914,
  [3915] = 3915,
  [3916] = 3916,
  [3917] = 353,
  [3918] = 3916,
  [3919] = 3919,
  [3920] = 3920,
  [3921] = 3921,
  [3922] = 338,
  [3923] = 3923,
  [3924] = 3924,
  [3925] = 3914,
  [3926] = 3926,
  [3927] = 3927,
  [3928] = 3735,
  [3929] = 3929,
  [3930] = 2149,
  [3931] = 3931,
  [3932] = 3932,
  [3933] = 3933,
  [3934] = 3934,
  [3935] = 3935,
  [3936] = 2155,
  [3937] = 3937,
  [3938] = 350,
  [3939] = 3939,
  [3940] = 3940,
  [3941] = 3941,
  [3942] = 347,
  [3943] = 3929,
  [3944] = 369,
  [3945] = 3939,
  [3946] = 2156,
  [3947] = 3947,
  [3948] = 3948,
  [3949] = 3949,
  [3950] = 3915,
  [3951] = 3949,
  [3952] = 1014,
  [3953] = 3953,
  [3954] = 369,
  [3955] = 3926,
  [3956] = 2154,
  [3957] = 3957,
  [3958] = 347,
  [3959] = 3940,
  [3960] = 3953,
  [3961] = 3961,
  [3962] = 339,
  [3963] = 1035,
  [3964] = 360,
  [3965] = 3965,
  [3966] = 3966,
  [3967] = 3961,
  [3968] = 335,
  [3969] = 3969,
  [3970] = 3970,
  [3971] = 3082,
  [3972] = 3066,
  [3973] = 3973,
  [3974] = 3054,
  [3975] = 2929,
  [3976] = 1042,
  [3977] = 3931,
  [3978] = 3978,
  [3979] = 3979,
  [3980] = 3980,
  [3981] = 3981,
  [3982] = 3982,
  [3983] = 3983,
  [3984] = 3984,
  [3985] = 3985,
  [3986] = 2929,
  [3987] = 3987,
  [3988] = 3988,
  [3989] = 3989,
  [3990] = 3947,
  [3991] = 2929,
  [3992] = 2157,
  [3993] = 3993,
  [3994] = 2148,
  [3995] = 347,
  [3996] = 1040,
  [3997] = 3997,
  [3998] = 1042,
  [3999] = 347,
  [4000] = 3997,
  [4001] = 1014,
  [4002] = 1030,
  [4003] = 361,
  [4004] = 3997,
  [4005] = 1053,
  [4006] = 353,
  [4007] = 1015,
  [4008] = 368,
  [4009] = 350,
  [4010] = 360,
  [4011] = 3997,
  [4012] = 346,
  [4013] = 376,
  [4014] = 367,
  [4015] = 338,
  [4016] = 1043,
  [4017] = 350,
  [4018] = 360,
  [4019] = 1052,
  [4020] = 369,
  [4021] = 3997,
  [4022] = 350,
  [4023] = 360,
  [4024] = 3997,
  [4025] = 1046,
  [4026] = 1011,
  [4027] = 3997,
  [4028] = 1030,
  [4029] = 369,
  [4030] = 1025,
  [4031] = 1026,
  [4032] = 1028,
  [4033] = 347,
  [4034] = 1035,
  [4035] = 3997,
  [4036] = 1050,
  [4037] = 1051,
  [4038] = 1054,
  [4039] = 1038,
  [4040] = 3997,
  [4041] = 1049,
  [4042] = 1037,
  [4043] = 369,
  [4044] = 1156,
  [4045] = 1198,
  [4046] = 1040,
  [4047] = 1015,
  [4048] = 1037,
  [4049] = 1222,
  [4050] = 1223,
  [4051] = 1224,
  [4052] = 1230,
  [4053] = 1238,
  [4054] = 1061,
  [4055] = 1046,
  [4056] = 1245,
  [4057] = 1246,
  [4058] = 1247,
  [4059] = 1049,
  [4060] = 1249,
  [4061] = 1252,
  [4062] = 1254,
  [4063] = 1257,
  [4064] = 1258,
  [4065] = 1131,
  [4066] = 1073,
  [4067] = 1080,
  [4068] = 1082,
  [4069] = 1085,
  [4070] = 1255,
  [4071] = 1053,
  [4072] = 1093,
  [4073] = 347,
  [4074] = 1219,
  [4075] = 1244,
  [4076] = 1240,
  [4077] = 1239,
  [4078] = 1237,
  [4079] = 1229,
  [4080] = 1092,
  [4081] = 1217,
  [4082] = 1184,
  [4083] = 350,
  [4084] = 348,
  [4085] = 1182,
  [4086] = 1181,
  [4087] = 1175,
  [4088] = 1174,
  [4089] = 1173,
  [4090] = 1169,
  [4091] = 1159,
  [4092] = 1127,
  [4093] = 1133,
  [4094] = 1160,
  [4095] = 1158,
  [4096] = 368,
  [4097] = 1161,
  [4098] = 346,
  [4099] = 1162,
  [4100] = 1163,
  [4101] = 1164,
  [4102] = 1157,
  [4103] = 1056,
  [4104] = 1155,
  [4105] = 1153,
  [4106] = 1088,
  [4107] = 1152,
  [4108] = 369,
  [4109] = 1052,
  [4110] = 1038,
  [4111] = 1172,
  [4112] = 1176,
  [4113] = 1151,
  [4114] = 1150,
  [4115] = 1148,
  [4116] = 1145,
  [4117] = 1143,
  [4118] = 1142,
  [4119] = 1141,
  [4120] = 1139,
  [4121] = 1137,
  [4122] = 1054,
  [4123] = 350,
  [4124] = 1185,
  [4125] = 1218,
  [4126] = 1051,
  [4127] = 1050,
  [4128] = 1187,
  [4129] = 1188,
  [4130] = 1189,
  [4131] = 1190,
  [4132] = 1191,
  [4133] = 1081,
  [4134] = 1079,
  [4135] = 360,
  [4136] = 1083,
  [4137] = 1086,
  [4138] = 1103,
  [4139] = 1104,
  [4140] = 1078,
  [4141] = 1072,
  [4142] = 1192,
  [4143] = 1107,
  [4144] = 1195,
  [4145] = 1108,
  [4146] = 1201,
  [4147] = 1202,
  [4148] = 1203,
  [4149] = 1111,
  [4150] = 1207,
  [4151] = 1208,
  [4152] = 1209,
  [4153] = 1210,
  [4154] = 1212,
  [4155] = 1216,
  [4156] = 360,
  [4157] = 1225,
  [4158] = 1226,
  [4159] = 366,
  [4160] = 1227,
  [4161] = 1132,
  [4162] = 1211,
  [4163] = 1228,
  [4164] = 1231,
  [4165] = 1232,
  [4166] = 1234,
  [4167] = 1235,
  [4168] = 1101,
  [4169] = 1128,
  [4170] = 1123,
  [4171] = 376,
  [4172] = 367,
  [4173] = 1121,
  [4174] = 1115,
  [4175] = 1114,
  [4176] = 1113,
  [4177] = 1110,
  [4178] = 1105,
  [4179] = 1116,
  [4180] = 1102,
  [4181] = 360,
  [4182] = 346,
  [4183] = 368,
  [4184] = 1025,
  [4185] = 1125,
  [4186] = 1026,
  [4187] = 1028,
  [4188] = 1119,
  [4189] = 347,
  [4190] = 4190,
  [4191] = 1241,
  [4192] = 1251,
  [4193] = 1253,
  [4194] = 1199,
  [4195] = 1204,
  [4196] = 1205,
  [4197] = 1206,
  [4198] = 1043,
  [4199] = 1213,
  [4200] = 1215,
  [4201] = 1220,
  [4202] = 1117,
  [4203] = 1221,
  [4204] = 1233,
  [4205] = 1243,
  [4206] = 1250,
  [4207] = 1200,
  [4208] = 1256,
  [4209] = 1059,
  [4210] = 369,
  [4211] = 1087,
  [4212] = 1071,
  [4213] = 1060,
  [4214] = 1118,
  [4215] = 350,
  [4216] = 1091,
  [4217] = 1120,
  [4218] = 1069,
  [4219] = 1122,
  [4220] = 1134,
  [4221] = 1214,
  [4222] = 1135,
  [4223] = 1154,
  [4224] = 1166,
  [4225] = 1167,
  [4226] = 1177,
  [4227] = 1180,
  [4228] = 1183,
  [4229] = 1186,
  [4230] = 1193,
  [4231] = 1194,
  [4232] = 1196,
  [4233] = 1197,
  [4234] = 4234,
  [4235] = 1235,
  [4236] = 4236,
  [4237] = 1105,
  [4238] = 1102,
  [4239] = 4239,
  [4240] = 4240,
  [4241] = 1209,
  [4242] = 1217,
  [4243] = 4243,
  [4244] = 1208,
  [4245] = 1184,
  [4246] = 1220,
  [4247] = 1182,
  [4248] = 1181,
  [4249] = 1215,
  [4250] = 1175,
  [4251] = 1156,
  [4252] = 1174,
  [4253] = 4253,
  [4254] = 1093,
  [4255] = 1092,
  [4256] = 4256,
  [4257] = 1132,
  [4258] = 4258,
  [4259] = 4259,
  [4260] = 1169,
  [4261] = 4261,
  [4262] = 4262,
  [4263] = 4263,
  [4264] = 1159,
  [4265] = 1127,
  [4266] = 4266,
  [4267] = 4267,
  [4268] = 4268,
  [4269] = 1133,
  [4270] = 1160,
  [4271] = 1158,
  [4272] = 4272,
  [4273] = 4273,
  [4274] = 1161,
  [4275] = 4275,
  [4276] = 4276,
  [4277] = 1229,
  [4278] = 1162,
  [4279] = 4279,
  [4280] = 1163,
  [4281] = 1164,
  [4282] = 1157,
  [4283] = 4283,
  [4284] = 1219,
  [4285] = 1237,
  [4286] = 4286,
  [4287] = 4287,
  [4288] = 4288,
  [4289] = 4289,
  [4290] = 1056,
  [4291] = 4291,
  [4292] = 1155,
  [4293] = 1153,
  [4294] = 348,
  [4295] = 1213,
  [4296] = 4296,
  [4297] = 4297,
  [4298] = 4298,
  [4299] = 4299,
  [4300] = 4300,
  [4301] = 1207,
  [4302] = 1239,
  [4303] = 4303,
  [4304] = 4304,
  [4305] = 4305,
  [4306] = 360,
  [4307] = 4307,
  [4308] = 1203,
  [4309] = 4309,
  [4310] = 4310,
  [4311] = 1240,
  [4312] = 1249,
  [4313] = 4313,
  [4314] = 4314,
  [4315] = 1244,
  [4316] = 4316,
  [4317] = 1233,
  [4318] = 1212,
  [4319] = 4319,
  [4320] = 4320,
  [4321] = 4321,
  [4322] = 4322,
  [4323] = 4323,
  [4324] = 1060,
  [4325] = 1081,
  [4326] = 1079,
  [4327] = 1071,
  [4328] = 1087,
  [4329] = 1083,
  [4330] = 1202,
  [4331] = 1086,
  [4332] = 1103,
  [4333] = 1201,
  [4334] = 1104,
  [4335] = 1078,
  [4336] = 1072,
  [4337] = 1059,
  [4338] = 1173,
  [4339] = 1250,
  [4340] = 1206,
  [4341] = 1110,
  [4342] = 1205,
  [4343] = 1116,
  [4344] = 1255,
  [4345] = 1204,
  [4346] = 1085,
  [4347] = 1199,
  [4348] = 1176,
  [4349] = 1172,
  [4350] = 4350,
  [4351] = 4351,
  [4352] = 4352,
  [4353] = 4353,
  [4354] = 4354,
  [4355] = 1082,
  [4356] = 1198,
  [4357] = 1197,
  [4358] = 1195,
  [4359] = 1192,
  [4360] = 1113,
  [4361] = 4361,
  [4362] = 1117,
  [4363] = 1114,
  [4364] = 1152,
  [4365] = 4365,
  [4366] = 1115,
  [4367] = 4367,
  [4368] = 1111,
  [4369] = 1121,
  [4370] = 1123,
  [4371] = 1118,
  [4372] = 1128,
  [4373] = 4373,
  [4374] = 1101,
  [4375] = 4375,
  [4376] = 1234,
  [4377] = 1196,
  [4378] = 1232,
  [4379] = 1231,
  [4380] = 1228,
  [4381] = 1218,
  [4382] = 1211,
  [4383] = 1119,
  [4384] = 1108,
  [4385] = 1210,
  [4386] = 1107,
  [4387] = 1227,
  [4388] = 1226,
  [4389] = 1221,
  [4390] = 350,
  [4391] = 1080,
  [4392] = 1191,
  [4393] = 1225,
  [4394] = 1216,
  [4395] = 368,
  [4396] = 1190,
  [4397] = 1243,
  [4398] = 1073,
  [4399] = 1189,
  [4400] = 4400,
  [4401] = 4401,
  [4402] = 1131,
  [4403] = 1258,
  [4404] = 1257,
  [4405] = 1254,
  [4406] = 1194,
  [4407] = 1193,
  [4408] = 1252,
  [4409] = 366,
  [4410] = 1200,
  [4411] = 346,
  [4412] = 1151,
  [4413] = 1245,
  [4414] = 1091,
  [4415] = 1120,
  [4416] = 1069,
  [4417] = 1246,
  [4418] = 1122,
  [4419] = 1134,
  [4420] = 1150,
  [4421] = 1214,
  [4422] = 1148,
  [4423] = 1247,
  [4424] = 1145,
  [4425] = 1143,
  [4426] = 1142,
  [4427] = 1088,
  [4428] = 1125,
  [4429] = 1141,
  [4430] = 4430,
  [4431] = 1135,
  [4432] = 1241,
  [4433] = 1251,
  [4434] = 1154,
  [4435] = 4435,
  [4436] = 4436,
  [4437] = 1139,
  [4438] = 1253,
  [4439] = 1137,
  [4440] = 1185,
  [4441] = 1187,
  [4442] = 1166,
  [4443] = 1167,
  [4444] = 1177,
  [4445] = 1180,
  [4446] = 1183,
  [4447] = 1256,
  [4448] = 1186,
  [4449] = 1222,
  [4450] = 1223,
  [4451] = 1224,
  [4452] = 1230,
  [4453] = 1238,
  [4454] = 1188,
  [4455] = 1061,
  [4456] = 4456,
  [4457] = 4457,
  [4458] = 4458,
  [4459] = 4459,
  [4460] = 4460,
  [4461] = 4461,
  [4462] = 4460,
  [4463] = 4463,
  [4464] = 4463,
  [4465] = 4463,
  [4466] = 4463,
  [4467] = 4460,
  [4468] = 4460,
  [4469] = 4463,
  [4470] = 4463,
  [4471] = 4460,
  [4472] = 4460,
  [4473] = 4460,
  [4474] = 4463,
  [4475] = 4460,
  [4476] = 4463,
  [4477] = 4477,
  [4478] = 4190,
  [4479] = 4479,
  [4480] = 4480,
  [4481] = 4481,
  [4482] = 4482,
  [4483] = 4483,
  [4484] = 4484,
  [4485] = 4485,
  [4486] = 4486,
  [4487] = 4487,
  [4488] = 4488,
  [4489] = 4489,
  [4490] = 4490,
  [4491] = 4491,
  [4492] = 4492,
  [4493] = 4493,
  [4494] = 4494,
  [4495] = 4495,
  [4496] = 4496,
  [4497] = 4459,
  [4498] = 2933,
  [4499] = 4267,
  [4500] = 4500,
  [4501] = 4501,
  [4502] = 4258,
  [4503] = 2932,
  [4504] = 4456,
  [4505] = 4505,
  [4506] = 4506,
  [4507] = 4507,
  [4508] = 4508,
  [4509] = 2156,
  [4510] = 2154,
  [4511] = 2731,
  [4512] = 2737,
  [4513] = 2738,
  [4514] = 2149,
  [4515] = 367,
  [4516] = 376,
  [4517] = 2892,
  [4518] = 2880,
  [4519] = 2851,
  [4520] = 2849,
  [4521] = 2878,
  [4522] = 2877,
  [4523] = 2876,
  [4524] = 2889,
  [4525] = 2884,
  [4526] = 2850,
  [4527] = 2875,
  [4528] = 2852,
  [4529] = 2853,
  [4530] = 2854,
  [4531] = 376,
  [4532] = 2883,
  [4533] = 2891,
  [4534] = 2893,
  [4535] = 2894,
  [4536] = 2895,
  [4537] = 2896,
  [4538] = 2898,
  [4539] = 2899,
  [4540] = 367,
  [4541] = 2900,
  [4542] = 2855,
  [4543] = 2882,
  [4544] = 2730,
  [4545] = 2881,
  [4546] = 2848,
  [4547] = 2879,
  [4548] = 2861,
  [4549] = 2857,
  [4550] = 2860,
  [4551] = 2859,
  [4552] = 2847,
  [4553] = 2846,
  [4554] = 4554,
  [4555] = 4554,
  [4556] = 4554,
  [4557] = 4554,
  [4558] = 4554,
  [4559] = 4554,
  [4560] = 2781,
  [4561] = 4554,
  [4562] = 1125,
  [4563] = 2178,
  [4564] = 2195,
  [4565] = 2187,
  [4566] = 2827,
  [4567] = 2933,
  [4568] = 1118,
  [4569] = 2181,
  [4570] = 2162,
  [4571] = 2198,
  [4572] = 2823,
  [4573] = 2191,
  [4574] = 2825,
  [4575] = 2737,
  [4576] = 1117,
  [4577] = 2165,
  [4578] = 2776,
  [4579] = 2731,
  [4580] = 2176,
  [4581] = 2177,
  [4582] = 1119,
  [4583] = 2738,
  [4584] = 2803,
  [4585] = 2196,
  [4586] = 2932,
  [4587] = 1116,
  [4588] = 2762,
  [4589] = 2752,
  [4590] = 2760,
  [4591] = 2771,
  [4592] = 2768,
  [4593] = 2810,
  [4594] = 4594,
  [4595] = 2870,
  [4596] = 2851,
  [4597] = 2872,
  [4598] = 2850,
  [4599] = 2842,
  [4600] = 2843,
  [4601] = 2809,
  [4602] = 2808,
  [4603] = 4603,
  [4604] = 2832,
  [4605] = 4603,
  [4606] = 4606,
  [4607] = 2786,
  [4608] = 2849,
  [4609] = 2866,
  [4610] = 2865,
  [4611] = 2841,
  [4612] = 2794,
  [4613] = 2816,
  [4614] = 4603,
  [4615] = 2798,
  [4616] = 4603,
  [4617] = 2885,
  [4618] = 2795,
  [4619] = 2852,
  [4620] = 2807,
  [4621] = 2864,
  [4622] = 2806,
  [4623] = 2886,
  [4624] = 2887,
  [4625] = 2853,
  [4626] = 4626,
  [4627] = 4594,
  [4628] = 4606,
  [4629] = 2854,
  [4630] = 2804,
  [4631] = 2814,
  [4632] = 2884,
  [4633] = 4603,
  [4634] = 2871,
  [4635] = 4635,
  [4636] = 2882,
  [4637] = 4626,
  [4638] = 2797,
  [4639] = 2883,
  [4640] = 4635,
  [4641] = 4606,
  [4642] = 2811,
  [4643] = 4626,
  [4644] = 4594,
  [4645] = 4603,
  [4646] = 4606,
  [4647] = 2828,
  [4648] = 2796,
  [4649] = 2893,
  [4650] = 2847,
  [4651] = 4626,
  [4652] = 2844,
  [4653] = 2857,
  [4654] = 4635,
  [4655] = 2881,
  [4656] = 2873,
  [4657] = 2880,
  [4658] = 2879,
  [4659] = 2799,
  [4660] = 4603,
  [4661] = 2826,
  [4662] = 2855,
  [4663] = 2877,
  [4664] = 2876,
  [4665] = 4635,
  [4666] = 2875,
  [4667] = 2859,
  [4668] = 4606,
  [4669] = 2813,
  [4670] = 2833,
  [4671] = 2860,
  [4672] = 4594,
  [4673] = 2889,
  [4674] = 2891,
  [4675] = 2824,
  [4676] = 2800,
  [4677] = 2892,
  [4678] = 2878,
  [4679] = 4626,
  [4680] = 2894,
  [4681] = 2834,
  [4682] = 2835,
  [4683] = 2805,
  [4684] = 2861,
  [4685] = 2895,
  [4686] = 4603,
  [4687] = 2903,
  [4688] = 2846,
  [4689] = 4603,
  [4690] = 2896,
  [4691] = 4594,
  [4692] = 2898,
  [4693] = 2738,
  [4694] = 2901,
  [4695] = 2737,
  [4696] = 2731,
  [4697] = 2831,
  [4698] = 2899,
  [4699] = 2812,
  [4700] = 2900,
  [4701] = 4635,
  [4702] = 2848,
  [4703] = 2730,
  [4704] = 4704,
  [4705] = 4705,
  [4706] = 4706,
  [4707] = 4707,
  [4708] = 4707,
  [4709] = 4709,
  [4710] = 4710,
  [4711] = 4711,
  [4712] = 4712,
  [4713] = 2781,
  [4714] = 4714,
  [4715] = 4715,
  [4716] = 4716,
  [4717] = 4716,
  [4718] = 4718,
  [4719] = 4719,
  [4720] = 4716,
  [4721] = 4721,
  [4722] = 4722,
  [4723] = 4723,
  [4724] = 4716,
  [4725] = 4725,
  [4726] = 4726,
  [4727] = 4727,
  [4728] = 4707,
  [4729] = 4729,
  [4730] = 4707,
  [4731] = 4707,
  [4732] = 4732,
  [4733] = 4733,
  [4734] = 4734,
  [4735] = 4716,
  [4736] = 4736,
  [4737] = 4737,
  [4738] = 4716,
  [4739] = 4716,
  [4740] = 4733,
  [4741] = 4707,
  [4742] = 4733,
  [4743] = 4733,
  [4744] = 4733,
  [4745] = 4745,
  [4746] = 4746,
  [4747] = 4747,
  [4748] = 2875,
  [4749] = 2198,
  [4750] = 2196,
  [4751] = 2191,
  [4752] = 2730,
  [4753] = 4753,
  [4754] = 4754,
  [4755] = 4755,
  [4756] = 2178,
  [4757] = 2177,
  [4758] = 2176,
  [4759] = 4759,
  [4760] = 2861,
  [4761] = 2860,
  [4762] = 4762,
  [4763] = 4763,
  [4764] = 2859,
  [4765] = 2933,
  [4766] = 2857,
  [4767] = 2855,
  [4768] = 2854,
  [4769] = 2853,
  [4770] = 2776,
  [4771] = 2852,
  [4772] = 2851,
  [4773] = 2850,
  [4774] = 2849,
  [4775] = 2848,
  [4776] = 2847,
  [4777] = 2156,
  [4778] = 2846,
  [4779] = 4779,
  [4780] = 2894,
  [4781] = 2876,
  [4782] = 2877,
  [4783] = 2878,
  [4784] = 2879,
  [4785] = 2880,
  [4786] = 2881,
  [4787] = 2882,
  [4788] = 2883,
  [4789] = 2884,
  [4790] = 4790,
  [4791] = 2165,
  [4792] = 4792,
  [4793] = 2195,
  [4794] = 2187,
  [4795] = 2900,
  [4796] = 2932,
  [4797] = 2823,
  [4798] = 4798,
  [4799] = 2825,
  [4800] = 2899,
  [4801] = 2827,
  [4802] = 2898,
  [4803] = 2803,
  [4804] = 2896,
  [4805] = 2895,
  [4806] = 2149,
  [4807] = 2162,
  [4808] = 4734,
  [4809] = 2181,
  [4810] = 2154,
  [4811] = 2889,
  [4812] = 2891,
  [4813] = 2892,
  [4814] = 2893,
  [4815] = 4815,
  [4816] = 2781,
  [4817] = 4817,
  [4818] = 2760,
  [4819] = 4819,
  [4820] = 4820,
  [4821] = 4821,
  [4822] = 4822,
  [4823] = 4823,
  [4824] = 4824,
  [4825] = 4821,
  [4826] = 4826,
  [4827] = 4821,
  [4828] = 2771,
  [4829] = 2762,
  [4830] = 4830,
  [4831] = 4822,
  [4832] = 4832,
  [4833] = 4833,
  [4834] = 4834,
  [4835] = 4835,
  [4836] = 4836,
  [4837] = 4837,
  [4838] = 2768,
  [4839] = 4839,
  [4840] = 4822,
  [4841] = 4822,
  [4842] = 4842,
  [4843] = 4822,
  [4844] = 4844,
  [4845] = 4845,
  [4846] = 4846,
  [4847] = 4847,
  [4848] = 4848,
  [4849] = 4849,
  [4850] = 4850,
  [4851] = 4851,
  [4852] = 4821,
  [4853] = 4821,
  [4854] = 4854,
  [4855] = 4822,
  [4856] = 4856,
  [4857] = 4857,
  [4858] = 4858,
  [4859] = 4859,
  [4860] = 4822,
  [4861] = 4861,
  [4862] = 4821,
  [4863] = 2752,
  [4864] = 4864,
  [4865] = 4865,
  [4866] = 4866,
  [4867] = 4867,
  [4868] = 4868,
  [4869] = 1117,
  [4870] = 2865,
  [4871] = 2870,
  [4872] = 2154,
  [4873] = 2871,
  [4874] = 2901,
  [4875] = 2803,
  [4876] = 1116,
  [4877] = 4877,
  [4878] = 2156,
  [4879] = 4879,
  [4880] = 1118,
  [4881] = 2776,
  [4882] = 2844,
  [4883] = 2149,
  [4884] = 4884,
  [4885] = 2794,
  [4886] = 2823,
  [4887] = 2795,
  [4888] = 2872,
  [4889] = 2825,
  [4890] = 2873,
  [4891] = 4891,
  [4892] = 2796,
  [4893] = 2827,
  [4894] = 2843,
  [4895] = 2797,
  [4896] = 2887,
  [4897] = 2933,
  [4898] = 2932,
  [4899] = 2798,
  [4900] = 2799,
  [4901] = 2886,
  [4902] = 2800,
  [4903] = 2842,
  [4904] = 2885,
  [4905] = 2841,
  [4906] = 2903,
  [4907] = 2835,
  [4908] = 2834,
  [4909] = 2833,
  [4910] = 2832,
  [4911] = 2831,
  [4912] = 2866,
  [4913] = 2828,
  [4914] = 2826,
  [4915] = 2824,
  [4916] = 1119,
  [4917] = 2809,
  [4918] = 2808,
  [4919] = 4919,
  [4920] = 2804,
  [4921] = 2807,
  [4922] = 2786,
  [4923] = 2806,
  [4924] = 2816,
  [4925] = 2805,
  [4926] = 2864,
  [4927] = 1125,
  [4928] = 2814,
  [4929] = 2813,
  [4930] = 2812,
  [4931] = 2811,
  [4932] = 2810,
  [4933] = 4933,
  [4934] = 4934,
  [4935] = 4933,
  [4936] = 4936,
  [4937] = 2762,
  [4938] = 2752,
  [4939] = 2760,
  [4940] = 4940,
  [4941] = 4933,
  [4942] = 4942,
  [4943] = 4943,
  [4944] = 4933,
  [4945] = 4943,
  [4946] = 2768,
  [4947] = 4943,
  [4948] = 4948,
  [4949] = 4949,
  [4950] = 4950,
  [4951] = 4933,
  [4952] = 4933,
  [4953] = 4933,
  [4954] = 4943,
  [4955] = 4955,
  [4956] = 4943,
  [4957] = 4957,
  [4958] = 4943,
  [4959] = 2771,
  [4960] = 4734,
  [4961] = 4940,
  [4962] = 4962,
  [4963] = 4933,
  [4964] = 4964,
  [4965] = 4943,
  [4966] = 4966,
  [4967] = 4967,
  [4968] = 4968,
  [4969] = 4962,
  [4970] = 4970,
  [4971] = 4943,
  [4972] = 2833,
  [4973] = 4973,
  [4974] = 4974,
  [4975] = 4975,
  [4976] = 367,
  [4977] = 4977,
  [4978] = 4821,
  [4979] = 4979,
  [4980] = 4821,
  [4981] = 4981,
  [4982] = 2885,
  [4983] = 4983,
  [4984] = 2887,
  [4985] = 2886,
  [4986] = 4986,
  [4987] = 4987,
  [4988] = 4988,
  [4989] = 4981,
  [4990] = 4990,
  [4991] = 2800,
  [4992] = 4992,
  [4993] = 4993,
  [4994] = 4994,
  [4995] = 4821,
  [4996] = 4996,
  [4997] = 4997,
  [4998] = 4998,
  [4999] = 4996,
  [5000] = 5000,
  [5001] = 5001,
  [5002] = 4981,
  [5003] = 4993,
  [5004] = 5004,
  [5005] = 2873,
  [5006] = 4967,
  [5007] = 5007,
  [5008] = 2872,
  [5009] = 4979,
  [5010] = 2871,
  [5011] = 4993,
  [5012] = 2870,
  [5013] = 2786,
  [5014] = 2866,
  [5015] = 4934,
  [5016] = 2865,
  [5017] = 2864,
  [5018] = 2176,
  [5019] = 2177,
  [5020] = 2178,
  [5021] = 4821,
  [5022] = 4970,
  [5023] = 5023,
  [5024] = 5024,
  [5025] = 5025,
  [5026] = 5026,
  [5027] = 5027,
  [5028] = 4974,
  [5029] = 4997,
  [5030] = 5030,
  [5031] = 5031,
  [5032] = 5032,
  [5033] = 5033,
  [5034] = 5034,
  [5035] = 5035,
  [5036] = 4997,
  [5037] = 5037,
  [5038] = 5038,
  [5039] = 4981,
  [5040] = 5040,
  [5041] = 5023,
  [5042] = 5042,
  [5043] = 5043,
  [5044] = 4979,
  [5045] = 4821,
  [5046] = 4993,
  [5047] = 5047,
  [5048] = 5023,
  [5049] = 4942,
  [5050] = 5050,
  [5051] = 5000,
  [5052] = 5000,
  [5053] = 5053,
  [5054] = 5054,
  [5055] = 5055,
  [5056] = 5056,
  [5057] = 5035,
  [5058] = 5023,
  [5059] = 4981,
  [5060] = 5034,
  [5061] = 4996,
  [5062] = 2844,
  [5063] = 5004,
  [5064] = 5064,
  [5065] = 4997,
  [5066] = 5066,
  [5067] = 2901,
  [5068] = 2843,
  [5069] = 2842,
  [5070] = 2841,
  [5071] = 4974,
  [5072] = 4979,
  [5073] = 2835,
  [5074] = 2834,
  [5075] = 5001,
  [5076] = 5076,
  [5077] = 2832,
  [5078] = 2831,
  [5079] = 5023,
  [5080] = 4974,
  [5081] = 5000,
  [5082] = 5023,
  [5083] = 5083,
  [5084] = 5084,
  [5085] = 5085,
  [5086] = 5086,
  [5087] = 5087,
  [5088] = 5088,
  [5089] = 5089,
  [5090] = 4821,
  [5091] = 5091,
  [5092] = 4993,
  [5093] = 2828,
  [5094] = 5094,
  [5095] = 4979,
  [5096] = 5023,
  [5097] = 4993,
  [5098] = 4997,
  [5099] = 2804,
  [5100] = 2826,
  [5101] = 5101,
  [5102] = 5000,
  [5103] = 5103,
  [5104] = 5104,
  [5105] = 2824,
  [5106] = 2191,
  [5107] = 5000,
  [5108] = 4997,
  [5109] = 2196,
  [5110] = 2162,
  [5111] = 5111,
  [5112] = 2198,
  [5113] = 5113,
  [5114] = 2805,
  [5115] = 4974,
  [5116] = 5007,
  [5117] = 2181,
  [5118] = 2187,
  [5119] = 4981,
  [5120] = 4979,
  [5121] = 4993,
  [5122] = 2195,
  [5123] = 5031,
  [5124] = 1125,
  [5125] = 2806,
  [5126] = 5023,
  [5127] = 1119,
  [5128] = 4997,
  [5129] = 4996,
  [5130] = 5130,
  [5131] = 5131,
  [5132] = 4996,
  [5133] = 2794,
  [5134] = 1118,
  [5135] = 4979,
  [5136] = 4993,
  [5137] = 4997,
  [5138] = 2165,
  [5139] = 4821,
  [5140] = 2795,
  [5141] = 2796,
  [5142] = 1117,
  [5143] = 5143,
  [5144] = 1116,
  [5145] = 5145,
  [5146] = 2797,
  [5147] = 2807,
  [5148] = 5148,
  [5149] = 5000,
  [5150] = 2798,
  [5151] = 2799,
  [5152] = 5152,
  [5153] = 5000,
  [5154] = 5154,
  [5155] = 4974,
  [5156] = 2808,
  [5157] = 5157,
  [5158] = 5054,
  [5159] = 5159,
  [5160] = 5026,
  [5161] = 5053,
  [5162] = 2809,
  [5163] = 4979,
  [5164] = 5164,
  [5165] = 2810,
  [5166] = 2903,
  [5167] = 4981,
  [5168] = 2811,
  [5169] = 5169,
  [5170] = 376,
  [5171] = 5171,
  [5172] = 4981,
  [5173] = 5173,
  [5174] = 2816,
  [5175] = 2812,
  [5176] = 5176,
  [5177] = 2814,
  [5178] = 2813,
  [5179] = 5179,
  [5180] = 5180,
  [5181] = 5180,
  [5182] = 5179,
  [5183] = 5179,
  [5184] = 5184,
  [5185] = 5179,
  [5186] = 5186,
  [5187] = 5186,
  [5188] = 5186,
  [5189] = 5189,
  [5190] = 5184,
  [5191] = 5191,
  [5192] = 5192,
  [5193] = 5193,
  [5194] = 5194,
  [5195] = 5195,
  [5196] = 5186,
  [5197] = 5197,
  [5198] = 5198,
  [5199] = 5199,
  [5200] = 5186,
  [5201] = 5186,
  [5202] = 5202,
  [5203] = 5203,
  [5204] = 5204,
  [5205] = 339,
  [5206] = 5206,
  [5207] = 335,
  [5208] = 5179,
  [5209] = 5209,
  [5210] = 5186,
  [5211] = 5179,
  [5212] = 4970,
  [5213] = 4934,
  [5214] = 5179,
  [5215] = 5215,
  [5216] = 5186,
  [5217] = 5179,
  [5218] = 5218,
  [5219] = 5219,
  [5220] = 5220,
  [5221] = 5221,
  [5222] = 5222,
  [5223] = 5223,
  [5224] = 5224,
  [5225] = 5225,
  [5226] = 5226,
  [5227] = 5227,
  [5228] = 5228,
  [5229] = 5229,
  [5230] = 5230,
  [5231] = 5231,
  [5232] = 5232,
  [5233] = 5233,
  [5234] = 5234,
  [5235] = 5235,
  [5236] = 5236,
  [5237] = 5237,
  [5238] = 5238,
  [5239] = 5239,
  [5240] = 5240,
  [5241] = 5241,
  [5242] = 5242,
  [5243] = 5243,
  [5244] = 5244,
  [5245] = 5245,
  [5246] = 5225,
  [5247] = 5247,
  [5248] = 5248,
  [5249] = 5238,
  [5250] = 5250,
  [5251] = 5251,
  [5252] = 5252,
  [5253] = 5228,
  [5254] = 5254,
  [5255] = 4879,
  [5256] = 5256,
  [5257] = 5257,
  [5258] = 5258,
  [5259] = 5259,
  [5260] = 5260,
  [5261] = 5261,
  [5262] = 5235,
  [5263] = 5263,
  [5264] = 5227,
  [5265] = 5239,
  [5266] = 5266,
  [5267] = 5251,
  [5268] = 5268,
  [5269] = 5269,
  [5270] = 5270,
  [5271] = 5271,
  [5272] = 5270,
  [5273] = 5273,
  [5274] = 5239,
  [5275] = 5269,
  [5276] = 5273,
  [5277] = 5277,
  [5278] = 5278,
  [5279] = 5251,
  [5280] = 5280,
  [5281] = 5281,
  [5282] = 5282,
  [5283] = 5283,
  [5284] = 5284,
  [5285] = 5269,
  [5286] = 5271,
  [5287] = 5287,
  [5288] = 5238,
  [5289] = 5287,
  [5290] = 5287,
  [5291] = 5225,
  [5292] = 5292,
  [5293] = 347,
  [5294] = 5238,
  [5295] = 5295,
  [5296] = 5296,
  [5297] = 5297,
  [5298] = 5298,
  [5299] = 5299,
  [5300] = 5215,
  [5301] = 5301,
  [5302] = 5302,
  [5303] = 5303,
  [5304] = 5304,
  [5305] = 5305,
  [5306] = 5306,
  [5307] = 5271,
  [5308] = 5258,
  [5309] = 5309,
  [5310] = 5270,
  [5311] = 5248,
  [5312] = 5312,
  [5313] = 5239,
  [5314] = 5314,
  [5315] = 5315,
  [5316] = 5316,
  [5317] = 5317,
  [5318] = 350,
  [5319] = 5319,
  [5320] = 5320,
  [5321] = 5225,
  [5322] = 5227,
  [5323] = 5323,
  [5324] = 5324,
  [5325] = 360,
  [5326] = 5228,
  [5327] = 5327,
  [5328] = 5328,
  [5329] = 5287,
  [5330] = 5330,
  [5331] = 5331,
  [5332] = 5238,
  [5333] = 5333,
  [5334] = 5334,
  [5335] = 5335,
  [5336] = 5336,
  [5337] = 5337,
  [5338] = 5338,
  [5339] = 5339,
  [5340] = 5340,
  [5341] = 369,
  [5342] = 5342,
  [5343] = 5287,
  [5344] = 5344,
  [5345] = 5345,
  [5346] = 5225,
  [5347] = 5271,
  [5348] = 5348,
  [5349] = 5349,
  [5350] = 5350,
  [5351] = 5251,
  [5352] = 5352,
  [5353] = 5353,
  [5354] = 5354,
  [5355] = 5238,
  [5356] = 5271,
  [5357] = 5357,
  [5358] = 5164,
  [5359] = 5269,
  [5360] = 5360,
  [5361] = 5361,
  [5362] = 5362,
  [5363] = 5363,
  [5364] = 5269,
  [5365] = 5365,
  [5366] = 5251,
  [5367] = 5270,
  [5368] = 5368,
  [5369] = 5369,
  [5370] = 5370,
  [5371] = 5371,
  [5372] = 5372,
  [5373] = 5225,
  [5374] = 5374,
  [5375] = 2104,
  [5376] = 369,
  [5377] = 5377,
  [5378] = 5378,
  [5379] = 5379,
  [5380] = 5380,
  [5381] = 5381,
  [5382] = 5382,
  [5383] = 5225,
  [5384] = 5244,
  [5385] = 5385,
  [5386] = 5386,
  [5387] = 5387,
  [5388] = 5388,
  [5389] = 5389,
  [5390] = 5295,
  [5391] = 5309,
  [5392] = 5392,
  [5393] = 5393,
  [5394] = 5394,
  [5395] = 5395,
  [5396] = 5396,
  [5397] = 5239,
  [5398] = 5030,
  [5399] = 5239,
  [5400] = 5400,
  [5401] = 5401,
  [5402] = 5248,
  [5403] = 5403,
  [5404] = 5404,
  [5405] = 5242,
  [5406] = 5406,
  [5407] = 5024,
  [5408] = 5236,
  [5409] = 5238,
  [5410] = 5410,
  [5411] = 5411,
  [5412] = 5227,
  [5413] = 5228,
  [5414] = 5414,
  [5415] = 5415,
  [5416] = 5270,
  [5417] = 5417,
  [5418] = 5270,
  [5419] = 5419,
  [5420] = 5420,
  [5421] = 5421,
  [5422] = 5422,
  [5423] = 5239,
  [5424] = 5251,
  [5425] = 5425,
  [5426] = 5269,
  [5427] = 5271,
  [5428] = 5287,
  [5429] = 5429,
  [5430] = 5430,
  [5431] = 5270,
  [5432] = 5225,
  [5433] = 5433,
  [5434] = 4966,
  [5435] = 5435,
  [5436] = 5436,
  [5437] = 5437,
  [5438] = 5438,
  [5439] = 5439,
  [5440] = 5440,
  [5441] = 5441,
  [5442] = 5442,
  [5443] = 5443,
  [5444] = 368,
  [5445] = 5445,
  [5446] = 5433,
  [5447] = 5287,
  [5448] = 5271,
  [5449] = 5449,
  [5450] = 5450,
  [5451] = 346,
  [5452] = 5452,
  [5453] = 5269,
  [5454] = 5251,
  [5455] = 5239,
  [5456] = 5251,
  [5457] = 5457,
  [5458] = 5458,
  [5459] = 5270,
  [5460] = 5460,
  [5461] = 5461,
  [5462] = 5088,
  [5463] = 5463,
  [5464] = 5227,
  [5465] = 5248,
  [5466] = 5466,
  [5467] = 5238,
  [5468] = 5295,
  [5469] = 5228,
  [5470] = 5228,
  [5471] = 5471,
  [5472] = 5433,
  [5473] = 361,
  [5474] = 353,
  [5475] = 5056,
  [5476] = 5227,
  [5477] = 4877,
  [5478] = 5295,
  [5479] = 5433,
  [5480] = 5295,
  [5481] = 5433,
  [5482] = 5295,
  [5483] = 5483,
  [5484] = 5433,
  [5485] = 5485,
  [5486] = 5053,
  [5487] = 5054,
  [5488] = 5295,
  [5489] = 5034,
  [5490] = 5228,
  [5491] = 5491,
  [5492] = 5433,
  [5493] = 5004,
  [5494] = 5295,
  [5495] = 5171,
  [5496] = 5433,
  [5497] = 5001,
  [5498] = 5227,
  [5499] = 5261,
  [5500] = 5500,
  [5501] = 347,
  [5502] = 338,
  [5503] = 5503,
  [5504] = 5287,
  [5505] = 5271,
  [5506] = 5269,
  [5507] = 5248,
  [5508] = 5035,
  [5509] = 5227,
  [5510] = 5510,
  [5511] = 5511,
  [5512] = 5228,
  [5513] = 2140,
  [5514] = 4942,
  [5515] = 5515,
  [5516] = 5268,
  [5517] = 5515,
  [5518] = 5515,
  [5519] = 5515,
  [5520] = 5252,
  [5521] = 5521,
  [5522] = 5515,
  [5523] = 5523,
  [5524] = 5515,
  [5525] = 5525,
  [5526] = 5526,
  [5527] = 5515,
  [5528] = 5528,
  [5529] = 5515,
  [5530] = 5530,
  [5531] = 5445,
  [5532] = 5250,
  [5533] = 5533,
  [5534] = 5534,
  [5535] = 5232,
  [5536] = 5536,
  [5537] = 5537,
  [5538] = 5538,
  [5539] = 5539,
  [5540] = 5540,
  [5541] = 5541,
  [5542] = 5542,
  [5543] = 5534,
  [5544] = 5544,
  [5545] = 5530,
  [5546] = 5546,
  [5547] = 5538,
  [5548] = 5530,
  [5549] = 5549,
  [5550] = 5541,
  [5551] = 5542,
  [5552] = 5552,
  [5553] = 5534,
  [5554] = 5437,
  [5555] = 5555,
  [5556] = 5538,
  [5557] = 5557,
  [5558] = 5540,
  [5559] = 5534,
  [5560] = 5542,
  [5561] = 5561,
  [5562] = 5534,
  [5563] = 5511,
  [5564] = 5539,
  [5565] = 5521,
  [5566] = 5523,
  [5567] = 5510,
  [5568] = 5526,
  [5569] = 5569,
  [5570] = 5528,
  [5571] = 5571,
  [5572] = 5538,
  [5573] = 5573,
  [5574] = 5536,
  [5575] = 5537,
  [5576] = 5417,
  [5577] = 5542,
  [5578] = 5534,
  [5579] = 5538,
  [5580] = 5180,
  [5581] = 5537,
  [5582] = 5582,
  [5583] = 5583,
  [5584] = 5536,
  [5585] = 5539,
  [5586] = 5540,
  [5587] = 5542,
  [5588] = 5534,
  [5589] = 5538,
  [5590] = 5541,
  [5591] = 5591,
  [5592] = 5528,
  [5593] = 5526,
  [5594] = 5184,
  [5595] = 5595,
  [5596] = 5277,
  [5597] = 5523,
  [5598] = 5521,
  [5599] = 5278,
  [5600] = 5600,
  [5601] = 5530,
  [5602] = 5319,
  [5603] = 5215,
  [5604] = 5542,
  [5605] = 5534,
  [5606] = 5606,
  [5607] = 5539,
  [5608] = 5538,
  [5609] = 5609,
  [5610] = 5610,
  [5611] = 5611,
  [5612] = 5280,
  [5613] = 963,
  [5614] = 5259,
  [5615] = 5537,
  [5616] = 5616,
  [5617] = 5542,
  [5618] = 5521,
  [5619] = 5523,
  [5620] = 5620,
  [5621] = 5621,
  [5622] = 5622,
  [5623] = 360,
  [5624] = 5526,
  [5625] = 5528,
  [5626] = 5626,
  [5627] = 5627,
  [5628] = 5536,
  [5629] = 5537,
  [5630] = 5539,
  [5631] = 5540,
  [5632] = 5421,
  [5633] = 5541,
  [5634] = 350,
  [5635] = 5536,
  [5636] = 5530,
  [5637] = 5637,
  [5638] = 5521,
  [5639] = 5237,
  [5640] = 5523,
  [5641] = 5240,
  [5642] = 5526,
  [5643] = 5643,
  [5644] = 5644,
  [5645] = 5540,
  [5646] = 5229,
  [5647] = 5528,
  [5648] = 5223,
  [5649] = 5541,
  [5650] = 5536,
  [5651] = 5609,
  [5652] = 5537,
  [5653] = 5653,
  [5654] = 5525,
  [5655] = 5643,
  [5656] = 5539,
  [5657] = 5540,
  [5658] = 5541,
  [5659] = 5659,
  [5660] = 5530,
  [5661] = 5661,
  [5662] = 5526,
  [5663] = 5528,
  [5664] = 5537,
  [5665] = 5540,
  [5666] = 5541,
  [5667] = 5530,
  [5668] = 5530,
  [5669] = 5561,
  [5670] = 5538,
  [5671] = 5537,
  [5672] = 5540,
  [5673] = 5541,
  [5674] = 5530,
  [5675] = 5537,
  [5676] = 5676,
  [5677] = 5540,
  [5678] = 5541,
  [5679] = 5530,
  [5680] = 5680,
  [5681] = 5537,
  [5682] = 5661,
  [5683] = 5283,
  [5684] = 5540,
  [5685] = 5541,
  [5686] = 5530,
  [5687] = 5541,
  [5688] = 5688,
  [5689] = 5540,
  [5690] = 5690,
  [5691] = 4891,
  [5692] = 5692,
  [5693] = 5626,
  [5694] = 5539,
  [5695] = 5528,
  [5696] = 5526,
  [5697] = 5661,
  [5698] = 5698,
  [5699] = 5699,
  [5700] = 5700,
  [5701] = 2015,
  [5702] = 4967,
  [5703] = 5690,
  [5704] = 5704,
  [5705] = 5705,
  [5706] = 5706,
  [5707] = 5707,
  [5708] = 5620,
  [5709] = 5709,
  [5710] = 5537,
  [5711] = 5661,
  [5712] = 5557,
  [5713] = 5523,
  [5714] = 5521,
  [5715] = 5536,
  [5716] = 5610,
  [5717] = 5688,
  [5718] = 5680,
  [5719] = 5719,
  [5720] = 5546,
  [5721] = 5528,
  [5722] = 5699,
  [5723] = 5526,
  [5724] = 5661,
  [5725] = 5661,
  [5726] = 5726,
  [5727] = 5727,
  [5728] = 5709,
  [5729] = 5692,
  [5730] = 5730,
  [5731] = 5523,
  [5732] = 5521,
  [5733] = 5733,
  [5734] = 5257,
  [5735] = 5282,
  [5736] = 5299,
  [5737] = 5661,
  [5738] = 5298,
  [5739] = 5659,
  [5740] = 5292,
  [5741] = 5281,
  [5742] = 5742,
  [5743] = 5743,
  [5744] = 5744,
  [5745] = 5745,
  [5746] = 5746,
  [5747] = 5747,
  [5748] = 5748,
  [5749] = 5749,
  [5750] = 5750,
  [5751] = 5751,
  [5752] = 5752,
  [5753] = 5753,
  [5754] = 5754,
  [5755] = 5755,
  [5756] = 1060,
  [5757] = 5757,
  [5758] = 5758,
  [5759] = 5759,
  [5760] = 5760,
  [5761] = 5761,
  [5762] = 5762,
  [5763] = 5763,
  [5764] = 5764,
  [5765] = 5754,
  [5766] = 5766,
  [5767] = 5767,
  [5768] = 5768,
  [5769] = 5769,
  [5770] = 5770,
  [5771] = 5771,
  [5772] = 5772,
  [5773] = 5773,
  [5774] = 5774,
  [5775] = 5775,
  [5776] = 5776,
  [5777] = 5777,
  [5778] = 5778,
  [5779] = 5779,
  [5780] = 5780,
  [5781] = 5781,
  [5782] = 5782,
  [5783] = 5783,
  [5784] = 5784,
  [5785] = 5785,
  [5786] = 5763,
  [5787] = 5787,
  [5788] = 5788,
  [5789] = 5789,
  [5790] = 5256,
  [5791] = 5791,
  [5792] = 5254,
  [5793] = 5793,
  [5794] = 5794,
  [5795] = 5789,
  [5796] = 1110,
  [5797] = 1113,
  [5798] = 5744,
  [5799] = 1069,
  [5800] = 1115,
  [5801] = 5801,
  [5802] = 5802,
  [5803] = 5803,
  [5804] = 5804,
  [5805] = 5805,
  [5806] = 5806,
  [5807] = 5763,
  [5808] = 5362,
  [5809] = 5809,
  [5810] = 5754,
  [5811] = 5811,
  [5812] = 1052,
  [5813] = 5813,
  [5814] = 5814,
  [5815] = 5815,
  [5816] = 5816,
  [5817] = 5742,
  [5818] = 5818,
  [5819] = 5819,
  [5820] = 5820,
  [5821] = 5821,
  [5822] = 5822,
  [5823] = 5823,
  [5824] = 5824,
  [5825] = 5779,
  [5826] = 1214,
  [5827] = 5777,
  [5828] = 5828,
  [5829] = 5829,
  [5830] = 5830,
  [5831] = 1091,
  [5832] = 1121,
  [5833] = 1123,
  [5834] = 1128,
  [5835] = 5835,
  [5836] = 5836,
  [5837] = 5837,
  [5838] = 5785,
  [5839] = 5839,
  [5840] = 5840,
  [5841] = 5841,
  [5842] = 5842,
  [5843] = 5776,
  [5844] = 5773,
  [5845] = 5845,
  [5846] = 5846,
  [5847] = 5847,
  [5848] = 5848,
  [5849] = 5849,
  [5850] = 5850,
  [5851] = 5851,
  [5852] = 1211,
  [5853] = 1101,
  [5854] = 5854,
  [5855] = 5855,
  [5856] = 5856,
  [5857] = 5857,
  [5858] = 5773,
  [5859] = 5859,
  [5860] = 5860,
  [5861] = 5861,
  [5862] = 5776,
  [5863] = 5863,
  [5864] = 5864,
  [5865] = 5865,
  [5866] = 5866,
  [5867] = 5742,
  [5868] = 5868,
  [5869] = 5777,
  [5870] = 5870,
  [5871] = 5779,
  [5872] = 5754,
  [5873] = 5873,
  [5874] = 348,
  [5875] = 5875,
  [5876] = 5742,
  [5877] = 5877,
  [5878] = 5785,
  [5879] = 5763,
  [5880] = 5880,
  [5881] = 5881,
  [5882] = 5875,
  [5883] = 5883,
  [5884] = 5884,
  [5885] = 5885,
  [5886] = 5886,
  [5887] = 5887,
  [5888] = 5888,
  [5889] = 5889,
  [5890] = 5890,
  [5891] = 5891,
  [5892] = 5744,
  [5893] = 5893,
  [5894] = 5757,
  [5895] = 5789,
  [5896] = 5896,
  [5897] = 5897,
  [5898] = 5898,
  [5899] = 5899,
  [5900] = 5900,
  [5901] = 5901,
  [5902] = 5744,
  [5903] = 5394,
  [5904] = 5904,
  [5905] = 5905,
  [5906] = 5906,
  [5907] = 5789,
  [5908] = 5908,
  [5909] = 5909,
  [5910] = 5910,
  [5911] = 5911,
  [5912] = 5912,
  [5913] = 5913,
  [5914] = 5914,
  [5915] = 5915,
  [5916] = 1079,
  [5917] = 5763,
  [5918] = 5918,
  [5919] = 5919,
  [5920] = 5920,
  [5921] = 5921,
  [5922] = 5922,
  [5923] = 5829,
  [5924] = 1081,
  [5925] = 5742,
  [5926] = 5926,
  [5927] = 5754,
  [5928] = 5928,
  [5929] = 5929,
  [5930] = 5744,
  [5931] = 5931,
  [5932] = 5932,
  [5933] = 5933,
  [5934] = 5934,
  [5935] = 5935,
  [5936] = 5936,
  [5937] = 5937,
  [5938] = 5938,
  [5939] = 5939,
  [5940] = 5940,
  [5941] = 5891,
  [5942] = 5942,
  [5943] = 335,
  [5944] = 339,
  [5945] = 5945,
  [5946] = 5946,
  [5947] = 5947,
  [5948] = 5948,
  [5949] = 5949,
  [5950] = 5950,
  [5951] = 5951,
  [5952] = 5952,
  [5953] = 5953,
  [5954] = 5954,
  [5955] = 5955,
  [5956] = 5956,
  [5957] = 5957,
  [5958] = 5958,
  [5959] = 5959,
  [5960] = 5951,
  [5961] = 5961,
  [5962] = 5962,
  [5963] = 5954,
  [5964] = 5964,
  [5965] = 5965,
  [5966] = 5966,
  [5967] = 5961,
  [5968] = 5968,
  [5969] = 5969,
  [5970] = 5779,
  [5971] = 5971,
  [5972] = 5972,
  [5973] = 5743,
  [5974] = 5974,
  [5975] = 5975,
  [5976] = 1246,
  [5977] = 5777,
  [5978] = 5978,
  [5979] = 1218,
  [5980] = 5980,
  [5981] = 5981,
  [5982] = 5776,
  [5983] = 5983,
  [5984] = 5984,
  [5985] = 5985,
  [5986] = 5985,
  [5987] = 5773,
  [5988] = 5988,
  [5989] = 5989,
  [5990] = 5754,
  [5991] = 5991,
  [5992] = 5992,
  [5993] = 366,
  [5994] = 5845,
  [5995] = 5849,
  [5996] = 5955,
  [5997] = 5997,
  [5998] = 5933,
  [5999] = 1219,
  [6000] = 5969,
  [6001] = 5926,
  [6002] = 5953,
  [6003] = 5983,
  [6004] = 5854,
  [6005] = 6005,
  [6006] = 6006,
  [6007] = 6007,
  [6008] = 5933,
  [6009] = 5744,
  [6010] = 6010,
  [6011] = 6011,
  [6012] = 6012,
  [6013] = 5743,
  [6014] = 6014,
  [6015] = 6015,
  [6016] = 6016,
  [6017] = 5971,
  [6018] = 6018,
  [6019] = 6019,
  [6020] = 6020,
  [6021] = 6021,
  [6022] = 5789,
  [6023] = 6023,
  [6024] = 5971,
  [6025] = 1222,
  [6026] = 6026,
  [6027] = 6027,
  [6028] = 6028,
  [6029] = 6029,
  [6030] = 5763,
  [6031] = 6031,
  [6032] = 1114,
  [6033] = 6033,
  [6034] = 1224,
  [6035] = 1230,
  [6036] = 5789,
  [6037] = 6037,
  [6038] = 5983,
  [6039] = 6039,
  [6040] = 6040,
  [6041] = 1238,
  [6042] = 6042,
  [6043] = 5985,
  [6044] = 6044,
  [6045] = 6045,
  [6046] = 5785,
  [6047] = 5933,
  [6048] = 1245,
  [6049] = 6049,
  [6050] = 5961,
  [6051] = 5953,
  [6052] = 5955,
  [6053] = 5742,
  [6054] = 5779,
  [6055] = 5985,
  [6056] = 5983,
  [6057] = 5743,
  [6058] = 5971,
  [6059] = 5777,
  [6060] = 5776,
  [6061] = 5954,
  [6062] = 5951,
  [6063] = 6049,
  [6064] = 6064,
  [6065] = 6065,
  [6066] = 5773,
  [6067] = 5779,
  [6068] = 1252,
  [6069] = 1153,
  [6070] = 5954,
  [6071] = 5955,
  [6072] = 6072,
  [6073] = 1254,
  [6074] = 5953,
  [6075] = 5754,
  [6076] = 1257,
  [6077] = 1258,
  [6078] = 6078,
  [6079] = 1155,
  [6080] = 5951,
  [6081] = 1056,
  [6082] = 6065,
  [6083] = 1131,
  [6084] = 5777,
  [6085] = 6085,
  [6086] = 5933,
  [6087] = 5953,
  [6088] = 5955,
  [6089] = 1255,
  [6090] = 6090,
  [6091] = 5752,
  [6092] = 6092,
  [6093] = 6093,
  [6094] = 6094,
  [6095] = 5985,
  [6096] = 6096,
  [6097] = 5983,
  [6098] = 6098,
  [6099] = 5743,
  [6100] = 5971,
  [6101] = 6101,
  [6102] = 6102,
  [6103] = 5744,
  [6104] = 6104,
  [6105] = 5789,
  [6106] = 5954,
  [6107] = 5951,
  [6108] = 1025,
  [6109] = 5933,
  [6110] = 1244,
  [6111] = 1026,
  [6112] = 5951,
  [6113] = 1028,
  [6114] = 6114,
  [6115] = 5776,
  [6116] = 6116,
  [6117] = 6117,
  [6118] = 5928,
  [6119] = 5971,
  [6120] = 6120,
  [6121] = 5742,
  [6122] = 6122,
  [6123] = 6123,
  [6124] = 5743,
  [6125] = 5767,
  [6126] = 6126,
  [6127] = 1229,
  [6128] = 1217,
  [6129] = 1184,
  [6130] = 5961,
  [6131] = 6131,
  [6132] = 6132,
  [6133] = 6133,
  [6134] = 1182,
  [6135] = 5779,
  [6136] = 1181,
  [6137] = 1175,
  [6138] = 1174,
  [6139] = 6139,
  [6140] = 1173,
  [6141] = 1158,
  [6142] = 5777,
  [6143] = 6143,
  [6144] = 6144,
  [6145] = 1157,
  [6146] = 6114,
  [6147] = 5776,
  [6148] = 5773,
  [6149] = 6149,
  [6150] = 5754,
  [6151] = 5777,
  [6152] = 6152,
  [6153] = 5744,
  [6154] = 1152,
  [6155] = 6155,
  [6156] = 6156,
  [6157] = 6157,
  [6158] = 1150,
  [6159] = 1148,
  [6160] = 1145,
  [6161] = 1143,
  [6162] = 1142,
  [6163] = 1141,
  [6164] = 1139,
  [6165] = 6165,
  [6166] = 5789,
  [6167] = 6167,
  [6168] = 6168,
  [6169] = 5866,
  [6170] = 6170,
  [6171] = 6171,
  [6172] = 6172,
  [6173] = 6173,
  [6174] = 5891,
  [6175] = 5891,
  [6176] = 6176,
  [6177] = 5891,
  [6178] = 6178,
  [6179] = 6179,
  [6180] = 6180,
  [6181] = 5961,
  [6182] = 6182,
  [6183] = 1132,
  [6184] = 5742,
  [6185] = 5933,
  [6186] = 5953,
  [6187] = 6187,
  [6188] = 5955,
  [6189] = 6189,
  [6190] = 6190,
  [6191] = 2932,
  [6192] = 6192,
  [6193] = 5985,
  [6194] = 1105,
  [6195] = 1102,
  [6196] = 5983,
  [6197] = 6197,
  [6198] = 6198,
  [6199] = 6199,
  [6200] = 5954,
  [6201] = 6201,
  [6202] = 5743,
  [6203] = 6203,
  [6204] = 5779,
  [6205] = 5971,
  [6206] = 1071,
  [6207] = 1087,
  [6208] = 1059,
  [6209] = 6209,
  [6210] = 6210,
  [6211] = 6211,
  [6212] = 2933,
  [6213] = 6213,
  [6214] = 5776,
  [6215] = 1046,
  [6216] = 6216,
  [6217] = 1040,
  [6218] = 1015,
  [6219] = 6219,
  [6220] = 1043,
  [6221] = 5954,
  [6222] = 6222,
  [6223] = 5951,
  [6224] = 6224,
  [6225] = 6225,
  [6226] = 6226,
  [6227] = 5763,
  [6228] = 6228,
  [6229] = 6229,
  [6230] = 1156,
  [6231] = 5951,
  [6232] = 6232,
  [6233] = 5954,
  [6234] = 5704,
  [6235] = 5705,
  [6236] = 5773,
  [6237] = 6237,
  [6238] = 6238,
  [6239] = 1237,
  [6240] = 5961,
  [6241] = 1239,
  [6242] = 5955,
  [6243] = 5886,
  [6244] = 1072,
  [6245] = 5706,
  [6246] = 1050,
  [6247] = 1051,
  [6248] = 6248,
  [6249] = 5961,
  [6250] = 1054,
  [6251] = 1078,
  [6252] = 6252,
  [6253] = 6253,
  [6254] = 6254,
  [6255] = 6255,
  [6256] = 6256,
  [6257] = 6257,
  [6258] = 5890,
  [6259] = 6259,
  [6260] = 6260,
  [6261] = 6261,
  [6262] = 5888,
  [6263] = 6263,
  [6264] = 6264,
  [6265] = 6265,
  [6266] = 6266,
  [6267] = 6267,
  [6268] = 6268,
  [6269] = 6269,
  [6270] = 5859,
  [6271] = 6271,
  [6272] = 6272,
  [6273] = 6273,
  [6274] = 1092,
  [6275] = 5773,
  [6276] = 6276,
  [6277] = 6277,
  [6278] = 6278,
  [6279] = 6279,
  [6280] = 6280,
  [6281] = 6281,
  [6282] = 5983,
  [6283] = 5726,
  [6284] = 5961,
  [6285] = 6285,
  [6286] = 6286,
  [6287] = 6287,
  [6288] = 5933,
  [6289] = 6289,
  [6290] = 1049,
  [6291] = 6291,
  [6292] = 5953,
  [6293] = 6293,
  [6294] = 5955,
  [6295] = 5785,
  [6296] = 6296,
  [6297] = 6297,
  [6298] = 6298,
  [6299] = 5953,
  [6300] = 6300,
  [6301] = 6122,
  [6302] = 1151,
  [6303] = 5985,
  [6304] = 6304,
  [6305] = 6305,
  [6306] = 5983,
  [6307] = 6307,
  [6308] = 5743,
  [6309] = 5985,
  [6310] = 5971,
  [6311] = 5841,
  [6312] = 5763,
  [6313] = 6313,
  [6314] = 6314,
  [6315] = 6315,
  [6316] = 6313,
  [6317] = 6317,
  [6318] = 6318,
  [6319] = 6319,
  [6320] = 6320,
  [6321] = 6321,
  [6322] = 6322,
  [6323] = 6323,
  [6324] = 5956,
  [6325] = 6325,
  [6326] = 6326,
  [6327] = 6327,
  [6328] = 1011,
  [6329] = 6325,
  [6330] = 6330,
  [6331] = 6318,
  [6332] = 6332,
  [6333] = 6333,
  [6334] = 6334,
  [6335] = 6335,
  [6336] = 6335,
  [6337] = 6337,
  [6338] = 6334,
  [6339] = 6339,
  [6340] = 6340,
  [6341] = 6339,
  [6342] = 6339,
  [6343] = 6313,
  [6344] = 6344,
  [6345] = 6340,
  [6346] = 6315,
  [6347] = 6332,
  [6348] = 6315,
  [6349] = 6313,
  [6350] = 6350,
  [6351] = 6320,
  [6352] = 6321,
  [6353] = 6326,
  [6354] = 5857,
  [6355] = 1042,
  [6356] = 6356,
  [6357] = 6357,
  [6358] = 6358,
  [6359] = 6359,
  [6360] = 6360,
  [6361] = 6361,
  [6362] = 6361,
  [6363] = 6359,
  [6364] = 6358,
  [6365] = 6357,
  [6366] = 6360,
  [6367] = 6314,
  [6368] = 6368,
  [6369] = 6369,
  [6370] = 1014,
  [6371] = 6371,
  [6372] = 6327,
  [6373] = 6373,
  [6374] = 6344,
  [6375] = 6321,
  [6376] = 6320,
  [6377] = 6313,
  [6378] = 6315,
  [6379] = 6379,
  [6380] = 6344,
  [6381] = 6381,
  [6382] = 6332,
  [6383] = 6314,
  [6384] = 6384,
  [6385] = 6326,
  [6386] = 6386,
  [6387] = 6325,
  [6388] = 6388,
  [6389] = 6318,
  [6390] = 6390,
  [6391] = 6327,
  [6392] = 6335,
  [6393] = 6393,
  [6394] = 6340,
  [6395] = 6395,
  [6396] = 6334,
  [6397] = 6339,
  [6398] = 6339,
  [6399] = 6334,
  [6400] = 6340,
  [6401] = 6357,
  [6402] = 6358,
  [6403] = 6359,
  [6404] = 6357,
  [6405] = 6361,
  [6406] = 6335,
  [6407] = 6360,
  [6408] = 6358,
  [6409] = 6359,
  [6410] = 6361,
  [6411] = 6322,
  [6412] = 6327,
  [6413] = 6360,
  [6414] = 6332,
  [6415] = 6321,
  [6416] = 6320,
  [6417] = 6318,
  [6418] = 6313,
  [6419] = 6315,
  [6420] = 6332,
  [6421] = 6325,
  [6422] = 1035,
  [6423] = 6423,
  [6424] = 6335,
  [6425] = 6340,
  [6426] = 6320,
  [6427] = 6357,
  [6428] = 6326,
  [6429] = 6321,
  [6430] = 6360,
  [6431] = 6321,
  [6432] = 6432,
  [6433] = 6321,
  [6434] = 6434,
  [6435] = 6320,
  [6436] = 6313,
  [6437] = 6315,
  [6438] = 6332,
  [6439] = 6325,
  [6440] = 6325,
  [6441] = 2155,
  [6442] = 6332,
  [6443] = 6315,
  [6444] = 6313,
  [6445] = 6320,
  [6446] = 6320,
  [6447] = 6321,
  [6448] = 6340,
  [6449] = 6337,
  [6450] = 6450,
  [6451] = 6451,
  [6452] = 6327,
  [6453] = 6360,
  [6454] = 6454,
  [6455] = 6313,
  [6456] = 6321,
  [6457] = 6320,
  [6458] = 6313,
  [6459] = 6315,
  [6460] = 6327,
  [6461] = 6315,
  [6462] = 6340,
  [6463] = 6463,
  [6464] = 6337,
  [6465] = 6322,
  [6466] = 6360,
  [6467] = 6467,
  [6468] = 6332,
  [6469] = 6334,
  [6470] = 6321,
  [6471] = 6471,
  [6472] = 6320,
  [6473] = 6313,
  [6474] = 6315,
  [6475] = 6321,
  [6476] = 6320,
  [6477] = 6313,
  [6478] = 6315,
  [6479] = 6479,
  [6480] = 6327,
  [6481] = 6481,
  [6482] = 6321,
  [6483] = 6320,
  [6484] = 6313,
  [6485] = 6337,
  [6486] = 6315,
  [6487] = 6487,
  [6488] = 6335,
  [6489] = 6321,
  [6490] = 6320,
  [6491] = 6313,
  [6492] = 6492,
  [6493] = 6315,
  [6494] = 6321,
  [6495] = 6320,
  [6496] = 6496,
  [6497] = 6497,
  [6498] = 6315,
  [6499] = 6360,
  [6500] = 6321,
  [6501] = 6361,
  [6502] = 6360,
  [6503] = 6361,
  [6504] = 6359,
  [6505] = 6505,
  [6506] = 6358,
  [6507] = 6507,
  [6508] = 6357,
  [6509] = 6359,
  [6510] = 6358,
  [6511] = 6320,
  [6512] = 5707,
  [6513] = 6313,
  [6514] = 6315,
  [6515] = 6322,
  [6516] = 338,
  [6517] = 6357,
  [6518] = 6344,
  [6519] = 6519,
  [6520] = 6321,
  [6521] = 6314,
  [6522] = 6320,
  [6523] = 6313,
  [6524] = 6322,
  [6525] = 6315,
  [6526] = 6361,
  [6527] = 6527,
  [6528] = 6528,
  [6529] = 6529,
  [6530] = 6530,
  [6531] = 6531,
  [6532] = 6532,
  [6533] = 6533,
  [6534] = 6393,
  [6535] = 6340,
  [6536] = 6339,
  [6537] = 6537,
  [6538] = 6334,
  [6539] = 6335,
  [6540] = 5730,
  [6541] = 6359,
  [6542] = 6358,
  [6543] = 6432,
  [6544] = 6544,
  [6545] = 6545,
  [6546] = 6546,
  [6547] = 2148,
  [6548] = 6344,
  [6549] = 6532,
  [6550] = 6550,
  [6551] = 6318,
  [6552] = 6393,
  [6553] = 6553,
  [6554] = 6314,
  [6555] = 6555,
  [6556] = 361,
  [6557] = 6557,
  [6558] = 6318,
  [6559] = 6325,
  [6560] = 353,
  [6561] = 6532,
  [6562] = 6340,
  [6563] = 6339,
  [6564] = 6334,
  [6565] = 6335,
  [6566] = 6566,
  [6567] = 6567,
  [6568] = 6393,
  [6569] = 6532,
  [6570] = 6570,
  [6571] = 6326,
  [6572] = 6572,
  [6573] = 6545,
  [6574] = 6537,
  [6575] = 6575,
  [6576] = 6337,
  [6577] = 6325,
  [6578] = 6318,
  [6579] = 6393,
  [6580] = 6313,
  [6581] = 6332,
  [6582] = 6463,
  [6583] = 6315,
  [6584] = 6357,
  [6585] = 6585,
  [6586] = 6325,
  [6587] = 6557,
  [6588] = 6530,
  [6589] = 2157,
  [6590] = 6531,
  [6591] = 6532,
  [6592] = 6592,
  [6593] = 6321,
  [6594] = 6320,
  [6595] = 6595,
  [6596] = 6596,
  [6597] = 6597,
  [6598] = 6598,
  [6599] = 6599,
  [6600] = 6600,
  [6601] = 6601,
  [6602] = 6602,
  [6603] = 6603,
  [6604] = 6604,
  [6605] = 6605,
  [6606] = 6606,
  [6607] = 6607,
  [6608] = 6608,
  [6609] = 6609,
  [6610] = 6610,
  [6611] = 6611,
  [6612] = 6612,
  [6613] = 6613,
  [6614] = 6614,
  [6615] = 6615,
  [6616] = 6616,
  [6617] = 6617,
  [6618] = 6618,
  [6619] = 6619,
  [6620] = 6620,
  [6621] = 6621,
  [6622] = 6622,
  [6623] = 6623,
  [6624] = 6624,
  [6625] = 6625,
  [6626] = 6626,
  [6627] = 6627,
  [6628] = 6628,
  [6629] = 6629,
  [6630] = 6630,
  [6631] = 6631,
  [6632] = 6632,
  [6633] = 6633,
  [6634] = 6634,
  [6635] = 6635,
  [6636] = 6636,
  [6637] = 6628,
  [6638] = 6638,
  [6639] = 6639,
  [6640] = 6640,
  [6641] = 6641,
  [6642] = 4262,
  [6643] = 6643,
  [6644] = 6644,
  [6645] = 6645,
  [6646] = 6646,
  [6647] = 6636,
  [6648] = 6648,
  [6649] = 6628,
  [6650] = 6650,
  [6651] = 6651,
  [6652] = 6652,
  [6653] = 6653,
  [6654] = 6654,
  [6655] = 6655,
  [6656] = 6636,
  [6657] = 6657,
  [6658] = 6628,
  [6659] = 6659,
  [6660] = 6660,
  [6661] = 6661,
  [6662] = 6662,
  [6663] = 6663,
  [6664] = 4266,
  [6665] = 6665,
  [6666] = 6666,
  [6667] = 6667,
  [6668] = 6668,
  [6669] = 6636,
  [6670] = 6628,
  [6671] = 5510,
  [6672] = 6672,
  [6673] = 6673,
  [6674] = 6674,
  [6675] = 6675,
  [6676] = 6676,
  [6677] = 6677,
  [6678] = 6678,
  [6679] = 6679,
  [6680] = 6636,
  [6681] = 6681,
  [6682] = 6628,
  [6683] = 6683,
  [6684] = 6684,
  [6685] = 6685,
  [6686] = 6686,
  [6687] = 4258,
  [6688] = 6688,
  [6689] = 6689,
  [6690] = 6690,
  [6691] = 6691,
  [6692] = 6692,
  [6693] = 6693,
  [6694] = 6694,
  [6695] = 6695,
  [6696] = 6696,
  [6697] = 6697,
  [6698] = 6698,
  [6699] = 6699,
  [6700] = 6700,
  [6701] = 6701,
  [6702] = 6702,
  [6703] = 6703,
  [6704] = 6704,
  [6705] = 6705,
  [6706] = 6706,
  [6707] = 6595,
  [6708] = 6708,
  [6709] = 6709,
  [6710] = 6710,
  [6711] = 6636,
  [6712] = 6628,
  [6713] = 6694,
  [6714] = 6714,
  [6715] = 6715,
  [6716] = 6716,
  [6717] = 6717,
  [6718] = 6718,
  [6719] = 6719,
  [6720] = 6720,
  [6721] = 6721,
  [6722] = 6722,
  [6723] = 6723,
  [6724] = 6724,
  [6725] = 6725,
  [6726] = 6726,
  [6727] = 6727,
  [6728] = 6728,
  [6729] = 6729,
  [6730] = 6730,
  [6731] = 6731,
  [6732] = 6732,
  [6733] = 6733,
  [6734] = 6734,
  [6735] = 6735,
  [6736] = 6736,
  [6737] = 6737,
  [6738] = 6738,
  [6739] = 6739,
  [6740] = 6740,
  [6741] = 6741,
  [6742] = 6742,
  [6743] = 6743,
  [6744] = 6744,
  [6745] = 6745,
  [6746] = 6746,
  [6747] = 6747,
  [6748] = 6748,
  [6749] = 6749,
  [6750] = 6750,
  [6751] = 6751,
  [6752] = 6752,
  [6753] = 6753,
  [6754] = 6754,
  [6755] = 6755,
  [6756] = 6756,
  [6757] = 6757,
  [6758] = 6758,
  [6759] = 6759,
  [6760] = 6760,
  [6761] = 6761,
  [6762] = 6651,
  [6763] = 6763,
  [6764] = 6595,
  [6765] = 6765,
  [6766] = 6766,
  [6767] = 6767,
  [6768] = 6768,
  [6769] = 6769,
  [6770] = 6770,
  [6771] = 6751,
  [6772] = 6772,
  [6773] = 6752,
  [6774] = 6774,
  [6775] = 6775,
  [6776] = 6776,
  [6777] = 6777,
  [6778] = 6778,
  [6779] = 6779,
  [6780] = 6780,
  [6781] = 6781,
  [6782] = 6651,
  [6783] = 6783,
  [6784] = 6784,
  [6785] = 6601,
  [6786] = 6786,
  [6787] = 6609,
  [6788] = 6788,
  [6789] = 6789,
  [6790] = 6790,
  [6791] = 6791,
  [6792] = 6595,
  [6793] = 6793,
  [6794] = 6665,
  [6795] = 6795,
  [6796] = 6796,
  [6797] = 6797,
  [6798] = 6798,
  [6799] = 6799,
  [6800] = 6800,
  [6801] = 6751,
  [6802] = 6752,
  [6803] = 6803,
  [6804] = 6804,
  [6805] = 6805,
  [6806] = 6806,
  [6807] = 6807,
  [6808] = 6808,
  [6809] = 6809,
  [6810] = 6744,
  [6811] = 6740,
  [6812] = 6812,
  [6813] = 6813,
  [6814] = 6814,
  [6815] = 6815,
  [6816] = 6816,
  [6817] = 6817,
  [6818] = 6818,
  [6819] = 6694,
  [6820] = 6820,
  [6821] = 6686,
  [6822] = 6822,
  [6823] = 6823,
  [6824] = 6824,
  [6825] = 6825,
  [6826] = 6826,
  [6827] = 6686,
  [6828] = 6828,
  [6829] = 6829,
  [6830] = 6830,
  [6831] = 6831,
  [6832] = 6651,
  [6833] = 6833,
  [6834] = 4267,
  [6835] = 6835,
  [6836] = 6836,
  [6837] = 6595,
  [6838] = 6733,
  [6839] = 6757,
  [6840] = 6840,
  [6841] = 6841,
  [6842] = 6842,
  [6843] = 6843,
  [6844] = 6844,
  [6845] = 6845,
  [6846] = 6846,
  [6847] = 6751,
  [6848] = 6752,
  [6849] = 6849,
  [6850] = 6757,
  [6851] = 6851,
  [6852] = 6756,
  [6853] = 6756,
  [6854] = 6854,
  [6855] = 6855,
  [6856] = 6856,
  [6857] = 6805,
  [6858] = 6858,
  [6859] = 6859,
  [6860] = 6860,
  [6861] = 6861,
  [6862] = 6862,
  [6863] = 6863,
  [6864] = 6864,
  [6865] = 6865,
  [6866] = 6866,
  [6867] = 6867,
  [6868] = 6868,
  [6869] = 6869,
  [6870] = 6870,
  [6871] = 6871,
  [6872] = 6740,
  [6873] = 6873,
  [6874] = 6651,
  [6875] = 6875,
  [6876] = 6876,
  [6877] = 6744,
  [6878] = 6878,
  [6879] = 6879,
  [6880] = 6880,
  [6881] = 6881,
  [6882] = 6595,
  [6883] = 6742,
  [6884] = 6741,
  [6885] = 6885,
  [6886] = 6805,
  [6887] = 6887,
  [6888] = 6888,
  [6889] = 6889,
  [6890] = 6632,
  [6891] = 6891,
  [6892] = 6633,
  [6893] = 6893,
  [6894] = 6894,
  [6895] = 6895,
  [6896] = 6896,
  [6897] = 6836,
  [6898] = 6898,
  [6899] = 6899,
  [6900] = 6900,
  [6901] = 6901,
  [6902] = 6902,
  [6903] = 6751,
  [6904] = 6904,
  [6905] = 6905,
  [6906] = 6752,
  [6907] = 6797,
  [6908] = 1037,
  [6909] = 6909,
  [6910] = 6910,
  [6911] = 6911,
  [6912] = 6805,
  [6913] = 6790,
  [6914] = 6914,
  [6915] = 6915,
  [6916] = 6916,
  [6917] = 6917,
  [6918] = 6918,
  [6919] = 6919,
  [6920] = 1038,
  [6921] = 6921,
  [6922] = 6922,
  [6923] = 6923,
  [6924] = 6924,
  [6925] = 6925,
  [6926] = 6926,
  [6927] = 6927,
  [6928] = 6928,
  [6929] = 6843,
  [6930] = 6632,
  [6931] = 6633,
  [6932] = 6845,
  [6933] = 6933,
  [6934] = 6934,
  [6935] = 6935,
  [6936] = 6856,
  [6937] = 6937,
  [6938] = 6938,
  [6939] = 6939,
  [6940] = 6940,
  [6941] = 6860,
  [6942] = 6942,
  [6943] = 6943,
  [6944] = 6944,
  [6945] = 6945,
  [6946] = 6946,
  [6947] = 6947,
  [6948] = 6948,
  [6949] = 6949,
  [6950] = 6737,
  [6951] = 6951,
  [6952] = 6952,
  [6953] = 6735,
  [6954] = 6954,
  [6955] = 6955,
  [6956] = 6956,
  [6957] = 6957,
  [6958] = 6958,
  [6959] = 6959,
  [6960] = 6960,
  [6961] = 6961,
  [6962] = 6769,
  [6963] = 6963,
  [6964] = 6964,
  [6965] = 6965,
  [6966] = 6966,
  [6967] = 6797,
  [6968] = 6651,
  [6969] = 6969,
  [6970] = 6970,
  [6971] = 6971,
  [6972] = 6972,
  [6973] = 6973,
  [6974] = 6595,
  [6975] = 6975,
  [6976] = 6976,
  [6977] = 6977,
  [6978] = 6978,
  [6979] = 6979,
  [6980] = 6980,
  [6981] = 6981,
  [6982] = 6982,
  [6983] = 6983,
  [6984] = 6751,
  [6985] = 1043,
  [6986] = 6742,
  [6987] = 6987,
  [6988] = 6752,
  [6989] = 6989,
  [6990] = 6990,
  [6991] = 6991,
  [6992] = 6992,
  [6993] = 6993,
  [6994] = 6741,
  [6995] = 6995,
  [6996] = 6996,
  [6997] = 6997,
  [6998] = 6998,
  [6999] = 6737,
  [7000] = 7000,
  [7001] = 7001,
  [7002] = 6715,
  [7003] = 6805,
  [7004] = 6731,
  [7005] = 6735,
  [7006] = 7006,
  [7007] = 6733,
  [7008] = 7008,
  [7009] = 2178,
  [7010] = 5242,
  [7011] = 6805,
  [7012] = 7012,
  [7013] = 6632,
  [7014] = 6728,
  [7015] = 6633,
  [7016] = 2177,
  [7017] = 6731,
  [7018] = 6731,
  [7019] = 6733,
  [7020] = 1053,
  [7021] = 6735,
  [7022] = 7022,
  [7023] = 6737,
  [7024] = 7024,
  [7025] = 7025,
  [7026] = 6728,
  [7027] = 6741,
  [7028] = 6742,
  [7029] = 7029,
  [7030] = 7030,
  [7031] = 2176,
  [7032] = 7032,
  [7033] = 6910,
  [7034] = 7034,
  [7035] = 7035,
  [7036] = 7036,
  [7037] = 7037,
  [7038] = 6769,
  [7039] = 6911,
  [7040] = 5259,
  [7041] = 7041,
  [7042] = 7042,
  [7043] = 6924,
  [7044] = 6715,
  [7045] = 7045,
  [7046] = 7046,
  [7047] = 7047,
  [7048] = 7048,
  [7049] = 7049,
  [7050] = 7050,
  [7051] = 6943,
  [7052] = 1015,
  [7053] = 6947,
  [7054] = 1040,
  [7055] = 6769,
  [7056] = 7056,
  [7057] = 6951,
  [7058] = 6728,
  [7059] = 7059,
  [7060] = 7060,
  [7061] = 7061,
  [7062] = 7062,
  [7063] = 7063,
  [7064] = 7064,
  [7065] = 7065,
  [7066] = 7066,
  [7067] = 7067,
  [7068] = 7068,
  [7069] = 7069,
  [7070] = 7070,
  [7071] = 7071,
  [7072] = 7072,
  [7073] = 7073,
  [7074] = 7074,
  [7075] = 7075,
  [7076] = 7076,
  [7077] = 7077,
  [7078] = 7078,
  [7079] = 7079,
  [7080] = 6790,
  [7081] = 7081,
  [7082] = 7082,
  [7083] = 7083,
  [7084] = 7084,
  [7085] = 1046,
  [7086] = 7086,
  [7087] = 6797,
  [7088] = 7056,
  [7089] = 7089,
  [7090] = 7090,
  [7091] = 7091,
  [7092] = 6045,
  [7093] = 7064,
  [7094] = 7094,
  [7095] = 6651,
  [7096] = 7096,
  [7097] = 6910,
  [7098] = 6975,
  [7099] = 7047,
  [7100] = 6744,
  [7101] = 6740,
  [7102] = 7102,
  [7103] = 6715,
  [7104] = 2162,
  [7105] = 7105,
  [7106] = 7106,
  [7107] = 7107,
  [7108] = 7108,
  [7109] = 6694,
  [7110] = 2181,
  [7111] = 6686,
  [7112] = 7112,
  [7113] = 7113,
  [7114] = 2187,
  [7115] = 7115,
  [7116] = 6978,
  [7117] = 6975,
  [7118] = 6790,
  [7119] = 7119,
  [7120] = 2195,
  [7121] = 6728,
  [7122] = 7122,
  [7123] = 6731,
  [7124] = 6733,
  [7125] = 7125,
  [7126] = 6735,
  [7127] = 7127,
  [7128] = 2165,
  [7129] = 6751,
  [7130] = 6752,
  [7131] = 6945,
  [7132] = 6993,
  [7133] = 7133,
  [7134] = 7134,
  [7135] = 6741,
  [7136] = 6742,
  [7137] = 7137,
  [7138] = 7138,
  [7139] = 7139,
  [7140] = 6757,
  [7141] = 6997,
  [7142] = 6756,
  [7143] = 6927,
  [7144] = 7001,
  [7145] = 7145,
  [7146] = 6737,
  [7147] = 6805,
  [7148] = 6952,
  [7149] = 7149,
  [7150] = 7150,
  [7151] = 7036,
  [7152] = 7152,
  [7153] = 7153,
  [7154] = 7154,
  [7155] = 7155,
  [7156] = 7156,
  [7157] = 7157,
  [7158] = 7158,
  [7159] = 7159,
  [7160] = 1030,
  [7161] = 7161,
  [7162] = 7162,
  [7163] = 7163,
  [7164] = 7164,
  [7165] = 7165,
  [7166] = 7166,
  [7167] = 7167,
  [7168] = 7168,
  [7169] = 7169,
  [7170] = 7170,
  [7171] = 7171,
  [7172] = 7172,
  [7173] = 7173,
  [7174] = 7174,
  [7175] = 7175,
  [7176] = 7176,
  [7177] = 7177,
  [7178] = 7178,
  [7179] = 7179,
  [7180] = 7180,
  [7181] = 5417,
  [7182] = 7182,
  [7183] = 7183,
  [7184] = 7184,
  [7185] = 7185,
  [7186] = 7186,
  [7187] = 7187,
  [7188] = 7188,
  [7189] = 7189,
  [7190] = 7190,
  [7191] = 7191,
  [7192] = 6752,
  [7193] = 7193,
  [7194] = 6924,
  [7195] = 7195,
  [7196] = 7196,
  [7197] = 7197,
  [7198] = 2191,
  [7199] = 7199,
  [7200] = 7200,
  [7201] = 6911,
  [7202] = 2196,
  [7203] = 6751,
  [7204] = 2198,
  [7205] = 7205,
  [7206] = 7206,
  [7207] = 7207,
  [7208] = 7208,
  [7209] = 6769,
  [7210] = 7064,
  [7211] = 6628,
  [7212] = 7212,
  [7213] = 7213,
  [7214] = 7067,
  [7215] = 7215,
  [7216] = 7216,
  [7217] = 7217,
  [7218] = 5783,
  [7219] = 7069,
  [7220] = 6632,
  [7221] = 6633,
  [7222] = 7222,
  [7223] = 7071,
  [7224] = 7224,
  [7225] = 7225,
  [7226] = 7226,
  [7227] = 7227,
  [7228] = 7228,
  [7229] = 7229,
  [7230] = 6633,
  [7231] = 7231,
  [7232] = 7232,
  [7233] = 6636,
  [7234] = 6790,
  [7235] = 7235,
  [7236] = 6632,
  [7237] = 7237,
  [7238] = 7071,
  [7239] = 7239,
  [7240] = 6797,
  [7241] = 7241,
  [7242] = 7242,
  [7243] = 7243,
  [7244] = 7065,
  [7245] = 7245,
  [7246] = 7246,
  [7247] = 7247,
  [7248] = 1052,
  [7249] = 6744,
  [7250] = 7250,
  [7251] = 6740,
  [7252] = 6694,
  [7253] = 7253,
  [7254] = 6686,
  [7255] = 6756,
  [7256] = 6757,
  [7257] = 7069,
  [7258] = 7258,
  [7259] = 6686,
  [7260] = 7260,
  [7261] = 7261,
  [7262] = 6836,
  [7263] = 6694,
  [7264] = 7264,
  [7265] = 6740,
  [7266] = 6744,
  [7267] = 6769,
  [7268] = 7268,
  [7269] = 7056,
  [7270] = 6757,
  [7271] = 7271,
  [7272] = 6756,
  [7273] = 7273,
  [7274] = 7274,
  [7275] = 6756,
  [7276] = 6757,
  [7277] = 7277,
  [7278] = 7278,
  [7279] = 6686,
  [7280] = 6694,
  [7281] = 6740,
  [7282] = 7282,
  [7283] = 6744,
  [7284] = 6715,
  [7285] = 6170,
  [7286] = 7286,
  [7287] = 6797,
  [7288] = 7288,
  [7289] = 7289,
  [7290] = 7067,
  [7291] = 6609,
  [7292] = 6769,
  [7293] = 7293,
  [7294] = 6733,
  [7295] = 1025,
  [7296] = 6735,
  [7297] = 1026,
  [7298] = 6737,
  [7299] = 1028,
  [7300] = 6741,
  [7301] = 6742,
  [7302] = 1049,
  [7303] = 7303,
  [7304] = 6742,
  [7305] = 6741,
  [7306] = 6737,
  [7307] = 6735,
  [7308] = 6733,
  [7309] = 2810,
  [7310] = 7310,
  [7311] = 5319,
  [7312] = 7047,
  [7313] = 2816,
  [7314] = 7314,
  [7315] = 7315,
  [7316] = 6715,
  [7317] = 7065,
  [7318] = 7318,
  [7319] = 7319,
  [7320] = 7320,
  [7321] = 7321,
  [7322] = 7322,
  [7323] = 7323,
  [7324] = 6715,
  [7325] = 6769,
  [7326] = 7326,
  [7327] = 7327,
  [7328] = 6633,
  [7329] = 6632,
  [7330] = 7330,
  [7331] = 7331,
  [7332] = 7332,
  [7333] = 7333,
  [7334] = 7334,
  [7335] = 7335,
  [7336] = 7107,
  [7337] = 7337,
  [7338] = 6797,
  [7339] = 7339,
  [7340] = 7340,
  [7341] = 7341,
  [7342] = 7342,
  [7343] = 7343,
  [7344] = 7344,
  [7345] = 7345,
  [7346] = 7346,
  [7347] = 7347,
  [7348] = 7105,
  [7349] = 6744,
  [7350] = 6740,
  [7351] = 7351,
  [7352] = 7352,
  [7353] = 6756,
  [7354] = 7354,
  [7355] = 1050,
  [7356] = 6757,
  [7357] = 1051,
  [7358] = 6694,
  [7359] = 1054,
  [7360] = 6686,
  [7361] = 7361,
  [7362] = 7362,
  [7363] = 7363,
  [7364] = 1255,
  [7365] = 1238,
  [7366] = 7366,
  [7367] = 7367,
  [7368] = 7368,
  [7369] = 7369,
  [7370] = 1082,
  [7371] = 7371,
  [7372] = 7372,
  [7373] = 7373,
  [7374] = 7374,
  [7375] = 7375,
  [7376] = 1080,
  [7377] = 7377,
  [7378] = 7378,
  [7379] = 7379,
  [7380] = 7380,
  [7381] = 7381,
  [7382] = 7382,
  [7383] = 7383,
  [7384] = 7384,
  [7385] = 7362,
  [7386] = 7386,
  [7387] = 3205,
  [7388] = 7388,
  [7389] = 7389,
  [7390] = 7390,
  [7391] = 1073,
  [7392] = 1164,
  [7393] = 7393,
  [7394] = 7394,
  [7395] = 7395,
  [7396] = 7396,
  [7397] = 7397,
  [7398] = 1244,
  [7399] = 7399,
  [7400] = 1258,
  [7401] = 1240,
  [7402] = 1257,
  [7403] = 7403,
  [7404] = 7404,
  [7405] = 1254,
  [7406] = 1252,
  [7407] = 7407,
  [7408] = 1239,
  [7409] = 1237,
  [7410] = 7410,
  [7411] = 1249,
  [7412] = 7412,
  [7413] = 1229,
  [7414] = 7414,
  [7415] = 1247,
  [7416] = 7416,
  [7417] = 7417,
  [7418] = 1246,
  [7419] = 1217,
  [7420] = 1184,
  [7421] = 7421,
  [7422] = 1182,
  [7423] = 1181,
  [7424] = 7424,
  [7425] = 1245,
  [7426] = 1175,
  [7427] = 7427,
  [7428] = 346,
  [7429] = 7429,
  [7430] = 7430,
  [7431] = 1174,
  [7432] = 7432,
  [7433] = 7433,
  [7434] = 7389,
  [7435] = 7435,
  [7436] = 7436,
  [7437] = 7437,
  [7438] = 7438,
  [7439] = 1173,
  [7440] = 7440,
  [7441] = 1169,
  [7442] = 7442,
  [7443] = 1159,
  [7444] = 1127,
  [7445] = 7445,
  [7446] = 1133,
  [7447] = 7447,
  [7448] = 1160,
  [7449] = 7449,
  [7450] = 368,
  [7451] = 7451,
  [7452] = 7414,
  [7453] = 7453,
  [7454] = 7454,
  [7455] = 7455,
  [7456] = 7456,
  [7457] = 7457,
  [7458] = 7458,
  [7459] = 1158,
  [7460] = 7460,
  [7461] = 7461,
  [7462] = 1161,
  [7463] = 3240,
  [7464] = 1162,
  [7465] = 3228,
  [7466] = 1163,
  [7467] = 7467,
  [7468] = 1131,
  [7469] = 7469,
  [7470] = 7404,
  [7471] = 7404,
  [7472] = 1157,
  [7473] = 7469,
  [7474] = 7474,
  [7475] = 1061,
  [7476] = 7461,
  [7477] = 7457,
  [7478] = 7478,
  [7479] = 7389,
  [7480] = 7388,
  [7481] = 7456,
  [7482] = 7451,
  [7483] = 7483,
  [7484] = 7436,
  [7485] = 7432,
  [7486] = 7430,
  [7487] = 1093,
  [7488] = 7488,
  [7489] = 1056,
  [7490] = 1230,
  [7491] = 7491,
  [7492] = 1155,
  [7493] = 1153,
  [7494] = 1224,
  [7495] = 7384,
  [7496] = 1223,
  [7497] = 7396,
  [7498] = 1222,
  [7499] = 7397,
  [7500] = 7399,
  [7501] = 7501,
  [7502] = 7395,
  [7503] = 7394,
  [7504] = 7393,
  [7505] = 7505,
  [7506] = 7506,
  [7507] = 1202,
  [7508] = 7508,
  [7509] = 7509,
  [7510] = 7386,
  [7511] = 7362,
  [7512] = 7414,
  [7513] = 7513,
  [7514] = 7383,
  [7515] = 7381,
  [7516] = 7407,
  [7517] = 7378,
  [7518] = 7377,
  [7519] = 7519,
  [7520] = 3288,
  [7521] = 7506,
  [7522] = 7447,
  [7523] = 3301,
  [7524] = 7366,
  [7525] = 7525,
  [7526] = 7445,
  [7527] = 7527,
  [7528] = 7388,
  [7529] = 7367,
  [7530] = 7382,
  [7531] = 7369,
  [7532] = 1151,
  [7533] = 7380,
  [7534] = 7372,
  [7535] = 7373,
  [7536] = 7374,
  [7537] = 1150,
  [7538] = 3285,
  [7539] = 1148,
  [7540] = 3238,
  [7541] = 7379,
  [7542] = 7380,
  [7543] = 1145,
  [7544] = 7382,
  [7545] = 1143,
  [7546] = 7384,
  [7547] = 7379,
  [7548] = 7442,
  [7549] = 3222,
  [7550] = 7388,
  [7551] = 7389,
  [7552] = 7440,
  [7553] = 4262,
  [7554] = 7438,
  [7555] = 7374,
  [7556] = 7556,
  [7557] = 1142,
  [7558] = 1141,
  [7559] = 7399,
  [7560] = 7373,
  [7561] = 7561,
  [7562] = 7513,
  [7563] = 7563,
  [7564] = 1139,
  [7565] = 7565,
  [7566] = 7566,
  [7567] = 7437,
  [7568] = 1137,
  [7569] = 7427,
  [7570] = 7506,
  [7571] = 7571,
  [7572] = 5706,
  [7573] = 7372,
  [7574] = 7369,
  [7575] = 7367,
  [7576] = 7576,
  [7577] = 1185,
  [7578] = 1187,
  [7579] = 7445,
  [7580] = 1188,
  [7581] = 7447,
  [7582] = 1189,
  [7583] = 7410,
  [7584] = 7447,
  [7585] = 7513,
  [7586] = 1190,
  [7587] = 7587,
  [7588] = 7445,
  [7589] = 1191,
  [7590] = 1192,
  [7591] = 7469,
  [7592] = 7404,
  [7593] = 7593,
  [7594] = 1195,
  [7595] = 1201,
  [7596] = 7596,
  [7597] = 4266,
  [7598] = 7461,
  [7599] = 7457,
  [7600] = 7600,
  [7601] = 7436,
  [7602] = 7430,
  [7603] = 1203,
  [7604] = 7506,
  [7605] = 1207,
  [7606] = 7606,
  [7607] = 7607,
  [7608] = 1208,
  [7609] = 1209,
  [7610] = 7386,
  [7611] = 7611,
  [7612] = 7469,
  [7613] = 7395,
  [7614] = 7394,
  [7615] = 7393,
  [7616] = 1210,
  [7617] = 7513,
  [7618] = 1212,
  [7619] = 7619,
  [7620] = 7576,
  [7621] = 7396,
  [7622] = 7381,
  [7623] = 7623,
  [7624] = 7378,
  [7625] = 7377,
  [7626] = 1216,
  [7627] = 7397,
  [7628] = 7628,
  [7629] = 7506,
  [7630] = 1225,
  [7631] = 7366,
  [7632] = 1226,
  [7633] = 1227,
  [7634] = 7506,
  [7635] = 7635,
  [7636] = 7367,
  [7637] = 7461,
  [7638] = 7369,
  [7639] = 1132,
  [7640] = 7513,
  [7641] = 7373,
  [7642] = 7374,
  [7643] = 1211,
  [7644] = 7457,
  [7645] = 1228,
  [7646] = 7646,
  [7647] = 7379,
  [7648] = 7380,
  [7649] = 1231,
  [7650] = 1232,
  [7651] = 7384,
  [7652] = 7403,
  [7653] = 1234,
  [7654] = 1235,
  [7655] = 7388,
  [7656] = 7656,
  [7657] = 7366,
  [7658] = 7658,
  [7659] = 7427,
  [7660] = 7377,
  [7661] = 1101,
  [7662] = 7378,
  [7663] = 1128,
  [7664] = 1123,
  [7665] = 7506,
  [7666] = 7666,
  [7667] = 7381,
  [7668] = 1121,
  [7669] = 7669,
  [7670] = 7366,
  [7671] = 7383,
  [7672] = 7367,
  [7673] = 7399,
  [7674] = 7674,
  [7675] = 7675,
  [7676] = 1115,
  [7677] = 7677,
  [7678] = 1114,
  [7679] = 7679,
  [7680] = 7680,
  [7681] = 1113,
  [7682] = 7393,
  [7683] = 7442,
  [7684] = 7394,
  [7685] = 1110,
  [7686] = 7395,
  [7687] = 7687,
  [7688] = 7427,
  [7689] = 7689,
  [7690] = 7440,
  [7691] = 7369,
  [7692] = 7513,
  [7693] = 3156,
  [7694] = 7438,
  [7695] = 7437,
  [7696] = 7696,
  [7697] = 7384,
  [7698] = 3252,
  [7699] = 7699,
  [7700] = 7700,
  [7701] = 5704,
  [7702] = 7372,
  [7703] = 7703,
  [7704] = 7704,
  [7705] = 7705,
  [7706] = 7706,
  [7707] = 7707,
  [7708] = 5705,
  [7709] = 7437,
  [7710] = 7438,
  [7711] = 7377,
  [7712] = 7712,
  [7713] = 7488,
  [7714] = 3275,
  [7715] = 7715,
  [7716] = 1219,
  [7717] = 7491,
  [7718] = 7373,
  [7719] = 7719,
  [7720] = 3277,
  [7721] = 7440,
  [7722] = 7442,
  [7723] = 7506,
  [7724] = 7724,
  [7725] = 7389,
  [7726] = 7726,
  [7727] = 7445,
  [7728] = 7410,
  [7729] = 7729,
  [7730] = 7705,
  [7731] = 348,
  [7732] = 7407,
  [7733] = 1108,
  [7734] = 7734,
  [7735] = 7735,
  [7736] = 7449,
  [7737] = 7447,
  [7738] = 7399,
  [7739] = 7435,
  [7740] = 7378,
  [7741] = 7388,
  [7742] = 7742,
  [7743] = 7513,
  [7744] = 7424,
  [7745] = 7414,
  [7746] = 7417,
  [7747] = 7416,
  [7748] = 7666,
  [7749] = 7381,
  [7750] = 7596,
  [7751] = 7751,
  [7752] = 7752,
  [7753] = 7753,
  [7754] = 7754,
  [7755] = 7755,
  [7756] = 7756,
  [7757] = 7757,
  [7758] = 7758,
  [7759] = 7384,
  [7760] = 7760,
  [7761] = 7513,
  [7762] = 7762,
  [7763] = 7763,
  [7764] = 7764,
  [7765] = 7397,
  [7766] = 7430,
  [7767] = 7432,
  [7768] = 7768,
  [7769] = 7469,
  [7770] = 7436,
  [7771] = 7404,
  [7772] = 7772,
  [7773] = 7382,
  [7774] = 7396,
  [7775] = 7451,
  [7776] = 7456,
  [7777] = 7669,
  [7778] = 7457,
  [7779] = 7461,
  [7780] = 7780,
  [7781] = 7380,
  [7782] = 7754,
  [7783] = 7783,
  [7784] = 7784,
  [7785] = 7785,
  [7786] = 7407,
  [7787] = 7734,
  [7788] = 7404,
  [7789] = 7410,
  [7790] = 7379,
  [7791] = 7461,
  [7792] = 7457,
  [7793] = 1206,
  [7794] = 7469,
  [7795] = 3187,
  [7796] = 7374,
  [7797] = 7696,
  [7798] = 1088,
  [7799] = 7799,
  [7800] = 7800,
  [7801] = 4430,
  [7802] = 7456,
  [7803] = 7451,
  [7804] = 7383,
  [7805] = 7373,
  [7806] = 7806,
  [7807] = 7362,
  [7808] = 1218,
  [7809] = 7389,
  [7810] = 7388,
  [7811] = 7436,
  [7812] = 3084,
  [7813] = 7813,
  [7814] = 1107,
  [7815] = 7384,
  [7816] = 7816,
  [7817] = 7432,
  [7818] = 7818,
  [7819] = 7819,
  [7820] = 7386,
  [7821] = 7821,
  [7822] = 1060,
  [7823] = 1071,
  [7824] = 1087,
  [7825] = 1059,
  [7826] = 7764,
  [7827] = 7427,
  [7828] = 7828,
  [7829] = 3220,
  [7830] = 7760,
  [7831] = 7430,
  [7832] = 7429,
  [7833] = 7680,
  [7834] = 1200,
  [7835] = 1250,
  [7836] = 1243,
  [7837] = 1233,
  [7838] = 7838,
  [7839] = 1221,
  [7840] = 7483,
  [7841] = 1220,
  [7842] = 7566,
  [7843] = 7753,
  [7844] = 7844,
  [7845] = 7393,
  [7846] = 7715,
  [7847] = 1215,
  [7848] = 1213,
  [7849] = 7456,
  [7850] = 7372,
  [7851] = 7754,
  [7852] = 7369,
  [7853] = 7367,
  [7854] = 7764,
  [7855] = 1205,
  [7856] = 1204,
  [7857] = 1199,
  [7858] = 1198,
  [7859] = 3266,
  [7860] = 7860,
  [7861] = 1197,
  [7862] = 1196,
  [7863] = 7435,
  [7864] = 7449,
  [7865] = 7756,
  [7866] = 1194,
  [7867] = 1193,
  [7868] = 7382,
  [7869] = 7734,
  [7870] = 1186,
  [7871] = 1183,
  [7872] = 1180,
  [7873] = 1177,
  [7874] = 1167,
  [7875] = 1166,
  [7876] = 1154,
  [7877] = 7705,
  [7878] = 7844,
  [7879] = 1135,
  [7880] = 7394,
  [7881] = 7881,
  [7882] = 7380,
  [7883] = 7883,
  [7884] = 7884,
  [7885] = 7379,
  [7886] = 7886,
  [7887] = 7887,
  [7888] = 7374,
  [7889] = 7373,
  [7890] = 1111,
  [7891] = 7764,
  [7892] = 1214,
  [7893] = 5726,
  [7894] = 7372,
  [7895] = 1134,
  [7896] = 1122,
  [7897] = 7897,
  [7898] = 1069,
  [7899] = 7379,
  [7900] = 1120,
  [7901] = 7395,
  [7902] = 7369,
  [7903] = 7429,
  [7904] = 1085,
  [7905] = 7367,
  [7906] = 1091,
  [7907] = 7907,
  [7908] = 7754,
  [7909] = 7703,
  [7910] = 7715,
  [7911] = 7438,
  [7912] = 7715,
  [7913] = 7395,
  [7914] = 7700,
  [7915] = 7915,
  [7916] = 7754,
  [7917] = 7917,
  [7918] = 7918,
  [7919] = 7919,
  [7920] = 7394,
  [7921] = 7393,
  [7922] = 7922,
  [7923] = 7923,
  [7924] = 7924,
  [7925] = 7925,
  [7926] = 7926,
  [7927] = 7927,
  [7928] = 7556,
  [7929] = 3161,
  [7930] = 7930,
  [7931] = 7396,
  [7932] = 7860,
  [7933] = 7386,
  [7934] = 7934,
  [7935] = 7362,
  [7936] = 7936,
  [7937] = 7937,
  [7938] = 7383,
  [7939] = 7844,
  [7940] = 7881,
  [7941] = 7753,
  [7942] = 7381,
  [7943] = 7451,
  [7944] = 7397,
  [7945] = 7945,
  [7946] = 7606,
  [7947] = 7432,
  [7948] = 7429,
  [7949] = 7707,
  [7950] = 7679,
  [7951] = 7366,
  [7952] = 7674,
  [7953] = 3254,
  [7954] = 7501,
  [7955] = 7377,
  [7956] = 7366,
  [7957] = 7377,
  [7958] = 7378,
  [7959] = 7959,
  [7960] = 7414,
  [7961] = 7755,
  [7962] = 7381,
  [7963] = 7963,
  [7964] = 7455,
  [7965] = 7764,
  [7966] = 7383,
  [7967] = 7474,
  [7968] = 7362,
  [7969] = 7969,
  [7970] = 7386,
  [7971] = 7971,
  [7972] = 7366,
  [7973] = 7374,
  [7974] = 7393,
  [7975] = 7764,
  [7976] = 7394,
  [7977] = 7563,
  [7978] = 7395,
  [7979] = 7963,
  [7980] = 7407,
  [7981] = 7703,
  [7982] = 7982,
  [7983] = 7447,
  [7984] = 7700,
  [7985] = 7429,
  [7986] = 7986,
  [7987] = 7445,
  [7988] = 7988,
  [7989] = 7461,
  [7990] = 7442,
  [7991] = 7367,
  [7992] = 7440,
  [7993] = 4287,
  [7994] = 7936,
  [7995] = 7937,
  [7996] = 7437,
  [7997] = 7997,
  [7998] = 3185,
  [7999] = 7999,
  [8000] = 7963,
  [8001] = 7436,
  [8002] = 7460,
  [8003] = 7437,
  [8004] = 7399,
  [8005] = 7438,
  [8006] = 1072,
  [8007] = 1078,
  [8008] = 7440,
  [8009] = 1104,
  [8010] = 1103,
  [8011] = 1086,
  [8012] = 1083,
  [8013] = 7369,
  [8014] = 4258,
  [8015] = 7705,
  [8016] = 7700,
  [8017] = 7675,
  [8018] = 8018,
  [8019] = 7734,
  [8020] = 7449,
  [8021] = 7377,
  [8022] = 7700,
  [8023] = 7435,
  [8024] = 7715,
  [8025] = 7442,
  [8026] = 7372,
  [8027] = 8027,
  [8028] = 8028,
  [8029] = 8029,
  [8030] = 8030,
  [8031] = 7445,
  [8032] = 7447,
  [8033] = 8033,
  [8034] = 7430,
  [8035] = 7432,
  [8036] = 7754,
  [8037] = 7436,
  [8038] = 7373,
  [8039] = 7451,
  [8040] = 8040,
  [8041] = 7374,
  [8042] = 7378,
  [8043] = 7456,
  [8044] = 7414,
  [8045] = 1079,
  [8046] = 7457,
  [8047] = 7410,
  [8048] = 1081,
  [8049] = 7461,
  [8050] = 7427,
  [8051] = 1156,
  [8052] = 8052,
  [8053] = 7937,
  [8054] = 3085,
  [8055] = 8055,
  [8056] = 8056,
  [8057] = 7404,
  [8058] = 7378,
  [8059] = 7881,
  [8060] = 8060,
  [8061] = 8061,
  [8062] = 7380,
  [8063] = 7382,
  [8064] = 7381,
  [8065] = 7860,
  [8066] = 8066,
  [8067] = 7469,
  [8068] = 7844,
  [8069] = 7753,
  [8070] = 1256,
  [8071] = 1253,
  [8072] = 7396,
  [8073] = 7753,
  [8074] = 7927,
  [8075] = 7844,
  [8076] = 7860,
  [8077] = 3229,
  [8078] = 7384,
  [8079] = 7753,
  [8080] = 7844,
  [8081] = 7383,
  [8082] = 8082,
  [8083] = 1251,
  [8084] = 1241,
  [8085] = 8085,
  [8086] = 7924,
  [8087] = 7917,
  [8088] = 7860,
  [8089] = 7414,
  [8090] = 8090,
  [8091] = 7388,
  [8092] = 8092,
  [8093] = 7389,
  [8094] = 7447,
  [8095] = 8095,
  [8096] = 7445,
  [8097] = 7881,
  [8098] = 8098,
  [8099] = 7442,
  [8100] = 7440,
  [8101] = 7438,
  [8102] = 7437,
  [8103] = 7919,
  [8104] = 7764,
  [8105] = 7754,
  [8106] = 7926,
  [8107] = 1102,
  [8108] = 7715,
  [8109] = 7963,
  [8110] = 7700,
  [8111] = 7469,
  [8112] = 7404,
  [8113] = 8113,
  [8114] = 7456,
  [8115] = 8115,
  [8116] = 7457,
  [8117] = 8117,
  [8118] = 2933,
  [8119] = 2932,
  [8120] = 1105,
  [8121] = 7451,
  [8122] = 7937,
  [8123] = 7427,
  [8124] = 7362,
  [8125] = 7429,
  [8126] = 7380,
  [8127] = 8127,
  [8128] = 7386,
  [8129] = 7429,
  [8130] = 7927,
  [8131] = 7937,
  [8132] = 8132,
  [8133] = 7860,
  [8134] = 7478,
  [8135] = 3231,
  [8136] = 7963,
  [8137] = 7764,
  [8138] = 7393,
  [8139] = 8139,
  [8140] = 7427,
  [8141] = 8141,
  [8142] = 1176,
  [8143] = 7407,
  [8144] = 3154,
  [8145] = 7454,
  [8146] = 3155,
  [8147] = 1172,
  [8148] = 7394,
  [8149] = 7395,
  [8150] = 8018,
  [8151] = 366,
  [8152] = 8152,
  [8153] = 7924,
  [8154] = 7379,
  [8155] = 3033,
  [8156] = 7700,
  [8157] = 7432,
  [8158] = 7715,
  [8159] = 8029,
  [8160] = 8160,
  [8161] = 7430,
  [8162] = 7703,
  [8163] = 7435,
  [8164] = 7382,
  [8165] = 7754,
  [8166] = 4267,
  [8167] = 7436,
  [8168] = 7449,
  [8169] = 7687,
  [8170] = 8170,
  [8171] = 7917,
  [8172] = 7703,
  [8173] = 7397,
  [8174] = 7689,
  [8175] = 7881,
  [8176] = 7860,
  [8177] = 7734,
  [8178] = 7705,
  [8179] = 1152,
  [8180] = 7396,
  [8181] = 8181,
  [8182] = 7397,
  [8183] = 7844,
  [8184] = 7753,
  [8185] = 7430,
  [8186] = 7399,
  [8187] = 7410,
  [8188] = 8188,
  [8189] = 7675,
  [8190] = 8190,
  [8191] = 7410,
  [8192] = 8192,
  [8193] = 7407,
  [8194] = 7399,
  [8195] = 1092,
  [8196] = 8196,
  [8197] = 8197,
  [8198] = 8198,
  [8199] = 8199,
  [8200] = 8196,
  [8201] = 8201,
  [8202] = 8202,
  [8203] = 8203,
  [8204] = 8204,
  [8205] = 8205,
  [8206] = 8206,
  [8207] = 8207,
  [8208] = 8208,
  [8209] = 8209,
  [8210] = 8202,
  [8211] = 8211,
  [8212] = 8212,
  [8213] = 8209,
  [8214] = 8205,
  [8215] = 8204,
  [8216] = 8216,
  [8217] = 8217,
  [8218] = 8198,
  [8219] = 8199,
  [8220] = 8220,
  [8221] = 8221,
  [8222] = 8222,
  [8223] = 8196,
  [8224] = 8224,
  [8225] = 8225,
  [8226] = 8202,
  [8227] = 8227,
  [8228] = 8228,
  [8229] = 8229,
  [8230] = 8230,
  [8231] = 8231,
  [8232] = 8232,
  [8233] = 8233,
  [8234] = 8208,
  [8235] = 8235,
  [8236] = 8236,
  [8237] = 8237,
  [8238] = 8238,
  [8239] = 8239,
  [8240] = 8240,
  [8241] = 8241,
  [8242] = 8201,
  [8243] = 8243,
  [8244] = 8244,
  [8245] = 8198,
  [8246] = 8246,
  [8247] = 8199,
  [8248] = 8196,
  [8249] = 8240,
  [8250] = 8250,
  [8251] = 8251,
  [8252] = 8204,
  [8253] = 8253,
  [8254] = 8254,
  [8255] = 8255,
  [8256] = 8256,
  [8257] = 8208,
  [8258] = 8236,
  [8259] = 8259,
  [8260] = 8237,
  [8261] = 8261,
  [8262] = 8262,
  [8263] = 8238,
  [8264] = 8261,
  [8265] = 8220,
  [8266] = 8262,
  [8267] = 8239,
  [8268] = 8256,
  [8269] = 8233,
  [8270] = 8254,
  [8271] = 8255,
  [8272] = 8246,
  [8273] = 8241,
  [8274] = 8222,
  [8275] = 1042,
  [8276] = 8225,
  [8277] = 8244,
  [8278] = 8278,
  [8279] = 8201,
  [8280] = 8229,
  [8281] = 8228,
  [8282] = 8220,
  [8283] = 8283,
  [8284] = 8216,
  [8285] = 8250,
  [8286] = 8286,
  [8287] = 8240,
  [8288] = 8288,
  [8289] = 8289,
  [8290] = 8288,
  [8291] = 8225,
  [8292] = 8292,
  [8293] = 8293,
  [8294] = 8294,
  [8295] = 8295,
  [8296] = 8296,
  [8297] = 8216,
  [8298] = 8208,
  [8299] = 8286,
  [8300] = 8300,
  [8301] = 8220,
  [8302] = 8302,
  [8303] = 8303,
  [8304] = 8304,
  [8305] = 8305,
  [8306] = 8306,
  [8307] = 8228,
  [8308] = 8229,
  [8309] = 8228,
  [8310] = 8229,
  [8311] = 8311,
  [8312] = 8196,
  [8313] = 8313,
  [8314] = 8199,
  [8315] = 8198,
  [8316] = 8205,
  [8317] = 8202,
  [8318] = 8204,
  [8319] = 8209,
  [8320] = 8253,
  [8321] = 8259,
  [8322] = 8241,
  [8323] = 8288,
  [8324] = 8278,
  [8325] = 8325,
  [8326] = 8198,
  [8327] = 8246,
  [8328] = 8199,
  [8329] = 8196,
  [8330] = 8251,
  [8331] = 8208,
  [8332] = 8332,
  [8333] = 8236,
  [8334] = 8334,
  [8335] = 8254,
  [8336] = 8237,
  [8337] = 8256,
  [8338] = 8286,
  [8339] = 8231,
  [8340] = 8243,
  [8341] = 8205,
  [8342] = 8230,
  [8343] = 8262,
  [8344] = 8202,
  [8345] = 8261,
  [8346] = 8240,
  [8347] = 8347,
  [8348] = 8348,
  [8349] = 8250,
  [8350] = 8350,
  [8351] = 8204,
  [8352] = 8255,
  [8353] = 8233,
  [8354] = 8239,
  [8355] = 8355,
  [8356] = 8356,
  [8357] = 8357,
  [8358] = 8259,
  [8359] = 8359,
  [8360] = 8360,
  [8361] = 8361,
  [8362] = 8362,
  [8363] = 8363,
  [8364] = 8364,
  [8365] = 8365,
  [8366] = 8250,
  [8367] = 8253,
  [8368] = 8240,
  [8369] = 8278,
  [8370] = 8243,
  [8371] = 8231,
  [8372] = 8255,
  [8373] = 8261,
  [8374] = 8305,
  [8375] = 8243,
  [8376] = 8262,
  [8377] = 8230,
  [8378] = 8216,
  [8379] = 8238,
  [8380] = 8364,
  [8381] = 8363,
  [8382] = 8362,
  [8383] = 8361,
  [8384] = 8364,
  [8385] = 8363,
  [8386] = 8286,
  [8387] = 8360,
  [8388] = 8362,
  [8389] = 8228,
  [8390] = 8229,
  [8391] = 8359,
  [8392] = 8288,
  [8393] = 8357,
  [8394] = 8256,
  [8395] = 8356,
  [8396] = 8361,
  [8397] = 8254,
  [8398] = 8355,
  [8399] = 8241,
  [8400] = 8350,
  [8401] = 8246,
  [8402] = 8233,
  [8403] = 8239,
  [8404] = 8246,
  [8405] = 8254,
  [8406] = 8348,
  [8407] = 8256,
  [8408] = 8360,
  [8409] = 8241,
  [8410] = 8238,
  [8411] = 8262,
  [8412] = 8412,
  [8413] = 8261,
  [8414] = 8414,
  [8415] = 8225,
  [8416] = 1014,
  [8417] = 8231,
  [8418] = 8418,
  [8419] = 8237,
  [8420] = 8255,
  [8421] = 8222,
  [8422] = 8230,
  [8423] = 8255,
  [8424] = 8359,
  [8425] = 8357,
  [8426] = 8365,
  [8427] = 8240,
  [8428] = 8305,
  [8429] = 8356,
  [8430] = 8216,
  [8431] = 8304,
  [8432] = 8303,
  [8433] = 8236,
  [8434] = 8229,
  [8435] = 8228,
  [8436] = 8216,
  [8437] = 8355,
  [8438] = 8228,
  [8439] = 8229,
  [8440] = 8305,
  [8441] = 8441,
  [8442] = 8350,
  [8443] = 8304,
  [8444] = 8348,
  [8445] = 8296,
  [8446] = 8303,
  [8447] = 8241,
  [8448] = 8295,
  [8449] = 8302,
  [8450] = 8220,
  [8451] = 8296,
  [8452] = 8246,
  [8453] = 8254,
  [8454] = 8295,
  [8455] = 8256,
  [8456] = 8250,
  [8457] = 8216,
  [8458] = 8262,
  [8459] = 8294,
  [8460] = 8261,
  [8461] = 8293,
  [8462] = 8292,
  [8463] = 8289,
  [8464] = 8294,
  [8465] = 8465,
  [8466] = 8255,
  [8467] = 8467,
  [8468] = 8468,
  [8469] = 8469,
  [8470] = 8208,
  [8471] = 8471,
  [8472] = 8293,
  [8473] = 8240,
  [8474] = 8474,
  [8475] = 8292,
  [8476] = 8216,
  [8477] = 8477,
  [8478] = 8478,
  [8479] = 8205,
  [8480] = 8253,
  [8481] = 8228,
  [8482] = 8229,
  [8483] = 8289,
  [8484] = 8253,
  [8485] = 8485,
  [8486] = 8209,
  [8487] = 8259,
  [8488] = 8259,
  [8489] = 8241,
  [8490] = 8253,
  [8491] = 8246,
  [8492] = 8492,
  [8493] = 8256,
  [8494] = 8494,
  [8495] = 8259,
  [8496] = 8262,
  [8497] = 8253,
  [8498] = 8261,
  [8499] = 8499,
  [8500] = 8241,
  [8501] = 8501,
  [8502] = 8255,
  [8503] = 8503,
  [8504] = 8294,
  [8505] = 8259,
  [8506] = 8253,
  [8507] = 8304,
  [8508] = 8508,
  [8509] = 8509,
  [8510] = 8225,
  [8511] = 8199,
  [8512] = 8303,
  [8513] = 8244,
  [8514] = 8469,
  [8515] = 8204,
  [8516] = 8259,
  [8517] = 8250,
  [8518] = 8302,
  [8519] = 8519,
  [8520] = 8296,
  [8521] = 8204,
  [8522] = 8288,
  [8523] = 8523,
  [8524] = 8202,
  [8525] = 8253,
  [8526] = 8205,
  [8527] = 8235,
  [8528] = 8286,
  [8529] = 8529,
  [8530] = 8295,
  [8531] = 8306,
  [8532] = 8236,
  [8533] = 8198,
  [8534] = 8199,
  [8535] = 8196,
  [8536] = 8293,
  [8537] = 8202,
  [8538] = 8292,
  [8539] = 8539,
  [8540] = 8289,
  [8541] = 8541,
  [8542] = 8542,
  [8543] = 8208,
  [8544] = 8347,
  [8545] = 8494,
  [8546] = 8546,
  [8547] = 8259,
  [8548] = 8278,
  [8549] = 8253,
  [8550] = 8205,
  [8551] = 8551,
  [8552] = 8302,
  [8553] = 8201,
  [8554] = 8554,
  [8555] = 8555,
  [8556] = 8556,
  [8557] = 8209,
  [8558] = 8198,
  [8559] = 8278,
  [8560] = 8560,
  [8561] = 8259,
  [8562] = 8562,
  [8563] = 8253,
  [8564] = 8564,
  [8565] = 8199,
  [8566] = 8196,
  [8567] = 8209,
  [8568] = 8244,
  [8569] = 8569,
  [8570] = 8230,
  [8571] = 8564,
  [8572] = 8231,
  [8573] = 8208,
  [8574] = 8246,
  [8575] = 8575,
  [8576] = 8221,
  [8577] = 8577,
  [8578] = 8278,
  [8579] = 8259,
  [8580] = 8580,
  [8581] = 8253,
  [8582] = 8254,
  [8583] = 8259,
  [8584] = 8469,
  [8585] = 8235,
  [8586] = 8209,
  [8587] = 8253,
  [8588] = 8306,
  [8589] = 8347,
  [8590] = 8494,
  [8591] = 8244,
  [8592] = 8233,
  [8593] = 8201,
  [8594] = 8594,
  [8595] = 8278,
  [8596] = 8562,
  [8597] = 8259,
  [8598] = 8555,
  [8599] = 8556,
  [8600] = 8600,
  [8601] = 8253,
  [8602] = 8560,
  [8603] = 8209,
  [8604] = 8562,
  [8605] = 8605,
  [8606] = 8198,
  [8607] = 8261,
  [8608] = 8259,
  [8609] = 8564,
  [8610] = 8610,
  [8611] = 8469,
  [8612] = 8235,
  [8613] = 8243,
  [8614] = 8614,
  [8615] = 8306,
  [8616] = 8347,
  [8617] = 8494,
  [8618] = 8205,
  [8619] = 8239,
  [8620] = 8238,
  [8621] = 8364,
  [8622] = 8237,
  [8623] = 8363,
  [8624] = 8555,
  [8625] = 8556,
  [8626] = 8283,
  [8627] = 8202,
  [8628] = 8560,
  [8629] = 8204,
  [8630] = 8562,
  [8631] = 8362,
  [8632] = 8361,
  [8633] = 8208,
  [8634] = 8634,
  [8635] = 8564,
  [8636] = 8469,
  [8637] = 8235,
  [8638] = 8412,
  [8639] = 8360,
  [8640] = 8306,
  [8641] = 8347,
  [8642] = 8494,
  [8643] = 8359,
  [8644] = 8348,
  [8645] = 8560,
  [8646] = 8357,
  [8647] = 8196,
  [8648] = 8648,
  [8649] = 8555,
  [8650] = 8556,
  [8651] = 8199,
  [8652] = 8355,
  [8653] = 8560,
  [8654] = 8350,
  [8655] = 8562,
  [8656] = 8555,
  [8657] = 8198,
  [8658] = 8256,
  [8659] = 8350,
  [8660] = 8564,
  [8661] = 8469,
  [8662] = 8235,
  [8663] = 8355,
  [8664] = 8209,
  [8665] = 8306,
  [8666] = 8494,
  [8667] = 8348,
  [8668] = 8356,
  [8669] = 8669,
  [8670] = 8278,
  [8671] = 8250,
  [8672] = 8357,
  [8673] = 8555,
  [8674] = 8556,
  [8675] = 8359,
  [8676] = 8259,
  [8677] = 8560,
  [8678] = 8253,
  [8679] = 8562,
  [8680] = 8360,
  [8681] = 8262,
  [8682] = 8564,
  [8683] = 8469,
  [8684] = 8235,
  [8685] = 8418,
  [8686] = 8209,
  [8687] = 8306,
  [8688] = 8494,
  [8689] = 8244,
  [8690] = 8361,
  [8691] = 8201,
  [8692] = 8305,
  [8693] = 8362,
  [8694] = 8304,
  [8695] = 8555,
  [8696] = 8556,
  [8697] = 8560,
  [8698] = 8303,
  [8699] = 8562,
  [8700] = 8364,
  [8701] = 8302,
  [8702] = 8564,
  [8703] = 8469,
  [8704] = 8235,
  [8705] = 8296,
  [8706] = 8306,
  [8707] = 8494,
  [8708] = 8278,
  [8709] = 8709,
  [8710] = 8295,
  [8711] = 8294,
  [8712] = 8244,
  [8713] = 8555,
  [8714] = 8556,
  [8715] = 8560,
  [8716] = 8293,
  [8717] = 8562,
  [8718] = 8718,
  [8719] = 8564,
  [8720] = 8201,
  [8721] = 8721,
  [8722] = 8499,
  [8723] = 8503,
  [8724] = 8556,
  [8725] = 8205,
  [8726] = 8202,
  [8727] = 8283,
  [8728] = 8204,
  [8729] = 8729,
  [8730] = 8499,
  [8731] = 8503,
  [8732] = 8292,
  [8733] = 8733,
  [8734] = 8289,
  [8735] = 8283,
  [8736] = 8736,
  [8737] = 8356,
  [8738] = 8499,
  [8739] = 8503,
  [8740] = 8740,
  [8741] = 8278,
  [8742] = 8278,
  [8743] = 8283,
  [8744] = 8499,
  [8745] = 8503,
  [8746] = 8259,
  [8747] = 8363,
  [8748] = 8253,
  [8749] = 8283,
  [8750] = 8499,
  [8751] = 8503,
  [8752] = 8209,
  [8753] = 8283,
  [8754] = 8499,
  [8755] = 8503,
  [8756] = 8244,
  [8757] = 8283,
  [8758] = 8499,
  [8759] = 8503,
  [8760] = 8201,
  [8761] = 8761,
};

static TSCharacterRange extras_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200b}, {0x2028, 0x2029}, {0x202f, 0x202f}, {0x205f, 0x2060},
  {0x3000, 0x3000}, {0xfeff, 0xfeff},
};

static TSCharacterRange extras_character_set_2[] = {
  {'\t', '\r'}, {' ', ' '}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200b}, {0x202f, 0x202f}, {0x205f, 0x2060}, {0x3000, 0x3000},
  {0xfeff, 0xfeff},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f}, {0x1681, 0x1fff},
  {0x200c, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f},
  {0x1681, 0x1fff}, {0x200c, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(382);
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '#', 33,
        '$', 937,
        '%', 521,
        '&', 500,
        '\'', 462,
        '(', 424,
        ')', 425,
        '*', 387,
        '+', 513,
        ',', 406,
        '-', 517,
        '.', 459,
        '/', 567,
        '0', 599,
        ':', 440,
        ';', 439,
        '<', 526,
        '=', 395,
        '>', 456,
        '?', 955,
        '@', 950,
        '[', 447,
        '\\', 322,
        ']', 448,
        '^', 503,
        '`', 565,
        'a', 696,
        'b', 845,
        'c', 651,
        'd', 723,
        'e', 787,
        'f', 771,
        'g', 793,
        'i', 802,
        'l', 724,
        'm', 839,
        'n', 652,
        'o', 701,
        'p', 873,
        'r', 726,
        's', 665,
        't', 674,
        'u', 824,
        'v', 678,
        'w', 769,
        '{', 405,
        '|', 506,
        '}', 407,
        '~', 541,
        0x2028, 616,
        0x2029, 616,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(379);
      if (lookahead > '@') ADVANCE(946);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(1);
      if (lookahead == '/') ADVANCE(450);
      if (lookahead == '<') ADVANCE(452);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(451);
      if (lookahead != 0) ADVANCE(449);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(93);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '[') ADVANCE(104);
      if (lookahead == '\\') ADVANCE(378);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(568);
      if (lookahead != 0) ADVANCE(569);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '#', 103,
        '%', 521,
        '&', 500,
        '\'', 462,
        '(', 424,
        ')', 425,
        '*', 387,
        '+', 512,
        ',', 406,
        '-', 516,
        '.', 459,
        '/', 519,
        '0', 599,
        ':', 440,
        ';', 439,
        '<', 526,
        '=', 395,
        '>', 456,
        '?', 955,
        '@', 950,
        '[', 447,
        '\\', 330,
        ']', 448,
        '^', 503,
        '`', 565,
        'a', 816,
        'b', 845,
        'c', 791,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 813,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'v', 840,
        '{', 404,
        '|', 505,
        '}', 407,
        '~', 541,
        0x2028, 623,
        0x2029, 623,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(3);
      if (lookahead > '#') ADVANCE(946);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '#', 103,
        '%', 521,
        '&', 500,
        '\'', 462,
        '(', 424,
        ')', 425,
        '*', 387,
        '+', 512,
        ',', 406,
        '-', 516,
        '.', 459,
        '/', 519,
        '0', 599,
        ':', 440,
        '<', 526,
        '=', 395,
        '>', 456,
        '?', 955,
        '@', 950,
        '[', 447,
        '\\', 330,
        '^', 503,
        '`', 565,
        'a', 696,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 813,
        'l', 724,
        'm', 839,
        'n', 652,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'u', 824,
        'v', 840,
        '{', 405,
        '|', 505,
        '~', 541,
        0x2028, 619,
        0x2029, 619,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(4);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '#', 103,
        '%', 521,
        '&', 500,
        '\'', 462,
        '(', 424,
        '*', 387,
        '+', 512,
        ',', 406,
        '-', 516,
        '.', 460,
        '/', 519,
        '0', 599,
        ':', 440,
        ';', 439,
        '<', 525,
        '=', 395,
        '>', 456,
        '?', 955,
        '[', 447,
        '\\', 330,
        '^', 503,
        '`', 565,
        'a', 817,
        'b', 845,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 828,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        '|', 505,
        '}', 407,
        0x2028, 644,
        0x2029, 644,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(5);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '#', 103,
        '%', 521,
        '&', 500,
        '\'', 462,
        '(', 424,
        '*', 387,
        '+', 512,
        ',', 406,
        '-', 516,
        '.', 460,
        '/', 519,
        '0', 599,
        ':', 440,
        ';', 439,
        '<', 525,
        '=', 395,
        '>', 456,
        '?', 955,
        '[', 447,
        '\\', 330,
        '^', 503,
        '`', 565,
        'a', 817,
        'b', 845,
        'd', 744,
        'e', 929,
        'f', 871,
        'i', 828,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        '|', 505,
        '}', 407,
        0x2028, 645,
        0x2029, 645,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(6);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '#', 103,
        '%', 521,
        '&', 500,
        '\'', 462,
        '(', 424,
        '*', 387,
        '+', 512,
        ',', 406,
        '-', 516,
        '.', 460,
        '/', 519,
        '0', 599,
        '<', 526,
        '=', 395,
        '>', 456,
        '?', 74,
        '@', 950,
        '[', 447,
        '\\', 330,
        '^', 503,
        '`', 565,
        'a', 816,
        'b', 845,
        'c', 791,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 803,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'v', 840,
        '{', 404,
        '|', 505,
        '~', 541,
        0x2028, 624,
        0x2029, 624,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(7);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '#', 103,
        '%', 520,
        '&', 501,
        '\'', 462,
        '(', 424,
        ')', 425,
        '*', 388,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 460,
        '/', 518,
        '0', 599,
        ':', 440,
        ';', 439,
        '<', 528,
        '=', 97,
        '>', 457,
        '?', 75,
        '@', 950,
        '[', 447,
        '\\', 330,
        ']', 448,
        '^', 502,
        '`', 565,
        'a', 816,
        'b', 845,
        'c', 791,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 813,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'v', 840,
        '{', 404,
        '|', 507,
        '}', 407,
        '~', 541,
        0x2028, 623,
        0x2029, 623,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(8);
      if (lookahead > '#') ADVANCE(946);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '#', 103,
        '%', 520,
        '&', 501,
        '\'', 462,
        '(', 424,
        '*', 388,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 460,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 528,
        '=', 394,
        '>', 457,
        '?', 75,
        '@', 950,
        '[', 447,
        '\\', 330,
        '^', 502,
        '`', 565,
        'a', 696,
        'b', 845,
        'c', 692,
        'd', 723,
        'e', 821,
        'f', 870,
        'i', 812,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'v', 678,
        'w', 769,
        '{', 404,
        '|', 507,
        '}', 407,
        '~', 541,
        0x2028, 617,
        0x2029, 617,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(9);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(946);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '#', 103,
        '%', 520,
        '&', 501,
        '\'', 462,
        '(', 424,
        '*', 388,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 460,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 528,
        '=', 394,
        '>', 457,
        '?', 75,
        '@', 950,
        '[', 447,
        '\\', 330,
        '^', 502,
        '`', 565,
        'a', 696,
        'b', 845,
        'c', 692,
        'd', 723,
        'e', 788,
        'f', 870,
        'i', 812,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'v', 678,
        'w', 769,
        '{', 404,
        '|', 507,
        '}', 407,
        '~', 541,
        0x2028, 618,
        0x2029, 618,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(10);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(946);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '#', 103,
        '%', 520,
        '&', 501,
        '\'', 462,
        '(', 424,
        '*', 388,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 460,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 528,
        '=', 394,
        '>', 457,
        '?', 75,
        '@', 950,
        '[', 447,
        '\\', 330,
        '^', 502,
        '`', 565,
        'a', 696,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 821,
        'f', 870,
        'i', 812,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'v', 678,
        'w', 769,
        '{', 404,
        '|', 507,
        '}', 407,
        '~', 541,
        0x2028, 620,
        0x2029, 620,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(11);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(946);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '#', 103,
        '%', 520,
        '&', 501,
        '\'', 462,
        '(', 424,
        '*', 388,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 460,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 528,
        '=', 394,
        '>', 457,
        '?', 75,
        '@', 950,
        '[', 447,
        '\\', 330,
        '^', 502,
        '`', 565,
        'a', 696,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 788,
        'f', 870,
        'i', 812,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'v', 678,
        'w', 769,
        '{', 404,
        '|', 507,
        '}', 407,
        '~', 541,
        0x2028, 621,
        0x2029, 621,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(12);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(946);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '#', 103,
        '%', 520,
        '&', 501,
        '\'', 462,
        '(', 424,
        '*', 388,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 460,
        '/', 518,
        '0', 599,
        '<', 528,
        '=', 97,
        '>', 457,
        '?', 75,
        '@', 950,
        '[', 447,
        '\\', 330,
        '^', 502,
        '`', 565,
        'a', 816,
        'b', 845,
        'c', 791,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 803,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'v', 840,
        '{', 404,
        '|', 507,
        '~', 541,
        0x2028, 624,
        0x2029, 624,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(13);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '%', 521,
        '&', 500,
        '\'', 462,
        '(', 424,
        ')', 425,
        '*', 387,
        '+', 512,
        ',', 406,
        '-', 516,
        '.', 460,
        '/', 519,
        '0', 599,
        ':', 440,
        ';', 439,
        '<', 525,
        '=', 395,
        '>', 456,
        '?', 955,
        '[', 447,
        '\\', 330,
        ']', 448,
        '^', 503,
        '`', 565,
        'a', 697,
        'b', 845,
        'c', 844,
        'i', 828,
        'n', 725,
        'o', 703,
        'r', 750,
        's', 665,
        'u', 824,
        'v', 840,
        '{', 405,
        '|', 505,
        '}', 407,
        0x2028, 626,
        0x2029, 626,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(14);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '%', 521,
        '&', 500,
        '\'', 462,
        '(', 424,
        ')', 425,
        '*', 387,
        '+', 512,
        ',', 406,
        '-', 516,
        '.', 458,
        '/', 519,
        ':', 440,
        ';', 439,
        '<', 525,
        '=', 395,
        '>', 456,
        '?', 955,
        '[', 447,
        '\\', 330,
        ']', 448,
        '^', 503,
        '`', 565,
        'a', 887,
        'i', 828,
        's', 666,
        '{', 404,
        '|', 505,
        '}', 407,
        0x2028, 685,
        0x2029, 685,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(15);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '%', 521,
        '&', 500,
        '\'', 462,
        '(', 424,
        '*', 387,
        '+', 512,
        ',', 406,
        '-', 516,
        '.', 460,
        '/', 519,
        '0', 599,
        ';', 439,
        '<', 525,
        '=', 395,
        '>', 456,
        '?', 955,
        '[', 447,
        '\\', 330,
        '^', 503,
        '`', 565,
        'a', 697,
        'b', 845,
        'c', 844,
        'i', 828,
        'n', 725,
        'o', 702,
        'r', 750,
        's', 665,
        'u', 824,
        'v', 840,
        '{', 405,
        '|', 505,
        0x2028, 625,
        0x2029, 625,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(16);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '%', 521,
        '&', 500,
        '\'', 462,
        '(', 424,
        '*', 387,
        '+', 512,
        ',', 406,
        '-', 516,
        '.', 460,
        '/', 519,
        '0', 599,
        '<', 525,
        '=', 395,
        '>', 456,
        '?', 955,
        '[', 447,
        '\\', 330,
        '^', 503,
        '`', 565,
        'a', 697,
        'b', 845,
        'c', 844,
        'i', 808,
        'n', 725,
        'o', 703,
        'r', 750,
        's', 665,
        'u', 824,
        'v', 840,
        '{', 405,
        '|', 505,
        0x2028, 627,
        0x2029, 627,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(17);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '%', 521,
        '&', 500,
        '\'', 462,
        '(', 424,
        '*', 387,
        '+', 512,
        ',', 406,
        '-', 516,
        '.', 458,
        '/', 519,
        ';', 439,
        '<', 525,
        '=', 395,
        '>', 456,
        '?', 74,
        '[', 447,
        '\\', 330,
        '^', 503,
        '`', 565,
        'a', 887,
        'i', 828,
        'o', 760,
        's', 666,
        '{', 404,
        '|', 505,
        0x2028, 684,
        0x2029, 684,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(18);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '%', 521,
        '&', 500,
        '\'', 462,
        '(', 424,
        '*', 387,
        '+', 512,
        ',', 406,
        '-', 516,
        '.', 458,
        '/', 519,
        '<', 525,
        '=', 395,
        '>', 456,
        '?', 74,
        '[', 447,
        '\\', 330,
        '^', 503,
        '`', 565,
        'a', 887,
        'i', 808,
        's', 666,
        '{', 404,
        '|', 505,
        0x2028, 686,
        0x2029, 686,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(19);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 421,
        '%', 521,
        '&', 500,
        '(', 424,
        ')', 425,
        '*', 387,
        '+', 512,
        ',', 406,
        '-', 516,
        '.', 458,
        '/', 519,
        ':', 440,
        ';', 439,
        '<', 525,
        '=', 395,
        '>', 456,
        '?', 955,
        '[', 447,
        '\\', 330,
        ']', 448,
        '^', 503,
        '`', 565,
        'a', 817,
        'b', 845,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 828,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        '{', 404,
        '|', 505,
        '}', 407,
        0x2028, 672,
        0x2029, 672,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(20);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '!', 421,
        '%', 521,
        '&', 500,
        '(', 424,
        ')', 425,
        '*', 387,
        '+', 512,
        ',', 406,
        '-', 516,
        '.', 458,
        '/', 519,
        ':', 440,
        ';', 439,
        '<', 525,
        '=', 395,
        '>', 456,
        '?', 955,
        '[', 447,
        ']', 448,
        '^', 503,
        '`', 565,
        'a', 292,
        'e', 337,
        'f', 278,
        'i', 230,
        'o', 181,
        'r', 160,
        's', 112,
        '{', 404,
        '|', 506,
        '}', 407,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1011);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(21);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '!', 421,
        '%', 521,
        '&', 500,
        '(', 424,
        '*', 387,
        '+', 512,
        ',', 406,
        '-', 516,
        '.', 458,
        '/', 519,
        '<', 525,
        '=', 395,
        '>', 456,
        '?', 74,
        '[', 447,
        '\\', 330,
        '^', 503,
        '`', 565,
        'a', 817,
        'b', 845,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 808,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        '{', 404,
        '|', 505,
        0x2028, 673,
        0x2029, 673,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(22);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '!', 421,
        '%', 520,
        '&', 501,
        '(', 424,
        ')', 425,
        '*', 388,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 458,
        '/', 518,
        ':', 440,
        ';', 439,
        '<', 527,
        '=', 97,
        '>', 457,
        '?', 75,
        '[', 447,
        ']', 448,
        '^', 502,
        '`', 565,
        'a', 590,
        'i', 585,
        's', 570,
        '{', 405,
        '|', 507,
        '}', 407,
      );
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(24);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '!', 421,
        '%', 520,
        '&', 501,
        '(', 424,
        ')', 425,
        '*', 388,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 458,
        '/', 518,
        ':', 440,
        ';', 439,
        '<', 527,
        '=', 97,
        '>', 457,
        '?', 75,
        '[', 447,
        ']', 448,
        '^', 502,
        '`', 565,
        'a', 292,
        'i', 235,
        's', 112,
        '{', 405,
        '|', 507,
        '}', 407,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(24);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '!', 421,
        '%', 520,
        '&', 501,
        '(', 424,
        ')', 425,
        '*', 388,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 458,
        '/', 518,
        ':', 440,
        ';', 439,
        '<', 527,
        '=', 394,
        '>', 457,
        '?', 956,
        '[', 447,
        ']', 448,
        '^', 502,
        '`', 565,
        'a', 292,
        'e', 207,
        'i', 231,
        'o', 181,
        's', 112,
        'w', 186,
        '{', 404,
        '|', 508,
        '}', 407,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(25);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '!', 421,
        '%', 520,
        '&', 501,
        '(', 424,
        '*', 388,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 458,
        '/', 518,
        ';', 439,
        '<', 527,
        '=', 97,
        '>', 457,
        '?', 75,
        '[', 447,
        '^', 502,
        '`', 565,
        'a', 590,
        'i', 585,
        'o', 578,
        's', 570,
        '|', 507,
      );
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(27);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '!', 421,
        '%', 520,
        '&', 501,
        '(', 424,
        '*', 388,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 458,
        '/', 518,
        ';', 439,
        '<', 527,
        '=', 97,
        '>', 457,
        '?', 75,
        '[', 447,
        '^', 502,
        '`', 565,
        'a', 292,
        'i', 235,
        'o', 181,
        's', 112,
        '|', 507,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(27);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '!', 421,
        '%', 520,
        '&', 501,
        '(', 424,
        '*', 388,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 458,
        '/', 518,
        ';', 439,
        '<', 527,
        '=', 394,
        '>', 457,
        '?', 75,
        '@', 950,
        '[', 447,
        '\\', 330,
        '^', 502,
        '`', 565,
        'a', 817,
        'b', 845,
        'd', 723,
        'e', 821,
        'f', 870,
        'i', 828,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'v', 679,
        '{', 404,
        '|', 507,
        '}', 407,
        0x2028, 670,
        0x2029, 670,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(28);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '!', 421,
        '%', 520,
        '&', 501,
        '(', 424,
        '*', 388,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 458,
        '/', 518,
        ';', 439,
        '<', 527,
        '=', 394,
        '>', 457,
        '?', 75,
        '@', 950,
        '[', 447,
        '\\', 330,
        '^', 502,
        '`', 565,
        'a', 817,
        'b', 845,
        'd', 723,
        'e', 788,
        'f', 870,
        'i', 828,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'v', 679,
        '{', 404,
        '|', 507,
        '}', 407,
        0x2028, 671,
        0x2029, 671,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(29);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '!', 421,
        '%', 520,
        '&', 501,
        '(', 424,
        '*', 388,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 458,
        '/', 518,
        '<', 527,
        '=', 97,
        '>', 457,
        '?', 75,
        '[', 447,
        '^', 502,
        '`', 565,
        'a', 590,
        'i', 583,
        's', 570,
        '{', 404,
        '|', 507,
      );
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(31);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '!', 421,
        '%', 520,
        '&', 501,
        '(', 424,
        '*', 388,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 458,
        '/', 518,
        '<', 527,
        '=', 97,
        '>', 457,
        '?', 75,
        '[', 447,
        '^', 502,
        '`', 565,
        'a', 292,
        'i', 230,
        's', 112,
        '{', 404,
        '|', 507,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(31);
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(383);
      END_STATE();
    case 33:
      if (lookahead == '!') ADVANCE(383);
      if (lookahead == '\\') ADVANCE(328);
      if (set_contains(sym_identifier_character_set_1, 13, lookahead)) ADVANCE(947);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '&', 499,
        '\'', 462,
        '(', 424,
        ')', 425,
        '*', 386,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 72,
        '/', 518,
        '0', 599,
        '<', 529,
        '?', 953,
        '@', 950,
        '[', 447,
        '\\', 330,
        ']', 448,
        '`', 565,
        'a', 698,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 815,
        'l', 724,
        'm', 839,
        'n', 652,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'u', 824,
        'v', 840,
        '{', 405,
        '|', 504,
        '~', 541,
        0x2028, 636,
        0x2029, 636,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(34);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '&', 499,
        '\'', 462,
        '(', 424,
        ')', 425,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 357,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 529,
        '>', 455,
        '?', 953,
        '@', 950,
        '[', 447,
        '\\', 330,
        ']', 448,
        '`', 565,
        'a', 818,
        'b', 845,
        'c', 791,
        'd', 744,
        'e', 928,
        'f', 870,
        'i', 815,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 840,
        '{', 404,
        '|', 509,
        '}', 407,
        '~', 541,
        0x2028, 649,
        0x2029, 649,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(35);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(946);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        ')', 425,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 459,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 529,
        '=', 98,
        '@', 950,
        '[', 447,
        '\\', 330,
        ']', 448,
        '`', 565,
        'a', 818,
        'b', 845,
        'c', 791,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 815,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 840,
        '{', 404,
        '~', 541,
        0x2028, 648,
        0x2029, 648,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(36);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        '*', 386,
        '+', 511,
        ',', 406,
        '-', 515,
        '.', 459,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 529,
        '@', 950,
        '[', 447,
        '\\', 330,
        '`', 565,
        'a', 698,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 821,
        'f', 870,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        '{', 404,
        '}', 407,
        '~', 541,
        0x2028, 638,
        0x2029, 638,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(37);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 38:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        '*', 386,
        '+', 510,
        ',', 406,
        '-', 514,
        '.', 459,
        '/', 68,
        '0', 599,
        ':', 440,
        ';', 439,
        '<', 524,
        '=', 393,
        '?', 953,
        '@', 950,
        '[', 447,
        '\\', 330,
        'a', 699,
        'b', 845,
        'd', 744,
        'e', 929,
        'f', 871,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        '{', 404,
        '|', 351,
        '}', 407,
        0x2028, 650,
        0x2029, 650,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(38);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || 'b' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        '*', 386,
        ',', 406,
        '.', 72,
        '/', 68,
        '0', 599,
        ':', 440,
        ';', 439,
        '<', 524,
        '=', 396,
        '?', 953,
        '[', 447,
        '\\', 330,
        'a', 819,
        'b', 845,
        'd', 744,
        'e', 929,
        'f', 871,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        '{', 404,
        '|', 351,
        '}', 407,
        0x2028, 622,
        0x2029, 622,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(39);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || 'b' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        '+', 511,
        '-', 515,
        '.', 460,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 529,
        '@', 950,
        '[', 447,
        '\\', 330,
        '`', 565,
        'a', 698,
        'b', 845,
        'c', 692,
        'd', 723,
        'e', 821,
        'f', 870,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        '{', 404,
        '}', 407,
        '~', 541,
        0x2028, 633,
        0x2029, 633,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(40);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        '+', 511,
        '-', 515,
        '.', 460,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 529,
        '@', 950,
        '[', 447,
        '\\', 330,
        '`', 565,
        'a', 698,
        'b', 845,
        'c', 692,
        'd', 723,
        'e', 788,
        'f', 870,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        '{', 404,
        '}', 407,
        '~', 541,
        0x2028, 635,
        0x2029, 635,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(41);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        '+', 511,
        '-', 515,
        '.', 460,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 529,
        '@', 950,
        '[', 447,
        '\\', 330,
        '`', 565,
        'a', 698,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 788,
        'f', 870,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        '{', 404,
        '}', 407,
        '~', 541,
        0x2028, 641,
        0x2029, 641,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(42);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        '+', 511,
        '-', 515,
        '.', 357,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 529,
        '@', 950,
        '[', 447,
        '\\', 330,
        '`', 565,
        'a', 698,
        'b', 845,
        'c', 651,
        'd', 723,
        'e', 821,
        'f', 771,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        '{', 404,
        '}', 407,
        '~', 541,
        0x2028, 630,
        0x2029, 630,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(43);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        '+', 511,
        '-', 515,
        '.', 357,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 529,
        '@', 950,
        '[', 447,
        '\\', 330,
        '`', 565,
        'a', 698,
        'b', 845,
        'c', 651,
        'd', 723,
        'e', 788,
        'f', 771,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        '{', 404,
        '}', 407,
        '~', 541,
        0x2028, 631,
        0x2029, 631,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(44);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        '+', 511,
        '-', 515,
        '.', 357,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 529,
        '@', 950,
        '[', 447,
        '\\', 330,
        '`', 565,
        'a', 698,
        'b', 845,
        'c', 692,
        'd', 723,
        'e', 821,
        'f', 771,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        '{', 404,
        '}', 407,
        '~', 541,
        0x2028, 632,
        0x2029, 632,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(45);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        '+', 511,
        '-', 515,
        '.', 357,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 529,
        '@', 950,
        '[', 447,
        '\\', 330,
        '`', 565,
        'a', 698,
        'b', 845,
        'c', 692,
        'd', 723,
        'e', 788,
        'f', 771,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        '{', 404,
        '}', 407,
        '~', 541,
        0x2028, 634,
        0x2029, 634,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(46);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        '+', 511,
        '-', 515,
        '.', 357,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 529,
        '@', 950,
        '[', 447,
        '\\', 330,
        '`', 565,
        'a', 698,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 821,
        'f', 771,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        '{', 404,
        '}', 407,
        '~', 541,
        0x2028, 637,
        0x2029, 637,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(47);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        '+', 511,
        '-', 515,
        '.', 357,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 529,
        '@', 950,
        '[', 447,
        '\\', 330,
        '`', 565,
        'a', 698,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 788,
        'f', 771,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        '{', 404,
        '}', 407,
        '~', 541,
        0x2028, 640,
        0x2029, 640,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(48);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        '+', 511,
        '-', 515,
        '.', 357,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 529,
        '@', 950,
        '[', 447,
        '\\', 330,
        '`', 565,
        'a', 698,
        'b', 845,
        'c', 690,
        'd', 744,
        'e', 821,
        'f', 771,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        '{', 404,
        '}', 407,
        '~', 541,
        0x2028, 642,
        0x2029, 642,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(49);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        '+', 511,
        '-', 515,
        '.', 357,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 529,
        '@', 950,
        '[', 447,
        '\\', 330,
        '`', 565,
        'a', 698,
        'b', 845,
        'c', 690,
        'd', 744,
        'e', 788,
        'f', 771,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        '{', 404,
        '}', 407,
        '~', 541,
        0x2028, 643,
        0x2029, 643,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(50);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        '+', 511,
        '-', 515,
        '.', 357,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 529,
        '@', 950,
        '[', 447,
        '\\', 330,
        '`', 565,
        'a', 818,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 815,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        '{', 404,
        '~', 541,
        0x2028, 646,
        0x2029, 646,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(51);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        '+', 511,
        '-', 515,
        '.', 357,
        '/', 518,
        '0', 599,
        ';', 439,
        '<', 529,
        '@', 950,
        '[', 447,
        '\\', 330,
        '`', 565,
        'a', 818,
        'b', 845,
        'c', 791,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 815,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 840,
        'w', 772,
        '{', 404,
        '~', 541,
        0x2028, 647,
        0x2029, 647,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(52);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        '+', 511,
        '-', 515,
        '.', 357,
        '/', 518,
        '0', 599,
        '<', 529,
        '@', 950,
        '[', 447,
        '\\', 330,
        '`', 565,
        'a', 698,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 821,
        'f', 870,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        '{', 404,
        '~', 541,
        0x2028, 639,
        0x2029, 639,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(53);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '!', 420,
        '"', 461,
        '&', 499,
        '\'', 462,
        '(', 424,
        ')', 425,
        '*', 386,
        ',', 406,
        '-', 514,
        '.', 357,
        '/', 68,
        '0', 599,
        ':', 440,
        ';', 439,
        '<', 524,
        '=', 396,
        '>', 455,
        '?', 953,
        '@', 950,
        '[', 447,
        ']', 448,
        '`', 565,
        'a', 127,
        'b', 260,
        'c', 211,
        'd', 150,
        'e', 240,
        'f', 324,
        'i', 225,
        'l', 163,
        'm', 251,
        'n', 108,
        'o', 130,
        's', 317,
        't', 342,
        'u', 236,
        'v', 115,
        '{', 404,
        '|', 509,
        '}', 407,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(54);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '!', 420,
        '&', 499,
        '(', 424,
        ')', 425,
        ',', 406,
        '.', 458,
        '/', 68,
        ':', 440,
        ';', 439,
        '<', 524,
        '=', 396,
        '>', 455,
        '?', 953,
        '[', 447,
        ']', 448,
        '`', 565,
        'a', 292,
        'e', 207,
        'f', 278,
        'i', 239,
        'o', 181,
        'w', 187,
        '{', 404,
        '|', 509,
        '}', 407,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1011);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(55);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '!', 420,
        '&', 499,
        '(', 424,
        ')', 425,
        ',', 406,
        '.', 458,
        '/', 68,
        ':', 440,
        ';', 439,
        '<', 524,
        '=', 396,
        '>', 455,
        '?', 954,
        '@', 950,
        '[', 447,
        ']', 448,
        '`', 565,
        'a', 129,
        'c', 210,
        'e', 336,
        'i', 239,
        'o', 181,
        '{', 404,
        '|', 509,
        '}', 407,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(56);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '"', 461,
        '#', 103,
        '\'', 462,
        '(', 424,
        ')', 425,
        '*', 386,
        '.', 458,
        '/', 68,
        ':', 440,
        ';', 439,
        '<', 524,
        '?', 73,
        '[', 447,
        '\\', 330,
        '`', 565,
        '{', 404,
        0x2028, 940,
        0x2029, 940,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(57);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '"', 461,
        '&', 499,
        '\'', 462,
        '(', 424,
        '*', 386,
        '+', 510,
        ',', 406,
        '-', 514,
        '.', 72,
        '/', 68,
        '0', 599,
        '<', 524,
        '?', 953,
        '[', 447,
        '\\', 330,
        ']', 448,
        '`', 565,
        'a', 700,
        'b', 845,
        'c', 844,
        'n', 725,
        'o', 703,
        'r', 750,
        's', 907,
        'u', 824,
        'v', 840,
        '{', 405,
        '|', 504,
        0x2028, 629,
        0x2029, 629,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(58);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '"', 461,
        '&', 499,
        '\'', 462,
        '(', 424,
        '*', 386,
        '+', 510,
        '-', 514,
        '.', 357,
        '/', 68,
        '0', 599,
        '<', 524,
        '>', 455,
        '?', 953,
        '[', 447,
        '\\', 330,
        '`', 565,
        'a', 700,
        'b', 845,
        'c', 844,
        'i', 815,
        'n', 725,
        'o', 703,
        'r', 750,
        's', 907,
        'u', 824,
        'v', 840,
        '{', 405,
        '|', 504,
        0x2028, 628,
        0x2029, 628,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(59);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '"', 461,
        '\'', 462,
        '(', 424,
        '*', 386,
        ',', 406,
        '.', 458,
        '/', 68,
        '<', 524,
        '?', 73,
        '\\', 330,
        '`', 565,
        't', 935,
        '{', 404,
        '}', 407,
        0x2028, 911,
        0x2029, 911,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(60);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '"', 461,
        '\'', 462,
        '*', 386,
        ',', 406,
        '/', 68,
        '\\', 330,
        'f', 871,
        't', 935,
        '{', 404,
        0x2028, 764,
        0x2029, 764,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(61);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '"', 461,
        '\'', 462,
        ',', 406,
        '/', 68,
        '\\', 330,
        'a', 887,
        't', 935,
        '}', 407,
        0x2028, 687,
        0x2029, 687,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(62);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          lookahead != 'a' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '"', 461,
        '\'', 462,
        '.', 458,
        '/', 68,
        ';', 439,
        '@', 950,
        '\\', 330,
        'a', 819,
        'b', 845,
        'd', 744,
        'e', 929,
        'f', 871,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        0x2028, 663,
        0x2029, 663,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(63);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || 'b' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 64:
      if (lookahead == '"') ADVANCE(461);
      if (lookahead == '/') ADVANCE(547);
      if (lookahead == '\\') ADVANCE(331);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(550);
      if (lookahead != 0) ADVANCE(551);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '#', 32,
        '/', 68,
        '@', 950,
        '\\', 330,
        'a', 819,
        'b', 845,
        'd', 744,
        'e', 929,
        'f', 871,
        'i', 815,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        0x2028, 662,
        0x2029, 662,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(65);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || 'b' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '&', 499,
        ',', 406,
        '/', 68,
        '>', 455,
        '[', 447,
        '\\', 330,
        'e', 930,
        '|', 504,
        0x2028, 740,
        0x2029, 740,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(66);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 67:
      if (lookahead == '\'') ADVANCE(462);
      if (lookahead == '/') ADVANCE(553);
      if (lookahead == '\\') ADVANCE(331);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(556);
      if (lookahead != 0) ADVANCE(557);
      END_STATE();
    case 68:
      if (lookahead == '*') ADVANCE(70);
      if (lookahead == '/') ADVANCE(564);
      END_STATE();
    case 69:
      if (lookahead == '*') ADVANCE(69);
      if (lookahead == '/') ADVANCE(563);
      if (lookahead != 0) ADVANCE(70);
      END_STATE();
    case 70:
      if (lookahead == '*') ADVANCE(69);
      if (lookahead != 0) ADVANCE(70);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '+', 101,
        ',', 406,
        '-', 102,
        '.', 458,
        '/', 68,
        ':', 440,
        '<', 524,
        '?', 96,
        'e', 337,
        '{', 405,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(71);
      END_STATE();
    case 72:
      if (lookahead == '.') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(613);
      END_STATE();
    case 73:
      if (lookahead == '.') ADVANCE(470);
      END_STATE();
    case 74:
      if (lookahead == '.') ADVANCE(470);
      if (lookahead == '?') ADVANCE(537);
      END_STATE();
    case 75:
      if (lookahead == '.') ADVANCE(470);
      if (lookahead == '?') ADVANCE(536);
      END_STATE();
    case 76:
      if (lookahead == '.') ADVANCE(488);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '.', 458,
        '/', 68,
        ':', 440,
        '\\', 330,
        'a', 819,
        'b', 845,
        'd', 723,
        'e', 929,
        'f', 871,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        '{', 404,
        0x2028, 657,
        0x2029, 657,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(77);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || 'b' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 78:
      if (lookahead == '.') ADVANCE(458);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == ':') ADVANCE(440);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'o') ADVANCE(823);
      if (lookahead == '{') ADVANCE(404);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(852);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(78);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        '.', 458,
        '/', 68,
        ';', 439,
        '@', 950,
        '\\', 330,
        'a', 819,
        'b', 845,
        'd', 723,
        'e', 821,
        'f', 870,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 679,
        '{', 404,
        '}', 407,
        0x2028, 659,
        0x2029, 659,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(79);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || 'b' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '.', 458,
        '/', 68,
        ';', 439,
        '@', 950,
        '\\', 330,
        'a', 819,
        'b', 845,
        'd', 723,
        'e', 788,
        'f', 870,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 679,
        '{', 404,
        '}', 407,
        0x2028, 661,
        0x2029, 661,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(80);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || 'b' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 81:
      if (lookahead == '/') ADVANCE(567);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(93);
      END_STATE();
    case 82:
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '<') ADVANCE(524);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(930);
      if (lookahead == 'i') ADVANCE(809);
      if (lookahead == '{') ADVANCE(404);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(739);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(82);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 83:
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '>') ADVANCE(455);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'c') ADVANCE(844);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(712);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(83);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '/', 68,
        '@', 950,
        '\\', 330,
        'a', 819,
        'b', 845,
        'c', 691,
        'd', 723,
        'e', 821,
        'f', 771,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 679,
        '}', 407,
        0x2028, 655,
        0x2029, 655,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(84);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || 'f' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '/', 68,
        '@', 950,
        '\\', 330,
        'a', 819,
        'b', 845,
        'c', 691,
        'd', 723,
        'e', 788,
        'f', 771,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 679,
        '}', 407,
        0x2028, 656,
        0x2029, 656,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(85);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || 'f' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '/', 68,
        '@', 950,
        '\\', 330,
        'a', 819,
        'b', 845,
        'd', 723,
        'e', 821,
        'f', 771,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 679,
        '}', 407,
        0x2028, 658,
        0x2029, 658,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(86);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || 'b' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '/', 68,
        '@', 950,
        '\\', 330,
        'a', 819,
        'b', 845,
        'd', 723,
        'e', 788,
        'f', 771,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 679,
        '}', 407,
        0x2028, 660,
        0x2029, 660,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(87);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || 'b' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 88:
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '[') ADVANCE(447);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(822);
      if (lookahead == '{') ADVANCE(404);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(754);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(88);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '/', 68,
        '\\', 330,
        'a', 819,
        'b', 845,
        'd', 744,
        'e', 929,
        'f', 871,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        0x2028, 664,
        0x2029, 664,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(89);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || 'b' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '/', 68,
        '\\', 330,
        'a', 820,
        'b', 845,
        'n', 737,
        'o', 703,
        's', 907,
        'u', 824,
        'v', 840,
        0x2028, 689,
        0x2029, 689,
      );
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(90);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '`' || 'b' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 91:
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(815);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(774);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(91);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 92:
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(756);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(881);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(92);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(946);
      END_STATE();
    case 93:
      if (lookahead == '/') ADVANCE(68);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(93);
      END_STATE();
    case 94:
      if (lookahead == ':') ADVANCE(999);
      END_STATE();
    case 95:
      if (lookahead == ':') ADVANCE(998);
      END_STATE();
    case 96:
      if (lookahead == ':') ADVANCE(1000);
      END_STATE();
    case 97:
      if (lookahead == '=') ADVANCE(531);
      END_STATE();
    case 98:
      if (lookahead == '>') ADVANCE(469);
      END_STATE();
    case 99:
      if (lookahead == '>') ADVANCE(453);
      END_STATE();
    case 100:
      if (lookahead == '>') ADVANCE(454);
      END_STATE();
    case 101:
      if (lookahead == '?') ADVANCE(94);
      END_STATE();
    case 102:
      if (lookahead == '?') ADVANCE(95);
      END_STATE();
    case 103:
      if (lookahead == '\\') ADVANCE(328);
      if (set_contains(sym_identifier_character_set_1, 13, lookahead)) ADVANCE(947);
      END_STATE();
    case 104:
      if (lookahead == '\\') ADVANCE(377);
      if (lookahead == ']') ADVANCE(569);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(104);
      END_STATE();
    case 105:
      if (lookahead == 'a') ADVANCE(310);
      END_STATE();
    case 106:
      if (lookahead == 'a') ADVANCE(297);
      if (lookahead == 'l') ADVANCE(116);
      if (lookahead == 'o') ADVANCE(250);
      END_STATE();
    case 107:
      if (lookahead == 'a') ADVANCE(228);
      if (lookahead == 'e') ADVANCE(334);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(228);
      if (lookahead == 'e') ADVANCE(333);
      if (lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(273);
      if (lookahead == 'y') ADVANCE(267);
      END_STATE();
    case 110:
      if (lookahead == 'a') ADVANCE(146);
      if (lookahead == 'q') ADVANCE(325);
      END_STATE();
    case 111:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(312);
      END_STATE();
    case 113:
      if (lookahead == 'a') ADVANCE(312);
      if (lookahead == 'y') ADVANCE(226);
      END_STATE();
    case 114:
      if (lookahead == 'a') ADVANCE(274);
      END_STATE();
    case 115:
      if (lookahead == 'a') ADVANCE(274);
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 116:
      if (lookahead == 'a') ADVANCE(295);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(212);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(204);
      END_STATE();
    case 119:
      if (lookahead == 'a') ADVANCE(245);
      END_STATE();
    case 120:
      if (lookahead == 'a') ADVANCE(285);
      END_STATE();
    case 121:
      if (lookahead == 'a') ADVANCE(237);
      END_STATE();
    case 122:
      if (lookahead == 'a') ADVANCE(136);
      END_STATE();
    case 123:
      if (lookahead == 'a') ADVANCE(326);
      END_STATE();
    case 124:
      if (lookahead == 'a') ADVANCE(139);
      END_STATE();
    case 125:
      if (lookahead == 'a') ADVANCE(140);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(320);
      END_STATE();
    case 127:
      if (lookahead == 'b') ADVANCE(296);
      if (lookahead == 'n') ADVANCE(341);
      if (lookahead == 's') ADVANCE(400);
      END_STATE();
    case 128:
      if (lookahead == 'b') ADVANCE(296);
      if (lookahead == 's') ADVANCE(400);
      if (lookahead == 'w') ADVANCE(111);
      END_STATE();
    case 129:
      if (lookahead == 'b') ADVANCE(296);
      if (lookahead == 's') ADVANCE(397);
      END_STATE();
    case 130:
      if (lookahead == 'b') ADVANCE(201);
      END_STATE();
    case 131:
      if (lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 132:
      if (lookahead == 'b') ADVANCE(257);
      END_STATE();
    case 133:
      if (lookahead == 'b') ADVANCE(173);
      END_STATE();
    case 134:
      if (lookahead == 'c') ADVANCE(465);
      END_STATE();
    case 135:
      if (lookahead == 'c') ADVANCE(189);
      END_STATE();
    case 136:
      if (lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 137:
      if (lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 138:
      if (lookahead == 'c') ADVANCE(169);
      END_STATE();
    case 139:
      if (lookahead == 'c') ADVANCE(158);
      END_STATE();
    case 140:
      if (lookahead == 'c') ADVANCE(159);
      END_STATE();
    case 141:
      if (lookahead == 'c') ADVANCE(219);
      if (lookahead == 'f') ADVANCE(123);
      END_STATE();
    case 142:
      if (lookahead == 'c') ADVANCE(314);
      END_STATE();
    case 143:
      if (lookahead == 'd') ADVANCE(977);
      END_STATE();
    case 144:
      if (lookahead == 'd') ADVANCE(542);
      END_STATE();
    case 145:
      if (lookahead == 'd') ADVANCE(329);
      END_STATE();
    case 146:
      if (lookahead == 'd') ADVANCE(258);
      END_STATE();
    case 147:
      if (lookahead == 'd') ADVANCE(289);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(221);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(141);
      END_STATE();
    case 151:
      if (lookahead == 'e') ADVANCE(110);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(441);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(422);
      END_STATE();
    case 154:
      if (lookahead == 'e') ADVANCE(391);
      END_STATE();
    case 155:
      if (lookahead == 'e') ADVANCE(437);
      END_STATE();
    case 156:
      if (lookahead == 'e') ADVANCE(959);
      END_STATE();
    case 157:
      if (lookahead == 'e') ADVANCE(957);
      END_STATE();
    case 158:
      if (lookahead == 'e') ADVANCE(994);
      END_STATE();
    case 159:
      if (lookahead == 'e') ADVANCE(402);
      END_STATE();
    case 160:
      if (lookahead == 'e') ADVANCE(272);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(984);
      END_STATE();
    case 162:
      if (lookahead == 'e') ADVANCE(1003);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(300);
      END_STATE();
    case 164:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 165:
      if (lookahead == 'e') ADVANCE(143);
      END_STATE();
    case 166:
      if (lookahead == 'e') ADVANCE(294);
      END_STATE();
    case 167:
      if (lookahead == 'e') ADVANCE(243);
      END_STATE();
    case 168:
      if (lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 169:
      if (lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 170:
      if (lookahead == 'e') ADVANCE(290);
      END_STATE();
    case 171:
      if (lookahead == 'e') ADVANCE(276);
      END_STATE();
    case 172:
      if (lookahead == 'e') ADVANCE(249);
      END_STATE();
    case 173:
      if (lookahead == 'e') ADVANCE(277);
      END_STATE();
    case 174:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 175:
      if (lookahead == 'e') ADVANCE(306);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 177:
      if (lookahead == 'e') ADVANCE(137);
      END_STATE();
    case 178:
      if (lookahead == 'e') ADVANCE(284);
      END_STATE();
    case 179:
      if (lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 180:
      if (lookahead == 'f') ADVANCE(538);
      END_STATE();
    case 181:
      if (lookahead == 'f') ADVANCE(434);
      END_STATE();
    case 182:
      if (lookahead == 'f') ADVANCE(196);
      END_STATE();
    case 183:
      if (lookahead == 'f') ADVANCE(124);
      END_STATE();
    case 184:
      if (lookahead == 'g') ADVANCE(967);
      END_STATE();
    case 185:
      if (lookahead == 'g') ADVANCE(175);
      END_STATE();
    case 186:
      if (lookahead == 'h') ADVANCE(190);
      END_STATE();
    case 187:
      if (lookahead == 'h') ADVANCE(190);
      if (lookahead == 'i') ADVANCE(301);
      END_STATE();
    case 188:
      if (lookahead == 'h') ADVANCE(412);
      END_STATE();
    case 189:
      if (lookahead == 'h') ADVANCE(443);
      END_STATE();
    case 190:
      if (lookahead == 'i') ADVANCE(214);
      END_STATE();
    case 191:
      if (lookahead == 'i') ADVANCE(246);
      if (lookahead == 'r') ADVANCE(255);
      if (lookahead == 'u') ADVANCE(241);
      END_STATE();
    case 192:
      if (lookahead == 'i') ADVANCE(144);
      END_STATE();
    case 193:
      if (lookahead == 'i') ADVANCE(293);
      END_STATE();
    case 194:
      if (lookahead == 'i') ADVANCE(302);
      END_STATE();
    case 195:
      if (lookahead == 'i') ADVANCE(242);
      END_STATE();
    case 196:
      if (lookahead == 'i') ADVANCE(170);
      END_STATE();
    case 197:
      if (lookahead == 'i') ADVANCE(271);
      if (lookahead == 'k') ADVANCE(248);
      END_STATE();
    case 198:
      if (lookahead == 'i') ADVANCE(259);
      END_STATE();
    case 199:
      if (lookahead == 'i') ADVANCE(286);
      END_STATE();
    case 200:
      if (lookahead == 'i') ADVANCE(287);
      END_STATE();
    case 201:
      if (lookahead == 'j') ADVANCE(177);
      END_STATE();
    case 202:
      if (lookahead == 'l') ADVANCE(105);
      END_STATE();
    case 203:
      if (lookahead == 'l') ADVANCE(338);
      END_STATE();
    case 204:
      if (lookahead == 'l') ADVANCE(992);
      END_STATE();
    case 205:
      if (lookahead == 'l') ADVANCE(969);
      END_STATE();
    case 206:
      if (lookahead == 'l') ADVANCE(298);
      if (lookahead == 'n') ADVANCE(323);
      if (lookahead == 'x') ADVANCE(265);
      END_STATE();
    case 207:
      if (lookahead == 'l') ADVANCE(298);
      if (lookahead == 'x') ADVANCE(315);
      END_STATE();
    case 208:
      if (lookahead == 'l') ADVANCE(252);
      END_STATE();
    case 209:
      if (lookahead == 'l') ADVANCE(340);
      END_STATE();
    case 210:
      if (lookahead == 'l') ADVANCE(116);
      END_STATE();
    case 211:
      if (lookahead == 'l') ADVANCE(116);
      if (lookahead == 'o') ADVANCE(250);
      END_STATE();
    case 212:
      if (lookahead == 'l') ADVANCE(203);
      END_STATE();
    case 213:
      if (lookahead == 'l') ADVANCE(307);
      END_STATE();
    case 214:
      if (lookahead == 'l') ADVANCE(155);
      END_STATE();
    case 215:
      if (lookahead == 'l') ADVANCE(156);
      END_STATE();
    case 216:
      if (lookahead == 'l') ADVANCE(174);
      END_STATE();
    case 217:
      if (lookahead == 'l') ADVANCE(176);
      END_STATE();
    case 218:
      if (lookahead == 'l') ADVANCE(176);
      if (lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 219:
      if (lookahead == 'l') ADVANCE(120);
      END_STATE();
    case 220:
      if (lookahead == 'l') ADVANCE(126);
      END_STATE();
    case 221:
      if (lookahead == 'm') ADVANCE(263);
      END_STATE();
    case 222:
      if (lookahead == 'm') ADVANCE(996);
      END_STATE();
    case 223:
      if (lookahead == 'm') ADVANCE(410);
      END_STATE();
    case 224:
      if (lookahead == 'm') ADVANCE(264);
      if (lookahead == 'n') ADVANCE(433);
      if (lookahead == 's') ADVANCE(1001);
      END_STATE();
    case 225:
      if (lookahead == 'm') ADVANCE(264);
      if (lookahead == 'n') ADVANCE(318);
      if (lookahead == 's') ADVANCE(1001);
      END_STATE();
    case 226:
      if (lookahead == 'm') ADVANCE(132);
      END_STATE();
    case 227:
      if (lookahead == 'm') ADVANCE(133);
      END_STATE();
    case 228:
      if (lookahead == 'm') ADVANCE(166);
      END_STATE();
    case 229:
      if (lookahead == 'm') ADVANCE(172);
      END_STATE();
    case 230:
      if (lookahead == 'm') ADVANCE(266);
      if (lookahead == 'n') ADVANCE(432);
      END_STATE();
    case 231:
      if (lookahead == 'm') ADVANCE(266);
      if (lookahead == 'n') ADVANCE(432);
      if (lookahead == 's') ADVANCE(1001);
      END_STATE();
    case 232:
      if (lookahead == 'm') ADVANCE(270);
      END_STATE();
    case 233:
      if (lookahead == 'n') ADVANCE(975);
      END_STATE();
    case 234:
      if (lookahead == 'n') ADVANCE(467);
      END_STATE();
    case 235:
      if (lookahead == 'n') ADVANCE(432);
      END_STATE();
    case 236:
      if (lookahead == 'n') ADVANCE(197);
      END_STATE();
    case 237:
      if (lookahead == 'n') ADVANCE(965);
      END_STATE();
    case 238:
      if (lookahead == 'n') ADVANCE(1005);
      END_STATE();
    case 239:
      if (lookahead == 'n') ADVANCE(428);
      if (lookahead == 's') ADVANCE(1001);
      END_STATE();
    case 240:
      if (lookahead == 'n') ADVANCE(323);
      if (lookahead == 'x') ADVANCE(315);
      END_STATE();
    case 241:
      if (lookahead == 'n') ADVANCE(142);
      END_STATE();
    case 242:
      if (lookahead == 'n') ADVANCE(184);
      END_STATE();
    case 243:
      if (lookahead == 'n') ADVANCE(147);
      END_STATE();
    case 244:
      if (lookahead == 'n') ADVANCE(134);
      END_STATE();
    case 245:
      if (lookahead == 'n') ADVANCE(138);
      END_STATE();
    case 246:
      if (lookahead == 'n') ADVANCE(117);
      END_STATE();
    case 247:
      if (lookahead == 'n') ADVANCE(209);
      END_STATE();
    case 248:
      if (lookahead == 'n') ADVANCE(253);
      END_STATE();
    case 249:
      if (lookahead == 'n') ADVANCE(319);
      END_STATE();
    case 250:
      if (lookahead == 'n') ADVANCE(299);
      END_STATE();
    case 251:
      if (lookahead == 'o') ADVANCE(145);
      END_STATE();
    case 252:
      if (lookahead == 'o') ADVANCE(131);
      END_STATE();
    case 253:
      if (lookahead == 'o') ADVANCE(335);
      END_STATE();
    case 254:
      if (lookahead == 'o') ADVANCE(180);
      END_STATE();
    case 255:
      if (lookahead == 'o') ADVANCE(223);
      END_STATE();
    case 256:
      if (lookahead == 'o') ADVANCE(282);
      END_STATE();
    case 257:
      if (lookahead == 'o') ADVANCE(205);
      END_STATE();
    case 258:
      if (lookahead == 'o') ADVANCE(247);
      END_STATE();
    case 259:
      if (lookahead == 'o') ADVANCE(234);
      END_STATE();
    case 260:
      if (lookahead == 'o') ADVANCE(262);
      END_STATE();
    case 261:
      if (lookahead == 'o') ADVANCE(268);
      END_STATE();
    case 262:
      if (lookahead == 'o') ADVANCE(216);
      END_STATE();
    case 263:
      if (lookahead == 'p') ADVANCE(202);
      END_STATE();
    case 264:
      if (lookahead == 'p') ADVANCE(218);
      END_STATE();
    case 265:
      if (lookahead == 'p') ADVANCE(256);
      if (lookahead == 't') ADVANCE(167);
      END_STATE();
    case 266:
      if (lookahead == 'p') ADVANCE(217);
      END_STATE();
    case 267:
      if (lookahead == 'p') ADVANCE(154);
      END_STATE();
    case 268:
      if (lookahead == 'p') ADVANCE(178);
      END_STATE();
    case 269:
      if (lookahead == 'p') ADVANCE(125);
      END_STATE();
    case 270:
      if (lookahead == 'p') ADVANCE(220);
      END_STATE();
    case 271:
      if (lookahead == 'q') ADVANCE(327);
      END_STATE();
    case 272:
      if (lookahead == 'q') ADVANCE(332);
      END_STATE();
    case 273:
      if (lookahead == 'r') ADVANCE(185);
      END_STATE();
    case 274:
      if (lookahead == 'r') ADVANCE(414);
      END_STATE();
    case 275:
      if (lookahead == 'r') ADVANCE(183);
      END_STATE();
    case 276:
      if (lookahead == 'r') ADVANCE(1007);
      END_STATE();
    case 277:
      if (lookahead == 'r') ADVANCE(963);
      END_STATE();
    case 278:
      if (lookahead == 'r') ADVANCE(255);
      END_STATE();
    case 279:
      if (lookahead == 'r') ADVANCE(261);
      END_STATE();
    case 280:
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 281:
      if (lookahead == 'r') ADVANCE(122);
      END_STATE();
    case 282:
      if (lookahead == 'r') ADVANCE(304);
      END_STATE();
    case 283:
      if (lookahead == 'r') ADVANCE(305);
      END_STATE();
    case 284:
      if (lookahead == 'r') ADVANCE(311);
      END_STATE();
    case 285:
      if (lookahead == 'r') ADVANCE(157);
      END_STATE();
    case 286:
      if (lookahead == 'r') ADVANCE(165);
      END_STATE();
    case 287:
      if (lookahead == 'r') ADVANCE(161);
      END_STATE();
    case 288:
      if (lookahead == 's') ADVANCE(463);
      END_STATE();
    case 289:
      if (lookahead == 's') ADVANCE(987);
      END_STATE();
    case 290:
      if (lookahead == 's') ADVANCE(981);
      END_STATE();
    case 291:
      if (lookahead == 's') ADVANCE(989);
      END_STATE();
    case 292:
      if (lookahead == 's') ADVANCE(397);
      END_STATE();
    case 293:
      if (lookahead == 's') ADVANCE(182);
      END_STATE();
    case 294:
      if (lookahead == 's') ADVANCE(269);
      END_STATE();
    case 295:
      if (lookahead == 's') ADVANCE(288);
      END_STATE();
    case 296:
      if (lookahead == 's') ADVANCE(313);
      END_STATE();
    case 297:
      if (lookahead == 's') ADVANCE(152);
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 298:
      if (lookahead == 's') ADVANCE(153);
      END_STATE();
    case 299:
      if (lookahead == 's') ADVANCE(303);
      END_STATE();
    case 300:
      if (lookahead == 't') ADVANCE(416);
      END_STATE();
    case 301:
      if (lookahead == 't') ADVANCE(188);
      END_STATE();
    case 302:
      if (lookahead == 't') ADVANCE(426);
      END_STATE();
    case 303:
      if (lookahead == 't') ADVANCE(418);
      END_STATE();
    case 304:
      if (lookahead == 't') ADVANCE(384);
      END_STATE();
    case 305:
      if (lookahead == 't') ADVANCE(408);
      END_STATE();
    case 306:
      if (lookahead == 't') ADVANCE(948);
      END_STATE();
    case 307:
      if (lookahead == 't') ADVANCE(389);
      END_STATE();
    case 308:
      if (lookahead == 't') ADVANCE(979);
      END_STATE();
    case 309:
      if (lookahead == 't') ADVANCE(971);
      END_STATE();
    case 310:
      if (lookahead == 't') ADVANCE(149);
      END_STATE();
    case 311:
      if (lookahead == 't') ADVANCE(339);
      END_STATE();
    case 312:
      if (lookahead == 't') ADVANCE(193);
      END_STATE();
    case 313:
      if (lookahead == 't') ADVANCE(281);
      END_STATE();
    case 314:
      if (lookahead == 't') ADVANCE(198);
      END_STATE();
    case 315:
      if (lookahead == 't') ADVANCE(167);
      END_STATE();
    case 316:
      if (lookahead == 't') ADVANCE(119);
      END_STATE();
    case 317:
      if (lookahead == 't') ADVANCE(280);
      if (lookahead == 'y') ADVANCE(226);
      END_STATE();
    case 318:
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 319:
      if (lookahead == 't') ADVANCE(291);
      END_STATE();
    case 320:
      if (lookahead == 't') ADVANCE(164);
      END_STATE();
    case 321:
      if (lookahead == 't') ADVANCE(179);
      END_STATE();
    case 322:
      if (lookahead == 'u') ADVANCE(344);
      if (lookahead == 'x') ADVANCE(369);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(560);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(562);
      if (lookahead != 0) ADVANCE(558);
      END_STATE();
    case 323:
      if (lookahead == 'u') ADVANCE(222);
      END_STATE();
    case 324:
      if (lookahead == 'u') ADVANCE(241);
      END_STATE();
    case 325:
      if (lookahead == 'u') ADVANCE(199);
      END_STATE();
    case 326:
      if (lookahead == 'u') ADVANCE(213);
      END_STATE();
    case 327:
      if (lookahead == 'u') ADVANCE(162);
      END_STATE();
    case 328:
      if (lookahead == 'u') ADVANCE(345);
      END_STATE();
    case 329:
      if (lookahead == 'u') ADVANCE(215);
      END_STATE();
    case 330:
      if (lookahead == 'u') ADVANCE(346);
      END_STATE();
    case 331:
      if (lookahead == 'u') ADVANCE(347);
      if (lookahead == 'x') ADVANCE(369);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(560);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(562);
      if (lookahead != 0) ADVANCE(558);
      END_STATE();
    case 332:
      if (lookahead == 'u') ADVANCE(200);
      END_STATE();
    case 333:
      if (lookahead == 'v') ADVANCE(171);
      END_STATE();
    case 334:
      if (lookahead == 'w') ADVANCE(471);
      END_STATE();
    case 335:
      if (lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 336:
      if (lookahead == 'x') ADVANCE(265);
      END_STATE();
    case 337:
      if (lookahead == 'x') ADVANCE(315);
      END_STATE();
    case 338:
      if (lookahead == 'y') ADVANCE(445);
      END_STATE();
    case 339:
      if (lookahead == 'y') ADVANCE(973);
      END_STATE();
    case 340:
      if (lookahead == 'y') ADVANCE(951);
      END_STATE();
    case 341:
      if (lookahead == 'y') ADVANCE(961);
      END_STATE();
    case 342:
      if (lookahead == 'y') ADVANCE(267);
      END_STATE();
    case 343:
      if (lookahead == '{') ADVANCE(566);
      END_STATE();
    case 344:
      if (lookahead == '{') ADVANCE(364);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(374);
      END_STATE();
    case 345:
      if (lookahead == '{') ADVANCE(367);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(375);
      END_STATE();
    case 346:
      if (lookahead == '{') ADVANCE(368);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(376);
      END_STATE();
    case 347:
      if (lookahead == '{') ADVANCE(370);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(366);
      END_STATE();
    case 348:
      if (lookahead == '}') ADVANCE(946);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(348);
      END_STATE();
    case 349:
      if (lookahead == '}') ADVANCE(947);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(349);
      END_STATE();
    case 350:
      if (lookahead == '}') ADVANCE(558);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(350);
      END_STATE();
    case 351:
      if (lookahead == '}') ADVANCE(1010);
      END_STATE();
    case 352:
      if (lookahead == '}') ADVANCE(559);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(352);
      END_STATE();
    case 353:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(359);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(614);
      END_STATE();
    case 354:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(610);
      END_STATE();
    case 355:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(611);
      END_STATE();
    case 356:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(602);
      END_STATE();
    case 357:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(613);
      END_STATE();
    case 358:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(609);
      END_STATE();
    case 359:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(614);
      END_STATE();
    case 360:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(946);
      END_STATE();
    case 361:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(947);
      END_STATE();
    case 362:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(558);
      END_STATE();
    case 363:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(612);
      END_STATE();
    case 364:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(352);
      END_STATE();
    case 365:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(559);
      END_STATE();
    case 366:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(369);
      END_STATE();
    case 367:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(349);
      END_STATE();
    case 368:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(348);
      END_STATE();
    case 369:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(362);
      END_STATE();
    case 370:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(350);
      END_STATE();
    case 371:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(365);
      END_STATE();
    case 372:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(361);
      END_STATE();
    case 373:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(360);
      END_STATE();
    case 374:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(371);
      END_STATE();
    case 375:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(372);
      END_STATE();
    case 376:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(373);
      END_STATE();
    case 377:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(104);
      END_STATE();
    case 378:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(569);
      END_STATE();
    case 379:
      if (eof) ADVANCE(382);
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '#', 33,
        '$', 937,
        '%', 521,
        '&', 500,
        '\'', 462,
        '(', 424,
        ')', 425,
        '*', 387,
        '+', 513,
        ',', 406,
        '-', 517,
        '.', 459,
        '/', 519,
        '0', 599,
        ':', 440,
        ';', 439,
        '<', 526,
        '=', 395,
        '>', 456,
        '?', 955,
        '@', 950,
        '[', 447,
        '\\', 330,
        ']', 448,
        '^', 503,
        '`', 565,
        'a', 696,
        'b', 845,
        'c', 651,
        'd', 723,
        'e', 787,
        'f', 771,
        'g', 793,
        'i', 802,
        'l', 724,
        'm', 839,
        'n', 652,
        'o', 701,
        'p', 873,
        'r', 726,
        's', 665,
        't', 674,
        'u', 824,
        'v', 678,
        'w', 769,
        '{', 405,
        '|', 506,
        '}', 407,
        '~', 541,
        0x2028, 616,
        0x2029, 616,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      if (set_contains(extras_character_set_2, 9, lookahead)) SKIP(379);
      if (lookahead > '@') ADVANCE(946);
      END_STATE();
    case 380:
      if (eof) ADVANCE(382);
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '$', 343,
        '%', 521,
        '&', 500,
        '\'', 462,
        '(', 424,
        ')', 425,
        '*', 387,
        '+', 512,
        ',', 406,
        '-', 516,
        '.', 458,
        '/', 519,
        ':', 440,
        ';', 439,
        '<', 525,
        '=', 395,
        '>', 456,
        '?', 955,
        '@', 950,
        '[', 447,
        '\\', 331,
        ']', 448,
        '^', 503,
        '`', 565,
        'a', 128,
        'c', 106,
        'd', 150,
        'e', 206,
        'f', 191,
        'g', 208,
        'i', 224,
        'l', 163,
        'm', 251,
        'n', 107,
        'o', 233,
        'p', 279,
        'r', 151,
        's', 113,
        't', 109,
        'v', 114,
        'w', 187,
        '{', 404,
        '|', 506,
        '}', 407,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1011);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(381);
      END_STATE();
    case 381:
      if (eof) ADVANCE(382);
      ADVANCE_MAP(
        '!', 421,
        '"', 461,
        '$', 343,
        '%', 521,
        '&', 500,
        '\'', 462,
        '(', 424,
        ')', 425,
        '*', 387,
        '+', 512,
        ',', 406,
        '-', 516,
        '.', 458,
        '/', 519,
        ':', 440,
        ';', 439,
        '<', 525,
        '=', 395,
        '>', 456,
        '?', 955,
        '@', 950,
        '[', 447,
        ']', 448,
        '^', 503,
        '`', 565,
        'a', 128,
        'c', 106,
        'd', 150,
        'e', 206,
        'f', 191,
        'g', 208,
        'i', 224,
        'l', 163,
        'm', 251,
        'n', 107,
        'o', 233,
        'p', 279,
        'r', 151,
        's', 113,
        't', 109,
        'v', 114,
        'w', 187,
        '{', 404,
        '|', 506,
        '}', 407,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1011);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(381);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(383);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(523);
      if (lookahead == '=') ADVANCE(475);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(522);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_default);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(531);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(531);
      if (lookahead == '>') ADVANCE(469);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(469);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'y') ADVANCE(831);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(244);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_as);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_namespace);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(1009);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_import);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_from);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_with);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_var);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(533);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_await);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 's') ADVANCE(914);
      if (lookahead == 't') ADVANCE(745);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 's') ADVANCE(914);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(595);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(316);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(316);
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_of);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_of);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_case);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_catch);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_finally);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(70);
      if (lookahead == '/') ADVANCE(564);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(450);
      if (lookahead == '<') ADVANCE(452);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(451);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(449);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(321);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_LTtemplate_GT);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_LT_SLASHtemplate_GT);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(535);
      if (lookahead == '>') ADVANCE(493);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(535);
      if (lookahead == '>') ADVANCE(494);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(613);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(613);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_new);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(485);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(486);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(481);
      if (lookahead == '>') ADVANCE(496);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(495);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(482);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(483);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(490);
      if (lookahead == '=') ADVANCE(479);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(489);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(478);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(480);
      if (lookahead == '|') ADVANCE(492);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(480);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '}') ADVANCE(1010);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(491);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(1010);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '}') ADVANCE(1010);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(544);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(544);
      if (lookahead == '=') ADVANCE(473);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(544);
      if (lookahead == '=') ADVANCE(473);
      if (lookahead == '?') ADVANCE(94);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(545);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(545);
      if (lookahead == '=') ADVANCE(474);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(545);
      if (lookahead == '=') ADVANCE(474);
      if (lookahead == '?') ADVANCE(95);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(70);
      if (lookahead == '/') ADVANCE(564);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(70);
      if (lookahead == '/') ADVANCE(564);
      if (lookahead == '=') ADVANCE(476);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(477);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(484);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(498);
      if (lookahead == '=') ADVANCE(530);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(498);
      if (lookahead == '=') ADVANCE(530);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(497);
      if (lookahead == '=') ADVANCE(530);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(497);
      if (lookahead == '=') ADVANCE(530);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(532);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(534);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(487);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_instanceof);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_void);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '\n') ADVANCE(551);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(546);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(549);
      if (lookahead == '/') ADVANCE(546);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(551);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(548);
      if (lookahead == '/') ADVANCE(551);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(549);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(548);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(549);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(547);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(550);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(551);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(551);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '\n') ADVANCE(557);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(552);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(555);
      if (lookahead == '/') ADVANCE(552);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(557);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(554);
      if (lookahead == '/') ADVANCE(557);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(555);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(554);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(555);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(553);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(556);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(557);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(557);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(558);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(558);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(561);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(564);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(93);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '[') ADVANCE(104);
      if (lookahead == '\\') ADVANCE(378);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(568);
      if (lookahead != 0) ADVANCE(569);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(104);
      if (lookahead == '\\') ADVANCE(378);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(569);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(594);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'a') ADVANCE(586);
      if (('b' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'c') ADVANCE(573);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(588);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(584);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(592);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'e') ADVANCE(587);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(540);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(436);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'f') ADVANCE(581);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'i') ADVANCE(591);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'i') ADVANCE(575);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'l') ADVANCE(574);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'm') ADVANCE(589);
      if (lookahead == 'n') ADVANCE(431);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'm') ADVANCE(576);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(431);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(572);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'n') ADVANCE(596);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'o') ADVANCE(577);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 'p') ADVANCE(582);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(401);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(579);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(983);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 's') ADVANCE(991);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(580);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(571);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == 't') ADVANCE(593);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_regex_flags);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 615,
        '0', 609,
        '_', 358,
        'n', 598,
        'B', 354,
        'b', 354,
        'E', 353,
        'e', 353,
        'O', 355,
        'o', 355,
        'X', 363,
        'x', 363,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(602);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 615,
        '0', 603,
        '\\', 330,
        '_', 943,
        'n', 608,
        'B', 939,
        'b', 939,
        'E', 938,
        'e', 938,
        'O', 941,
        'o', 941,
        'X', 945,
        'x', 945,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(615);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == '_') ADVANCE(942);
      if (lookahead == 'n') ADVANCE(608);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(938);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(615);
      if (lookahead == '_') ADVANCE(356);
      if (lookahead == 'n') ADVANCE(598);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(353);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(602);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == '_') ADVANCE(943);
      if (lookahead == 'n') ADVANCE(608);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == '_') ADVANCE(939);
      if (lookahead == 'n') ADVANCE(608);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(604);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == '_') ADVANCE(941);
      if (lookahead == 'n') ADVANCE(608);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(605);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == '_') ADVANCE(945);
      if (lookahead == 'n') ADVANCE(608);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(606);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == '_') ADVANCE(944);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(358);
      if (lookahead == 'n') ADVANCE(598);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(609);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(354);
      if (lookahead == 'n') ADVANCE(598);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(610);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(355);
      if (lookahead == 'n') ADVANCE(598);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(611);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(363);
      if (lookahead == 'n') ADVANCE(598);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(612);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(357);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(353);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(613);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(359);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(614);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(353);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(613);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '$', 937,
        '0', 600,
        '\\', 330,
        'a', 696,
        'b', 845,
        'c', 651,
        'd', 723,
        'e', 787,
        'f', 771,
        'g', 793,
        'i', 802,
        'l', 724,
        'm', 839,
        'n', 652,
        'o', 701,
        'p', 873,
        'r', 726,
        's', 665,
        't', 674,
        'u', 824,
        'v', 678,
        'w', 769,
        0x2028, 616,
        0x2029, 616,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 696,
        'b', 845,
        'c', 692,
        'd', 723,
        'e', 821,
        'f', 870,
        'i', 812,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'v', 678,
        'w', 769,
        0x2028, 617,
        0x2029, 617,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 696,
        'b', 845,
        'c', 692,
        'd', 723,
        'e', 788,
        'f', 870,
        'i', 812,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'v', 678,
        'w', 769,
        0x2028, 618,
        0x2029, 618,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 696,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 813,
        'l', 724,
        'm', 839,
        'n', 652,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'u', 824,
        'v', 840,
        0x2028, 619,
        0x2029, 619,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 696,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 821,
        'f', 870,
        'i', 812,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'v', 678,
        'w', 769,
        0x2028, 620,
        0x2029, 620,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 696,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 788,
        'f', 870,
        'i', 812,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'v', 678,
        'w', 769,
        0x2028, 621,
        0x2029, 621,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 819,
        'b', 845,
        'd', 744,
        'e', 929,
        'f', 871,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        0x2028, 622,
        0x2029, 622,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 816,
        'b', 845,
        'c', 791,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 813,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'v', 840,
        0x2028, 623,
        0x2029, 623,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 816,
        'b', 845,
        'c', 791,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 803,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'v', 840,
        0x2028, 624,
        0x2029, 624,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 697,
        'b', 845,
        'c', 844,
        'i', 828,
        'n', 725,
        'o', 702,
        'r', 750,
        's', 665,
        'u', 824,
        'v', 840,
        0x2028, 625,
        0x2029, 625,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 697,
        'b', 845,
        'c', 844,
        'i', 828,
        'n', 725,
        'o', 703,
        'r', 750,
        's', 665,
        'u', 824,
        'v', 840,
        0x2028, 626,
        0x2029, 626,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 697,
        'b', 845,
        'c', 844,
        'i', 808,
        'n', 725,
        'o', 703,
        'r', 750,
        's', 665,
        'u', 824,
        'v', 840,
        0x2028, 627,
        0x2029, 627,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 700,
        'b', 845,
        'c', 844,
        'i', 815,
        'n', 725,
        'o', 703,
        'r', 750,
        's', 907,
        'u', 824,
        'v', 840,
        0x2028, 628,
        0x2029, 628,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 700,
        'b', 845,
        'c', 844,
        'n', 725,
        'o', 703,
        'r', 750,
        's', 907,
        'u', 824,
        'v', 840,
        0x2028, 629,
        0x2029, 629,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 698,
        'b', 845,
        'c', 651,
        'd', 723,
        'e', 821,
        'f', 771,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        0x2028, 630,
        0x2029, 630,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 698,
        'b', 845,
        'c', 651,
        'd', 723,
        'e', 788,
        'f', 771,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        0x2028, 631,
        0x2029, 631,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 698,
        'b', 845,
        'c', 692,
        'd', 723,
        'e', 821,
        'f', 771,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        0x2028, 632,
        0x2029, 632,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 698,
        'b', 845,
        'c', 692,
        'd', 723,
        'e', 821,
        'f', 870,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        0x2028, 633,
        0x2029, 633,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 698,
        'b', 845,
        'c', 692,
        'd', 723,
        'e', 788,
        'f', 771,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        0x2028, 634,
        0x2029, 634,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 698,
        'b', 845,
        'c', 692,
        'd', 723,
        'e', 788,
        'f', 870,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        0x2028, 635,
        0x2029, 635,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 698,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 815,
        'l', 724,
        'm', 839,
        'n', 652,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'u', 824,
        'v', 840,
        0x2028, 636,
        0x2029, 636,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 698,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 821,
        'f', 771,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        0x2028, 637,
        0x2029, 637,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 698,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 821,
        'f', 870,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        0x2028, 638,
        0x2029, 638,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 698,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 821,
        'f', 870,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        0x2028, 639,
        0x2029, 639,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 698,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 788,
        'f', 771,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        0x2028, 640,
        0x2029, 640,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 698,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 788,
        'f', 870,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        0x2028, 641,
        0x2029, 641,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 698,
        'b', 845,
        'c', 690,
        'd', 744,
        'e', 821,
        'f', 771,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        0x2028, 642,
        0x2029, 642,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 698,
        'b', 845,
        'c', 690,
        'd', 744,
        'e', 788,
        'f', 771,
        'i', 814,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        'w', 769,
        0x2028, 643,
        0x2029, 643,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 817,
        'b', 845,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 828,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        0x2028, 644,
        0x2029, 644,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 817,
        'b', 845,
        'd', 744,
        'e', 929,
        'f', 871,
        'i', 828,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        0x2028, 645,
        0x2029, 645,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 818,
        'b', 845,
        'c', 790,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 815,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 678,
        0x2028, 646,
        0x2029, 646,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 818,
        'b', 845,
        'c', 791,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 815,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 840,
        'w', 772,
        0x2028, 647,
        0x2029, 647,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 818,
        'b', 845,
        'c', 791,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 815,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 840,
        0x2028, 648,
        0x2029, 648,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 818,
        'b', 845,
        'c', 791,
        'd', 744,
        'e', 928,
        'f', 870,
        'i', 815,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 840,
        0x2028, 649,
        0x2029, 649,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '0', 600,
        '\\', 330,
        'a', 699,
        'b', 845,
        'd', 744,
        'e', 929,
        'f', 871,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        0x2028, 650,
        0x2029, 650,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(890);
      if (lookahead == 'l') ADVANCE(675);
      if (lookahead == 'o') ADVANCE(838);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == 'e') ADVANCE(924);
      if (lookahead == 'u') ADVANCE(806);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == 'e') ADVANCE(926);
      if (lookahead == 'u') ADVANCE(806);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == 'u') ADVANCE(806);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '\\', 330,
        'a', 819,
        'b', 845,
        'c', 691,
        'd', 723,
        'e', 821,
        'f', 771,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 679,
        0x2028, 655,
        0x2029, 655,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '\\', 330,
        'a', 819,
        'b', 845,
        'c', 691,
        'd', 723,
        'e', 788,
        'f', 771,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 679,
        0x2028, 656,
        0x2029, 656,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '\\', 330,
        'a', 819,
        'b', 845,
        'd', 723,
        'e', 929,
        'f', 871,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        0x2028, 657,
        0x2029, 657,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '\\', 330,
        'a', 819,
        'b', 845,
        'd', 723,
        'e', 821,
        'f', 771,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 679,
        0x2028, 658,
        0x2029, 658,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '\\', 330,
        'a', 819,
        'b', 845,
        'd', 723,
        'e', 821,
        'f', 870,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 679,
        0x2028, 659,
        0x2029, 659,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '\\', 330,
        'a', 819,
        'b', 845,
        'd', 723,
        'e', 788,
        'f', 771,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 679,
        0x2028, 660,
        0x2029, 660,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '\\', 330,
        'a', 819,
        'b', 845,
        'd', 723,
        'e', 788,
        'f', 870,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        'v', 679,
        0x2028, 661,
        0x2029, 661,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '\\', 330,
        'a', 819,
        'b', 845,
        'd', 744,
        'e', 929,
        'f', 871,
        'i', 815,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        0x2028, 662,
        0x2029, 662,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '\\', 330,
        'a', 819,
        'b', 845,
        'd', 744,
        'e', 929,
        'f', 871,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        0x2028, 663,
        0x2029, 663,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '\\', 330,
        'a', 819,
        'b', 845,
        'd', 744,
        'e', 929,
        'f', 871,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 907,
        't', 935,
        0x2028, 664,
        0x2029, 664,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(909);
      if (lookahead == 't') ADVANCE(872);
      if (lookahead == 'y') ADVANCE(807);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(909);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(722);
      if (lookahead == 'q') ADVANCE(919);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(722);
      if (lookahead == 'q') ADVANCE(922);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(722);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '\\', 330,
        'a', 817,
        'b', 845,
        'd', 723,
        'e', 821,
        'f', 870,
        'i', 828,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'v', 679,
        0x2028, 670,
        0x2029, 670,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '\\', 330,
        'a', 817,
        'b', 845,
        'd', 723,
        'e', 788,
        'f', 870,
        'i', 828,
        'l', 724,
        'm', 839,
        'n', 654,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        'v', 679,
        0x2028, 671,
        0x2029, 671,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '\\', 330,
        'a', 817,
        'b', 845,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 828,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        0x2028, 672,
        0x2029, 672,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '\\', 330,
        'a', 817,
        'b', 845,
        'd', 744,
        'e', 929,
        'f', 870,
        'i', 808,
        'l', 724,
        'm', 839,
        'n', 653,
        'o', 701,
        'p', 873,
        'r', 759,
        's', 665,
        't', 935,
        0x2028, 673,
        0x2029, 673,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(865);
      if (lookahead == 'y') ADVANCE(858);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(892);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(776);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(795);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(866);
      if (lookahead == 'o') ADVANCE(773);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(866);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(918);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(785);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(878);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(834);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(887);
      if (lookahead == 'i') ADVANCE(828);
      if (lookahead == 'o') ADVANCE(760);
      if (lookahead == 's') ADVANCE(666);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(684);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(887);
      if (lookahead == 'i') ADVANCE(828);
      if (lookahead == 's') ADVANCE(666);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(685);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(887);
      if (lookahead == 'i') ADVANCE(808);
      if (lookahead == 's') ADVANCE(666);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(686);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(887);
      if (lookahead == 't') ADVANCE(935);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(687);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(825);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_identifier);
      ADVANCE_MAP(
        '\\', 330,
        'a', 820,
        'b', 845,
        'n', 737,
        'o', 703,
        's', 907,
        'u', 824,
        'v', 840,
        0x2028, 689,
        0x2029, 689,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(896);
      if (lookahead == 'l') ADVANCE(675);
      if (lookahead == 'o') ADVANCE(838);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(896);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(891);
      if (lookahead == 'l') ADVANCE(675);
      if (lookahead == 'o') ADVANCE(838);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(713);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(715);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'a') ADVANCE(716);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'b') ADVANCE(893);
      if (lookahead == 'n') ADVANCE(931);
      if (lookahead == 's') ADVANCE(398);
      if (lookahead == 'w') ADVANCE(676);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'b') ADVANCE(893);
      if (lookahead == 'n') ADVANCE(931);
      if (lookahead == 's') ADVANCE(399);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'b') ADVANCE(893);
      if (lookahead == 'n') ADVANCE(931);
      if (lookahead == 's') ADVANCE(936);
      if (lookahead == 'w') ADVANCE(676);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'b') ADVANCE(893);
      if (lookahead == 'n') ADVANCE(931);
      if (lookahead == 's') ADVANCE(936);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'b') ADVANCE(893);
      if (lookahead == 'n') ADVANCE(931);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'b') ADVANCE(784);
      if (lookahead == 'f') ADVANCE(435);
      if (lookahead == 'n') ADVANCE(976);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'b') ADVANCE(784);
      if (lookahead == 'f') ADVANCE(435);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'b') ADVANCE(784);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'b') ADVANCE(681);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'b') ADVANCE(849);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'b') ADVANCE(749);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'c') ADVANCE(466);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'c') ADVANCE(768);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'c') ADVANCE(794);
      if (lookahead == 'f') ADVANCE(680);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'c') ADVANCE(794);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'c') ADVANCE(903);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'c') ADVANCE(844);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(712);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'c') ADVANCE(906);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'c') ADVANCE(751);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'c') ADVANCE(735);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'c') ADVANCE(736);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'c') ADVANCE(915);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'd') ADVANCE(543);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'd') ADVANCE(978);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'd') ADVANCE(921);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'd') ADVANCE(884);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'd') ADVANCE(850);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(709);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(897);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(924);
      if (lookahead == 'u') ADVANCE(806);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(667);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(442);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(423);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(392);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(438);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(960);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(1004);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(958);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(985);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(995);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(403);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(925);
      if (lookahead == 'u') ADVANCE(806);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(986);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(930);
      if (lookahead == 'i') ADVANCE(809);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(739);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(930);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(740);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(711);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(889);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(719);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(710);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(867);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(833);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(868);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(885);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(869);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(669);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(846);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(904);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(837);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(822);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(754);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(811);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(864);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(688);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(877);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'e') ADVANCE(668);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'f') ADVANCE(435);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'f') ADVANCE(539);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'f') ADVANCE(778);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'f') ADVANCE(694);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'f') ADVANCE(871);
      if (lookahead == 't') ADVANCE(935);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(764);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'g') ADVANCE(968);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'g') ADVANCE(752);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'h') ADVANCE(413);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'h') ADVANCE(444);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'h') ADVANCE(779);
      if (lookahead == 'i') ADVANCE(898);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(863);
      if (lookahead == 'k') ADVANCE(836);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(832);
      if (lookahead == 'r') ADVANCE(847);
      if (lookahead == 'u') ADVANCE(829);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(898);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(718);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(815);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(774);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(888);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(899);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(830);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(748);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(800);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(851);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(879);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(880);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(882);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'j') ADVANCE(741);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'l') ADVANCE(993);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'l') ADVANCE(970);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'l') ADVANCE(894);
      if (lookahead == 'n') ADVANCE(917);
      if (lookahead == 'x') ADVANCE(856);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'l') ADVANCE(894);
      if (lookahead == 'n') ADVANCE(917);
      if (lookahead == 'x') ADVANCE(857);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'l') ADVANCE(932);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'l') ADVANCE(675);
      if (lookahead == 'o') ADVANCE(838);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'l') ADVANCE(675);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'l') ADVANCE(934);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'l') ADVANCE(841);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'l') ADVANCE(682);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'l') ADVANCE(789);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'l') ADVANCE(757);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'l') ADVANCE(755);
      if (lookahead == 'o') ADVANCE(876);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'l') ADVANCE(755);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'l') ADVANCE(905);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'l') ADVANCE(730);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'l') ADVANCE(731);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'm') ADVANCE(855);
      if (lookahead == 'n') ADVANCE(429);
      if (lookahead == 's') ADVANCE(1002);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'm') ADVANCE(855);
      if (lookahead == 'n') ADVANCE(430);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'm') ADVANCE(997);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'm') ADVANCE(411);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'm') ADVANCE(706);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'm') ADVANCE(705);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'm') ADVANCE(861);
      if (lookahead == 'n') ADVANCE(430);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'm') ADVANCE(861);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'm') ADVANCE(742);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'm') ADVANCE(753);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'm') ADVANCE(860);
      if (lookahead == 'n') ADVANCE(429);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'm') ADVANCE(860);
      if (lookahead == 'n') ADVANCE(430);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'm') ADVANCE(860);
      if (lookahead == 'n') ADVANCE(913);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'm') ADVANCE(860);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(931);
      if (lookahead == 's') ADVANCE(398);
      if (lookahead == 'w') ADVANCE(676);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(931);
      if (lookahead == 's') ADVANCE(398);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(931);
      if (lookahead == 's') ADVANCE(936);
      if (lookahead == 'w') ADVANCE(676);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(931);
      if (lookahead == 's') ADVANCE(936);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(931);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(917);
      if (lookahead == 'x') ADVANCE(857);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(917);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(976);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(770);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(966);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(1006);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(468);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(430);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(717);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(765);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(707);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(677);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(721);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(714);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(792);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(842);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(916);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(895);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'o') ADVANCE(720);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'o') ADVANCE(773);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'o') ADVANCE(704);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'o') ADVANCE(927);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'o') ADVANCE(796);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'o') ADVANCE(838);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'o') ADVANCE(843);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'o') ADVANCE(761);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'o') ADVANCE(805);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'o') ADVANCE(875);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'o') ADVANCE(786);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'o') ADVANCE(835);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'o') ADVANCE(827);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'o') ADVANCE(823);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(852);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'o') ADVANCE(859);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'o') ADVANCE(876);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'p') ADVANCE(797);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'p') ADVANCE(848);
      if (lookahead == 't') ADVANCE(746);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'p') ADVANCE(848);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'p') ADVANCE(729);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'p') ADVANCE(758);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'p') ADVANCE(854);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'p') ADVANCE(798);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'p') ADVANCE(695);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'q') ADVANCE(920);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'q') ADVANCE(923);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(766);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(415);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(763);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(1008);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(964);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(847);
      if (lookahead == 'u') ADVANCE(829);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(847);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(777);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(853);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(693);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(901);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(902);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(908);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(733);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(734);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(743);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(756);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(881);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'r') ADVANCE(738);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 's') ADVANCE(464);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 's') ADVANCE(988);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 's') ADVANCE(982);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 's') ADVANCE(990);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 's') ADVANCE(399);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 's') ADVANCE(762);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 's') ADVANCE(862);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 's') ADVANCE(727);
      if (lookahead == 't') ADVANCE(708);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 's') ADVANCE(727);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 's') ADVANCE(883);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 's') ADVANCE(910);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 's') ADVANCE(728);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 's') ADVANCE(900);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(708);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(417);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(767);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(427);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(419);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(385);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(409);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(972);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(949);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(390);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(980);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(872);
      if (lookahead == 'y') ADVANCE(807);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(933);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(775);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(874);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(935);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(911);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(746);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(745);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(683);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(780);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 't') ADVANCE(886);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(804);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(799);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(781);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(732);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(801);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(782);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'u') ADVANCE(783);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'v') ADVANCE(747);
      if (lookahead == 'w') ADVANCE(472);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'v') ADVANCE(747);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'w') ADVANCE(472);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'w') ADVANCE(826);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'x') ADVANCE(856);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'x') ADVANCE(857);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'x') ADVANCE(912);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'y') ADVANCE(962);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'y') ADVANCE(446);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'y') ADVANCE(974);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'y') ADVANCE(952);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'y') ADVANCE(858);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'y') ADVANCE(831);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == '{') ADVANCE(566);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(359);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(604);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(940);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(946);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(605);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(601);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(603);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(606);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(328);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(947);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(anon_sym_target);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(anon_sym_readonly);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(470);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(470);
      if (lookahead == '?') ADVANCE(537);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(470);
      if (lookahead == '?') ADVANCE(536);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(anon_sym_declare);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(anon_sym_module);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(anon_sym_any);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(anon_sym_number);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(anon_sym_boolean);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(anon_sym_string);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(anon_sym_symbol);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(anon_sym_symbol);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(anon_sym_object);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(anon_sym_property);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(anon_sym_property);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(anon_sym_on);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(anon_sym_on);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(anon_sym_required);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(anon_sym_required);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(anon_sym_abstract);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(anon_sym_satisfies);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(anon_sym_satisfies);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(anon_sym_satisfies);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(anon_sym_require);
      if (lookahead == '\\') ADVANCE(330);
      if (lookahead == 'd') ADVANCE(978);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(anon_sym_require);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(anon_sym_extends);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(anon_sym_implements);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(anon_sym_implements);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(597);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 993:
      ACCEPT_TOKEN(anon_sym_global);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 994:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 995:
      ACCEPT_TOKEN(anon_sym_interface);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(anon_sym_enum);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 998:
      ACCEPT_TOKEN(anon_sym_DASH_QMARK_COLON);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(anon_sym_PLUS_QMARK_COLON);
      END_STATE();
    case 1000:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 1001:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(anon_sym_is);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(anon_sym_unique);
      END_STATE();
    case 1004:
      ACCEPT_TOKEN(anon_sym_unique);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(anon_sym_unknown);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(anon_sym_unknown);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(anon_sym_never);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(anon_sym_never);
      if (lookahead == '\\') ADVANCE(330);
      if (set_contains(sym_identifier_character_set_2, 14, lookahead)) ADVANCE(946);
      END_STATE();
    case 1009:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 1010:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(aux_sym_ui_version_specifier_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(1011);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'f', 5,
        'g', 6,
        'i', 7,
        'k', 8,
        'l', 9,
        'n', 10,
        'o', 11,
        'p', 12,
        'r', 13,
        's', 14,
        't', 15,
        'u', 16,
        'y', 17,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(18);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(19);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(20);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(21);
      if (lookahead == 'o') ADVANCE(22);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 6:
      if (lookahead == 'e') ADVANCE(25);
      END_STATE();
    case 7:
      if (lookahead == 'f') ADVANCE(26);
      if (lookahead == 'n') ADVANCE(27);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(28);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(29);
      END_STATE();
    case 10:
      if (lookahead == 'u') ADVANCE(30);
      END_STATE();
    case 11:
      if (lookahead == 'v') ADVANCE(31);
      END_STATE();
    case 12:
      if (lookahead == 'r') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(35);
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 't') ADVANCE(37);
      if (lookahead == 'u') ADVANCE(38);
      if (lookahead == 'w') ADVANCE(39);
      END_STATE();
    case 15:
      if (lookahead == 'h') ADVANCE(40);
      if (lookahead == 'r') ADVANCE(41);
      if (lookahead == 'y') ADVANCE(42);
      END_STATE();
    case 16:
      if (lookahead == 'n') ADVANCE(43);
      if (lookahead == 's') ADVANCE(44);
      END_STATE();
    case 17:
      if (lookahead == 'i') ADVANCE(45);
      END_STATE();
    case 18:
      if (lookahead == 's') ADVANCE(46);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(47);
      END_STATE();
    case 20:
      if (lookahead == 'm') ADVANCE(48);
      if (lookahead == 'n') ADVANCE(49);
      END_STATE();
    case 21:
      if (lookahead == 'b') ADVANCE(50);
      if (lookahead == 'l') ADVANCE(51);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 23:
      if (lookahead == 'l') ADVANCE(52);
      END_STATE();
    case 24:
      if (lookahead == 'r') ADVANCE(53);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(54);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 27:
      if (lookahead == 'f') ADVANCE(55);
      END_STATE();
    case 28:
      if (lookahead == 'y') ADVANCE(56);
      END_STATE();
    case 29:
      if (lookahead == 's') ADVANCE(57);
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(58);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 32:
      if (lookahead == 'a') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(61);
      if (lookahead == 'o') ADVANCE(62);
      END_STATE();
    case 33:
      if (lookahead == 'b') ADVANCE(63);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(64);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(65);
      END_STATE();
    case 36:
      if (lookahead == 'g') ADVANCE(66);
      END_STATE();
    case 37:
      if (lookahead == 'a') ADVANCE(67);
      END_STATE();
    case 38:
      if (lookahead == 'p') ADVANCE(68);
      END_STATE();
    case 39:
      if (lookahead == 'i') ADVANCE(69);
      END_STATE();
    case 40:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'r') ADVANCE(71);
      END_STATE();
    case 41:
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'y') ADVANCE(73);
      END_STATE();
    case 42:
      if (lookahead == 'p') ADVANCE(74);
      END_STATE();
    case 43:
      if (lookahead == 'd') ADVANCE(75);
      END_STATE();
    case 44:
      if (lookahead == 'i') ADVANCE(76);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(77);
      END_STATE();
    case 46:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 47:
      if (lookahead == 'a') ADVANCE(79);
      END_STATE();
    case 48:
      if (lookahead == 'p') ADVANCE(80);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 50:
      if (lookahead == 'u') ADVANCE(82);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 52:
      if (lookahead == 's') ADVANCE(84);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(85);
      END_STATE();
    case 56:
      if (lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 57:
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 58:
      if (lookahead == 'l') ADVANCE(88);
      END_STATE();
    case 59:
      if (lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(90);
      END_STATE();
    case 61:
      if (lookahead == 'v') ADVANCE(91);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 63:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 64:
      if (lookahead == 'u') ADVANCE(94);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 66:
      if (lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 69:
      if (lookahead == 't') ADVANCE(98);
      END_STATE();
    case 70:
      if (lookahead == 's') ADVANCE(99);
      END_STATE();
    case 71:
      if (lookahead == 'o') ADVANCE(100);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 75:
      if (lookahead == 'e') ADVANCE(103);
      END_STATE();
    case 76:
      if (lookahead == 'n') ADVANCE(104);
      END_STATE();
    case 77:
      if (lookahead == 'l') ADVANCE(105);
      END_STATE();
    case 78:
      if (lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 79:
      if (lookahead == 'k') ADVANCE(107);
      END_STATE();
    case 80:
      if (lookahead == 'o') ADVANCE(108);
      END_STATE();
    case 81:
      if (lookahead == 'i') ADVANCE(109);
      END_STATE();
    case 82:
      if (lookahead == 'g') ADVANCE(110);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(111);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 85:
      if (lookahead == 'r') ADVANCE(113);
      END_STATE();
    case 86:
      if (lookahead == 'f') ADVANCE(114);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_list);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 89:
      if (lookahead == 'r') ADVANCE(115);
      END_STATE();
    case 90:
      if (lookahead == 'm') ADVANCE(116);
      END_STATE();
    case 91:
      if (lookahead == 'a') ADVANCE(117);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(118);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(119);
      END_STATE();
    case 94:
      if (lookahead == 'r') ADVANCE(120);
      END_STATE();
    case 95:
      if (lookahead == 'a') ADVANCE(121);
      END_STATE();
    case 96:
      if (lookahead == 'i') ADVANCE(122);
      END_STATE();
    case 97:
      if (lookahead == 'r') ADVANCE(123);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(124);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 100:
      if (lookahead == 'w') ADVANCE(125);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 102:
      if (lookahead == 'o') ADVANCE(126);
      END_STATE();
    case 103:
      if (lookahead == 'f') ADVANCE(127);
      END_STATE();
    case 104:
      if (lookahead == 'g') ADVANCE(128);
      END_STATE();
    case 105:
      if (lookahead == 'd') ADVANCE(129);
      END_STATE();
    case 106:
      if (lookahead == 't') ADVANCE(130);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 108:
      if (lookahead == 'n') ADVANCE(131);
      END_STATE();
    case 109:
      if (lookahead == 'n') ADVANCE(132);
      END_STATE();
    case 110:
      if (lookahead == 'g') ADVANCE(133);
      END_STATE();
    case 111:
      if (lookahead == 'e') ADVANCE(134);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_infer);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_keyof);
      END_STATE();
    case 115:
      if (lookahead == 'i') ADVANCE(135);
      END_STATE();
    case 116:
      if (lookahead == 'a') ADVANCE(136);
      END_STATE();
    case 117:
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 118:
      if (lookahead == 'c') ADVANCE(138);
      END_STATE();
    case 119:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 120:
      if (lookahead == 'n') ADVANCE(140);
      END_STATE();
    case 121:
      if (lookahead == 'l') ADVANCE(141);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(142);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 124:
      if (lookahead == 'h') ADVANCE(143);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 126:
      if (lookahead == 'f') ADVANCE(144);
      END_STATE();
    case 127:
      if (lookahead == 'i') ADVANCE(145);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 130:
      if (lookahead == 's') ADVANCE(146);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(147);
      END_STATE();
    case 132:
      if (lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(149);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 135:
      if (lookahead == 'd') ADVANCE(150);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_pragma);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(151);
      END_STATE();
    case 138:
      if (lookahead == 't') ADVANCE(152);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_signal);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 145:
      if (lookahead == 'n') ADVANCE(153);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_asserts);
      END_STATE();
    case 147:
      if (lookahead == 'n') ADVANCE(154);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(155);
      END_STATE();
    case 149:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(157);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 154:
      if (lookahead == 't') ADVANCE(160);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 158:
      if (lookahead == 'd') ADVANCE(161);
      END_STATE();
    case 159:
      if (lookahead == 'd') ADVANCE(162);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_component);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 65, .external_lex_state = 2},
  [2] = {.lex_state = 4, .external_lex_state = 3},
  [3] = {.lex_state = 4, .external_lex_state = 3},
  [4] = {.lex_state = 37, .external_lex_state = 2},
  [5] = {.lex_state = 37, .external_lex_state = 2},
  [6] = {.lex_state = 37, .external_lex_state = 2},
  [7] = {.lex_state = 37, .external_lex_state = 2},
  [8] = {.lex_state = 37, .external_lex_state = 2},
  [9] = {.lex_state = 37, .external_lex_state = 2},
  [10] = {.lex_state = 37, .external_lex_state = 2},
  [11] = {.lex_state = 37, .external_lex_state = 2},
  [12] = {.lex_state = 37, .external_lex_state = 2},
  [13] = {.lex_state = 37, .external_lex_state = 2},
  [14] = {.lex_state = 37, .external_lex_state = 2},
  [15] = {.lex_state = 40, .external_lex_state = 2},
  [16] = {.lex_state = 40, .external_lex_state = 2},
  [17] = {.lex_state = 40, .external_lex_state = 2},
  [18] = {.lex_state = 40, .external_lex_state = 2},
  [19] = {.lex_state = 40, .external_lex_state = 2},
  [20] = {.lex_state = 37, .external_lex_state = 2},
  [21] = {.lex_state = 37, .external_lex_state = 2},
  [22] = {.lex_state = 37, .external_lex_state = 2},
  [23] = {.lex_state = 37, .external_lex_state = 2},
  [24] = {.lex_state = 37, .external_lex_state = 2},
  [25] = {.lex_state = 37, .external_lex_state = 2},
  [26] = {.lex_state = 37, .external_lex_state = 2},
  [27] = {.lex_state = 37, .external_lex_state = 2},
  [28] = {.lex_state = 37, .external_lex_state = 2},
  [29] = {.lex_state = 37, .external_lex_state = 2},
  [30] = {.lex_state = 37, .external_lex_state = 2},
  [31] = {.lex_state = 37, .external_lex_state = 2},
  [32] = {.lex_state = 37, .external_lex_state = 2},
  [33] = {.lex_state = 37, .external_lex_state = 2},
  [34] = {.lex_state = 37, .external_lex_state = 2},
  [35] = {.lex_state = 37, .external_lex_state = 2},
  [36] = {.lex_state = 37, .external_lex_state = 2},
  [37] = {.lex_state = 37, .external_lex_state = 2},
  [38] = {.lex_state = 37, .external_lex_state = 2},
  [39] = {.lex_state = 37, .external_lex_state = 2},
  [40] = {.lex_state = 37, .external_lex_state = 2},
  [41] = {.lex_state = 37, .external_lex_state = 2},
  [42] = {.lex_state = 37, .external_lex_state = 2},
  [43] = {.lex_state = 37, .external_lex_state = 2},
  [44] = {.lex_state = 37, .external_lex_state = 2},
  [45] = {.lex_state = 37, .external_lex_state = 2},
  [46] = {.lex_state = 37, .external_lex_state = 2},
  [47] = {.lex_state = 37, .external_lex_state = 2},
  [48] = {.lex_state = 37, .external_lex_state = 2},
  [49] = {.lex_state = 37, .external_lex_state = 2},
  [50] = {.lex_state = 37, .external_lex_state = 2},
  [51] = {.lex_state = 37, .external_lex_state = 2},
  [52] = {.lex_state = 37, .external_lex_state = 2},
  [53] = {.lex_state = 37, .external_lex_state = 2},
  [54] = {.lex_state = 37, .external_lex_state = 2},
  [55] = {.lex_state = 37, .external_lex_state = 2},
  [56] = {.lex_state = 37, .external_lex_state = 2},
  [57] = {.lex_state = 37, .external_lex_state = 2},
  [58] = {.lex_state = 37, .external_lex_state = 2},
  [59] = {.lex_state = 37, .external_lex_state = 2},
  [60] = {.lex_state = 37, .external_lex_state = 2},
  [61] = {.lex_state = 37, .external_lex_state = 2},
  [62] = {.lex_state = 37, .external_lex_state = 2},
  [63] = {.lex_state = 37, .external_lex_state = 2},
  [64] = {.lex_state = 37, .external_lex_state = 2},
  [65] = {.lex_state = 37, .external_lex_state = 2},
  [66] = {.lex_state = 37, .external_lex_state = 2},
  [67] = {.lex_state = 37, .external_lex_state = 2},
  [68] = {.lex_state = 37, .external_lex_state = 2},
  [69] = {.lex_state = 37, .external_lex_state = 2},
  [70] = {.lex_state = 37, .external_lex_state = 2},
  [71] = {.lex_state = 37, .external_lex_state = 2},
  [72] = {.lex_state = 37, .external_lex_state = 2},
  [73] = {.lex_state = 37, .external_lex_state = 2},
  [74] = {.lex_state = 37, .external_lex_state = 2},
  [75] = {.lex_state = 37, .external_lex_state = 2},
  [76] = {.lex_state = 37, .external_lex_state = 2},
  [77] = {.lex_state = 37, .external_lex_state = 2},
  [78] = {.lex_state = 37, .external_lex_state = 2},
  [79] = {.lex_state = 37, .external_lex_state = 2},
  [80] = {.lex_state = 37, .external_lex_state = 2},
  [81] = {.lex_state = 37, .external_lex_state = 2},
  [82] = {.lex_state = 37, .external_lex_state = 2},
  [83] = {.lex_state = 37, .external_lex_state = 2},
  [84] = {.lex_state = 37, .external_lex_state = 2},
  [85] = {.lex_state = 37, .external_lex_state = 2},
  [86] = {.lex_state = 37, .external_lex_state = 2},
  [87] = {.lex_state = 37, .external_lex_state = 2},
  [88] = {.lex_state = 37, .external_lex_state = 2},
  [89] = {.lex_state = 37, .external_lex_state = 2},
  [90] = {.lex_state = 37, .external_lex_state = 2},
  [91] = {.lex_state = 37, .external_lex_state = 2},
  [92] = {.lex_state = 37, .external_lex_state = 2},
  [93] = {.lex_state = 37, .external_lex_state = 2},
  [94] = {.lex_state = 37, .external_lex_state = 2},
  [95] = {.lex_state = 37, .external_lex_state = 2},
  [96] = {.lex_state = 37, .external_lex_state = 2},
  [97] = {.lex_state = 37, .external_lex_state = 2},
  [98] = {.lex_state = 37, .external_lex_state = 2},
  [99] = {.lex_state = 37, .external_lex_state = 2},
  [100] = {.lex_state = 37, .external_lex_state = 2},
  [101] = {.lex_state = 37, .external_lex_state = 2},
  [102] = {.lex_state = 37, .external_lex_state = 2},
  [103] = {.lex_state = 37, .external_lex_state = 2},
  [104] = {.lex_state = 37, .external_lex_state = 2},
  [105] = {.lex_state = 37, .external_lex_state = 2},
  [106] = {.lex_state = 37, .external_lex_state = 2},
  [107] = {.lex_state = 37, .external_lex_state = 2},
  [108] = {.lex_state = 37, .external_lex_state = 2},
  [109] = {.lex_state = 37, .external_lex_state = 2},
  [110] = {.lex_state = 37, .external_lex_state = 2},
  [111] = {.lex_state = 37, .external_lex_state = 2},
  [112] = {.lex_state = 37, .external_lex_state = 2},
  [113] = {.lex_state = 37, .external_lex_state = 2},
  [114] = {.lex_state = 37, .external_lex_state = 2},
  [115] = {.lex_state = 37, .external_lex_state = 2},
  [116] = {.lex_state = 37, .external_lex_state = 2},
  [117] = {.lex_state = 37, .external_lex_state = 2},
  [118] = {.lex_state = 37, .external_lex_state = 2},
  [119] = {.lex_state = 37, .external_lex_state = 2},
  [120] = {.lex_state = 37, .external_lex_state = 2},
  [121] = {.lex_state = 37, .external_lex_state = 2},
  [122] = {.lex_state = 37, .external_lex_state = 2},
  [123] = {.lex_state = 37, .external_lex_state = 2},
  [124] = {.lex_state = 37, .external_lex_state = 2},
  [125] = {.lex_state = 37, .external_lex_state = 2},
  [126] = {.lex_state = 37, .external_lex_state = 2},
  [127] = {.lex_state = 37, .external_lex_state = 2},
  [128] = {.lex_state = 37, .external_lex_state = 2},
  [129] = {.lex_state = 37, .external_lex_state = 2},
  [130] = {.lex_state = 37, .external_lex_state = 2},
  [131] = {.lex_state = 37, .external_lex_state = 2},
  [132] = {.lex_state = 37, .external_lex_state = 2},
  [133] = {.lex_state = 37, .external_lex_state = 2},
  [134] = {.lex_state = 37, .external_lex_state = 2},
  [135] = {.lex_state = 37, .external_lex_state = 2},
  [136] = {.lex_state = 37, .external_lex_state = 2},
  [137] = {.lex_state = 37, .external_lex_state = 2},
  [138] = {.lex_state = 37, .external_lex_state = 2},
  [139] = {.lex_state = 37, .external_lex_state = 2},
  [140] = {.lex_state = 37, .external_lex_state = 2},
  [141] = {.lex_state = 37, .external_lex_state = 2},
  [142] = {.lex_state = 37, .external_lex_state = 2},
  [143] = {.lex_state = 37, .external_lex_state = 2},
  [144] = {.lex_state = 37, .external_lex_state = 2},
  [145] = {.lex_state = 37, .external_lex_state = 2},
  [146] = {.lex_state = 37, .external_lex_state = 2},
  [147] = {.lex_state = 37, .external_lex_state = 2},
  [148] = {.lex_state = 37, .external_lex_state = 2},
  [149] = {.lex_state = 37, .external_lex_state = 2},
  [150] = {.lex_state = 37, .external_lex_state = 2},
  [151] = {.lex_state = 37, .external_lex_state = 2},
  [152] = {.lex_state = 37, .external_lex_state = 2},
  [153] = {.lex_state = 37, .external_lex_state = 2},
  [154] = {.lex_state = 37, .external_lex_state = 2},
  [155] = {.lex_state = 37, .external_lex_state = 2},
  [156] = {.lex_state = 37, .external_lex_state = 2},
  [157] = {.lex_state = 37, .external_lex_state = 2},
  [158] = {.lex_state = 37, .external_lex_state = 2},
  [159] = {.lex_state = 37, .external_lex_state = 2},
  [160] = {.lex_state = 37, .external_lex_state = 2},
  [161] = {.lex_state = 37, .external_lex_state = 2},
  [162] = {.lex_state = 37, .external_lex_state = 2},
  [163] = {.lex_state = 34, .external_lex_state = 2},
  [164] = {.lex_state = 34, .external_lex_state = 2},
  [165] = {.lex_state = 34, .external_lex_state = 2},
  [166] = {.lex_state = 34, .external_lex_state = 2},
  [167] = {.lex_state = 34, .external_lex_state = 2},
  [168] = {.lex_state = 3, .external_lex_state = 4},
  [169] = {.lex_state = 34, .external_lex_state = 2},
  [170] = {.lex_state = 34, .external_lex_state = 2},
  [171] = {.lex_state = 3, .external_lex_state = 4},
  [172] = {.lex_state = 3, .external_lex_state = 4},
  [173] = {.lex_state = 34, .external_lex_state = 2},
  [174] = {.lex_state = 3, .external_lex_state = 4},
  [175] = {.lex_state = 34, .external_lex_state = 2},
  [176] = {.lex_state = 34, .external_lex_state = 2},
  [177] = {.lex_state = 3, .external_lex_state = 3},
  [178] = {.lex_state = 3, .external_lex_state = 3},
  [179] = {.lex_state = 3, .external_lex_state = 3},
  [180] = {.lex_state = 3, .external_lex_state = 3},
  [181] = {.lex_state = 3, .external_lex_state = 3},
  [182] = {.lex_state = 3, .external_lex_state = 3},
  [183] = {.lex_state = 3, .external_lex_state = 3},
  [184] = {.lex_state = 3, .external_lex_state = 3},
  [185] = {.lex_state = 3, .external_lex_state = 3},
  [186] = {.lex_state = 3, .external_lex_state = 3},
  [187] = {.lex_state = 3, .external_lex_state = 3},
  [188] = {.lex_state = 3, .external_lex_state = 3},
  [189] = {.lex_state = 3, .external_lex_state = 3},
  [190] = {.lex_state = 3, .external_lex_state = 3},
  [191] = {.lex_state = 3, .external_lex_state = 3},
  [192] = {.lex_state = 34, .external_lex_state = 2},
  [193] = {.lex_state = 34, .external_lex_state = 2},
  [194] = {.lex_state = 34, .external_lex_state = 2},
  [195] = {.lex_state = 3, .external_lex_state = 4},
  [196] = {.lex_state = 3, .external_lex_state = 4},
  [197] = {.lex_state = 3, .external_lex_state = 4},
  [198] = {.lex_state = 3, .external_lex_state = 4},
  [199] = {.lex_state = 3, .external_lex_state = 4},
  [200] = {.lex_state = 34, .external_lex_state = 2},
  [201] = {.lex_state = 3, .external_lex_state = 4},
  [202] = {.lex_state = 3, .external_lex_state = 3},
  [203] = {.lex_state = 3, .external_lex_state = 4},
  [204] = {.lex_state = 3, .external_lex_state = 4},
  [205] = {.lex_state = 34, .external_lex_state = 2},
  [206] = {.lex_state = 3, .external_lex_state = 4},
  [207] = {.lex_state = 3, .external_lex_state = 4},
  [208] = {.lex_state = 34, .external_lex_state = 2},
  [209] = {.lex_state = 3, .external_lex_state = 4},
  [210] = {.lex_state = 34, .external_lex_state = 2},
  [211] = {.lex_state = 34, .external_lex_state = 2},
  [212] = {.lex_state = 3, .external_lex_state = 3},
  [213] = {.lex_state = 3, .external_lex_state = 4},
  [214] = {.lex_state = 3, .external_lex_state = 4},
  [215] = {.lex_state = 3, .external_lex_state = 3},
  [216] = {.lex_state = 3, .external_lex_state = 4},
  [217] = {.lex_state = 3, .external_lex_state = 4},
  [218] = {.lex_state = 3, .external_lex_state = 3},
  [219] = {.lex_state = 3, .external_lex_state = 4},
  [220] = {.lex_state = 3, .external_lex_state = 4},
  [221] = {.lex_state = 3, .external_lex_state = 3},
  [222] = {.lex_state = 3, .external_lex_state = 4},
  [223] = {.lex_state = 3, .external_lex_state = 3},
  [224] = {.lex_state = 7, .external_lex_state = 3},
  [225] = {.lex_state = 7, .external_lex_state = 3},
  [226] = {.lex_state = 3, .external_lex_state = 3},
  [227] = {.lex_state = 3, .external_lex_state = 3},
  [228] = {.lex_state = 7, .external_lex_state = 3},
  [229] = {.lex_state = 3, .external_lex_state = 3},
  [230] = {.lex_state = 3, .external_lex_state = 3},
  [231] = {.lex_state = 3, .external_lex_state = 3},
  [232] = {.lex_state = 3, .external_lex_state = 3},
  [233] = {.lex_state = 3, .external_lex_state = 3},
  [234] = {.lex_state = 3, .external_lex_state = 3},
  [235] = {.lex_state = 3, .external_lex_state = 3},
  [236] = {.lex_state = 3, .external_lex_state = 3},
  [237] = {.lex_state = 3, .external_lex_state = 3},
  [238] = {.lex_state = 3, .external_lex_state = 3},
  [239] = {.lex_state = 3, .external_lex_state = 3},
  [240] = {.lex_state = 3, .external_lex_state = 3},
  [241] = {.lex_state = 3, .external_lex_state = 3},
  [242] = {.lex_state = 3, .external_lex_state = 3},
  [243] = {.lex_state = 3, .external_lex_state = 3},
  [244] = {.lex_state = 3, .external_lex_state = 3},
  [245] = {.lex_state = 3, .external_lex_state = 3},
  [246] = {.lex_state = 34, .external_lex_state = 2},
  [247] = {.lex_state = 3, .external_lex_state = 3},
  [248] = {.lex_state = 3, .external_lex_state = 3},
  [249] = {.lex_state = 3, .external_lex_state = 3},
  [250] = {.lex_state = 3, .external_lex_state = 3},
  [251] = {.lex_state = 3, .external_lex_state = 3},
  [252] = {.lex_state = 3, .external_lex_state = 3},
  [253] = {.lex_state = 34, .external_lex_state = 2},
  [254] = {.lex_state = 34, .external_lex_state = 2},
  [255] = {.lex_state = 34, .external_lex_state = 2},
  [256] = {.lex_state = 34, .external_lex_state = 2},
  [257] = {.lex_state = 34, .external_lex_state = 2},
  [258] = {.lex_state = 34, .external_lex_state = 2},
  [259] = {.lex_state = 34, .external_lex_state = 2},
  [260] = {.lex_state = 34, .external_lex_state = 2},
  [261] = {.lex_state = 34, .external_lex_state = 2},
  [262] = {.lex_state = 34, .external_lex_state = 2},
  [263] = {.lex_state = 34, .external_lex_state = 2},
  [264] = {.lex_state = 34, .external_lex_state = 2},
  [265] = {.lex_state = 8, .external_lex_state = 3},
  [266] = {.lex_state = 8, .external_lex_state = 4},
  [267] = {.lex_state = 8, .external_lex_state = 4},
  [268] = {.lex_state = 8, .external_lex_state = 4},
  [269] = {.lex_state = 13, .external_lex_state = 3},
  [270] = {.lex_state = 8, .external_lex_state = 3},
  [271] = {.lex_state = 8, .external_lex_state = 3},
  [272] = {.lex_state = 8, .external_lex_state = 3},
  [273] = {.lex_state = 8, .external_lex_state = 3},
  [274] = {.lex_state = 53, .external_lex_state = 2},
  [275] = {.lex_state = 53, .external_lex_state = 2},
  [276] = {.lex_state = 53, .external_lex_state = 2},
  [277] = {.lex_state = 53, .external_lex_state = 2},
  [278] = {.lex_state = 53, .external_lex_state = 2},
  [279] = {.lex_state = 53, .external_lex_state = 2},
  [280] = {.lex_state = 53, .external_lex_state = 2},
  [281] = {.lex_state = 53, .external_lex_state = 2},
  [282] = {.lex_state = 53, .external_lex_state = 2},
  [283] = {.lex_state = 53, .external_lex_state = 2},
  [284] = {.lex_state = 53, .external_lex_state = 2},
  [285] = {.lex_state = 53, .external_lex_state = 2},
  [286] = {.lex_state = 53, .external_lex_state = 2},
  [287] = {.lex_state = 53, .external_lex_state = 2},
  [288] = {.lex_state = 53, .external_lex_state = 2},
  [289] = {.lex_state = 53, .external_lex_state = 2},
  [290] = {.lex_state = 52, .external_lex_state = 2},
  [291] = {.lex_state = 52, .external_lex_state = 2},
  [292] = {.lex_state = 52, .external_lex_state = 2},
  [293] = {.lex_state = 52, .external_lex_state = 2},
  [294] = {.lex_state = 52, .external_lex_state = 2},
  [295] = {.lex_state = 52, .external_lex_state = 2},
  [296] = {.lex_state = 52, .external_lex_state = 2},
  [297] = {.lex_state = 52, .external_lex_state = 2},
  [298] = {.lex_state = 52, .external_lex_state = 2},
  [299] = {.lex_state = 52, .external_lex_state = 2},
  [300] = {.lex_state = 36, .external_lex_state = 2},
  [301] = {.lex_state = 36, .external_lex_state = 2},
  [302] = {.lex_state = 36, .external_lex_state = 2},
  [303] = {.lex_state = 36, .external_lex_state = 2},
  [304] = {.lex_state = 36, .external_lex_state = 2},
  [305] = {.lex_state = 36, .external_lex_state = 2},
  [306] = {.lex_state = 36, .external_lex_state = 2},
  [307] = {.lex_state = 36, .external_lex_state = 2},
  [308] = {.lex_state = 36, .external_lex_state = 2},
  [309] = {.lex_state = 36, .external_lex_state = 2},
  [310] = {.lex_state = 36, .external_lex_state = 2},
  [311] = {.lex_state = 36, .external_lex_state = 2},
  [312] = {.lex_state = 36, .external_lex_state = 2},
  [313] = {.lex_state = 36, .external_lex_state = 2},
  [314] = {.lex_state = 36, .external_lex_state = 2},
  [315] = {.lex_state = 36, .external_lex_state = 2},
  [316] = {.lex_state = 36, .external_lex_state = 2},
  [317] = {.lex_state = 35, .external_lex_state = 2},
  [318] = {.lex_state = 36, .external_lex_state = 2},
  [319] = {.lex_state = 36, .external_lex_state = 2},
  [320] = {.lex_state = 36, .external_lex_state = 2},
  [321] = {.lex_state = 36, .external_lex_state = 2},
  [322] = {.lex_state = 36, .external_lex_state = 2},
  [323] = {.lex_state = 51, .external_lex_state = 2},
  [324] = {.lex_state = 36, .external_lex_state = 2},
  [325] = {.lex_state = 51, .external_lex_state = 2},
  [326] = {.lex_state = 51, .external_lex_state = 2},
  [327] = {.lex_state = 51, .external_lex_state = 2},
  [328] = {.lex_state = 51, .external_lex_state = 2},
  [329] = {.lex_state = 35, .external_lex_state = 5},
  [330] = {.lex_state = 51, .external_lex_state = 2},
  [331] = {.lex_state = 14, .external_lex_state = 3},
  [332] = {.lex_state = 51, .external_lex_state = 2},
  [333] = {.lex_state = 36, .external_lex_state = 2},
  [334] = {.lex_state = 10, .external_lex_state = 4},
  [335] = {.lex_state = 10, .external_lex_state = 4},
  [336] = {.lex_state = 16, .external_lex_state = 4},
  [337] = {.lex_state = 36, .external_lex_state = 2},
  [338] = {.lex_state = 10, .external_lex_state = 4},
  [339] = {.lex_state = 10, .external_lex_state = 4},
  [340] = {.lex_state = 14, .external_lex_state = 4},
  [341] = {.lex_state = 36, .external_lex_state = 2},
  [342] = {.lex_state = 36, .external_lex_state = 2},
  [343] = {.lex_state = 36, .external_lex_state = 2},
  [344] = {.lex_state = 35, .external_lex_state = 2},
  [345] = {.lex_state = 36, .external_lex_state = 2},
  [346] = {.lex_state = 10, .external_lex_state = 4},
  [347] = {.lex_state = 10, .external_lex_state = 4},
  [348] = {.lex_state = 10, .external_lex_state = 4},
  [349] = {.lex_state = 10, .external_lex_state = 4},
  [350] = {.lex_state = 10, .external_lex_state = 4},
  [351] = {.lex_state = 10, .external_lex_state = 4},
  [352] = {.lex_state = 10, .external_lex_state = 4},
  [353] = {.lex_state = 10, .external_lex_state = 4},
  [354] = {.lex_state = 10, .external_lex_state = 4},
  [355] = {.lex_state = 10, .external_lex_state = 4},
  [356] = {.lex_state = 9, .external_lex_state = 4},
  [357] = {.lex_state = 10, .external_lex_state = 4},
  [358] = {.lex_state = 14, .external_lex_state = 3},
  [359] = {.lex_state = 10, .external_lex_state = 4},
  [360] = {.lex_state = 10, .external_lex_state = 4},
  [361] = {.lex_state = 10, .external_lex_state = 4},
  [362] = {.lex_state = 36, .external_lex_state = 2},
  [363] = {.lex_state = 10, .external_lex_state = 4},
  [364] = {.lex_state = 9, .external_lex_state = 4},
  [365] = {.lex_state = 10, .external_lex_state = 4},
  [366] = {.lex_state = 10, .external_lex_state = 4},
  [367] = {.lex_state = 10, .external_lex_state = 4},
  [368] = {.lex_state = 10, .external_lex_state = 4},
  [369] = {.lex_state = 10, .external_lex_state = 4},
  [370] = {.lex_state = 10, .external_lex_state = 4},
  [371] = {.lex_state = 10, .external_lex_state = 4},
  [372] = {.lex_state = 10, .external_lex_state = 4},
  [373] = {.lex_state = 9, .external_lex_state = 4},
  [374] = {.lex_state = 14, .external_lex_state = 3},
  [375] = {.lex_state = 9, .external_lex_state = 4},
  [376] = {.lex_state = 10, .external_lex_state = 4},
  [377] = {.lex_state = 10, .external_lex_state = 4},
  [378] = {.lex_state = 35, .external_lex_state = 2},
  [379] = {.lex_state = 36, .external_lex_state = 2},
  [380] = {.lex_state = 17, .external_lex_state = 3},
  [381] = {.lex_state = 9, .external_lex_state = 4},
  [382] = {.lex_state = 9, .external_lex_state = 4},
  [383] = {.lex_state = 9, .external_lex_state = 4},
  [384] = {.lex_state = 14, .external_lex_state = 3},
  [385] = {.lex_state = 9, .external_lex_state = 4},
  [386] = {.lex_state = 14, .external_lex_state = 4},
  [387] = {.lex_state = 35, .external_lex_state = 2},
  [388] = {.lex_state = 9, .external_lex_state = 4},
  [389] = {.lex_state = 9, .external_lex_state = 4},
  [390] = {.lex_state = 9, .external_lex_state = 4},
  [391] = {.lex_state = 9, .external_lex_state = 4},
  [392] = {.lex_state = 9, .external_lex_state = 4},
  [393] = {.lex_state = 9, .external_lex_state = 4},
  [394] = {.lex_state = 35, .external_lex_state = 2},
  [395] = {.lex_state = 35, .external_lex_state = 2},
  [396] = {.lex_state = 9, .external_lex_state = 4},
  [397] = {.lex_state = 36, .external_lex_state = 2},
  [398] = {.lex_state = 9, .external_lex_state = 4},
  [399] = {.lex_state = 36, .external_lex_state = 2},
  [400] = {.lex_state = 35, .external_lex_state = 2},
  [401] = {.lex_state = 12, .external_lex_state = 4},
  [402] = {.lex_state = 9, .external_lex_state = 4},
  [403] = {.lex_state = 9, .external_lex_state = 4},
  [404] = {.lex_state = 35, .external_lex_state = 2},
  [405] = {.lex_state = 9, .external_lex_state = 4},
  [406] = {.lex_state = 14, .external_lex_state = 3},
  [407] = {.lex_state = 9, .external_lex_state = 4},
  [408] = {.lex_state = 35, .external_lex_state = 2},
  [409] = {.lex_state = 9, .external_lex_state = 4},
  [410] = {.lex_state = 9, .external_lex_state = 4},
  [411] = {.lex_state = 9, .external_lex_state = 4},
  [412] = {.lex_state = 12, .external_lex_state = 4},
  [413] = {.lex_state = 9, .external_lex_state = 4},
  [414] = {.lex_state = 12, .external_lex_state = 4},
  [415] = {.lex_state = 9, .external_lex_state = 4},
  [416] = {.lex_state = 12, .external_lex_state = 4},
  [417] = {.lex_state = 36, .external_lex_state = 2},
  [418] = {.lex_state = 9, .external_lex_state = 4},
  [419] = {.lex_state = 36, .external_lex_state = 2},
  [420] = {.lex_state = 9, .external_lex_state = 4},
  [421] = {.lex_state = 36, .external_lex_state = 2},
  [422] = {.lex_state = 36, .external_lex_state = 2},
  [423] = {.lex_state = 36, .external_lex_state = 2},
  [424] = {.lex_state = 9, .external_lex_state = 4},
  [425] = {.lex_state = 9, .external_lex_state = 4},
  [426] = {.lex_state = 36, .external_lex_state = 2},
  [427] = {.lex_state = 12, .external_lex_state = 4},
  [428] = {.lex_state = 11, .external_lex_state = 4},
  [429] = {.lex_state = 12, .external_lex_state = 4},
  [430] = {.lex_state = 12, .external_lex_state = 4},
  [431] = {.lex_state = 36, .external_lex_state = 2},
  [432] = {.lex_state = 36, .external_lex_state = 2},
  [433] = {.lex_state = 12, .external_lex_state = 4},
  [434] = {.lex_state = 36, .external_lex_state = 2},
  [435] = {.lex_state = 36, .external_lex_state = 2},
  [436] = {.lex_state = 12, .external_lex_state = 4},
  [437] = {.lex_state = 3, .external_lex_state = 3},
  [438] = {.lex_state = 3, .external_lex_state = 3},
  [439] = {.lex_state = 12, .external_lex_state = 4},
  [440] = {.lex_state = 36, .external_lex_state = 2},
  [441] = {.lex_state = 36, .external_lex_state = 2},
  [442] = {.lex_state = 14, .external_lex_state = 3},
  [443] = {.lex_state = 12, .external_lex_state = 4},
  [444] = {.lex_state = 12, .external_lex_state = 4},
  [445] = {.lex_state = 12, .external_lex_state = 4},
  [446] = {.lex_state = 12, .external_lex_state = 4},
  [447] = {.lex_state = 12, .external_lex_state = 4},
  [448] = {.lex_state = 12, .external_lex_state = 4},
  [449] = {.lex_state = 12, .external_lex_state = 4},
  [450] = {.lex_state = 12, .external_lex_state = 4},
  [451] = {.lex_state = 12, .external_lex_state = 4},
  [452] = {.lex_state = 36, .external_lex_state = 2},
  [453] = {.lex_state = 36, .external_lex_state = 2},
  [454] = {.lex_state = 12, .external_lex_state = 4},
  [455] = {.lex_state = 12, .external_lex_state = 4},
  [456] = {.lex_state = 12, .external_lex_state = 4},
  [457] = {.lex_state = 3, .external_lex_state = 3},
  [458] = {.lex_state = 12, .external_lex_state = 4},
  [459] = {.lex_state = 12, .external_lex_state = 4},
  [460] = {.lex_state = 16, .external_lex_state = 3},
  [461] = {.lex_state = 36, .external_lex_state = 2},
  [462] = {.lex_state = 12, .external_lex_state = 4},
  [463] = {.lex_state = 11, .external_lex_state = 4},
  [464] = {.lex_state = 3, .external_lex_state = 3},
  [465] = {.lex_state = 12, .external_lex_state = 4},
  [466] = {.lex_state = 12, .external_lex_state = 4},
  [467] = {.lex_state = 36, .external_lex_state = 2},
  [468] = {.lex_state = 36, .external_lex_state = 2},
  [469] = {.lex_state = 36, .external_lex_state = 2},
  [470] = {.lex_state = 12, .external_lex_state = 4},
  [471] = {.lex_state = 36, .external_lex_state = 2},
  [472] = {.lex_state = 36, .external_lex_state = 2},
  [473] = {.lex_state = 36, .external_lex_state = 2},
  [474] = {.lex_state = 36, .external_lex_state = 2},
  [475] = {.lex_state = 36, .external_lex_state = 2},
  [476] = {.lex_state = 36, .external_lex_state = 2},
  [477] = {.lex_state = 36, .external_lex_state = 2},
  [478] = {.lex_state = 12, .external_lex_state = 4},
  [479] = {.lex_state = 36, .external_lex_state = 2},
  [480] = {.lex_state = 36, .external_lex_state = 2},
  [481] = {.lex_state = 36, .external_lex_state = 2},
  [482] = {.lex_state = 11, .external_lex_state = 4},
  [483] = {.lex_state = 36, .external_lex_state = 2},
  [484] = {.lex_state = 36, .external_lex_state = 2},
  [485] = {.lex_state = 36, .external_lex_state = 2},
  [486] = {.lex_state = 14, .external_lex_state = 3},
  [487] = {.lex_state = 11, .external_lex_state = 4},
  [488] = {.lex_state = 14, .external_lex_state = 3},
  [489] = {.lex_state = 36, .external_lex_state = 2},
  [490] = {.lex_state = 11, .external_lex_state = 4},
  [491] = {.lex_state = 11, .external_lex_state = 4},
  [492] = {.lex_state = 11, .external_lex_state = 4},
  [493] = {.lex_state = 36, .external_lex_state = 5},
  [494] = {.lex_state = 11, .external_lex_state = 4},
  [495] = {.lex_state = 36, .external_lex_state = 2},
  [496] = {.lex_state = 11, .external_lex_state = 4},
  [497] = {.lex_state = 36, .external_lex_state = 5},
  [498] = {.lex_state = 36, .external_lex_state = 2},
  [499] = {.lex_state = 11, .external_lex_state = 4},
  [500] = {.lex_state = 36, .external_lex_state = 5},
  [501] = {.lex_state = 14, .external_lex_state = 3},
  [502] = {.lex_state = 36, .external_lex_state = 5},
  [503] = {.lex_state = 36, .external_lex_state = 5},
  [504] = {.lex_state = 11, .external_lex_state = 4},
  [505] = {.lex_state = 11, .external_lex_state = 4},
  [506] = {.lex_state = 11, .external_lex_state = 4},
  [507] = {.lex_state = 11, .external_lex_state = 4},
  [508] = {.lex_state = 11, .external_lex_state = 4},
  [509] = {.lex_state = 11, .external_lex_state = 4},
  [510] = {.lex_state = 36, .external_lex_state = 2},
  [511] = {.lex_state = 36, .external_lex_state = 5},
  [512] = {.lex_state = 11, .external_lex_state = 4},
  [513] = {.lex_state = 11, .external_lex_state = 4},
  [514] = {.lex_state = 11, .external_lex_state = 4},
  [515] = {.lex_state = 11, .external_lex_state = 4},
  [516] = {.lex_state = 11, .external_lex_state = 4},
  [517] = {.lex_state = 11, .external_lex_state = 4},
  [518] = {.lex_state = 11, .external_lex_state = 4},
  [519] = {.lex_state = 11, .external_lex_state = 4},
  [520] = {.lex_state = 36, .external_lex_state = 5},
  [521] = {.lex_state = 11, .external_lex_state = 4},
  [522] = {.lex_state = 11, .external_lex_state = 4},
  [523] = {.lex_state = 11, .external_lex_state = 4},
  [524] = {.lex_state = 11, .external_lex_state = 4},
  [525] = {.lex_state = 11, .external_lex_state = 4},
  [526] = {.lex_state = 36, .external_lex_state = 2},
  [527] = {.lex_state = 36, .external_lex_state = 2},
  [528] = {.lex_state = 51, .external_lex_state = 2},
  [529] = {.lex_state = 36, .external_lex_state = 2},
  [530] = {.lex_state = 36, .external_lex_state = 2},
  [531] = {.lex_state = 36, .external_lex_state = 2},
  [532] = {.lex_state = 36, .external_lex_state = 2},
  [533] = {.lex_state = 36, .external_lex_state = 2},
  [534] = {.lex_state = 36, .external_lex_state = 2},
  [535] = {.lex_state = 36, .external_lex_state = 2},
  [536] = {.lex_state = 36, .external_lex_state = 2},
  [537] = {.lex_state = 36, .external_lex_state = 2},
  [538] = {.lex_state = 36, .external_lex_state = 2},
  [539] = {.lex_state = 36, .external_lex_state = 2},
  [540] = {.lex_state = 36, .external_lex_state = 2},
  [541] = {.lex_state = 36, .external_lex_state = 2},
  [542] = {.lex_state = 36, .external_lex_state = 2},
  [543] = {.lex_state = 36, .external_lex_state = 2},
  [544] = {.lex_state = 36, .external_lex_state = 2},
  [545] = {.lex_state = 36, .external_lex_state = 2},
  [546] = {.lex_state = 36, .external_lex_state = 2},
  [547] = {.lex_state = 36, .external_lex_state = 2},
  [548] = {.lex_state = 36, .external_lex_state = 2},
  [549] = {.lex_state = 36, .external_lex_state = 2},
  [550] = {.lex_state = 36, .external_lex_state = 2},
  [551] = {.lex_state = 36, .external_lex_state = 2},
  [552] = {.lex_state = 36, .external_lex_state = 2},
  [553] = {.lex_state = 36, .external_lex_state = 2},
  [554] = {.lex_state = 36, .external_lex_state = 2},
  [555] = {.lex_state = 36, .external_lex_state = 2},
  [556] = {.lex_state = 36, .external_lex_state = 2},
  [557] = {.lex_state = 36, .external_lex_state = 2},
  [558] = {.lex_state = 36, .external_lex_state = 2},
  [559] = {.lex_state = 36, .external_lex_state = 2},
  [560] = {.lex_state = 36, .external_lex_state = 2},
  [561] = {.lex_state = 36, .external_lex_state = 2},
  [562] = {.lex_state = 36, .external_lex_state = 2},
  [563] = {.lex_state = 36, .external_lex_state = 2},
  [564] = {.lex_state = 36, .external_lex_state = 2},
  [565] = {.lex_state = 36, .external_lex_state = 2},
  [566] = {.lex_state = 36, .external_lex_state = 2},
  [567] = {.lex_state = 36, .external_lex_state = 2},
  [568] = {.lex_state = 36, .external_lex_state = 2},
  [569] = {.lex_state = 36, .external_lex_state = 2},
  [570] = {.lex_state = 36, .external_lex_state = 2},
  [571] = {.lex_state = 36, .external_lex_state = 2},
  [572] = {.lex_state = 36, .external_lex_state = 2},
  [573] = {.lex_state = 36, .external_lex_state = 2},
  [574] = {.lex_state = 36, .external_lex_state = 2},
  [575] = {.lex_state = 36, .external_lex_state = 2},
  [576] = {.lex_state = 36, .external_lex_state = 2},
  [577] = {.lex_state = 36, .external_lex_state = 2},
  [578] = {.lex_state = 36, .external_lex_state = 2},
  [579] = {.lex_state = 36, .external_lex_state = 2},
  [580] = {.lex_state = 36, .external_lex_state = 2},
  [581] = {.lex_state = 36, .external_lex_state = 2},
  [582] = {.lex_state = 36, .external_lex_state = 2},
  [583] = {.lex_state = 36, .external_lex_state = 2},
  [584] = {.lex_state = 36, .external_lex_state = 2},
  [585] = {.lex_state = 36, .external_lex_state = 2},
  [586] = {.lex_state = 36, .external_lex_state = 2},
  [587] = {.lex_state = 36, .external_lex_state = 2},
  [588] = {.lex_state = 36, .external_lex_state = 2},
  [589] = {.lex_state = 36, .external_lex_state = 2},
  [590] = {.lex_state = 36, .external_lex_state = 2},
  [591] = {.lex_state = 36, .external_lex_state = 2},
  [592] = {.lex_state = 36, .external_lex_state = 2},
  [593] = {.lex_state = 36, .external_lex_state = 2},
  [594] = {.lex_state = 36, .external_lex_state = 2},
  [595] = {.lex_state = 36, .external_lex_state = 2},
  [596] = {.lex_state = 36, .external_lex_state = 2},
  [597] = {.lex_state = 36, .external_lex_state = 2},
  [598] = {.lex_state = 36, .external_lex_state = 2},
  [599] = {.lex_state = 36, .external_lex_state = 2},
  [600] = {.lex_state = 36, .external_lex_state = 2},
  [601] = {.lex_state = 36, .external_lex_state = 2},
  [602] = {.lex_state = 36, .external_lex_state = 2},
  [603] = {.lex_state = 36, .external_lex_state = 2},
  [604] = {.lex_state = 36, .external_lex_state = 2},
  [605] = {.lex_state = 36, .external_lex_state = 2},
  [606] = {.lex_state = 36, .external_lex_state = 2},
  [607] = {.lex_state = 36, .external_lex_state = 2},
  [608] = {.lex_state = 36, .external_lex_state = 2},
  [609] = {.lex_state = 36, .external_lex_state = 2},
  [610] = {.lex_state = 36, .external_lex_state = 2},
  [611] = {.lex_state = 36, .external_lex_state = 2},
  [612] = {.lex_state = 36, .external_lex_state = 2},
  [613] = {.lex_state = 36, .external_lex_state = 2},
  [614] = {.lex_state = 36, .external_lex_state = 2},
  [615] = {.lex_state = 36, .external_lex_state = 2},
  [616] = {.lex_state = 36, .external_lex_state = 2},
  [617] = {.lex_state = 36, .external_lex_state = 2},
  [618] = {.lex_state = 36, .external_lex_state = 2},
  [619] = {.lex_state = 36, .external_lex_state = 2},
  [620] = {.lex_state = 36, .external_lex_state = 2},
  [621] = {.lex_state = 36, .external_lex_state = 2},
  [622] = {.lex_state = 36, .external_lex_state = 2},
  [623] = {.lex_state = 36, .external_lex_state = 2},
  [624] = {.lex_state = 36, .external_lex_state = 2},
  [625] = {.lex_state = 36, .external_lex_state = 2},
  [626] = {.lex_state = 36, .external_lex_state = 2},
  [627] = {.lex_state = 36, .external_lex_state = 2},
  [628] = {.lex_state = 36, .external_lex_state = 2},
  [629] = {.lex_state = 36, .external_lex_state = 2},
  [630] = {.lex_state = 36, .external_lex_state = 2},
  [631] = {.lex_state = 36, .external_lex_state = 2},
  [632] = {.lex_state = 36, .external_lex_state = 2},
  [633] = {.lex_state = 36, .external_lex_state = 2},
  [634] = {.lex_state = 36, .external_lex_state = 2},
  [635] = {.lex_state = 36, .external_lex_state = 2},
  [636] = {.lex_state = 36, .external_lex_state = 2},
  [637] = {.lex_state = 36, .external_lex_state = 2},
  [638] = {.lex_state = 36, .external_lex_state = 2},
  [639] = {.lex_state = 36, .external_lex_state = 2},
  [640] = {.lex_state = 36, .external_lex_state = 2},
  [641] = {.lex_state = 36, .external_lex_state = 2},
  [642] = {.lex_state = 36, .external_lex_state = 2},
  [643] = {.lex_state = 36, .external_lex_state = 2},
  [644] = {.lex_state = 36, .external_lex_state = 2},
  [645] = {.lex_state = 36, .external_lex_state = 2},
  [646] = {.lex_state = 36, .external_lex_state = 2},
  [647] = {.lex_state = 36, .external_lex_state = 2},
  [648] = {.lex_state = 36, .external_lex_state = 2},
  [649] = {.lex_state = 36, .external_lex_state = 2},
  [650] = {.lex_state = 36, .external_lex_state = 2},
  [651] = {.lex_state = 36, .external_lex_state = 2},
  [652] = {.lex_state = 36, .external_lex_state = 2},
  [653] = {.lex_state = 36, .external_lex_state = 2},
  [654] = {.lex_state = 36, .external_lex_state = 2},
  [655] = {.lex_state = 36, .external_lex_state = 2},
  [656] = {.lex_state = 36, .external_lex_state = 2},
  [657] = {.lex_state = 36, .external_lex_state = 2},
  [658] = {.lex_state = 36, .external_lex_state = 2},
  [659] = {.lex_state = 36, .external_lex_state = 2},
  [660] = {.lex_state = 36, .external_lex_state = 2},
  [661] = {.lex_state = 36, .external_lex_state = 2},
  [662] = {.lex_state = 36, .external_lex_state = 2},
  [663] = {.lex_state = 36, .external_lex_state = 2},
  [664] = {.lex_state = 36, .external_lex_state = 2},
  [665] = {.lex_state = 36, .external_lex_state = 2},
  [666] = {.lex_state = 36, .external_lex_state = 2},
  [667] = {.lex_state = 36, .external_lex_state = 2},
  [668] = {.lex_state = 36, .external_lex_state = 2},
  [669] = {.lex_state = 36, .external_lex_state = 2},
  [670] = {.lex_state = 36, .external_lex_state = 2},
  [671] = {.lex_state = 36, .external_lex_state = 2},
  [672] = {.lex_state = 36, .external_lex_state = 2},
  [673] = {.lex_state = 36, .external_lex_state = 2},
  [674] = {.lex_state = 36, .external_lex_state = 2},
  [675] = {.lex_state = 36, .external_lex_state = 2},
  [676] = {.lex_state = 36, .external_lex_state = 2},
  [677] = {.lex_state = 36, .external_lex_state = 2},
  [678] = {.lex_state = 36, .external_lex_state = 2},
  [679] = {.lex_state = 36, .external_lex_state = 2},
  [680] = {.lex_state = 36, .external_lex_state = 2},
  [681] = {.lex_state = 36, .external_lex_state = 2},
  [682] = {.lex_state = 36, .external_lex_state = 2},
  [683] = {.lex_state = 36, .external_lex_state = 2},
  [684] = {.lex_state = 36, .external_lex_state = 2},
  [685] = {.lex_state = 36, .external_lex_state = 2},
  [686] = {.lex_state = 36, .external_lex_state = 2},
  [687] = {.lex_state = 36, .external_lex_state = 2},
  [688] = {.lex_state = 36, .external_lex_state = 2},
  [689] = {.lex_state = 36, .external_lex_state = 2},
  [690] = {.lex_state = 36, .external_lex_state = 2},
  [691] = {.lex_state = 36, .external_lex_state = 2},
  [692] = {.lex_state = 36, .external_lex_state = 2},
  [693] = {.lex_state = 36, .external_lex_state = 2},
  [694] = {.lex_state = 36, .external_lex_state = 2},
  [695] = {.lex_state = 36, .external_lex_state = 2},
  [696] = {.lex_state = 36, .external_lex_state = 2},
  [697] = {.lex_state = 36, .external_lex_state = 2},
  [698] = {.lex_state = 36, .external_lex_state = 2},
  [699] = {.lex_state = 36, .external_lex_state = 2},
  [700] = {.lex_state = 36, .external_lex_state = 2},
  [701] = {.lex_state = 36, .external_lex_state = 2},
  [702] = {.lex_state = 36, .external_lex_state = 2},
  [703] = {.lex_state = 36, .external_lex_state = 2},
  [704] = {.lex_state = 36, .external_lex_state = 2},
  [705] = {.lex_state = 36, .external_lex_state = 2},
  [706] = {.lex_state = 36, .external_lex_state = 2},
  [707] = {.lex_state = 36, .external_lex_state = 2},
  [708] = {.lex_state = 36, .external_lex_state = 2},
  [709] = {.lex_state = 36, .external_lex_state = 2},
  [710] = {.lex_state = 36, .external_lex_state = 2},
  [711] = {.lex_state = 36, .external_lex_state = 2},
  [712] = {.lex_state = 36, .external_lex_state = 2},
  [713] = {.lex_state = 36, .external_lex_state = 2},
  [714] = {.lex_state = 36, .external_lex_state = 2},
  [715] = {.lex_state = 36, .external_lex_state = 2},
  [716] = {.lex_state = 36, .external_lex_state = 2},
  [717] = {.lex_state = 36, .external_lex_state = 2},
  [718] = {.lex_state = 36, .external_lex_state = 2},
  [719] = {.lex_state = 36, .external_lex_state = 2},
  [720] = {.lex_state = 36, .external_lex_state = 2},
  [721] = {.lex_state = 36, .external_lex_state = 2},
  [722] = {.lex_state = 36, .external_lex_state = 2},
  [723] = {.lex_state = 36, .external_lex_state = 2},
  [724] = {.lex_state = 36, .external_lex_state = 2},
  [725] = {.lex_state = 36, .external_lex_state = 2},
  [726] = {.lex_state = 36, .external_lex_state = 2},
  [727] = {.lex_state = 36, .external_lex_state = 2},
  [728] = {.lex_state = 36, .external_lex_state = 2},
  [729] = {.lex_state = 36, .external_lex_state = 2},
  [730] = {.lex_state = 36, .external_lex_state = 2},
  [731] = {.lex_state = 36, .external_lex_state = 2},
  [732] = {.lex_state = 36, .external_lex_state = 2},
  [733] = {.lex_state = 36, .external_lex_state = 2},
  [734] = {.lex_state = 36, .external_lex_state = 2},
  [735] = {.lex_state = 36, .external_lex_state = 2},
  [736] = {.lex_state = 36, .external_lex_state = 2},
  [737] = {.lex_state = 36, .external_lex_state = 2},
  [738] = {.lex_state = 36, .external_lex_state = 2},
  [739] = {.lex_state = 36, .external_lex_state = 2},
  [740] = {.lex_state = 36, .external_lex_state = 2},
  [741] = {.lex_state = 36, .external_lex_state = 2},
  [742] = {.lex_state = 36, .external_lex_state = 2},
  [743] = {.lex_state = 36, .external_lex_state = 2},
  [744] = {.lex_state = 36, .external_lex_state = 2},
  [745] = {.lex_state = 36, .external_lex_state = 2},
  [746] = {.lex_state = 36, .external_lex_state = 2},
  [747] = {.lex_state = 36, .external_lex_state = 2},
  [748] = {.lex_state = 36, .external_lex_state = 2},
  [749] = {.lex_state = 36, .external_lex_state = 2},
  [750] = {.lex_state = 36, .external_lex_state = 2},
  [751] = {.lex_state = 36, .external_lex_state = 2},
  [752] = {.lex_state = 36, .external_lex_state = 2},
  [753] = {.lex_state = 36, .external_lex_state = 2},
  [754] = {.lex_state = 36, .external_lex_state = 2},
  [755] = {.lex_state = 36, .external_lex_state = 2},
  [756] = {.lex_state = 36, .external_lex_state = 2},
  [757] = {.lex_state = 36, .external_lex_state = 2},
  [758] = {.lex_state = 36, .external_lex_state = 2},
  [759] = {.lex_state = 36, .external_lex_state = 2},
  [760] = {.lex_state = 36, .external_lex_state = 2},
  [761] = {.lex_state = 36, .external_lex_state = 2},
  [762] = {.lex_state = 36, .external_lex_state = 2},
  [763] = {.lex_state = 36, .external_lex_state = 2},
  [764] = {.lex_state = 36, .external_lex_state = 2},
  [765] = {.lex_state = 36, .external_lex_state = 2},
  [766] = {.lex_state = 36, .external_lex_state = 2},
  [767] = {.lex_state = 36, .external_lex_state = 2},
  [768] = {.lex_state = 36, .external_lex_state = 2},
  [769] = {.lex_state = 36, .external_lex_state = 2},
  [770] = {.lex_state = 36, .external_lex_state = 2},
  [771] = {.lex_state = 36, .external_lex_state = 2},
  [772] = {.lex_state = 36, .external_lex_state = 2},
  [773] = {.lex_state = 36, .external_lex_state = 2},
  [774] = {.lex_state = 36, .external_lex_state = 2},
  [775] = {.lex_state = 36, .external_lex_state = 2},
  [776] = {.lex_state = 36, .external_lex_state = 2},
  [777] = {.lex_state = 36, .external_lex_state = 2},
  [778] = {.lex_state = 36, .external_lex_state = 2},
  [779] = {.lex_state = 36, .external_lex_state = 2},
  [780] = {.lex_state = 36, .external_lex_state = 2},
  [781] = {.lex_state = 36, .external_lex_state = 2},
  [782] = {.lex_state = 36, .external_lex_state = 2},
  [783] = {.lex_state = 36, .external_lex_state = 2},
  [784] = {.lex_state = 36, .external_lex_state = 2},
  [785] = {.lex_state = 36, .external_lex_state = 2},
  [786] = {.lex_state = 36, .external_lex_state = 2},
  [787] = {.lex_state = 36, .external_lex_state = 2},
  [788] = {.lex_state = 36, .external_lex_state = 2},
  [789] = {.lex_state = 36, .external_lex_state = 2},
  [790] = {.lex_state = 36, .external_lex_state = 2},
  [791] = {.lex_state = 36, .external_lex_state = 2},
  [792] = {.lex_state = 36, .external_lex_state = 2},
  [793] = {.lex_state = 36, .external_lex_state = 2},
  [794] = {.lex_state = 36, .external_lex_state = 2},
  [795] = {.lex_state = 36, .external_lex_state = 2},
  [796] = {.lex_state = 36, .external_lex_state = 2},
  [797] = {.lex_state = 36, .external_lex_state = 2},
  [798] = {.lex_state = 36, .external_lex_state = 2},
  [799] = {.lex_state = 36, .external_lex_state = 2},
  [800] = {.lex_state = 36, .external_lex_state = 2},
  [801] = {.lex_state = 36, .external_lex_state = 2},
  [802] = {.lex_state = 36, .external_lex_state = 2},
  [803] = {.lex_state = 36, .external_lex_state = 2},
  [804] = {.lex_state = 36, .external_lex_state = 2},
  [805] = {.lex_state = 36, .external_lex_state = 2},
  [806] = {.lex_state = 36, .external_lex_state = 2},
  [807] = {.lex_state = 36, .external_lex_state = 2},
  [808] = {.lex_state = 36, .external_lex_state = 2},
  [809] = {.lex_state = 36, .external_lex_state = 2},
  [810] = {.lex_state = 36, .external_lex_state = 2},
  [811] = {.lex_state = 36, .external_lex_state = 2},
  [812] = {.lex_state = 36, .external_lex_state = 2},
  [813] = {.lex_state = 36, .external_lex_state = 2},
  [814] = {.lex_state = 36, .external_lex_state = 2},
  [815] = {.lex_state = 36, .external_lex_state = 2},
  [816] = {.lex_state = 36, .external_lex_state = 2},
  [817] = {.lex_state = 36, .external_lex_state = 2},
  [818] = {.lex_state = 36, .external_lex_state = 2},
  [819] = {.lex_state = 36, .external_lex_state = 2},
  [820] = {.lex_state = 36, .external_lex_state = 2},
  [821] = {.lex_state = 36, .external_lex_state = 2},
  [822] = {.lex_state = 36, .external_lex_state = 2},
  [823] = {.lex_state = 36, .external_lex_state = 2},
  [824] = {.lex_state = 36, .external_lex_state = 2},
  [825] = {.lex_state = 36, .external_lex_state = 2},
  [826] = {.lex_state = 36, .external_lex_state = 2},
  [827] = {.lex_state = 36, .external_lex_state = 2},
  [828] = {.lex_state = 36, .external_lex_state = 2},
  [829] = {.lex_state = 36, .external_lex_state = 2},
  [830] = {.lex_state = 36, .external_lex_state = 2},
  [831] = {.lex_state = 36, .external_lex_state = 2},
  [832] = {.lex_state = 36, .external_lex_state = 2},
  [833] = {.lex_state = 36, .external_lex_state = 2},
  [834] = {.lex_state = 36, .external_lex_state = 2},
  [835] = {.lex_state = 36, .external_lex_state = 2},
  [836] = {.lex_state = 36, .external_lex_state = 2},
  [837] = {.lex_state = 36, .external_lex_state = 2},
  [838] = {.lex_state = 36, .external_lex_state = 2},
  [839] = {.lex_state = 36, .external_lex_state = 2},
  [840] = {.lex_state = 36, .external_lex_state = 2},
  [841] = {.lex_state = 36, .external_lex_state = 2},
  [842] = {.lex_state = 36, .external_lex_state = 2},
  [843] = {.lex_state = 36, .external_lex_state = 2},
  [844] = {.lex_state = 36, .external_lex_state = 2},
  [845] = {.lex_state = 36, .external_lex_state = 2},
  [846] = {.lex_state = 36, .external_lex_state = 2},
  [847] = {.lex_state = 36, .external_lex_state = 2},
  [848] = {.lex_state = 36, .external_lex_state = 2},
  [849] = {.lex_state = 36, .external_lex_state = 2},
  [850] = {.lex_state = 36, .external_lex_state = 2},
  [851] = {.lex_state = 36, .external_lex_state = 2},
  [852] = {.lex_state = 36, .external_lex_state = 2},
  [853] = {.lex_state = 36, .external_lex_state = 2},
  [854] = {.lex_state = 36, .external_lex_state = 2},
  [855] = {.lex_state = 36, .external_lex_state = 2},
  [856] = {.lex_state = 36, .external_lex_state = 2},
  [857] = {.lex_state = 36, .external_lex_state = 2},
  [858] = {.lex_state = 36, .external_lex_state = 2},
  [859] = {.lex_state = 36, .external_lex_state = 2},
  [860] = {.lex_state = 36, .external_lex_state = 2},
  [861] = {.lex_state = 36, .external_lex_state = 2},
  [862] = {.lex_state = 36, .external_lex_state = 2},
  [863] = {.lex_state = 36, .external_lex_state = 2},
  [864] = {.lex_state = 36, .external_lex_state = 2},
  [865] = {.lex_state = 36, .external_lex_state = 2},
  [866] = {.lex_state = 36, .external_lex_state = 2},
  [867] = {.lex_state = 36, .external_lex_state = 2},
  [868] = {.lex_state = 36, .external_lex_state = 2},
  [869] = {.lex_state = 36, .external_lex_state = 2},
  [870] = {.lex_state = 36, .external_lex_state = 2},
  [871] = {.lex_state = 36, .external_lex_state = 2},
  [872] = {.lex_state = 36, .external_lex_state = 2},
  [873] = {.lex_state = 36, .external_lex_state = 2},
  [874] = {.lex_state = 36, .external_lex_state = 2},
  [875] = {.lex_state = 36, .external_lex_state = 2},
  [876] = {.lex_state = 36, .external_lex_state = 2},
  [877] = {.lex_state = 36, .external_lex_state = 2},
  [878] = {.lex_state = 36, .external_lex_state = 2},
  [879] = {.lex_state = 36, .external_lex_state = 2},
  [880] = {.lex_state = 36, .external_lex_state = 2},
  [881] = {.lex_state = 36, .external_lex_state = 2},
  [882] = {.lex_state = 36, .external_lex_state = 2},
  [883] = {.lex_state = 36, .external_lex_state = 2},
  [884] = {.lex_state = 36, .external_lex_state = 2},
  [885] = {.lex_state = 36, .external_lex_state = 2},
  [886] = {.lex_state = 36, .external_lex_state = 2},
  [887] = {.lex_state = 36, .external_lex_state = 2},
  [888] = {.lex_state = 36, .external_lex_state = 2},
  [889] = {.lex_state = 36, .external_lex_state = 2},
  [890] = {.lex_state = 5, .external_lex_state = 4},
  [891] = {.lex_state = 5, .external_lex_state = 4},
  [892] = {.lex_state = 5, .external_lex_state = 4},
  [893] = {.lex_state = 5, .external_lex_state = 4},
  [894] = {.lex_state = 6, .external_lex_state = 4},
  [895] = {.lex_state = 6, .external_lex_state = 4},
  [896] = {.lex_state = 6, .external_lex_state = 4},
  [897] = {.lex_state = 6, .external_lex_state = 4},
  [898] = {.lex_state = 6, .external_lex_state = 4},
  [899] = {.lex_state = 6, .external_lex_state = 4},
  [900] = {.lex_state = 6, .external_lex_state = 4},
  [901] = {.lex_state = 6, .external_lex_state = 4},
  [902] = {.lex_state = 6, .external_lex_state = 4},
  [903] = {.lex_state = 6, .external_lex_state = 4},
  [904] = {.lex_state = 6, .external_lex_state = 4},
  [905] = {.lex_state = 6, .external_lex_state = 4},
  [906] = {.lex_state = 380, .external_lex_state = 4},
  [907] = {.lex_state = 380, .external_lex_state = 4},
  [908] = {.lex_state = 380, .external_lex_state = 4},
  [909] = {.lex_state = 380, .external_lex_state = 4},
  [910] = {.lex_state = 6, .external_lex_state = 4},
  [911] = {.lex_state = 6, .external_lex_state = 4},
  [912] = {.lex_state = 6, .external_lex_state = 4},
  [913] = {.lex_state = 6, .external_lex_state = 4},
  [914] = {.lex_state = 6, .external_lex_state = 4},
  [915] = {.lex_state = 6, .external_lex_state = 4},
  [916] = {.lex_state = 6, .external_lex_state = 4},
  [917] = {.lex_state = 6, .external_lex_state = 4},
  [918] = {.lex_state = 380, .external_lex_state = 4},
  [919] = {.lex_state = 380, .external_lex_state = 4},
  [920] = {.lex_state = 380, .external_lex_state = 4},
  [921] = {.lex_state = 380, .external_lex_state = 4},
  [922] = {.lex_state = 380, .external_lex_state = 4},
  [923] = {.lex_state = 380, .external_lex_state = 4},
  [924] = {.lex_state = 20, .external_lex_state = 3},
  [925] = {.lex_state = 380, .external_lex_state = 4},
  [926] = {.lex_state = 380, .external_lex_state = 4},
  [927] = {.lex_state = 380, .external_lex_state = 4},
  [928] = {.lex_state = 20, .external_lex_state = 3},
  [929] = {.lex_state = 380, .external_lex_state = 4},
  [930] = {.lex_state = 20, .external_lex_state = 3},
  [931] = {.lex_state = 380, .external_lex_state = 4},
  [932] = {.lex_state = 20, .external_lex_state = 4},
  [933] = {.lex_state = 20, .external_lex_state = 4},
  [934] = {.lex_state = 20, .external_lex_state = 3},
  [935] = {.lex_state = 20, .external_lex_state = 3},
  [936] = {.lex_state = 20, .external_lex_state = 4},
  [937] = {.lex_state = 20, .external_lex_state = 4},
  [938] = {.lex_state = 20, .external_lex_state = 4},
  [939] = {.lex_state = 20, .external_lex_state = 4},
  [940] = {.lex_state = 20, .external_lex_state = 3},
  [941] = {.lex_state = 20, .external_lex_state = 3},
  [942] = {.lex_state = 20, .external_lex_state = 4},
  [943] = {.lex_state = 20, .external_lex_state = 4},
  [944] = {.lex_state = 20, .external_lex_state = 4},
  [945] = {.lex_state = 20, .external_lex_state = 4},
  [946] = {.lex_state = 20, .external_lex_state = 4},
  [947] = {.lex_state = 20, .external_lex_state = 4},
  [948] = {.lex_state = 380, .external_lex_state = 4},
  [949] = {.lex_state = 20, .external_lex_state = 4},
  [950] = {.lex_state = 22, .external_lex_state = 3},
  [951] = {.lex_state = 380, .external_lex_state = 4},
  [952] = {.lex_state = 20, .external_lex_state = 3},
  [953] = {.lex_state = 380, .external_lex_state = 4},
  [954] = {.lex_state = 380, .external_lex_state = 4},
  [955] = {.lex_state = 22, .external_lex_state = 3},
  [956] = {.lex_state = 380, .external_lex_state = 4},
  [957] = {.lex_state = 380, .external_lex_state = 4},
  [958] = {.lex_state = 380, .external_lex_state = 4},
  [959] = {.lex_state = 20, .external_lex_state = 4},
  [960] = {.lex_state = 20, .external_lex_state = 4},
  [961] = {.lex_state = 20, .external_lex_state = 3},
  [962] = {.lex_state = 20, .external_lex_state = 4},
  [963] = {.lex_state = 44, .external_lex_state = 2},
  [964] = {.lex_state = 20, .external_lex_state = 4},
  [965] = {.lex_state = 20, .external_lex_state = 4},
  [966] = {.lex_state = 20, .external_lex_state = 4},
  [967] = {.lex_state = 20, .external_lex_state = 4},
  [968] = {.lex_state = 20, .external_lex_state = 4},
  [969] = {.lex_state = 20, .external_lex_state = 4},
  [970] = {.lex_state = 20, .external_lex_state = 3},
  [971] = {.lex_state = 20, .external_lex_state = 4},
  [972] = {.lex_state = 20, .external_lex_state = 4},
  [973] = {.lex_state = 20, .external_lex_state = 3},
  [974] = {.lex_state = 44, .external_lex_state = 5},
  [975] = {.lex_state = 380, .external_lex_state = 4},
  [976] = {.lex_state = 380, .external_lex_state = 4},
  [977] = {.lex_state = 380, .external_lex_state = 4},
  [978] = {.lex_state = 20, .external_lex_state = 3},
  [979] = {.lex_state = 380, .external_lex_state = 4},
  [980] = {.lex_state = 380, .external_lex_state = 4},
  [981] = {.lex_state = 43, .external_lex_state = 2},
  [982] = {.lex_state = 20, .external_lex_state = 3},
  [983] = {.lex_state = 44, .external_lex_state = 5},
  [984] = {.lex_state = 380, .external_lex_state = 4},
  [985] = {.lex_state = 20, .external_lex_state = 3},
  [986] = {.lex_state = 20, .external_lex_state = 3},
  [987] = {.lex_state = 380, .external_lex_state = 4},
  [988] = {.lex_state = 380, .external_lex_state = 4},
  [989] = {.lex_state = 44, .external_lex_state = 2},
  [990] = {.lex_state = 46, .external_lex_state = 5},
  [991] = {.lex_state = 20, .external_lex_state = 3},
  [992] = {.lex_state = 44, .external_lex_state = 2},
  [993] = {.lex_state = 20, .external_lex_state = 3},
  [994] = {.lex_state = 20, .external_lex_state = 3},
  [995] = {.lex_state = 20, .external_lex_state = 3},
  [996] = {.lex_state = 20, .external_lex_state = 3},
  [997] = {.lex_state = 46, .external_lex_state = 5},
  [998] = {.lex_state = 43, .external_lex_state = 5},
  [999] = {.lex_state = 43, .external_lex_state = 5},
  [1000] = {.lex_state = 20, .external_lex_state = 3},
  [1001] = {.lex_state = 20, .external_lex_state = 3},
  [1002] = {.lex_state = 50, .external_lex_state = 2},
  [1003] = {.lex_state = 20, .external_lex_state = 3},
  [1004] = {.lex_state = 20, .external_lex_state = 3},
  [1005] = {.lex_state = 41, .external_lex_state = 2},
  [1006] = {.lex_state = 20, .external_lex_state = 3},
  [1007] = {.lex_state = 20, .external_lex_state = 3},
  [1008] = {.lex_state = 41, .external_lex_state = 2},
  [1009] = {.lex_state = 20, .external_lex_state = 3},
  [1010] = {.lex_state = 20, .external_lex_state = 3},
  [1011] = {.lex_state = 46, .external_lex_state = 2},
  [1012] = {.lex_state = 45, .external_lex_state = 5},
  [1013] = {.lex_state = 41, .external_lex_state = 5},
  [1014] = {.lex_state = 41, .external_lex_state = 5},
  [1015] = {.lex_state = 41, .external_lex_state = 5},
  [1016] = {.lex_state = 40, .external_lex_state = 2},
  [1017] = {.lex_state = 40, .external_lex_state = 2},
  [1018] = {.lex_state = 41, .external_lex_state = 5},
  [1019] = {.lex_state = 41, .external_lex_state = 5},
  [1020] = {.lex_state = 41, .external_lex_state = 5},
  [1021] = {.lex_state = 46, .external_lex_state = 2},
  [1022] = {.lex_state = 46, .external_lex_state = 2},
  [1023] = {.lex_state = 50, .external_lex_state = 5},
  [1024] = {.lex_state = 41, .external_lex_state = 2},
  [1025] = {.lex_state = 41, .external_lex_state = 5},
  [1026] = {.lex_state = 41, .external_lex_state = 5},
  [1027] = {.lex_state = 41, .external_lex_state = 2},
  [1028] = {.lex_state = 41, .external_lex_state = 5},
  [1029] = {.lex_state = 41, .external_lex_state = 2},
  [1030] = {.lex_state = 41, .external_lex_state = 2},
  [1031] = {.lex_state = 50, .external_lex_state = 5},
  [1032] = {.lex_state = 41, .external_lex_state = 5},
  [1033] = {.lex_state = 45, .external_lex_state = 5},
  [1034] = {.lex_state = 41, .external_lex_state = 5},
  [1035] = {.lex_state = 41, .external_lex_state = 5},
  [1036] = {.lex_state = 45, .external_lex_state = 2},
  [1037] = {.lex_state = 46, .external_lex_state = 2},
  [1038] = {.lex_state = 46, .external_lex_state = 2},
  [1039] = {.lex_state = 43, .external_lex_state = 2},
  [1040] = {.lex_state = 41, .external_lex_state = 5},
  [1041] = {.lex_state = 41, .external_lex_state = 5},
  [1042] = {.lex_state = 41, .external_lex_state = 5},
  [1043] = {.lex_state = 41, .external_lex_state = 5},
  [1044] = {.lex_state = 41, .external_lex_state = 5},
  [1045] = {.lex_state = 43, .external_lex_state = 2},
  [1046] = {.lex_state = 41, .external_lex_state = 5},
  [1047] = {.lex_state = 49, .external_lex_state = 2},
  [1048] = {.lex_state = 41, .external_lex_state = 2},
  [1049] = {.lex_state = 41, .external_lex_state = 5},
  [1050] = {.lex_state = 41, .external_lex_state = 5},
  [1051] = {.lex_state = 41, .external_lex_state = 5},
  [1052] = {.lex_state = 41, .external_lex_state = 5},
  [1053] = {.lex_state = 46, .external_lex_state = 2},
  [1054] = {.lex_state = 41, .external_lex_state = 5},
  [1055] = {.lex_state = 40, .external_lex_state = 5},
  [1056] = {.lex_state = 41, .external_lex_state = 2},
  [1057] = {.lex_state = 40, .external_lex_state = 5},
  [1058] = {.lex_state = 49, .external_lex_state = 5},
  [1059] = {.lex_state = 41, .external_lex_state = 2},
  [1060] = {.lex_state = 41, .external_lex_state = 2},
  [1061] = {.lex_state = 41, .external_lex_state = 2},
  [1062] = {.lex_state = 40, .external_lex_state = 5},
  [1063] = {.lex_state = 40, .external_lex_state = 5},
  [1064] = {.lex_state = 48, .external_lex_state = 5},
  [1065] = {.lex_state = 40, .external_lex_state = 5},
  [1066] = {.lex_state = 45, .external_lex_state = 2},
  [1067] = {.lex_state = 40, .external_lex_state = 5},
  [1068] = {.lex_state = 50, .external_lex_state = 2},
  [1069] = {.lex_state = 41, .external_lex_state = 2},
  [1070] = {.lex_state = 40, .external_lex_state = 5},
  [1071] = {.lex_state = 41, .external_lex_state = 2},
  [1072] = {.lex_state = 41, .external_lex_state = 2},
  [1073] = {.lex_state = 41, .external_lex_state = 2},
  [1074] = {.lex_state = 45, .external_lex_state = 2},
  [1075] = {.lex_state = 41, .external_lex_state = 2},
  [1076] = {.lex_state = 45, .external_lex_state = 2},
  [1077] = {.lex_state = 41, .external_lex_state = 2},
  [1078] = {.lex_state = 41, .external_lex_state = 2},
  [1079] = {.lex_state = 41, .external_lex_state = 2},
  [1080] = {.lex_state = 41, .external_lex_state = 2},
  [1081] = {.lex_state = 41, .external_lex_state = 2},
  [1082] = {.lex_state = 41, .external_lex_state = 2},
  [1083] = {.lex_state = 41, .external_lex_state = 2},
  [1084] = {.lex_state = 48, .external_lex_state = 5},
  [1085] = {.lex_state = 41, .external_lex_state = 2},
  [1086] = {.lex_state = 41, .external_lex_state = 2},
  [1087] = {.lex_state = 41, .external_lex_state = 2},
  [1088] = {.lex_state = 41, .external_lex_state = 2},
  [1089] = {.lex_state = 50, .external_lex_state = 2},
  [1090] = {.lex_state = 41, .external_lex_state = 2},
  [1091] = {.lex_state = 41, .external_lex_state = 2},
  [1092] = {.lex_state = 41, .external_lex_state = 2},
  [1093] = {.lex_state = 41, .external_lex_state = 2},
  [1094] = {.lex_state = 41, .external_lex_state = 2},
  [1095] = {.lex_state = 40, .external_lex_state = 5},
  [1096] = {.lex_state = 41, .external_lex_state = 2},
  [1097] = {.lex_state = 40, .external_lex_state = 5},
  [1098] = {.lex_state = 40, .external_lex_state = 5},
  [1099] = {.lex_state = 41, .external_lex_state = 2},
  [1100] = {.lex_state = 40, .external_lex_state = 5},
  [1101] = {.lex_state = 41, .external_lex_state = 2},
  [1102] = {.lex_state = 41, .external_lex_state = 2},
  [1103] = {.lex_state = 41, .external_lex_state = 2},
  [1104] = {.lex_state = 41, .external_lex_state = 2},
  [1105] = {.lex_state = 41, .external_lex_state = 2},
  [1106] = {.lex_state = 40, .external_lex_state = 2},
  [1107] = {.lex_state = 41, .external_lex_state = 2},
  [1108] = {.lex_state = 41, .external_lex_state = 2},
  [1109] = {.lex_state = 40, .external_lex_state = 2},
  [1110] = {.lex_state = 41, .external_lex_state = 2},
  [1111] = {.lex_state = 41, .external_lex_state = 2},
  [1112] = {.lex_state = 40, .external_lex_state = 2},
  [1113] = {.lex_state = 41, .external_lex_state = 2},
  [1114] = {.lex_state = 41, .external_lex_state = 2},
  [1115] = {.lex_state = 41, .external_lex_state = 2},
  [1116] = {.lex_state = 41, .external_lex_state = 2},
  [1117] = {.lex_state = 41, .external_lex_state = 2},
  [1118] = {.lex_state = 41, .external_lex_state = 2},
  [1119] = {.lex_state = 41, .external_lex_state = 2},
  [1120] = {.lex_state = 41, .external_lex_state = 2},
  [1121] = {.lex_state = 41, .external_lex_state = 2},
  [1122] = {.lex_state = 41, .external_lex_state = 2},
  [1123] = {.lex_state = 41, .external_lex_state = 2},
  [1124] = {.lex_state = 40, .external_lex_state = 5},
  [1125] = {.lex_state = 41, .external_lex_state = 2},
  [1126] = {.lex_state = 40, .external_lex_state = 5},
  [1127] = {.lex_state = 41, .external_lex_state = 2},
  [1128] = {.lex_state = 41, .external_lex_state = 2},
  [1129] = {.lex_state = 42, .external_lex_state = 2},
  [1130] = {.lex_state = 42, .external_lex_state = 2},
  [1131] = {.lex_state = 41, .external_lex_state = 2},
  [1132] = {.lex_state = 41, .external_lex_state = 2},
  [1133] = {.lex_state = 41, .external_lex_state = 2},
  [1134] = {.lex_state = 41, .external_lex_state = 2},
  [1135] = {.lex_state = 41, .external_lex_state = 2},
  [1136] = {.lex_state = 41, .external_lex_state = 2},
  [1137] = {.lex_state = 41, .external_lex_state = 2},
  [1138] = {.lex_state = 40, .external_lex_state = 5},
  [1139] = {.lex_state = 41, .external_lex_state = 2},
  [1140] = {.lex_state = 41, .external_lex_state = 2},
  [1141] = {.lex_state = 41, .external_lex_state = 2},
  [1142] = {.lex_state = 41, .external_lex_state = 2},
  [1143] = {.lex_state = 41, .external_lex_state = 2},
  [1144] = {.lex_state = 45, .external_lex_state = 2},
  [1145] = {.lex_state = 41, .external_lex_state = 2},
  [1146] = {.lex_state = 45, .external_lex_state = 2},
  [1147] = {.lex_state = 40, .external_lex_state = 5},
  [1148] = {.lex_state = 41, .external_lex_state = 2},
  [1149] = {.lex_state = 40, .external_lex_state = 5},
  [1150] = {.lex_state = 41, .external_lex_state = 2},
  [1151] = {.lex_state = 41, .external_lex_state = 2},
  [1152] = {.lex_state = 41, .external_lex_state = 2},
  [1153] = {.lex_state = 41, .external_lex_state = 2},
  [1154] = {.lex_state = 41, .external_lex_state = 2},
  [1155] = {.lex_state = 41, .external_lex_state = 2},
  [1156] = {.lex_state = 41, .external_lex_state = 2},
  [1157] = {.lex_state = 41, .external_lex_state = 2},
  [1158] = {.lex_state = 41, .external_lex_state = 2},
  [1159] = {.lex_state = 41, .external_lex_state = 2},
  [1160] = {.lex_state = 41, .external_lex_state = 2},
  [1161] = {.lex_state = 41, .external_lex_state = 2},
  [1162] = {.lex_state = 41, .external_lex_state = 2},
  [1163] = {.lex_state = 41, .external_lex_state = 2},
  [1164] = {.lex_state = 41, .external_lex_state = 2},
  [1165] = {.lex_state = 40, .external_lex_state = 5},
  [1166] = {.lex_state = 41, .external_lex_state = 2},
  [1167] = {.lex_state = 41, .external_lex_state = 2},
  [1168] = {.lex_state = 40, .external_lex_state = 5},
  [1169] = {.lex_state = 41, .external_lex_state = 2},
  [1170] = {.lex_state = 40, .external_lex_state = 5},
  [1171] = {.lex_state = 40, .external_lex_state = 5},
  [1172] = {.lex_state = 41, .external_lex_state = 2},
  [1173] = {.lex_state = 41, .external_lex_state = 2},
  [1174] = {.lex_state = 41, .external_lex_state = 2},
  [1175] = {.lex_state = 41, .external_lex_state = 2},
  [1176] = {.lex_state = 41, .external_lex_state = 2},
  [1177] = {.lex_state = 41, .external_lex_state = 2},
  [1178] = {.lex_state = 40, .external_lex_state = 5},
  [1179] = {.lex_state = 48, .external_lex_state = 2},
  [1180] = {.lex_state = 41, .external_lex_state = 2},
  [1181] = {.lex_state = 41, .external_lex_state = 2},
  [1182] = {.lex_state = 41, .external_lex_state = 2},
  [1183] = {.lex_state = 41, .external_lex_state = 2},
  [1184] = {.lex_state = 41, .external_lex_state = 2},
  [1185] = {.lex_state = 41, .external_lex_state = 2},
  [1186] = {.lex_state = 41, .external_lex_state = 2},
  [1187] = {.lex_state = 41, .external_lex_state = 2},
  [1188] = {.lex_state = 41, .external_lex_state = 2},
  [1189] = {.lex_state = 41, .external_lex_state = 2},
  [1190] = {.lex_state = 41, .external_lex_state = 2},
  [1191] = {.lex_state = 41, .external_lex_state = 2},
  [1192] = {.lex_state = 41, .external_lex_state = 2},
  [1193] = {.lex_state = 41, .external_lex_state = 2},
  [1194] = {.lex_state = 41, .external_lex_state = 2},
  [1195] = {.lex_state = 41, .external_lex_state = 2},
  [1196] = {.lex_state = 41, .external_lex_state = 2},
  [1197] = {.lex_state = 41, .external_lex_state = 2},
  [1198] = {.lex_state = 41, .external_lex_state = 2},
  [1199] = {.lex_state = 41, .external_lex_state = 2},
  [1200] = {.lex_state = 41, .external_lex_state = 2},
  [1201] = {.lex_state = 41, .external_lex_state = 2},
  [1202] = {.lex_state = 41, .external_lex_state = 2},
  [1203] = {.lex_state = 41, .external_lex_state = 2},
  [1204] = {.lex_state = 41, .external_lex_state = 2},
  [1205] = {.lex_state = 41, .external_lex_state = 2},
  [1206] = {.lex_state = 41, .external_lex_state = 2},
  [1207] = {.lex_state = 41, .external_lex_state = 2},
  [1208] = {.lex_state = 41, .external_lex_state = 2},
  [1209] = {.lex_state = 41, .external_lex_state = 2},
  [1210] = {.lex_state = 41, .external_lex_state = 2},
  [1211] = {.lex_state = 41, .external_lex_state = 2},
  [1212] = {.lex_state = 41, .external_lex_state = 2},
  [1213] = {.lex_state = 41, .external_lex_state = 2},
  [1214] = {.lex_state = 41, .external_lex_state = 2},
  [1215] = {.lex_state = 41, .external_lex_state = 2},
  [1216] = {.lex_state = 41, .external_lex_state = 2},
  [1217] = {.lex_state = 41, .external_lex_state = 2},
  [1218] = {.lex_state = 41, .external_lex_state = 2},
  [1219] = {.lex_state = 41, .external_lex_state = 2},
  [1220] = {.lex_state = 41, .external_lex_state = 2},
  [1221] = {.lex_state = 41, .external_lex_state = 2},
  [1222] = {.lex_state = 41, .external_lex_state = 2},
  [1223] = {.lex_state = 41, .external_lex_state = 2},
  [1224] = {.lex_state = 41, .external_lex_state = 2},
  [1225] = {.lex_state = 41, .external_lex_state = 2},
  [1226] = {.lex_state = 41, .external_lex_state = 2},
  [1227] = {.lex_state = 41, .external_lex_state = 2},
  [1228] = {.lex_state = 41, .external_lex_state = 2},
  [1229] = {.lex_state = 41, .external_lex_state = 2},
  [1230] = {.lex_state = 41, .external_lex_state = 2},
  [1231] = {.lex_state = 41, .external_lex_state = 2},
  [1232] = {.lex_state = 41, .external_lex_state = 2},
  [1233] = {.lex_state = 41, .external_lex_state = 2},
  [1234] = {.lex_state = 41, .external_lex_state = 2},
  [1235] = {.lex_state = 41, .external_lex_state = 2},
  [1236] = {.lex_state = 40, .external_lex_state = 5},
  [1237] = {.lex_state = 41, .external_lex_state = 2},
  [1238] = {.lex_state = 41, .external_lex_state = 2},
  [1239] = {.lex_state = 41, .external_lex_state = 2},
  [1240] = {.lex_state = 41, .external_lex_state = 2},
  [1241] = {.lex_state = 41, .external_lex_state = 2},
  [1242] = {.lex_state = 49, .external_lex_state = 5},
  [1243] = {.lex_state = 41, .external_lex_state = 2},
  [1244] = {.lex_state = 41, .external_lex_state = 2},
  [1245] = {.lex_state = 41, .external_lex_state = 2},
  [1246] = {.lex_state = 41, .external_lex_state = 2},
  [1247] = {.lex_state = 41, .external_lex_state = 2},
  [1248] = {.lex_state = 40, .external_lex_state = 5},
  [1249] = {.lex_state = 41, .external_lex_state = 2},
  [1250] = {.lex_state = 41, .external_lex_state = 2},
  [1251] = {.lex_state = 41, .external_lex_state = 2},
  [1252] = {.lex_state = 41, .external_lex_state = 2},
  [1253] = {.lex_state = 41, .external_lex_state = 2},
  [1254] = {.lex_state = 41, .external_lex_state = 2},
  [1255] = {.lex_state = 41, .external_lex_state = 2},
  [1256] = {.lex_state = 41, .external_lex_state = 2},
  [1257] = {.lex_state = 41, .external_lex_state = 2},
  [1258] = {.lex_state = 41, .external_lex_state = 2},
  [1259] = {.lex_state = 42, .external_lex_state = 5},
  [1260] = {.lex_state = 40, .external_lex_state = 2},
  [1261] = {.lex_state = 40, .external_lex_state = 2},
  [1262] = {.lex_state = 40, .external_lex_state = 2},
  [1263] = {.lex_state = 40, .external_lex_state = 2},
  [1264] = {.lex_state = 40, .external_lex_state = 2},
  [1265] = {.lex_state = 40, .external_lex_state = 2},
  [1266] = {.lex_state = 40, .external_lex_state = 2},
  [1267] = {.lex_state = 49, .external_lex_state = 2},
  [1268] = {.lex_state = 40, .external_lex_state = 2},
  [1269] = {.lex_state = 40, .external_lex_state = 2},
  [1270] = {.lex_state = 40, .external_lex_state = 2},
  [1271] = {.lex_state = 40, .external_lex_state = 2},
  [1272] = {.lex_state = 40, .external_lex_state = 2},
  [1273] = {.lex_state = 42, .external_lex_state = 2},
  [1274] = {.lex_state = 40, .external_lex_state = 2},
  [1275] = {.lex_state = 47, .external_lex_state = 2},
  [1276] = {.lex_state = 40, .external_lex_state = 2},
  [1277] = {.lex_state = 40, .external_lex_state = 2},
  [1278] = {.lex_state = 40, .external_lex_state = 2},
  [1279] = {.lex_state = 40, .external_lex_state = 2},
  [1280] = {.lex_state = 40, .external_lex_state = 2},
  [1281] = {.lex_state = 40, .external_lex_state = 2},
  [1282] = {.lex_state = 40, .external_lex_state = 2},
  [1283] = {.lex_state = 40, .external_lex_state = 2},
  [1284] = {.lex_state = 40, .external_lex_state = 2},
  [1285] = {.lex_state = 40, .external_lex_state = 2},
  [1286] = {.lex_state = 40, .external_lex_state = 2},
  [1287] = {.lex_state = 40, .external_lex_state = 2},
  [1288] = {.lex_state = 40, .external_lex_state = 2},
  [1289] = {.lex_state = 40, .external_lex_state = 2},
  [1290] = {.lex_state = 40, .external_lex_state = 2},
  [1291] = {.lex_state = 40, .external_lex_state = 2},
  [1292] = {.lex_state = 48, .external_lex_state = 2},
  [1293] = {.lex_state = 48, .external_lex_state = 2},
  [1294] = {.lex_state = 40, .external_lex_state = 2},
  [1295] = {.lex_state = 40, .external_lex_state = 2},
  [1296] = {.lex_state = 40, .external_lex_state = 2},
  [1297] = {.lex_state = 49, .external_lex_state = 2},
  [1298] = {.lex_state = 40, .external_lex_state = 2},
  [1299] = {.lex_state = 40, .external_lex_state = 2},
  [1300] = {.lex_state = 40, .external_lex_state = 2},
  [1301] = {.lex_state = 40, .external_lex_state = 2},
  [1302] = {.lex_state = 40, .external_lex_state = 2},
  [1303] = {.lex_state = 40, .external_lex_state = 2},
  [1304] = {.lex_state = 40, .external_lex_state = 2},
  [1305] = {.lex_state = 40, .external_lex_state = 2},
  [1306] = {.lex_state = 40, .external_lex_state = 2},
  [1307] = {.lex_state = 40, .external_lex_state = 2},
  [1308] = {.lex_state = 40, .external_lex_state = 2},
  [1309] = {.lex_state = 40, .external_lex_state = 2},
  [1310] = {.lex_state = 40, .external_lex_state = 2},
  [1311] = {.lex_state = 40, .external_lex_state = 2},
  [1312] = {.lex_state = 40, .external_lex_state = 2},
  [1313] = {.lex_state = 40, .external_lex_state = 2},
  [1314] = {.lex_state = 40, .external_lex_state = 2},
  [1315] = {.lex_state = 40, .external_lex_state = 2},
  [1316] = {.lex_state = 40, .external_lex_state = 2},
  [1317] = {.lex_state = 42, .external_lex_state = 5},
  [1318] = {.lex_state = 40, .external_lex_state = 2},
  [1319] = {.lex_state = 40, .external_lex_state = 2},
  [1320] = {.lex_state = 40, .external_lex_state = 2},
  [1321] = {.lex_state = 40, .external_lex_state = 2},
  [1322] = {.lex_state = 40, .external_lex_state = 2},
  [1323] = {.lex_state = 42, .external_lex_state = 5},
  [1324] = {.lex_state = 37, .external_lex_state = 2},
  [1325] = {.lex_state = 37, .external_lex_state = 2},
  [1326] = {.lex_state = 40, .external_lex_state = 2},
  [1327] = {.lex_state = 42, .external_lex_state = 5},
  [1328] = {.lex_state = 40, .external_lex_state = 2},
  [1329] = {.lex_state = 42, .external_lex_state = 5},
  [1330] = {.lex_state = 40, .external_lex_state = 2},
  [1331] = {.lex_state = 42, .external_lex_state = 5},
  [1332] = {.lex_state = 42, .external_lex_state = 5},
  [1333] = {.lex_state = 40, .external_lex_state = 2},
  [1334] = {.lex_state = 42, .external_lex_state = 5},
  [1335] = {.lex_state = 40, .external_lex_state = 2},
  [1336] = {.lex_state = 40, .external_lex_state = 2},
  [1337] = {.lex_state = 40, .external_lex_state = 2},
  [1338] = {.lex_state = 40, .external_lex_state = 2},
  [1339] = {.lex_state = 40, .external_lex_state = 2},
  [1340] = {.lex_state = 40, .external_lex_state = 2},
  [1341] = {.lex_state = 40, .external_lex_state = 2},
  [1342] = {.lex_state = 40, .external_lex_state = 2},
  [1343] = {.lex_state = 40, .external_lex_state = 2},
  [1344] = {.lex_state = 40, .external_lex_state = 2},
  [1345] = {.lex_state = 40, .external_lex_state = 2},
  [1346] = {.lex_state = 40, .external_lex_state = 2},
  [1347] = {.lex_state = 40, .external_lex_state = 2},
  [1348] = {.lex_state = 40, .external_lex_state = 2},
  [1349] = {.lex_state = 40, .external_lex_state = 2},
  [1350] = {.lex_state = 42, .external_lex_state = 2},
  [1351] = {.lex_state = 40, .external_lex_state = 2},
  [1352] = {.lex_state = 40, .external_lex_state = 2},
  [1353] = {.lex_state = 40, .external_lex_state = 2},
  [1354] = {.lex_state = 40, .external_lex_state = 2},
  [1355] = {.lex_state = 40, .external_lex_state = 2},
  [1356] = {.lex_state = 40, .external_lex_state = 2},
  [1357] = {.lex_state = 40, .external_lex_state = 2},
  [1358] = {.lex_state = 40, .external_lex_state = 2},
  [1359] = {.lex_state = 40, .external_lex_state = 2},
  [1360] = {.lex_state = 40, .external_lex_state = 2},
  [1361] = {.lex_state = 42, .external_lex_state = 5},
  [1362] = {.lex_state = 40, .external_lex_state = 2},
  [1363] = {.lex_state = 40, .external_lex_state = 2},
  [1364] = {.lex_state = 42, .external_lex_state = 2},
  [1365] = {.lex_state = 40, .external_lex_state = 2},
  [1366] = {.lex_state = 40, .external_lex_state = 2},
  [1367] = {.lex_state = 40, .external_lex_state = 2},
  [1368] = {.lex_state = 42, .external_lex_state = 5},
  [1369] = {.lex_state = 40, .external_lex_state = 2},
  [1370] = {.lex_state = 42, .external_lex_state = 2},
  [1371] = {.lex_state = 40, .external_lex_state = 2},
  [1372] = {.lex_state = 42, .external_lex_state = 2},
  [1373] = {.lex_state = 40, .external_lex_state = 2},
  [1374] = {.lex_state = 40, .external_lex_state = 2},
  [1375] = {.lex_state = 40, .external_lex_state = 2},
  [1376] = {.lex_state = 42, .external_lex_state = 5},
  [1377] = {.lex_state = 42, .external_lex_state = 5},
  [1378] = {.lex_state = 42, .external_lex_state = 5},
  [1379] = {.lex_state = 42, .external_lex_state = 5},
  [1380] = {.lex_state = 42, .external_lex_state = 5},
  [1381] = {.lex_state = 40, .external_lex_state = 2},
  [1382] = {.lex_state = 40, .external_lex_state = 2},
  [1383] = {.lex_state = 47, .external_lex_state = 5},
  [1384] = {.lex_state = 40, .external_lex_state = 2},
  [1385] = {.lex_state = 40, .external_lex_state = 2},
  [1386] = {.lex_state = 40, .external_lex_state = 2},
  [1387] = {.lex_state = 40, .external_lex_state = 2},
  [1388] = {.lex_state = 40, .external_lex_state = 2},
  [1389] = {.lex_state = 40, .external_lex_state = 2},
  [1390] = {.lex_state = 40, .external_lex_state = 2},
  [1391] = {.lex_state = 40, .external_lex_state = 2},
  [1392] = {.lex_state = 40, .external_lex_state = 2},
  [1393] = {.lex_state = 42, .external_lex_state = 5},
  [1394] = {.lex_state = 40, .external_lex_state = 2},
  [1395] = {.lex_state = 40, .external_lex_state = 2},
  [1396] = {.lex_state = 42, .external_lex_state = 5},
  [1397] = {.lex_state = 40, .external_lex_state = 2},
  [1398] = {.lex_state = 47, .external_lex_state = 5},
  [1399] = {.lex_state = 40, .external_lex_state = 2},
  [1400] = {.lex_state = 48, .external_lex_state = 2},
  [1401] = {.lex_state = 40, .external_lex_state = 2},
  [1402] = {.lex_state = 40, .external_lex_state = 2},
  [1403] = {.lex_state = 42, .external_lex_state = 5},
  [1404] = {.lex_state = 40, .external_lex_state = 2},
  [1405] = {.lex_state = 40, .external_lex_state = 2},
  [1406] = {.lex_state = 40, .external_lex_state = 2},
  [1407] = {.lex_state = 48, .external_lex_state = 2},
  [1408] = {.lex_state = 40, .external_lex_state = 2},
  [1409] = {.lex_state = 40, .external_lex_state = 2},
  [1410] = {.lex_state = 40, .external_lex_state = 2},
  [1411] = {.lex_state = 40, .external_lex_state = 2},
  [1412] = {.lex_state = 42, .external_lex_state = 5},
  [1413] = {.lex_state = 40, .external_lex_state = 2},
  [1414] = {.lex_state = 40, .external_lex_state = 2},
  [1415] = {.lex_state = 40, .external_lex_state = 2},
  [1416] = {.lex_state = 40, .external_lex_state = 2},
  [1417] = {.lex_state = 40, .external_lex_state = 2},
  [1418] = {.lex_state = 40, .external_lex_state = 2},
  [1419] = {.lex_state = 40, .external_lex_state = 2},
  [1420] = {.lex_state = 40, .external_lex_state = 2},
  [1421] = {.lex_state = 42, .external_lex_state = 5},
  [1422] = {.lex_state = 40, .external_lex_state = 2},
  [1423] = {.lex_state = 40, .external_lex_state = 2},
  [1424] = {.lex_state = 40, .external_lex_state = 2},
  [1425] = {.lex_state = 40, .external_lex_state = 2},
  [1426] = {.lex_state = 40, .external_lex_state = 2},
  [1427] = {.lex_state = 40, .external_lex_state = 2},
  [1428] = {.lex_state = 40, .external_lex_state = 2},
  [1429] = {.lex_state = 40, .external_lex_state = 2},
  [1430] = {.lex_state = 40, .external_lex_state = 2},
  [1431] = {.lex_state = 40, .external_lex_state = 2},
  [1432] = {.lex_state = 40, .external_lex_state = 2},
  [1433] = {.lex_state = 40, .external_lex_state = 2},
  [1434] = {.lex_state = 40, .external_lex_state = 2},
  [1435] = {.lex_state = 40, .external_lex_state = 2},
  [1436] = {.lex_state = 40, .external_lex_state = 2},
  [1437] = {.lex_state = 40, .external_lex_state = 2},
  [1438] = {.lex_state = 40, .external_lex_state = 2},
  [1439] = {.lex_state = 40, .external_lex_state = 2},
  [1440] = {.lex_state = 40, .external_lex_state = 2},
  [1441] = {.lex_state = 40, .external_lex_state = 2},
  [1442] = {.lex_state = 40, .external_lex_state = 2},
  [1443] = {.lex_state = 40, .external_lex_state = 2},
  [1444] = {.lex_state = 40, .external_lex_state = 2},
  [1445] = {.lex_state = 40, .external_lex_state = 2},
  [1446] = {.lex_state = 40, .external_lex_state = 2},
  [1447] = {.lex_state = 40, .external_lex_state = 2},
  [1448] = {.lex_state = 42, .external_lex_state = 5},
  [1449] = {.lex_state = 40, .external_lex_state = 2},
  [1450] = {.lex_state = 40, .external_lex_state = 2},
  [1451] = {.lex_state = 40, .external_lex_state = 2},
  [1452] = {.lex_state = 40, .external_lex_state = 2},
  [1453] = {.lex_state = 40, .external_lex_state = 2},
  [1454] = {.lex_state = 40, .external_lex_state = 2},
  [1455] = {.lex_state = 40, .external_lex_state = 2},
  [1456] = {.lex_state = 48, .external_lex_state = 2},
  [1457] = {.lex_state = 40, .external_lex_state = 2},
  [1458] = {.lex_state = 40, .external_lex_state = 2},
  [1459] = {.lex_state = 42, .external_lex_state = 5},
  [1460] = {.lex_state = 40, .external_lex_state = 2},
  [1461] = {.lex_state = 42, .external_lex_state = 5},
  [1462] = {.lex_state = 40, .external_lex_state = 2},
  [1463] = {.lex_state = 40, .external_lex_state = 2},
  [1464] = {.lex_state = 42, .external_lex_state = 2},
  [1465] = {.lex_state = 42, .external_lex_state = 2},
  [1466] = {.lex_state = 42, .external_lex_state = 2},
  [1467] = {.lex_state = 42, .external_lex_state = 2},
  [1468] = {.lex_state = 42, .external_lex_state = 2},
  [1469] = {.lex_state = 42, .external_lex_state = 2},
  [1470] = {.lex_state = 42, .external_lex_state = 2},
  [1471] = {.lex_state = 42, .external_lex_state = 2},
  [1472] = {.lex_state = 42, .external_lex_state = 2},
  [1473] = {.lex_state = 42, .external_lex_state = 2},
  [1474] = {.lex_state = 42, .external_lex_state = 2},
  [1475] = {.lex_state = 42, .external_lex_state = 2},
  [1476] = {.lex_state = 42, .external_lex_state = 2},
  [1477] = {.lex_state = 42, .external_lex_state = 2},
  [1478] = {.lex_state = 37, .external_lex_state = 5},
  [1479] = {.lex_state = 42, .external_lex_state = 2},
  [1480] = {.lex_state = 42, .external_lex_state = 2},
  [1481] = {.lex_state = 42, .external_lex_state = 2},
  [1482] = {.lex_state = 42, .external_lex_state = 2},
  [1483] = {.lex_state = 42, .external_lex_state = 2},
  [1484] = {.lex_state = 42, .external_lex_state = 2},
  [1485] = {.lex_state = 42, .external_lex_state = 2},
  [1486] = {.lex_state = 37, .external_lex_state = 5},
  [1487] = {.lex_state = 42, .external_lex_state = 2},
  [1488] = {.lex_state = 37, .external_lex_state = 5},
  [1489] = {.lex_state = 42, .external_lex_state = 2},
  [1490] = {.lex_state = 37, .external_lex_state = 5},
  [1491] = {.lex_state = 42, .external_lex_state = 2},
  [1492] = {.lex_state = 42, .external_lex_state = 2},
  [1493] = {.lex_state = 42, .external_lex_state = 2},
  [1494] = {.lex_state = 42, .external_lex_state = 2},
  [1495] = {.lex_state = 37, .external_lex_state = 5},
  [1496] = {.lex_state = 42, .external_lex_state = 2},
  [1497] = {.lex_state = 42, .external_lex_state = 2},
  [1498] = {.lex_state = 42, .external_lex_state = 2},
  [1499] = {.lex_state = 47, .external_lex_state = 2},
  [1500] = {.lex_state = 42, .external_lex_state = 2},
  [1501] = {.lex_state = 42, .external_lex_state = 2},
  [1502] = {.lex_state = 42, .external_lex_state = 2},
  [1503] = {.lex_state = 42, .external_lex_state = 2},
  [1504] = {.lex_state = 47, .external_lex_state = 2},
  [1505] = {.lex_state = 42, .external_lex_state = 2},
  [1506] = {.lex_state = 42, .external_lex_state = 2},
  [1507] = {.lex_state = 42, .external_lex_state = 2},
  [1508] = {.lex_state = 42, .external_lex_state = 2},
  [1509] = {.lex_state = 42, .external_lex_state = 2},
  [1510] = {.lex_state = 42, .external_lex_state = 2},
  [1511] = {.lex_state = 42, .external_lex_state = 2},
  [1512] = {.lex_state = 42, .external_lex_state = 2},
  [1513] = {.lex_state = 42, .external_lex_state = 2},
  [1514] = {.lex_state = 42, .external_lex_state = 2},
  [1515] = {.lex_state = 42, .external_lex_state = 2},
  [1516] = {.lex_state = 42, .external_lex_state = 2},
  [1517] = {.lex_state = 42, .external_lex_state = 2},
  [1518] = {.lex_state = 42, .external_lex_state = 2},
  [1519] = {.lex_state = 42, .external_lex_state = 2},
  [1520] = {.lex_state = 42, .external_lex_state = 2},
  [1521] = {.lex_state = 42, .external_lex_state = 2},
  [1522] = {.lex_state = 37, .external_lex_state = 5},
  [1523] = {.lex_state = 37, .external_lex_state = 5},
  [1524] = {.lex_state = 37, .external_lex_state = 5},
  [1525] = {.lex_state = 42, .external_lex_state = 2},
  [1526] = {.lex_state = 42, .external_lex_state = 2},
  [1527] = {.lex_state = 42, .external_lex_state = 2},
  [1528] = {.lex_state = 42, .external_lex_state = 2},
  [1529] = {.lex_state = 42, .external_lex_state = 2},
  [1530] = {.lex_state = 42, .external_lex_state = 2},
  [1531] = {.lex_state = 42, .external_lex_state = 2},
  [1532] = {.lex_state = 42, .external_lex_state = 2},
  [1533] = {.lex_state = 42, .external_lex_state = 2},
  [1534] = {.lex_state = 37, .external_lex_state = 5},
  [1535] = {.lex_state = 42, .external_lex_state = 2},
  [1536] = {.lex_state = 42, .external_lex_state = 2},
  [1537] = {.lex_state = 42, .external_lex_state = 2},
  [1538] = {.lex_state = 42, .external_lex_state = 2},
  [1539] = {.lex_state = 42, .external_lex_state = 2},
  [1540] = {.lex_state = 42, .external_lex_state = 2},
  [1541] = {.lex_state = 42, .external_lex_state = 2},
  [1542] = {.lex_state = 42, .external_lex_state = 2},
  [1543] = {.lex_state = 42, .external_lex_state = 2},
  [1544] = {.lex_state = 42, .external_lex_state = 2},
  [1545] = {.lex_state = 42, .external_lex_state = 2},
  [1546] = {.lex_state = 42, .external_lex_state = 2},
  [1547] = {.lex_state = 42, .external_lex_state = 2},
  [1548] = {.lex_state = 42, .external_lex_state = 2},
  [1549] = {.lex_state = 42, .external_lex_state = 2},
  [1550] = {.lex_state = 42, .external_lex_state = 2},
  [1551] = {.lex_state = 42, .external_lex_state = 2},
  [1552] = {.lex_state = 42, .external_lex_state = 2},
  [1553] = {.lex_state = 42, .external_lex_state = 2},
  [1554] = {.lex_state = 37, .external_lex_state = 5},
  [1555] = {.lex_state = 37, .external_lex_state = 5},
  [1556] = {.lex_state = 42, .external_lex_state = 2},
  [1557] = {.lex_state = 42, .external_lex_state = 2},
  [1558] = {.lex_state = 42, .external_lex_state = 2},
  [1559] = {.lex_state = 42, .external_lex_state = 2},
  [1560] = {.lex_state = 42, .external_lex_state = 2},
  [1561] = {.lex_state = 42, .external_lex_state = 2},
  [1562] = {.lex_state = 42, .external_lex_state = 2},
  [1563] = {.lex_state = 42, .external_lex_state = 2},
  [1564] = {.lex_state = 42, .external_lex_state = 2},
  [1565] = {.lex_state = 42, .external_lex_state = 2},
  [1566] = {.lex_state = 42, .external_lex_state = 2},
  [1567] = {.lex_state = 42, .external_lex_state = 2},
  [1568] = {.lex_state = 42, .external_lex_state = 2},
  [1569] = {.lex_state = 42, .external_lex_state = 2},
  [1570] = {.lex_state = 42, .external_lex_state = 2},
  [1571] = {.lex_state = 42, .external_lex_state = 2},
  [1572] = {.lex_state = 37, .external_lex_state = 5},
  [1573] = {.lex_state = 42, .external_lex_state = 2},
  [1574] = {.lex_state = 42, .external_lex_state = 2},
  [1575] = {.lex_state = 42, .external_lex_state = 2},
  [1576] = {.lex_state = 42, .external_lex_state = 2},
  [1577] = {.lex_state = 42, .external_lex_state = 2},
  [1578] = {.lex_state = 42, .external_lex_state = 2},
  [1579] = {.lex_state = 42, .external_lex_state = 2},
  [1580] = {.lex_state = 42, .external_lex_state = 2},
  [1581] = {.lex_state = 42, .external_lex_state = 2},
  [1582] = {.lex_state = 42, .external_lex_state = 2},
  [1583] = {.lex_state = 42, .external_lex_state = 2},
  [1584] = {.lex_state = 42, .external_lex_state = 2},
  [1585] = {.lex_state = 42, .external_lex_state = 2},
  [1586] = {.lex_state = 42, .external_lex_state = 2},
  [1587] = {.lex_state = 42, .external_lex_state = 2},
  [1588] = {.lex_state = 42, .external_lex_state = 2},
  [1589] = {.lex_state = 42, .external_lex_state = 2},
  [1590] = {.lex_state = 37, .external_lex_state = 5},
  [1591] = {.lex_state = 42, .external_lex_state = 2},
  [1592] = {.lex_state = 42, .external_lex_state = 2},
  [1593] = {.lex_state = 42, .external_lex_state = 2},
  [1594] = {.lex_state = 42, .external_lex_state = 2},
  [1595] = {.lex_state = 42, .external_lex_state = 2},
  [1596] = {.lex_state = 42, .external_lex_state = 2},
  [1597] = {.lex_state = 42, .external_lex_state = 2},
  [1598] = {.lex_state = 42, .external_lex_state = 2},
  [1599] = {.lex_state = 42, .external_lex_state = 2},
  [1600] = {.lex_state = 42, .external_lex_state = 2},
  [1601] = {.lex_state = 37, .external_lex_state = 5},
  [1602] = {.lex_state = 42, .external_lex_state = 2},
  [1603] = {.lex_state = 37, .external_lex_state = 2},
  [1604] = {.lex_state = 37, .external_lex_state = 2},
  [1605] = {.lex_state = 42, .external_lex_state = 2},
  [1606] = {.lex_state = 42, .external_lex_state = 2},
  [1607] = {.lex_state = 42, .external_lex_state = 2},
  [1608] = {.lex_state = 42, .external_lex_state = 2},
  [1609] = {.lex_state = 37, .external_lex_state = 5},
  [1610] = {.lex_state = 37, .external_lex_state = 2},
  [1611] = {.lex_state = 42, .external_lex_state = 2},
  [1612] = {.lex_state = 42, .external_lex_state = 2},
  [1613] = {.lex_state = 42, .external_lex_state = 2},
  [1614] = {.lex_state = 42, .external_lex_state = 2},
  [1615] = {.lex_state = 42, .external_lex_state = 2},
  [1616] = {.lex_state = 42, .external_lex_state = 2},
  [1617] = {.lex_state = 42, .external_lex_state = 2},
  [1618] = {.lex_state = 42, .external_lex_state = 2},
  [1619] = {.lex_state = 42, .external_lex_state = 2},
  [1620] = {.lex_state = 42, .external_lex_state = 2},
  [1621] = {.lex_state = 42, .external_lex_state = 2},
  [1622] = {.lex_state = 42, .external_lex_state = 2},
  [1623] = {.lex_state = 42, .external_lex_state = 2},
  [1624] = {.lex_state = 37, .external_lex_state = 5},
  [1625] = {.lex_state = 42, .external_lex_state = 2},
  [1626] = {.lex_state = 42, .external_lex_state = 2},
  [1627] = {.lex_state = 42, .external_lex_state = 2},
  [1628] = {.lex_state = 42, .external_lex_state = 2},
  [1629] = {.lex_state = 42, .external_lex_state = 2},
  [1630] = {.lex_state = 42, .external_lex_state = 2},
  [1631] = {.lex_state = 42, .external_lex_state = 2},
  [1632] = {.lex_state = 42, .external_lex_state = 2},
  [1633] = {.lex_state = 42, .external_lex_state = 2},
  [1634] = {.lex_state = 42, .external_lex_state = 2},
  [1635] = {.lex_state = 42, .external_lex_state = 2},
  [1636] = {.lex_state = 42, .external_lex_state = 2},
  [1637] = {.lex_state = 42, .external_lex_state = 2},
  [1638] = {.lex_state = 42, .external_lex_state = 2},
  [1639] = {.lex_state = 42, .external_lex_state = 2},
  [1640] = {.lex_state = 37, .external_lex_state = 5},
  [1641] = {.lex_state = 42, .external_lex_state = 2},
  [1642] = {.lex_state = 47, .external_lex_state = 2},
  [1643] = {.lex_state = 42, .external_lex_state = 2},
  [1644] = {.lex_state = 42, .external_lex_state = 2},
  [1645] = {.lex_state = 42, .external_lex_state = 2},
  [1646] = {.lex_state = 42, .external_lex_state = 2},
  [1647] = {.lex_state = 42, .external_lex_state = 2},
  [1648] = {.lex_state = 42, .external_lex_state = 2},
  [1649] = {.lex_state = 42, .external_lex_state = 2},
  [1650] = {.lex_state = 47, .external_lex_state = 2},
  [1651] = {.lex_state = 37, .external_lex_state = 5},
  [1652] = {.lex_state = 37, .external_lex_state = 5},
  [1653] = {.lex_state = 37, .external_lex_state = 5},
  [1654] = {.lex_state = 47, .external_lex_state = 2},
  [1655] = {.lex_state = 37, .external_lex_state = 5},
  [1656] = {.lex_state = 37, .external_lex_state = 5},
  [1657] = {.lex_state = 37, .external_lex_state = 5},
  [1658] = {.lex_state = 42, .external_lex_state = 2},
  [1659] = {.lex_state = 37, .external_lex_state = 2},
  [1660] = {.lex_state = 37, .external_lex_state = 2},
  [1661] = {.lex_state = 37, .external_lex_state = 2},
  [1662] = {.lex_state = 37, .external_lex_state = 2},
  [1663] = {.lex_state = 37, .external_lex_state = 2},
  [1664] = {.lex_state = 37, .external_lex_state = 2},
  [1665] = {.lex_state = 37, .external_lex_state = 2},
  [1666] = {.lex_state = 37, .external_lex_state = 2},
  [1667] = {.lex_state = 37, .external_lex_state = 2},
  [1668] = {.lex_state = 37, .external_lex_state = 2},
  [1669] = {.lex_state = 37, .external_lex_state = 2},
  [1670] = {.lex_state = 37, .external_lex_state = 2},
  [1671] = {.lex_state = 37, .external_lex_state = 2},
  [1672] = {.lex_state = 37, .external_lex_state = 2},
  [1673] = {.lex_state = 37, .external_lex_state = 2},
  [1674] = {.lex_state = 37, .external_lex_state = 2},
  [1675] = {.lex_state = 37, .external_lex_state = 2},
  [1676] = {.lex_state = 37, .external_lex_state = 2},
  [1677] = {.lex_state = 37, .external_lex_state = 2},
  [1678] = {.lex_state = 37, .external_lex_state = 2},
  [1679] = {.lex_state = 37, .external_lex_state = 2},
  [1680] = {.lex_state = 37, .external_lex_state = 2},
  [1681] = {.lex_state = 37, .external_lex_state = 2},
  [1682] = {.lex_state = 37, .external_lex_state = 2},
  [1683] = {.lex_state = 37, .external_lex_state = 2},
  [1684] = {.lex_state = 37, .external_lex_state = 2},
  [1685] = {.lex_state = 37, .external_lex_state = 2},
  [1686] = {.lex_state = 37, .external_lex_state = 2},
  [1687] = {.lex_state = 37, .external_lex_state = 2},
  [1688] = {.lex_state = 37, .external_lex_state = 2},
  [1689] = {.lex_state = 37, .external_lex_state = 2},
  [1690] = {.lex_state = 37, .external_lex_state = 2},
  [1691] = {.lex_state = 37, .external_lex_state = 2},
  [1692] = {.lex_state = 37, .external_lex_state = 2},
  [1693] = {.lex_state = 37, .external_lex_state = 2},
  [1694] = {.lex_state = 37, .external_lex_state = 2},
  [1695] = {.lex_state = 37, .external_lex_state = 2},
  [1696] = {.lex_state = 37, .external_lex_state = 2},
  [1697] = {.lex_state = 37, .external_lex_state = 2},
  [1698] = {.lex_state = 37, .external_lex_state = 2},
  [1699] = {.lex_state = 37, .external_lex_state = 2},
  [1700] = {.lex_state = 37, .external_lex_state = 2},
  [1701] = {.lex_state = 37, .external_lex_state = 2},
  [1702] = {.lex_state = 37, .external_lex_state = 2},
  [1703] = {.lex_state = 37, .external_lex_state = 2},
  [1704] = {.lex_state = 37, .external_lex_state = 2},
  [1705] = {.lex_state = 37, .external_lex_state = 2},
  [1706] = {.lex_state = 37, .external_lex_state = 2},
  [1707] = {.lex_state = 37, .external_lex_state = 2},
  [1708] = {.lex_state = 37, .external_lex_state = 2},
  [1709] = {.lex_state = 37, .external_lex_state = 2},
  [1710] = {.lex_state = 37, .external_lex_state = 2},
  [1711] = {.lex_state = 37, .external_lex_state = 2},
  [1712] = {.lex_state = 37, .external_lex_state = 2},
  [1713] = {.lex_state = 37, .external_lex_state = 2},
  [1714] = {.lex_state = 37, .external_lex_state = 2},
  [1715] = {.lex_state = 37, .external_lex_state = 2},
  [1716] = {.lex_state = 37, .external_lex_state = 2},
  [1717] = {.lex_state = 37, .external_lex_state = 2},
  [1718] = {.lex_state = 37, .external_lex_state = 2},
  [1719] = {.lex_state = 37, .external_lex_state = 2},
  [1720] = {.lex_state = 37, .external_lex_state = 2},
  [1721] = {.lex_state = 37, .external_lex_state = 2},
  [1722] = {.lex_state = 37, .external_lex_state = 2},
  [1723] = {.lex_state = 37, .external_lex_state = 2},
  [1724] = {.lex_state = 37, .external_lex_state = 2},
  [1725] = {.lex_state = 37, .external_lex_state = 2},
  [1726] = {.lex_state = 37, .external_lex_state = 2},
  [1727] = {.lex_state = 37, .external_lex_state = 2},
  [1728] = {.lex_state = 37, .external_lex_state = 2},
  [1729] = {.lex_state = 37, .external_lex_state = 2},
  [1730] = {.lex_state = 37, .external_lex_state = 2},
  [1731] = {.lex_state = 37, .external_lex_state = 2},
  [1732] = {.lex_state = 37, .external_lex_state = 2},
  [1733] = {.lex_state = 37, .external_lex_state = 2},
  [1734] = {.lex_state = 37, .external_lex_state = 2},
  [1735] = {.lex_state = 37, .external_lex_state = 2},
  [1736] = {.lex_state = 37, .external_lex_state = 2},
  [1737] = {.lex_state = 37, .external_lex_state = 2},
  [1738] = {.lex_state = 37, .external_lex_state = 2},
  [1739] = {.lex_state = 37, .external_lex_state = 2},
  [1740] = {.lex_state = 37, .external_lex_state = 2},
  [1741] = {.lex_state = 37, .external_lex_state = 2},
  [1742] = {.lex_state = 37, .external_lex_state = 2},
  [1743] = {.lex_state = 37, .external_lex_state = 2},
  [1744] = {.lex_state = 37, .external_lex_state = 2},
  [1745] = {.lex_state = 37, .external_lex_state = 2},
  [1746] = {.lex_state = 37, .external_lex_state = 2},
  [1747] = {.lex_state = 37, .external_lex_state = 2},
  [1748] = {.lex_state = 37, .external_lex_state = 2},
  [1749] = {.lex_state = 37, .external_lex_state = 2},
  [1750] = {.lex_state = 37, .external_lex_state = 2},
  [1751] = {.lex_state = 37, .external_lex_state = 2},
  [1752] = {.lex_state = 37, .external_lex_state = 2},
  [1753] = {.lex_state = 37, .external_lex_state = 2},
  [1754] = {.lex_state = 37, .external_lex_state = 2},
  [1755] = {.lex_state = 37, .external_lex_state = 2},
  [1756] = {.lex_state = 37, .external_lex_state = 2},
  [1757] = {.lex_state = 37, .external_lex_state = 2},
  [1758] = {.lex_state = 37, .external_lex_state = 2},
  [1759] = {.lex_state = 37, .external_lex_state = 2},
  [1760] = {.lex_state = 37, .external_lex_state = 2},
  [1761] = {.lex_state = 37, .external_lex_state = 2},
  [1762] = {.lex_state = 37, .external_lex_state = 2},
  [1763] = {.lex_state = 37, .external_lex_state = 2},
  [1764] = {.lex_state = 37, .external_lex_state = 2},
  [1765] = {.lex_state = 37, .external_lex_state = 2},
  [1766] = {.lex_state = 37, .external_lex_state = 2},
  [1767] = {.lex_state = 37, .external_lex_state = 2},
  [1768] = {.lex_state = 37, .external_lex_state = 2},
  [1769] = {.lex_state = 37, .external_lex_state = 2},
  [1770] = {.lex_state = 37, .external_lex_state = 2},
  [1771] = {.lex_state = 37, .external_lex_state = 2},
  [1772] = {.lex_state = 37, .external_lex_state = 2},
  [1773] = {.lex_state = 37, .external_lex_state = 2},
  [1774] = {.lex_state = 37, .external_lex_state = 2},
  [1775] = {.lex_state = 37, .external_lex_state = 2},
  [1776] = {.lex_state = 37, .external_lex_state = 2},
  [1777] = {.lex_state = 37, .external_lex_state = 2},
  [1778] = {.lex_state = 37, .external_lex_state = 2},
  [1779] = {.lex_state = 37, .external_lex_state = 2},
  [1780] = {.lex_state = 37, .external_lex_state = 2},
  [1781] = {.lex_state = 37, .external_lex_state = 2},
  [1782] = {.lex_state = 37, .external_lex_state = 2},
  [1783] = {.lex_state = 37, .external_lex_state = 2},
  [1784] = {.lex_state = 37, .external_lex_state = 2},
  [1785] = {.lex_state = 37, .external_lex_state = 2},
  [1786] = {.lex_state = 37, .external_lex_state = 2},
  [1787] = {.lex_state = 37, .external_lex_state = 2},
  [1788] = {.lex_state = 37, .external_lex_state = 2},
  [1789] = {.lex_state = 37, .external_lex_state = 2},
  [1790] = {.lex_state = 37, .external_lex_state = 2},
  [1791] = {.lex_state = 37, .external_lex_state = 2},
  [1792] = {.lex_state = 37, .external_lex_state = 2},
  [1793] = {.lex_state = 37, .external_lex_state = 2},
  [1794] = {.lex_state = 37, .external_lex_state = 2},
  [1795] = {.lex_state = 37, .external_lex_state = 2},
  [1796] = {.lex_state = 37, .external_lex_state = 2},
  [1797] = {.lex_state = 37, .external_lex_state = 2},
  [1798] = {.lex_state = 37, .external_lex_state = 2},
  [1799] = {.lex_state = 37, .external_lex_state = 2},
  [1800] = {.lex_state = 37, .external_lex_state = 2},
  [1801] = {.lex_state = 37, .external_lex_state = 2},
  [1802] = {.lex_state = 37, .external_lex_state = 2},
  [1803] = {.lex_state = 37, .external_lex_state = 2},
  [1804] = {.lex_state = 37, .external_lex_state = 2},
  [1805] = {.lex_state = 37, .external_lex_state = 2},
  [1806] = {.lex_state = 37, .external_lex_state = 2},
  [1807] = {.lex_state = 37, .external_lex_state = 2},
  [1808] = {.lex_state = 37, .external_lex_state = 2},
  [1809] = {.lex_state = 37, .external_lex_state = 2},
  [1810] = {.lex_state = 37, .external_lex_state = 2},
  [1811] = {.lex_state = 37, .external_lex_state = 2},
  [1812] = {.lex_state = 37, .external_lex_state = 2},
  [1813] = {.lex_state = 37, .external_lex_state = 2},
  [1814] = {.lex_state = 37, .external_lex_state = 2},
  [1815] = {.lex_state = 37, .external_lex_state = 2},
  [1816] = {.lex_state = 37, .external_lex_state = 2},
  [1817] = {.lex_state = 37, .external_lex_state = 2},
  [1818] = {.lex_state = 37, .external_lex_state = 2},
  [1819] = {.lex_state = 37, .external_lex_state = 2},
  [1820] = {.lex_state = 37, .external_lex_state = 2},
  [1821] = {.lex_state = 37, .external_lex_state = 2},
  [1822] = {.lex_state = 37, .external_lex_state = 2},
  [1823] = {.lex_state = 37, .external_lex_state = 2},
  [1824] = {.lex_state = 37, .external_lex_state = 2},
  [1825] = {.lex_state = 37, .external_lex_state = 2},
  [1826] = {.lex_state = 37, .external_lex_state = 2},
  [1827] = {.lex_state = 37, .external_lex_state = 2},
  [1828] = {.lex_state = 37, .external_lex_state = 2},
  [1829] = {.lex_state = 37, .external_lex_state = 2},
  [1830] = {.lex_state = 37, .external_lex_state = 2},
  [1831] = {.lex_state = 37, .external_lex_state = 2},
  [1832] = {.lex_state = 37, .external_lex_state = 2},
  [1833] = {.lex_state = 37, .external_lex_state = 2},
  [1834] = {.lex_state = 37, .external_lex_state = 2},
  [1835] = {.lex_state = 37, .external_lex_state = 2},
  [1836] = {.lex_state = 37, .external_lex_state = 2},
  [1837] = {.lex_state = 29, .external_lex_state = 4},
  [1838] = {.lex_state = 29, .external_lex_state = 4},
  [1839] = {.lex_state = 29, .external_lex_state = 4},
  [1840] = {.lex_state = 29, .external_lex_state = 4},
  [1841] = {.lex_state = 29, .external_lex_state = 4},
  [1842] = {.lex_state = 28, .external_lex_state = 4},
  [1843] = {.lex_state = 29, .external_lex_state = 4},
  [1844] = {.lex_state = 29, .external_lex_state = 4},
  [1845] = {.lex_state = 29, .external_lex_state = 4},
  [1846] = {.lex_state = 28, .external_lex_state = 4},
  [1847] = {.lex_state = 28, .external_lex_state = 4},
  [1848] = {.lex_state = 58, .external_lex_state = 2},
  [1849] = {.lex_state = 38, .external_lex_state = 2},
  [1850] = {.lex_state = 38, .external_lex_state = 2},
  [1851] = {.lex_state = 29, .external_lex_state = 4},
  [1852] = {.lex_state = 58, .external_lex_state = 2},
  [1853] = {.lex_state = 29, .external_lex_state = 4},
  [1854] = {.lex_state = 29, .external_lex_state = 4},
  [1855] = {.lex_state = 29, .external_lex_state = 4},
  [1856] = {.lex_state = 29, .external_lex_state = 4},
  [1857] = {.lex_state = 29, .external_lex_state = 4},
  [1858] = {.lex_state = 38, .external_lex_state = 2},
  [1859] = {.lex_state = 38, .external_lex_state = 2},
  [1860] = {.lex_state = 38, .external_lex_state = 2},
  [1861] = {.lex_state = 28, .external_lex_state = 4},
  [1862] = {.lex_state = 29, .external_lex_state = 4},
  [1863] = {.lex_state = 38, .external_lex_state = 2},
  [1864] = {.lex_state = 28, .external_lex_state = 4},
  [1865] = {.lex_state = 29, .external_lex_state = 4},
  [1866] = {.lex_state = 38, .external_lex_state = 2},
  [1867] = {.lex_state = 58, .external_lex_state = 2},
  [1868] = {.lex_state = 28, .external_lex_state = 4},
  [1869] = {.lex_state = 28, .external_lex_state = 4},
  [1870] = {.lex_state = 29, .external_lex_state = 4},
  [1871] = {.lex_state = 38, .external_lex_state = 2},
  [1872] = {.lex_state = 29, .external_lex_state = 4},
  [1873] = {.lex_state = 29, .external_lex_state = 4},
  [1874] = {.lex_state = 29, .external_lex_state = 4},
  [1875] = {.lex_state = 29, .external_lex_state = 4},
  [1876] = {.lex_state = 38, .external_lex_state = 2},
  [1877] = {.lex_state = 29, .external_lex_state = 4},
  [1878] = {.lex_state = 38, .external_lex_state = 2},
  [1879] = {.lex_state = 58, .external_lex_state = 2},
  [1880] = {.lex_state = 29, .external_lex_state = 4},
  [1881] = {.lex_state = 29, .external_lex_state = 4},
  [1882] = {.lex_state = 29, .external_lex_state = 4},
  [1883] = {.lex_state = 29, .external_lex_state = 4},
  [1884] = {.lex_state = 58, .external_lex_state = 2},
  [1885] = {.lex_state = 28, .external_lex_state = 4},
  [1886] = {.lex_state = 29, .external_lex_state = 4},
  [1887] = {.lex_state = 38, .external_lex_state = 2},
  [1888] = {.lex_state = 38, .external_lex_state = 2},
  [1889] = {.lex_state = 29, .external_lex_state = 4},
  [1890] = {.lex_state = 38, .external_lex_state = 2},
  [1891] = {.lex_state = 29, .external_lex_state = 4},
  [1892] = {.lex_state = 28, .external_lex_state = 4},
  [1893] = {.lex_state = 28, .external_lex_state = 4},
  [1894] = {.lex_state = 28, .external_lex_state = 4},
  [1895] = {.lex_state = 58, .external_lex_state = 2},
  [1896] = {.lex_state = 28, .external_lex_state = 4},
  [1897] = {.lex_state = 58, .external_lex_state = 2},
  [1898] = {.lex_state = 58, .external_lex_state = 2},
  [1899] = {.lex_state = 28, .external_lex_state = 4},
  [1900] = {.lex_state = 28, .external_lex_state = 4},
  [1901] = {.lex_state = 28, .external_lex_state = 4},
  [1902] = {.lex_state = 58, .external_lex_state = 2},
  [1903] = {.lex_state = 58, .external_lex_state = 2},
  [1904] = {.lex_state = 28, .external_lex_state = 4},
  [1905] = {.lex_state = 58, .external_lex_state = 2},
  [1906] = {.lex_state = 28, .external_lex_state = 4},
  [1907] = {.lex_state = 58, .external_lex_state = 2},
  [1908] = {.lex_state = 28, .external_lex_state = 4},
  [1909] = {.lex_state = 28, .external_lex_state = 4},
  [1910] = {.lex_state = 28, .external_lex_state = 4},
  [1911] = {.lex_state = 58, .external_lex_state = 2},
  [1912] = {.lex_state = 28, .external_lex_state = 4},
  [1913] = {.lex_state = 28, .external_lex_state = 4},
  [1914] = {.lex_state = 28, .external_lex_state = 4},
  [1915] = {.lex_state = 28, .external_lex_state = 4},
  [1916] = {.lex_state = 28, .external_lex_state = 4},
  [1917] = {.lex_state = 28, .external_lex_state = 4},
  [1918] = {.lex_state = 28, .external_lex_state = 4},
  [1919] = {.lex_state = 58, .external_lex_state = 2},
  [1920] = {.lex_state = 58, .external_lex_state = 2},
  [1921] = {.lex_state = 28, .external_lex_state = 4},
  [1922] = {.lex_state = 28, .external_lex_state = 4},
  [1923] = {.lex_state = 59, .external_lex_state = 2},
  [1924] = {.lex_state = 59, .external_lex_state = 2},
  [1925] = {.lex_state = 59, .external_lex_state = 2},
  [1926] = {.lex_state = 58, .external_lex_state = 2},
  [1927] = {.lex_state = 59, .external_lex_state = 2},
  [1928] = {.lex_state = 59, .external_lex_state = 2},
  [1929] = {.lex_state = 59, .external_lex_state = 2},
  [1930] = {.lex_state = 59, .external_lex_state = 2},
  [1931] = {.lex_state = 59, .external_lex_state = 2},
  [1932] = {.lex_state = 59, .external_lex_state = 2},
  [1933] = {.lex_state = 59, .external_lex_state = 2},
  [1934] = {.lex_state = 59, .external_lex_state = 2},
  [1935] = {.lex_state = 59, .external_lex_state = 2},
  [1936] = {.lex_state = 59, .external_lex_state = 2},
  [1937] = {.lex_state = 59, .external_lex_state = 2},
  [1938] = {.lex_state = 38, .external_lex_state = 2},
  [1939] = {.lex_state = 59, .external_lex_state = 2},
  [1940] = {.lex_state = 59, .external_lex_state = 2},
  [1941] = {.lex_state = 59, .external_lex_state = 2},
  [1942] = {.lex_state = 59, .external_lex_state = 2},
  [1943] = {.lex_state = 59, .external_lex_state = 2},
  [1944] = {.lex_state = 59, .external_lex_state = 2},
  [1945] = {.lex_state = 59, .external_lex_state = 2},
  [1946] = {.lex_state = 59, .external_lex_state = 2},
  [1947] = {.lex_state = 59, .external_lex_state = 2},
  [1948] = {.lex_state = 38, .external_lex_state = 2},
  [1949] = {.lex_state = 59, .external_lex_state = 2},
  [1950] = {.lex_state = 59, .external_lex_state = 2},
  [1951] = {.lex_state = 59, .external_lex_state = 2},
  [1952] = {.lex_state = 59, .external_lex_state = 2},
  [1953] = {.lex_state = 59, .external_lex_state = 2},
  [1954] = {.lex_state = 59, .external_lex_state = 2},
  [1955] = {.lex_state = 59, .external_lex_state = 2},
  [1956] = {.lex_state = 59, .external_lex_state = 2},
  [1957] = {.lex_state = 59, .external_lex_state = 2},
  [1958] = {.lex_state = 59, .external_lex_state = 2},
  [1959] = {.lex_state = 59, .external_lex_state = 2},
  [1960] = {.lex_state = 59, .external_lex_state = 2},
  [1961] = {.lex_state = 59, .external_lex_state = 2},
  [1962] = {.lex_state = 59, .external_lex_state = 2},
  [1963] = {.lex_state = 59, .external_lex_state = 2},
  [1964] = {.lex_state = 59, .external_lex_state = 2},
  [1965] = {.lex_state = 59, .external_lex_state = 2},
  [1966] = {.lex_state = 59, .external_lex_state = 2},
  [1967] = {.lex_state = 59, .external_lex_state = 2},
  [1968] = {.lex_state = 59, .external_lex_state = 2},
  [1969] = {.lex_state = 59, .external_lex_state = 2},
  [1970] = {.lex_state = 59, .external_lex_state = 2},
  [1971] = {.lex_state = 59, .external_lex_state = 2},
  [1972] = {.lex_state = 59, .external_lex_state = 2},
  [1973] = {.lex_state = 59, .external_lex_state = 2},
  [1974] = {.lex_state = 59, .external_lex_state = 2},
  [1975] = {.lex_state = 59, .external_lex_state = 2},
  [1976] = {.lex_state = 59, .external_lex_state = 2},
  [1977] = {.lex_state = 59, .external_lex_state = 2},
  [1978] = {.lex_state = 59, .external_lex_state = 2},
  [1979] = {.lex_state = 59, .external_lex_state = 2},
  [1980] = {.lex_state = 59, .external_lex_state = 2},
  [1981] = {.lex_state = 58, .external_lex_state = 2},
  [1982] = {.lex_state = 58, .external_lex_state = 2},
  [1983] = {.lex_state = 58, .external_lex_state = 2},
  [1984] = {.lex_state = 58, .external_lex_state = 2},
  [1985] = {.lex_state = 58, .external_lex_state = 2},
  [1986] = {.lex_state = 58, .external_lex_state = 2},
  [1987] = {.lex_state = 58, .external_lex_state = 2},
  [1988] = {.lex_state = 58, .external_lex_state = 2},
  [1989] = {.lex_state = 58, .external_lex_state = 2},
  [1990] = {.lex_state = 58, .external_lex_state = 2},
  [1991] = {.lex_state = 15, .external_lex_state = 4},
  [1992] = {.lex_state = 58, .external_lex_state = 2},
  [1993] = {.lex_state = 15, .external_lex_state = 4},
  [1994] = {.lex_state = 15, .external_lex_state = 4},
  [1995] = {.lex_state = 15, .external_lex_state = 4},
  [1996] = {.lex_state = 15, .external_lex_state = 4},
  [1997] = {.lex_state = 15, .external_lex_state = 4},
  [1998] = {.lex_state = 58, .external_lex_state = 2},
  [1999] = {.lex_state = 15, .external_lex_state = 4},
  [2000] = {.lex_state = 15, .external_lex_state = 4},
  [2001] = {.lex_state = 15, .external_lex_state = 4},
  [2002] = {.lex_state = 58, .external_lex_state = 2},
  [2003] = {.lex_state = 58, .external_lex_state = 2},
  [2004] = {.lex_state = 15, .external_lex_state = 4},
  [2005] = {.lex_state = 15, .external_lex_state = 4},
  [2006] = {.lex_state = 15, .external_lex_state = 4},
  [2007] = {.lex_state = 58, .external_lex_state = 2},
  [2008] = {.lex_state = 58, .external_lex_state = 2},
  [2009] = {.lex_state = 58, .external_lex_state = 2},
  [2010] = {.lex_state = 58, .external_lex_state = 2},
  [2011] = {.lex_state = 58, .external_lex_state = 2},
  [2012] = {.lex_state = 58, .external_lex_state = 2},
  [2013] = {.lex_state = 58, .external_lex_state = 2},
  [2014] = {.lex_state = 58, .external_lex_state = 2},
  [2015] = {.lex_state = 36, .external_lex_state = 2},
  [2016] = {.lex_state = 58, .external_lex_state = 2},
  [2017] = {.lex_state = 58, .external_lex_state = 2},
  [2018] = {.lex_state = 58, .external_lex_state = 2},
  [2019] = {.lex_state = 58, .external_lex_state = 2},
  [2020] = {.lex_state = 58, .external_lex_state = 2},
  [2021] = {.lex_state = 58, .external_lex_state = 2},
  [2022] = {.lex_state = 58, .external_lex_state = 2},
  [2023] = {.lex_state = 58, .external_lex_state = 2},
  [2024] = {.lex_state = 58, .external_lex_state = 2},
  [2025] = {.lex_state = 58, .external_lex_state = 2},
  [2026] = {.lex_state = 58, .external_lex_state = 2},
  [2027] = {.lex_state = 58, .external_lex_state = 2},
  [2028] = {.lex_state = 58, .external_lex_state = 2},
  [2029] = {.lex_state = 58, .external_lex_state = 2},
  [2030] = {.lex_state = 58, .external_lex_state = 2},
  [2031] = {.lex_state = 58, .external_lex_state = 2},
  [2032] = {.lex_state = 58, .external_lex_state = 2},
  [2033] = {.lex_state = 58, .external_lex_state = 2},
  [2034] = {.lex_state = 58, .external_lex_state = 2},
  [2035] = {.lex_state = 58, .external_lex_state = 2},
  [2036] = {.lex_state = 58, .external_lex_state = 2},
  [2037] = {.lex_state = 58, .external_lex_state = 2},
  [2038] = {.lex_state = 58, .external_lex_state = 2},
  [2039] = {.lex_state = 58, .external_lex_state = 2},
  [2040] = {.lex_state = 58, .external_lex_state = 2},
  [2041] = {.lex_state = 58, .external_lex_state = 2},
  [2042] = {.lex_state = 58, .external_lex_state = 2},
  [2043] = {.lex_state = 58, .external_lex_state = 2},
  [2044] = {.lex_state = 58, .external_lex_state = 2},
  [2045] = {.lex_state = 58, .external_lex_state = 2},
  [2046] = {.lex_state = 58, .external_lex_state = 2},
  [2047] = {.lex_state = 58, .external_lex_state = 2},
  [2048] = {.lex_state = 58, .external_lex_state = 2},
  [2049] = {.lex_state = 58, .external_lex_state = 2},
  [2050] = {.lex_state = 58, .external_lex_state = 2},
  [2051] = {.lex_state = 58, .external_lex_state = 2},
  [2052] = {.lex_state = 58, .external_lex_state = 2},
  [2053] = {.lex_state = 58, .external_lex_state = 2},
  [2054] = {.lex_state = 58, .external_lex_state = 2},
  [2055] = {.lex_state = 58, .external_lex_state = 2},
  [2056] = {.lex_state = 58, .external_lex_state = 2},
  [2057] = {.lex_state = 58, .external_lex_state = 2},
  [2058] = {.lex_state = 58, .external_lex_state = 2},
  [2059] = {.lex_state = 58, .external_lex_state = 2},
  [2060] = {.lex_state = 58, .external_lex_state = 2},
  [2061] = {.lex_state = 58, .external_lex_state = 2},
  [2062] = {.lex_state = 58, .external_lex_state = 2},
  [2063] = {.lex_state = 58, .external_lex_state = 2},
  [2064] = {.lex_state = 58, .external_lex_state = 2},
  [2065] = {.lex_state = 58, .external_lex_state = 2},
  [2066] = {.lex_state = 58, .external_lex_state = 2},
  [2067] = {.lex_state = 58, .external_lex_state = 2},
  [2068] = {.lex_state = 58, .external_lex_state = 2},
  [2069] = {.lex_state = 58, .external_lex_state = 2},
  [2070] = {.lex_state = 58, .external_lex_state = 2},
  [2071] = {.lex_state = 58, .external_lex_state = 2},
  [2072] = {.lex_state = 58, .external_lex_state = 2},
  [2073] = {.lex_state = 58, .external_lex_state = 2},
  [2074] = {.lex_state = 58, .external_lex_state = 2},
  [2075] = {.lex_state = 58, .external_lex_state = 2},
  [2076] = {.lex_state = 58, .external_lex_state = 2},
  [2077] = {.lex_state = 58, .external_lex_state = 2},
  [2078] = {.lex_state = 58, .external_lex_state = 2},
  [2079] = {.lex_state = 58, .external_lex_state = 2},
  [2080] = {.lex_state = 58, .external_lex_state = 2},
  [2081] = {.lex_state = 58, .external_lex_state = 2},
  [2082] = {.lex_state = 58, .external_lex_state = 2},
  [2083] = {.lex_state = 58, .external_lex_state = 2},
  [2084] = {.lex_state = 58, .external_lex_state = 2},
  [2085] = {.lex_state = 58, .external_lex_state = 2},
  [2086] = {.lex_state = 58, .external_lex_state = 2},
  [2087] = {.lex_state = 58, .external_lex_state = 2},
  [2088] = {.lex_state = 58, .external_lex_state = 2},
  [2089] = {.lex_state = 58, .external_lex_state = 2},
  [2090] = {.lex_state = 58, .external_lex_state = 2},
  [2091] = {.lex_state = 58, .external_lex_state = 2},
  [2092] = {.lex_state = 58, .external_lex_state = 2},
  [2093] = {.lex_state = 58, .external_lex_state = 2},
  [2094] = {.lex_state = 58, .external_lex_state = 2},
  [2095] = {.lex_state = 36, .external_lex_state = 2},
  [2096] = {.lex_state = 58, .external_lex_state = 2},
  [2097] = {.lex_state = 58, .external_lex_state = 2},
  [2098] = {.lex_state = 58, .external_lex_state = 2},
  [2099] = {.lex_state = 58, .external_lex_state = 2},
  [2100] = {.lex_state = 58, .external_lex_state = 2},
  [2101] = {.lex_state = 58, .external_lex_state = 2},
  [2102] = {.lex_state = 58, .external_lex_state = 2},
  [2103] = {.lex_state = 58, .external_lex_state = 2},
  [2104] = {.lex_state = 36, .external_lex_state = 2},
  [2105] = {.lex_state = 58, .external_lex_state = 2},
  [2106] = {.lex_state = 58, .external_lex_state = 2},
  [2107] = {.lex_state = 58, .external_lex_state = 2},
  [2108] = {.lex_state = 58, .external_lex_state = 2},
  [2109] = {.lex_state = 58, .external_lex_state = 2},
  [2110] = {.lex_state = 58, .external_lex_state = 2},
  [2111] = {.lex_state = 58, .external_lex_state = 2},
  [2112] = {.lex_state = 58, .external_lex_state = 2},
  [2113] = {.lex_state = 58, .external_lex_state = 2},
  [2114] = {.lex_state = 58, .external_lex_state = 2},
  [2115] = {.lex_state = 58, .external_lex_state = 2},
  [2116] = {.lex_state = 58, .external_lex_state = 2},
  [2117] = {.lex_state = 58, .external_lex_state = 2},
  [2118] = {.lex_state = 58, .external_lex_state = 2},
  [2119] = {.lex_state = 58, .external_lex_state = 2},
  [2120] = {.lex_state = 58, .external_lex_state = 2},
  [2121] = {.lex_state = 58, .external_lex_state = 2},
  [2122] = {.lex_state = 58, .external_lex_state = 2},
  [2123] = {.lex_state = 58, .external_lex_state = 2},
  [2124] = {.lex_state = 58, .external_lex_state = 2},
  [2125] = {.lex_state = 58, .external_lex_state = 2},
  [2126] = {.lex_state = 58, .external_lex_state = 2},
  [2127] = {.lex_state = 58, .external_lex_state = 2},
  [2128] = {.lex_state = 58, .external_lex_state = 2},
  [2129] = {.lex_state = 58, .external_lex_state = 2},
  [2130] = {.lex_state = 58, .external_lex_state = 2},
  [2131] = {.lex_state = 58, .external_lex_state = 2},
  [2132] = {.lex_state = 58, .external_lex_state = 2},
  [2133] = {.lex_state = 58, .external_lex_state = 2},
  [2134] = {.lex_state = 58, .external_lex_state = 2},
  [2135] = {.lex_state = 58, .external_lex_state = 2},
  [2136] = {.lex_state = 58, .external_lex_state = 2},
  [2137] = {.lex_state = 58, .external_lex_state = 2},
  [2138] = {.lex_state = 58, .external_lex_state = 2},
  [2139] = {.lex_state = 58, .external_lex_state = 2},
  [2140] = {.lex_state = 36, .external_lex_state = 2},
  [2141] = {.lex_state = 15, .external_lex_state = 3},
  [2142] = {.lex_state = 36, .external_lex_state = 2},
  [2143] = {.lex_state = 15, .external_lex_state = 3},
  [2144] = {.lex_state = 15, .external_lex_state = 3},
  [2145] = {.lex_state = 36, .external_lex_state = 2},
  [2146] = {.lex_state = 15, .external_lex_state = 4},
  [2147] = {.lex_state = 36, .external_lex_state = 2},
  [2148] = {.lex_state = 36, .external_lex_state = 2},
  [2149] = {.lex_state = 36, .external_lex_state = 2},
  [2150] = {.lex_state = 36, .external_lex_state = 2},
  [2151] = {.lex_state = 15, .external_lex_state = 3},
  [2152] = {.lex_state = 15, .external_lex_state = 4},
  [2153] = {.lex_state = 36, .external_lex_state = 2},
  [2154] = {.lex_state = 36, .external_lex_state = 2},
  [2155] = {.lex_state = 36, .external_lex_state = 2},
  [2156] = {.lex_state = 36, .external_lex_state = 2},
  [2157] = {.lex_state = 36, .external_lex_state = 2},
  [2158] = {.lex_state = 15, .external_lex_state = 3},
  [2159] = {.lex_state = 36, .external_lex_state = 2},
  [2160] = {.lex_state = 15, .external_lex_state = 4},
  [2161] = {.lex_state = 15, .external_lex_state = 4},
  [2162] = {.lex_state = 36, .external_lex_state = 2},
  [2163] = {.lex_state = 15, .external_lex_state = 4},
  [2164] = {.lex_state = 15, .external_lex_state = 4},
  [2165] = {.lex_state = 36, .external_lex_state = 2},
  [2166] = {.lex_state = 15, .external_lex_state = 3},
  [2167] = {.lex_state = 18, .external_lex_state = 4},
  [2168] = {.lex_state = 15, .external_lex_state = 4},
  [2169] = {.lex_state = 18, .external_lex_state = 4},
  [2170] = {.lex_state = 15, .external_lex_state = 4},
  [2171] = {.lex_state = 15, .external_lex_state = 4},
  [2172] = {.lex_state = 18, .external_lex_state = 4},
  [2173] = {.lex_state = 15, .external_lex_state = 4},
  [2174] = {.lex_state = 15, .external_lex_state = 4},
  [2175] = {.lex_state = 15, .external_lex_state = 4},
  [2176] = {.lex_state = 36, .external_lex_state = 2},
  [2177] = {.lex_state = 36, .external_lex_state = 2},
  [2178] = {.lex_state = 36, .external_lex_state = 2},
  [2179] = {.lex_state = 15, .external_lex_state = 4},
  [2180] = {.lex_state = 15, .external_lex_state = 4},
  [2181] = {.lex_state = 36, .external_lex_state = 2},
  [2182] = {.lex_state = 15, .external_lex_state = 4},
  [2183] = {.lex_state = 15, .external_lex_state = 4},
  [2184] = {.lex_state = 15, .external_lex_state = 4},
  [2185] = {.lex_state = 15, .external_lex_state = 4},
  [2186] = {.lex_state = 15, .external_lex_state = 4},
  [2187] = {.lex_state = 36, .external_lex_state = 2},
  [2188] = {.lex_state = 15, .external_lex_state = 4},
  [2189] = {.lex_state = 18, .external_lex_state = 4},
  [2190] = {.lex_state = 15, .external_lex_state = 4},
  [2191] = {.lex_state = 36, .external_lex_state = 2},
  [2192] = {.lex_state = 15, .external_lex_state = 4},
  [2193] = {.lex_state = 15, .external_lex_state = 4},
  [2194] = {.lex_state = 15, .external_lex_state = 4},
  [2195] = {.lex_state = 36, .external_lex_state = 2},
  [2196] = {.lex_state = 36, .external_lex_state = 2},
  [2197] = {.lex_state = 15, .external_lex_state = 3},
  [2198] = {.lex_state = 36, .external_lex_state = 2},
  [2199] = {.lex_state = 15, .external_lex_state = 4},
  [2200] = {.lex_state = 38, .external_lex_state = 2},
  [2201] = {.lex_state = 38, .external_lex_state = 2},
  [2202] = {.lex_state = 15, .external_lex_state = 4},
  [2203] = {.lex_state = 38, .external_lex_state = 2},
  [2204] = {.lex_state = 15, .external_lex_state = 4},
  [2205] = {.lex_state = 38, .external_lex_state = 2},
  [2206] = {.lex_state = 38, .external_lex_state = 2},
  [2207] = {.lex_state = 15, .external_lex_state = 3},
  [2208] = {.lex_state = 38, .external_lex_state = 2},
  [2209] = {.lex_state = 15, .external_lex_state = 4},
  [2210] = {.lex_state = 38, .external_lex_state = 2},
  [2211] = {.lex_state = 38, .external_lex_state = 2},
  [2212] = {.lex_state = 19, .external_lex_state = 3},
  [2213] = {.lex_state = 38, .external_lex_state = 2},
  [2214] = {.lex_state = 15, .external_lex_state = 4},
  [2215] = {.lex_state = 38, .external_lex_state = 2},
  [2216] = {.lex_state = 38, .external_lex_state = 2},
  [2217] = {.lex_state = 19, .external_lex_state = 3},
  [2218] = {.lex_state = 15, .external_lex_state = 4},
  [2219] = {.lex_state = 15, .external_lex_state = 4},
  [2220] = {.lex_state = 15, .external_lex_state = 4},
  [2221] = {.lex_state = 15, .external_lex_state = 4},
  [2222] = {.lex_state = 15, .external_lex_state = 4},
  [2223] = {.lex_state = 15, .external_lex_state = 4},
  [2224] = {.lex_state = 15, .external_lex_state = 4},
  [2225] = {.lex_state = 15, .external_lex_state = 4},
  [2226] = {.lex_state = 15, .external_lex_state = 4},
  [2227] = {.lex_state = 15, .external_lex_state = 4},
  [2228] = {.lex_state = 21, .external_lex_state = 4},
  [2229] = {.lex_state = 15, .external_lex_state = 4},
  [2230] = {.lex_state = 15, .external_lex_state = 4},
  [2231] = {.lex_state = 21, .external_lex_state = 3},
  [2232] = {.lex_state = 15, .external_lex_state = 4},
  [2233] = {.lex_state = 15, .external_lex_state = 3},
  [2234] = {.lex_state = 21, .external_lex_state = 4},
  [2235] = {.lex_state = 15, .external_lex_state = 4},
  [2236] = {.lex_state = 15, .external_lex_state = 4},
  [2237] = {.lex_state = 15, .external_lex_state = 4},
  [2238] = {.lex_state = 21, .external_lex_state = 3},
  [2239] = {.lex_state = 15, .external_lex_state = 3},
  [2240] = {.lex_state = 21, .external_lex_state = 3},
  [2241] = {.lex_state = 21, .external_lex_state = 4},
  [2242] = {.lex_state = 21, .external_lex_state = 3},
  [2243] = {.lex_state = 21, .external_lex_state = 4},
  [2244] = {.lex_state = 15, .external_lex_state = 4},
  [2245] = {.lex_state = 21, .external_lex_state = 4},
  [2246] = {.lex_state = 15, .external_lex_state = 4},
  [2247] = {.lex_state = 21, .external_lex_state = 4},
  [2248] = {.lex_state = 21, .external_lex_state = 4},
  [2249] = {.lex_state = 21, .external_lex_state = 3},
  [2250] = {.lex_state = 21, .external_lex_state = 3},
  [2251] = {.lex_state = 21, .external_lex_state = 4},
  [2252] = {.lex_state = 21, .external_lex_state = 3},
  [2253] = {.lex_state = 15, .external_lex_state = 4},
  [2254] = {.lex_state = 21, .external_lex_state = 3},
  [2255] = {.lex_state = 15, .external_lex_state = 4},
  [2256] = {.lex_state = 15, .external_lex_state = 4},
  [2257] = {.lex_state = 21, .external_lex_state = 4},
  [2258] = {.lex_state = 15, .external_lex_state = 4},
  [2259] = {.lex_state = 15, .external_lex_state = 4},
  [2260] = {.lex_state = 15, .external_lex_state = 4},
  [2261] = {.lex_state = 15, .external_lex_state = 3},
  [2262] = {.lex_state = 15, .external_lex_state = 3},
  [2263] = {.lex_state = 38, .external_lex_state = 2},
  [2264] = {.lex_state = 38, .external_lex_state = 2},
  [2265] = {.lex_state = 21, .external_lex_state = 3},
  [2266] = {.lex_state = 21, .external_lex_state = 3},
  [2267] = {.lex_state = 38, .external_lex_state = 2},
  [2268] = {.lex_state = 38, .external_lex_state = 2},
  [2269] = {.lex_state = 38, .external_lex_state = 2},
  [2270] = {.lex_state = 38, .external_lex_state = 2},
  [2271] = {.lex_state = 38, .external_lex_state = 2},
  [2272] = {.lex_state = 15, .external_lex_state = 3},
  [2273] = {.lex_state = 38, .external_lex_state = 2},
  [2274] = {.lex_state = 38, .external_lex_state = 2},
  [2275] = {.lex_state = 38, .external_lex_state = 2},
  [2276] = {.lex_state = 15, .external_lex_state = 3},
  [2277] = {.lex_state = 21, .external_lex_state = 3},
  [2278] = {.lex_state = 38, .external_lex_state = 2},
  [2279] = {.lex_state = 21, .external_lex_state = 4},
  [2280] = {.lex_state = 38, .external_lex_state = 2},
  [2281] = {.lex_state = 38, .external_lex_state = 2},
  [2282] = {.lex_state = 38, .external_lex_state = 2},
  [2283] = {.lex_state = 38, .external_lex_state = 2},
  [2284] = {.lex_state = 38, .external_lex_state = 2},
  [2285] = {.lex_state = 21, .external_lex_state = 3},
  [2286] = {.lex_state = 38, .external_lex_state = 2},
  [2287] = {.lex_state = 38, .external_lex_state = 2},
  [2288] = {.lex_state = 38, .external_lex_state = 2},
  [2289] = {.lex_state = 38, .external_lex_state = 2},
  [2290] = {.lex_state = 38, .external_lex_state = 2},
  [2291] = {.lex_state = 38, .external_lex_state = 2},
  [2292] = {.lex_state = 38, .external_lex_state = 2},
  [2293] = {.lex_state = 38, .external_lex_state = 2},
  [2294] = {.lex_state = 38, .external_lex_state = 2},
  [2295] = {.lex_state = 38, .external_lex_state = 2},
  [2296] = {.lex_state = 15, .external_lex_state = 3},
  [2297] = {.lex_state = 21, .external_lex_state = 3},
  [2298] = {.lex_state = 38, .external_lex_state = 2},
  [2299] = {.lex_state = 38, .external_lex_state = 2},
  [2300] = {.lex_state = 18, .external_lex_state = 3},
  [2301] = {.lex_state = 38, .external_lex_state = 2},
  [2302] = {.lex_state = 38, .external_lex_state = 2},
  [2303] = {.lex_state = 38, .external_lex_state = 2},
  [2304] = {.lex_state = 18, .external_lex_state = 3},
  [2305] = {.lex_state = 21, .external_lex_state = 4},
  [2306] = {.lex_state = 21, .external_lex_state = 4},
  [2307] = {.lex_state = 38, .external_lex_state = 2},
  [2308] = {.lex_state = 38, .external_lex_state = 2},
  [2309] = {.lex_state = 21, .external_lex_state = 3},
  [2310] = {.lex_state = 18, .external_lex_state = 3},
  [2311] = {.lex_state = 21, .external_lex_state = 4},
  [2312] = {.lex_state = 15, .external_lex_state = 3},
  [2313] = {.lex_state = 15, .external_lex_state = 3},
  [2314] = {.lex_state = 21, .external_lex_state = 3},
  [2315] = {.lex_state = 15, .external_lex_state = 3},
  [2316] = {.lex_state = 15, .external_lex_state = 3},
  [2317] = {.lex_state = 21, .external_lex_state = 3},
  [2318] = {.lex_state = 21, .external_lex_state = 3},
  [2319] = {.lex_state = 18, .external_lex_state = 3},
  [2320] = {.lex_state = 15, .external_lex_state = 3},
  [2321] = {.lex_state = 21, .external_lex_state = 3},
  [2322] = {.lex_state = 21, .external_lex_state = 3},
  [2323] = {.lex_state = 21, .external_lex_state = 3},
  [2324] = {.lex_state = 21, .external_lex_state = 3},
  [2325] = {.lex_state = 21, .external_lex_state = 3},
  [2326] = {.lex_state = 15, .external_lex_state = 3},
  [2327] = {.lex_state = 21, .external_lex_state = 3},
  [2328] = {.lex_state = 15, .external_lex_state = 3},
  [2329] = {.lex_state = 15, .external_lex_state = 3},
  [2330] = {.lex_state = 15, .external_lex_state = 3},
  [2331] = {.lex_state = 21, .external_lex_state = 4},
  [2332] = {.lex_state = 21, .external_lex_state = 3},
  [2333] = {.lex_state = 21, .external_lex_state = 3},
  [2334] = {.lex_state = 21, .external_lex_state = 4},
  [2335] = {.lex_state = 15, .external_lex_state = 3},
  [2336] = {.lex_state = 21, .external_lex_state = 3},
  [2337] = {.lex_state = 21, .external_lex_state = 3},
  [2338] = {.lex_state = 21, .external_lex_state = 4},
  [2339] = {.lex_state = 38, .external_lex_state = 2},
  [2340] = {.lex_state = 38, .external_lex_state = 2},
  [2341] = {.lex_state = 21, .external_lex_state = 3},
  [2342] = {.lex_state = 21, .external_lex_state = 3},
  [2343] = {.lex_state = 15, .external_lex_state = 4},
  [2344] = {.lex_state = 38, .external_lex_state = 2},
  [2345] = {.lex_state = 38, .external_lex_state = 2},
  [2346] = {.lex_state = 21, .external_lex_state = 4},
  [2347] = {.lex_state = 21, .external_lex_state = 4},
  [2348] = {.lex_state = 38, .external_lex_state = 2},
  [2349] = {.lex_state = 21, .external_lex_state = 3},
  [2350] = {.lex_state = 21, .external_lex_state = 3},
  [2351] = {.lex_state = 21, .external_lex_state = 4},
  [2352] = {.lex_state = 38, .external_lex_state = 2},
  [2353] = {.lex_state = 15, .external_lex_state = 4},
  [2354] = {.lex_state = 38, .external_lex_state = 2},
  [2355] = {.lex_state = 38, .external_lex_state = 2},
  [2356] = {.lex_state = 38, .external_lex_state = 2},
  [2357] = {.lex_state = 38, .external_lex_state = 2},
  [2358] = {.lex_state = 15, .external_lex_state = 4},
  [2359] = {.lex_state = 15, .external_lex_state = 4},
  [2360] = {.lex_state = 15, .external_lex_state = 4},
  [2361] = {.lex_state = 21, .external_lex_state = 3},
  [2362] = {.lex_state = 21, .external_lex_state = 4},
  [2363] = {.lex_state = 15, .external_lex_state = 4},
  [2364] = {.lex_state = 21, .external_lex_state = 3},
  [2365] = {.lex_state = 21, .external_lex_state = 3},
  [2366] = {.lex_state = 21, .external_lex_state = 3},
  [2367] = {.lex_state = 21, .external_lex_state = 3},
  [2368] = {.lex_state = 21, .external_lex_state = 4},
  [2369] = {.lex_state = 15, .external_lex_state = 4},
  [2370] = {.lex_state = 21, .external_lex_state = 3},
  [2371] = {.lex_state = 21, .external_lex_state = 3},
  [2372] = {.lex_state = 38, .external_lex_state = 2},
  [2373] = {.lex_state = 21, .external_lex_state = 3},
  [2374] = {.lex_state = 21, .external_lex_state = 4},
  [2375] = {.lex_state = 21, .external_lex_state = 3},
  [2376] = {.lex_state = 38, .external_lex_state = 2},
  [2377] = {.lex_state = 21, .external_lex_state = 3},
  [2378] = {.lex_state = 21, .external_lex_state = 3},
  [2379] = {.lex_state = 21, .external_lex_state = 3},
  [2380] = {.lex_state = 21, .external_lex_state = 4},
  [2381] = {.lex_state = 21, .external_lex_state = 4},
  [2382] = {.lex_state = 21, .external_lex_state = 4},
  [2383] = {.lex_state = 21, .external_lex_state = 4},
  [2384] = {.lex_state = 21, .external_lex_state = 3},
  [2385] = {.lex_state = 21, .external_lex_state = 4},
  [2386] = {.lex_state = 21, .external_lex_state = 4},
  [2387] = {.lex_state = 21, .external_lex_state = 4},
  [2388] = {.lex_state = 21, .external_lex_state = 3},
  [2389] = {.lex_state = 21, .external_lex_state = 3},
  [2390] = {.lex_state = 21, .external_lex_state = 4},
  [2391] = {.lex_state = 21, .external_lex_state = 4},
  [2392] = {.lex_state = 21, .external_lex_state = 3},
  [2393] = {.lex_state = 21, .external_lex_state = 4},
  [2394] = {.lex_state = 21, .external_lex_state = 4},
  [2395] = {.lex_state = 21, .external_lex_state = 4},
  [2396] = {.lex_state = 21, .external_lex_state = 4},
  [2397] = {.lex_state = 21, .external_lex_state = 3},
  [2398] = {.lex_state = 21, .external_lex_state = 4},
  [2399] = {.lex_state = 21, .external_lex_state = 4},
  [2400] = {.lex_state = 21, .external_lex_state = 4},
  [2401] = {.lex_state = 21, .external_lex_state = 4},
  [2402] = {.lex_state = 21, .external_lex_state = 4},
  [2403] = {.lex_state = 21, .external_lex_state = 4},
  [2404] = {.lex_state = 21, .external_lex_state = 4},
  [2405] = {.lex_state = 21, .external_lex_state = 4},
  [2406] = {.lex_state = 21, .external_lex_state = 4},
  [2407] = {.lex_state = 21, .external_lex_state = 4},
  [2408] = {.lex_state = 21, .external_lex_state = 4},
  [2409] = {.lex_state = 21, .external_lex_state = 4},
  [2410] = {.lex_state = 21, .external_lex_state = 4},
  [2411] = {.lex_state = 21, .external_lex_state = 4},
  [2412] = {.lex_state = 21, .external_lex_state = 4},
  [2413] = {.lex_state = 21, .external_lex_state = 3},
  [2414] = {.lex_state = 21, .external_lex_state = 4},
  [2415] = {.lex_state = 21, .external_lex_state = 3},
  [2416] = {.lex_state = 21, .external_lex_state = 4},
  [2417] = {.lex_state = 21, .external_lex_state = 4},
  [2418] = {.lex_state = 21, .external_lex_state = 4},
  [2419] = {.lex_state = 21, .external_lex_state = 3},
  [2420] = {.lex_state = 21, .external_lex_state = 4},
  [2421] = {.lex_state = 21, .external_lex_state = 4},
  [2422] = {.lex_state = 21, .external_lex_state = 4},
  [2423] = {.lex_state = 21, .external_lex_state = 3},
  [2424] = {.lex_state = 21, .external_lex_state = 4},
  [2425] = {.lex_state = 21, .external_lex_state = 4},
  [2426] = {.lex_state = 21, .external_lex_state = 3},
  [2427] = {.lex_state = 21, .external_lex_state = 3},
  [2428] = {.lex_state = 21, .external_lex_state = 4},
  [2429] = {.lex_state = 21, .external_lex_state = 4},
  [2430] = {.lex_state = 21, .external_lex_state = 4},
  [2431] = {.lex_state = 21, .external_lex_state = 3},
  [2432] = {.lex_state = 21, .external_lex_state = 3},
  [2433] = {.lex_state = 21, .external_lex_state = 3},
  [2434] = {.lex_state = 38, .external_lex_state = 2},
  [2435] = {.lex_state = 38, .external_lex_state = 2},
  [2436] = {.lex_state = 38, .external_lex_state = 2},
  [2437] = {.lex_state = 39, .external_lex_state = 2},
  [2438] = {.lex_state = 38, .external_lex_state = 2},
  [2439] = {.lex_state = 21, .external_lex_state = 3},
  [2440] = {.lex_state = 38, .external_lex_state = 2},
  [2441] = {.lex_state = 38, .external_lex_state = 2},
  [2442] = {.lex_state = 38, .external_lex_state = 2},
  [2443] = {.lex_state = 38, .external_lex_state = 2},
  [2444] = {.lex_state = 21, .external_lex_state = 3},
  [2445] = {.lex_state = 39, .external_lex_state = 2},
  [2446] = {.lex_state = 21, .external_lex_state = 3},
  [2447] = {.lex_state = 21, .external_lex_state = 3},
  [2448] = {.lex_state = 38, .external_lex_state = 2},
  [2449] = {.lex_state = 38, .external_lex_state = 2},
  [2450] = {.lex_state = 38, .external_lex_state = 2},
  [2451] = {.lex_state = 38, .external_lex_state = 2},
  [2452] = {.lex_state = 38, .external_lex_state = 2},
  [2453] = {.lex_state = 38, .external_lex_state = 2},
  [2454] = {.lex_state = 38, .external_lex_state = 2},
  [2455] = {.lex_state = 21, .external_lex_state = 4},
  [2456] = {.lex_state = 21, .external_lex_state = 3},
  [2457] = {.lex_state = 38, .external_lex_state = 2},
  [2458] = {.lex_state = 38, .external_lex_state = 2},
  [2459] = {.lex_state = 38, .external_lex_state = 2},
  [2460] = {.lex_state = 21, .external_lex_state = 3},
  [2461] = {.lex_state = 38, .external_lex_state = 2},
  [2462] = {.lex_state = 38, .external_lex_state = 2},
  [2463] = {.lex_state = 21, .external_lex_state = 3},
  [2464] = {.lex_state = 38, .external_lex_state = 2},
  [2465] = {.lex_state = 38, .external_lex_state = 2},
  [2466] = {.lex_state = 38, .external_lex_state = 2},
  [2467] = {.lex_state = 39, .external_lex_state = 2},
  [2468] = {.lex_state = 38, .external_lex_state = 2},
  [2469] = {.lex_state = 21, .external_lex_state = 3},
  [2470] = {.lex_state = 38, .external_lex_state = 2},
  [2471] = {.lex_state = 15, .external_lex_state = 4},
  [2472] = {.lex_state = 38, .external_lex_state = 2},
  [2473] = {.lex_state = 38, .external_lex_state = 2},
  [2474] = {.lex_state = 38, .external_lex_state = 2},
  [2475] = {.lex_state = 38, .external_lex_state = 2},
  [2476] = {.lex_state = 21, .external_lex_state = 3},
  [2477] = {.lex_state = 15, .external_lex_state = 4},
  [2478] = {.lex_state = 39, .external_lex_state = 2},
  [2479] = {.lex_state = 21, .external_lex_state = 3},
  [2480] = {.lex_state = 38, .external_lex_state = 2},
  [2481] = {.lex_state = 15, .external_lex_state = 4},
  [2482] = {.lex_state = 38, .external_lex_state = 2},
  [2483] = {.lex_state = 38, .external_lex_state = 2},
  [2484] = {.lex_state = 38, .external_lex_state = 2},
  [2485] = {.lex_state = 38, .external_lex_state = 2},
  [2486] = {.lex_state = 38, .external_lex_state = 2},
  [2487] = {.lex_state = 38, .external_lex_state = 2},
  [2488] = {.lex_state = 38, .external_lex_state = 2},
  [2489] = {.lex_state = 21, .external_lex_state = 4},
  [2490] = {.lex_state = 21, .external_lex_state = 4},
  [2491] = {.lex_state = 39, .external_lex_state = 2},
  [2492] = {.lex_state = 15, .external_lex_state = 4},
  [2493] = {.lex_state = 38, .external_lex_state = 2},
  [2494] = {.lex_state = 38, .external_lex_state = 2},
  [2495] = {.lex_state = 21, .external_lex_state = 3},
  [2496] = {.lex_state = 38, .external_lex_state = 2},
  [2497] = {.lex_state = 15, .external_lex_state = 4},
  [2498] = {.lex_state = 15, .external_lex_state = 4},
  [2499] = {.lex_state = 15, .external_lex_state = 4},
  [2500] = {.lex_state = 15, .external_lex_state = 4},
  [2501] = {.lex_state = 39, .external_lex_state = 2},
  [2502] = {.lex_state = 39, .external_lex_state = 2},
  [2503] = {.lex_state = 21, .external_lex_state = 3},
  [2504] = {.lex_state = 38, .external_lex_state = 2},
  [2505] = {.lex_state = 21, .external_lex_state = 3},
  [2506] = {.lex_state = 38, .external_lex_state = 2},
  [2507] = {.lex_state = 21, .external_lex_state = 3},
  [2508] = {.lex_state = 21, .external_lex_state = 3},
  [2509] = {.lex_state = 38, .external_lex_state = 2},
  [2510] = {.lex_state = 38, .external_lex_state = 2},
  [2511] = {.lex_state = 38, .external_lex_state = 2},
  [2512] = {.lex_state = 21, .external_lex_state = 3},
  [2513] = {.lex_state = 21, .external_lex_state = 4},
  [2514] = {.lex_state = 21, .external_lex_state = 3},
  [2515] = {.lex_state = 21, .external_lex_state = 4},
  [2516] = {.lex_state = 21, .external_lex_state = 3},
  [2517] = {.lex_state = 21, .external_lex_state = 3},
  [2518] = {.lex_state = 21, .external_lex_state = 3},
  [2519] = {.lex_state = 21, .external_lex_state = 4},
  [2520] = {.lex_state = 21, .external_lex_state = 3},
  [2521] = {.lex_state = 21, .external_lex_state = 4},
  [2522] = {.lex_state = 21, .external_lex_state = 3},
  [2523] = {.lex_state = 21, .external_lex_state = 3},
  [2524] = {.lex_state = 21, .external_lex_state = 4},
  [2525] = {.lex_state = 21, .external_lex_state = 4},
  [2526] = {.lex_state = 21, .external_lex_state = 3},
  [2527] = {.lex_state = 21, .external_lex_state = 3},
  [2528] = {.lex_state = 21, .external_lex_state = 3},
  [2529] = {.lex_state = 21, .external_lex_state = 3},
  [2530] = {.lex_state = 21, .external_lex_state = 3},
  [2531] = {.lex_state = 39, .external_lex_state = 2},
  [2532] = {.lex_state = 21, .external_lex_state = 3},
  [2533] = {.lex_state = 21, .external_lex_state = 3},
  [2534] = {.lex_state = 21, .external_lex_state = 3},
  [2535] = {.lex_state = 21, .external_lex_state = 3},
  [2536] = {.lex_state = 21, .external_lex_state = 4},
  [2537] = {.lex_state = 21, .external_lex_state = 3},
  [2538] = {.lex_state = 21, .external_lex_state = 3},
  [2539] = {.lex_state = 21, .external_lex_state = 3},
  [2540] = {.lex_state = 21, .external_lex_state = 3},
  [2541] = {.lex_state = 21, .external_lex_state = 3},
  [2542] = {.lex_state = 21, .external_lex_state = 3},
  [2543] = {.lex_state = 79, .external_lex_state = 2},
  [2544] = {.lex_state = 21, .external_lex_state = 3},
  [2545] = {.lex_state = 21, .external_lex_state = 3},
  [2546] = {.lex_state = 21, .external_lex_state = 3},
  [2547] = {.lex_state = 79, .external_lex_state = 2},
  [2548] = {.lex_state = 79, .external_lex_state = 2},
  [2549] = {.lex_state = 79, .external_lex_state = 2},
  [2550] = {.lex_state = 21, .external_lex_state = 3},
  [2551] = {.lex_state = 21, .external_lex_state = 3},
  [2552] = {.lex_state = 21, .external_lex_state = 3},
  [2553] = {.lex_state = 21, .external_lex_state = 3},
  [2554] = {.lex_state = 21, .external_lex_state = 3},
  [2555] = {.lex_state = 21, .external_lex_state = 3},
  [2556] = {.lex_state = 21, .external_lex_state = 3},
  [2557] = {.lex_state = 21, .external_lex_state = 3},
  [2558] = {.lex_state = 79, .external_lex_state = 2},
  [2559] = {.lex_state = 21, .external_lex_state = 3},
  [2560] = {.lex_state = 79, .external_lex_state = 2},
  [2561] = {.lex_state = 21, .external_lex_state = 3},
  [2562] = {.lex_state = 79, .external_lex_state = 2},
  [2563] = {.lex_state = 21, .external_lex_state = 3},
  [2564] = {.lex_state = 79, .external_lex_state = 2},
  [2565] = {.lex_state = 79, .external_lex_state = 2},
  [2566] = {.lex_state = 21, .external_lex_state = 3},
  [2567] = {.lex_state = 21, .external_lex_state = 3},
  [2568] = {.lex_state = 21, .external_lex_state = 3},
  [2569] = {.lex_state = 21, .external_lex_state = 3},
  [2570] = {.lex_state = 21, .external_lex_state = 3},
  [2571] = {.lex_state = 21, .external_lex_state = 3},
  [2572] = {.lex_state = 21, .external_lex_state = 3},
  [2573] = {.lex_state = 21, .external_lex_state = 3},
  [2574] = {.lex_state = 21, .external_lex_state = 3},
  [2575] = {.lex_state = 21, .external_lex_state = 3},
  [2576] = {.lex_state = 21, .external_lex_state = 3},
  [2577] = {.lex_state = 39, .external_lex_state = 5},
  [2578] = {.lex_state = 21, .external_lex_state = 3},
  [2579] = {.lex_state = 21, .external_lex_state = 3},
  [2580] = {.lex_state = 21, .external_lex_state = 3},
  [2581] = {.lex_state = 21, .external_lex_state = 3},
  [2582] = {.lex_state = 21, .external_lex_state = 3},
  [2583] = {.lex_state = 39, .external_lex_state = 5},
  [2584] = {.lex_state = 39, .external_lex_state = 5},
  [2585] = {.lex_state = 21, .external_lex_state = 3},
  [2586] = {.lex_state = 39, .external_lex_state = 5},
  [2587] = {.lex_state = 21, .external_lex_state = 3},
  [2588] = {.lex_state = 39, .external_lex_state = 5},
  [2589] = {.lex_state = 21, .external_lex_state = 3},
  [2590] = {.lex_state = 39, .external_lex_state = 5},
  [2591] = {.lex_state = 39, .external_lex_state = 5},
  [2592] = {.lex_state = 39, .external_lex_state = 5},
  [2593] = {.lex_state = 39, .external_lex_state = 5},
  [2594] = {.lex_state = 39, .external_lex_state = 5},
  [2595] = {.lex_state = 39, .external_lex_state = 5},
  [2596] = {.lex_state = 39, .external_lex_state = 5},
  [2597] = {.lex_state = 39, .external_lex_state = 5},
  [2598] = {.lex_state = 39, .external_lex_state = 5},
  [2599] = {.lex_state = 39, .external_lex_state = 5},
  [2600] = {.lex_state = 39, .external_lex_state = 5},
  [2601] = {.lex_state = 39, .external_lex_state = 5},
  [2602] = {.lex_state = 39, .external_lex_state = 5},
  [2603] = {.lex_state = 39, .external_lex_state = 5},
  [2604] = {.lex_state = 39, .external_lex_state = 5},
  [2605] = {.lex_state = 39, .external_lex_state = 5},
  [2606] = {.lex_state = 39, .external_lex_state = 5},
  [2607] = {.lex_state = 39, .external_lex_state = 5},
  [2608] = {.lex_state = 54, .external_lex_state = 5},
  [2609] = {.lex_state = 79, .external_lex_state = 2},
  [2610] = {.lex_state = 39, .external_lex_state = 5},
  [2611] = {.lex_state = 38, .external_lex_state = 5},
  [2612] = {.lex_state = 39, .external_lex_state = 5},
  [2613] = {.lex_state = 54, .external_lex_state = 5},
  [2614] = {.lex_state = 54, .external_lex_state = 5},
  [2615] = {.lex_state = 54, .external_lex_state = 5},
  [2616] = {.lex_state = 54, .external_lex_state = 5},
  [2617] = {.lex_state = 54, .external_lex_state = 5},
  [2618] = {.lex_state = 39, .external_lex_state = 5},
  [2619] = {.lex_state = 38, .external_lex_state = 5},
  [2620] = {.lex_state = 38, .external_lex_state = 5},
  [2621] = {.lex_state = 38, .external_lex_state = 5},
  [2622] = {.lex_state = 38, .external_lex_state = 5},
  [2623] = {.lex_state = 39, .external_lex_state = 5},
  [2624] = {.lex_state = 39, .external_lex_state = 2},
  [2625] = {.lex_state = 39, .external_lex_state = 2},
  [2626] = {.lex_state = 39, .external_lex_state = 2},
  [2627] = {.lex_state = 39, .external_lex_state = 5},
  [2628] = {.lex_state = 39, .external_lex_state = 5},
  [2629] = {.lex_state = 39, .external_lex_state = 2},
  [2630] = {.lex_state = 39, .external_lex_state = 2},
  [2631] = {.lex_state = 39, .external_lex_state = 5},
  [2632] = {.lex_state = 39, .external_lex_state = 2},
  [2633] = {.lex_state = 39, .external_lex_state = 5},
  [2634] = {.lex_state = 39, .external_lex_state = 5},
  [2635] = {.lex_state = 38, .external_lex_state = 5},
  [2636] = {.lex_state = 39, .external_lex_state = 2},
  [2637] = {.lex_state = 39, .external_lex_state = 5},
  [2638] = {.lex_state = 39, .external_lex_state = 2},
  [2639] = {.lex_state = 38, .external_lex_state = 5},
  [2640] = {.lex_state = 39, .external_lex_state = 5},
  [2641] = {.lex_state = 38, .external_lex_state = 5},
  [2642] = {.lex_state = 39, .external_lex_state = 2},
  [2643] = {.lex_state = 39, .external_lex_state = 5},
  [2644] = {.lex_state = 39, .external_lex_state = 5},
  [2645] = {.lex_state = 39, .external_lex_state = 5},
  [2646] = {.lex_state = 39, .external_lex_state = 5},
  [2647] = {.lex_state = 39, .external_lex_state = 5},
  [2648] = {.lex_state = 39, .external_lex_state = 5},
  [2649] = {.lex_state = 39, .external_lex_state = 2},
  [2650] = {.lex_state = 39, .external_lex_state = 2},
  [2651] = {.lex_state = 39, .external_lex_state = 5},
  [2652] = {.lex_state = 39, .external_lex_state = 5},
  [2653] = {.lex_state = 39, .external_lex_state = 5},
  [2654] = {.lex_state = 39, .external_lex_state = 2},
  [2655] = {.lex_state = 39, .external_lex_state = 2},
  [2656] = {.lex_state = 39, .external_lex_state = 2},
  [2657] = {.lex_state = 39, .external_lex_state = 5},
  [2658] = {.lex_state = 39, .external_lex_state = 2},
  [2659] = {.lex_state = 39, .external_lex_state = 5},
  [2660] = {.lex_state = 39, .external_lex_state = 2},
  [2661] = {.lex_state = 39, .external_lex_state = 5},
  [2662] = {.lex_state = 54, .external_lex_state = 5},
  [2663] = {.lex_state = 39, .external_lex_state = 5},
  [2664] = {.lex_state = 39, .external_lex_state = 5},
  [2665] = {.lex_state = 39, .external_lex_state = 5},
  [2666] = {.lex_state = 39, .external_lex_state = 5},
  [2667] = {.lex_state = 39, .external_lex_state = 5},
  [2668] = {.lex_state = 39, .external_lex_state = 5},
  [2669] = {.lex_state = 39, .external_lex_state = 5},
  [2670] = {.lex_state = 25, .external_lex_state = 4},
  [2671] = {.lex_state = 39, .external_lex_state = 5},
  [2672] = {.lex_state = 39, .external_lex_state = 2},
  [2673] = {.lex_state = 39, .external_lex_state = 5},
  [2674] = {.lex_state = 39, .external_lex_state = 5},
  [2675] = {.lex_state = 39, .external_lex_state = 5},
  [2676] = {.lex_state = 39, .external_lex_state = 5},
  [2677] = {.lex_state = 54, .external_lex_state = 5},
  [2678] = {.lex_state = 39, .external_lex_state = 2},
  [2679] = {.lex_state = 39, .external_lex_state = 5},
  [2680] = {.lex_state = 39, .external_lex_state = 5},
  [2681] = {.lex_state = 39, .external_lex_state = 2},
  [2682] = {.lex_state = 39, .external_lex_state = 2},
  [2683] = {.lex_state = 39, .external_lex_state = 5},
  [2684] = {.lex_state = 39, .external_lex_state = 5},
  [2685] = {.lex_state = 39, .external_lex_state = 5},
  [2686] = {.lex_state = 39, .external_lex_state = 2},
  [2687] = {.lex_state = 39, .external_lex_state = 5},
  [2688] = {.lex_state = 39, .external_lex_state = 5},
  [2689] = {.lex_state = 39, .external_lex_state = 2},
  [2690] = {.lex_state = 39, .external_lex_state = 5},
  [2691] = {.lex_state = 39, .external_lex_state = 5},
  [2692] = {.lex_state = 39, .external_lex_state = 2},
  [2693] = {.lex_state = 39, .external_lex_state = 5},
  [2694] = {.lex_state = 25, .external_lex_state = 4},
  [2695] = {.lex_state = 39, .external_lex_state = 5},
  [2696] = {.lex_state = 39, .external_lex_state = 5},
  [2697] = {.lex_state = 39, .external_lex_state = 5},
  [2698] = {.lex_state = 39, .external_lex_state = 5},
  [2699] = {.lex_state = 39, .external_lex_state = 5},
  [2700] = {.lex_state = 39, .external_lex_state = 5},
  [2701] = {.lex_state = 39, .external_lex_state = 5},
  [2702] = {.lex_state = 39, .external_lex_state = 5},
  [2703] = {.lex_state = 39, .external_lex_state = 5},
  [2704] = {.lex_state = 39, .external_lex_state = 5},
  [2705] = {.lex_state = 39, .external_lex_state = 5},
  [2706] = {.lex_state = 39, .external_lex_state = 5},
  [2707] = {.lex_state = 39, .external_lex_state = 5},
  [2708] = {.lex_state = 39, .external_lex_state = 2},
  [2709] = {.lex_state = 39, .external_lex_state = 2},
  [2710] = {.lex_state = 39, .external_lex_state = 5},
  [2711] = {.lex_state = 39, .external_lex_state = 2},
  [2712] = {.lex_state = 39, .external_lex_state = 5},
  [2713] = {.lex_state = 39, .external_lex_state = 5},
  [2714] = {.lex_state = 39, .external_lex_state = 5},
  [2715] = {.lex_state = 39, .external_lex_state = 5},
  [2716] = {.lex_state = 39, .external_lex_state = 5},
  [2717] = {.lex_state = 39, .external_lex_state = 5},
  [2718] = {.lex_state = 39, .external_lex_state = 2},
  [2719] = {.lex_state = 39, .external_lex_state = 5},
  [2720] = {.lex_state = 39, .external_lex_state = 5},
  [2721] = {.lex_state = 39, .external_lex_state = 5},
  [2722] = {.lex_state = 39, .external_lex_state = 5},
  [2723] = {.lex_state = 39, .external_lex_state = 5},
  [2724] = {.lex_state = 39, .external_lex_state = 5},
  [2725] = {.lex_state = 39, .external_lex_state = 5},
  [2726] = {.lex_state = 39, .external_lex_state = 5},
  [2727] = {.lex_state = 39, .external_lex_state = 5},
  [2728] = {.lex_state = 39, .external_lex_state = 5},
  [2729] = {.lex_state = 39, .external_lex_state = 5},
  [2730] = {.lex_state = 25, .external_lex_state = 3},
  [2731] = {.lex_state = 25, .external_lex_state = 3},
  [2732] = {.lex_state = 39, .external_lex_state = 2},
  [2733] = {.lex_state = 39, .external_lex_state = 2},
  [2734] = {.lex_state = 39, .external_lex_state = 5},
  [2735] = {.lex_state = 39, .external_lex_state = 2},
  [2736] = {.lex_state = 39, .external_lex_state = 5},
  [2737] = {.lex_state = 25, .external_lex_state = 3},
  [2738] = {.lex_state = 25, .external_lex_state = 3},
  [2739] = {.lex_state = 39, .external_lex_state = 2},
  [2740] = {.lex_state = 39, .external_lex_state = 2},
  [2741] = {.lex_state = 39, .external_lex_state = 5},
  [2742] = {.lex_state = 39, .external_lex_state = 5},
  [2743] = {.lex_state = 39, .external_lex_state = 5},
  [2744] = {.lex_state = 39, .external_lex_state = 5},
  [2745] = {.lex_state = 39, .external_lex_state = 2},
  [2746] = {.lex_state = 39, .external_lex_state = 5},
  [2747] = {.lex_state = 39, .external_lex_state = 2},
  [2748] = {.lex_state = 25, .external_lex_state = 3},
  [2749] = {.lex_state = 39, .external_lex_state = 2},
  [2750] = {.lex_state = 25, .external_lex_state = 3},
  [2751] = {.lex_state = 39, .external_lex_state = 2},
  [2752] = {.lex_state = 25, .external_lex_state = 3},
  [2753] = {.lex_state = 25, .external_lex_state = 3},
  [2754] = {.lex_state = 25, .external_lex_state = 3},
  [2755] = {.lex_state = 38, .external_lex_state = 5},
  [2756] = {.lex_state = 25, .external_lex_state = 3},
  [2757] = {.lex_state = 25, .external_lex_state = 4},
  [2758] = {.lex_state = 39, .external_lex_state = 2},
  [2759] = {.lex_state = 39, .external_lex_state = 2},
  [2760] = {.lex_state = 25, .external_lex_state = 3},
  [2761] = {.lex_state = 39, .external_lex_state = 5},
  [2762] = {.lex_state = 25, .external_lex_state = 3},
  [2763] = {.lex_state = 25, .external_lex_state = 4},
  [2764] = {.lex_state = 38, .external_lex_state = 5},
  [2765] = {.lex_state = 39, .external_lex_state = 5},
  [2766] = {.lex_state = 39, .external_lex_state = 2},
  [2767] = {.lex_state = 39, .external_lex_state = 5},
  [2768] = {.lex_state = 25, .external_lex_state = 3},
  [2769] = {.lex_state = 39, .external_lex_state = 2},
  [2770] = {.lex_state = 39, .external_lex_state = 5},
  [2771] = {.lex_state = 25, .external_lex_state = 3},
  [2772] = {.lex_state = 38, .external_lex_state = 5},
  [2773] = {.lex_state = 25, .external_lex_state = 3},
  [2774] = {.lex_state = 39, .external_lex_state = 5},
  [2775] = {.lex_state = 38, .external_lex_state = 5},
  [2776] = {.lex_state = 25, .external_lex_state = 3},
  [2777] = {.lex_state = 38, .external_lex_state = 2},
  [2778] = {.lex_state = 38, .external_lex_state = 5},
  [2779] = {.lex_state = 39, .external_lex_state = 5},
  [2780] = {.lex_state = 25, .external_lex_state = 3},
  [2781] = {.lex_state = 25, .external_lex_state = 3},
  [2782] = {.lex_state = 25, .external_lex_state = 4},
  [2783] = {.lex_state = 39, .external_lex_state = 5},
  [2784] = {.lex_state = 38, .external_lex_state = 5},
  [2785] = {.lex_state = 25, .external_lex_state = 4},
  [2786] = {.lex_state = 25, .external_lex_state = 3},
  [2787] = {.lex_state = 25, .external_lex_state = 3},
  [2788] = {.lex_state = 39, .external_lex_state = 2},
  [2789] = {.lex_state = 39, .external_lex_state = 2},
  [2790] = {.lex_state = 25, .external_lex_state = 3},
  [2791] = {.lex_state = 25, .external_lex_state = 3},
  [2792] = {.lex_state = 25, .external_lex_state = 3},
  [2793] = {.lex_state = 39, .external_lex_state = 5},
  [2794] = {.lex_state = 25, .external_lex_state = 3},
  [2795] = {.lex_state = 25, .external_lex_state = 3},
  [2796] = {.lex_state = 25, .external_lex_state = 3},
  [2797] = {.lex_state = 25, .external_lex_state = 3},
  [2798] = {.lex_state = 25, .external_lex_state = 3},
  [2799] = {.lex_state = 25, .external_lex_state = 3},
  [2800] = {.lex_state = 25, .external_lex_state = 3},
  [2801] = {.lex_state = 39, .external_lex_state = 5},
  [2802] = {.lex_state = 25, .external_lex_state = 3},
  [2803] = {.lex_state = 25, .external_lex_state = 3},
  [2804] = {.lex_state = 25, .external_lex_state = 3},
  [2805] = {.lex_state = 25, .external_lex_state = 3},
  [2806] = {.lex_state = 25, .external_lex_state = 3},
  [2807] = {.lex_state = 25, .external_lex_state = 3},
  [2808] = {.lex_state = 25, .external_lex_state = 3},
  [2809] = {.lex_state = 25, .external_lex_state = 3},
  [2810] = {.lex_state = 25, .external_lex_state = 3},
  [2811] = {.lex_state = 25, .external_lex_state = 3},
  [2812] = {.lex_state = 25, .external_lex_state = 3},
  [2813] = {.lex_state = 25, .external_lex_state = 3},
  [2814] = {.lex_state = 25, .external_lex_state = 3},
  [2815] = {.lex_state = 25, .external_lex_state = 3},
  [2816] = {.lex_state = 25, .external_lex_state = 3},
  [2817] = {.lex_state = 25, .external_lex_state = 3},
  [2818] = {.lex_state = 25, .external_lex_state = 3},
  [2819] = {.lex_state = 25, .external_lex_state = 3},
  [2820] = {.lex_state = 39, .external_lex_state = 2},
  [2821] = {.lex_state = 39, .external_lex_state = 2},
  [2822] = {.lex_state = 25, .external_lex_state = 3},
  [2823] = {.lex_state = 25, .external_lex_state = 3},
  [2824] = {.lex_state = 25, .external_lex_state = 3},
  [2825] = {.lex_state = 25, .external_lex_state = 3},
  [2826] = {.lex_state = 25, .external_lex_state = 3},
  [2827] = {.lex_state = 25, .external_lex_state = 3},
  [2828] = {.lex_state = 25, .external_lex_state = 3},
  [2829] = {.lex_state = 25, .external_lex_state = 3},
  [2830] = {.lex_state = 25, .external_lex_state = 3},
  [2831] = {.lex_state = 25, .external_lex_state = 3},
  [2832] = {.lex_state = 25, .external_lex_state = 3},
  [2833] = {.lex_state = 25, .external_lex_state = 3},
  [2834] = {.lex_state = 25, .external_lex_state = 3},
  [2835] = {.lex_state = 25, .external_lex_state = 3},
  [2836] = {.lex_state = 25, .external_lex_state = 3},
  [2837] = {.lex_state = 25, .external_lex_state = 3},
  [2838] = {.lex_state = 25, .external_lex_state = 3},
  [2839] = {.lex_state = 25, .external_lex_state = 3},
  [2840] = {.lex_state = 25, .external_lex_state = 3},
  [2841] = {.lex_state = 25, .external_lex_state = 3},
  [2842] = {.lex_state = 25, .external_lex_state = 3},
  [2843] = {.lex_state = 25, .external_lex_state = 3},
  [2844] = {.lex_state = 25, .external_lex_state = 3},
  [2845] = {.lex_state = 25, .external_lex_state = 3},
  [2846] = {.lex_state = 25, .external_lex_state = 3},
  [2847] = {.lex_state = 25, .external_lex_state = 3},
  [2848] = {.lex_state = 25, .external_lex_state = 3},
  [2849] = {.lex_state = 25, .external_lex_state = 3},
  [2850] = {.lex_state = 25, .external_lex_state = 3},
  [2851] = {.lex_state = 25, .external_lex_state = 3},
  [2852] = {.lex_state = 25, .external_lex_state = 3},
  [2853] = {.lex_state = 25, .external_lex_state = 3},
  [2854] = {.lex_state = 25, .external_lex_state = 3},
  [2855] = {.lex_state = 25, .external_lex_state = 3},
  [2856] = {.lex_state = 39, .external_lex_state = 2},
  [2857] = {.lex_state = 25, .external_lex_state = 3},
  [2858] = {.lex_state = 25, .external_lex_state = 3},
  [2859] = {.lex_state = 25, .external_lex_state = 3},
  [2860] = {.lex_state = 25, .external_lex_state = 3},
  [2861] = {.lex_state = 25, .external_lex_state = 3},
  [2862] = {.lex_state = 39, .external_lex_state = 2},
  [2863] = {.lex_state = 39, .external_lex_state = 2},
  [2864] = {.lex_state = 25, .external_lex_state = 3},
  [2865] = {.lex_state = 25, .external_lex_state = 3},
  [2866] = {.lex_state = 25, .external_lex_state = 3},
  [2867] = {.lex_state = 25, .external_lex_state = 3},
  [2868] = {.lex_state = 25, .external_lex_state = 3},
  [2869] = {.lex_state = 25, .external_lex_state = 3},
  [2870] = {.lex_state = 25, .external_lex_state = 3},
  [2871] = {.lex_state = 25, .external_lex_state = 3},
  [2872] = {.lex_state = 25, .external_lex_state = 3},
  [2873] = {.lex_state = 25, .external_lex_state = 3},
  [2874] = {.lex_state = 25, .external_lex_state = 3},
  [2875] = {.lex_state = 25, .external_lex_state = 3},
  [2876] = {.lex_state = 25, .external_lex_state = 3},
  [2877] = {.lex_state = 25, .external_lex_state = 3},
  [2878] = {.lex_state = 25, .external_lex_state = 3},
  [2879] = {.lex_state = 25, .external_lex_state = 3},
  [2880] = {.lex_state = 25, .external_lex_state = 3},
  [2881] = {.lex_state = 25, .external_lex_state = 3},
  [2882] = {.lex_state = 25, .external_lex_state = 3},
  [2883] = {.lex_state = 25, .external_lex_state = 3},
  [2884] = {.lex_state = 25, .external_lex_state = 3},
  [2885] = {.lex_state = 25, .external_lex_state = 3},
  [2886] = {.lex_state = 25, .external_lex_state = 3},
  [2887] = {.lex_state = 25, .external_lex_state = 3},
  [2888] = {.lex_state = 25, .external_lex_state = 3},
  [2889] = {.lex_state = 25, .external_lex_state = 3},
  [2890] = {.lex_state = 25, .external_lex_state = 3},
  [2891] = {.lex_state = 25, .external_lex_state = 3},
  [2892] = {.lex_state = 25, .external_lex_state = 3},
  [2893] = {.lex_state = 25, .external_lex_state = 3},
  [2894] = {.lex_state = 25, .external_lex_state = 3},
  [2895] = {.lex_state = 25, .external_lex_state = 3},
  [2896] = {.lex_state = 25, .external_lex_state = 3},
  [2897] = {.lex_state = 39, .external_lex_state = 5},
  [2898] = {.lex_state = 25, .external_lex_state = 3},
  [2899] = {.lex_state = 25, .external_lex_state = 3},
  [2900] = {.lex_state = 25, .external_lex_state = 3},
  [2901] = {.lex_state = 25, .external_lex_state = 3},
  [2902] = {.lex_state = 39, .external_lex_state = 2},
  [2903] = {.lex_state = 25, .external_lex_state = 3},
  [2904] = {.lex_state = 39, .external_lex_state = 5},
  [2905] = {.lex_state = 25, .external_lex_state = 3},
  [2906] = {.lex_state = 39, .external_lex_state = 2},
  [2907] = {.lex_state = 39, .external_lex_state = 2},
  [2908] = {.lex_state = 39, .external_lex_state = 2},
  [2909] = {.lex_state = 25, .external_lex_state = 3},
  [2910] = {.lex_state = 25, .external_lex_state = 4},
  [2911] = {.lex_state = 39, .external_lex_state = 5},
  [2912] = {.lex_state = 39, .external_lex_state = 5},
  [2913] = {.lex_state = 39, .external_lex_state = 5},
  [2914] = {.lex_state = 25, .external_lex_state = 4},
  [2915] = {.lex_state = 25, .external_lex_state = 3},
  [2916] = {.lex_state = 25, .external_lex_state = 3},
  [2917] = {.lex_state = 39, .external_lex_state = 5},
  [2918] = {.lex_state = 25, .external_lex_state = 3},
  [2919] = {.lex_state = 39, .external_lex_state = 2},
  [2920] = {.lex_state = 39, .external_lex_state = 2},
  [2921] = {.lex_state = 39, .external_lex_state = 2},
  [2922] = {.lex_state = 39, .external_lex_state = 2},
  [2923] = {.lex_state = 39, .external_lex_state = 2},
  [2924] = {.lex_state = 39, .external_lex_state = 2},
  [2925] = {.lex_state = 39, .external_lex_state = 2},
  [2926] = {.lex_state = 39, .external_lex_state = 5},
  [2927] = {.lex_state = 39, .external_lex_state = 5},
  [2928] = {.lex_state = 39, .external_lex_state = 5},
  [2929] = {.lex_state = 25, .external_lex_state = 3},
  [2930] = {.lex_state = 25, .external_lex_state = 3},
  [2931] = {.lex_state = 25, .external_lex_state = 3},
  [2932] = {.lex_state = 25, .external_lex_state = 3},
  [2933] = {.lex_state = 25, .external_lex_state = 3},
  [2934] = {.lex_state = 39, .external_lex_state = 5},
  [2935] = {.lex_state = 25, .external_lex_state = 3},
  [2936] = {.lex_state = 25, .external_lex_state = 3},
  [2937] = {.lex_state = 25, .external_lex_state = 3},
  [2938] = {.lex_state = 25, .external_lex_state = 3},
  [2939] = {.lex_state = 39, .external_lex_state = 5},
  [2940] = {.lex_state = 39, .external_lex_state = 5},
  [2941] = {.lex_state = 25, .external_lex_state = 4},
  [2942] = {.lex_state = 39, .external_lex_state = 5},
  [2943] = {.lex_state = 25, .external_lex_state = 4},
  [2944] = {.lex_state = 25, .external_lex_state = 3},
  [2945] = {.lex_state = 25, .external_lex_state = 3},
  [2946] = {.lex_state = 25, .external_lex_state = 3},
  [2947] = {.lex_state = 25, .external_lex_state = 3},
  [2948] = {.lex_state = 25, .external_lex_state = 3},
  [2949] = {.lex_state = 25, .external_lex_state = 3},
  [2950] = {.lex_state = 25, .external_lex_state = 3},
  [2951] = {.lex_state = 25, .external_lex_state = 3},
  [2952] = {.lex_state = 25, .external_lex_state = 3},
  [2953] = {.lex_state = 25, .external_lex_state = 3},
  [2954] = {.lex_state = 25, .external_lex_state = 3},
  [2955] = {.lex_state = 25, .external_lex_state = 3},
  [2956] = {.lex_state = 25, .external_lex_state = 3},
  [2957] = {.lex_state = 25, .external_lex_state = 3},
  [2958] = {.lex_state = 25, .external_lex_state = 3},
  [2959] = {.lex_state = 25, .external_lex_state = 3},
  [2960] = {.lex_state = 25, .external_lex_state = 3},
  [2961] = {.lex_state = 25, .external_lex_state = 3},
  [2962] = {.lex_state = 25, .external_lex_state = 3},
  [2963] = {.lex_state = 25, .external_lex_state = 3},
  [2964] = {.lex_state = 25, .external_lex_state = 3},
  [2965] = {.lex_state = 25, .external_lex_state = 3},
  [2966] = {.lex_state = 39, .external_lex_state = 5},
  [2967] = {.lex_state = 25, .external_lex_state = 3},
  [2968] = {.lex_state = 25, .external_lex_state = 3},
  [2969] = {.lex_state = 25, .external_lex_state = 3},
  [2970] = {.lex_state = 25, .external_lex_state = 3},
  [2971] = {.lex_state = 39, .external_lex_state = 5},
  [2972] = {.lex_state = 25, .external_lex_state = 3},
  [2973] = {.lex_state = 25, .external_lex_state = 3},
  [2974] = {.lex_state = 25, .external_lex_state = 3},
  [2975] = {.lex_state = 25, .external_lex_state = 3},
  [2976] = {.lex_state = 25, .external_lex_state = 3},
  [2977] = {.lex_state = 25, .external_lex_state = 3},
  [2978] = {.lex_state = 25, .external_lex_state = 3},
  [2979] = {.lex_state = 25, .external_lex_state = 3},
  [2980] = {.lex_state = 25, .external_lex_state = 4},
  [2981] = {.lex_state = 25, .external_lex_state = 3},
  [2982] = {.lex_state = 25, .external_lex_state = 4},
  [2983] = {.lex_state = 25, .external_lex_state = 4},
  [2984] = {.lex_state = 25, .external_lex_state = 4},
  [2985] = {.lex_state = 25, .external_lex_state = 4},
  [2986] = {.lex_state = 25, .external_lex_state = 4},
  [2987] = {.lex_state = 25, .external_lex_state = 3},
  [2988] = {.lex_state = 25, .external_lex_state = 4},
  [2989] = {.lex_state = 25, .external_lex_state = 3},
  [2990] = {.lex_state = 25, .external_lex_state = 4},
  [2991] = {.lex_state = 25, .external_lex_state = 3},
  [2992] = {.lex_state = 25, .external_lex_state = 4},
  [2993] = {.lex_state = 25, .external_lex_state = 4},
  [2994] = {.lex_state = 25, .external_lex_state = 4},
  [2995] = {.lex_state = 25, .external_lex_state = 4},
  [2996] = {.lex_state = 25, .external_lex_state = 4},
  [2997] = {.lex_state = 25, .external_lex_state = 3},
  [2998] = {.lex_state = 25, .external_lex_state = 4},
  [2999] = {.lex_state = 25, .external_lex_state = 4},
  [3000] = {.lex_state = 25, .external_lex_state = 4},
  [3001] = {.lex_state = 25, .external_lex_state = 4},
  [3002] = {.lex_state = 25, .external_lex_state = 4},
  [3003] = {.lex_state = 25, .external_lex_state = 4},
  [3004] = {.lex_state = 25, .external_lex_state = 4},
  [3005] = {.lex_state = 25, .external_lex_state = 4},
  [3006] = {.lex_state = 25, .external_lex_state = 4},
  [3007] = {.lex_state = 25, .external_lex_state = 3},
  [3008] = {.lex_state = 25, .external_lex_state = 3},
  [3009] = {.lex_state = 25, .external_lex_state = 3},
  [3010] = {.lex_state = 25, .external_lex_state = 4},
  [3011] = {.lex_state = 25, .external_lex_state = 3},
  [3012] = {.lex_state = 25, .external_lex_state = 3},
  [3013] = {.lex_state = 25, .external_lex_state = 3},
  [3014] = {.lex_state = 25, .external_lex_state = 4},
  [3015] = {.lex_state = 25, .external_lex_state = 4},
  [3016] = {.lex_state = 25, .external_lex_state = 3},
  [3017] = {.lex_state = 25, .external_lex_state = 3},
  [3018] = {.lex_state = 25, .external_lex_state = 4},
  [3019] = {.lex_state = 25, .external_lex_state = 3},
  [3020] = {.lex_state = 25, .external_lex_state = 3},
  [3021] = {.lex_state = 25, .external_lex_state = 3},
  [3022] = {.lex_state = 25, .external_lex_state = 3},
  [3023] = {.lex_state = 25, .external_lex_state = 3},
  [3024] = {.lex_state = 25, .external_lex_state = 4},
  [3025] = {.lex_state = 25, .external_lex_state = 4},
  [3026] = {.lex_state = 25, .external_lex_state = 3},
  [3027] = {.lex_state = 25, .external_lex_state = 3},
  [3028] = {.lex_state = 25, .external_lex_state = 3},
  [3029] = {.lex_state = 25, .external_lex_state = 4},
  [3030] = {.lex_state = 25, .external_lex_state = 3},
  [3031] = {.lex_state = 25, .external_lex_state = 4},
  [3032] = {.lex_state = 25, .external_lex_state = 4},
  [3033] = {.lex_state = 25, .external_lex_state = 3},
  [3034] = {.lex_state = 25, .external_lex_state = 4},
  [3035] = {.lex_state = 25, .external_lex_state = 4},
  [3036] = {.lex_state = 25, .external_lex_state = 3},
  [3037] = {.lex_state = 25, .external_lex_state = 4},
  [3038] = {.lex_state = 25, .external_lex_state = 4},
  [3039] = {.lex_state = 25, .external_lex_state = 4},
  [3040] = {.lex_state = 25, .external_lex_state = 4},
  [3041] = {.lex_state = 25, .external_lex_state = 4},
  [3042] = {.lex_state = 25, .external_lex_state = 4},
  [3043] = {.lex_state = 39, .external_lex_state = 2},
  [3044] = {.lex_state = 25, .external_lex_state = 3},
  [3045] = {.lex_state = 25, .external_lex_state = 4},
  [3046] = {.lex_state = 25, .external_lex_state = 4},
  [3047] = {.lex_state = 25, .external_lex_state = 4},
  [3048] = {.lex_state = 25, .external_lex_state = 4},
  [3049] = {.lex_state = 25, .external_lex_state = 3},
  [3050] = {.lex_state = 25, .external_lex_state = 3},
  [3051] = {.lex_state = 25, .external_lex_state = 3},
  [3052] = {.lex_state = 25, .external_lex_state = 3},
  [3053] = {.lex_state = 25, .external_lex_state = 3},
  [3054] = {.lex_state = 25, .external_lex_state = 3},
  [3055] = {.lex_state = 25, .external_lex_state = 4},
  [3056] = {.lex_state = 25, .external_lex_state = 4},
  [3057] = {.lex_state = 25, .external_lex_state = 4},
  [3058] = {.lex_state = 25, .external_lex_state = 3},
  [3059] = {.lex_state = 25, .external_lex_state = 4},
  [3060] = {.lex_state = 25, .external_lex_state = 4},
  [3061] = {.lex_state = 25, .external_lex_state = 4},
  [3062] = {.lex_state = 25, .external_lex_state = 3},
  [3063] = {.lex_state = 25, .external_lex_state = 4},
  [3064] = {.lex_state = 25, .external_lex_state = 4},
  [3065] = {.lex_state = 25, .external_lex_state = 3},
  [3066] = {.lex_state = 25, .external_lex_state = 3},
  [3067] = {.lex_state = 25, .external_lex_state = 4},
  [3068] = {.lex_state = 25, .external_lex_state = 4},
  [3069] = {.lex_state = 25, .external_lex_state = 4},
  [3070] = {.lex_state = 25, .external_lex_state = 4},
  [3071] = {.lex_state = 25, .external_lex_state = 4},
  [3072] = {.lex_state = 25, .external_lex_state = 4},
  [3073] = {.lex_state = 25, .external_lex_state = 3},
  [3074] = {.lex_state = 25, .external_lex_state = 4},
  [3075] = {.lex_state = 25, .external_lex_state = 4},
  [3076] = {.lex_state = 25, .external_lex_state = 3},
  [3077] = {.lex_state = 25, .external_lex_state = 3},
  [3078] = {.lex_state = 25, .external_lex_state = 4},
  [3079] = {.lex_state = 25, .external_lex_state = 4},
  [3080] = {.lex_state = 25, .external_lex_state = 4},
  [3081] = {.lex_state = 25, .external_lex_state = 3},
  [3082] = {.lex_state = 25, .external_lex_state = 3},
  [3083] = {.lex_state = 25, .external_lex_state = 4},
  [3084] = {.lex_state = 25, .external_lex_state = 3},
  [3085] = {.lex_state = 25, .external_lex_state = 3},
  [3086] = {.lex_state = 25, .external_lex_state = 4},
  [3087] = {.lex_state = 25, .external_lex_state = 4},
  [3088] = {.lex_state = 25, .external_lex_state = 4},
  [3089] = {.lex_state = 25, .external_lex_state = 4},
  [3090] = {.lex_state = 25, .external_lex_state = 4},
  [3091] = {.lex_state = 25, .external_lex_state = 4},
  [3092] = {.lex_state = 25, .external_lex_state = 3},
  [3093] = {.lex_state = 25, .external_lex_state = 3},
  [3094] = {.lex_state = 25, .external_lex_state = 3},
  [3095] = {.lex_state = 25, .external_lex_state = 4},
  [3096] = {.lex_state = 25, .external_lex_state = 3},
  [3097] = {.lex_state = 25, .external_lex_state = 4},
  [3098] = {.lex_state = 25, .external_lex_state = 3},
  [3099] = {.lex_state = 25, .external_lex_state = 4},
  [3100] = {.lex_state = 25, .external_lex_state = 3},
  [3101] = {.lex_state = 25, .external_lex_state = 3},
  [3102] = {.lex_state = 25, .external_lex_state = 3},
  [3103] = {.lex_state = 25, .external_lex_state = 3},
  [3104] = {.lex_state = 25, .external_lex_state = 4},
  [3105] = {.lex_state = 25, .external_lex_state = 3},
  [3106] = {.lex_state = 25, .external_lex_state = 3},
  [3107] = {.lex_state = 25, .external_lex_state = 3},
  [3108] = {.lex_state = 25, .external_lex_state = 3},
  [3109] = {.lex_state = 25, .external_lex_state = 3},
  [3110] = {.lex_state = 25, .external_lex_state = 3},
  [3111] = {.lex_state = 25, .external_lex_state = 4},
  [3112] = {.lex_state = 25, .external_lex_state = 3},
  [3113] = {.lex_state = 25, .external_lex_state = 4},
  [3114] = {.lex_state = 25, .external_lex_state = 4},
  [3115] = {.lex_state = 25, .external_lex_state = 4},
  [3116] = {.lex_state = 25, .external_lex_state = 4},
  [3117] = {.lex_state = 25, .external_lex_state = 4},
  [3118] = {.lex_state = 25, .external_lex_state = 4},
  [3119] = {.lex_state = 25, .external_lex_state = 4},
  [3120] = {.lex_state = 25, .external_lex_state = 4},
  [3121] = {.lex_state = 25, .external_lex_state = 4},
  [3122] = {.lex_state = 25, .external_lex_state = 4},
  [3123] = {.lex_state = 25, .external_lex_state = 3},
  [3124] = {.lex_state = 25, .external_lex_state = 3},
  [3125] = {.lex_state = 25, .external_lex_state = 3},
  [3126] = {.lex_state = 25, .external_lex_state = 3},
  [3127] = {.lex_state = 25, .external_lex_state = 3},
  [3128] = {.lex_state = 25, .external_lex_state = 4},
  [3129] = {.lex_state = 25, .external_lex_state = 4},
  [3130] = {.lex_state = 25, .external_lex_state = 3},
  [3131] = {.lex_state = 25, .external_lex_state = 3},
  [3132] = {.lex_state = 25, .external_lex_state = 3},
  [3133] = {.lex_state = 25, .external_lex_state = 4},
  [3134] = {.lex_state = 25, .external_lex_state = 3},
  [3135] = {.lex_state = 25, .external_lex_state = 4},
  [3136] = {.lex_state = 25, .external_lex_state = 4},
  [3137] = {.lex_state = 25, .external_lex_state = 4},
  [3138] = {.lex_state = 25, .external_lex_state = 4},
  [3139] = {.lex_state = 25, .external_lex_state = 4},
  [3140] = {.lex_state = 25, .external_lex_state = 4},
  [3141] = {.lex_state = 25, .external_lex_state = 4},
  [3142] = {.lex_state = 25, .external_lex_state = 4},
  [3143] = {.lex_state = 25, .external_lex_state = 4},
  [3144] = {.lex_state = 25, .external_lex_state = 4},
  [3145] = {.lex_state = 25, .external_lex_state = 3},
  [3146] = {.lex_state = 25, .external_lex_state = 4},
  [3147] = {.lex_state = 25, .external_lex_state = 4},
  [3148] = {.lex_state = 25, .external_lex_state = 3},
  [3149] = {.lex_state = 25, .external_lex_state = 4},
  [3150] = {.lex_state = 25, .external_lex_state = 4},
  [3151] = {.lex_state = 25, .external_lex_state = 3},
  [3152] = {.lex_state = 25, .external_lex_state = 3},
  [3153] = {.lex_state = 25, .external_lex_state = 3},
  [3154] = {.lex_state = 38, .external_lex_state = 5},
  [3155] = {.lex_state = 38, .external_lex_state = 5},
  [3156] = {.lex_state = 38, .external_lex_state = 5},
  [3157] = {.lex_state = 38, .external_lex_state = 5},
  [3158] = {.lex_state = 25, .external_lex_state = 4},
  [3159] = {.lex_state = 38, .external_lex_state = 5},
  [3160] = {.lex_state = 25, .external_lex_state = 3},
  [3161] = {.lex_state = 38, .external_lex_state = 5},
  [3162] = {.lex_state = 39, .external_lex_state = 2},
  [3163] = {.lex_state = 38, .external_lex_state = 5},
  [3164] = {.lex_state = 38, .external_lex_state = 5},
  [3165] = {.lex_state = 25, .external_lex_state = 4},
  [3166] = {.lex_state = 25, .external_lex_state = 3},
  [3167] = {.lex_state = 25, .external_lex_state = 4},
  [3168] = {.lex_state = 25, .external_lex_state = 3},
  [3169] = {.lex_state = 38, .external_lex_state = 5},
  [3170] = {.lex_state = 25, .external_lex_state = 3},
  [3171] = {.lex_state = 38, .external_lex_state = 5},
  [3172] = {.lex_state = 25, .external_lex_state = 3},
  [3173] = {.lex_state = 38, .external_lex_state = 5},
  [3174] = {.lex_state = 25, .external_lex_state = 3},
  [3175] = {.lex_state = 25, .external_lex_state = 3},
  [3176] = {.lex_state = 38, .external_lex_state = 5},
  [3177] = {.lex_state = 38, .external_lex_state = 5},
  [3178] = {.lex_state = 25, .external_lex_state = 3},
  [3179] = {.lex_state = 38, .external_lex_state = 5},
  [3180] = {.lex_state = 38, .external_lex_state = 5},
  [3181] = {.lex_state = 38, .external_lex_state = 5},
  [3182] = {.lex_state = 25, .external_lex_state = 4},
  [3183] = {.lex_state = 25, .external_lex_state = 3},
  [3184] = {.lex_state = 38, .external_lex_state = 5},
  [3185] = {.lex_state = 38, .external_lex_state = 5},
  [3186] = {.lex_state = 38, .external_lex_state = 5},
  [3187] = {.lex_state = 38, .external_lex_state = 5},
  [3188] = {.lex_state = 25, .external_lex_state = 4},
  [3189] = {.lex_state = 25, .external_lex_state = 3},
  [3190] = {.lex_state = 38, .external_lex_state = 5},
  [3191] = {.lex_state = 25, .external_lex_state = 3},
  [3192] = {.lex_state = 25, .external_lex_state = 3},
  [3193] = {.lex_state = 38, .external_lex_state = 5},
  [3194] = {.lex_state = 25, .external_lex_state = 3},
  [3195] = {.lex_state = 25, .external_lex_state = 3},
  [3196] = {.lex_state = 25, .external_lex_state = 3},
  [3197] = {.lex_state = 25, .external_lex_state = 3},
  [3198] = {.lex_state = 25, .external_lex_state = 3},
  [3199] = {.lex_state = 25, .external_lex_state = 3},
  [3200] = {.lex_state = 25, .external_lex_state = 3},
  [3201] = {.lex_state = 25, .external_lex_state = 3},
  [3202] = {.lex_state = 25, .external_lex_state = 3},
  [3203] = {.lex_state = 25, .external_lex_state = 3},
  [3204] = {.lex_state = 25, .external_lex_state = 4},
  [3205] = {.lex_state = 38, .external_lex_state = 5},
  [3206] = {.lex_state = 25, .external_lex_state = 4},
  [3207] = {.lex_state = 25, .external_lex_state = 3},
  [3208] = {.lex_state = 25, .external_lex_state = 3},
  [3209] = {.lex_state = 25, .external_lex_state = 3},
  [3210] = {.lex_state = 25, .external_lex_state = 3},
  [3211] = {.lex_state = 25, .external_lex_state = 3},
  [3212] = {.lex_state = 25, .external_lex_state = 3},
  [3213] = {.lex_state = 25, .external_lex_state = 3},
  [3214] = {.lex_state = 25, .external_lex_state = 3},
  [3215] = {.lex_state = 25, .external_lex_state = 3},
  [3216] = {.lex_state = 25, .external_lex_state = 3},
  [3217] = {.lex_state = 25, .external_lex_state = 3},
  [3218] = {.lex_state = 25, .external_lex_state = 3},
  [3219] = {.lex_state = 25, .external_lex_state = 4},
  [3220] = {.lex_state = 38, .external_lex_state = 5},
  [3221] = {.lex_state = 38, .external_lex_state = 5},
  [3222] = {.lex_state = 38, .external_lex_state = 5},
  [3223] = {.lex_state = 25, .external_lex_state = 3},
  [3224] = {.lex_state = 25, .external_lex_state = 3},
  [3225] = {.lex_state = 25, .external_lex_state = 4},
  [3226] = {.lex_state = 25, .external_lex_state = 3},
  [3227] = {.lex_state = 25, .external_lex_state = 4},
  [3228] = {.lex_state = 38, .external_lex_state = 5},
  [3229] = {.lex_state = 38, .external_lex_state = 5},
  [3230] = {.lex_state = 25, .external_lex_state = 3},
  [3231] = {.lex_state = 38, .external_lex_state = 5},
  [3232] = {.lex_state = 38, .external_lex_state = 5},
  [3233] = {.lex_state = 25, .external_lex_state = 3},
  [3234] = {.lex_state = 38, .external_lex_state = 5},
  [3235] = {.lex_state = 25, .external_lex_state = 3},
  [3236] = {.lex_state = 38, .external_lex_state = 5},
  [3237] = {.lex_state = 38, .external_lex_state = 5},
  [3238] = {.lex_state = 38, .external_lex_state = 5},
  [3239] = {.lex_state = 25, .external_lex_state = 3},
  [3240] = {.lex_state = 38, .external_lex_state = 5},
  [3241] = {.lex_state = 25, .external_lex_state = 4},
  [3242] = {.lex_state = 25, .external_lex_state = 4},
  [3243] = {.lex_state = 25, .external_lex_state = 4},
  [3244] = {.lex_state = 25, .external_lex_state = 3},
  [3245] = {.lex_state = 38, .external_lex_state = 5},
  [3246] = {.lex_state = 25, .external_lex_state = 3},
  [3247] = {.lex_state = 39, .external_lex_state = 2},
  [3248] = {.lex_state = 25, .external_lex_state = 3},
  [3249] = {.lex_state = 38, .external_lex_state = 5},
  [3250] = {.lex_state = 25, .external_lex_state = 3},
  [3251] = {.lex_state = 25, .external_lex_state = 4},
  [3252] = {.lex_state = 38, .external_lex_state = 5},
  [3253] = {.lex_state = 25, .external_lex_state = 4},
  [3254] = {.lex_state = 38, .external_lex_state = 5},
  [3255] = {.lex_state = 38, .external_lex_state = 5},
  [3256] = {.lex_state = 25, .external_lex_state = 3},
  [3257] = {.lex_state = 25, .external_lex_state = 3},
  [3258] = {.lex_state = 25, .external_lex_state = 3},
  [3259] = {.lex_state = 25, .external_lex_state = 3},
  [3260] = {.lex_state = 25, .external_lex_state = 3},
  [3261] = {.lex_state = 25, .external_lex_state = 3},
  [3262] = {.lex_state = 25, .external_lex_state = 3},
  [3263] = {.lex_state = 25, .external_lex_state = 3},
  [3264] = {.lex_state = 25, .external_lex_state = 3},
  [3265] = {.lex_state = 25, .external_lex_state = 3},
  [3266] = {.lex_state = 38, .external_lex_state = 5},
  [3267] = {.lex_state = 38, .external_lex_state = 5},
  [3268] = {.lex_state = 25, .external_lex_state = 3},
  [3269] = {.lex_state = 25, .external_lex_state = 3},
  [3270] = {.lex_state = 25, .external_lex_state = 4},
  [3271] = {.lex_state = 38, .external_lex_state = 5},
  [3272] = {.lex_state = 25, .external_lex_state = 4},
  [3273] = {.lex_state = 25, .external_lex_state = 4},
  [3274] = {.lex_state = 38, .external_lex_state = 5},
  [3275] = {.lex_state = 38, .external_lex_state = 5},
  [3276] = {.lex_state = 38, .external_lex_state = 5},
  [3277] = {.lex_state = 38, .external_lex_state = 5},
  [3278] = {.lex_state = 25, .external_lex_state = 4},
  [3279] = {.lex_state = 25, .external_lex_state = 3},
  [3280] = {.lex_state = 25, .external_lex_state = 3},
  [3281] = {.lex_state = 39, .external_lex_state = 2},
  [3282] = {.lex_state = 25, .external_lex_state = 3},
  [3283] = {.lex_state = 25, .external_lex_state = 3},
  [3284] = {.lex_state = 25, .external_lex_state = 4},
  [3285] = {.lex_state = 38, .external_lex_state = 5},
  [3286] = {.lex_state = 25, .external_lex_state = 4},
  [3287] = {.lex_state = 25, .external_lex_state = 4},
  [3288] = {.lex_state = 38, .external_lex_state = 5},
  [3289] = {.lex_state = 25, .external_lex_state = 4},
  [3290] = {.lex_state = 25, .external_lex_state = 3},
  [3291] = {.lex_state = 25, .external_lex_state = 3},
  [3292] = {.lex_state = 39, .external_lex_state = 2},
  [3293] = {.lex_state = 25, .external_lex_state = 3},
  [3294] = {.lex_state = 25, .external_lex_state = 4},
  [3295] = {.lex_state = 25, .external_lex_state = 3},
  [3296] = {.lex_state = 25, .external_lex_state = 3},
  [3297] = {.lex_state = 39, .external_lex_state = 2},
  [3298] = {.lex_state = 38, .external_lex_state = 5},
  [3299] = {.lex_state = 38, .external_lex_state = 5},
  [3300] = {.lex_state = 25, .external_lex_state = 3},
  [3301] = {.lex_state = 38, .external_lex_state = 5},
  [3302] = {.lex_state = 25, .external_lex_state = 3},
  [3303] = {.lex_state = 25, .external_lex_state = 3},
  [3304] = {.lex_state = 25, .external_lex_state = 4},
  [3305] = {.lex_state = 23, .external_lex_state = 3},
  [3306] = {.lex_state = 25, .external_lex_state = 4},
  [3307] = {.lex_state = 25, .external_lex_state = 3},
  [3308] = {.lex_state = 25, .external_lex_state = 4},
  [3309] = {.lex_state = 25, .external_lex_state = 4},
  [3310] = {.lex_state = 25, .external_lex_state = 4},
  [3311] = {.lex_state = 25, .external_lex_state = 4},
  [3312] = {.lex_state = 25, .external_lex_state = 4},
  [3313] = {.lex_state = 25, .external_lex_state = 4},
  [3314] = {.lex_state = 25, .external_lex_state = 4},
  [3315] = {.lex_state = 25, .external_lex_state = 4},
  [3316] = {.lex_state = 25, .external_lex_state = 4},
  [3317] = {.lex_state = 25, .external_lex_state = 4},
  [3318] = {.lex_state = 25, .external_lex_state = 4},
  [3319] = {.lex_state = 25, .external_lex_state = 4},
  [3320] = {.lex_state = 25, .external_lex_state = 4},
  [3321] = {.lex_state = 25, .external_lex_state = 4},
  [3322] = {.lex_state = 25, .external_lex_state = 4},
  [3323] = {.lex_state = 25, .external_lex_state = 4},
  [3324] = {.lex_state = 25, .external_lex_state = 4},
  [3325] = {.lex_state = 25, .external_lex_state = 4},
  [3326] = {.lex_state = 39, .external_lex_state = 2},
  [3327] = {.lex_state = 25, .external_lex_state = 4},
  [3328] = {.lex_state = 25, .external_lex_state = 3},
  [3329] = {.lex_state = 25, .external_lex_state = 3},
  [3330] = {.lex_state = 39, .external_lex_state = 2},
  [3331] = {.lex_state = 39, .external_lex_state = 2},
  [3332] = {.lex_state = 25, .external_lex_state = 4},
  [3333] = {.lex_state = 25, .external_lex_state = 4},
  [3334] = {.lex_state = 25, .external_lex_state = 4},
  [3335] = {.lex_state = 38, .external_lex_state = 2},
  [3336] = {.lex_state = 25, .external_lex_state = 4},
  [3337] = {.lex_state = 39, .external_lex_state = 2},
  [3338] = {.lex_state = 25, .external_lex_state = 4},
  [3339] = {.lex_state = 25, .external_lex_state = 4},
  [3340] = {.lex_state = 25, .external_lex_state = 4},
  [3341] = {.lex_state = 25, .external_lex_state = 4},
  [3342] = {.lex_state = 25, .external_lex_state = 4},
  [3343] = {.lex_state = 25, .external_lex_state = 3},
  [3344] = {.lex_state = 25, .external_lex_state = 4},
  [3345] = {.lex_state = 25, .external_lex_state = 4},
  [3346] = {.lex_state = 25, .external_lex_state = 4},
  [3347] = {.lex_state = 25, .external_lex_state = 3},
  [3348] = {.lex_state = 25, .external_lex_state = 4},
  [3349] = {.lex_state = 25, .external_lex_state = 4},
  [3350] = {.lex_state = 25, .external_lex_state = 4},
  [3351] = {.lex_state = 25, .external_lex_state = 4},
  [3352] = {.lex_state = 25, .external_lex_state = 4},
  [3353] = {.lex_state = 39, .external_lex_state = 2},
  [3354] = {.lex_state = 25, .external_lex_state = 4},
  [3355] = {.lex_state = 25, .external_lex_state = 4},
  [3356] = {.lex_state = 39, .external_lex_state = 2},
  [3357] = {.lex_state = 25, .external_lex_state = 4},
  [3358] = {.lex_state = 25, .external_lex_state = 4},
  [3359] = {.lex_state = 25, .external_lex_state = 4},
  [3360] = {.lex_state = 39, .external_lex_state = 2},
  [3361] = {.lex_state = 25, .external_lex_state = 4},
  [3362] = {.lex_state = 25, .external_lex_state = 4},
  [3363] = {.lex_state = 38, .external_lex_state = 2},
  [3364] = {.lex_state = 25, .external_lex_state = 4},
  [3365] = {.lex_state = 25, .external_lex_state = 4},
  [3366] = {.lex_state = 38, .external_lex_state = 2},
  [3367] = {.lex_state = 25, .external_lex_state = 4},
  [3368] = {.lex_state = 25, .external_lex_state = 4},
  [3369] = {.lex_state = 25, .external_lex_state = 4},
  [3370] = {.lex_state = 25, .external_lex_state = 4},
  [3371] = {.lex_state = 25, .external_lex_state = 4},
  [3372] = {.lex_state = 25, .external_lex_state = 4},
  [3373] = {.lex_state = 25, .external_lex_state = 4},
  [3374] = {.lex_state = 25, .external_lex_state = 4},
  [3375] = {.lex_state = 25, .external_lex_state = 4},
  [3376] = {.lex_state = 25, .external_lex_state = 4},
  [3377] = {.lex_state = 25, .external_lex_state = 4},
  [3378] = {.lex_state = 25, .external_lex_state = 4},
  [3379] = {.lex_state = 25, .external_lex_state = 4},
  [3380] = {.lex_state = 25, .external_lex_state = 3},
  [3381] = {.lex_state = 25, .external_lex_state = 4},
  [3382] = {.lex_state = 25, .external_lex_state = 4},
  [3383] = {.lex_state = 25, .external_lex_state = 4},
  [3384] = {.lex_state = 25, .external_lex_state = 3},
  [3385] = {.lex_state = 25, .external_lex_state = 4},
  [3386] = {.lex_state = 25, .external_lex_state = 4},
  [3387] = {.lex_state = 25, .external_lex_state = 4},
  [3388] = {.lex_state = 25, .external_lex_state = 4},
  [3389] = {.lex_state = 25, .external_lex_state = 4},
  [3390] = {.lex_state = 25, .external_lex_state = 4},
  [3391] = {.lex_state = 25, .external_lex_state = 4},
  [3392] = {.lex_state = 25, .external_lex_state = 4},
  [3393] = {.lex_state = 25, .external_lex_state = 4},
  [3394] = {.lex_state = 25, .external_lex_state = 4},
  [3395] = {.lex_state = 25, .external_lex_state = 4},
  [3396] = {.lex_state = 38, .external_lex_state = 2},
  [3397] = {.lex_state = 25, .external_lex_state = 4},
  [3398] = {.lex_state = 25, .external_lex_state = 4},
  [3399] = {.lex_state = 25, .external_lex_state = 4},
  [3400] = {.lex_state = 25, .external_lex_state = 4},
  [3401] = {.lex_state = 25, .external_lex_state = 4},
  [3402] = {.lex_state = 25, .external_lex_state = 4},
  [3403] = {.lex_state = 25, .external_lex_state = 4},
  [3404] = {.lex_state = 25, .external_lex_state = 4},
  [3405] = {.lex_state = 25, .external_lex_state = 4},
  [3406] = {.lex_state = 25, .external_lex_state = 4},
  [3407] = {.lex_state = 25, .external_lex_state = 4},
  [3408] = {.lex_state = 25, .external_lex_state = 4},
  [3409] = {.lex_state = 25, .external_lex_state = 4},
  [3410] = {.lex_state = 25, .external_lex_state = 4},
  [3411] = {.lex_state = 25, .external_lex_state = 4},
  [3412] = {.lex_state = 25, .external_lex_state = 3},
  [3413] = {.lex_state = 25, .external_lex_state = 4},
  [3414] = {.lex_state = 25, .external_lex_state = 4},
  [3415] = {.lex_state = 25, .external_lex_state = 3},
  [3416] = {.lex_state = 25, .external_lex_state = 3},
  [3417] = {.lex_state = 25, .external_lex_state = 3},
  [3418] = {.lex_state = 25, .external_lex_state = 4},
  [3419] = {.lex_state = 25, .external_lex_state = 4},
  [3420] = {.lex_state = 25, .external_lex_state = 4},
  [3421] = {.lex_state = 25, .external_lex_state = 4},
  [3422] = {.lex_state = 25, .external_lex_state = 4},
  [3423] = {.lex_state = 25, .external_lex_state = 4},
  [3424] = {.lex_state = 25, .external_lex_state = 4},
  [3425] = {.lex_state = 25, .external_lex_state = 4},
  [3426] = {.lex_state = 25, .external_lex_state = 4},
  [3427] = {.lex_state = 25, .external_lex_state = 4},
  [3428] = {.lex_state = 25, .external_lex_state = 4},
  [3429] = {.lex_state = 25, .external_lex_state = 3},
  [3430] = {.lex_state = 25, .external_lex_state = 4},
  [3431] = {.lex_state = 25, .external_lex_state = 4},
  [3432] = {.lex_state = 25, .external_lex_state = 4},
  [3433] = {.lex_state = 25, .external_lex_state = 4},
  [3434] = {.lex_state = 25, .external_lex_state = 4},
  [3435] = {.lex_state = 25, .external_lex_state = 4},
  [3436] = {.lex_state = 25, .external_lex_state = 4},
  [3437] = {.lex_state = 25, .external_lex_state = 4},
  [3438] = {.lex_state = 25, .external_lex_state = 4},
  [3439] = {.lex_state = 25, .external_lex_state = 4},
  [3440] = {.lex_state = 25, .external_lex_state = 3},
  [3441] = {.lex_state = 25, .external_lex_state = 3},
  [3442] = {.lex_state = 25, .external_lex_state = 3},
  [3443] = {.lex_state = 25, .external_lex_state = 4},
  [3444] = {.lex_state = 25, .external_lex_state = 4},
  [3445] = {.lex_state = 25, .external_lex_state = 4},
  [3446] = {.lex_state = 25, .external_lex_state = 4},
  [3447] = {.lex_state = 25, .external_lex_state = 4},
  [3448] = {.lex_state = 25, .external_lex_state = 4},
  [3449] = {.lex_state = 25, .external_lex_state = 4},
  [3450] = {.lex_state = 25, .external_lex_state = 4},
  [3451] = {.lex_state = 25, .external_lex_state = 4},
  [3452] = {.lex_state = 25, .external_lex_state = 4},
  [3453] = {.lex_state = 25, .external_lex_state = 4},
  [3454] = {.lex_state = 25, .external_lex_state = 4},
  [3455] = {.lex_state = 25, .external_lex_state = 4},
  [3456] = {.lex_state = 25, .external_lex_state = 4},
  [3457] = {.lex_state = 25, .external_lex_state = 4},
  [3458] = {.lex_state = 25, .external_lex_state = 4},
  [3459] = {.lex_state = 25, .external_lex_state = 4},
  [3460] = {.lex_state = 25, .external_lex_state = 4},
  [3461] = {.lex_state = 38, .external_lex_state = 2},
  [3462] = {.lex_state = 39, .external_lex_state = 2},
  [3463] = {.lex_state = 25, .external_lex_state = 4},
  [3464] = {.lex_state = 25, .external_lex_state = 4},
  [3465] = {.lex_state = 25, .external_lex_state = 4},
  [3466] = {.lex_state = 25, .external_lex_state = 4},
  [3467] = {.lex_state = 25, .external_lex_state = 4},
  [3468] = {.lex_state = 38, .external_lex_state = 2},
  [3469] = {.lex_state = 25, .external_lex_state = 4},
  [3470] = {.lex_state = 25, .external_lex_state = 3},
  [3471] = {.lex_state = 25, .external_lex_state = 4},
  [3472] = {.lex_state = 38, .external_lex_state = 2},
  [3473] = {.lex_state = 25, .external_lex_state = 4},
  [3474] = {.lex_state = 25, .external_lex_state = 4},
  [3475] = {.lex_state = 25, .external_lex_state = 4},
  [3476] = {.lex_state = 25, .external_lex_state = 4},
  [3477] = {.lex_state = 25, .external_lex_state = 4},
  [3478] = {.lex_state = 25, .external_lex_state = 4},
  [3479] = {.lex_state = 25, .external_lex_state = 4},
  [3480] = {.lex_state = 25, .external_lex_state = 4},
  [3481] = {.lex_state = 25, .external_lex_state = 4},
  [3482] = {.lex_state = 25, .external_lex_state = 4},
  [3483] = {.lex_state = 25, .external_lex_state = 4},
  [3484] = {.lex_state = 25, .external_lex_state = 4},
  [3485] = {.lex_state = 25, .external_lex_state = 4},
  [3486] = {.lex_state = 25, .external_lex_state = 4},
  [3487] = {.lex_state = 25, .external_lex_state = 4},
  [3488] = {.lex_state = 25, .external_lex_state = 4},
  [3489] = {.lex_state = 25, .external_lex_state = 4},
  [3490] = {.lex_state = 25, .external_lex_state = 4},
  [3491] = {.lex_state = 25, .external_lex_state = 4},
  [3492] = {.lex_state = 25, .external_lex_state = 4},
  [3493] = {.lex_state = 25, .external_lex_state = 4},
  [3494] = {.lex_state = 25, .external_lex_state = 4},
  [3495] = {.lex_state = 25, .external_lex_state = 4},
  [3496] = {.lex_state = 25, .external_lex_state = 4},
  [3497] = {.lex_state = 25, .external_lex_state = 4},
  [3498] = {.lex_state = 25, .external_lex_state = 3},
  [3499] = {.lex_state = 25, .external_lex_state = 4},
  [3500] = {.lex_state = 25, .external_lex_state = 4},
  [3501] = {.lex_state = 25, .external_lex_state = 4},
  [3502] = {.lex_state = 39, .external_lex_state = 2},
  [3503] = {.lex_state = 25, .external_lex_state = 4},
  [3504] = {.lex_state = 25, .external_lex_state = 4},
  [3505] = {.lex_state = 25, .external_lex_state = 3},
  [3506] = {.lex_state = 25, .external_lex_state = 4},
  [3507] = {.lex_state = 25, .external_lex_state = 4},
  [3508] = {.lex_state = 25, .external_lex_state = 4},
  [3509] = {.lex_state = 25, .external_lex_state = 4},
  [3510] = {.lex_state = 39, .external_lex_state = 2},
  [3511] = {.lex_state = 25, .external_lex_state = 4},
  [3512] = {.lex_state = 25, .external_lex_state = 3},
  [3513] = {.lex_state = 25, .external_lex_state = 4},
  [3514] = {.lex_state = 39, .external_lex_state = 2},
  [3515] = {.lex_state = 25, .external_lex_state = 4},
  [3516] = {.lex_state = 39, .external_lex_state = 2},
  [3517] = {.lex_state = 25, .external_lex_state = 4},
  [3518] = {.lex_state = 25, .external_lex_state = 4},
  [3519] = {.lex_state = 25, .external_lex_state = 4},
  [3520] = {.lex_state = 25, .external_lex_state = 4},
  [3521] = {.lex_state = 25, .external_lex_state = 4},
  [3522] = {.lex_state = 25, .external_lex_state = 3},
  [3523] = {.lex_state = 25, .external_lex_state = 3},
  [3524] = {.lex_state = 25, .external_lex_state = 4},
  [3525] = {.lex_state = 25, .external_lex_state = 4},
  [3526] = {.lex_state = 25, .external_lex_state = 4},
  [3527] = {.lex_state = 25, .external_lex_state = 4},
  [3528] = {.lex_state = 25, .external_lex_state = 4},
  [3529] = {.lex_state = 25, .external_lex_state = 4},
  [3530] = {.lex_state = 25, .external_lex_state = 3},
  [3531] = {.lex_state = 39, .external_lex_state = 2},
  [3532] = {.lex_state = 25, .external_lex_state = 4},
  [3533] = {.lex_state = 25, .external_lex_state = 4},
  [3534] = {.lex_state = 25, .external_lex_state = 3},
  [3535] = {.lex_state = 25, .external_lex_state = 4},
  [3536] = {.lex_state = 25, .external_lex_state = 4},
  [3537] = {.lex_state = 25, .external_lex_state = 4},
  [3538] = {.lex_state = 25, .external_lex_state = 4},
  [3539] = {.lex_state = 25, .external_lex_state = 3},
  [3540] = {.lex_state = 25, .external_lex_state = 4},
  [3541] = {.lex_state = 25, .external_lex_state = 4},
  [3542] = {.lex_state = 25, .external_lex_state = 3},
  [3543] = {.lex_state = 25, .external_lex_state = 3},
  [3544] = {.lex_state = 25, .external_lex_state = 4},
  [3545] = {.lex_state = 25, .external_lex_state = 3},
  [3546] = {.lex_state = 25, .external_lex_state = 4},
  [3547] = {.lex_state = 25, .external_lex_state = 4},
  [3548] = {.lex_state = 39, .external_lex_state = 2},
  [3549] = {.lex_state = 25, .external_lex_state = 3},
  [3550] = {.lex_state = 25, .external_lex_state = 4},
  [3551] = {.lex_state = 25, .external_lex_state = 4},
  [3552] = {.lex_state = 25, .external_lex_state = 4},
  [3553] = {.lex_state = 39, .external_lex_state = 2},
  [3554] = {.lex_state = 25, .external_lex_state = 3},
  [3555] = {.lex_state = 25, .external_lex_state = 4},
  [3556] = {.lex_state = 25, .external_lex_state = 4},
  [3557] = {.lex_state = 39, .external_lex_state = 2},
  [3558] = {.lex_state = 25, .external_lex_state = 3},
  [3559] = {.lex_state = 25, .external_lex_state = 4},
  [3560] = {.lex_state = 25, .external_lex_state = 4},
  [3561] = {.lex_state = 39, .external_lex_state = 2},
  [3562] = {.lex_state = 25, .external_lex_state = 3},
  [3563] = {.lex_state = 25, .external_lex_state = 3},
  [3564] = {.lex_state = 25, .external_lex_state = 3},
  [3565] = {.lex_state = 25, .external_lex_state = 3},
  [3566] = {.lex_state = 25, .external_lex_state = 3},
  [3567] = {.lex_state = 25, .external_lex_state = 3},
  [3568] = {.lex_state = 25, .external_lex_state = 3},
  [3569] = {.lex_state = 25, .external_lex_state = 4},
  [3570] = {.lex_state = 25, .external_lex_state = 4},
  [3571] = {.lex_state = 25, .external_lex_state = 3},
  [3572] = {.lex_state = 38, .external_lex_state = 2},
  [3573] = {.lex_state = 25, .external_lex_state = 3},
  [3574] = {.lex_state = 25, .external_lex_state = 4},
  [3575] = {.lex_state = 25, .external_lex_state = 4},
  [3576] = {.lex_state = 25, .external_lex_state = 4},
  [3577] = {.lex_state = 25, .external_lex_state = 4},
  [3578] = {.lex_state = 25, .external_lex_state = 4},
  [3579] = {.lex_state = 39, .external_lex_state = 2},
  [3580] = {.lex_state = 25, .external_lex_state = 4},
  [3581] = {.lex_state = 25, .external_lex_state = 3},
  [3582] = {.lex_state = 25, .external_lex_state = 3},
  [3583] = {.lex_state = 39, .external_lex_state = 2},
  [3584] = {.lex_state = 25, .external_lex_state = 3},
  [3585] = {.lex_state = 25, .external_lex_state = 4},
  [3586] = {.lex_state = 25, .external_lex_state = 3},
  [3587] = {.lex_state = 25, .external_lex_state = 3},
  [3588] = {.lex_state = 25, .external_lex_state = 4},
  [3589] = {.lex_state = 25, .external_lex_state = 4},
  [3590] = {.lex_state = 25, .external_lex_state = 4},
  [3591] = {.lex_state = 25, .external_lex_state = 4},
  [3592] = {.lex_state = 25, .external_lex_state = 4},
  [3593] = {.lex_state = 39, .external_lex_state = 2},
  [3594] = {.lex_state = 25, .external_lex_state = 3},
  [3595] = {.lex_state = 39, .external_lex_state = 2},
  [3596] = {.lex_state = 25, .external_lex_state = 4},
  [3597] = {.lex_state = 25, .external_lex_state = 4},
  [3598] = {.lex_state = 25, .external_lex_state = 4},
  [3599] = {.lex_state = 25, .external_lex_state = 3},
  [3600] = {.lex_state = 25, .external_lex_state = 4},
  [3601] = {.lex_state = 25, .external_lex_state = 4},
  [3602] = {.lex_state = 25, .external_lex_state = 4},
  [3603] = {.lex_state = 25, .external_lex_state = 3},
  [3604] = {.lex_state = 25, .external_lex_state = 4},
  [3605] = {.lex_state = 25, .external_lex_state = 3},
  [3606] = {.lex_state = 25, .external_lex_state = 3},
  [3607] = {.lex_state = 39, .external_lex_state = 2},
  [3608] = {.lex_state = 25, .external_lex_state = 3},
  [3609] = {.lex_state = 25, .external_lex_state = 4},
  [3610] = {.lex_state = 39, .external_lex_state = 2},
  [3611] = {.lex_state = 39, .external_lex_state = 2},
  [3612] = {.lex_state = 25, .external_lex_state = 4},
  [3613] = {.lex_state = 25, .external_lex_state = 4},
  [3614] = {.lex_state = 25, .external_lex_state = 4},
  [3615] = {.lex_state = 25, .external_lex_state = 3},
  [3616] = {.lex_state = 25, .external_lex_state = 4},
  [3617] = {.lex_state = 23, .external_lex_state = 4},
  [3618] = {.lex_state = 39, .external_lex_state = 2},
  [3619] = {.lex_state = 25, .external_lex_state = 3},
  [3620] = {.lex_state = 39, .external_lex_state = 2},
  [3621] = {.lex_state = 25, .external_lex_state = 4},
  [3622] = {.lex_state = 39, .external_lex_state = 2},
  [3623] = {.lex_state = 25, .external_lex_state = 3},
  [3624] = {.lex_state = 39, .external_lex_state = 2},
  [3625] = {.lex_state = 25, .external_lex_state = 4},
  [3626] = {.lex_state = 25, .external_lex_state = 3},
  [3627] = {.lex_state = 39, .external_lex_state = 2},
  [3628] = {.lex_state = 25, .external_lex_state = 4},
  [3629] = {.lex_state = 39, .external_lex_state = 2},
  [3630] = {.lex_state = 25, .external_lex_state = 3},
  [3631] = {.lex_state = 38, .external_lex_state = 2},
  [3632] = {.lex_state = 25, .external_lex_state = 3},
  [3633] = {.lex_state = 25, .external_lex_state = 3},
  [3634] = {.lex_state = 25, .external_lex_state = 3},
  [3635] = {.lex_state = 25, .external_lex_state = 4},
  [3636] = {.lex_state = 25, .external_lex_state = 3},
  [3637] = {.lex_state = 25, .external_lex_state = 3},
  [3638] = {.lex_state = 25, .external_lex_state = 3},
  [3639] = {.lex_state = 25, .external_lex_state = 3},
  [3640] = {.lex_state = 25, .external_lex_state = 4},
  [3641] = {.lex_state = 25, .external_lex_state = 3},
  [3642] = {.lex_state = 25, .external_lex_state = 3},
  [3643] = {.lex_state = 25, .external_lex_state = 3},
  [3644] = {.lex_state = 25, .external_lex_state = 3},
  [3645] = {.lex_state = 25, .external_lex_state = 3},
  [3646] = {.lex_state = 25, .external_lex_state = 3},
  [3647] = {.lex_state = 25, .external_lex_state = 3},
  [3648] = {.lex_state = 25, .external_lex_state = 3},
  [3649] = {.lex_state = 25, .external_lex_state = 3},
  [3650] = {.lex_state = 25, .external_lex_state = 3},
  [3651] = {.lex_state = 25, .external_lex_state = 3},
  [3652] = {.lex_state = 38, .external_lex_state = 2},
  [3653] = {.lex_state = 39, .external_lex_state = 2},
  [3654] = {.lex_state = 25, .external_lex_state = 3},
  [3655] = {.lex_state = 25, .external_lex_state = 3},
  [3656] = {.lex_state = 25, .external_lex_state = 3},
  [3657] = {.lex_state = 25, .external_lex_state = 3},
  [3658] = {.lex_state = 25, .external_lex_state = 3},
  [3659] = {.lex_state = 25, .external_lex_state = 3},
  [3660] = {.lex_state = 25, .external_lex_state = 3},
  [3661] = {.lex_state = 25, .external_lex_state = 3},
  [3662] = {.lex_state = 25, .external_lex_state = 3},
  [3663] = {.lex_state = 25, .external_lex_state = 3},
  [3664] = {.lex_state = 25, .external_lex_state = 3},
  [3665] = {.lex_state = 25, .external_lex_state = 3},
  [3666] = {.lex_state = 25, .external_lex_state = 3},
  [3667] = {.lex_state = 39, .external_lex_state = 2},
  [3668] = {.lex_state = 25, .external_lex_state = 3},
  [3669] = {.lex_state = 25, .external_lex_state = 3},
  [3670] = {.lex_state = 25, .external_lex_state = 3},
  [3671] = {.lex_state = 25, .external_lex_state = 4},
  [3672] = {.lex_state = 25, .external_lex_state = 3},
  [3673] = {.lex_state = 39, .external_lex_state = 2},
  [3674] = {.lex_state = 25, .external_lex_state = 3},
  [3675] = {.lex_state = 39, .external_lex_state = 2},
  [3676] = {.lex_state = 25, .external_lex_state = 3},
  [3677] = {.lex_state = 25, .external_lex_state = 3},
  [3678] = {.lex_state = 25, .external_lex_state = 4},
  [3679] = {.lex_state = 25, .external_lex_state = 3},
  [3680] = {.lex_state = 25, .external_lex_state = 3},
  [3681] = {.lex_state = 25, .external_lex_state = 4},
  [3682] = {.lex_state = 25, .external_lex_state = 3},
  [3683] = {.lex_state = 25, .external_lex_state = 3},
  [3684] = {.lex_state = 25, .external_lex_state = 3},
  [3685] = {.lex_state = 26, .external_lex_state = 4},
  [3686] = {.lex_state = 25, .external_lex_state = 3},
  [3687] = {.lex_state = 25, .external_lex_state = 4},
  [3688] = {.lex_state = 25, .external_lex_state = 3},
  [3689] = {.lex_state = 25, .external_lex_state = 3},
  [3690] = {.lex_state = 25, .external_lex_state = 3},
  [3691] = {.lex_state = 25, .external_lex_state = 3},
  [3692] = {.lex_state = 25, .external_lex_state = 3},
  [3693] = {.lex_state = 25, .external_lex_state = 3},
  [3694] = {.lex_state = 25, .external_lex_state = 3},
  [3695] = {.lex_state = 25, .external_lex_state = 3},
  [3696] = {.lex_state = 25, .external_lex_state = 3},
  [3697] = {.lex_state = 25, .external_lex_state = 3},
  [3698] = {.lex_state = 25, .external_lex_state = 3},
  [3699] = {.lex_state = 25, .external_lex_state = 3},
  [3700] = {.lex_state = 25, .external_lex_state = 3},
  [3701] = {.lex_state = 25, .external_lex_state = 3},
  [3702] = {.lex_state = 25, .external_lex_state = 3},
  [3703] = {.lex_state = 25, .external_lex_state = 3},
  [3704] = {.lex_state = 25, .external_lex_state = 4},
  [3705] = {.lex_state = 25, .external_lex_state = 3},
  [3706] = {.lex_state = 25, .external_lex_state = 3},
  [3707] = {.lex_state = 25, .external_lex_state = 3},
  [3708] = {.lex_state = 25, .external_lex_state = 3},
  [3709] = {.lex_state = 25, .external_lex_state = 3},
  [3710] = {.lex_state = 25, .external_lex_state = 3},
  [3711] = {.lex_state = 25, .external_lex_state = 4},
  [3712] = {.lex_state = 25, .external_lex_state = 3},
  [3713] = {.lex_state = 25, .external_lex_state = 3},
  [3714] = {.lex_state = 25, .external_lex_state = 3},
  [3715] = {.lex_state = 25, .external_lex_state = 3},
  [3716] = {.lex_state = 25, .external_lex_state = 4},
  [3717] = {.lex_state = 25, .external_lex_state = 3},
  [3718] = {.lex_state = 25, .external_lex_state = 3},
  [3719] = {.lex_state = 25, .external_lex_state = 3},
  [3720] = {.lex_state = 25, .external_lex_state = 4},
  [3721] = {.lex_state = 25, .external_lex_state = 3},
  [3722] = {.lex_state = 25, .external_lex_state = 4},
  [3723] = {.lex_state = 25, .external_lex_state = 4},
  [3724] = {.lex_state = 39, .external_lex_state = 2},
  [3725] = {.lex_state = 25, .external_lex_state = 4},
  [3726] = {.lex_state = 25, .external_lex_state = 3},
  [3727] = {.lex_state = 25, .external_lex_state = 3},
  [3728] = {.lex_state = 25, .external_lex_state = 3},
  [3729] = {.lex_state = 25, .external_lex_state = 3},
  [3730] = {.lex_state = 25, .external_lex_state = 3},
  [3731] = {.lex_state = 25, .external_lex_state = 3},
  [3732] = {.lex_state = 25, .external_lex_state = 3},
  [3733] = {.lex_state = 25, .external_lex_state = 4},
  [3734] = {.lex_state = 25, .external_lex_state = 4},
  [3735] = {.lex_state = 25, .external_lex_state = 4},
  [3736] = {.lex_state = 25, .external_lex_state = 4},
  [3737] = {.lex_state = 25, .external_lex_state = 3},
  [3738] = {.lex_state = 39, .external_lex_state = 2},
  [3739] = {.lex_state = 25, .external_lex_state = 3},
  [3740] = {.lex_state = 39, .external_lex_state = 2},
  [3741] = {.lex_state = 25, .external_lex_state = 3},
  [3742] = {.lex_state = 25, .external_lex_state = 4},
  [3743] = {.lex_state = 25, .external_lex_state = 3},
  [3744] = {.lex_state = 25, .external_lex_state = 3},
  [3745] = {.lex_state = 25, .external_lex_state = 3},
  [3746] = {.lex_state = 25, .external_lex_state = 4},
  [3747] = {.lex_state = 25, .external_lex_state = 4},
  [3748] = {.lex_state = 25, .external_lex_state = 3},
  [3749] = {.lex_state = 25, .external_lex_state = 4},
  [3750] = {.lex_state = 25, .external_lex_state = 4},
  [3751] = {.lex_state = 25, .external_lex_state = 4},
  [3752] = {.lex_state = 25, .external_lex_state = 4},
  [3753] = {.lex_state = 25, .external_lex_state = 3},
  [3754] = {.lex_state = 25, .external_lex_state = 3},
  [3755] = {.lex_state = 25, .external_lex_state = 4},
  [3756] = {.lex_state = 25, .external_lex_state = 4},
  [3757] = {.lex_state = 25, .external_lex_state = 4},
  [3758] = {.lex_state = 25, .external_lex_state = 4},
  [3759] = {.lex_state = 25, .external_lex_state = 3},
  [3760] = {.lex_state = 25, .external_lex_state = 3},
  [3761] = {.lex_state = 25, .external_lex_state = 4},
  [3762] = {.lex_state = 25, .external_lex_state = 3},
  [3763] = {.lex_state = 39, .external_lex_state = 2},
  [3764] = {.lex_state = 39, .external_lex_state = 2},
  [3765] = {.lex_state = 25, .external_lex_state = 3},
  [3766] = {.lex_state = 39, .external_lex_state = 2},
  [3767] = {.lex_state = 39, .external_lex_state = 2},
  [3768] = {.lex_state = 39, .external_lex_state = 2},
  [3769] = {.lex_state = 25, .external_lex_state = 3},
  [3770] = {.lex_state = 25, .external_lex_state = 3},
  [3771] = {.lex_state = 25, .external_lex_state = 3},
  [3772] = {.lex_state = 25, .external_lex_state = 3},
  [3773] = {.lex_state = 25, .external_lex_state = 3},
  [3774] = {.lex_state = 39, .external_lex_state = 2},
  [3775] = {.lex_state = 25, .external_lex_state = 3},
  [3776] = {.lex_state = 39, .external_lex_state = 2},
  [3777] = {.lex_state = 25, .external_lex_state = 4},
  [3778] = {.lex_state = 25, .external_lex_state = 3},
  [3779] = {.lex_state = 25, .external_lex_state = 3},
  [3780] = {.lex_state = 39, .external_lex_state = 2},
  [3781] = {.lex_state = 39, .external_lex_state = 2},
  [3782] = {.lex_state = 65, .external_lex_state = 2},
  [3783] = {.lex_state = 39, .external_lex_state = 2},
  [3784] = {.lex_state = 25, .external_lex_state = 3},
  [3785] = {.lex_state = 25, .external_lex_state = 3},
  [3786] = {.lex_state = 39, .external_lex_state = 2},
  [3787] = {.lex_state = 85, .external_lex_state = 2},
  [3788] = {.lex_state = 30, .external_lex_state = 3},
  [3789] = {.lex_state = 39, .external_lex_state = 2},
  [3790] = {.lex_state = 25, .external_lex_state = 3},
  [3791] = {.lex_state = 25, .external_lex_state = 3},
  [3792] = {.lex_state = 39, .external_lex_state = 2},
  [3793] = {.lex_state = 39, .external_lex_state = 2},
  [3794] = {.lex_state = 39, .external_lex_state = 2},
  [3795] = {.lex_state = 39, .external_lex_state = 2},
  [3796] = {.lex_state = 25, .external_lex_state = 3},
  [3797] = {.lex_state = 39, .external_lex_state = 2},
  [3798] = {.lex_state = 39, .external_lex_state = 2},
  [3799] = {.lex_state = 39, .external_lex_state = 2},
  [3800] = {.lex_state = 39, .external_lex_state = 2},
  [3801] = {.lex_state = 39, .external_lex_state = 2},
  [3802] = {.lex_state = 39, .external_lex_state = 2},
  [3803] = {.lex_state = 25, .external_lex_state = 3},
  [3804] = {.lex_state = 25, .external_lex_state = 3},
  [3805] = {.lex_state = 25, .external_lex_state = 3},
  [3806] = {.lex_state = 25, .external_lex_state = 3},
  [3807] = {.lex_state = 25, .external_lex_state = 3},
  [3808] = {.lex_state = 25, .external_lex_state = 3},
  [3809] = {.lex_state = 25, .external_lex_state = 3},
  [3810] = {.lex_state = 25, .external_lex_state = 3},
  [3811] = {.lex_state = 25, .external_lex_state = 3},
  [3812] = {.lex_state = 38, .external_lex_state = 2},
  [3813] = {.lex_state = 25, .external_lex_state = 3},
  [3814] = {.lex_state = 25, .external_lex_state = 3},
  [3815] = {.lex_state = 38, .external_lex_state = 2},
  [3816] = {.lex_state = 25, .external_lex_state = 3},
  [3817] = {.lex_state = 25, .external_lex_state = 3},
  [3818] = {.lex_state = 25, .external_lex_state = 3},
  [3819] = {.lex_state = 25, .external_lex_state = 3},
  [3820] = {.lex_state = 39, .external_lex_state = 2},
  [3821] = {.lex_state = 39, .external_lex_state = 2},
  [3822] = {.lex_state = 39, .external_lex_state = 2},
  [3823] = {.lex_state = 39, .external_lex_state = 2},
  [3824] = {.lex_state = 39, .external_lex_state = 2},
  [3825] = {.lex_state = 39, .external_lex_state = 2},
  [3826] = {.lex_state = 25, .external_lex_state = 3},
  [3827] = {.lex_state = 39, .external_lex_state = 2},
  [3828] = {.lex_state = 25, .external_lex_state = 3},
  [3829] = {.lex_state = 39, .external_lex_state = 2},
  [3830] = {.lex_state = 25, .external_lex_state = 3},
  [3831] = {.lex_state = 25, .external_lex_state = 4},
  [3832] = {.lex_state = 39, .external_lex_state = 2},
  [3833] = {.lex_state = 39, .external_lex_state = 2},
  [3834] = {.lex_state = 25, .external_lex_state = 3},
  [3835] = {.lex_state = 25, .external_lex_state = 3},
  [3836] = {.lex_state = 25, .external_lex_state = 3},
  [3837] = {.lex_state = 38, .external_lex_state = 2},
  [3838] = {.lex_state = 25, .external_lex_state = 3},
  [3839] = {.lex_state = 39, .external_lex_state = 2},
  [3840] = {.lex_state = 25, .external_lex_state = 3},
  [3841] = {.lex_state = 25, .external_lex_state = 4},
  [3842] = {.lex_state = 39, .external_lex_state = 2},
  [3843] = {.lex_state = 25, .external_lex_state = 3},
  [3844] = {.lex_state = 25, .external_lex_state = 3},
  [3845] = {.lex_state = 39, .external_lex_state = 2},
  [3846] = {.lex_state = 39, .external_lex_state = 2},
  [3847] = {.lex_state = 39, .external_lex_state = 2},
  [3848] = {.lex_state = 25, .external_lex_state = 3},
  [3849] = {.lex_state = 39, .external_lex_state = 2},
  [3850] = {.lex_state = 39, .external_lex_state = 2},
  [3851] = {.lex_state = 25, .external_lex_state = 3},
  [3852] = {.lex_state = 25, .external_lex_state = 3},
  [3853] = {.lex_state = 65, .external_lex_state = 2},
  [3854] = {.lex_state = 38, .external_lex_state = 2},
  [3855] = {.lex_state = 39, .external_lex_state = 2},
  [3856] = {.lex_state = 25, .external_lex_state = 3},
  [3857] = {.lex_state = 25, .external_lex_state = 4},
  [3858] = {.lex_state = 25, .external_lex_state = 3},
  [3859] = {.lex_state = 39, .external_lex_state = 2},
  [3860] = {.lex_state = 65, .external_lex_state = 2},
  [3861] = {.lex_state = 25, .external_lex_state = 3},
  [3862] = {.lex_state = 39, .external_lex_state = 2},
  [3863] = {.lex_state = 25, .external_lex_state = 3},
  [3864] = {.lex_state = 25, .external_lex_state = 3},
  [3865] = {.lex_state = 39, .external_lex_state = 2},
  [3866] = {.lex_state = 39, .external_lex_state = 2},
  [3867] = {.lex_state = 39, .external_lex_state = 2},
  [3868] = {.lex_state = 25, .external_lex_state = 4},
  [3869] = {.lex_state = 39, .external_lex_state = 2},
  [3870] = {.lex_state = 39, .external_lex_state = 2},
  [3871] = {.lex_state = 80, .external_lex_state = 2},
  [3872] = {.lex_state = 39, .external_lex_state = 2},
  [3873] = {.lex_state = 25, .external_lex_state = 3},
  [3874] = {.lex_state = 25, .external_lex_state = 3},
  [3875] = {.lex_state = 39, .external_lex_state = 2},
  [3876] = {.lex_state = 25, .external_lex_state = 3},
  [3877] = {.lex_state = 39, .external_lex_state = 2},
  [3878] = {.lex_state = 25, .external_lex_state = 3},
  [3879] = {.lex_state = 25, .external_lex_state = 3},
  [3880] = {.lex_state = 25, .external_lex_state = 3},
  [3881] = {.lex_state = 25, .external_lex_state = 4},
  [3882] = {.lex_state = 85, .external_lex_state = 5},
  [3883] = {.lex_state = 25, .external_lex_state = 3},
  [3884] = {.lex_state = 25, .external_lex_state = 3},
  [3885] = {.lex_state = 39, .external_lex_state = 2},
  [3886] = {.lex_state = 25, .external_lex_state = 3},
  [3887] = {.lex_state = 84, .external_lex_state = 2},
  [3888] = {.lex_state = 39, .external_lex_state = 2},
  [3889] = {.lex_state = 80, .external_lex_state = 2},
  [3890] = {.lex_state = 39, .external_lex_state = 2},
  [3891] = {.lex_state = 25, .external_lex_state = 3},
  [3892] = {.lex_state = 39, .external_lex_state = 2},
  [3893] = {.lex_state = 25, .external_lex_state = 3},
  [3894] = {.lex_state = 39, .external_lex_state = 2},
  [3895] = {.lex_state = 39, .external_lex_state = 2},
  [3896] = {.lex_state = 25, .external_lex_state = 3},
  [3897] = {.lex_state = 39, .external_lex_state = 2},
  [3898] = {.lex_state = 25, .external_lex_state = 3},
  [3899] = {.lex_state = 39, .external_lex_state = 2},
  [3900] = {.lex_state = 85, .external_lex_state = 5},
  [3901] = {.lex_state = 39, .external_lex_state = 2},
  [3902] = {.lex_state = 25, .external_lex_state = 3},
  [3903] = {.lex_state = 39, .external_lex_state = 2},
  [3904] = {.lex_state = 39, .external_lex_state = 2},
  [3905] = {.lex_state = 39, .external_lex_state = 2},
  [3906] = {.lex_state = 39, .external_lex_state = 2},
  [3907] = {.lex_state = 39, .external_lex_state = 2},
  [3908] = {.lex_state = 25, .external_lex_state = 3},
  [3909] = {.lex_state = 39, .external_lex_state = 2},
  [3910] = {.lex_state = 87, .external_lex_state = 2},
  [3911] = {.lex_state = 25, .external_lex_state = 3},
  [3912] = {.lex_state = 80, .external_lex_state = 2},
  [3913] = {.lex_state = 26, .external_lex_state = 3},
  [3914] = {.lex_state = 39, .external_lex_state = 2},
  [3915] = {.lex_state = 39, .external_lex_state = 2},
  [3916] = {.lex_state = 39, .external_lex_state = 2},
  [3917] = {.lex_state = 80, .external_lex_state = 2},
  [3918] = {.lex_state = 39, .external_lex_state = 2},
  [3919] = {.lex_state = 39, .external_lex_state = 2},
  [3920] = {.lex_state = 39, .external_lex_state = 2},
  [3921] = {.lex_state = 39, .external_lex_state = 2},
  [3922] = {.lex_state = 80, .external_lex_state = 2},
  [3923] = {.lex_state = 39, .external_lex_state = 2},
  [3924] = {.lex_state = 39, .external_lex_state = 2},
  [3925] = {.lex_state = 39, .external_lex_state = 2},
  [3926] = {.lex_state = 39, .external_lex_state = 2},
  [3927] = {.lex_state = 39, .external_lex_state = 2},
  [3928] = {.lex_state = 25, .external_lex_state = 3},
  [3929] = {.lex_state = 39, .external_lex_state = 2},
  [3930] = {.lex_state = 38, .external_lex_state = 2},
  [3931] = {.lex_state = 39, .external_lex_state = 2},
  [3932] = {.lex_state = 39, .external_lex_state = 2},
  [3933] = {.lex_state = 39, .external_lex_state = 2},
  [3934] = {.lex_state = 39, .external_lex_state = 2},
  [3935] = {.lex_state = 39, .external_lex_state = 2},
  [3936] = {.lex_state = 38, .external_lex_state = 2},
  [3937] = {.lex_state = 39, .external_lex_state = 2},
  [3938] = {.lex_state = 85, .external_lex_state = 2},
  [3939] = {.lex_state = 39, .external_lex_state = 2},
  [3940] = {.lex_state = 39, .external_lex_state = 2},
  [3941] = {.lex_state = 39, .external_lex_state = 2},
  [3942] = {.lex_state = 87, .external_lex_state = 5},
  [3943] = {.lex_state = 39, .external_lex_state = 2},
  [3944] = {.lex_state = 87, .external_lex_state = 5},
  [3945] = {.lex_state = 39, .external_lex_state = 2},
  [3946] = {.lex_state = 38, .external_lex_state = 2},
  [3947] = {.lex_state = 39, .external_lex_state = 2},
  [3948] = {.lex_state = 39, .external_lex_state = 2},
  [3949] = {.lex_state = 39, .external_lex_state = 2},
  [3950] = {.lex_state = 39, .external_lex_state = 2},
  [3951] = {.lex_state = 39, .external_lex_state = 2},
  [3952] = {.lex_state = 80, .external_lex_state = 5},
  [3953] = {.lex_state = 39, .external_lex_state = 2},
  [3954] = {.lex_state = 84, .external_lex_state = 5},
  [3955] = {.lex_state = 39, .external_lex_state = 2},
  [3956] = {.lex_state = 38, .external_lex_state = 2},
  [3957] = {.lex_state = 39, .external_lex_state = 2},
  [3958] = {.lex_state = 84, .external_lex_state = 5},
  [3959] = {.lex_state = 39, .external_lex_state = 2},
  [3960] = {.lex_state = 39, .external_lex_state = 2},
  [3961] = {.lex_state = 39, .external_lex_state = 2},
  [3962] = {.lex_state = 79, .external_lex_state = 2},
  [3963] = {.lex_state = 80, .external_lex_state = 5},
  [3964] = {.lex_state = 85, .external_lex_state = 2},
  [3965] = {.lex_state = 39, .external_lex_state = 2},
  [3966] = {.lex_state = 39, .external_lex_state = 2},
  [3967] = {.lex_state = 39, .external_lex_state = 2},
  [3968] = {.lex_state = 79, .external_lex_state = 2},
  [3969] = {.lex_state = 39, .external_lex_state = 2},
  [3970] = {.lex_state = 39, .external_lex_state = 2},
  [3971] = {.lex_state = 25, .external_lex_state = 3},
  [3972] = {.lex_state = 25, .external_lex_state = 3},
  [3973] = {.lex_state = 39, .external_lex_state = 2},
  [3974] = {.lex_state = 25, .external_lex_state = 3},
  [3975] = {.lex_state = 25, .external_lex_state = 3},
  [3976] = {.lex_state = 80, .external_lex_state = 5},
  [3977] = {.lex_state = 39, .external_lex_state = 2},
  [3978] = {.lex_state = 39, .external_lex_state = 2},
  [3979] = {.lex_state = 39, .external_lex_state = 2},
  [3980] = {.lex_state = 39, .external_lex_state = 2},
  [3981] = {.lex_state = 39, .external_lex_state = 2},
  [3982] = {.lex_state = 39, .external_lex_state = 2},
  [3983] = {.lex_state = 39, .external_lex_state = 2},
  [3984] = {.lex_state = 39, .external_lex_state = 2},
  [3985] = {.lex_state = 39, .external_lex_state = 2},
  [3986] = {.lex_state = 25, .external_lex_state = 3},
  [3987] = {.lex_state = 39, .external_lex_state = 2},
  [3988] = {.lex_state = 39, .external_lex_state = 2},
  [3989] = {.lex_state = 39, .external_lex_state = 2},
  [3990] = {.lex_state = 39, .external_lex_state = 2},
  [3991] = {.lex_state = 25, .external_lex_state = 3},
  [3992] = {.lex_state = 38, .external_lex_state = 2},
  [3993] = {.lex_state = 39, .external_lex_state = 2},
  [3994] = {.lex_state = 38, .external_lex_state = 2},
  [3995] = {.lex_state = 80, .external_lex_state = 5},
  [3996] = {.lex_state = 80, .external_lex_state = 5},
  [3997] = {.lex_state = 25, .external_lex_state = 3},
  [3998] = {.lex_state = 79, .external_lex_state = 5},
  [3999] = {.lex_state = 86, .external_lex_state = 5},
  [4000] = {.lex_state = 25, .external_lex_state = 3},
  [4001] = {.lex_state = 79, .external_lex_state = 5},
  [4002] = {.lex_state = 80, .external_lex_state = 2},
  [4003] = {.lex_state = 79, .external_lex_state = 2},
  [4004] = {.lex_state = 25, .external_lex_state = 3},
  [4005] = {.lex_state = 87, .external_lex_state = 2},
  [4006] = {.lex_state = 79, .external_lex_state = 2},
  [4007] = {.lex_state = 80, .external_lex_state = 5},
  [4008] = {.lex_state = 80, .external_lex_state = 5},
  [4009] = {.lex_state = 80, .external_lex_state = 5},
  [4010] = {.lex_state = 80, .external_lex_state = 5},
  [4011] = {.lex_state = 25, .external_lex_state = 3},
  [4012] = {.lex_state = 80, .external_lex_state = 5},
  [4013] = {.lex_state = 80, .external_lex_state = 2},
  [4014] = {.lex_state = 80, .external_lex_state = 2},
  [4015] = {.lex_state = 79, .external_lex_state = 2},
  [4016] = {.lex_state = 80, .external_lex_state = 5},
  [4017] = {.lex_state = 84, .external_lex_state = 2},
  [4018] = {.lex_state = 84, .external_lex_state = 2},
  [4019] = {.lex_state = 80, .external_lex_state = 5},
  [4020] = {.lex_state = 80, .external_lex_state = 5},
  [4021] = {.lex_state = 25, .external_lex_state = 3},
  [4022] = {.lex_state = 87, .external_lex_state = 2},
  [4023] = {.lex_state = 87, .external_lex_state = 2},
  [4024] = {.lex_state = 25, .external_lex_state = 3},
  [4025] = {.lex_state = 80, .external_lex_state = 5},
  [4026] = {.lex_state = 86, .external_lex_state = 2},
  [4027] = {.lex_state = 25, .external_lex_state = 3},
  [4028] = {.lex_state = 80, .external_lex_state = 2},
  [4029] = {.lex_state = 80, .external_lex_state = 5},
  [4030] = {.lex_state = 80, .external_lex_state = 5},
  [4031] = {.lex_state = 80, .external_lex_state = 5},
  [4032] = {.lex_state = 80, .external_lex_state = 5},
  [4033] = {.lex_state = 80, .external_lex_state = 5},
  [4034] = {.lex_state = 79, .external_lex_state = 5},
  [4035] = {.lex_state = 25, .external_lex_state = 3},
  [4036] = {.lex_state = 80, .external_lex_state = 5},
  [4037] = {.lex_state = 80, .external_lex_state = 5},
  [4038] = {.lex_state = 80, .external_lex_state = 5},
  [4039] = {.lex_state = 87, .external_lex_state = 2},
  [4040] = {.lex_state = 25, .external_lex_state = 3},
  [4041] = {.lex_state = 80, .external_lex_state = 5},
  [4042] = {.lex_state = 87, .external_lex_state = 2},
  [4043] = {.lex_state = 86, .external_lex_state = 5},
  [4044] = {.lex_state = 80, .external_lex_state = 2},
  [4045] = {.lex_state = 80, .external_lex_state = 2},
  [4046] = {.lex_state = 79, .external_lex_state = 5},
  [4047] = {.lex_state = 79, .external_lex_state = 5},
  [4048] = {.lex_state = 86, .external_lex_state = 2},
  [4049] = {.lex_state = 80, .external_lex_state = 2},
  [4050] = {.lex_state = 80, .external_lex_state = 2},
  [4051] = {.lex_state = 80, .external_lex_state = 2},
  [4052] = {.lex_state = 80, .external_lex_state = 2},
  [4053] = {.lex_state = 80, .external_lex_state = 2},
  [4054] = {.lex_state = 80, .external_lex_state = 2},
  [4055] = {.lex_state = 79, .external_lex_state = 5},
  [4056] = {.lex_state = 80, .external_lex_state = 2},
  [4057] = {.lex_state = 80, .external_lex_state = 2},
  [4058] = {.lex_state = 80, .external_lex_state = 2},
  [4059] = {.lex_state = 79, .external_lex_state = 5},
  [4060] = {.lex_state = 80, .external_lex_state = 2},
  [4061] = {.lex_state = 80, .external_lex_state = 2},
  [4062] = {.lex_state = 80, .external_lex_state = 2},
  [4063] = {.lex_state = 80, .external_lex_state = 2},
  [4064] = {.lex_state = 80, .external_lex_state = 2},
  [4065] = {.lex_state = 80, .external_lex_state = 2},
  [4066] = {.lex_state = 80, .external_lex_state = 2},
  [4067] = {.lex_state = 80, .external_lex_state = 2},
  [4068] = {.lex_state = 80, .external_lex_state = 2},
  [4069] = {.lex_state = 80, .external_lex_state = 2},
  [4070] = {.lex_state = 80, .external_lex_state = 2},
  [4071] = {.lex_state = 86, .external_lex_state = 2},
  [4072] = {.lex_state = 80, .external_lex_state = 2},
  [4073] = {.lex_state = 79, .external_lex_state = 5},
  [4074] = {.lex_state = 80, .external_lex_state = 2},
  [4075] = {.lex_state = 80, .external_lex_state = 2},
  [4076] = {.lex_state = 80, .external_lex_state = 2},
  [4077] = {.lex_state = 80, .external_lex_state = 2},
  [4078] = {.lex_state = 80, .external_lex_state = 2},
  [4079] = {.lex_state = 80, .external_lex_state = 2},
  [4080] = {.lex_state = 80, .external_lex_state = 2},
  [4081] = {.lex_state = 80, .external_lex_state = 2},
  [4082] = {.lex_state = 80, .external_lex_state = 2},
  [4083] = {.lex_state = 86, .external_lex_state = 2},
  [4084] = {.lex_state = 80, .external_lex_state = 2},
  [4085] = {.lex_state = 80, .external_lex_state = 2},
  [4086] = {.lex_state = 80, .external_lex_state = 2},
  [4087] = {.lex_state = 80, .external_lex_state = 2},
  [4088] = {.lex_state = 80, .external_lex_state = 2},
  [4089] = {.lex_state = 80, .external_lex_state = 2},
  [4090] = {.lex_state = 80, .external_lex_state = 2},
  [4091] = {.lex_state = 80, .external_lex_state = 2},
  [4092] = {.lex_state = 80, .external_lex_state = 2},
  [4093] = {.lex_state = 80, .external_lex_state = 2},
  [4094] = {.lex_state = 80, .external_lex_state = 2},
  [4095] = {.lex_state = 80, .external_lex_state = 2},
  [4096] = {.lex_state = 80, .external_lex_state = 2},
  [4097] = {.lex_state = 80, .external_lex_state = 2},
  [4098] = {.lex_state = 80, .external_lex_state = 2},
  [4099] = {.lex_state = 80, .external_lex_state = 2},
  [4100] = {.lex_state = 80, .external_lex_state = 2},
  [4101] = {.lex_state = 80, .external_lex_state = 2},
  [4102] = {.lex_state = 80, .external_lex_state = 2},
  [4103] = {.lex_state = 80, .external_lex_state = 2},
  [4104] = {.lex_state = 80, .external_lex_state = 2},
  [4105] = {.lex_state = 80, .external_lex_state = 2},
  [4106] = {.lex_state = 80, .external_lex_state = 2},
  [4107] = {.lex_state = 80, .external_lex_state = 2},
  [4108] = {.lex_state = 79, .external_lex_state = 5},
  [4109] = {.lex_state = 79, .external_lex_state = 5},
  [4110] = {.lex_state = 86, .external_lex_state = 2},
  [4111] = {.lex_state = 80, .external_lex_state = 2},
  [4112] = {.lex_state = 80, .external_lex_state = 2},
  [4113] = {.lex_state = 80, .external_lex_state = 2},
  [4114] = {.lex_state = 80, .external_lex_state = 2},
  [4115] = {.lex_state = 80, .external_lex_state = 2},
  [4116] = {.lex_state = 80, .external_lex_state = 2},
  [4117] = {.lex_state = 80, .external_lex_state = 2},
  [4118] = {.lex_state = 80, .external_lex_state = 2},
  [4119] = {.lex_state = 80, .external_lex_state = 2},
  [4120] = {.lex_state = 80, .external_lex_state = 2},
  [4121] = {.lex_state = 80, .external_lex_state = 2},
  [4122] = {.lex_state = 79, .external_lex_state = 5},
  [4123] = {.lex_state = 80, .external_lex_state = 2},
  [4124] = {.lex_state = 80, .external_lex_state = 2},
  [4125] = {.lex_state = 80, .external_lex_state = 2},
  [4126] = {.lex_state = 79, .external_lex_state = 5},
  [4127] = {.lex_state = 79, .external_lex_state = 5},
  [4128] = {.lex_state = 80, .external_lex_state = 2},
  [4129] = {.lex_state = 80, .external_lex_state = 2},
  [4130] = {.lex_state = 80, .external_lex_state = 2},
  [4131] = {.lex_state = 80, .external_lex_state = 2},
  [4132] = {.lex_state = 80, .external_lex_state = 2},
  [4133] = {.lex_state = 80, .external_lex_state = 2},
  [4134] = {.lex_state = 80, .external_lex_state = 2},
  [4135] = {.lex_state = 79, .external_lex_state = 5},
  [4136] = {.lex_state = 80, .external_lex_state = 2},
  [4137] = {.lex_state = 80, .external_lex_state = 2},
  [4138] = {.lex_state = 80, .external_lex_state = 2},
  [4139] = {.lex_state = 80, .external_lex_state = 2},
  [4140] = {.lex_state = 80, .external_lex_state = 2},
  [4141] = {.lex_state = 80, .external_lex_state = 2},
  [4142] = {.lex_state = 80, .external_lex_state = 2},
  [4143] = {.lex_state = 80, .external_lex_state = 2},
  [4144] = {.lex_state = 80, .external_lex_state = 2},
  [4145] = {.lex_state = 80, .external_lex_state = 2},
  [4146] = {.lex_state = 80, .external_lex_state = 2},
  [4147] = {.lex_state = 80, .external_lex_state = 2},
  [4148] = {.lex_state = 80, .external_lex_state = 2},
  [4149] = {.lex_state = 80, .external_lex_state = 2},
  [4150] = {.lex_state = 80, .external_lex_state = 2},
  [4151] = {.lex_state = 80, .external_lex_state = 2},
  [4152] = {.lex_state = 80, .external_lex_state = 2},
  [4153] = {.lex_state = 80, .external_lex_state = 2},
  [4154] = {.lex_state = 80, .external_lex_state = 2},
  [4155] = {.lex_state = 80, .external_lex_state = 2},
  [4156] = {.lex_state = 80, .external_lex_state = 2},
  [4157] = {.lex_state = 80, .external_lex_state = 2},
  [4158] = {.lex_state = 80, .external_lex_state = 2},
  [4159] = {.lex_state = 80, .external_lex_state = 2},
  [4160] = {.lex_state = 80, .external_lex_state = 2},
  [4161] = {.lex_state = 80, .external_lex_state = 2},
  [4162] = {.lex_state = 80, .external_lex_state = 2},
  [4163] = {.lex_state = 80, .external_lex_state = 2},
  [4164] = {.lex_state = 80, .external_lex_state = 2},
  [4165] = {.lex_state = 80, .external_lex_state = 2},
  [4166] = {.lex_state = 80, .external_lex_state = 2},
  [4167] = {.lex_state = 80, .external_lex_state = 2},
  [4168] = {.lex_state = 80, .external_lex_state = 2},
  [4169] = {.lex_state = 80, .external_lex_state = 2},
  [4170] = {.lex_state = 80, .external_lex_state = 2},
  [4171] = {.lex_state = 79, .external_lex_state = 2},
  [4172] = {.lex_state = 79, .external_lex_state = 2},
  [4173] = {.lex_state = 80, .external_lex_state = 2},
  [4174] = {.lex_state = 80, .external_lex_state = 2},
  [4175] = {.lex_state = 80, .external_lex_state = 2},
  [4176] = {.lex_state = 80, .external_lex_state = 2},
  [4177] = {.lex_state = 80, .external_lex_state = 2},
  [4178] = {.lex_state = 80, .external_lex_state = 2},
  [4179] = {.lex_state = 80, .external_lex_state = 2},
  [4180] = {.lex_state = 80, .external_lex_state = 2},
  [4181] = {.lex_state = 86, .external_lex_state = 2},
  [4182] = {.lex_state = 79, .external_lex_state = 5},
  [4183] = {.lex_state = 79, .external_lex_state = 5},
  [4184] = {.lex_state = 79, .external_lex_state = 5},
  [4185] = {.lex_state = 80, .external_lex_state = 2},
  [4186] = {.lex_state = 79, .external_lex_state = 5},
  [4187] = {.lex_state = 79, .external_lex_state = 5},
  [4188] = {.lex_state = 80, .external_lex_state = 2},
  [4189] = {.lex_state = 79, .external_lex_state = 5},
  [4190] = {.lex_state = 79, .external_lex_state = 2},
  [4191] = {.lex_state = 80, .external_lex_state = 2},
  [4192] = {.lex_state = 80, .external_lex_state = 2},
  [4193] = {.lex_state = 80, .external_lex_state = 2},
  [4194] = {.lex_state = 80, .external_lex_state = 2},
  [4195] = {.lex_state = 80, .external_lex_state = 2},
  [4196] = {.lex_state = 80, .external_lex_state = 2},
  [4197] = {.lex_state = 80, .external_lex_state = 2},
  [4198] = {.lex_state = 79, .external_lex_state = 5},
  [4199] = {.lex_state = 80, .external_lex_state = 2},
  [4200] = {.lex_state = 80, .external_lex_state = 2},
  [4201] = {.lex_state = 80, .external_lex_state = 2},
  [4202] = {.lex_state = 80, .external_lex_state = 2},
  [4203] = {.lex_state = 80, .external_lex_state = 2},
  [4204] = {.lex_state = 80, .external_lex_state = 2},
  [4205] = {.lex_state = 80, .external_lex_state = 2},
  [4206] = {.lex_state = 80, .external_lex_state = 2},
  [4207] = {.lex_state = 80, .external_lex_state = 2},
  [4208] = {.lex_state = 80, .external_lex_state = 2},
  [4209] = {.lex_state = 80, .external_lex_state = 2},
  [4210] = {.lex_state = 79, .external_lex_state = 5},
  [4211] = {.lex_state = 80, .external_lex_state = 2},
  [4212] = {.lex_state = 80, .external_lex_state = 2},
  [4213] = {.lex_state = 80, .external_lex_state = 2},
  [4214] = {.lex_state = 80, .external_lex_state = 2},
  [4215] = {.lex_state = 79, .external_lex_state = 5},
  [4216] = {.lex_state = 80, .external_lex_state = 2},
  [4217] = {.lex_state = 80, .external_lex_state = 2},
  [4218] = {.lex_state = 80, .external_lex_state = 2},
  [4219] = {.lex_state = 80, .external_lex_state = 2},
  [4220] = {.lex_state = 80, .external_lex_state = 2},
  [4221] = {.lex_state = 80, .external_lex_state = 2},
  [4222] = {.lex_state = 80, .external_lex_state = 2},
  [4223] = {.lex_state = 80, .external_lex_state = 2},
  [4224] = {.lex_state = 80, .external_lex_state = 2},
  [4225] = {.lex_state = 80, .external_lex_state = 2},
  [4226] = {.lex_state = 80, .external_lex_state = 2},
  [4227] = {.lex_state = 80, .external_lex_state = 2},
  [4228] = {.lex_state = 80, .external_lex_state = 2},
  [4229] = {.lex_state = 80, .external_lex_state = 2},
  [4230] = {.lex_state = 80, .external_lex_state = 2},
  [4231] = {.lex_state = 80, .external_lex_state = 2},
  [4232] = {.lex_state = 80, .external_lex_state = 2},
  [4233] = {.lex_state = 80, .external_lex_state = 2},
  [4234] = {.lex_state = 79, .external_lex_state = 2},
  [4235] = {.lex_state = 79, .external_lex_state = 2},
  [4236] = {.lex_state = 79, .external_lex_state = 2},
  [4237] = {.lex_state = 79, .external_lex_state = 2},
  [4238] = {.lex_state = 79, .external_lex_state = 2},
  [4239] = {.lex_state = 79, .external_lex_state = 2},
  [4240] = {.lex_state = 79, .external_lex_state = 2},
  [4241] = {.lex_state = 79, .external_lex_state = 2},
  [4242] = {.lex_state = 79, .external_lex_state = 2},
  [4243] = {.lex_state = 79, .external_lex_state = 2},
  [4244] = {.lex_state = 79, .external_lex_state = 2},
  [4245] = {.lex_state = 79, .external_lex_state = 2},
  [4246] = {.lex_state = 79, .external_lex_state = 2},
  [4247] = {.lex_state = 79, .external_lex_state = 2},
  [4248] = {.lex_state = 79, .external_lex_state = 2},
  [4249] = {.lex_state = 79, .external_lex_state = 2},
  [4250] = {.lex_state = 79, .external_lex_state = 2},
  [4251] = {.lex_state = 79, .external_lex_state = 2},
  [4252] = {.lex_state = 79, .external_lex_state = 2},
  [4253] = {.lex_state = 79, .external_lex_state = 2},
  [4254] = {.lex_state = 79, .external_lex_state = 2},
  [4255] = {.lex_state = 79, .external_lex_state = 2},
  [4256] = {.lex_state = 79, .external_lex_state = 2},
  [4257] = {.lex_state = 79, .external_lex_state = 2},
  [4258] = {.lex_state = 79, .external_lex_state = 2},
  [4259] = {.lex_state = 79, .external_lex_state = 2},
  [4260] = {.lex_state = 79, .external_lex_state = 2},
  [4261] = {.lex_state = 65, .external_lex_state = 2},
  [4262] = {.lex_state = 79, .external_lex_state = 2},
  [4263] = {.lex_state = 79, .external_lex_state = 2},
  [4264] = {.lex_state = 79, .external_lex_state = 2},
  [4265] = {.lex_state = 79, .external_lex_state = 2},
  [4266] = {.lex_state = 79, .external_lex_state = 2},
  [4267] = {.lex_state = 79, .external_lex_state = 2},
  [4268] = {.lex_state = 79, .external_lex_state = 2},
  [4269] = {.lex_state = 79, .external_lex_state = 2},
  [4270] = {.lex_state = 79, .external_lex_state = 2},
  [4271] = {.lex_state = 79, .external_lex_state = 2},
  [4272] = {.lex_state = 79, .external_lex_state = 2},
  [4273] = {.lex_state = 79, .external_lex_state = 2},
  [4274] = {.lex_state = 79, .external_lex_state = 2},
  [4275] = {.lex_state = 79, .external_lex_state = 2},
  [4276] = {.lex_state = 79, .external_lex_state = 2},
  [4277] = {.lex_state = 79, .external_lex_state = 2},
  [4278] = {.lex_state = 79, .external_lex_state = 2},
  [4279] = {.lex_state = 79, .external_lex_state = 2},
  [4280] = {.lex_state = 79, .external_lex_state = 2},
  [4281] = {.lex_state = 79, .external_lex_state = 2},
  [4282] = {.lex_state = 79, .external_lex_state = 2},
  [4283] = {.lex_state = 79, .external_lex_state = 2},
  [4284] = {.lex_state = 79, .external_lex_state = 2},
  [4285] = {.lex_state = 79, .external_lex_state = 2},
  [4286] = {.lex_state = 79, .external_lex_state = 2},
  [4287] = {.lex_state = 79, .external_lex_state = 2},
  [4288] = {.lex_state = 79, .external_lex_state = 2},
  [4289] = {.lex_state = 79, .external_lex_state = 2},
  [4290] = {.lex_state = 79, .external_lex_state = 2},
  [4291] = {.lex_state = 79, .external_lex_state = 2},
  [4292] = {.lex_state = 79, .external_lex_state = 2},
  [4293] = {.lex_state = 79, .external_lex_state = 2},
  [4294] = {.lex_state = 79, .external_lex_state = 2},
  [4295] = {.lex_state = 79, .external_lex_state = 2},
  [4296] = {.lex_state = 79, .external_lex_state = 2},
  [4297] = {.lex_state = 79, .external_lex_state = 2},
  [4298] = {.lex_state = 79, .external_lex_state = 2},
  [4299] = {.lex_state = 79, .external_lex_state = 2},
  [4300] = {.lex_state = 79, .external_lex_state = 2},
  [4301] = {.lex_state = 79, .external_lex_state = 2},
  [4302] = {.lex_state = 79, .external_lex_state = 2},
  [4303] = {.lex_state = 79, .external_lex_state = 2},
  [4304] = {.lex_state = 79, .external_lex_state = 2},
  [4305] = {.lex_state = 79, .external_lex_state = 2},
  [4306] = {.lex_state = 79, .external_lex_state = 2},
  [4307] = {.lex_state = 79, .external_lex_state = 2},
  [4308] = {.lex_state = 79, .external_lex_state = 2},
  [4309] = {.lex_state = 79, .external_lex_state = 2},
  [4310] = {.lex_state = 79, .external_lex_state = 2},
  [4311] = {.lex_state = 79, .external_lex_state = 2},
  [4312] = {.lex_state = 79, .external_lex_state = 2},
  [4313] = {.lex_state = 79, .external_lex_state = 2},
  [4314] = {.lex_state = 79, .external_lex_state = 2},
  [4315] = {.lex_state = 79, .external_lex_state = 2},
  [4316] = {.lex_state = 79, .external_lex_state = 2},
  [4317] = {.lex_state = 79, .external_lex_state = 2},
  [4318] = {.lex_state = 79, .external_lex_state = 2},
  [4319] = {.lex_state = 79, .external_lex_state = 2},
  [4320] = {.lex_state = 79, .external_lex_state = 2},
  [4321] = {.lex_state = 79, .external_lex_state = 2},
  [4322] = {.lex_state = 79, .external_lex_state = 2},
  [4323] = {.lex_state = 79, .external_lex_state = 2},
  [4324] = {.lex_state = 79, .external_lex_state = 2},
  [4325] = {.lex_state = 79, .external_lex_state = 2},
  [4326] = {.lex_state = 79, .external_lex_state = 2},
  [4327] = {.lex_state = 79, .external_lex_state = 2},
  [4328] = {.lex_state = 79, .external_lex_state = 2},
  [4329] = {.lex_state = 79, .external_lex_state = 2},
  [4330] = {.lex_state = 79, .external_lex_state = 2},
  [4331] = {.lex_state = 79, .external_lex_state = 2},
  [4332] = {.lex_state = 79, .external_lex_state = 2},
  [4333] = {.lex_state = 79, .external_lex_state = 2},
  [4334] = {.lex_state = 79, .external_lex_state = 2},
  [4335] = {.lex_state = 79, .external_lex_state = 2},
  [4336] = {.lex_state = 79, .external_lex_state = 2},
  [4337] = {.lex_state = 79, .external_lex_state = 2},
  [4338] = {.lex_state = 79, .external_lex_state = 2},
  [4339] = {.lex_state = 79, .external_lex_state = 2},
  [4340] = {.lex_state = 79, .external_lex_state = 2},
  [4341] = {.lex_state = 79, .external_lex_state = 2},
  [4342] = {.lex_state = 79, .external_lex_state = 2},
  [4343] = {.lex_state = 79, .external_lex_state = 2},
  [4344] = {.lex_state = 79, .external_lex_state = 2},
  [4345] = {.lex_state = 79, .external_lex_state = 2},
  [4346] = {.lex_state = 79, .external_lex_state = 2},
  [4347] = {.lex_state = 79, .external_lex_state = 2},
  [4348] = {.lex_state = 79, .external_lex_state = 2},
  [4349] = {.lex_state = 79, .external_lex_state = 2},
  [4350] = {.lex_state = 79, .external_lex_state = 2},
  [4351] = {.lex_state = 79, .external_lex_state = 2},
  [4352] = {.lex_state = 79, .external_lex_state = 2},
  [4353] = {.lex_state = 79, .external_lex_state = 2},
  [4354] = {.lex_state = 79, .external_lex_state = 2},
  [4355] = {.lex_state = 79, .external_lex_state = 2},
  [4356] = {.lex_state = 79, .external_lex_state = 2},
  [4357] = {.lex_state = 79, .external_lex_state = 2},
  [4358] = {.lex_state = 79, .external_lex_state = 2},
  [4359] = {.lex_state = 79, .external_lex_state = 2},
  [4360] = {.lex_state = 79, .external_lex_state = 2},
  [4361] = {.lex_state = 79, .external_lex_state = 2},
  [4362] = {.lex_state = 79, .external_lex_state = 2},
  [4363] = {.lex_state = 79, .external_lex_state = 2},
  [4364] = {.lex_state = 79, .external_lex_state = 2},
  [4365] = {.lex_state = 79, .external_lex_state = 2},
  [4366] = {.lex_state = 79, .external_lex_state = 2},
  [4367] = {.lex_state = 79, .external_lex_state = 2},
  [4368] = {.lex_state = 79, .external_lex_state = 2},
  [4369] = {.lex_state = 79, .external_lex_state = 2},
  [4370] = {.lex_state = 79, .external_lex_state = 2},
  [4371] = {.lex_state = 79, .external_lex_state = 2},
  [4372] = {.lex_state = 79, .external_lex_state = 2},
  [4373] = {.lex_state = 79, .external_lex_state = 2},
  [4374] = {.lex_state = 79, .external_lex_state = 2},
  [4375] = {.lex_state = 79, .external_lex_state = 2},
  [4376] = {.lex_state = 79, .external_lex_state = 2},
  [4377] = {.lex_state = 79, .external_lex_state = 2},
  [4378] = {.lex_state = 79, .external_lex_state = 2},
  [4379] = {.lex_state = 79, .external_lex_state = 2},
  [4380] = {.lex_state = 79, .external_lex_state = 2},
  [4381] = {.lex_state = 79, .external_lex_state = 2},
  [4382] = {.lex_state = 79, .external_lex_state = 2},
  [4383] = {.lex_state = 79, .external_lex_state = 2},
  [4384] = {.lex_state = 79, .external_lex_state = 2},
  [4385] = {.lex_state = 79, .external_lex_state = 2},
  [4386] = {.lex_state = 79, .external_lex_state = 2},
  [4387] = {.lex_state = 79, .external_lex_state = 2},
  [4388] = {.lex_state = 79, .external_lex_state = 2},
  [4389] = {.lex_state = 79, .external_lex_state = 2},
  [4390] = {.lex_state = 79, .external_lex_state = 2},
  [4391] = {.lex_state = 79, .external_lex_state = 2},
  [4392] = {.lex_state = 79, .external_lex_state = 2},
  [4393] = {.lex_state = 79, .external_lex_state = 2},
  [4394] = {.lex_state = 79, .external_lex_state = 2},
  [4395] = {.lex_state = 79, .external_lex_state = 2},
  [4396] = {.lex_state = 79, .external_lex_state = 2},
  [4397] = {.lex_state = 79, .external_lex_state = 2},
  [4398] = {.lex_state = 79, .external_lex_state = 2},
  [4399] = {.lex_state = 79, .external_lex_state = 2},
  [4400] = {.lex_state = 79, .external_lex_state = 2},
  [4401] = {.lex_state = 79, .external_lex_state = 2},
  [4402] = {.lex_state = 79, .external_lex_state = 2},
  [4403] = {.lex_state = 79, .external_lex_state = 2},
  [4404] = {.lex_state = 79, .external_lex_state = 2},
  [4405] = {.lex_state = 79, .external_lex_state = 2},
  [4406] = {.lex_state = 79, .external_lex_state = 2},
  [4407] = {.lex_state = 79, .external_lex_state = 2},
  [4408] = {.lex_state = 79, .external_lex_state = 2},
  [4409] = {.lex_state = 79, .external_lex_state = 2},
  [4410] = {.lex_state = 79, .external_lex_state = 2},
  [4411] = {.lex_state = 79, .external_lex_state = 2},
  [4412] = {.lex_state = 79, .external_lex_state = 2},
  [4413] = {.lex_state = 79, .external_lex_state = 2},
  [4414] = {.lex_state = 79, .external_lex_state = 2},
  [4415] = {.lex_state = 79, .external_lex_state = 2},
  [4416] = {.lex_state = 79, .external_lex_state = 2},
  [4417] = {.lex_state = 79, .external_lex_state = 2},
  [4418] = {.lex_state = 79, .external_lex_state = 2},
  [4419] = {.lex_state = 79, .external_lex_state = 2},
  [4420] = {.lex_state = 79, .external_lex_state = 2},
  [4421] = {.lex_state = 79, .external_lex_state = 2},
  [4422] = {.lex_state = 79, .external_lex_state = 2},
  [4423] = {.lex_state = 79, .external_lex_state = 2},
  [4424] = {.lex_state = 79, .external_lex_state = 2},
  [4425] = {.lex_state = 79, .external_lex_state = 2},
  [4426] = {.lex_state = 79, .external_lex_state = 2},
  [4427] = {.lex_state = 79, .external_lex_state = 2},
  [4428] = {.lex_state = 79, .external_lex_state = 2},
  [4429] = {.lex_state = 79, .external_lex_state = 2},
  [4430] = {.lex_state = 79, .external_lex_state = 2},
  [4431] = {.lex_state = 79, .external_lex_state = 2},
  [4432] = {.lex_state = 79, .external_lex_state = 2},
  [4433] = {.lex_state = 79, .external_lex_state = 2},
  [4434] = {.lex_state = 79, .external_lex_state = 2},
  [4435] = {.lex_state = 79, .external_lex_state = 2},
  [4436] = {.lex_state = 79, .external_lex_state = 2},
  [4437] = {.lex_state = 79, .external_lex_state = 2},
  [4438] = {.lex_state = 79, .external_lex_state = 2},
  [4439] = {.lex_state = 79, .external_lex_state = 2},
  [4440] = {.lex_state = 79, .external_lex_state = 2},
  [4441] = {.lex_state = 79, .external_lex_state = 2},
  [4442] = {.lex_state = 79, .external_lex_state = 2},
  [4443] = {.lex_state = 79, .external_lex_state = 2},
  [4444] = {.lex_state = 79, .external_lex_state = 2},
  [4445] = {.lex_state = 79, .external_lex_state = 2},
  [4446] = {.lex_state = 79, .external_lex_state = 2},
  [4447] = {.lex_state = 79, .external_lex_state = 2},
  [4448] = {.lex_state = 79, .external_lex_state = 2},
  [4449] = {.lex_state = 79, .external_lex_state = 2},
  [4450] = {.lex_state = 79, .external_lex_state = 2},
  [4451] = {.lex_state = 79, .external_lex_state = 2},
  [4452] = {.lex_state = 79, .external_lex_state = 2},
  [4453] = {.lex_state = 79, .external_lex_state = 2},
  [4454] = {.lex_state = 79, .external_lex_state = 2},
  [4455] = {.lex_state = 79, .external_lex_state = 2},
  [4456] = {.lex_state = 79, .external_lex_state = 2},
  [4457] = {.lex_state = 77, .external_lex_state = 2},
  [4458] = {.lex_state = 63, .external_lex_state = 2},
  [4459] = {.lex_state = 79, .external_lex_state = 2},
  [4460] = {.lex_state = 380, .external_lex_state = 2},
  [4461] = {.lex_state = 63, .external_lex_state = 2},
  [4462] = {.lex_state = 380, .external_lex_state = 2},
  [4463] = {.lex_state = 380, .external_lex_state = 2},
  [4464] = {.lex_state = 380, .external_lex_state = 2},
  [4465] = {.lex_state = 380, .external_lex_state = 2},
  [4466] = {.lex_state = 380, .external_lex_state = 2},
  [4467] = {.lex_state = 380, .external_lex_state = 2},
  [4468] = {.lex_state = 380, .external_lex_state = 2},
  [4469] = {.lex_state = 380, .external_lex_state = 2},
  [4470] = {.lex_state = 380, .external_lex_state = 2},
  [4471] = {.lex_state = 380, .external_lex_state = 2},
  [4472] = {.lex_state = 380, .external_lex_state = 2},
  [4473] = {.lex_state = 380, .external_lex_state = 2},
  [4474] = {.lex_state = 380, .external_lex_state = 2},
  [4475] = {.lex_state = 380, .external_lex_state = 2},
  [4476] = {.lex_state = 380, .external_lex_state = 2},
  [4477] = {.lex_state = 65, .external_lex_state = 2},
  [4478] = {.lex_state = 63, .external_lex_state = 2},
  [4479] = {.lex_state = 65, .external_lex_state = 2},
  [4480] = {.lex_state = 65, .external_lex_state = 2},
  [4481] = {.lex_state = 65, .external_lex_state = 2},
  [4482] = {.lex_state = 65, .external_lex_state = 2},
  [4483] = {.lex_state = 63, .external_lex_state = 5},
  [4484] = {.lex_state = 65, .external_lex_state = 2},
  [4485] = {.lex_state = 65, .external_lex_state = 2},
  [4486] = {.lex_state = 65, .external_lex_state = 2},
  [4487] = {.lex_state = 65, .external_lex_state = 2},
  [4488] = {.lex_state = 65, .external_lex_state = 2},
  [4489] = {.lex_state = 65, .external_lex_state = 2},
  [4490] = {.lex_state = 65, .external_lex_state = 2},
  [4491] = {.lex_state = 65, .external_lex_state = 2},
  [4492] = {.lex_state = 63, .external_lex_state = 2},
  [4493] = {.lex_state = 89, .external_lex_state = 2},
  [4494] = {.lex_state = 63, .external_lex_state = 2},
  [4495] = {.lex_state = 63, .external_lex_state = 2},
  [4496] = {.lex_state = 63, .external_lex_state = 2},
  [4497] = {.lex_state = 63, .external_lex_state = 2},
  [4498] = {.lex_state = 63, .external_lex_state = 2},
  [4499] = {.lex_state = 63, .external_lex_state = 2},
  [4500] = {.lex_state = 63, .external_lex_state = 2},
  [4501] = {.lex_state = 63, .external_lex_state = 2},
  [4502] = {.lex_state = 63, .external_lex_state = 2},
  [4503] = {.lex_state = 63, .external_lex_state = 2},
  [4504] = {.lex_state = 63, .external_lex_state = 2},
  [4505] = {.lex_state = 63, .external_lex_state = 2},
  [4506] = {.lex_state = 63, .external_lex_state = 2},
  [4507] = {.lex_state = 63, .external_lex_state = 2},
  [4508] = {.lex_state = 63, .external_lex_state = 2},
  [4509] = {.lex_state = 56, .external_lex_state = 2},
  [4510] = {.lex_state = 56, .external_lex_state = 2},
  [4511] = {.lex_state = 56, .external_lex_state = 2},
  [4512] = {.lex_state = 56, .external_lex_state = 2},
  [4513] = {.lex_state = 56, .external_lex_state = 2},
  [4514] = {.lex_state = 56, .external_lex_state = 2},
  [4515] = {.lex_state = 55, .external_lex_state = 2},
  [4516] = {.lex_state = 55, .external_lex_state = 2},
  [4517] = {.lex_state = 56, .external_lex_state = 2},
  [4518] = {.lex_state = 56, .external_lex_state = 2},
  [4519] = {.lex_state = 56, .external_lex_state = 2},
  [4520] = {.lex_state = 56, .external_lex_state = 2},
  [4521] = {.lex_state = 56, .external_lex_state = 2},
  [4522] = {.lex_state = 56, .external_lex_state = 2},
  [4523] = {.lex_state = 56, .external_lex_state = 2},
  [4524] = {.lex_state = 56, .external_lex_state = 2},
  [4525] = {.lex_state = 56, .external_lex_state = 2},
  [4526] = {.lex_state = 56, .external_lex_state = 2},
  [4527] = {.lex_state = 56, .external_lex_state = 2},
  [4528] = {.lex_state = 56, .external_lex_state = 2},
  [4529] = {.lex_state = 56, .external_lex_state = 2},
  [4530] = {.lex_state = 56, .external_lex_state = 2},
  [4531] = {.lex_state = 55, .external_lex_state = 5},
  [4532] = {.lex_state = 56, .external_lex_state = 2},
  [4533] = {.lex_state = 56, .external_lex_state = 2},
  [4534] = {.lex_state = 56, .external_lex_state = 2},
  [4535] = {.lex_state = 56, .external_lex_state = 2},
  [4536] = {.lex_state = 56, .external_lex_state = 2},
  [4537] = {.lex_state = 56, .external_lex_state = 2},
  [4538] = {.lex_state = 56, .external_lex_state = 2},
  [4539] = {.lex_state = 56, .external_lex_state = 2},
  [4540] = {.lex_state = 55, .external_lex_state = 5},
  [4541] = {.lex_state = 56, .external_lex_state = 2},
  [4542] = {.lex_state = 56, .external_lex_state = 2},
  [4543] = {.lex_state = 56, .external_lex_state = 2},
  [4544] = {.lex_state = 55, .external_lex_state = 2},
  [4545] = {.lex_state = 56, .external_lex_state = 2},
  [4546] = {.lex_state = 56, .external_lex_state = 2},
  [4547] = {.lex_state = 56, .external_lex_state = 2},
  [4548] = {.lex_state = 56, .external_lex_state = 2},
  [4549] = {.lex_state = 56, .external_lex_state = 2},
  [4550] = {.lex_state = 56, .external_lex_state = 2},
  [4551] = {.lex_state = 56, .external_lex_state = 2},
  [4552] = {.lex_state = 56, .external_lex_state = 2},
  [4553] = {.lex_state = 56, .external_lex_state = 2},
  [4554] = {.lex_state = 60, .external_lex_state = 2},
  [4555] = {.lex_state = 60, .external_lex_state = 2},
  [4556] = {.lex_state = 60, .external_lex_state = 2},
  [4557] = {.lex_state = 60, .external_lex_state = 2},
  [4558] = {.lex_state = 60, .external_lex_state = 2},
  [4559] = {.lex_state = 60, .external_lex_state = 2},
  [4560] = {.lex_state = 55, .external_lex_state = 2},
  [4561] = {.lex_state = 60, .external_lex_state = 2},
  [4562] = {.lex_state = 55, .external_lex_state = 2},
  [4563] = {.lex_state = 55, .external_lex_state = 2},
  [4564] = {.lex_state = 55, .external_lex_state = 2},
  [4565] = {.lex_state = 55, .external_lex_state = 2},
  [4566] = {.lex_state = 56, .external_lex_state = 2},
  [4567] = {.lex_state = 55, .external_lex_state = 2},
  [4568] = {.lex_state = 55, .external_lex_state = 2},
  [4569] = {.lex_state = 55, .external_lex_state = 2},
  [4570] = {.lex_state = 55, .external_lex_state = 2},
  [4571] = {.lex_state = 55, .external_lex_state = 2},
  [4572] = {.lex_state = 56, .external_lex_state = 2},
  [4573] = {.lex_state = 55, .external_lex_state = 2},
  [4574] = {.lex_state = 56, .external_lex_state = 2},
  [4575] = {.lex_state = 56, .external_lex_state = 5},
  [4576] = {.lex_state = 55, .external_lex_state = 2},
  [4577] = {.lex_state = 55, .external_lex_state = 2},
  [4578] = {.lex_state = 55, .external_lex_state = 2},
  [4579] = {.lex_state = 56, .external_lex_state = 5},
  [4580] = {.lex_state = 55, .external_lex_state = 2},
  [4581] = {.lex_state = 55, .external_lex_state = 2},
  [4582] = {.lex_state = 55, .external_lex_state = 2},
  [4583] = {.lex_state = 56, .external_lex_state = 5},
  [4584] = {.lex_state = 56, .external_lex_state = 2},
  [4585] = {.lex_state = 55, .external_lex_state = 2},
  [4586] = {.lex_state = 55, .external_lex_state = 2},
  [4587] = {.lex_state = 55, .external_lex_state = 2},
  [4588] = {.lex_state = 55, .external_lex_state = 2},
  [4589] = {.lex_state = 55, .external_lex_state = 2},
  [4590] = {.lex_state = 55, .external_lex_state = 2},
  [4591] = {.lex_state = 55, .external_lex_state = 2},
  [4592] = {.lex_state = 55, .external_lex_state = 2},
  [4593] = {.lex_state = 55, .external_lex_state = 2},
  [4594] = {.lex_state = 54, .external_lex_state = 2},
  [4595] = {.lex_state = 55, .external_lex_state = 2},
  [4596] = {.lex_state = 56, .external_lex_state = 5},
  [4597] = {.lex_state = 55, .external_lex_state = 2},
  [4598] = {.lex_state = 56, .external_lex_state = 5},
  [4599] = {.lex_state = 55, .external_lex_state = 2},
  [4600] = {.lex_state = 55, .external_lex_state = 2},
  [4601] = {.lex_state = 55, .external_lex_state = 2},
  [4602] = {.lex_state = 55, .external_lex_state = 2},
  [4603] = {.lex_state = 380, .external_lex_state = 2},
  [4604] = {.lex_state = 55, .external_lex_state = 2},
  [4605] = {.lex_state = 380, .external_lex_state = 2},
  [4606] = {.lex_state = 54, .external_lex_state = 2},
  [4607] = {.lex_state = 55, .external_lex_state = 2},
  [4608] = {.lex_state = 56, .external_lex_state = 5},
  [4609] = {.lex_state = 55, .external_lex_state = 2},
  [4610] = {.lex_state = 55, .external_lex_state = 2},
  [4611] = {.lex_state = 55, .external_lex_state = 2},
  [4612] = {.lex_state = 55, .external_lex_state = 2},
  [4613] = {.lex_state = 55, .external_lex_state = 2},
  [4614] = {.lex_state = 380, .external_lex_state = 2},
  [4615] = {.lex_state = 55, .external_lex_state = 2},
  [4616] = {.lex_state = 380, .external_lex_state = 2},
  [4617] = {.lex_state = 55, .external_lex_state = 2},
  [4618] = {.lex_state = 55, .external_lex_state = 2},
  [4619] = {.lex_state = 56, .external_lex_state = 5},
  [4620] = {.lex_state = 55, .external_lex_state = 2},
  [4621] = {.lex_state = 55, .external_lex_state = 2},
  [4622] = {.lex_state = 55, .external_lex_state = 2},
  [4623] = {.lex_state = 55, .external_lex_state = 2},
  [4624] = {.lex_state = 55, .external_lex_state = 2},
  [4625] = {.lex_state = 56, .external_lex_state = 5},
  [4626] = {.lex_state = 54, .external_lex_state = 2},
  [4627] = {.lex_state = 54, .external_lex_state = 2},
  [4628] = {.lex_state = 54, .external_lex_state = 2},
  [4629] = {.lex_state = 56, .external_lex_state = 5},
  [4630] = {.lex_state = 55, .external_lex_state = 2},
  [4631] = {.lex_state = 55, .external_lex_state = 2},
  [4632] = {.lex_state = 56, .external_lex_state = 5},
  [4633] = {.lex_state = 380, .external_lex_state = 2},
  [4634] = {.lex_state = 55, .external_lex_state = 2},
  [4635] = {.lex_state = 54, .external_lex_state = 2},
  [4636] = {.lex_state = 56, .external_lex_state = 5},
  [4637] = {.lex_state = 54, .external_lex_state = 2},
  [4638] = {.lex_state = 55, .external_lex_state = 2},
  [4639] = {.lex_state = 56, .external_lex_state = 5},
  [4640] = {.lex_state = 54, .external_lex_state = 2},
  [4641] = {.lex_state = 54, .external_lex_state = 2},
  [4642] = {.lex_state = 55, .external_lex_state = 2},
  [4643] = {.lex_state = 54, .external_lex_state = 2},
  [4644] = {.lex_state = 54, .external_lex_state = 2},
  [4645] = {.lex_state = 380, .external_lex_state = 2},
  [4646] = {.lex_state = 54, .external_lex_state = 2},
  [4647] = {.lex_state = 55, .external_lex_state = 2},
  [4648] = {.lex_state = 55, .external_lex_state = 2},
  [4649] = {.lex_state = 56, .external_lex_state = 5},
  [4650] = {.lex_state = 56, .external_lex_state = 5},
  [4651] = {.lex_state = 54, .external_lex_state = 2},
  [4652] = {.lex_state = 55, .external_lex_state = 2},
  [4653] = {.lex_state = 56, .external_lex_state = 5},
  [4654] = {.lex_state = 54, .external_lex_state = 2},
  [4655] = {.lex_state = 56, .external_lex_state = 5},
  [4656] = {.lex_state = 55, .external_lex_state = 2},
  [4657] = {.lex_state = 56, .external_lex_state = 5},
  [4658] = {.lex_state = 56, .external_lex_state = 5},
  [4659] = {.lex_state = 55, .external_lex_state = 2},
  [4660] = {.lex_state = 380, .external_lex_state = 2},
  [4661] = {.lex_state = 55, .external_lex_state = 2},
  [4662] = {.lex_state = 56, .external_lex_state = 5},
  [4663] = {.lex_state = 56, .external_lex_state = 5},
  [4664] = {.lex_state = 56, .external_lex_state = 5},
  [4665] = {.lex_state = 54, .external_lex_state = 2},
  [4666] = {.lex_state = 56, .external_lex_state = 5},
  [4667] = {.lex_state = 56, .external_lex_state = 5},
  [4668] = {.lex_state = 54, .external_lex_state = 2},
  [4669] = {.lex_state = 55, .external_lex_state = 2},
  [4670] = {.lex_state = 55, .external_lex_state = 2},
  [4671] = {.lex_state = 56, .external_lex_state = 5},
  [4672] = {.lex_state = 54, .external_lex_state = 2},
  [4673] = {.lex_state = 56, .external_lex_state = 5},
  [4674] = {.lex_state = 56, .external_lex_state = 5},
  [4675] = {.lex_state = 55, .external_lex_state = 2},
  [4676] = {.lex_state = 55, .external_lex_state = 2},
  [4677] = {.lex_state = 56, .external_lex_state = 5},
  [4678] = {.lex_state = 56, .external_lex_state = 5},
  [4679] = {.lex_state = 54, .external_lex_state = 2},
  [4680] = {.lex_state = 56, .external_lex_state = 5},
  [4681] = {.lex_state = 55, .external_lex_state = 2},
  [4682] = {.lex_state = 55, .external_lex_state = 2},
  [4683] = {.lex_state = 55, .external_lex_state = 2},
  [4684] = {.lex_state = 56, .external_lex_state = 5},
  [4685] = {.lex_state = 56, .external_lex_state = 5},
  [4686] = {.lex_state = 380, .external_lex_state = 2},
  [4687] = {.lex_state = 55, .external_lex_state = 2},
  [4688] = {.lex_state = 56, .external_lex_state = 5},
  [4689] = {.lex_state = 380, .external_lex_state = 2},
  [4690] = {.lex_state = 56, .external_lex_state = 5},
  [4691] = {.lex_state = 54, .external_lex_state = 2},
  [4692] = {.lex_state = 56, .external_lex_state = 5},
  [4693] = {.lex_state = 56, .external_lex_state = 6},
  [4694] = {.lex_state = 55, .external_lex_state = 2},
  [4695] = {.lex_state = 56, .external_lex_state = 6},
  [4696] = {.lex_state = 56, .external_lex_state = 6},
  [4697] = {.lex_state = 55, .external_lex_state = 2},
  [4698] = {.lex_state = 56, .external_lex_state = 5},
  [4699] = {.lex_state = 55, .external_lex_state = 2},
  [4700] = {.lex_state = 56, .external_lex_state = 5},
  [4701] = {.lex_state = 54, .external_lex_state = 2},
  [4702] = {.lex_state = 56, .external_lex_state = 5},
  [4703] = {.lex_state = 56, .external_lex_state = 5},
  [4704] = {.lex_state = 54, .external_lex_state = 5},
  [4705] = {.lex_state = 54, .external_lex_state = 5},
  [4706] = {.lex_state = 54, .external_lex_state = 5},
  [4707] = {.lex_state = 54, .external_lex_state = 5},
  [4708] = {.lex_state = 54, .external_lex_state = 5},
  [4709] = {.lex_state = 54, .external_lex_state = 5},
  [4710] = {.lex_state = 54, .external_lex_state = 5},
  [4711] = {.lex_state = 54, .external_lex_state = 5},
  [4712] = {.lex_state = 54, .external_lex_state = 5},
  [4713] = {.lex_state = 56, .external_lex_state = 5},
  [4714] = {.lex_state = 54, .external_lex_state = 5},
  [4715] = {.lex_state = 54, .external_lex_state = 5},
  [4716] = {.lex_state = 61, .external_lex_state = 2},
  [4717] = {.lex_state = 61, .external_lex_state = 2},
  [4718] = {.lex_state = 54, .external_lex_state = 5},
  [4719] = {.lex_state = 54, .external_lex_state = 5},
  [4720] = {.lex_state = 61, .external_lex_state = 2},
  [4721] = {.lex_state = 54, .external_lex_state = 5},
  [4722] = {.lex_state = 54, .external_lex_state = 5},
  [4723] = {.lex_state = 54, .external_lex_state = 5},
  [4724] = {.lex_state = 61, .external_lex_state = 2},
  [4725] = {.lex_state = 54, .external_lex_state = 5},
  [4726] = {.lex_state = 54, .external_lex_state = 5},
  [4727] = {.lex_state = 54, .external_lex_state = 5},
  [4728] = {.lex_state = 54, .external_lex_state = 5},
  [4729] = {.lex_state = 54, .external_lex_state = 5},
  [4730] = {.lex_state = 54, .external_lex_state = 5},
  [4731] = {.lex_state = 54, .external_lex_state = 5},
  [4732] = {.lex_state = 54, .external_lex_state = 5},
  [4733] = {.lex_state = 90, .external_lex_state = 2},
  [4734] = {.lex_state = 54, .external_lex_state = 2},
  [4735] = {.lex_state = 61, .external_lex_state = 2},
  [4736] = {.lex_state = 54, .external_lex_state = 5},
  [4737] = {.lex_state = 54, .external_lex_state = 5},
  [4738] = {.lex_state = 61, .external_lex_state = 2},
  [4739] = {.lex_state = 61, .external_lex_state = 2},
  [4740] = {.lex_state = 90, .external_lex_state = 2},
  [4741] = {.lex_state = 54, .external_lex_state = 5},
  [4742] = {.lex_state = 90, .external_lex_state = 2},
  [4743] = {.lex_state = 90, .external_lex_state = 2},
  [4744] = {.lex_state = 90, .external_lex_state = 2},
  [4745] = {.lex_state = 54, .external_lex_state = 5},
  [4746] = {.lex_state = 54, .external_lex_state = 5},
  [4747] = {.lex_state = 54, .external_lex_state = 5},
  [4748] = {.lex_state = 56, .external_lex_state = 6},
  [4749] = {.lex_state = 54, .external_lex_state = 5},
  [4750] = {.lex_state = 54, .external_lex_state = 5},
  [4751] = {.lex_state = 54, .external_lex_state = 5},
  [4752] = {.lex_state = 56, .external_lex_state = 6},
  [4753] = {.lex_state = 54, .external_lex_state = 5},
  [4754] = {.lex_state = 54, .external_lex_state = 5},
  [4755] = {.lex_state = 54, .external_lex_state = 5},
  [4756] = {.lex_state = 54, .external_lex_state = 5},
  [4757] = {.lex_state = 54, .external_lex_state = 5},
  [4758] = {.lex_state = 54, .external_lex_state = 5},
  [4759] = {.lex_state = 54, .external_lex_state = 5},
  [4760] = {.lex_state = 56, .external_lex_state = 6},
  [4761] = {.lex_state = 56, .external_lex_state = 6},
  [4762] = {.lex_state = 56, .external_lex_state = 2},
  [4763] = {.lex_state = 54, .external_lex_state = 5},
  [4764] = {.lex_state = 56, .external_lex_state = 6},
  [4765] = {.lex_state = 56, .external_lex_state = 5},
  [4766] = {.lex_state = 56, .external_lex_state = 6},
  [4767] = {.lex_state = 56, .external_lex_state = 6},
  [4768] = {.lex_state = 56, .external_lex_state = 6},
  [4769] = {.lex_state = 56, .external_lex_state = 6},
  [4770] = {.lex_state = 54, .external_lex_state = 5},
  [4771] = {.lex_state = 56, .external_lex_state = 6},
  [4772] = {.lex_state = 56, .external_lex_state = 6},
  [4773] = {.lex_state = 56, .external_lex_state = 6},
  [4774] = {.lex_state = 56, .external_lex_state = 6},
  [4775] = {.lex_state = 56, .external_lex_state = 6},
  [4776] = {.lex_state = 56, .external_lex_state = 6},
  [4777] = {.lex_state = 56, .external_lex_state = 5},
  [4778] = {.lex_state = 56, .external_lex_state = 6},
  [4779] = {.lex_state = 54, .external_lex_state = 5},
  [4780] = {.lex_state = 56, .external_lex_state = 6},
  [4781] = {.lex_state = 56, .external_lex_state = 6},
  [4782] = {.lex_state = 56, .external_lex_state = 6},
  [4783] = {.lex_state = 56, .external_lex_state = 6},
  [4784] = {.lex_state = 56, .external_lex_state = 6},
  [4785] = {.lex_state = 56, .external_lex_state = 6},
  [4786] = {.lex_state = 56, .external_lex_state = 6},
  [4787] = {.lex_state = 56, .external_lex_state = 6},
  [4788] = {.lex_state = 56, .external_lex_state = 6},
  [4789] = {.lex_state = 56, .external_lex_state = 6},
  [4790] = {.lex_state = 54, .external_lex_state = 5},
  [4791] = {.lex_state = 54, .external_lex_state = 5},
  [4792] = {.lex_state = 54, .external_lex_state = 5},
  [4793] = {.lex_state = 54, .external_lex_state = 5},
  [4794] = {.lex_state = 54, .external_lex_state = 5},
  [4795] = {.lex_state = 56, .external_lex_state = 6},
  [4796] = {.lex_state = 56, .external_lex_state = 5},
  [4797] = {.lex_state = 56, .external_lex_state = 5},
  [4798] = {.lex_state = 54, .external_lex_state = 5},
  [4799] = {.lex_state = 56, .external_lex_state = 5},
  [4800] = {.lex_state = 56, .external_lex_state = 6},
  [4801] = {.lex_state = 56, .external_lex_state = 5},
  [4802] = {.lex_state = 56, .external_lex_state = 6},
  [4803] = {.lex_state = 56, .external_lex_state = 5},
  [4804] = {.lex_state = 56, .external_lex_state = 6},
  [4805] = {.lex_state = 56, .external_lex_state = 6},
  [4806] = {.lex_state = 56, .external_lex_state = 5},
  [4807] = {.lex_state = 54, .external_lex_state = 5},
  [4808] = {.lex_state = 54, .external_lex_state = 5},
  [4809] = {.lex_state = 54, .external_lex_state = 5},
  [4810] = {.lex_state = 56, .external_lex_state = 5},
  [4811] = {.lex_state = 56, .external_lex_state = 6},
  [4812] = {.lex_state = 56, .external_lex_state = 6},
  [4813] = {.lex_state = 56, .external_lex_state = 6},
  [4814] = {.lex_state = 56, .external_lex_state = 6},
  [4815] = {.lex_state = 54, .external_lex_state = 5},
  [4816] = {.lex_state = 56, .external_lex_state = 6},
  [4817] = {.lex_state = 54, .external_lex_state = 5},
  [4818] = {.lex_state = 54, .external_lex_state = 5},
  [4819] = {.lex_state = 54, .external_lex_state = 5},
  [4820] = {.lex_state = 54, .external_lex_state = 5},
  [4821] = {.lex_state = 54, .external_lex_state = 5},
  [4822] = {.lex_state = 60, .external_lex_state = 2},
  [4823] = {.lex_state = 54, .external_lex_state = 5},
  [4824] = {.lex_state = 54, .external_lex_state = 5},
  [4825] = {.lex_state = 54, .external_lex_state = 5},
  [4826] = {.lex_state = 54, .external_lex_state = 5},
  [4827] = {.lex_state = 54, .external_lex_state = 5},
  [4828] = {.lex_state = 54, .external_lex_state = 5},
  [4829] = {.lex_state = 54, .external_lex_state = 5},
  [4830] = {.lex_state = 54, .external_lex_state = 5},
  [4831] = {.lex_state = 60, .external_lex_state = 2},
  [4832] = {.lex_state = 54, .external_lex_state = 5},
  [4833] = {.lex_state = 54, .external_lex_state = 5},
  [4834] = {.lex_state = 54, .external_lex_state = 5},
  [4835] = {.lex_state = 54, .external_lex_state = 5},
  [4836] = {.lex_state = 54, .external_lex_state = 5},
  [4837] = {.lex_state = 54, .external_lex_state = 5},
  [4838] = {.lex_state = 54, .external_lex_state = 5},
  [4839] = {.lex_state = 54, .external_lex_state = 5},
  [4840] = {.lex_state = 60, .external_lex_state = 2},
  [4841] = {.lex_state = 60, .external_lex_state = 2},
  [4842] = {.lex_state = 54, .external_lex_state = 5},
  [4843] = {.lex_state = 60, .external_lex_state = 2},
  [4844] = {.lex_state = 54, .external_lex_state = 5},
  [4845] = {.lex_state = 54, .external_lex_state = 5},
  [4846] = {.lex_state = 54, .external_lex_state = 5},
  [4847] = {.lex_state = 55, .external_lex_state = 2},
  [4848] = {.lex_state = 54, .external_lex_state = 5},
  [4849] = {.lex_state = 54, .external_lex_state = 5},
  [4850] = {.lex_state = 54, .external_lex_state = 5},
  [4851] = {.lex_state = 54, .external_lex_state = 5},
  [4852] = {.lex_state = 54, .external_lex_state = 5},
  [4853] = {.lex_state = 54, .external_lex_state = 5},
  [4854] = {.lex_state = 54, .external_lex_state = 5},
  [4855] = {.lex_state = 60, .external_lex_state = 2},
  [4856] = {.lex_state = 54, .external_lex_state = 5},
  [4857] = {.lex_state = 54, .external_lex_state = 5},
  [4858] = {.lex_state = 54, .external_lex_state = 5},
  [4859] = {.lex_state = 54, .external_lex_state = 5},
  [4860] = {.lex_state = 60, .external_lex_state = 2},
  [4861] = {.lex_state = 54, .external_lex_state = 5},
  [4862] = {.lex_state = 54, .external_lex_state = 5},
  [4863] = {.lex_state = 54, .external_lex_state = 5},
  [4864] = {.lex_state = 54, .external_lex_state = 5},
  [4865] = {.lex_state = 54, .external_lex_state = 5},
  [4866] = {.lex_state = 54, .external_lex_state = 5},
  [4867] = {.lex_state = 54, .external_lex_state = 5},
  [4868] = {.lex_state = 54, .external_lex_state = 5},
  [4869] = {.lex_state = 54, .external_lex_state = 5},
  [4870] = {.lex_state = 54, .external_lex_state = 5},
  [4871] = {.lex_state = 54, .external_lex_state = 5},
  [4872] = {.lex_state = 56, .external_lex_state = 6},
  [4873] = {.lex_state = 54, .external_lex_state = 5},
  [4874] = {.lex_state = 54, .external_lex_state = 5},
  [4875] = {.lex_state = 56, .external_lex_state = 6},
  [4876] = {.lex_state = 54, .external_lex_state = 5},
  [4877] = {.lex_state = 54, .external_lex_state = 5},
  [4878] = {.lex_state = 56, .external_lex_state = 6},
  [4879] = {.lex_state = 54, .external_lex_state = 5},
  [4880] = {.lex_state = 54, .external_lex_state = 5},
  [4881] = {.lex_state = 54, .external_lex_state = 6},
  [4882] = {.lex_state = 54, .external_lex_state = 5},
  [4883] = {.lex_state = 56, .external_lex_state = 6},
  [4884] = {.lex_state = 60, .external_lex_state = 2},
  [4885] = {.lex_state = 54, .external_lex_state = 5},
  [4886] = {.lex_state = 56, .external_lex_state = 6},
  [4887] = {.lex_state = 54, .external_lex_state = 5},
  [4888] = {.lex_state = 54, .external_lex_state = 5},
  [4889] = {.lex_state = 56, .external_lex_state = 6},
  [4890] = {.lex_state = 54, .external_lex_state = 5},
  [4891] = {.lex_state = 54, .external_lex_state = 5},
  [4892] = {.lex_state = 54, .external_lex_state = 5},
  [4893] = {.lex_state = 56, .external_lex_state = 6},
  [4894] = {.lex_state = 54, .external_lex_state = 5},
  [4895] = {.lex_state = 54, .external_lex_state = 5},
  [4896] = {.lex_state = 54, .external_lex_state = 5},
  [4897] = {.lex_state = 56, .external_lex_state = 6},
  [4898] = {.lex_state = 56, .external_lex_state = 6},
  [4899] = {.lex_state = 54, .external_lex_state = 5},
  [4900] = {.lex_state = 54, .external_lex_state = 5},
  [4901] = {.lex_state = 54, .external_lex_state = 5},
  [4902] = {.lex_state = 54, .external_lex_state = 5},
  [4903] = {.lex_state = 54, .external_lex_state = 5},
  [4904] = {.lex_state = 54, .external_lex_state = 5},
  [4905] = {.lex_state = 54, .external_lex_state = 5},
  [4906] = {.lex_state = 54, .external_lex_state = 5},
  [4907] = {.lex_state = 54, .external_lex_state = 5},
  [4908] = {.lex_state = 54, .external_lex_state = 5},
  [4909] = {.lex_state = 54, .external_lex_state = 5},
  [4910] = {.lex_state = 54, .external_lex_state = 5},
  [4911] = {.lex_state = 54, .external_lex_state = 5},
  [4912] = {.lex_state = 54, .external_lex_state = 5},
  [4913] = {.lex_state = 54, .external_lex_state = 5},
  [4914] = {.lex_state = 54, .external_lex_state = 5},
  [4915] = {.lex_state = 54, .external_lex_state = 5},
  [4916] = {.lex_state = 54, .external_lex_state = 5},
  [4917] = {.lex_state = 54, .external_lex_state = 5},
  [4918] = {.lex_state = 54, .external_lex_state = 5},
  [4919] = {.lex_state = 54, .external_lex_state = 5},
  [4920] = {.lex_state = 54, .external_lex_state = 5},
  [4921] = {.lex_state = 54, .external_lex_state = 5},
  [4922] = {.lex_state = 54, .external_lex_state = 5},
  [4923] = {.lex_state = 54, .external_lex_state = 5},
  [4924] = {.lex_state = 54, .external_lex_state = 5},
  [4925] = {.lex_state = 54, .external_lex_state = 5},
  [4926] = {.lex_state = 54, .external_lex_state = 5},
  [4927] = {.lex_state = 54, .external_lex_state = 5},
  [4928] = {.lex_state = 54, .external_lex_state = 5},
  [4929] = {.lex_state = 54, .external_lex_state = 5},
  [4930] = {.lex_state = 54, .external_lex_state = 5},
  [4931] = {.lex_state = 54, .external_lex_state = 5},
  [4932] = {.lex_state = 54, .external_lex_state = 5},
  [4933] = {.lex_state = 82, .external_lex_state = 2},
  [4934] = {.lex_state = 54, .external_lex_state = 5},
  [4935] = {.lex_state = 82, .external_lex_state = 2},
  [4936] = {.lex_state = 60, .external_lex_state = 2},
  [4937] = {.lex_state = 54, .external_lex_state = 6},
  [4938] = {.lex_state = 54, .external_lex_state = 6},
  [4939] = {.lex_state = 54, .external_lex_state = 6},
  [4940] = {.lex_state = 82, .external_lex_state = 2},
  [4941] = {.lex_state = 82, .external_lex_state = 2},
  [4942] = {.lex_state = 380, .external_lex_state = 5},
  [4943] = {.lex_state = 82, .external_lex_state = 2},
  [4944] = {.lex_state = 82, .external_lex_state = 2},
  [4945] = {.lex_state = 82, .external_lex_state = 2},
  [4946] = {.lex_state = 54, .external_lex_state = 6},
  [4947] = {.lex_state = 82, .external_lex_state = 2},
  [4948] = {.lex_state = 78, .external_lex_state = 2},
  [4949] = {.lex_state = 82, .external_lex_state = 2},
  [4950] = {.lex_state = 60, .external_lex_state = 2},
  [4951] = {.lex_state = 82, .external_lex_state = 2},
  [4952] = {.lex_state = 82, .external_lex_state = 2},
  [4953] = {.lex_state = 82, .external_lex_state = 2},
  [4954] = {.lex_state = 82, .external_lex_state = 2},
  [4955] = {.lex_state = 56, .external_lex_state = 5},
  [4956] = {.lex_state = 82, .external_lex_state = 2},
  [4957] = {.lex_state = 56, .external_lex_state = 5},
  [4958] = {.lex_state = 82, .external_lex_state = 2},
  [4959] = {.lex_state = 54, .external_lex_state = 6},
  [4960] = {.lex_state = 54, .external_lex_state = 2},
  [4961] = {.lex_state = 82, .external_lex_state = 2},
  [4962] = {.lex_state = 82, .external_lex_state = 2},
  [4963] = {.lex_state = 82, .external_lex_state = 2},
  [4964] = {.lex_state = 60, .external_lex_state = 2},
  [4965] = {.lex_state = 82, .external_lex_state = 2},
  [4966] = {.lex_state = 54, .external_lex_state = 5},
  [4967] = {.lex_state = 380, .external_lex_state = 5},
  [4968] = {.lex_state = 62, .external_lex_state = 2},
  [4969] = {.lex_state = 82, .external_lex_state = 2},
  [4970] = {.lex_state = 380, .external_lex_state = 5},
  [4971] = {.lex_state = 82, .external_lex_state = 2},
  [4972] = {.lex_state = 54, .external_lex_state = 6},
  [4973] = {.lex_state = 54, .external_lex_state = 5},
  [4974] = {.lex_state = 56, .external_lex_state = 2},
  [4975] = {.lex_state = 54, .external_lex_state = 5},
  [4976] = {.lex_state = 54, .external_lex_state = 6},
  [4977] = {.lex_state = 54, .external_lex_state = 5},
  [4978] = {.lex_state = 54, .external_lex_state = 2},
  [4979] = {.lex_state = 54, .external_lex_state = 2},
  [4980] = {.lex_state = 54, .external_lex_state = 2},
  [4981] = {.lex_state = 54, .external_lex_state = 2},
  [4982] = {.lex_state = 54, .external_lex_state = 6},
  [4983] = {.lex_state = 54, .external_lex_state = 5},
  [4984] = {.lex_state = 54, .external_lex_state = 6},
  [4985] = {.lex_state = 54, .external_lex_state = 6},
  [4986] = {.lex_state = 54, .external_lex_state = 5},
  [4987] = {.lex_state = 56, .external_lex_state = 5},
  [4988] = {.lex_state = 54, .external_lex_state = 5},
  [4989] = {.lex_state = 54, .external_lex_state = 2},
  [4990] = {.lex_state = 56, .external_lex_state = 5},
  [4991] = {.lex_state = 54, .external_lex_state = 6},
  [4992] = {.lex_state = 54, .external_lex_state = 5},
  [4993] = {.lex_state = 54, .external_lex_state = 2},
  [4994] = {.lex_state = 54, .external_lex_state = 5},
  [4995] = {.lex_state = 54, .external_lex_state = 2},
  [4996] = {.lex_state = 56, .external_lex_state = 2},
  [4997] = {.lex_state = 54, .external_lex_state = 2},
  [4998] = {.lex_state = 60, .external_lex_state = 2},
  [4999] = {.lex_state = 56, .external_lex_state = 2},
  [5000] = {.lex_state = 54, .external_lex_state = 2},
  [5001] = {.lex_state = 56, .external_lex_state = 2},
  [5002] = {.lex_state = 54, .external_lex_state = 2},
  [5003] = {.lex_state = 54, .external_lex_state = 2},
  [5004] = {.lex_state = 56, .external_lex_state = 2},
  [5005] = {.lex_state = 54, .external_lex_state = 6},
  [5006] = {.lex_state = 380, .external_lex_state = 6},
  [5007] = {.lex_state = 54, .external_lex_state = 2},
  [5008] = {.lex_state = 54, .external_lex_state = 6},
  [5009] = {.lex_state = 54, .external_lex_state = 2},
  [5010] = {.lex_state = 54, .external_lex_state = 6},
  [5011] = {.lex_state = 54, .external_lex_state = 2},
  [5012] = {.lex_state = 54, .external_lex_state = 6},
  [5013] = {.lex_state = 54, .external_lex_state = 6},
  [5014] = {.lex_state = 54, .external_lex_state = 6},
  [5015] = {.lex_state = 54, .external_lex_state = 2},
  [5016] = {.lex_state = 54, .external_lex_state = 6},
  [5017] = {.lex_state = 54, .external_lex_state = 6},
  [5018] = {.lex_state = 54, .external_lex_state = 6},
  [5019] = {.lex_state = 54, .external_lex_state = 6},
  [5020] = {.lex_state = 54, .external_lex_state = 6},
  [5021] = {.lex_state = 54, .external_lex_state = 2},
  [5022] = {.lex_state = 380, .external_lex_state = 2},
  [5023] = {.lex_state = 54, .external_lex_state = 2},
  [5024] = {.lex_state = 55, .external_lex_state = 2},
  [5025] = {.lex_state = 54, .external_lex_state = 5},
  [5026] = {.lex_state = 56, .external_lex_state = 2},
  [5027] = {.lex_state = 54, .external_lex_state = 5},
  [5028] = {.lex_state = 56, .external_lex_state = 2},
  [5029] = {.lex_state = 54, .external_lex_state = 2},
  [5030] = {.lex_state = 55, .external_lex_state = 2},
  [5031] = {.lex_state = 54, .external_lex_state = 2},
  [5032] = {.lex_state = 54, .external_lex_state = 5},
  [5033] = {.lex_state = 54, .external_lex_state = 5},
  [5034] = {.lex_state = 56, .external_lex_state = 2},
  [5035] = {.lex_state = 56, .external_lex_state = 2},
  [5036] = {.lex_state = 54, .external_lex_state = 2},
  [5037] = {.lex_state = 54, .external_lex_state = 5},
  [5038] = {.lex_state = 54, .external_lex_state = 5},
  [5039] = {.lex_state = 54, .external_lex_state = 2},
  [5040] = {.lex_state = 54, .external_lex_state = 5},
  [5041] = {.lex_state = 54, .external_lex_state = 2},
  [5042] = {.lex_state = 54, .external_lex_state = 2},
  [5043] = {.lex_state = 54, .external_lex_state = 5},
  [5044] = {.lex_state = 54, .external_lex_state = 2},
  [5045] = {.lex_state = 54, .external_lex_state = 2},
  [5046] = {.lex_state = 54, .external_lex_state = 2},
  [5047] = {.lex_state = 54, .external_lex_state = 5},
  [5048] = {.lex_state = 54, .external_lex_state = 2},
  [5049] = {.lex_state = 380, .external_lex_state = 6},
  [5050] = {.lex_state = 54, .external_lex_state = 5},
  [5051] = {.lex_state = 54, .external_lex_state = 2},
  [5052] = {.lex_state = 54, .external_lex_state = 2},
  [5053] = {.lex_state = 380, .external_lex_state = 5},
  [5054] = {.lex_state = 380, .external_lex_state = 5},
  [5055] = {.lex_state = 54, .external_lex_state = 5},
  [5056] = {.lex_state = 55, .external_lex_state = 2},
  [5057] = {.lex_state = 380, .external_lex_state = 5},
  [5058] = {.lex_state = 54, .external_lex_state = 2},
  [5059] = {.lex_state = 54, .external_lex_state = 2},
  [5060] = {.lex_state = 380, .external_lex_state = 5},
  [5061] = {.lex_state = 56, .external_lex_state = 2},
  [5062] = {.lex_state = 54, .external_lex_state = 6},
  [5063] = {.lex_state = 380, .external_lex_state = 5},
  [5064] = {.lex_state = 54, .external_lex_state = 5},
  [5065] = {.lex_state = 54, .external_lex_state = 2},
  [5066] = {.lex_state = 54, .external_lex_state = 5},
  [5067] = {.lex_state = 54, .external_lex_state = 6},
  [5068] = {.lex_state = 54, .external_lex_state = 6},
  [5069] = {.lex_state = 54, .external_lex_state = 6},
  [5070] = {.lex_state = 54, .external_lex_state = 6},
  [5071] = {.lex_state = 56, .external_lex_state = 2},
  [5072] = {.lex_state = 54, .external_lex_state = 2},
  [5073] = {.lex_state = 54, .external_lex_state = 6},
  [5074] = {.lex_state = 54, .external_lex_state = 6},
  [5075] = {.lex_state = 380, .external_lex_state = 5},
  [5076] = {.lex_state = 54, .external_lex_state = 5},
  [5077] = {.lex_state = 54, .external_lex_state = 6},
  [5078] = {.lex_state = 54, .external_lex_state = 6},
  [5079] = {.lex_state = 54, .external_lex_state = 2},
  [5080] = {.lex_state = 56, .external_lex_state = 2},
  [5081] = {.lex_state = 54, .external_lex_state = 2},
  [5082] = {.lex_state = 54, .external_lex_state = 2},
  [5083] = {.lex_state = 60, .external_lex_state = 2},
  [5084] = {.lex_state = 54, .external_lex_state = 5},
  [5085] = {.lex_state = 54, .external_lex_state = 5},
  [5086] = {.lex_state = 54, .external_lex_state = 5},
  [5087] = {.lex_state = 54, .external_lex_state = 5},
  [5088] = {.lex_state = 55, .external_lex_state = 2},
  [5089] = {.lex_state = 54, .external_lex_state = 5},
  [5090] = {.lex_state = 54, .external_lex_state = 2},
  [5091] = {.lex_state = 54, .external_lex_state = 5},
  [5092] = {.lex_state = 54, .external_lex_state = 2},
  [5093] = {.lex_state = 54, .external_lex_state = 6},
  [5094] = {.lex_state = 60, .external_lex_state = 2},
  [5095] = {.lex_state = 54, .external_lex_state = 2},
  [5096] = {.lex_state = 54, .external_lex_state = 2},
  [5097] = {.lex_state = 54, .external_lex_state = 2},
  [5098] = {.lex_state = 54, .external_lex_state = 2},
  [5099] = {.lex_state = 54, .external_lex_state = 6},
  [5100] = {.lex_state = 54, .external_lex_state = 6},
  [5101] = {.lex_state = 54, .external_lex_state = 5},
  [5102] = {.lex_state = 54, .external_lex_state = 2},
  [5103] = {.lex_state = 54, .external_lex_state = 5},
  [5104] = {.lex_state = 54, .external_lex_state = 5},
  [5105] = {.lex_state = 54, .external_lex_state = 6},
  [5106] = {.lex_state = 54, .external_lex_state = 6},
  [5107] = {.lex_state = 54, .external_lex_state = 2},
  [5108] = {.lex_state = 54, .external_lex_state = 2},
  [5109] = {.lex_state = 54, .external_lex_state = 6},
  [5110] = {.lex_state = 54, .external_lex_state = 6},
  [5111] = {.lex_state = 54, .external_lex_state = 5},
  [5112] = {.lex_state = 54, .external_lex_state = 6},
  [5113] = {.lex_state = 54, .external_lex_state = 5},
  [5114] = {.lex_state = 54, .external_lex_state = 6},
  [5115] = {.lex_state = 56, .external_lex_state = 2},
  [5116] = {.lex_state = 54, .external_lex_state = 2},
  [5117] = {.lex_state = 54, .external_lex_state = 6},
  [5118] = {.lex_state = 54, .external_lex_state = 6},
  [5119] = {.lex_state = 54, .external_lex_state = 2},
  [5120] = {.lex_state = 54, .external_lex_state = 2},
  [5121] = {.lex_state = 54, .external_lex_state = 2},
  [5122] = {.lex_state = 54, .external_lex_state = 6},
  [5123] = {.lex_state = 54, .external_lex_state = 2},
  [5124] = {.lex_state = 54, .external_lex_state = 6},
  [5125] = {.lex_state = 54, .external_lex_state = 6},
  [5126] = {.lex_state = 54, .external_lex_state = 2},
  [5127] = {.lex_state = 54, .external_lex_state = 6},
  [5128] = {.lex_state = 54, .external_lex_state = 2},
  [5129] = {.lex_state = 56, .external_lex_state = 2},
  [5130] = {.lex_state = 54, .external_lex_state = 5},
  [5131] = {.lex_state = 54, .external_lex_state = 5},
  [5132] = {.lex_state = 56, .external_lex_state = 2},
  [5133] = {.lex_state = 54, .external_lex_state = 6},
  [5134] = {.lex_state = 54, .external_lex_state = 6},
  [5135] = {.lex_state = 54, .external_lex_state = 2},
  [5136] = {.lex_state = 54, .external_lex_state = 2},
  [5137] = {.lex_state = 54, .external_lex_state = 2},
  [5138] = {.lex_state = 54, .external_lex_state = 6},
  [5139] = {.lex_state = 54, .external_lex_state = 2},
  [5140] = {.lex_state = 54, .external_lex_state = 6},
  [5141] = {.lex_state = 54, .external_lex_state = 6},
  [5142] = {.lex_state = 54, .external_lex_state = 6},
  [5143] = {.lex_state = 54, .external_lex_state = 5},
  [5144] = {.lex_state = 54, .external_lex_state = 6},
  [5145] = {.lex_state = 54, .external_lex_state = 5},
  [5146] = {.lex_state = 54, .external_lex_state = 6},
  [5147] = {.lex_state = 54, .external_lex_state = 6},
  [5148] = {.lex_state = 54, .external_lex_state = 5},
  [5149] = {.lex_state = 54, .external_lex_state = 2},
  [5150] = {.lex_state = 54, .external_lex_state = 6},
  [5151] = {.lex_state = 54, .external_lex_state = 6},
  [5152] = {.lex_state = 54, .external_lex_state = 5},
  [5153] = {.lex_state = 54, .external_lex_state = 2},
  [5154] = {.lex_state = 54, .external_lex_state = 5},
  [5155] = {.lex_state = 56, .external_lex_state = 2},
  [5156] = {.lex_state = 54, .external_lex_state = 6},
  [5157] = {.lex_state = 54, .external_lex_state = 5},
  [5158] = {.lex_state = 56, .external_lex_state = 2},
  [5159] = {.lex_state = 380, .external_lex_state = 2},
  [5160] = {.lex_state = 56, .external_lex_state = 2},
  [5161] = {.lex_state = 56, .external_lex_state = 2},
  [5162] = {.lex_state = 54, .external_lex_state = 6},
  [5163] = {.lex_state = 54, .external_lex_state = 2},
  [5164] = {.lex_state = 55, .external_lex_state = 2},
  [5165] = {.lex_state = 54, .external_lex_state = 6},
  [5166] = {.lex_state = 54, .external_lex_state = 6},
  [5167] = {.lex_state = 54, .external_lex_state = 2},
  [5168] = {.lex_state = 54, .external_lex_state = 6},
  [5169] = {.lex_state = 54, .external_lex_state = 5},
  [5170] = {.lex_state = 54, .external_lex_state = 6},
  [5171] = {.lex_state = 55, .external_lex_state = 2},
  [5172] = {.lex_state = 54, .external_lex_state = 2},
  [5173] = {.lex_state = 54, .external_lex_state = 5},
  [5174] = {.lex_state = 54, .external_lex_state = 6},
  [5175] = {.lex_state = 54, .external_lex_state = 6},
  [5176] = {.lex_state = 54, .external_lex_state = 5},
  [5177] = {.lex_state = 54, .external_lex_state = 6},
  [5178] = {.lex_state = 54, .external_lex_state = 6},
  [5179] = {.lex_state = 380, .external_lex_state = 7},
  [5180] = {.lex_state = 56, .external_lex_state = 2},
  [5181] = {.lex_state = 380, .external_lex_state = 5},
  [5182] = {.lex_state = 380, .external_lex_state = 7},
  [5183] = {.lex_state = 380, .external_lex_state = 7},
  [5184] = {.lex_state = 380, .external_lex_state = 5},
  [5185] = {.lex_state = 380, .external_lex_state = 7},
  [5186] = {.lex_state = 88, .external_lex_state = 2},
  [5187] = {.lex_state = 88, .external_lex_state = 2},
  [5188] = {.lex_state = 88, .external_lex_state = 2},
  [5189] = {.lex_state = 71, .external_lex_state = 2},
  [5190] = {.lex_state = 56, .external_lex_state = 2},
  [5191] = {.lex_state = 71, .external_lex_state = 2},
  [5192] = {.lex_state = 54, .external_lex_state = 5},
  [5193] = {.lex_state = 60, .external_lex_state = 2},
  [5194] = {.lex_state = 71, .external_lex_state = 2},
  [5195] = {.lex_state = 71, .external_lex_state = 2},
  [5196] = {.lex_state = 88, .external_lex_state = 2},
  [5197] = {.lex_state = 71, .external_lex_state = 2},
  [5198] = {.lex_state = 71, .external_lex_state = 2},
  [5199] = {.lex_state = 71, .external_lex_state = 2},
  [5200] = {.lex_state = 88, .external_lex_state = 2},
  [5201] = {.lex_state = 88, .external_lex_state = 2},
  [5202] = {.lex_state = 71, .external_lex_state = 2},
  [5203] = {.lex_state = 71, .external_lex_state = 2},
  [5204] = {.lex_state = 54, .external_lex_state = 5},
  [5205] = {.lex_state = 380, .external_lex_state = 5},
  [5206] = {.lex_state = 54, .external_lex_state = 5},
  [5207] = {.lex_state = 380, .external_lex_state = 5},
  [5208] = {.lex_state = 380, .external_lex_state = 7},
  [5209] = {.lex_state = 54, .external_lex_state = 5},
  [5210] = {.lex_state = 88, .external_lex_state = 2},
  [5211] = {.lex_state = 380, .external_lex_state = 7},
  [5212] = {.lex_state = 380, .external_lex_state = 6},
  [5213] = {.lex_state = 54, .external_lex_state = 6},
  [5214] = {.lex_state = 380, .external_lex_state = 7},
  [5215] = {.lex_state = 380, .external_lex_state = 5},
  [5216] = {.lex_state = 88, .external_lex_state = 2},
  [5217] = {.lex_state = 380, .external_lex_state = 7},
  [5218] = {.lex_state = 380, .external_lex_state = 5},
  [5219] = {.lex_state = 380, .external_lex_state = 5},
  [5220] = {.lex_state = 380, .external_lex_state = 5},
  [5221] = {.lex_state = 380, .external_lex_state = 5},
  [5222] = {.lex_state = 380, .external_lex_state = 5},
  [5223] = {.lex_state = 380, .external_lex_state = 5},
  [5224] = {.lex_state = 380, .external_lex_state = 5},
  [5225] = {.lex_state = 57, .external_lex_state = 2},
  [5226] = {.lex_state = 380, .external_lex_state = 5},
  [5227] = {.lex_state = 57, .external_lex_state = 2},
  [5228] = {.lex_state = 71, .external_lex_state = 2},
  [5229] = {.lex_state = 380, .external_lex_state = 5},
  [5230] = {.lex_state = 380, .external_lex_state = 5},
  [5231] = {.lex_state = 380, .external_lex_state = 5},
  [5232] = {.lex_state = 380, .external_lex_state = 5},
  [5233] = {.lex_state = 380, .external_lex_state = 5},
  [5234] = {.lex_state = 380, .external_lex_state = 5},
  [5235] = {.lex_state = 380, .external_lex_state = 2},
  [5236] = {.lex_state = 57, .external_lex_state = 2},
  [5237] = {.lex_state = 380, .external_lex_state = 5},
  [5238] = {.lex_state = 57, .external_lex_state = 2},
  [5239] = {.lex_state = 380, .external_lex_state = 2},
  [5240] = {.lex_state = 380, .external_lex_state = 5},
  [5241] = {.lex_state = 380, .external_lex_state = 5},
  [5242] = {.lex_state = 54, .external_lex_state = 2},
  [5243] = {.lex_state = 380, .external_lex_state = 5},
  [5244] = {.lex_state = 57, .external_lex_state = 2},
  [5245] = {.lex_state = 380, .external_lex_state = 5},
  [5246] = {.lex_state = 57, .external_lex_state = 2},
  [5247] = {.lex_state = 380, .external_lex_state = 5},
  [5248] = {.lex_state = 91, .external_lex_state = 2},
  [5249] = {.lex_state = 57, .external_lex_state = 2},
  [5250] = {.lex_state = 380, .external_lex_state = 5},
  [5251] = {.lex_state = 380, .external_lex_state = 2},
  [5252] = {.lex_state = 380, .external_lex_state = 5},
  [5253] = {.lex_state = 71, .external_lex_state = 2},
  [5254] = {.lex_state = 56, .external_lex_state = 5},
  [5255] = {.lex_state = 54, .external_lex_state = 2},
  [5256] = {.lex_state = 56, .external_lex_state = 5},
  [5257] = {.lex_state = 380, .external_lex_state = 5},
  [5258] = {.lex_state = 380, .external_lex_state = 2},
  [5259] = {.lex_state = 380, .external_lex_state = 5},
  [5260] = {.lex_state = 54, .external_lex_state = 2},
  [5261] = {.lex_state = 380, .external_lex_state = 2},
  [5262] = {.lex_state = 380, .external_lex_state = 2},
  [5263] = {.lex_state = 57, .external_lex_state = 2},
  [5264] = {.lex_state = 57, .external_lex_state = 2},
  [5265] = {.lex_state = 380, .external_lex_state = 2},
  [5266] = {.lex_state = 380, .external_lex_state = 5},
  [5267] = {.lex_state = 380, .external_lex_state = 2},
  [5268] = {.lex_state = 380, .external_lex_state = 5},
  [5269] = {.lex_state = 380, .external_lex_state = 2},
  [5270] = {.lex_state = 380, .external_lex_state = 2},
  [5271] = {.lex_state = 380, .external_lex_state = 2},
  [5272] = {.lex_state = 380, .external_lex_state = 2},
  [5273] = {.lex_state = 380, .external_lex_state = 2},
  [5274] = {.lex_state = 380, .external_lex_state = 2},
  [5275] = {.lex_state = 380, .external_lex_state = 2},
  [5276] = {.lex_state = 380, .external_lex_state = 2},
  [5277] = {.lex_state = 380, .external_lex_state = 5},
  [5278] = {.lex_state = 380, .external_lex_state = 5},
  [5279] = {.lex_state = 380, .external_lex_state = 2},
  [5280] = {.lex_state = 380, .external_lex_state = 5},
  [5281] = {.lex_state = 380, .external_lex_state = 5},
  [5282] = {.lex_state = 380, .external_lex_state = 5},
  [5283] = {.lex_state = 380, .external_lex_state = 5},
  [5284] = {.lex_state = 380, .external_lex_state = 5},
  [5285] = {.lex_state = 380, .external_lex_state = 2},
  [5286] = {.lex_state = 380, .external_lex_state = 2},
  [5287] = {.lex_state = 380, .external_lex_state = 2},
  [5288] = {.lex_state = 57, .external_lex_state = 2},
  [5289] = {.lex_state = 380, .external_lex_state = 2},
  [5290] = {.lex_state = 380, .external_lex_state = 2},
  [5291] = {.lex_state = 57, .external_lex_state = 2},
  [5292] = {.lex_state = 380, .external_lex_state = 5},
  [5293] = {.lex_state = 380, .external_lex_state = 5},
  [5294] = {.lex_state = 57, .external_lex_state = 2},
  [5295] = {.lex_state = 57, .external_lex_state = 2},
  [5296] = {.lex_state = 380, .external_lex_state = 5},
  [5297] = {.lex_state = 380, .external_lex_state = 5},
  [5298] = {.lex_state = 380, .external_lex_state = 5},
  [5299] = {.lex_state = 380, .external_lex_state = 5},
  [5300] = {.lex_state = 380, .external_lex_state = 2},
  [5301] = {.lex_state = 54, .external_lex_state = 2},
  [5302] = {.lex_state = 54, .external_lex_state = 2},
  [5303] = {.lex_state = 380, .external_lex_state = 5},
  [5304] = {.lex_state = 380, .external_lex_state = 5},
  [5305] = {.lex_state = 380, .external_lex_state = 5},
  [5306] = {.lex_state = 380, .external_lex_state = 5},
  [5307] = {.lex_state = 380, .external_lex_state = 2},
  [5308] = {.lex_state = 380, .external_lex_state = 2},
  [5309] = {.lex_state = 57, .external_lex_state = 2},
  [5310] = {.lex_state = 380, .external_lex_state = 2},
  [5311] = {.lex_state = 91, .external_lex_state = 2},
  [5312] = {.lex_state = 380, .external_lex_state = 5},
  [5313] = {.lex_state = 380, .external_lex_state = 2},
  [5314] = {.lex_state = 380, .external_lex_state = 5},
  [5315] = {.lex_state = 380, .external_lex_state = 5},
  [5316] = {.lex_state = 66, .external_lex_state = 2},
  [5317] = {.lex_state = 380, .external_lex_state = 5},
  [5318] = {.lex_state = 380, .external_lex_state = 5},
  [5319] = {.lex_state = 380, .external_lex_state = 5},
  [5320] = {.lex_state = 380, .external_lex_state = 5},
  [5321] = {.lex_state = 57, .external_lex_state = 2},
  [5322] = {.lex_state = 57, .external_lex_state = 2},
  [5323] = {.lex_state = 380, .external_lex_state = 5},
  [5324] = {.lex_state = 380, .external_lex_state = 5},
  [5325] = {.lex_state = 380, .external_lex_state = 5},
  [5326] = {.lex_state = 71, .external_lex_state = 2},
  [5327] = {.lex_state = 380, .external_lex_state = 5},
  [5328] = {.lex_state = 380, .external_lex_state = 5},
  [5329] = {.lex_state = 380, .external_lex_state = 2},
  [5330] = {.lex_state = 380, .external_lex_state = 5},
  [5331] = {.lex_state = 380, .external_lex_state = 5},
  [5332] = {.lex_state = 57, .external_lex_state = 2},
  [5333] = {.lex_state = 380, .external_lex_state = 5},
  [5334] = {.lex_state = 380, .external_lex_state = 5},
  [5335] = {.lex_state = 380, .external_lex_state = 5},
  [5336] = {.lex_state = 380, .external_lex_state = 5},
  [5337] = {.lex_state = 54, .external_lex_state = 2},
  [5338] = {.lex_state = 380, .external_lex_state = 5},
  [5339] = {.lex_state = 380, .external_lex_state = 5},
  [5340] = {.lex_state = 380, .external_lex_state = 5},
  [5341] = {.lex_state = 380, .external_lex_state = 5},
  [5342] = {.lex_state = 54, .external_lex_state = 2},
  [5343] = {.lex_state = 380, .external_lex_state = 2},
  [5344] = {.lex_state = 380, .external_lex_state = 5},
  [5345] = {.lex_state = 380, .external_lex_state = 5},
  [5346] = {.lex_state = 57, .external_lex_state = 2},
  [5347] = {.lex_state = 380, .external_lex_state = 2},
  [5348] = {.lex_state = 380, .external_lex_state = 5},
  [5349] = {.lex_state = 380, .external_lex_state = 5},
  [5350] = {.lex_state = 380, .external_lex_state = 5},
  [5351] = {.lex_state = 380, .external_lex_state = 2},
  [5352] = {.lex_state = 71, .external_lex_state = 2},
  [5353] = {.lex_state = 380, .external_lex_state = 5},
  [5354] = {.lex_state = 380, .external_lex_state = 5},
  [5355] = {.lex_state = 57, .external_lex_state = 2},
  [5356] = {.lex_state = 380, .external_lex_state = 2},
  [5357] = {.lex_state = 380, .external_lex_state = 5},
  [5358] = {.lex_state = 56, .external_lex_state = 5},
  [5359] = {.lex_state = 380, .external_lex_state = 2},
  [5360] = {.lex_state = 380, .external_lex_state = 5},
  [5361] = {.lex_state = 380, .external_lex_state = 5},
  [5362] = {.lex_state = 56, .external_lex_state = 5},
  [5363] = {.lex_state = 380, .external_lex_state = 5},
  [5364] = {.lex_state = 380, .external_lex_state = 2},
  [5365] = {.lex_state = 380, .external_lex_state = 5},
  [5366] = {.lex_state = 380, .external_lex_state = 2},
  [5367] = {.lex_state = 380, .external_lex_state = 2},
  [5368] = {.lex_state = 380, .external_lex_state = 5},
  [5369] = {.lex_state = 380, .external_lex_state = 5},
  [5370] = {.lex_state = 380, .external_lex_state = 5},
  [5371] = {.lex_state = 380, .external_lex_state = 5},
  [5372] = {.lex_state = 380, .external_lex_state = 5},
  [5373] = {.lex_state = 57, .external_lex_state = 2},
  [5374] = {.lex_state = 380, .external_lex_state = 5},
  [5375] = {.lex_state = 380, .external_lex_state = 2},
  [5376] = {.lex_state = 380, .external_lex_state = 5},
  [5377] = {.lex_state = 380, .external_lex_state = 5},
  [5378] = {.lex_state = 380, .external_lex_state = 5},
  [5379] = {.lex_state = 380, .external_lex_state = 5},
  [5380] = {.lex_state = 380, .external_lex_state = 2},
  [5381] = {.lex_state = 380, .external_lex_state = 5},
  [5382] = {.lex_state = 380, .external_lex_state = 5},
  [5383] = {.lex_state = 57, .external_lex_state = 2},
  [5384] = {.lex_state = 57, .external_lex_state = 2},
  [5385] = {.lex_state = 380, .external_lex_state = 5},
  [5386] = {.lex_state = 380, .external_lex_state = 5},
  [5387] = {.lex_state = 380, .external_lex_state = 5},
  [5388] = {.lex_state = 380, .external_lex_state = 5},
  [5389] = {.lex_state = 380, .external_lex_state = 2},
  [5390] = {.lex_state = 57, .external_lex_state = 2},
  [5391] = {.lex_state = 57, .external_lex_state = 2},
  [5392] = {.lex_state = 380, .external_lex_state = 5},
  [5393] = {.lex_state = 380, .external_lex_state = 5},
  [5394] = {.lex_state = 54, .external_lex_state = 2},
  [5395] = {.lex_state = 380, .external_lex_state = 5},
  [5396] = {.lex_state = 380, .external_lex_state = 5},
  [5397] = {.lex_state = 380, .external_lex_state = 2},
  [5398] = {.lex_state = 56, .external_lex_state = 5},
  [5399] = {.lex_state = 380, .external_lex_state = 2},
  [5400] = {.lex_state = 380, .external_lex_state = 5},
  [5401] = {.lex_state = 380, .external_lex_state = 5},
  [5402] = {.lex_state = 91, .external_lex_state = 2},
  [5403] = {.lex_state = 380, .external_lex_state = 5},
  [5404] = {.lex_state = 380, .external_lex_state = 5},
  [5405] = {.lex_state = 54, .external_lex_state = 2},
  [5406] = {.lex_state = 54, .external_lex_state = 2},
  [5407] = {.lex_state = 56, .external_lex_state = 5},
  [5408] = {.lex_state = 57, .external_lex_state = 2},
  [5409] = {.lex_state = 57, .external_lex_state = 2},
  [5410] = {.lex_state = 380, .external_lex_state = 5},
  [5411] = {.lex_state = 380, .external_lex_state = 5},
  [5412] = {.lex_state = 57, .external_lex_state = 2},
  [5413] = {.lex_state = 71, .external_lex_state = 2},
  [5414] = {.lex_state = 380, .external_lex_state = 5},
  [5415] = {.lex_state = 54, .external_lex_state = 2},
  [5416] = {.lex_state = 380, .external_lex_state = 2},
  [5417] = {.lex_state = 380, .external_lex_state = 5},
  [5418] = {.lex_state = 380, .external_lex_state = 2},
  [5419] = {.lex_state = 380, .external_lex_state = 5},
  [5420] = {.lex_state = 57, .external_lex_state = 2},
  [5421] = {.lex_state = 380, .external_lex_state = 5},
  [5422] = {.lex_state = 57, .external_lex_state = 2},
  [5423] = {.lex_state = 380, .external_lex_state = 2},
  [5424] = {.lex_state = 380, .external_lex_state = 2},
  [5425] = {.lex_state = 380, .external_lex_state = 5},
  [5426] = {.lex_state = 380, .external_lex_state = 2},
  [5427] = {.lex_state = 380, .external_lex_state = 2},
  [5428] = {.lex_state = 380, .external_lex_state = 2},
  [5429] = {.lex_state = 380, .external_lex_state = 5},
  [5430] = {.lex_state = 60, .external_lex_state = 2},
  [5431] = {.lex_state = 380, .external_lex_state = 2},
  [5432] = {.lex_state = 57, .external_lex_state = 2},
  [5433] = {.lex_state = 57, .external_lex_state = 2},
  [5434] = {.lex_state = 54, .external_lex_state = 2},
  [5435] = {.lex_state = 380, .external_lex_state = 5},
  [5436] = {.lex_state = 380, .external_lex_state = 5},
  [5437] = {.lex_state = 380, .external_lex_state = 5},
  [5438] = {.lex_state = 380, .external_lex_state = 5},
  [5439] = {.lex_state = 380, .external_lex_state = 5},
  [5440] = {.lex_state = 380, .external_lex_state = 5},
  [5441] = {.lex_state = 380, .external_lex_state = 5},
  [5442] = {.lex_state = 380, .external_lex_state = 5},
  [5443] = {.lex_state = 380, .external_lex_state = 5},
  [5444] = {.lex_state = 380, .external_lex_state = 5},
  [5445] = {.lex_state = 380, .external_lex_state = 5},
  [5446] = {.lex_state = 57, .external_lex_state = 2},
  [5447] = {.lex_state = 380, .external_lex_state = 2},
  [5448] = {.lex_state = 380, .external_lex_state = 2},
  [5449] = {.lex_state = 380, .external_lex_state = 5},
  [5450] = {.lex_state = 380, .external_lex_state = 5},
  [5451] = {.lex_state = 380, .external_lex_state = 5},
  [5452] = {.lex_state = 380, .external_lex_state = 5},
  [5453] = {.lex_state = 380, .external_lex_state = 2},
  [5454] = {.lex_state = 380, .external_lex_state = 2},
  [5455] = {.lex_state = 380, .external_lex_state = 2},
  [5456] = {.lex_state = 380, .external_lex_state = 2},
  [5457] = {.lex_state = 380, .external_lex_state = 5},
  [5458] = {.lex_state = 380, .external_lex_state = 5},
  [5459] = {.lex_state = 380, .external_lex_state = 2},
  [5460] = {.lex_state = 380, .external_lex_state = 5},
  [5461] = {.lex_state = 380, .external_lex_state = 5},
  [5462] = {.lex_state = 56, .external_lex_state = 5},
  [5463] = {.lex_state = 380, .external_lex_state = 5},
  [5464] = {.lex_state = 57, .external_lex_state = 2},
  [5465] = {.lex_state = 91, .external_lex_state = 2},
  [5466] = {.lex_state = 380, .external_lex_state = 5},
  [5467] = {.lex_state = 57, .external_lex_state = 2},
  [5468] = {.lex_state = 57, .external_lex_state = 2},
  [5469] = {.lex_state = 71, .external_lex_state = 2},
  [5470] = {.lex_state = 71, .external_lex_state = 2},
  [5471] = {.lex_state = 380, .external_lex_state = 5},
  [5472] = {.lex_state = 57, .external_lex_state = 2},
  [5473] = {.lex_state = 380, .external_lex_state = 5},
  [5474] = {.lex_state = 380, .external_lex_state = 5},
  [5475] = {.lex_state = 56, .external_lex_state = 5},
  [5476] = {.lex_state = 57, .external_lex_state = 2},
  [5477] = {.lex_state = 54, .external_lex_state = 2},
  [5478] = {.lex_state = 57, .external_lex_state = 2},
  [5479] = {.lex_state = 57, .external_lex_state = 2},
  [5480] = {.lex_state = 57, .external_lex_state = 2},
  [5481] = {.lex_state = 57, .external_lex_state = 2},
  [5482] = {.lex_state = 57, .external_lex_state = 2},
  [5483] = {.lex_state = 380, .external_lex_state = 5},
  [5484] = {.lex_state = 57, .external_lex_state = 2},
  [5485] = {.lex_state = 380, .external_lex_state = 5},
  [5486] = {.lex_state = 380, .external_lex_state = 6},
  [5487] = {.lex_state = 380, .external_lex_state = 6},
  [5488] = {.lex_state = 57, .external_lex_state = 2},
  [5489] = {.lex_state = 380, .external_lex_state = 6},
  [5490] = {.lex_state = 71, .external_lex_state = 2},
  [5491] = {.lex_state = 380, .external_lex_state = 5},
  [5492] = {.lex_state = 57, .external_lex_state = 2},
  [5493] = {.lex_state = 380, .external_lex_state = 6},
  [5494] = {.lex_state = 57, .external_lex_state = 2},
  [5495] = {.lex_state = 56, .external_lex_state = 5},
  [5496] = {.lex_state = 57, .external_lex_state = 2},
  [5497] = {.lex_state = 380, .external_lex_state = 6},
  [5498] = {.lex_state = 57, .external_lex_state = 2},
  [5499] = {.lex_state = 380, .external_lex_state = 2},
  [5500] = {.lex_state = 380, .external_lex_state = 5},
  [5501] = {.lex_state = 380, .external_lex_state = 5},
  [5502] = {.lex_state = 380, .external_lex_state = 5},
  [5503] = {.lex_state = 380, .external_lex_state = 5},
  [5504] = {.lex_state = 380, .external_lex_state = 2},
  [5505] = {.lex_state = 380, .external_lex_state = 2},
  [5506] = {.lex_state = 380, .external_lex_state = 2},
  [5507] = {.lex_state = 91, .external_lex_state = 2},
  [5508] = {.lex_state = 380, .external_lex_state = 6},
  [5509] = {.lex_state = 57, .external_lex_state = 2},
  [5510] = {.lex_state = 380, .external_lex_state = 5},
  [5511] = {.lex_state = 380, .external_lex_state = 5},
  [5512] = {.lex_state = 71, .external_lex_state = 2},
  [5513] = {.lex_state = 380, .external_lex_state = 2},
  [5514] = {.lex_state = 380, .external_lex_state = 2},
  [5515] = {.lex_state = 57, .external_lex_state = 2},
  [5516] = {.lex_state = 380, .external_lex_state = 6},
  [5517] = {.lex_state = 57, .external_lex_state = 2},
  [5518] = {.lex_state = 57, .external_lex_state = 2},
  [5519] = {.lex_state = 57, .external_lex_state = 2},
  [5520] = {.lex_state = 380, .external_lex_state = 6},
  [5521] = {.lex_state = 56, .external_lex_state = 2},
  [5522] = {.lex_state = 57, .external_lex_state = 2},
  [5523] = {.lex_state = 54, .external_lex_state = 2},
  [5524] = {.lex_state = 57, .external_lex_state = 2},
  [5525] = {.lex_state = 54, .external_lex_state = 2},
  [5526] = {.lex_state = 57, .external_lex_state = 2},
  [5527] = {.lex_state = 57, .external_lex_state = 2},
  [5528] = {.lex_state = 57, .external_lex_state = 2},
  [5529] = {.lex_state = 57, .external_lex_state = 2},
  [5530] = {.lex_state = 380, .external_lex_state = 5},
  [5531] = {.lex_state = 380, .external_lex_state = 6},
  [5532] = {.lex_state = 380, .external_lex_state = 6},
  [5533] = {.lex_state = 54, .external_lex_state = 2},
  [5534] = {.lex_state = 57, .external_lex_state = 2},
  [5535] = {.lex_state = 380, .external_lex_state = 6},
  [5536] = {.lex_state = 380, .external_lex_state = 2},
  [5537] = {.lex_state = 380, .external_lex_state = 5},
  [5538] = {.lex_state = 57, .external_lex_state = 2},
  [5539] = {.lex_state = 380, .external_lex_state = 2},
  [5540] = {.lex_state = 380, .external_lex_state = 5},
  [5541] = {.lex_state = 380, .external_lex_state = 5},
  [5542] = {.lex_state = 57, .external_lex_state = 2},
  [5543] = {.lex_state = 57, .external_lex_state = 2},
  [5544] = {.lex_state = 380, .external_lex_state = 5},
  [5545] = {.lex_state = 380, .external_lex_state = 5},
  [5546] = {.lex_state = 54, .external_lex_state = 2},
  [5547] = {.lex_state = 57, .external_lex_state = 2},
  [5548] = {.lex_state = 380, .external_lex_state = 5},
  [5549] = {.lex_state = 380, .external_lex_state = 7},
  [5550] = {.lex_state = 380, .external_lex_state = 5},
  [5551] = {.lex_state = 57, .external_lex_state = 2},
  [5552] = {.lex_state = 54, .external_lex_state = 2},
  [5553] = {.lex_state = 57, .external_lex_state = 2},
  [5554] = {.lex_state = 380, .external_lex_state = 6},
  [5555] = {.lex_state = 21, .external_lex_state = 5},
  [5556] = {.lex_state = 57, .external_lex_state = 2},
  [5557] = {.lex_state = 54, .external_lex_state = 2},
  [5558] = {.lex_state = 380, .external_lex_state = 5},
  [5559] = {.lex_state = 57, .external_lex_state = 2},
  [5560] = {.lex_state = 57, .external_lex_state = 2},
  [5561] = {.lex_state = 54, .external_lex_state = 2},
  [5562] = {.lex_state = 57, .external_lex_state = 2},
  [5563] = {.lex_state = 380, .external_lex_state = 6},
  [5564] = {.lex_state = 380, .external_lex_state = 2},
  [5565] = {.lex_state = 56, .external_lex_state = 2},
  [5566] = {.lex_state = 54, .external_lex_state = 2},
  [5567] = {.lex_state = 380, .external_lex_state = 6},
  [5568] = {.lex_state = 57, .external_lex_state = 2},
  [5569] = {.lex_state = 21, .external_lex_state = 5},
  [5570] = {.lex_state = 57, .external_lex_state = 2},
  [5571] = {.lex_state = 54, .external_lex_state = 2},
  [5572] = {.lex_state = 57, .external_lex_state = 2},
  [5573] = {.lex_state = 54, .external_lex_state = 2},
  [5574] = {.lex_state = 380, .external_lex_state = 2},
  [5575] = {.lex_state = 380, .external_lex_state = 5},
  [5576] = {.lex_state = 380, .external_lex_state = 6},
  [5577] = {.lex_state = 57, .external_lex_state = 2},
  [5578] = {.lex_state = 57, .external_lex_state = 2},
  [5579] = {.lex_state = 57, .external_lex_state = 2},
  [5580] = {.lex_state = 380, .external_lex_state = 6},
  [5581] = {.lex_state = 380, .external_lex_state = 5},
  [5582] = {.lex_state = 54, .external_lex_state = 2},
  [5583] = {.lex_state = 380, .external_lex_state = 2},
  [5584] = {.lex_state = 380, .external_lex_state = 2},
  [5585] = {.lex_state = 380, .external_lex_state = 2},
  [5586] = {.lex_state = 380, .external_lex_state = 5},
  [5587] = {.lex_state = 57, .external_lex_state = 2},
  [5588] = {.lex_state = 57, .external_lex_state = 2},
  [5589] = {.lex_state = 57, .external_lex_state = 2},
  [5590] = {.lex_state = 380, .external_lex_state = 5},
  [5591] = {.lex_state = 54, .external_lex_state = 2},
  [5592] = {.lex_state = 57, .external_lex_state = 2},
  [5593] = {.lex_state = 57, .external_lex_state = 2},
  [5594] = {.lex_state = 380, .external_lex_state = 6},
  [5595] = {.lex_state = 380, .external_lex_state = 2},
  [5596] = {.lex_state = 380, .external_lex_state = 6},
  [5597] = {.lex_state = 54, .external_lex_state = 2},
  [5598] = {.lex_state = 56, .external_lex_state = 2},
  [5599] = {.lex_state = 380, .external_lex_state = 6},
  [5600] = {.lex_state = 71, .external_lex_state = 2},
  [5601] = {.lex_state = 380, .external_lex_state = 5},
  [5602] = {.lex_state = 380, .external_lex_state = 6},
  [5603] = {.lex_state = 380, .external_lex_state = 6},
  [5604] = {.lex_state = 57, .external_lex_state = 2},
  [5605] = {.lex_state = 57, .external_lex_state = 2},
  [5606] = {.lex_state = 78, .external_lex_state = 2},
  [5607] = {.lex_state = 380, .external_lex_state = 2},
  [5608] = {.lex_state = 57, .external_lex_state = 2},
  [5609] = {.lex_state = 54, .external_lex_state = 2},
  [5610] = {.lex_state = 54, .external_lex_state = 2},
  [5611] = {.lex_state = 78, .external_lex_state = 2},
  [5612] = {.lex_state = 380, .external_lex_state = 6},
  [5613] = {.lex_state = 380, .external_lex_state = 2},
  [5614] = {.lex_state = 380, .external_lex_state = 6},
  [5615] = {.lex_state = 380, .external_lex_state = 5},
  [5616] = {.lex_state = 380, .external_lex_state = 2},
  [5617] = {.lex_state = 57, .external_lex_state = 2},
  [5618] = {.lex_state = 56, .external_lex_state = 2},
  [5619] = {.lex_state = 54, .external_lex_state = 2},
  [5620] = {.lex_state = 57, .external_lex_state = 2},
  [5621] = {.lex_state = 57, .external_lex_state = 2},
  [5622] = {.lex_state = 57, .external_lex_state = 2},
  [5623] = {.lex_state = 380, .external_lex_state = 2},
  [5624] = {.lex_state = 57, .external_lex_state = 2},
  [5625] = {.lex_state = 57, .external_lex_state = 2},
  [5626] = {.lex_state = 54, .external_lex_state = 2},
  [5627] = {.lex_state = 54, .external_lex_state = 2},
  [5628] = {.lex_state = 380, .external_lex_state = 2},
  [5629] = {.lex_state = 380, .external_lex_state = 5},
  [5630] = {.lex_state = 380, .external_lex_state = 2},
  [5631] = {.lex_state = 380, .external_lex_state = 5},
  [5632] = {.lex_state = 380, .external_lex_state = 6},
  [5633] = {.lex_state = 380, .external_lex_state = 5},
  [5634] = {.lex_state = 380, .external_lex_state = 2},
  [5635] = {.lex_state = 380, .external_lex_state = 2},
  [5636] = {.lex_state = 380, .external_lex_state = 5},
  [5637] = {.lex_state = 54, .external_lex_state = 2},
  [5638] = {.lex_state = 56, .external_lex_state = 2},
  [5639] = {.lex_state = 380, .external_lex_state = 6},
  [5640] = {.lex_state = 54, .external_lex_state = 2},
  [5641] = {.lex_state = 380, .external_lex_state = 6},
  [5642] = {.lex_state = 57, .external_lex_state = 2},
  [5643] = {.lex_state = 54, .external_lex_state = 2},
  [5644] = {.lex_state = 54, .external_lex_state = 2},
  [5645] = {.lex_state = 380, .external_lex_state = 5},
  [5646] = {.lex_state = 380, .external_lex_state = 6},
  [5647] = {.lex_state = 57, .external_lex_state = 2},
  [5648] = {.lex_state = 380, .external_lex_state = 6},
  [5649] = {.lex_state = 380, .external_lex_state = 5},
  [5650] = {.lex_state = 380, .external_lex_state = 2},
  [5651] = {.lex_state = 54, .external_lex_state = 2},
  [5652] = {.lex_state = 380, .external_lex_state = 5},
  [5653] = {.lex_state = 380, .external_lex_state = 2},
  [5654] = {.lex_state = 54, .external_lex_state = 2},
  [5655] = {.lex_state = 54, .external_lex_state = 2},
  [5656] = {.lex_state = 380, .external_lex_state = 2},
  [5657] = {.lex_state = 380, .external_lex_state = 5},
  [5658] = {.lex_state = 380, .external_lex_state = 5},
  [5659] = {.lex_state = 54, .external_lex_state = 2},
  [5660] = {.lex_state = 380, .external_lex_state = 5},
  [5661] = {.lex_state = 380, .external_lex_state = 2},
  [5662] = {.lex_state = 57, .external_lex_state = 2},
  [5663] = {.lex_state = 57, .external_lex_state = 2},
  [5664] = {.lex_state = 380, .external_lex_state = 5},
  [5665] = {.lex_state = 380, .external_lex_state = 5},
  [5666] = {.lex_state = 380, .external_lex_state = 5},
  [5667] = {.lex_state = 380, .external_lex_state = 5},
  [5668] = {.lex_state = 380, .external_lex_state = 5},
  [5669] = {.lex_state = 54, .external_lex_state = 2},
  [5670] = {.lex_state = 57, .external_lex_state = 2},
  [5671] = {.lex_state = 380, .external_lex_state = 5},
  [5672] = {.lex_state = 380, .external_lex_state = 5},
  [5673] = {.lex_state = 380, .external_lex_state = 5},
  [5674] = {.lex_state = 380, .external_lex_state = 5},
  [5675] = {.lex_state = 380, .external_lex_state = 5},
  [5676] = {.lex_state = 71, .external_lex_state = 2},
  [5677] = {.lex_state = 380, .external_lex_state = 5},
  [5678] = {.lex_state = 380, .external_lex_state = 5},
  [5679] = {.lex_state = 380, .external_lex_state = 5},
  [5680] = {.lex_state = 54, .external_lex_state = 2},
  [5681] = {.lex_state = 380, .external_lex_state = 5},
  [5682] = {.lex_state = 380, .external_lex_state = 2},
  [5683] = {.lex_state = 380, .external_lex_state = 6},
  [5684] = {.lex_state = 380, .external_lex_state = 5},
  [5685] = {.lex_state = 380, .external_lex_state = 5},
  [5686] = {.lex_state = 380, .external_lex_state = 5},
  [5687] = {.lex_state = 380, .external_lex_state = 5},
  [5688] = {.lex_state = 54, .external_lex_state = 2},
  [5689] = {.lex_state = 380, .external_lex_state = 5},
  [5690] = {.lex_state = 54, .external_lex_state = 2},
  [5691] = {.lex_state = 54, .external_lex_state = 2},
  [5692] = {.lex_state = 380, .external_lex_state = 7},
  [5693] = {.lex_state = 54, .external_lex_state = 2},
  [5694] = {.lex_state = 380, .external_lex_state = 2},
  [5695] = {.lex_state = 57, .external_lex_state = 2},
  [5696] = {.lex_state = 57, .external_lex_state = 2},
  [5697] = {.lex_state = 380, .external_lex_state = 2},
  [5698] = {.lex_state = 380, .external_lex_state = 2},
  [5699] = {.lex_state = 57, .external_lex_state = 2},
  [5700] = {.lex_state = 54, .external_lex_state = 2},
  [5701] = {.lex_state = 380, .external_lex_state = 2},
  [5702] = {.lex_state = 380, .external_lex_state = 2},
  [5703] = {.lex_state = 54, .external_lex_state = 2},
  [5704] = {.lex_state = 380, .external_lex_state = 5},
  [5705] = {.lex_state = 380, .external_lex_state = 5},
  [5706] = {.lex_state = 380, .external_lex_state = 5},
  [5707] = {.lex_state = 380, .external_lex_state = 2},
  [5708] = {.lex_state = 57, .external_lex_state = 2},
  [5709] = {.lex_state = 380, .external_lex_state = 7},
  [5710] = {.lex_state = 380, .external_lex_state = 5},
  [5711] = {.lex_state = 380, .external_lex_state = 2},
  [5712] = {.lex_state = 54, .external_lex_state = 2},
  [5713] = {.lex_state = 54, .external_lex_state = 2},
  [5714] = {.lex_state = 56, .external_lex_state = 2},
  [5715] = {.lex_state = 380, .external_lex_state = 2},
  [5716] = {.lex_state = 54, .external_lex_state = 2},
  [5717] = {.lex_state = 54, .external_lex_state = 2},
  [5718] = {.lex_state = 54, .external_lex_state = 2},
  [5719] = {.lex_state = 54, .external_lex_state = 2},
  [5720] = {.lex_state = 54, .external_lex_state = 2},
  [5721] = {.lex_state = 57, .external_lex_state = 2},
  [5722] = {.lex_state = 57, .external_lex_state = 2},
  [5723] = {.lex_state = 57, .external_lex_state = 2},
  [5724] = {.lex_state = 380, .external_lex_state = 2},
  [5725] = {.lex_state = 380, .external_lex_state = 2},
  [5726] = {.lex_state = 380, .external_lex_state = 5},
  [5727] = {.lex_state = 54, .external_lex_state = 2},
  [5728] = {.lex_state = 380, .external_lex_state = 7},
  [5729] = {.lex_state = 380, .external_lex_state = 7},
  [5730] = {.lex_state = 380, .external_lex_state = 2},
  [5731] = {.lex_state = 54, .external_lex_state = 2},
  [5732] = {.lex_state = 56, .external_lex_state = 2},
  [5733] = {.lex_state = 54, .external_lex_state = 2},
  [5734] = {.lex_state = 380, .external_lex_state = 6},
  [5735] = {.lex_state = 380, .external_lex_state = 6},
  [5736] = {.lex_state = 380, .external_lex_state = 6},
  [5737] = {.lex_state = 380, .external_lex_state = 2},
  [5738] = {.lex_state = 380, .external_lex_state = 6},
  [5739] = {.lex_state = 54, .external_lex_state = 2},
  [5740] = {.lex_state = 380, .external_lex_state = 6},
  [5741] = {.lex_state = 380, .external_lex_state = 6},
  [5742] = {.lex_state = 54, .external_lex_state = 2},
  [5743] = {.lex_state = 54, .external_lex_state = 5},
  [5744] = {.lex_state = 54, .external_lex_state = 2},
  [5745] = {.lex_state = 380, .external_lex_state = 5},
  [5746] = {.lex_state = 380, .external_lex_state = 5},
  [5747] = {.lex_state = 56, .external_lex_state = 2},
  [5748] = {.lex_state = 57, .external_lex_state = 2},
  [5749] = {.lex_state = 380, .external_lex_state = 5},
  [5750] = {.lex_state = 380, .external_lex_state = 5},
  [5751] = {.lex_state = 380, .external_lex_state = 5},
  [5752] = {.lex_state = 54, .external_lex_state = 2},
  [5753] = {.lex_state = 380, .external_lex_state = 5},
  [5754] = {.lex_state = 54, .external_lex_state = 2},
  [5755] = {.lex_state = 380, .external_lex_state = 5},
  [5756] = {.lex_state = 380, .external_lex_state = 5},
  [5757] = {.lex_state = 380, .external_lex_state = 2},
  [5758] = {.lex_state = 380, .external_lex_state = 5},
  [5759] = {.lex_state = 380, .external_lex_state = 5},
  [5760] = {.lex_state = 54, .external_lex_state = 2},
  [5761] = {.lex_state = 380, .external_lex_state = 5},
  [5762] = {.lex_state = 380, .external_lex_state = 5},
  [5763] = {.lex_state = 380, .external_lex_state = 2},
  [5764] = {.lex_state = 54, .external_lex_state = 2},
  [5765] = {.lex_state = 54, .external_lex_state = 2},
  [5766] = {.lex_state = 380, .external_lex_state = 5},
  [5767] = {.lex_state = 54, .external_lex_state = 2},
  [5768] = {.lex_state = 380, .external_lex_state = 5},
  [5769] = {.lex_state = 57, .external_lex_state = 2},
  [5770] = {.lex_state = 380, .external_lex_state = 5},
  [5771] = {.lex_state = 380, .external_lex_state = 5},
  [5772] = {.lex_state = 380, .external_lex_state = 5},
  [5773] = {.lex_state = 54, .external_lex_state = 2},
  [5774] = {.lex_state = 380, .external_lex_state = 5},
  [5775] = {.lex_state = 54, .external_lex_state = 2},
  [5776] = {.lex_state = 54, .external_lex_state = 2},
  [5777] = {.lex_state = 54, .external_lex_state = 2},
  [5778] = {.lex_state = 380, .external_lex_state = 5},
  [5779] = {.lex_state = 54, .external_lex_state = 2},
  [5780] = {.lex_state = 380, .external_lex_state = 5},
  [5781] = {.lex_state = 380, .external_lex_state = 5},
  [5782] = {.lex_state = 54, .external_lex_state = 2},
  [5783] = {.lex_state = 380, .external_lex_state = 2},
  [5784] = {.lex_state = 380, .external_lex_state = 5},
  [5785] = {.lex_state = 380, .external_lex_state = 8},
  [5786] = {.lex_state = 380, .external_lex_state = 2},
  [5787] = {.lex_state = 380, .external_lex_state = 5},
  [5788] = {.lex_state = 380, .external_lex_state = 5},
  [5789] = {.lex_state = 54, .external_lex_state = 2},
  [5790] = {.lex_state = 56, .external_lex_state = 2},
  [5791] = {.lex_state = 380, .external_lex_state = 5},
  [5792] = {.lex_state = 56, .external_lex_state = 2},
  [5793] = {.lex_state = 380, .external_lex_state = 5},
  [5794] = {.lex_state = 54, .external_lex_state = 2},
  [5795] = {.lex_state = 54, .external_lex_state = 2},
  [5796] = {.lex_state = 380, .external_lex_state = 5},
  [5797] = {.lex_state = 380, .external_lex_state = 5},
  [5798] = {.lex_state = 54, .external_lex_state = 2},
  [5799] = {.lex_state = 380, .external_lex_state = 5},
  [5800] = {.lex_state = 380, .external_lex_state = 5},
  [5801] = {.lex_state = 57, .external_lex_state = 2},
  [5802] = {.lex_state = 380, .external_lex_state = 5},
  [5803] = {.lex_state = 380, .external_lex_state = 5},
  [5804] = {.lex_state = 380, .external_lex_state = 5},
  [5805] = {.lex_state = 54, .external_lex_state = 2},
  [5806] = {.lex_state = 380, .external_lex_state = 5},
  [5807] = {.lex_state = 380, .external_lex_state = 2},
  [5808] = {.lex_state = 56, .external_lex_state = 2},
  [5809] = {.lex_state = 380, .external_lex_state = 5},
  [5810] = {.lex_state = 54, .external_lex_state = 2},
  [5811] = {.lex_state = 54, .external_lex_state = 2},
  [5812] = {.lex_state = 380, .external_lex_state = 5},
  [5813] = {.lex_state = 380, .external_lex_state = 5},
  [5814] = {.lex_state = 380, .external_lex_state = 5},
  [5815] = {.lex_state = 55, .external_lex_state = 2},
  [5816] = {.lex_state = 380, .external_lex_state = 5},
  [5817] = {.lex_state = 54, .external_lex_state = 2},
  [5818] = {.lex_state = 380, .external_lex_state = 5},
  [5819] = {.lex_state = 54, .external_lex_state = 2},
  [5820] = {.lex_state = 380, .external_lex_state = 5},
  [5821] = {.lex_state = 380, .external_lex_state = 5},
  [5822] = {.lex_state = 380, .external_lex_state = 5},
  [5823] = {.lex_state = 380, .external_lex_state = 5},
  [5824] = {.lex_state = 57, .external_lex_state = 2},
  [5825] = {.lex_state = 54, .external_lex_state = 2},
  [5826] = {.lex_state = 380, .external_lex_state = 5},
  [5827] = {.lex_state = 54, .external_lex_state = 2},
  [5828] = {.lex_state = 380, .external_lex_state = 5},
  [5829] = {.lex_state = 54, .external_lex_state = 2},
  [5830] = {.lex_state = 380, .external_lex_state = 5},
  [5831] = {.lex_state = 380, .external_lex_state = 5},
  [5832] = {.lex_state = 380, .external_lex_state = 5},
  [5833] = {.lex_state = 380, .external_lex_state = 5},
  [5834] = {.lex_state = 380, .external_lex_state = 5},
  [5835] = {.lex_state = 380, .external_lex_state = 5},
  [5836] = {.lex_state = 56, .external_lex_state = 2},
  [5837] = {.lex_state = 380, .external_lex_state = 5},
  [5838] = {.lex_state = 380, .external_lex_state = 8},
  [5839] = {.lex_state = 380, .external_lex_state = 5},
  [5840] = {.lex_state = 380, .external_lex_state = 5},
  [5841] = {.lex_state = 54, .external_lex_state = 2},
  [5842] = {.lex_state = 380, .external_lex_state = 5},
  [5843] = {.lex_state = 54, .external_lex_state = 2},
  [5844] = {.lex_state = 54, .external_lex_state = 2},
  [5845] = {.lex_state = 54, .external_lex_state = 2},
  [5846] = {.lex_state = 380, .external_lex_state = 5},
  [5847] = {.lex_state = 380, .external_lex_state = 5},
  [5848] = {.lex_state = 380, .external_lex_state = 5},
  [5849] = {.lex_state = 54, .external_lex_state = 2},
  [5850] = {.lex_state = 380, .external_lex_state = 5},
  [5851] = {.lex_state = 380, .external_lex_state = 5},
  [5852] = {.lex_state = 380, .external_lex_state = 5},
  [5853] = {.lex_state = 380, .external_lex_state = 5},
  [5854] = {.lex_state = 54, .external_lex_state = 2},
  [5855] = {.lex_state = 380, .external_lex_state = 5},
  [5856] = {.lex_state = 380, .external_lex_state = 5},
  [5857] = {.lex_state = 21, .external_lex_state = 5},
  [5858] = {.lex_state = 54, .external_lex_state = 2},
  [5859] = {.lex_state = 54, .external_lex_state = 2},
  [5860] = {.lex_state = 380, .external_lex_state = 5},
  [5861] = {.lex_state = 380, .external_lex_state = 5},
  [5862] = {.lex_state = 54, .external_lex_state = 2},
  [5863] = {.lex_state = 54, .external_lex_state = 2},
  [5864] = {.lex_state = 56, .external_lex_state = 2},
  [5865] = {.lex_state = 380, .external_lex_state = 5},
  [5866] = {.lex_state = 54, .external_lex_state = 2},
  [5867] = {.lex_state = 54, .external_lex_state = 2},
  [5868] = {.lex_state = 380, .external_lex_state = 5},
  [5869] = {.lex_state = 54, .external_lex_state = 2},
  [5870] = {.lex_state = 380, .external_lex_state = 8},
  [5871] = {.lex_state = 54, .external_lex_state = 2},
  [5872] = {.lex_state = 54, .external_lex_state = 2},
  [5873] = {.lex_state = 380, .external_lex_state = 5},
  [5874] = {.lex_state = 380, .external_lex_state = 5},
  [5875] = {.lex_state = 54, .external_lex_state = 2},
  [5876] = {.lex_state = 54, .external_lex_state = 2},
  [5877] = {.lex_state = 380, .external_lex_state = 5},
  [5878] = {.lex_state = 380, .external_lex_state = 8},
  [5879] = {.lex_state = 380, .external_lex_state = 2},
  [5880] = {.lex_state = 380, .external_lex_state = 5},
  [5881] = {.lex_state = 54, .external_lex_state = 2},
  [5882] = {.lex_state = 54, .external_lex_state = 2},
  [5883] = {.lex_state = 54, .external_lex_state = 2},
  [5884] = {.lex_state = 380, .external_lex_state = 5},
  [5885] = {.lex_state = 380, .external_lex_state = 5},
  [5886] = {.lex_state = 380, .external_lex_state = 2},
  [5887] = {.lex_state = 380, .external_lex_state = 5},
  [5888] = {.lex_state = 54, .external_lex_state = 2},
  [5889] = {.lex_state = 380, .external_lex_state = 5},
  [5890] = {.lex_state = 54, .external_lex_state = 2},
  [5891] = {.lex_state = 380, .external_lex_state = 8},
  [5892] = {.lex_state = 54, .external_lex_state = 2},
  [5893] = {.lex_state = 380, .external_lex_state = 5},
  [5894] = {.lex_state = 380, .external_lex_state = 2},
  [5895] = {.lex_state = 54, .external_lex_state = 2},
  [5896] = {.lex_state = 380, .external_lex_state = 5},
  [5897] = {.lex_state = 380, .external_lex_state = 5},
  [5898] = {.lex_state = 380, .external_lex_state = 5},
  [5899] = {.lex_state = 380, .external_lex_state = 5},
  [5900] = {.lex_state = 54, .external_lex_state = 2},
  [5901] = {.lex_state = 380, .external_lex_state = 5},
  [5902] = {.lex_state = 54, .external_lex_state = 2},
  [5903] = {.lex_state = 380, .external_lex_state = 2},
  [5904] = {.lex_state = 380, .external_lex_state = 5},
  [5905] = {.lex_state = 380, .external_lex_state = 5},
  [5906] = {.lex_state = 380, .external_lex_state = 5},
  [5907] = {.lex_state = 54, .external_lex_state = 2},
  [5908] = {.lex_state = 380, .external_lex_state = 5},
  [5909] = {.lex_state = 380, .external_lex_state = 5},
  [5910] = {.lex_state = 380, .external_lex_state = 5},
  [5911] = {.lex_state = 380, .external_lex_state = 5},
  [5912] = {.lex_state = 380, .external_lex_state = 5},
  [5913] = {.lex_state = 54, .external_lex_state = 2},
  [5914] = {.lex_state = 380, .external_lex_state = 5},
  [5915] = {.lex_state = 380, .external_lex_state = 5},
  [5916] = {.lex_state = 380, .external_lex_state = 5},
  [5917] = {.lex_state = 380, .external_lex_state = 2},
  [5918] = {.lex_state = 380, .external_lex_state = 5},
  [5919] = {.lex_state = 380, .external_lex_state = 5},
  [5920] = {.lex_state = 380, .external_lex_state = 5},
  [5921] = {.lex_state = 380, .external_lex_state = 5},
  [5922] = {.lex_state = 380, .external_lex_state = 5},
  [5923] = {.lex_state = 54, .external_lex_state = 2},
  [5924] = {.lex_state = 380, .external_lex_state = 5},
  [5925] = {.lex_state = 54, .external_lex_state = 2},
  [5926] = {.lex_state = 380, .external_lex_state = 2},
  [5927] = {.lex_state = 54, .external_lex_state = 2},
  [5928] = {.lex_state = 54, .external_lex_state = 2},
  [5929] = {.lex_state = 380, .external_lex_state = 5},
  [5930] = {.lex_state = 54, .external_lex_state = 2},
  [5931] = {.lex_state = 380, .external_lex_state = 5},
  [5932] = {.lex_state = 380, .external_lex_state = 5},
  [5933] = {.lex_state = 54, .external_lex_state = 5},
  [5934] = {.lex_state = 380, .external_lex_state = 5},
  [5935] = {.lex_state = 380, .external_lex_state = 5},
  [5936] = {.lex_state = 380, .external_lex_state = 5},
  [5937] = {.lex_state = 380, .external_lex_state = 5},
  [5938] = {.lex_state = 380, .external_lex_state = 5},
  [5939] = {.lex_state = 380, .external_lex_state = 5},
  [5940] = {.lex_state = 380, .external_lex_state = 5},
  [5941] = {.lex_state = 380, .external_lex_state = 8},
  [5942] = {.lex_state = 380, .external_lex_state = 5},
  [5943] = {.lex_state = 380, .external_lex_state = 2},
  [5944] = {.lex_state = 380, .external_lex_state = 2},
  [5945] = {.lex_state = 380, .external_lex_state = 5},
  [5946] = {.lex_state = 380, .external_lex_state = 5},
  [5947] = {.lex_state = 380, .external_lex_state = 5},
  [5948] = {.lex_state = 380, .external_lex_state = 5},
  [5949] = {.lex_state = 380, .external_lex_state = 5},
  [5950] = {.lex_state = 380, .external_lex_state = 5},
  [5951] = {.lex_state = 380, .external_lex_state = 6},
  [5952] = {.lex_state = 380, .external_lex_state = 5},
  [5953] = {.lex_state = 54, .external_lex_state = 5},
  [5954] = {.lex_state = 71, .external_lex_state = 2},
  [5955] = {.lex_state = 380, .external_lex_state = 6},
  [5956] = {.lex_state = 21, .external_lex_state = 5},
  [5957] = {.lex_state = 380, .external_lex_state = 5},
  [5958] = {.lex_state = 380, .external_lex_state = 5},
  [5959] = {.lex_state = 380, .external_lex_state = 5},
  [5960] = {.lex_state = 380, .external_lex_state = 6},
  [5961] = {.lex_state = 380, .external_lex_state = 2},
  [5962] = {.lex_state = 380, .external_lex_state = 5},
  [5963] = {.lex_state = 71, .external_lex_state = 2},
  [5964] = {.lex_state = 380, .external_lex_state = 5},
  [5965] = {.lex_state = 380, .external_lex_state = 5},
  [5966] = {.lex_state = 380, .external_lex_state = 5},
  [5967] = {.lex_state = 380, .external_lex_state = 2},
  [5968] = {.lex_state = 380, .external_lex_state = 5},
  [5969] = {.lex_state = 380, .external_lex_state = 2},
  [5970] = {.lex_state = 54, .external_lex_state = 2},
  [5971] = {.lex_state = 380, .external_lex_state = 6},
  [5972] = {.lex_state = 380, .external_lex_state = 5},
  [5973] = {.lex_state = 54, .external_lex_state = 5},
  [5974] = {.lex_state = 380, .external_lex_state = 5},
  [5975] = {.lex_state = 380, .external_lex_state = 5},
  [5976] = {.lex_state = 380, .external_lex_state = 5},
  [5977] = {.lex_state = 54, .external_lex_state = 2},
  [5978] = {.lex_state = 380, .external_lex_state = 5},
  [5979] = {.lex_state = 380, .external_lex_state = 5},
  [5980] = {.lex_state = 380, .external_lex_state = 5},
  [5981] = {.lex_state = 380, .external_lex_state = 2},
  [5982] = {.lex_state = 54, .external_lex_state = 2},
  [5983] = {.lex_state = 380, .external_lex_state = 6},
  [5984] = {.lex_state = 380, .external_lex_state = 5},
  [5985] = {.lex_state = 380, .external_lex_state = 2},
  [5986] = {.lex_state = 380, .external_lex_state = 2},
  [5987] = {.lex_state = 54, .external_lex_state = 2},
  [5988] = {.lex_state = 380, .external_lex_state = 5},
  [5989] = {.lex_state = 380, .external_lex_state = 5},
  [5990] = {.lex_state = 54, .external_lex_state = 2},
  [5991] = {.lex_state = 380, .external_lex_state = 5},
  [5992] = {.lex_state = 380, .external_lex_state = 5},
  [5993] = {.lex_state = 380, .external_lex_state = 5},
  [5994] = {.lex_state = 54, .external_lex_state = 2},
  [5995] = {.lex_state = 54, .external_lex_state = 2},
  [5996] = {.lex_state = 380, .external_lex_state = 6},
  [5997] = {.lex_state = 380, .external_lex_state = 5},
  [5998] = {.lex_state = 54, .external_lex_state = 5},
  [5999] = {.lex_state = 380, .external_lex_state = 5},
  [6000] = {.lex_state = 380, .external_lex_state = 2},
  [6001] = {.lex_state = 380, .external_lex_state = 2},
  [6002] = {.lex_state = 54, .external_lex_state = 5},
  [6003] = {.lex_state = 380, .external_lex_state = 6},
  [6004] = {.lex_state = 54, .external_lex_state = 2},
  [6005] = {.lex_state = 380, .external_lex_state = 5},
  [6006] = {.lex_state = 380, .external_lex_state = 5},
  [6007] = {.lex_state = 54, .external_lex_state = 2},
  [6008] = {.lex_state = 54, .external_lex_state = 5},
  [6009] = {.lex_state = 54, .external_lex_state = 2},
  [6010] = {.lex_state = 380, .external_lex_state = 5},
  [6011] = {.lex_state = 380, .external_lex_state = 5},
  [6012] = {.lex_state = 380, .external_lex_state = 5},
  [6013] = {.lex_state = 54, .external_lex_state = 5},
  [6014] = {.lex_state = 71, .external_lex_state = 2},
  [6015] = {.lex_state = 380, .external_lex_state = 5},
  [6016] = {.lex_state = 380, .external_lex_state = 5},
  [6017] = {.lex_state = 380, .external_lex_state = 6},
  [6018] = {.lex_state = 380, .external_lex_state = 5},
  [6019] = {.lex_state = 380, .external_lex_state = 5},
  [6020] = {.lex_state = 380, .external_lex_state = 5},
  [6021] = {.lex_state = 380, .external_lex_state = 5},
  [6022] = {.lex_state = 54, .external_lex_state = 2},
  [6023] = {.lex_state = 380, .external_lex_state = 5},
  [6024] = {.lex_state = 380, .external_lex_state = 6},
  [6025] = {.lex_state = 380, .external_lex_state = 5},
  [6026] = {.lex_state = 380, .external_lex_state = 5},
  [6027] = {.lex_state = 380, .external_lex_state = 5},
  [6028] = {.lex_state = 380, .external_lex_state = 5},
  [6029] = {.lex_state = 380, .external_lex_state = 5},
  [6030] = {.lex_state = 380, .external_lex_state = 2},
  [6031] = {.lex_state = 380, .external_lex_state = 5},
  [6032] = {.lex_state = 380, .external_lex_state = 5},
  [6033] = {.lex_state = 380, .external_lex_state = 5},
  [6034] = {.lex_state = 380, .external_lex_state = 5},
  [6035] = {.lex_state = 380, .external_lex_state = 5},
  [6036] = {.lex_state = 54, .external_lex_state = 2},
  [6037] = {.lex_state = 380, .external_lex_state = 5},
  [6038] = {.lex_state = 380, .external_lex_state = 6},
  [6039] = {.lex_state = 380, .external_lex_state = 5},
  [6040] = {.lex_state = 380, .external_lex_state = 5},
  [6041] = {.lex_state = 380, .external_lex_state = 5},
  [6042] = {.lex_state = 380, .external_lex_state = 5},
  [6043] = {.lex_state = 380, .external_lex_state = 2},
  [6044] = {.lex_state = 380, .external_lex_state = 5},
  [6045] = {.lex_state = 380, .external_lex_state = 2},
  [6046] = {.lex_state = 380, .external_lex_state = 8},
  [6047] = {.lex_state = 54, .external_lex_state = 5},
  [6048] = {.lex_state = 380, .external_lex_state = 5},
  [6049] = {.lex_state = 54, .external_lex_state = 2},
  [6050] = {.lex_state = 380, .external_lex_state = 2},
  [6051] = {.lex_state = 54, .external_lex_state = 5},
  [6052] = {.lex_state = 380, .external_lex_state = 6},
  [6053] = {.lex_state = 54, .external_lex_state = 2},
  [6054] = {.lex_state = 54, .external_lex_state = 2},
  [6055] = {.lex_state = 380, .external_lex_state = 2},
  [6056] = {.lex_state = 380, .external_lex_state = 6},
  [6057] = {.lex_state = 54, .external_lex_state = 5},
  [6058] = {.lex_state = 380, .external_lex_state = 6},
  [6059] = {.lex_state = 54, .external_lex_state = 2},
  [6060] = {.lex_state = 54, .external_lex_state = 2},
  [6061] = {.lex_state = 71, .external_lex_state = 2},
  [6062] = {.lex_state = 380, .external_lex_state = 6},
  [6063] = {.lex_state = 54, .external_lex_state = 2},
  [6064] = {.lex_state = 380, .external_lex_state = 5},
  [6065] = {.lex_state = 380, .external_lex_state = 2},
  [6066] = {.lex_state = 54, .external_lex_state = 2},
  [6067] = {.lex_state = 54, .external_lex_state = 2},
  [6068] = {.lex_state = 380, .external_lex_state = 5},
  [6069] = {.lex_state = 380, .external_lex_state = 5},
  [6070] = {.lex_state = 71, .external_lex_state = 2},
  [6071] = {.lex_state = 380, .external_lex_state = 6},
  [6072] = {.lex_state = 54, .external_lex_state = 2},
  [6073] = {.lex_state = 380, .external_lex_state = 5},
  [6074] = {.lex_state = 54, .external_lex_state = 5},
  [6075] = {.lex_state = 54, .external_lex_state = 2},
  [6076] = {.lex_state = 380, .external_lex_state = 5},
  [6077] = {.lex_state = 380, .external_lex_state = 5},
  [6078] = {.lex_state = 54, .external_lex_state = 2},
  [6079] = {.lex_state = 380, .external_lex_state = 5},
  [6080] = {.lex_state = 380, .external_lex_state = 6},
  [6081] = {.lex_state = 380, .external_lex_state = 5},
  [6082] = {.lex_state = 380, .external_lex_state = 2},
  [6083] = {.lex_state = 380, .external_lex_state = 5},
  [6084] = {.lex_state = 54, .external_lex_state = 2},
  [6085] = {.lex_state = 54, .external_lex_state = 2},
  [6086] = {.lex_state = 54, .external_lex_state = 5},
  [6087] = {.lex_state = 54, .external_lex_state = 5},
  [6088] = {.lex_state = 380, .external_lex_state = 6},
  [6089] = {.lex_state = 380, .external_lex_state = 5},
  [6090] = {.lex_state = 54, .external_lex_state = 2},
  [6091] = {.lex_state = 54, .external_lex_state = 2},
  [6092] = {.lex_state = 57, .external_lex_state = 2},
  [6093] = {.lex_state = 380, .external_lex_state = 5},
  [6094] = {.lex_state = 380, .external_lex_state = 5},
  [6095] = {.lex_state = 380, .external_lex_state = 2},
  [6096] = {.lex_state = 380, .external_lex_state = 5},
  [6097] = {.lex_state = 380, .external_lex_state = 6},
  [6098] = {.lex_state = 380, .external_lex_state = 5},
  [6099] = {.lex_state = 54, .external_lex_state = 5},
  [6100] = {.lex_state = 380, .external_lex_state = 6},
  [6101] = {.lex_state = 380, .external_lex_state = 5},
  [6102] = {.lex_state = 380, .external_lex_state = 5},
  [6103] = {.lex_state = 54, .external_lex_state = 2},
  [6104] = {.lex_state = 21, .external_lex_state = 5},
  [6105] = {.lex_state = 54, .external_lex_state = 2},
  [6106] = {.lex_state = 71, .external_lex_state = 2},
  [6107] = {.lex_state = 380, .external_lex_state = 6},
  [6108] = {.lex_state = 380, .external_lex_state = 5},
  [6109] = {.lex_state = 54, .external_lex_state = 5},
  [6110] = {.lex_state = 380, .external_lex_state = 5},
  [6111] = {.lex_state = 380, .external_lex_state = 5},
  [6112] = {.lex_state = 380, .external_lex_state = 6},
  [6113] = {.lex_state = 380, .external_lex_state = 5},
  [6114] = {.lex_state = 54, .external_lex_state = 2},
  [6115] = {.lex_state = 54, .external_lex_state = 2},
  [6116] = {.lex_state = 380, .external_lex_state = 5},
  [6117] = {.lex_state = 54, .external_lex_state = 2},
  [6118] = {.lex_state = 54, .external_lex_state = 2},
  [6119] = {.lex_state = 380, .external_lex_state = 6},
  [6120] = {.lex_state = 380, .external_lex_state = 5},
  [6121] = {.lex_state = 54, .external_lex_state = 2},
  [6122] = {.lex_state = 54, .external_lex_state = 2},
  [6123] = {.lex_state = 54, .external_lex_state = 2},
  [6124] = {.lex_state = 54, .external_lex_state = 5},
  [6125] = {.lex_state = 54, .external_lex_state = 2},
  [6126] = {.lex_state = 380, .external_lex_state = 5},
  [6127] = {.lex_state = 380, .external_lex_state = 5},
  [6128] = {.lex_state = 380, .external_lex_state = 5},
  [6129] = {.lex_state = 380, .external_lex_state = 5},
  [6130] = {.lex_state = 380, .external_lex_state = 2},
  [6131] = {.lex_state = 380, .external_lex_state = 5},
  [6132] = {.lex_state = 380, .external_lex_state = 5},
  [6133] = {.lex_state = 380, .external_lex_state = 5},
  [6134] = {.lex_state = 380, .external_lex_state = 5},
  [6135] = {.lex_state = 54, .external_lex_state = 2},
  [6136] = {.lex_state = 380, .external_lex_state = 5},
  [6137] = {.lex_state = 380, .external_lex_state = 5},
  [6138] = {.lex_state = 380, .external_lex_state = 5},
  [6139] = {.lex_state = 54, .external_lex_state = 2},
  [6140] = {.lex_state = 380, .external_lex_state = 5},
  [6141] = {.lex_state = 380, .external_lex_state = 5},
  [6142] = {.lex_state = 54, .external_lex_state = 2},
  [6143] = {.lex_state = 380, .external_lex_state = 5},
  [6144] = {.lex_state = 54, .external_lex_state = 2},
  [6145] = {.lex_state = 380, .external_lex_state = 5},
  [6146] = {.lex_state = 54, .external_lex_state = 2},
  [6147] = {.lex_state = 54, .external_lex_state = 2},
  [6148] = {.lex_state = 54, .external_lex_state = 2},
  [6149] = {.lex_state = 380, .external_lex_state = 5},
  [6150] = {.lex_state = 54, .external_lex_state = 2},
  [6151] = {.lex_state = 54, .external_lex_state = 2},
  [6152] = {.lex_state = 380, .external_lex_state = 5},
  [6153] = {.lex_state = 54, .external_lex_state = 2},
  [6154] = {.lex_state = 380, .external_lex_state = 5},
  [6155] = {.lex_state = 380, .external_lex_state = 5},
  [6156] = {.lex_state = 54, .external_lex_state = 2},
  [6157] = {.lex_state = 380, .external_lex_state = 5},
  [6158] = {.lex_state = 380, .external_lex_state = 5},
  [6159] = {.lex_state = 380, .external_lex_state = 5},
  [6160] = {.lex_state = 380, .external_lex_state = 5},
  [6161] = {.lex_state = 380, .external_lex_state = 5},
  [6162] = {.lex_state = 380, .external_lex_state = 5},
  [6163] = {.lex_state = 380, .external_lex_state = 5},
  [6164] = {.lex_state = 380, .external_lex_state = 5},
  [6165] = {.lex_state = 380, .external_lex_state = 5},
  [6166] = {.lex_state = 54, .external_lex_state = 2},
  [6167] = {.lex_state = 380, .external_lex_state = 5},
  [6168] = {.lex_state = 380, .external_lex_state = 5},
  [6169] = {.lex_state = 54, .external_lex_state = 2},
  [6170] = {.lex_state = 380, .external_lex_state = 2},
  [6171] = {.lex_state = 380, .external_lex_state = 5},
  [6172] = {.lex_state = 380, .external_lex_state = 5},
  [6173] = {.lex_state = 380, .external_lex_state = 5},
  [6174] = {.lex_state = 380, .external_lex_state = 8},
  [6175] = {.lex_state = 380, .external_lex_state = 8},
  [6176] = {.lex_state = 380, .external_lex_state = 5},
  [6177] = {.lex_state = 380, .external_lex_state = 8},
  [6178] = {.lex_state = 54, .external_lex_state = 2},
  [6179] = {.lex_state = 54, .external_lex_state = 2},
  [6180] = {.lex_state = 380, .external_lex_state = 5},
  [6181] = {.lex_state = 380, .external_lex_state = 2},
  [6182] = {.lex_state = 380, .external_lex_state = 5},
  [6183] = {.lex_state = 380, .external_lex_state = 5},
  [6184] = {.lex_state = 54, .external_lex_state = 2},
  [6185] = {.lex_state = 54, .external_lex_state = 5},
  [6186] = {.lex_state = 54, .external_lex_state = 5},
  [6187] = {.lex_state = 380, .external_lex_state = 5},
  [6188] = {.lex_state = 380, .external_lex_state = 6},
  [6189] = {.lex_state = 380, .external_lex_state = 5},
  [6190] = {.lex_state = 380, .external_lex_state = 5},
  [6191] = {.lex_state = 71, .external_lex_state = 2},
  [6192] = {.lex_state = 380, .external_lex_state = 5},
  [6193] = {.lex_state = 380, .external_lex_state = 2},
  [6194] = {.lex_state = 380, .external_lex_state = 5},
  [6195] = {.lex_state = 380, .external_lex_state = 5},
  [6196] = {.lex_state = 380, .external_lex_state = 6},
  [6197] = {.lex_state = 380, .external_lex_state = 5},
  [6198] = {.lex_state = 380, .external_lex_state = 5},
  [6199] = {.lex_state = 380, .external_lex_state = 5},
  [6200] = {.lex_state = 71, .external_lex_state = 2},
  [6201] = {.lex_state = 380, .external_lex_state = 5},
  [6202] = {.lex_state = 54, .external_lex_state = 5},
  [6203] = {.lex_state = 380, .external_lex_state = 5},
  [6204] = {.lex_state = 54, .external_lex_state = 2},
  [6205] = {.lex_state = 380, .external_lex_state = 6},
  [6206] = {.lex_state = 380, .external_lex_state = 5},
  [6207] = {.lex_state = 380, .external_lex_state = 5},
  [6208] = {.lex_state = 380, .external_lex_state = 5},
  [6209] = {.lex_state = 380, .external_lex_state = 5},
  [6210] = {.lex_state = 380, .external_lex_state = 5},
  [6211] = {.lex_state = 380, .external_lex_state = 5},
  [6212] = {.lex_state = 71, .external_lex_state = 2},
  [6213] = {.lex_state = 380, .external_lex_state = 5},
  [6214] = {.lex_state = 54, .external_lex_state = 2},
  [6215] = {.lex_state = 380, .external_lex_state = 5},
  [6216] = {.lex_state = 380, .external_lex_state = 5},
  [6217] = {.lex_state = 380, .external_lex_state = 5},
  [6218] = {.lex_state = 380, .external_lex_state = 5},
  [6219] = {.lex_state = 380, .external_lex_state = 5},
  [6220] = {.lex_state = 380, .external_lex_state = 5},
  [6221] = {.lex_state = 71, .external_lex_state = 2},
  [6222] = {.lex_state = 380, .external_lex_state = 5},
  [6223] = {.lex_state = 380, .external_lex_state = 6},
  [6224] = {.lex_state = 380, .external_lex_state = 5},
  [6225] = {.lex_state = 57, .external_lex_state = 2},
  [6226] = {.lex_state = 380, .external_lex_state = 5},
  [6227] = {.lex_state = 380, .external_lex_state = 2},
  [6228] = {.lex_state = 380, .external_lex_state = 5},
  [6229] = {.lex_state = 380, .external_lex_state = 5},
  [6230] = {.lex_state = 380, .external_lex_state = 5},
  [6231] = {.lex_state = 380, .external_lex_state = 6},
  [6232] = {.lex_state = 380, .external_lex_state = 5},
  [6233] = {.lex_state = 71, .external_lex_state = 2},
  [6234] = {.lex_state = 380, .external_lex_state = 6},
  [6235] = {.lex_state = 380, .external_lex_state = 6},
  [6236] = {.lex_state = 54, .external_lex_state = 2},
  [6237] = {.lex_state = 380, .external_lex_state = 5},
  [6238] = {.lex_state = 380, .external_lex_state = 2},
  [6239] = {.lex_state = 380, .external_lex_state = 5},
  [6240] = {.lex_state = 380, .external_lex_state = 2},
  [6241] = {.lex_state = 380, .external_lex_state = 5},
  [6242] = {.lex_state = 380, .external_lex_state = 6},
  [6243] = {.lex_state = 380, .external_lex_state = 2},
  [6244] = {.lex_state = 380, .external_lex_state = 5},
  [6245] = {.lex_state = 380, .external_lex_state = 6},
  [6246] = {.lex_state = 380, .external_lex_state = 5},
  [6247] = {.lex_state = 380, .external_lex_state = 5},
  [6248] = {.lex_state = 380, .external_lex_state = 5},
  [6249] = {.lex_state = 380, .external_lex_state = 2},
  [6250] = {.lex_state = 380, .external_lex_state = 5},
  [6251] = {.lex_state = 380, .external_lex_state = 5},
  [6252] = {.lex_state = 56, .external_lex_state = 5},
  [6253] = {.lex_state = 380, .external_lex_state = 5},
  [6254] = {.lex_state = 380, .external_lex_state = 5},
  [6255] = {.lex_state = 56, .external_lex_state = 5},
  [6256] = {.lex_state = 380, .external_lex_state = 5},
  [6257] = {.lex_state = 380, .external_lex_state = 5},
  [6258] = {.lex_state = 54, .external_lex_state = 2},
  [6259] = {.lex_state = 380, .external_lex_state = 5},
  [6260] = {.lex_state = 380, .external_lex_state = 5},
  [6261] = {.lex_state = 380, .external_lex_state = 5},
  [6262] = {.lex_state = 54, .external_lex_state = 2},
  [6263] = {.lex_state = 380, .external_lex_state = 5},
  [6264] = {.lex_state = 380, .external_lex_state = 5},
  [6265] = {.lex_state = 54, .external_lex_state = 2},
  [6266] = {.lex_state = 380, .external_lex_state = 5},
  [6267] = {.lex_state = 380, .external_lex_state = 5},
  [6268] = {.lex_state = 380, .external_lex_state = 5},
  [6269] = {.lex_state = 54, .external_lex_state = 2},
  [6270] = {.lex_state = 54, .external_lex_state = 2},
  [6271] = {.lex_state = 54, .external_lex_state = 2},
  [6272] = {.lex_state = 380, .external_lex_state = 5},
  [6273] = {.lex_state = 380, .external_lex_state = 5},
  [6274] = {.lex_state = 380, .external_lex_state = 5},
  [6275] = {.lex_state = 54, .external_lex_state = 2},
  [6276] = {.lex_state = 54, .external_lex_state = 2},
  [6277] = {.lex_state = 380, .external_lex_state = 5},
  [6278] = {.lex_state = 380, .external_lex_state = 5},
  [6279] = {.lex_state = 380, .external_lex_state = 5},
  [6280] = {.lex_state = 380, .external_lex_state = 5},
  [6281] = {.lex_state = 380, .external_lex_state = 5},
  [6282] = {.lex_state = 380, .external_lex_state = 6},
  [6283] = {.lex_state = 380, .external_lex_state = 6},
  [6284] = {.lex_state = 380, .external_lex_state = 2},
  [6285] = {.lex_state = 380, .external_lex_state = 5},
  [6286] = {.lex_state = 380, .external_lex_state = 5},
  [6287] = {.lex_state = 380, .external_lex_state = 5},
  [6288] = {.lex_state = 54, .external_lex_state = 5},
  [6289] = {.lex_state = 380, .external_lex_state = 5},
  [6290] = {.lex_state = 380, .external_lex_state = 5},
  [6291] = {.lex_state = 380, .external_lex_state = 5},
  [6292] = {.lex_state = 54, .external_lex_state = 5},
  [6293] = {.lex_state = 380, .external_lex_state = 5},
  [6294] = {.lex_state = 380, .external_lex_state = 6},
  [6295] = {.lex_state = 380, .external_lex_state = 8},
  [6296] = {.lex_state = 380, .external_lex_state = 5},
  [6297] = {.lex_state = 380, .external_lex_state = 5},
  [6298] = {.lex_state = 380, .external_lex_state = 5},
  [6299] = {.lex_state = 54, .external_lex_state = 5},
  [6300] = {.lex_state = 380, .external_lex_state = 5},
  [6301] = {.lex_state = 54, .external_lex_state = 2},
  [6302] = {.lex_state = 380, .external_lex_state = 5},
  [6303] = {.lex_state = 380, .external_lex_state = 2},
  [6304] = {.lex_state = 380, .external_lex_state = 2},
  [6305] = {.lex_state = 380, .external_lex_state = 5},
  [6306] = {.lex_state = 380, .external_lex_state = 6},
  [6307] = {.lex_state = 380, .external_lex_state = 5},
  [6308] = {.lex_state = 54, .external_lex_state = 5},
  [6309] = {.lex_state = 380, .external_lex_state = 2},
  [6310] = {.lex_state = 380, .external_lex_state = 6},
  [6311] = {.lex_state = 54, .external_lex_state = 2},
  [6312] = {.lex_state = 380, .external_lex_state = 2},
  [6313] = {.lex_state = 64, .external_lex_state = 9},
  [6314] = {.lex_state = 54, .external_lex_state = 2},
  [6315] = {.lex_state = 67, .external_lex_state = 9},
  [6316] = {.lex_state = 64, .external_lex_state = 9},
  [6317] = {.lex_state = 23, .external_lex_state = 2},
  [6318] = {.lex_state = 56, .external_lex_state = 2},
  [6319] = {.lex_state = 21, .external_lex_state = 5},
  [6320] = {.lex_state = 67, .external_lex_state = 9},
  [6321] = {.lex_state = 64, .external_lex_state = 9},
  [6322] = {.lex_state = 54, .external_lex_state = 2},
  [6323] = {.lex_state = 380, .external_lex_state = 2},
  [6324] = {.lex_state = 380, .external_lex_state = 2},
  [6325] = {.lex_state = 380, .external_lex_state = 5},
  [6326] = {.lex_state = 54, .external_lex_state = 2},
  [6327] = {.lex_state = 380, .external_lex_state = 5},
  [6328] = {.lex_state = 380, .external_lex_state = 2},
  [6329] = {.lex_state = 380, .external_lex_state = 5},
  [6330] = {.lex_state = 380, .external_lex_state = 2},
  [6331] = {.lex_state = 56, .external_lex_state = 2},
  [6332] = {.lex_state = 380, .external_lex_state = 5},
  [6333] = {.lex_state = 380, .external_lex_state = 2},
  [6334] = {.lex_state = 380, .external_lex_state = 5},
  [6335] = {.lex_state = 380, .external_lex_state = 5},
  [6336] = {.lex_state = 380, .external_lex_state = 5},
  [6337] = {.lex_state = 54, .external_lex_state = 2},
  [6338] = {.lex_state = 380, .external_lex_state = 5},
  [6339] = {.lex_state = 380, .external_lex_state = 5},
  [6340] = {.lex_state = 380, .external_lex_state = 5},
  [6341] = {.lex_state = 380, .external_lex_state = 5},
  [6342] = {.lex_state = 380, .external_lex_state = 5},
  [6343] = {.lex_state = 64, .external_lex_state = 9},
  [6344] = {.lex_state = 54, .external_lex_state = 2},
  [6345] = {.lex_state = 380, .external_lex_state = 5},
  [6346] = {.lex_state = 67, .external_lex_state = 9},
  [6347] = {.lex_state = 380, .external_lex_state = 5},
  [6348] = {.lex_state = 67, .external_lex_state = 9},
  [6349] = {.lex_state = 64, .external_lex_state = 9},
  [6350] = {.lex_state = 380, .external_lex_state = 2},
  [6351] = {.lex_state = 67, .external_lex_state = 9},
  [6352] = {.lex_state = 64, .external_lex_state = 9},
  [6353] = {.lex_state = 54, .external_lex_state = 2},
  [6354] = {.lex_state = 380, .external_lex_state = 2},
  [6355] = {.lex_state = 380, .external_lex_state = 5},
  [6356] = {.lex_state = 380, .external_lex_state = 6},
  [6357] = {.lex_state = 380, .external_lex_state = 5},
  [6358] = {.lex_state = 380, .external_lex_state = 5},
  [6359] = {.lex_state = 380, .external_lex_state = 5},
  [6360] = {.lex_state = 380, .external_lex_state = 5},
  [6361] = {.lex_state = 380, .external_lex_state = 5},
  [6362] = {.lex_state = 380, .external_lex_state = 5},
  [6363] = {.lex_state = 380, .external_lex_state = 5},
  [6364] = {.lex_state = 380, .external_lex_state = 5},
  [6365] = {.lex_state = 380, .external_lex_state = 5},
  [6366] = {.lex_state = 380, .external_lex_state = 5},
  [6367] = {.lex_state = 54, .external_lex_state = 2},
  [6368] = {.lex_state = 380, .external_lex_state = 2},
  [6369] = {.lex_state = 380, .external_lex_state = 2},
  [6370] = {.lex_state = 380, .external_lex_state = 5},
  [6371] = {.lex_state = 57, .external_lex_state = 2},
  [6372] = {.lex_state = 380, .external_lex_state = 5},
  [6373] = {.lex_state = 57, .external_lex_state = 2},
  [6374] = {.lex_state = 54, .external_lex_state = 2},
  [6375] = {.lex_state = 64, .external_lex_state = 9},
  [6376] = {.lex_state = 67, .external_lex_state = 9},
  [6377] = {.lex_state = 64, .external_lex_state = 9},
  [6378] = {.lex_state = 67, .external_lex_state = 9},
  [6379] = {.lex_state = 380, .external_lex_state = 2},
  [6380] = {.lex_state = 54, .external_lex_state = 2},
  [6381] = {.lex_state = 54, .external_lex_state = 2},
  [6382] = {.lex_state = 380, .external_lex_state = 5},
  [6383] = {.lex_state = 54, .external_lex_state = 2},
  [6384] = {.lex_state = 54, .external_lex_state = 2},
  [6385] = {.lex_state = 54, .external_lex_state = 2},
  [6386] = {.lex_state = 54, .external_lex_state = 2},
  [6387] = {.lex_state = 380, .external_lex_state = 5},
  [6388] = {.lex_state = 56, .external_lex_state = 2},
  [6389] = {.lex_state = 56, .external_lex_state = 2},
  [6390] = {.lex_state = 380, .external_lex_state = 2},
  [6391] = {.lex_state = 380, .external_lex_state = 5},
  [6392] = {.lex_state = 380, .external_lex_state = 5},
  [6393] = {.lex_state = 54, .external_lex_state = 2},
  [6394] = {.lex_state = 380, .external_lex_state = 5},
  [6395] = {.lex_state = 54, .external_lex_state = 2},
  [6396] = {.lex_state = 380, .external_lex_state = 5},
  [6397] = {.lex_state = 380, .external_lex_state = 5},
  [6398] = {.lex_state = 380, .external_lex_state = 5},
  [6399] = {.lex_state = 380, .external_lex_state = 5},
  [6400] = {.lex_state = 380, .external_lex_state = 5},
  [6401] = {.lex_state = 380, .external_lex_state = 5},
  [6402] = {.lex_state = 380, .external_lex_state = 5},
  [6403] = {.lex_state = 380, .external_lex_state = 5},
  [6404] = {.lex_state = 380, .external_lex_state = 5},
  [6405] = {.lex_state = 380, .external_lex_state = 5},
  [6406] = {.lex_state = 380, .external_lex_state = 5},
  [6407] = {.lex_state = 380, .external_lex_state = 5},
  [6408] = {.lex_state = 380, .external_lex_state = 5},
  [6409] = {.lex_state = 380, .external_lex_state = 5},
  [6410] = {.lex_state = 380, .external_lex_state = 5},
  [6411] = {.lex_state = 54, .external_lex_state = 2},
  [6412] = {.lex_state = 380, .external_lex_state = 5},
  [6413] = {.lex_state = 380, .external_lex_state = 5},
  [6414] = {.lex_state = 380, .external_lex_state = 5},
  [6415] = {.lex_state = 64, .external_lex_state = 9},
  [6416] = {.lex_state = 67, .external_lex_state = 9},
  [6417] = {.lex_state = 56, .external_lex_state = 2},
  [6418] = {.lex_state = 64, .external_lex_state = 9},
  [6419] = {.lex_state = 67, .external_lex_state = 9},
  [6420] = {.lex_state = 380, .external_lex_state = 5},
  [6421] = {.lex_state = 380, .external_lex_state = 5},
  [6422] = {.lex_state = 380, .external_lex_state = 5},
  [6423] = {.lex_state = 380, .external_lex_state = 5},
  [6424] = {.lex_state = 380, .external_lex_state = 5},
  [6425] = {.lex_state = 380, .external_lex_state = 5},
  [6426] = {.lex_state = 67, .external_lex_state = 9},
  [6427] = {.lex_state = 380, .external_lex_state = 5},
  [6428] = {.lex_state = 54, .external_lex_state = 2},
  [6429] = {.lex_state = 64, .external_lex_state = 9},
  [6430] = {.lex_state = 380, .external_lex_state = 5},
  [6431] = {.lex_state = 64, .external_lex_state = 9},
  [6432] = {.lex_state = 83, .external_lex_state = 2},
  [6433] = {.lex_state = 64, .external_lex_state = 9},
  [6434] = {.lex_state = 380, .external_lex_state = 2},
  [6435] = {.lex_state = 67, .external_lex_state = 9},
  [6436] = {.lex_state = 64, .external_lex_state = 9},
  [6437] = {.lex_state = 67, .external_lex_state = 9},
  [6438] = {.lex_state = 380, .external_lex_state = 5},
  [6439] = {.lex_state = 380, .external_lex_state = 5},
  [6440] = {.lex_state = 380, .external_lex_state = 5},
  [6441] = {.lex_state = 380, .external_lex_state = 2},
  [6442] = {.lex_state = 380, .external_lex_state = 5},
  [6443] = {.lex_state = 67, .external_lex_state = 9},
  [6444] = {.lex_state = 64, .external_lex_state = 9},
  [6445] = {.lex_state = 67, .external_lex_state = 9},
  [6446] = {.lex_state = 67, .external_lex_state = 9},
  [6447] = {.lex_state = 64, .external_lex_state = 9},
  [6448] = {.lex_state = 380, .external_lex_state = 5},
  [6449] = {.lex_state = 54, .external_lex_state = 2},
  [6450] = {.lex_state = 54, .external_lex_state = 2},
  [6451] = {.lex_state = 54, .external_lex_state = 2},
  [6452] = {.lex_state = 380, .external_lex_state = 5},
  [6453] = {.lex_state = 380, .external_lex_state = 5},
  [6454] = {.lex_state = 23, .external_lex_state = 2},
  [6455] = {.lex_state = 64, .external_lex_state = 9},
  [6456] = {.lex_state = 64, .external_lex_state = 9},
  [6457] = {.lex_state = 67, .external_lex_state = 9},
  [6458] = {.lex_state = 64, .external_lex_state = 9},
  [6459] = {.lex_state = 67, .external_lex_state = 9},
  [6460] = {.lex_state = 380, .external_lex_state = 5},
  [6461] = {.lex_state = 67, .external_lex_state = 9},
  [6462] = {.lex_state = 380, .external_lex_state = 5},
  [6463] = {.lex_state = 83, .external_lex_state = 2},
  [6464] = {.lex_state = 54, .external_lex_state = 2},
  [6465] = {.lex_state = 54, .external_lex_state = 2},
  [6466] = {.lex_state = 380, .external_lex_state = 5},
  [6467] = {.lex_state = 54, .external_lex_state = 2},
  [6468] = {.lex_state = 380, .external_lex_state = 5},
  [6469] = {.lex_state = 380, .external_lex_state = 5},
  [6470] = {.lex_state = 64, .external_lex_state = 9},
  [6471] = {.lex_state = 380, .external_lex_state = 5},
  [6472] = {.lex_state = 67, .external_lex_state = 9},
  [6473] = {.lex_state = 64, .external_lex_state = 9},
  [6474] = {.lex_state = 67, .external_lex_state = 9},
  [6475] = {.lex_state = 64, .external_lex_state = 9},
  [6476] = {.lex_state = 67, .external_lex_state = 9},
  [6477] = {.lex_state = 64, .external_lex_state = 9},
  [6478] = {.lex_state = 67, .external_lex_state = 9},
  [6479] = {.lex_state = 57, .external_lex_state = 2},
  [6480] = {.lex_state = 380, .external_lex_state = 5},
  [6481] = {.lex_state = 23, .external_lex_state = 2},
  [6482] = {.lex_state = 64, .external_lex_state = 9},
  [6483] = {.lex_state = 67, .external_lex_state = 9},
  [6484] = {.lex_state = 64, .external_lex_state = 9},
  [6485] = {.lex_state = 54, .external_lex_state = 2},
  [6486] = {.lex_state = 67, .external_lex_state = 9},
  [6487] = {.lex_state = 23, .external_lex_state = 2},
  [6488] = {.lex_state = 380, .external_lex_state = 5},
  [6489] = {.lex_state = 64, .external_lex_state = 9},
  [6490] = {.lex_state = 67, .external_lex_state = 9},
  [6491] = {.lex_state = 64, .external_lex_state = 9},
  [6492] = {.lex_state = 54, .external_lex_state = 2},
  [6493] = {.lex_state = 67, .external_lex_state = 9},
  [6494] = {.lex_state = 64, .external_lex_state = 9},
  [6495] = {.lex_state = 67, .external_lex_state = 9},
  [6496] = {.lex_state = 380, .external_lex_state = 7},
  [6497] = {.lex_state = 54, .external_lex_state = 2},
  [6498] = {.lex_state = 67, .external_lex_state = 9},
  [6499] = {.lex_state = 380, .external_lex_state = 5},
  [6500] = {.lex_state = 64, .external_lex_state = 9},
  [6501] = {.lex_state = 380, .external_lex_state = 5},
  [6502] = {.lex_state = 380, .external_lex_state = 5},
  [6503] = {.lex_state = 380, .external_lex_state = 5},
  [6504] = {.lex_state = 380, .external_lex_state = 5},
  [6505] = {.lex_state = 54, .external_lex_state = 2},
  [6506] = {.lex_state = 380, .external_lex_state = 5},
  [6507] = {.lex_state = 54, .external_lex_state = 2},
  [6508] = {.lex_state = 380, .external_lex_state = 5},
  [6509] = {.lex_state = 380, .external_lex_state = 5},
  [6510] = {.lex_state = 380, .external_lex_state = 5},
  [6511] = {.lex_state = 67, .external_lex_state = 9},
  [6512] = {.lex_state = 380, .external_lex_state = 5},
  [6513] = {.lex_state = 64, .external_lex_state = 9},
  [6514] = {.lex_state = 67, .external_lex_state = 9},
  [6515] = {.lex_state = 54, .external_lex_state = 2},
  [6516] = {.lex_state = 380, .external_lex_state = 2},
  [6517] = {.lex_state = 380, .external_lex_state = 5},
  [6518] = {.lex_state = 54, .external_lex_state = 2},
  [6519] = {.lex_state = 23, .external_lex_state = 2},
  [6520] = {.lex_state = 64, .external_lex_state = 9},
  [6521] = {.lex_state = 54, .external_lex_state = 2},
  [6522] = {.lex_state = 67, .external_lex_state = 9},
  [6523] = {.lex_state = 64, .external_lex_state = 9},
  [6524] = {.lex_state = 54, .external_lex_state = 2},
  [6525] = {.lex_state = 67, .external_lex_state = 9},
  [6526] = {.lex_state = 380, .external_lex_state = 5},
  [6527] = {.lex_state = 380, .external_lex_state = 5},
  [6528] = {.lex_state = 380, .external_lex_state = 2},
  [6529] = {.lex_state = 380, .external_lex_state = 5},
  [6530] = {.lex_state = 380, .external_lex_state = 2},
  [6531] = {.lex_state = 1, .external_lex_state = 2},
  [6532] = {.lex_state = 54, .external_lex_state = 2},
  [6533] = {.lex_state = 380, .external_lex_state = 2},
  [6534] = {.lex_state = 54, .external_lex_state = 2},
  [6535] = {.lex_state = 380, .external_lex_state = 5},
  [6536] = {.lex_state = 380, .external_lex_state = 5},
  [6537] = {.lex_state = 1, .external_lex_state = 2},
  [6538] = {.lex_state = 380, .external_lex_state = 5},
  [6539] = {.lex_state = 380, .external_lex_state = 5},
  [6540] = {.lex_state = 380, .external_lex_state = 5},
  [6541] = {.lex_state = 380, .external_lex_state = 5},
  [6542] = {.lex_state = 380, .external_lex_state = 5},
  [6543] = {.lex_state = 83, .external_lex_state = 2},
  [6544] = {.lex_state = 64, .external_lex_state = 9},
  [6545] = {.lex_state = 380, .external_lex_state = 2},
  [6546] = {.lex_state = 67, .external_lex_state = 9},
  [6547] = {.lex_state = 380, .external_lex_state = 2},
  [6548] = {.lex_state = 54, .external_lex_state = 2},
  [6549] = {.lex_state = 54, .external_lex_state = 2},
  [6550] = {.lex_state = 380, .external_lex_state = 7},
  [6551] = {.lex_state = 56, .external_lex_state = 2},
  [6552] = {.lex_state = 54, .external_lex_state = 2},
  [6553] = {.lex_state = 54, .external_lex_state = 2},
  [6554] = {.lex_state = 54, .external_lex_state = 2},
  [6555] = {.lex_state = 54, .external_lex_state = 2},
  [6556] = {.lex_state = 380, .external_lex_state = 2},
  [6557] = {.lex_state = 380, .external_lex_state = 2},
  [6558] = {.lex_state = 56, .external_lex_state = 2},
  [6559] = {.lex_state = 380, .external_lex_state = 5},
  [6560] = {.lex_state = 380, .external_lex_state = 2},
  [6561] = {.lex_state = 54, .external_lex_state = 2},
  [6562] = {.lex_state = 380, .external_lex_state = 5},
  [6563] = {.lex_state = 380, .external_lex_state = 5},
  [6564] = {.lex_state = 380, .external_lex_state = 5},
  [6565] = {.lex_state = 380, .external_lex_state = 5},
  [6566] = {.lex_state = 21, .external_lex_state = 2},
  [6567] = {.lex_state = 57, .external_lex_state = 2},
  [6568] = {.lex_state = 54, .external_lex_state = 2},
  [6569] = {.lex_state = 54, .external_lex_state = 2},
  [6570] = {.lex_state = 57, .external_lex_state = 2},
  [6571] = {.lex_state = 54, .external_lex_state = 2},
  [6572] = {.lex_state = 380, .external_lex_state = 5},
  [6573] = {.lex_state = 380, .external_lex_state = 2},
  [6574] = {.lex_state = 1, .external_lex_state = 2},
  [6575] = {.lex_state = 380, .external_lex_state = 2},
  [6576] = {.lex_state = 54, .external_lex_state = 2},
  [6577] = {.lex_state = 380, .external_lex_state = 5},
  [6578] = {.lex_state = 56, .external_lex_state = 2},
  [6579] = {.lex_state = 54, .external_lex_state = 2},
  [6580] = {.lex_state = 64, .external_lex_state = 9},
  [6581] = {.lex_state = 380, .external_lex_state = 5},
  [6582] = {.lex_state = 83, .external_lex_state = 2},
  [6583] = {.lex_state = 67, .external_lex_state = 9},
  [6584] = {.lex_state = 380, .external_lex_state = 5},
  [6585] = {.lex_state = 380, .external_lex_state = 7},
  [6586] = {.lex_state = 380, .external_lex_state = 5},
  [6587] = {.lex_state = 380, .external_lex_state = 2},
  [6588] = {.lex_state = 380, .external_lex_state = 2},
  [6589] = {.lex_state = 380, .external_lex_state = 2},
  [6590] = {.lex_state = 1, .external_lex_state = 2},
  [6591] = {.lex_state = 54, .external_lex_state = 2},
  [6592] = {.lex_state = 54, .external_lex_state = 2},
  [6593] = {.lex_state = 64, .external_lex_state = 9},
  [6594] = {.lex_state = 67, .external_lex_state = 9},
  [6595] = {.lex_state = 92, .external_lex_state = 2},
  [6596] = {.lex_state = 380, .external_lex_state = 5},
  [6597] = {.lex_state = 380, .external_lex_state = 2},
  [6598] = {.lex_state = 380, .external_lex_state = 5},
  [6599] = {.lex_state = 380, .external_lex_state = 2},
  [6600] = {.lex_state = 380, .external_lex_state = 2},
  [6601] = {.lex_state = 380, .external_lex_state = 2},
  [6602] = {.lex_state = 380, .external_lex_state = 5},
  [6603] = {.lex_state = 380, .external_lex_state = 5},
  [6604] = {.lex_state = 380, .external_lex_state = 5},
  [6605] = {.lex_state = 380, .external_lex_state = 5},
  [6606] = {.lex_state = 380, .external_lex_state = 5},
  [6607] = {.lex_state = 380, .external_lex_state = 5},
  [6608] = {.lex_state = 380, .external_lex_state = 5},
  [6609] = {.lex_state = 380, .external_lex_state = 2},
  [6610] = {.lex_state = 380, .external_lex_state = 5},
  [6611] = {.lex_state = 380, .external_lex_state = 5},
  [6612] = {.lex_state = 380, .external_lex_state = 5},
  [6613] = {.lex_state = 380, .external_lex_state = 5},
  [6614] = {.lex_state = 380, .external_lex_state = 5},
  [6615] = {.lex_state = 380, .external_lex_state = 2},
  [6616] = {.lex_state = 380, .external_lex_state = 5},
  [6617] = {.lex_state = 380, .external_lex_state = 5},
  [6618] = {.lex_state = 380, .external_lex_state = 5},
  [6619] = {.lex_state = 380, .external_lex_state = 5},
  [6620] = {.lex_state = 380, .external_lex_state = 5},
  [6621] = {.lex_state = 380, .external_lex_state = 5},
  [6622] = {.lex_state = 380, .external_lex_state = 5},
  [6623] = {.lex_state = 380, .external_lex_state = 2},
  [6624] = {.lex_state = 380, .external_lex_state = 5},
  [6625] = {.lex_state = 380, .external_lex_state = 5},
  [6626] = {.lex_state = 380, .external_lex_state = 5},
  [6627] = {.lex_state = 380, .external_lex_state = 5},
  [6628] = {.lex_state = 54, .external_lex_state = 2},
  [6629] = {.lex_state = 54, .external_lex_state = 2},
  [6630] = {.lex_state = 380, .external_lex_state = 2},
  [6631] = {.lex_state = 380, .external_lex_state = 5},
  [6632] = {.lex_state = 57, .external_lex_state = 5},
  [6633] = {.lex_state = 57, .external_lex_state = 5},
  [6634] = {.lex_state = 380, .external_lex_state = 5},
  [6635] = {.lex_state = 380, .external_lex_state = 5},
  [6636] = {.lex_state = 380, .external_lex_state = 2},
  [6637] = {.lex_state = 54, .external_lex_state = 2},
  [6638] = {.lex_state = 57, .external_lex_state = 2},
  [6639] = {.lex_state = 380, .external_lex_state = 5},
  [6640] = {.lex_state = 380, .external_lex_state = 5},
  [6641] = {.lex_state = 380, .external_lex_state = 5},
  [6642] = {.lex_state = 380, .external_lex_state = 2},
  [6643] = {.lex_state = 380, .external_lex_state = 5},
  [6644] = {.lex_state = 380, .external_lex_state = 5},
  [6645] = {.lex_state = 380, .external_lex_state = 5},
  [6646] = {.lex_state = 380, .external_lex_state = 5},
  [6647] = {.lex_state = 380, .external_lex_state = 2},
  [6648] = {.lex_state = 380, .external_lex_state = 5},
  [6649] = {.lex_state = 54, .external_lex_state = 2},
  [6650] = {.lex_state = 380, .external_lex_state = 5},
  [6651] = {.lex_state = 380, .external_lex_state = 2},
  [6652] = {.lex_state = 380, .external_lex_state = 5},
  [6653] = {.lex_state = 380, .external_lex_state = 5},
  [6654] = {.lex_state = 380, .external_lex_state = 8},
  [6655] = {.lex_state = 380, .external_lex_state = 5},
  [6656] = {.lex_state = 380, .external_lex_state = 2},
  [6657] = {.lex_state = 380, .external_lex_state = 5},
  [6658] = {.lex_state = 54, .external_lex_state = 2},
  [6659] = {.lex_state = 380, .external_lex_state = 2},
  [6660] = {.lex_state = 21, .external_lex_state = 2},
  [6661] = {.lex_state = 380, .external_lex_state = 2},
  [6662] = {.lex_state = 83, .external_lex_state = 2},
  [6663] = {.lex_state = 380, .external_lex_state = 5},
  [6664] = {.lex_state = 380, .external_lex_state = 2},
  [6665] = {.lex_state = 380, .external_lex_state = 2},
  [6666] = {.lex_state = 380, .external_lex_state = 5},
  [6667] = {.lex_state = 380, .external_lex_state = 5},
  [6668] = {.lex_state = 380, .external_lex_state = 5},
  [6669] = {.lex_state = 380, .external_lex_state = 2},
  [6670] = {.lex_state = 54, .external_lex_state = 2},
  [6671] = {.lex_state = 380, .external_lex_state = 2},
  [6672] = {.lex_state = 380, .external_lex_state = 5},
  [6673] = {.lex_state = 380, .external_lex_state = 5},
  [6674] = {.lex_state = 380, .external_lex_state = 2},
  [6675] = {.lex_state = 380, .external_lex_state = 5},
  [6676] = {.lex_state = 380, .external_lex_state = 5},
  [6677] = {.lex_state = 380, .external_lex_state = 5},
  [6678] = {.lex_state = 380, .external_lex_state = 5},
  [6679] = {.lex_state = 380, .external_lex_state = 5},
  [6680] = {.lex_state = 380, .external_lex_state = 2},
  [6681] = {.lex_state = 380, .external_lex_state = 5},
  [6682] = {.lex_state = 54, .external_lex_state = 2},
  [6683] = {.lex_state = 380, .external_lex_state = 5},
  [6684] = {.lex_state = 380, .external_lex_state = 2},
  [6685] = {.lex_state = 380, .external_lex_state = 5},
  [6686] = {.lex_state = 380, .external_lex_state = 2},
  [6687] = {.lex_state = 380, .external_lex_state = 2},
  [6688] = {.lex_state = 380, .external_lex_state = 5},
  [6689] = {.lex_state = 380, .external_lex_state = 2},
  [6690] = {.lex_state = 380, .external_lex_state = 5},
  [6691] = {.lex_state = 380, .external_lex_state = 5},
  [6692] = {.lex_state = 380, .external_lex_state = 5},
  [6693] = {.lex_state = 380, .external_lex_state = 5},
  [6694] = {.lex_state = 23, .external_lex_state = 2},
  [6695] = {.lex_state = 380, .external_lex_state = 5},
  [6696] = {.lex_state = 21, .external_lex_state = 2},
  [6697] = {.lex_state = 380, .external_lex_state = 5},
  [6698] = {.lex_state = 380, .external_lex_state = 5},
  [6699] = {.lex_state = 60, .external_lex_state = 2},
  [6700] = {.lex_state = 380, .external_lex_state = 2},
  [6701] = {.lex_state = 380, .external_lex_state = 5},
  [6702] = {.lex_state = 380, .external_lex_state = 5},
  [6703] = {.lex_state = 380, .external_lex_state = 5},
  [6704] = {.lex_state = 380, .external_lex_state = 5},
  [6705] = {.lex_state = 380, .external_lex_state = 5},
  [6706] = {.lex_state = 380, .external_lex_state = 5},
  [6707] = {.lex_state = 92, .external_lex_state = 2},
  [6708] = {.lex_state = 380, .external_lex_state = 5},
  [6709] = {.lex_state = 60, .external_lex_state = 2},
  [6710] = {.lex_state = 380, .external_lex_state = 5},
  [6711] = {.lex_state = 380, .external_lex_state = 2},
  [6712] = {.lex_state = 54, .external_lex_state = 2},
  [6713] = {.lex_state = 23, .external_lex_state = 2},
  [6714] = {.lex_state = 380, .external_lex_state = 5},
  [6715] = {.lex_state = 380, .external_lex_state = 2},
  [6716] = {.lex_state = 380, .external_lex_state = 5},
  [6717] = {.lex_state = 380, .external_lex_state = 5},
  [6718] = {.lex_state = 380, .external_lex_state = 5},
  [6719] = {.lex_state = 380, .external_lex_state = 2},
  [6720] = {.lex_state = 380, .external_lex_state = 5},
  [6721] = {.lex_state = 380, .external_lex_state = 5},
  [6722] = {.lex_state = 380, .external_lex_state = 5},
  [6723] = {.lex_state = 380, .external_lex_state = 5},
  [6724] = {.lex_state = 380, .external_lex_state = 5},
  [6725] = {.lex_state = 380, .external_lex_state = 2},
  [6726] = {.lex_state = 380, .external_lex_state = 5},
  [6727] = {.lex_state = 380, .external_lex_state = 5},
  [6728] = {.lex_state = 380, .external_lex_state = 2},
  [6729] = {.lex_state = 21, .external_lex_state = 5},
  [6730] = {.lex_state = 64, .external_lex_state = 9},
  [6731] = {.lex_state = 54, .external_lex_state = 2},
  [6732] = {.lex_state = 1, .external_lex_state = 2},
  [6733] = {.lex_state = 54, .external_lex_state = 2},
  [6734] = {.lex_state = 67, .external_lex_state = 9},
  [6735] = {.lex_state = 54, .external_lex_state = 2},
  [6736] = {.lex_state = 380, .external_lex_state = 5},
  [6737] = {.lex_state = 54, .external_lex_state = 2},
  [6738] = {.lex_state = 21, .external_lex_state = 5},
  [6739] = {.lex_state = 380, .external_lex_state = 5},
  [6740] = {.lex_state = 380, .external_lex_state = 5},
  [6741] = {.lex_state = 380, .external_lex_state = 2},
  [6742] = {.lex_state = 380, .external_lex_state = 2},
  [6743] = {.lex_state = 380, .external_lex_state = 5},
  [6744] = {.lex_state = 380, .external_lex_state = 5},
  [6745] = {.lex_state = 380, .external_lex_state = 5},
  [6746] = {.lex_state = 380, .external_lex_state = 2},
  [6747] = {.lex_state = 60, .external_lex_state = 2},
  [6748] = {.lex_state = 380, .external_lex_state = 5},
  [6749] = {.lex_state = 380, .external_lex_state = 5},
  [6750] = {.lex_state = 380, .external_lex_state = 5},
  [6751] = {.lex_state = 57, .external_lex_state = 2},
  [6752] = {.lex_state = 21, .external_lex_state = 2},
  [6753] = {.lex_state = 380, .external_lex_state = 5},
  [6754] = {.lex_state = 380, .external_lex_state = 5},
  [6755] = {.lex_state = 60, .external_lex_state = 2},
  [6756] = {.lex_state = 380, .external_lex_state = 2},
  [6757] = {.lex_state = 380, .external_lex_state = 2},
  [6758] = {.lex_state = 380, .external_lex_state = 5},
  [6759] = {.lex_state = 380, .external_lex_state = 5},
  [6760] = {.lex_state = 380, .external_lex_state = 5},
  [6761] = {.lex_state = 380, .external_lex_state = 5},
  [6762] = {.lex_state = 380, .external_lex_state = 2},
  [6763] = {.lex_state = 380, .external_lex_state = 5},
  [6764] = {.lex_state = 92, .external_lex_state = 2},
  [6765] = {.lex_state = 380, .external_lex_state = 5},
  [6766] = {.lex_state = 380, .external_lex_state = 5},
  [6767] = {.lex_state = 380, .external_lex_state = 5},
  [6768] = {.lex_state = 380, .external_lex_state = 5},
  [6769] = {.lex_state = 23, .external_lex_state = 2},
  [6770] = {.lex_state = 380, .external_lex_state = 5},
  [6771] = {.lex_state = 57, .external_lex_state = 2},
  [6772] = {.lex_state = 380, .external_lex_state = 5},
  [6773] = {.lex_state = 21, .external_lex_state = 2},
  [6774] = {.lex_state = 380, .external_lex_state = 2},
  [6775] = {.lex_state = 380, .external_lex_state = 5},
  [6776] = {.lex_state = 380, .external_lex_state = 5},
  [6777] = {.lex_state = 380, .external_lex_state = 5},
  [6778] = {.lex_state = 380, .external_lex_state = 5},
  [6779] = {.lex_state = 21, .external_lex_state = 2},
  [6780] = {.lex_state = 380, .external_lex_state = 5},
  [6781] = {.lex_state = 380, .external_lex_state = 5},
  [6782] = {.lex_state = 380, .external_lex_state = 2},
  [6783] = {.lex_state = 380, .external_lex_state = 5},
  [6784] = {.lex_state = 380, .external_lex_state = 5},
  [6785] = {.lex_state = 380, .external_lex_state = 2},
  [6786] = {.lex_state = 380, .external_lex_state = 5},
  [6787] = {.lex_state = 380, .external_lex_state = 2},
  [6788] = {.lex_state = 380, .external_lex_state = 5},
  [6789] = {.lex_state = 380, .external_lex_state = 5},
  [6790] = {.lex_state = 380, .external_lex_state = 2},
  [6791] = {.lex_state = 380, .external_lex_state = 5},
  [6792] = {.lex_state = 92, .external_lex_state = 2},
  [6793] = {.lex_state = 380, .external_lex_state = 5},
  [6794] = {.lex_state = 380, .external_lex_state = 2},
  [6795] = {.lex_state = 380, .external_lex_state = 5},
  [6796] = {.lex_state = 380, .external_lex_state = 5},
  [6797] = {.lex_state = 380, .external_lex_state = 2},
  [6798] = {.lex_state = 380, .external_lex_state = 5},
  [6799] = {.lex_state = 380, .external_lex_state = 5},
  [6800] = {.lex_state = 380, .external_lex_state = 5},
  [6801] = {.lex_state = 57, .external_lex_state = 2},
  [6802] = {.lex_state = 21, .external_lex_state = 2},
  [6803] = {.lex_state = 380, .external_lex_state = 5},
  [6804] = {.lex_state = 380, .external_lex_state = 5},
  [6805] = {.lex_state = 380, .external_lex_state = 2},
  [6806] = {.lex_state = 380, .external_lex_state = 5},
  [6807] = {.lex_state = 380, .external_lex_state = 5},
  [6808] = {.lex_state = 21, .external_lex_state = 2},
  [6809] = {.lex_state = 380, .external_lex_state = 5},
  [6810] = {.lex_state = 380, .external_lex_state = 5},
  [6811] = {.lex_state = 380, .external_lex_state = 5},
  [6812] = {.lex_state = 380, .external_lex_state = 5},
  [6813] = {.lex_state = 380, .external_lex_state = 5},
  [6814] = {.lex_state = 380, .external_lex_state = 5},
  [6815] = {.lex_state = 380, .external_lex_state = 5},
  [6816] = {.lex_state = 380, .external_lex_state = 5},
  [6817] = {.lex_state = 380, .external_lex_state = 5},
  [6818] = {.lex_state = 380, .external_lex_state = 5},
  [6819] = {.lex_state = 23, .external_lex_state = 2},
  [6820] = {.lex_state = 380, .external_lex_state = 5},
  [6821] = {.lex_state = 380, .external_lex_state = 2},
  [6822] = {.lex_state = 380, .external_lex_state = 5},
  [6823] = {.lex_state = 380, .external_lex_state = 5},
  [6824] = {.lex_state = 380, .external_lex_state = 5},
  [6825] = {.lex_state = 380, .external_lex_state = 5},
  [6826] = {.lex_state = 380, .external_lex_state = 5},
  [6827] = {.lex_state = 380, .external_lex_state = 2},
  [6828] = {.lex_state = 380, .external_lex_state = 5},
  [6829] = {.lex_state = 380, .external_lex_state = 5},
  [6830] = {.lex_state = 380, .external_lex_state = 5},
  [6831] = {.lex_state = 380, .external_lex_state = 5},
  [6832] = {.lex_state = 380, .external_lex_state = 2},
  [6833] = {.lex_state = 380, .external_lex_state = 5},
  [6834] = {.lex_state = 380, .external_lex_state = 2},
  [6835] = {.lex_state = 380, .external_lex_state = 2},
  [6836] = {.lex_state = 57, .external_lex_state = 2},
  [6837] = {.lex_state = 92, .external_lex_state = 2},
  [6838] = {.lex_state = 54, .external_lex_state = 2},
  [6839] = {.lex_state = 380, .external_lex_state = 2},
  [6840] = {.lex_state = 380, .external_lex_state = 5},
  [6841] = {.lex_state = 380, .external_lex_state = 5},
  [6842] = {.lex_state = 380, .external_lex_state = 2},
  [6843] = {.lex_state = 380, .external_lex_state = 2},
  [6844] = {.lex_state = 380, .external_lex_state = 5},
  [6845] = {.lex_state = 380, .external_lex_state = 2},
  [6846] = {.lex_state = 380, .external_lex_state = 5},
  [6847] = {.lex_state = 57, .external_lex_state = 2},
  [6848] = {.lex_state = 21, .external_lex_state = 2},
  [6849] = {.lex_state = 380, .external_lex_state = 5},
  [6850] = {.lex_state = 380, .external_lex_state = 2},
  [6851] = {.lex_state = 380, .external_lex_state = 5},
  [6852] = {.lex_state = 380, .external_lex_state = 2},
  [6853] = {.lex_state = 380, .external_lex_state = 2},
  [6854] = {.lex_state = 380, .external_lex_state = 5},
  [6855] = {.lex_state = 380, .external_lex_state = 5},
  [6856] = {.lex_state = 380, .external_lex_state = 2},
  [6857] = {.lex_state = 380, .external_lex_state = 2},
  [6858] = {.lex_state = 380, .external_lex_state = 5},
  [6859] = {.lex_state = 380, .external_lex_state = 5},
  [6860] = {.lex_state = 380, .external_lex_state = 2},
  [6861] = {.lex_state = 380, .external_lex_state = 5},
  [6862] = {.lex_state = 380, .external_lex_state = 5},
  [6863] = {.lex_state = 380, .external_lex_state = 5},
  [6864] = {.lex_state = 380, .external_lex_state = 5},
  [6865] = {.lex_state = 380, .external_lex_state = 2},
  [6866] = {.lex_state = 380, .external_lex_state = 5},
  [6867] = {.lex_state = 380, .external_lex_state = 5},
  [6868] = {.lex_state = 380, .external_lex_state = 5},
  [6869] = {.lex_state = 380, .external_lex_state = 5},
  [6870] = {.lex_state = 380, .external_lex_state = 5},
  [6871] = {.lex_state = 380, .external_lex_state = 5},
  [6872] = {.lex_state = 380, .external_lex_state = 5},
  [6873] = {.lex_state = 380, .external_lex_state = 5},
  [6874] = {.lex_state = 380, .external_lex_state = 2},
  [6875] = {.lex_state = 380, .external_lex_state = 5},
  [6876] = {.lex_state = 380, .external_lex_state = 5},
  [6877] = {.lex_state = 380, .external_lex_state = 5},
  [6878] = {.lex_state = 380, .external_lex_state = 2},
  [6879] = {.lex_state = 380, .external_lex_state = 5},
  [6880] = {.lex_state = 380, .external_lex_state = 5},
  [6881] = {.lex_state = 380, .external_lex_state = 2},
  [6882] = {.lex_state = 92, .external_lex_state = 2},
  [6883] = {.lex_state = 380, .external_lex_state = 2},
  [6884] = {.lex_state = 380, .external_lex_state = 2},
  [6885] = {.lex_state = 380, .external_lex_state = 5},
  [6886] = {.lex_state = 380, .external_lex_state = 2},
  [6887] = {.lex_state = 380, .external_lex_state = 5},
  [6888] = {.lex_state = 380, .external_lex_state = 5},
  [6889] = {.lex_state = 380, .external_lex_state = 5},
  [6890] = {.lex_state = 57, .external_lex_state = 5},
  [6891] = {.lex_state = 380, .external_lex_state = 5},
  [6892] = {.lex_state = 57, .external_lex_state = 5},
  [6893] = {.lex_state = 380, .external_lex_state = 5},
  [6894] = {.lex_state = 380, .external_lex_state = 5},
  [6895] = {.lex_state = 380, .external_lex_state = 5},
  [6896] = {.lex_state = 380, .external_lex_state = 5},
  [6897] = {.lex_state = 57, .external_lex_state = 2},
  [6898] = {.lex_state = 380, .external_lex_state = 5},
  [6899] = {.lex_state = 380, .external_lex_state = 5},
  [6900] = {.lex_state = 380, .external_lex_state = 5},
  [6901] = {.lex_state = 380, .external_lex_state = 5},
  [6902] = {.lex_state = 380, .external_lex_state = 5},
  [6903] = {.lex_state = 57, .external_lex_state = 2},
  [6904] = {.lex_state = 380, .external_lex_state = 5},
  [6905] = {.lex_state = 380, .external_lex_state = 5},
  [6906] = {.lex_state = 21, .external_lex_state = 2},
  [6907] = {.lex_state = 380, .external_lex_state = 2},
  [6908] = {.lex_state = 380, .external_lex_state = 2},
  [6909] = {.lex_state = 380, .external_lex_state = 5},
  [6910] = {.lex_state = 380, .external_lex_state = 2},
  [6911] = {.lex_state = 380, .external_lex_state = 2},
  [6912] = {.lex_state = 380, .external_lex_state = 2},
  [6913] = {.lex_state = 380, .external_lex_state = 2},
  [6914] = {.lex_state = 380, .external_lex_state = 5},
  [6915] = {.lex_state = 380, .external_lex_state = 5},
  [6916] = {.lex_state = 380, .external_lex_state = 5},
  [6917] = {.lex_state = 380, .external_lex_state = 5},
  [6918] = {.lex_state = 380, .external_lex_state = 5},
  [6919] = {.lex_state = 380, .external_lex_state = 5},
  [6920] = {.lex_state = 380, .external_lex_state = 2},
  [6921] = {.lex_state = 380, .external_lex_state = 5},
  [6922] = {.lex_state = 380, .external_lex_state = 2},
  [6923] = {.lex_state = 380, .external_lex_state = 2},
  [6924] = {.lex_state = 380, .external_lex_state = 2},
  [6925] = {.lex_state = 380, .external_lex_state = 5},
  [6926] = {.lex_state = 380, .external_lex_state = 5},
  [6927] = {.lex_state = 56, .external_lex_state = 2},
  [6928] = {.lex_state = 380, .external_lex_state = 5},
  [6929] = {.lex_state = 380, .external_lex_state = 2},
  [6930] = {.lex_state = 57, .external_lex_state = 5},
  [6931] = {.lex_state = 57, .external_lex_state = 5},
  [6932] = {.lex_state = 380, .external_lex_state = 2},
  [6933] = {.lex_state = 380, .external_lex_state = 5},
  [6934] = {.lex_state = 380, .external_lex_state = 5},
  [6935] = {.lex_state = 380, .external_lex_state = 5},
  [6936] = {.lex_state = 380, .external_lex_state = 2},
  [6937] = {.lex_state = 380, .external_lex_state = 5},
  [6938] = {.lex_state = 380, .external_lex_state = 5},
  [6939] = {.lex_state = 380, .external_lex_state = 5},
  [6940] = {.lex_state = 380, .external_lex_state = 5},
  [6941] = {.lex_state = 380, .external_lex_state = 2},
  [6942] = {.lex_state = 380, .external_lex_state = 5},
  [6943] = {.lex_state = 380, .external_lex_state = 2},
  [6944] = {.lex_state = 380, .external_lex_state = 5},
  [6945] = {.lex_state = 54, .external_lex_state = 2},
  [6946] = {.lex_state = 380, .external_lex_state = 5},
  [6947] = {.lex_state = 380, .external_lex_state = 2},
  [6948] = {.lex_state = 380, .external_lex_state = 5},
  [6949] = {.lex_state = 380, .external_lex_state = 5},
  [6950] = {.lex_state = 54, .external_lex_state = 2},
  [6951] = {.lex_state = 380, .external_lex_state = 2},
  [6952] = {.lex_state = 83, .external_lex_state = 2},
  [6953] = {.lex_state = 54, .external_lex_state = 2},
  [6954] = {.lex_state = 380, .external_lex_state = 5},
  [6955] = {.lex_state = 380, .external_lex_state = 5},
  [6956] = {.lex_state = 380, .external_lex_state = 2},
  [6957] = {.lex_state = 380, .external_lex_state = 2},
  [6958] = {.lex_state = 380, .external_lex_state = 5},
  [6959] = {.lex_state = 380, .external_lex_state = 5},
  [6960] = {.lex_state = 57, .external_lex_state = 2},
  [6961] = {.lex_state = 380, .external_lex_state = 5},
  [6962] = {.lex_state = 23, .external_lex_state = 2},
  [6963] = {.lex_state = 380, .external_lex_state = 5},
  [6964] = {.lex_state = 380, .external_lex_state = 5},
  [6965] = {.lex_state = 380, .external_lex_state = 5},
  [6966] = {.lex_state = 380, .external_lex_state = 5},
  [6967] = {.lex_state = 380, .external_lex_state = 2},
  [6968] = {.lex_state = 380, .external_lex_state = 2},
  [6969] = {.lex_state = 380, .external_lex_state = 5},
  [6970] = {.lex_state = 54, .external_lex_state = 2},
  [6971] = {.lex_state = 380, .external_lex_state = 5},
  [6972] = {.lex_state = 380, .external_lex_state = 5},
  [6973] = {.lex_state = 380, .external_lex_state = 5},
  [6974] = {.lex_state = 92, .external_lex_state = 2},
  [6975] = {.lex_state = 380, .external_lex_state = 2},
  [6976] = {.lex_state = 380, .external_lex_state = 5},
  [6977] = {.lex_state = 380, .external_lex_state = 5},
  [6978] = {.lex_state = 54, .external_lex_state = 2},
  [6979] = {.lex_state = 21, .external_lex_state = 5},
  [6980] = {.lex_state = 380, .external_lex_state = 5},
  [6981] = {.lex_state = 380, .external_lex_state = 5},
  [6982] = {.lex_state = 380, .external_lex_state = 5},
  [6983] = {.lex_state = 380, .external_lex_state = 5},
  [6984] = {.lex_state = 57, .external_lex_state = 2},
  [6985] = {.lex_state = 380, .external_lex_state = 5},
  [6986] = {.lex_state = 380, .external_lex_state = 2},
  [6987] = {.lex_state = 380, .external_lex_state = 5},
  [6988] = {.lex_state = 21, .external_lex_state = 2},
  [6989] = {.lex_state = 380, .external_lex_state = 5},
  [6990] = {.lex_state = 380, .external_lex_state = 5},
  [6991] = {.lex_state = 380, .external_lex_state = 5},
  [6992] = {.lex_state = 380, .external_lex_state = 5},
  [6993] = {.lex_state = 57, .external_lex_state = 2},
  [6994] = {.lex_state = 380, .external_lex_state = 2},
  [6995] = {.lex_state = 380, .external_lex_state = 5},
  [6996] = {.lex_state = 380, .external_lex_state = 5},
  [6997] = {.lex_state = 380, .external_lex_state = 2},
  [6998] = {.lex_state = 380, .external_lex_state = 5},
  [6999] = {.lex_state = 54, .external_lex_state = 2},
  [7000] = {.lex_state = 380, .external_lex_state = 5},
  [7001] = {.lex_state = 380, .external_lex_state = 2},
  [7002] = {.lex_state = 380, .external_lex_state = 2},
  [7003] = {.lex_state = 380, .external_lex_state = 2},
  [7004] = {.lex_state = 54, .external_lex_state = 2},
  [7005] = {.lex_state = 54, .external_lex_state = 2},
  [7006] = {.lex_state = 380, .external_lex_state = 5},
  [7007] = {.lex_state = 54, .external_lex_state = 2},
  [7008] = {.lex_state = 380, .external_lex_state = 5},
  [7009] = {.lex_state = 23, .external_lex_state = 2},
  [7010] = {.lex_state = 380, .external_lex_state = 2},
  [7011] = {.lex_state = 380, .external_lex_state = 2},
  [7012] = {.lex_state = 380, .external_lex_state = 5},
  [7013] = {.lex_state = 57, .external_lex_state = 5},
  [7014] = {.lex_state = 380, .external_lex_state = 2},
  [7015] = {.lex_state = 57, .external_lex_state = 5},
  [7016] = {.lex_state = 23, .external_lex_state = 2},
  [7017] = {.lex_state = 54, .external_lex_state = 2},
  [7018] = {.lex_state = 54, .external_lex_state = 2},
  [7019] = {.lex_state = 54, .external_lex_state = 2},
  [7020] = {.lex_state = 380, .external_lex_state = 2},
  [7021] = {.lex_state = 54, .external_lex_state = 2},
  [7022] = {.lex_state = 380, .external_lex_state = 8},
  [7023] = {.lex_state = 54, .external_lex_state = 2},
  [7024] = {.lex_state = 380, .external_lex_state = 5},
  [7025] = {.lex_state = 380, .external_lex_state = 5},
  [7026] = {.lex_state = 380, .external_lex_state = 2},
  [7027] = {.lex_state = 380, .external_lex_state = 2},
  [7028] = {.lex_state = 380, .external_lex_state = 2},
  [7029] = {.lex_state = 54, .external_lex_state = 2},
  [7030] = {.lex_state = 380, .external_lex_state = 5},
  [7031] = {.lex_state = 23, .external_lex_state = 2},
  [7032] = {.lex_state = 380, .external_lex_state = 5},
  [7033] = {.lex_state = 380, .external_lex_state = 2},
  [7034] = {.lex_state = 380, .external_lex_state = 5},
  [7035] = {.lex_state = 380, .external_lex_state = 5},
  [7036] = {.lex_state = 380, .external_lex_state = 2},
  [7037] = {.lex_state = 380, .external_lex_state = 5},
  [7038] = {.lex_state = 23, .external_lex_state = 2},
  [7039] = {.lex_state = 380, .external_lex_state = 2},
  [7040] = {.lex_state = 380, .external_lex_state = 2},
  [7041] = {.lex_state = 380, .external_lex_state = 5},
  [7042] = {.lex_state = 380, .external_lex_state = 5},
  [7043] = {.lex_state = 380, .external_lex_state = 2},
  [7044] = {.lex_state = 380, .external_lex_state = 2},
  [7045] = {.lex_state = 380, .external_lex_state = 5},
  [7046] = {.lex_state = 380, .external_lex_state = 5},
  [7047] = {.lex_state = 380, .external_lex_state = 2},
  [7048] = {.lex_state = 380, .external_lex_state = 5},
  [7049] = {.lex_state = 380, .external_lex_state = 5},
  [7050] = {.lex_state = 380, .external_lex_state = 5},
  [7051] = {.lex_state = 380, .external_lex_state = 2},
  [7052] = {.lex_state = 380, .external_lex_state = 5},
  [7053] = {.lex_state = 380, .external_lex_state = 2},
  [7054] = {.lex_state = 380, .external_lex_state = 5},
  [7055] = {.lex_state = 23, .external_lex_state = 2},
  [7056] = {.lex_state = 380, .external_lex_state = 2},
  [7057] = {.lex_state = 380, .external_lex_state = 2},
  [7058] = {.lex_state = 380, .external_lex_state = 2},
  [7059] = {.lex_state = 380, .external_lex_state = 5},
  [7060] = {.lex_state = 380, .external_lex_state = 5},
  [7061] = {.lex_state = 380, .external_lex_state = 2},
  [7062] = {.lex_state = 380, .external_lex_state = 5},
  [7063] = {.lex_state = 380, .external_lex_state = 5},
  [7064] = {.lex_state = 380, .external_lex_state = 2},
  [7065] = {.lex_state = 57, .external_lex_state = 2},
  [7066] = {.lex_state = 380, .external_lex_state = 5},
  [7067] = {.lex_state = 57, .external_lex_state = 2},
  [7068] = {.lex_state = 380, .external_lex_state = 5},
  [7069] = {.lex_state = 57, .external_lex_state = 2},
  [7070] = {.lex_state = 380, .external_lex_state = 5},
  [7071] = {.lex_state = 57, .external_lex_state = 2},
  [7072] = {.lex_state = 56, .external_lex_state = 2},
  [7073] = {.lex_state = 380, .external_lex_state = 5},
  [7074] = {.lex_state = 380, .external_lex_state = 5},
  [7075] = {.lex_state = 380, .external_lex_state = 5},
  [7076] = {.lex_state = 380, .external_lex_state = 5},
  [7077] = {.lex_state = 380, .external_lex_state = 5},
  [7078] = {.lex_state = 380, .external_lex_state = 5},
  [7079] = {.lex_state = 380, .external_lex_state = 5},
  [7080] = {.lex_state = 380, .external_lex_state = 2},
  [7081] = {.lex_state = 380, .external_lex_state = 5},
  [7082] = {.lex_state = 380, .external_lex_state = 5},
  [7083] = {.lex_state = 380, .external_lex_state = 5},
  [7084] = {.lex_state = 380, .external_lex_state = 5},
  [7085] = {.lex_state = 380, .external_lex_state = 5},
  [7086] = {.lex_state = 380, .external_lex_state = 5},
  [7087] = {.lex_state = 380, .external_lex_state = 2},
  [7088] = {.lex_state = 380, .external_lex_state = 2},
  [7089] = {.lex_state = 380, .external_lex_state = 5},
  [7090] = {.lex_state = 380, .external_lex_state = 5},
  [7091] = {.lex_state = 380, .external_lex_state = 5},
  [7092] = {.lex_state = 71, .external_lex_state = 2},
  [7093] = {.lex_state = 380, .external_lex_state = 2},
  [7094] = {.lex_state = 380, .external_lex_state = 5},
  [7095] = {.lex_state = 380, .external_lex_state = 2},
  [7096] = {.lex_state = 380, .external_lex_state = 5},
  [7097] = {.lex_state = 380, .external_lex_state = 2},
  [7098] = {.lex_state = 380, .external_lex_state = 2},
  [7099] = {.lex_state = 380, .external_lex_state = 2},
  [7100] = {.lex_state = 380, .external_lex_state = 5},
  [7101] = {.lex_state = 380, .external_lex_state = 5},
  [7102] = {.lex_state = 380, .external_lex_state = 5},
  [7103] = {.lex_state = 380, .external_lex_state = 2},
  [7104] = {.lex_state = 23, .external_lex_state = 2},
  [7105] = {.lex_state = 380, .external_lex_state = 2},
  [7106] = {.lex_state = 380, .external_lex_state = 5},
  [7107] = {.lex_state = 380, .external_lex_state = 2},
  [7108] = {.lex_state = 380, .external_lex_state = 5},
  [7109] = {.lex_state = 23, .external_lex_state = 2},
  [7110] = {.lex_state = 23, .external_lex_state = 2},
  [7111] = {.lex_state = 380, .external_lex_state = 2},
  [7112] = {.lex_state = 380, .external_lex_state = 5},
  [7113] = {.lex_state = 380, .external_lex_state = 5},
  [7114] = {.lex_state = 23, .external_lex_state = 2},
  [7115] = {.lex_state = 380, .external_lex_state = 5},
  [7116] = {.lex_state = 54, .external_lex_state = 2},
  [7117] = {.lex_state = 380, .external_lex_state = 2},
  [7118] = {.lex_state = 380, .external_lex_state = 2},
  [7119] = {.lex_state = 380, .external_lex_state = 5},
  [7120] = {.lex_state = 23, .external_lex_state = 2},
  [7121] = {.lex_state = 380, .external_lex_state = 2},
  [7122] = {.lex_state = 380, .external_lex_state = 5},
  [7123] = {.lex_state = 54, .external_lex_state = 2},
  [7124] = {.lex_state = 54, .external_lex_state = 2},
  [7125] = {.lex_state = 57, .external_lex_state = 2},
  [7126] = {.lex_state = 54, .external_lex_state = 2},
  [7127] = {.lex_state = 380, .external_lex_state = 5},
  [7128] = {.lex_state = 23, .external_lex_state = 2},
  [7129] = {.lex_state = 57, .external_lex_state = 2},
  [7130] = {.lex_state = 21, .external_lex_state = 2},
  [7131] = {.lex_state = 54, .external_lex_state = 2},
  [7132] = {.lex_state = 57, .external_lex_state = 2},
  [7133] = {.lex_state = 380, .external_lex_state = 5},
  [7134] = {.lex_state = 380, .external_lex_state = 5},
  [7135] = {.lex_state = 380, .external_lex_state = 2},
  [7136] = {.lex_state = 380, .external_lex_state = 2},
  [7137] = {.lex_state = 380, .external_lex_state = 5},
  [7138] = {.lex_state = 380, .external_lex_state = 5},
  [7139] = {.lex_state = 380, .external_lex_state = 5},
  [7140] = {.lex_state = 380, .external_lex_state = 2},
  [7141] = {.lex_state = 380, .external_lex_state = 2},
  [7142] = {.lex_state = 380, .external_lex_state = 2},
  [7143] = {.lex_state = 56, .external_lex_state = 2},
  [7144] = {.lex_state = 380, .external_lex_state = 2},
  [7145] = {.lex_state = 380, .external_lex_state = 2},
  [7146] = {.lex_state = 54, .external_lex_state = 2},
  [7147] = {.lex_state = 380, .external_lex_state = 2},
  [7148] = {.lex_state = 83, .external_lex_state = 2},
  [7149] = {.lex_state = 380, .external_lex_state = 5},
  [7150] = {.lex_state = 380, .external_lex_state = 2},
  [7151] = {.lex_state = 380, .external_lex_state = 2},
  [7152] = {.lex_state = 380, .external_lex_state = 2},
  [7153] = {.lex_state = 380, .external_lex_state = 5},
  [7154] = {.lex_state = 380, .external_lex_state = 5},
  [7155] = {.lex_state = 380, .external_lex_state = 5},
  [7156] = {.lex_state = 380, .external_lex_state = 5},
  [7157] = {.lex_state = 380, .external_lex_state = 5},
  [7158] = {.lex_state = 380, .external_lex_state = 5},
  [7159] = {.lex_state = 380, .external_lex_state = 5},
  [7160] = {.lex_state = 380, .external_lex_state = 2},
  [7161] = {.lex_state = 380, .external_lex_state = 5},
  [7162] = {.lex_state = 57, .external_lex_state = 2},
  [7163] = {.lex_state = 380, .external_lex_state = 2},
  [7164] = {.lex_state = 380, .external_lex_state = 5},
  [7165] = {.lex_state = 380, .external_lex_state = 5},
  [7166] = {.lex_state = 380, .external_lex_state = 5},
  [7167] = {.lex_state = 380, .external_lex_state = 5},
  [7168] = {.lex_state = 380, .external_lex_state = 5},
  [7169] = {.lex_state = 380, .external_lex_state = 5},
  [7170] = {.lex_state = 380, .external_lex_state = 5},
  [7171] = {.lex_state = 380, .external_lex_state = 5},
  [7172] = {.lex_state = 380, .external_lex_state = 2},
  [7173] = {.lex_state = 380, .external_lex_state = 5},
  [7174] = {.lex_state = 380, .external_lex_state = 5},
  [7175] = {.lex_state = 380, .external_lex_state = 5},
  [7176] = {.lex_state = 380, .external_lex_state = 5},
  [7177] = {.lex_state = 380, .external_lex_state = 5},
  [7178] = {.lex_state = 380, .external_lex_state = 5},
  [7179] = {.lex_state = 380, .external_lex_state = 5},
  [7180] = {.lex_state = 380, .external_lex_state = 5},
  [7181] = {.lex_state = 380, .external_lex_state = 2},
  [7182] = {.lex_state = 380, .external_lex_state = 5},
  [7183] = {.lex_state = 380, .external_lex_state = 5},
  [7184] = {.lex_state = 380, .external_lex_state = 5},
  [7185] = {.lex_state = 380, .external_lex_state = 5},
  [7186] = {.lex_state = 380, .external_lex_state = 5},
  [7187] = {.lex_state = 380, .external_lex_state = 5},
  [7188] = {.lex_state = 380, .external_lex_state = 5},
  [7189] = {.lex_state = 380, .external_lex_state = 5},
  [7190] = {.lex_state = 380, .external_lex_state = 5},
  [7191] = {.lex_state = 380, .external_lex_state = 5},
  [7192] = {.lex_state = 21, .external_lex_state = 2},
  [7193] = {.lex_state = 380, .external_lex_state = 5},
  [7194] = {.lex_state = 380, .external_lex_state = 2},
  [7195] = {.lex_state = 380, .external_lex_state = 5},
  [7196] = {.lex_state = 380, .external_lex_state = 5},
  [7197] = {.lex_state = 380, .external_lex_state = 5},
  [7198] = {.lex_state = 23, .external_lex_state = 2},
  [7199] = {.lex_state = 380, .external_lex_state = 2},
  [7200] = {.lex_state = 380, .external_lex_state = 5},
  [7201] = {.lex_state = 380, .external_lex_state = 2},
  [7202] = {.lex_state = 23, .external_lex_state = 2},
  [7203] = {.lex_state = 57, .external_lex_state = 2},
  [7204] = {.lex_state = 23, .external_lex_state = 2},
  [7205] = {.lex_state = 380, .external_lex_state = 5},
  [7206] = {.lex_state = 380, .external_lex_state = 5},
  [7207] = {.lex_state = 380, .external_lex_state = 5},
  [7208] = {.lex_state = 380, .external_lex_state = 5},
  [7209] = {.lex_state = 23, .external_lex_state = 2},
  [7210] = {.lex_state = 380, .external_lex_state = 2},
  [7211] = {.lex_state = 54, .external_lex_state = 2},
  [7212] = {.lex_state = 380, .external_lex_state = 5},
  [7213] = {.lex_state = 380, .external_lex_state = 5},
  [7214] = {.lex_state = 57, .external_lex_state = 2},
  [7215] = {.lex_state = 380, .external_lex_state = 5},
  [7216] = {.lex_state = 380, .external_lex_state = 5},
  [7217] = {.lex_state = 380, .external_lex_state = 5},
  [7218] = {.lex_state = 71, .external_lex_state = 2},
  [7219] = {.lex_state = 57, .external_lex_state = 2},
  [7220] = {.lex_state = 57, .external_lex_state = 5},
  [7221] = {.lex_state = 57, .external_lex_state = 5},
  [7222] = {.lex_state = 380, .external_lex_state = 5},
  [7223] = {.lex_state = 57, .external_lex_state = 2},
  [7224] = {.lex_state = 380, .external_lex_state = 5},
  [7225] = {.lex_state = 380, .external_lex_state = 5},
  [7226] = {.lex_state = 380, .external_lex_state = 5},
  [7227] = {.lex_state = 380, .external_lex_state = 5},
  [7228] = {.lex_state = 380, .external_lex_state = 2},
  [7229] = {.lex_state = 380, .external_lex_state = 5},
  [7230] = {.lex_state = 57, .external_lex_state = 5},
  [7231] = {.lex_state = 380, .external_lex_state = 5},
  [7232] = {.lex_state = 380, .external_lex_state = 5},
  [7233] = {.lex_state = 380, .external_lex_state = 2},
  [7234] = {.lex_state = 380, .external_lex_state = 2},
  [7235] = {.lex_state = 380, .external_lex_state = 5},
  [7236] = {.lex_state = 57, .external_lex_state = 5},
  [7237] = {.lex_state = 380, .external_lex_state = 5},
  [7238] = {.lex_state = 57, .external_lex_state = 2},
  [7239] = {.lex_state = 380, .external_lex_state = 5},
  [7240] = {.lex_state = 380, .external_lex_state = 2},
  [7241] = {.lex_state = 380, .external_lex_state = 5},
  [7242] = {.lex_state = 380, .external_lex_state = 5},
  [7243] = {.lex_state = 23, .external_lex_state = 2},
  [7244] = {.lex_state = 57, .external_lex_state = 2},
  [7245] = {.lex_state = 380, .external_lex_state = 5},
  [7246] = {.lex_state = 380, .external_lex_state = 5},
  [7247] = {.lex_state = 380, .external_lex_state = 5},
  [7248] = {.lex_state = 380, .external_lex_state = 5},
  [7249] = {.lex_state = 380, .external_lex_state = 5},
  [7250] = {.lex_state = 380, .external_lex_state = 5},
  [7251] = {.lex_state = 380, .external_lex_state = 5},
  [7252] = {.lex_state = 23, .external_lex_state = 2},
  [7253] = {.lex_state = 380, .external_lex_state = 5},
  [7254] = {.lex_state = 380, .external_lex_state = 2},
  [7255] = {.lex_state = 380, .external_lex_state = 2},
  [7256] = {.lex_state = 380, .external_lex_state = 2},
  [7257] = {.lex_state = 57, .external_lex_state = 2},
  [7258] = {.lex_state = 380, .external_lex_state = 5},
  [7259] = {.lex_state = 380, .external_lex_state = 2},
  [7260] = {.lex_state = 380, .external_lex_state = 5},
  [7261] = {.lex_state = 380, .external_lex_state = 5},
  [7262] = {.lex_state = 57, .external_lex_state = 2},
  [7263] = {.lex_state = 23, .external_lex_state = 2},
  [7264] = {.lex_state = 380, .external_lex_state = 2},
  [7265] = {.lex_state = 380, .external_lex_state = 5},
  [7266] = {.lex_state = 380, .external_lex_state = 5},
  [7267] = {.lex_state = 23, .external_lex_state = 2},
  [7268] = {.lex_state = 380, .external_lex_state = 5},
  [7269] = {.lex_state = 380, .external_lex_state = 2},
  [7270] = {.lex_state = 380, .external_lex_state = 2},
  [7271] = {.lex_state = 380, .external_lex_state = 2},
  [7272] = {.lex_state = 380, .external_lex_state = 2},
  [7273] = {.lex_state = 380, .external_lex_state = 5},
  [7274] = {.lex_state = 380, .external_lex_state = 5},
  [7275] = {.lex_state = 380, .external_lex_state = 2},
  [7276] = {.lex_state = 380, .external_lex_state = 2},
  [7277] = {.lex_state = 380, .external_lex_state = 5},
  [7278] = {.lex_state = 380, .external_lex_state = 5},
  [7279] = {.lex_state = 380, .external_lex_state = 2},
  [7280] = {.lex_state = 23, .external_lex_state = 2},
  [7281] = {.lex_state = 380, .external_lex_state = 5},
  [7282] = {.lex_state = 380, .external_lex_state = 5},
  [7283] = {.lex_state = 380, .external_lex_state = 5},
  [7284] = {.lex_state = 380, .external_lex_state = 2},
  [7285] = {.lex_state = 71, .external_lex_state = 2},
  [7286] = {.lex_state = 380, .external_lex_state = 5},
  [7287] = {.lex_state = 380, .external_lex_state = 2},
  [7288] = {.lex_state = 380, .external_lex_state = 2},
  [7289] = {.lex_state = 380, .external_lex_state = 5},
  [7290] = {.lex_state = 57, .external_lex_state = 2},
  [7291] = {.lex_state = 380, .external_lex_state = 2},
  [7292] = {.lex_state = 23, .external_lex_state = 2},
  [7293] = {.lex_state = 380, .external_lex_state = 5},
  [7294] = {.lex_state = 54, .external_lex_state = 2},
  [7295] = {.lex_state = 380, .external_lex_state = 5},
  [7296] = {.lex_state = 54, .external_lex_state = 2},
  [7297] = {.lex_state = 380, .external_lex_state = 5},
  [7298] = {.lex_state = 54, .external_lex_state = 2},
  [7299] = {.lex_state = 380, .external_lex_state = 5},
  [7300] = {.lex_state = 380, .external_lex_state = 2},
  [7301] = {.lex_state = 380, .external_lex_state = 2},
  [7302] = {.lex_state = 380, .external_lex_state = 5},
  [7303] = {.lex_state = 380, .external_lex_state = 5},
  [7304] = {.lex_state = 380, .external_lex_state = 2},
  [7305] = {.lex_state = 380, .external_lex_state = 2},
  [7306] = {.lex_state = 54, .external_lex_state = 2},
  [7307] = {.lex_state = 54, .external_lex_state = 2},
  [7308] = {.lex_state = 54, .external_lex_state = 2},
  [7309] = {.lex_state = 23, .external_lex_state = 2},
  [7310] = {.lex_state = 380, .external_lex_state = 5},
  [7311] = {.lex_state = 380, .external_lex_state = 2},
  [7312] = {.lex_state = 380, .external_lex_state = 2},
  [7313] = {.lex_state = 23, .external_lex_state = 2},
  [7314] = {.lex_state = 380, .external_lex_state = 5},
  [7315] = {.lex_state = 380, .external_lex_state = 5},
  [7316] = {.lex_state = 380, .external_lex_state = 2},
  [7317] = {.lex_state = 57, .external_lex_state = 2},
  [7318] = {.lex_state = 380, .external_lex_state = 5},
  [7319] = {.lex_state = 380, .external_lex_state = 5},
  [7320] = {.lex_state = 380, .external_lex_state = 5},
  [7321] = {.lex_state = 380, .external_lex_state = 5},
  [7322] = {.lex_state = 380, .external_lex_state = 5},
  [7323] = {.lex_state = 380, .external_lex_state = 5},
  [7324] = {.lex_state = 380, .external_lex_state = 2},
  [7325] = {.lex_state = 23, .external_lex_state = 2},
  [7326] = {.lex_state = 380, .external_lex_state = 5},
  [7327] = {.lex_state = 380, .external_lex_state = 5},
  [7328] = {.lex_state = 57, .external_lex_state = 5},
  [7329] = {.lex_state = 57, .external_lex_state = 5},
  [7330] = {.lex_state = 380, .external_lex_state = 5},
  [7331] = {.lex_state = 380, .external_lex_state = 5},
  [7332] = {.lex_state = 380, .external_lex_state = 2},
  [7333] = {.lex_state = 380, .external_lex_state = 5},
  [7334] = {.lex_state = 380, .external_lex_state = 2},
  [7335] = {.lex_state = 380, .external_lex_state = 5},
  [7336] = {.lex_state = 380, .external_lex_state = 2},
  [7337] = {.lex_state = 380, .external_lex_state = 5},
  [7338] = {.lex_state = 380, .external_lex_state = 2},
  [7339] = {.lex_state = 380, .external_lex_state = 5},
  [7340] = {.lex_state = 380, .external_lex_state = 5},
  [7341] = {.lex_state = 380, .external_lex_state = 5},
  [7342] = {.lex_state = 380, .external_lex_state = 5},
  [7343] = {.lex_state = 380, .external_lex_state = 5},
  [7344] = {.lex_state = 380, .external_lex_state = 5},
  [7345] = {.lex_state = 380, .external_lex_state = 5},
  [7346] = {.lex_state = 380, .external_lex_state = 5},
  [7347] = {.lex_state = 380, .external_lex_state = 5},
  [7348] = {.lex_state = 380, .external_lex_state = 2},
  [7349] = {.lex_state = 380, .external_lex_state = 5},
  [7350] = {.lex_state = 380, .external_lex_state = 5},
  [7351] = {.lex_state = 380, .external_lex_state = 5},
  [7352] = {.lex_state = 380, .external_lex_state = 5},
  [7353] = {.lex_state = 380, .external_lex_state = 2},
  [7354] = {.lex_state = 380, .external_lex_state = 5},
  [7355] = {.lex_state = 380, .external_lex_state = 5},
  [7356] = {.lex_state = 380, .external_lex_state = 2},
  [7357] = {.lex_state = 380, .external_lex_state = 5},
  [7358] = {.lex_state = 23, .external_lex_state = 2},
  [7359] = {.lex_state = 380, .external_lex_state = 5},
  [7360] = {.lex_state = 380, .external_lex_state = 2},
  [7361] = {.lex_state = 380, .external_lex_state = 5},
  [7362] = {.lex_state = 380, .external_lex_state = 5},
  [7363] = {.lex_state = 380, .external_lex_state = 2},
  [7364] = {.lex_state = 380, .external_lex_state = 2},
  [7365] = {.lex_state = 380, .external_lex_state = 2},
  [7366] = {.lex_state = 380, .external_lex_state = 2},
  [7367] = {.lex_state = 380, .external_lex_state = 2},
  [7368] = {.lex_state = 380, .external_lex_state = 2},
  [7369] = {.lex_state = 380, .external_lex_state = 2},
  [7370] = {.lex_state = 380, .external_lex_state = 2},
  [7371] = {.lex_state = 380, .external_lex_state = 2},
  [7372] = {.lex_state = 380, .external_lex_state = 5},
  [7373] = {.lex_state = 380, .external_lex_state = 2},
  [7374] = {.lex_state = 380, .external_lex_state = 2},
  [7375] = {.lex_state = 380, .external_lex_state = 2},
  [7376] = {.lex_state = 380, .external_lex_state = 2},
  [7377] = {.lex_state = 380, .external_lex_state = 2},
  [7378] = {.lex_state = 380, .external_lex_state = 2},
  [7379] = {.lex_state = 380, .external_lex_state = 2},
  [7380] = {.lex_state = 380, .external_lex_state = 2},
  [7381] = {.lex_state = 380, .external_lex_state = 2},
  [7382] = {.lex_state = 380, .external_lex_state = 2},
  [7383] = {.lex_state = 380, .external_lex_state = 5},
  [7384] = {.lex_state = 380, .external_lex_state = 2},
  [7385] = {.lex_state = 380, .external_lex_state = 5},
  [7386] = {.lex_state = 380, .external_lex_state = 5},
  [7387] = {.lex_state = 380, .external_lex_state = 2},
  [7388] = {.lex_state = 380, .external_lex_state = 2},
  [7389] = {.lex_state = 380, .external_lex_state = 2},
  [7390] = {.lex_state = 380, .external_lex_state = 2},
  [7391] = {.lex_state = 380, .external_lex_state = 2},
  [7392] = {.lex_state = 380, .external_lex_state = 2},
  [7393] = {.lex_state = 380, .external_lex_state = 2},
  [7394] = {.lex_state = 380, .external_lex_state = 5},
  [7395] = {.lex_state = 380, .external_lex_state = 5},
  [7396] = {.lex_state = 380, .external_lex_state = 2},
  [7397] = {.lex_state = 380, .external_lex_state = 2},
  [7398] = {.lex_state = 380, .external_lex_state = 2},
  [7399] = {.lex_state = 380, .external_lex_state = 5},
  [7400] = {.lex_state = 380, .external_lex_state = 2},
  [7401] = {.lex_state = 380, .external_lex_state = 2},
  [7402] = {.lex_state = 380, .external_lex_state = 2},
  [7403] = {.lex_state = 380, .external_lex_state = 2},
  [7404] = {.lex_state = 380, .external_lex_state = 5},
  [7405] = {.lex_state = 380, .external_lex_state = 2},
  [7406] = {.lex_state = 380, .external_lex_state = 2},
  [7407] = {.lex_state = 380, .external_lex_state = 5},
  [7408] = {.lex_state = 380, .external_lex_state = 2},
  [7409] = {.lex_state = 380, .external_lex_state = 2},
  [7410] = {.lex_state = 380, .external_lex_state = 2},
  [7411] = {.lex_state = 380, .external_lex_state = 2},
  [7412] = {.lex_state = 380, .external_lex_state = 2},
  [7413] = {.lex_state = 380, .external_lex_state = 2},
  [7414] = {.lex_state = 380, .external_lex_state = 2},
  [7415] = {.lex_state = 380, .external_lex_state = 2},
  [7416] = {.lex_state = 380, .external_lex_state = 2},
  [7417] = {.lex_state = 380, .external_lex_state = 2},
  [7418] = {.lex_state = 380, .external_lex_state = 2},
  [7419] = {.lex_state = 380, .external_lex_state = 2},
  [7420] = {.lex_state = 380, .external_lex_state = 2},
  [7421] = {.lex_state = 380, .external_lex_state = 2},
  [7422] = {.lex_state = 380, .external_lex_state = 2},
  [7423] = {.lex_state = 380, .external_lex_state = 2},
  [7424] = {.lex_state = 380, .external_lex_state = 2},
  [7425] = {.lex_state = 380, .external_lex_state = 2},
  [7426] = {.lex_state = 380, .external_lex_state = 2},
  [7427] = {.lex_state = 380, .external_lex_state = 2},
  [7428] = {.lex_state = 380, .external_lex_state = 2},
  [7429] = {.lex_state = 380, .external_lex_state = 2},
  [7430] = {.lex_state = 380, .external_lex_state = 2},
  [7431] = {.lex_state = 380, .external_lex_state = 2},
  [7432] = {.lex_state = 380, .external_lex_state = 2},
  [7433] = {.lex_state = 380, .external_lex_state = 2},
  [7434] = {.lex_state = 380, .external_lex_state = 2},
  [7435] = {.lex_state = 57, .external_lex_state = 2},
  [7436] = {.lex_state = 380, .external_lex_state = 2},
  [7437] = {.lex_state = 380, .external_lex_state = 5},
  [7438] = {.lex_state = 380, .external_lex_state = 5},
  [7439] = {.lex_state = 380, .external_lex_state = 2},
  [7440] = {.lex_state = 380, .external_lex_state = 5},
  [7441] = {.lex_state = 380, .external_lex_state = 2},
  [7442] = {.lex_state = 380, .external_lex_state = 5},
  [7443] = {.lex_state = 380, .external_lex_state = 2},
  [7444] = {.lex_state = 380, .external_lex_state = 2},
  [7445] = {.lex_state = 380, .external_lex_state = 2},
  [7446] = {.lex_state = 380, .external_lex_state = 2},
  [7447] = {.lex_state = 380, .external_lex_state = 2},
  [7448] = {.lex_state = 380, .external_lex_state = 2},
  [7449] = {.lex_state = 57, .external_lex_state = 2},
  [7450] = {.lex_state = 380, .external_lex_state = 2},
  [7451] = {.lex_state = 380, .external_lex_state = 5},
  [7452] = {.lex_state = 380, .external_lex_state = 2},
  [7453] = {.lex_state = 380, .external_lex_state = 2},
  [7454] = {.lex_state = 380, .external_lex_state = 2},
  [7455] = {.lex_state = 380, .external_lex_state = 2},
  [7456] = {.lex_state = 380, .external_lex_state = 5},
  [7457] = {.lex_state = 380, .external_lex_state = 5},
  [7458] = {.lex_state = 380, .external_lex_state = 5},
  [7459] = {.lex_state = 380, .external_lex_state = 2},
  [7460] = {.lex_state = 380, .external_lex_state = 2},
  [7461] = {.lex_state = 380, .external_lex_state = 5},
  [7462] = {.lex_state = 380, .external_lex_state = 2},
  [7463] = {.lex_state = 380, .external_lex_state = 2},
  [7464] = {.lex_state = 380, .external_lex_state = 2},
  [7465] = {.lex_state = 380, .external_lex_state = 2},
  [7466] = {.lex_state = 380, .external_lex_state = 2},
  [7467] = {.lex_state = 380, .external_lex_state = 2},
  [7468] = {.lex_state = 380, .external_lex_state = 2},
  [7469] = {.lex_state = 380, .external_lex_state = 2},
  [7470] = {.lex_state = 380, .external_lex_state = 5},
  [7471] = {.lex_state = 380, .external_lex_state = 5},
  [7472] = {.lex_state = 380, .external_lex_state = 2},
  [7473] = {.lex_state = 380, .external_lex_state = 2},
  [7474] = {.lex_state = 380, .external_lex_state = 2},
  [7475] = {.lex_state = 380, .external_lex_state = 2},
  [7476] = {.lex_state = 380, .external_lex_state = 5},
  [7477] = {.lex_state = 380, .external_lex_state = 5},
  [7478] = {.lex_state = 380, .external_lex_state = 2},
  [7479] = {.lex_state = 380, .external_lex_state = 2},
  [7480] = {.lex_state = 380, .external_lex_state = 2},
  [7481] = {.lex_state = 380, .external_lex_state = 5},
  [7482] = {.lex_state = 380, .external_lex_state = 5},
  [7483] = {.lex_state = 57, .external_lex_state = 2},
  [7484] = {.lex_state = 380, .external_lex_state = 2},
  [7485] = {.lex_state = 380, .external_lex_state = 2},
  [7486] = {.lex_state = 380, .external_lex_state = 2},
  [7487] = {.lex_state = 380, .external_lex_state = 2},
  [7488] = {.lex_state = 380, .external_lex_state = 2},
  [7489] = {.lex_state = 380, .external_lex_state = 2},
  [7490] = {.lex_state = 380, .external_lex_state = 2},
  [7491] = {.lex_state = 380, .external_lex_state = 2},
  [7492] = {.lex_state = 380, .external_lex_state = 2},
  [7493] = {.lex_state = 380, .external_lex_state = 2},
  [7494] = {.lex_state = 380, .external_lex_state = 2},
  [7495] = {.lex_state = 380, .external_lex_state = 2},
  [7496] = {.lex_state = 380, .external_lex_state = 2},
  [7497] = {.lex_state = 380, .external_lex_state = 2},
  [7498] = {.lex_state = 380, .external_lex_state = 2},
  [7499] = {.lex_state = 380, .external_lex_state = 2},
  [7500] = {.lex_state = 380, .external_lex_state = 5},
  [7501] = {.lex_state = 380, .external_lex_state = 2},
  [7502] = {.lex_state = 380, .external_lex_state = 5},
  [7503] = {.lex_state = 380, .external_lex_state = 5},
  [7504] = {.lex_state = 380, .external_lex_state = 2},
  [7505] = {.lex_state = 380, .external_lex_state = 2},
  [7506] = {.lex_state = 57, .external_lex_state = 2},
  [7507] = {.lex_state = 380, .external_lex_state = 2},
  [7508] = {.lex_state = 57, .external_lex_state = 2},
  [7509] = {.lex_state = 380, .external_lex_state = 5},
  [7510] = {.lex_state = 380, .external_lex_state = 5},
  [7511] = {.lex_state = 380, .external_lex_state = 5},
  [7512] = {.lex_state = 380, .external_lex_state = 2},
  [7513] = {.lex_state = 57, .external_lex_state = 2},
  [7514] = {.lex_state = 380, .external_lex_state = 5},
  [7515] = {.lex_state = 380, .external_lex_state = 2},
  [7516] = {.lex_state = 380, .external_lex_state = 5},
  [7517] = {.lex_state = 380, .external_lex_state = 2},
  [7518] = {.lex_state = 380, .external_lex_state = 2},
  [7519] = {.lex_state = 380, .external_lex_state = 2},
  [7520] = {.lex_state = 380, .external_lex_state = 2},
  [7521] = {.lex_state = 57, .external_lex_state = 2},
  [7522] = {.lex_state = 380, .external_lex_state = 2},
  [7523] = {.lex_state = 380, .external_lex_state = 2},
  [7524] = {.lex_state = 380, .external_lex_state = 2},
  [7525] = {.lex_state = 380, .external_lex_state = 2},
  [7526] = {.lex_state = 380, .external_lex_state = 2},
  [7527] = {.lex_state = 380, .external_lex_state = 2},
  [7528] = {.lex_state = 380, .external_lex_state = 2},
  [7529] = {.lex_state = 380, .external_lex_state = 2},
  [7530] = {.lex_state = 380, .external_lex_state = 2},
  [7531] = {.lex_state = 380, .external_lex_state = 2},
  [7532] = {.lex_state = 380, .external_lex_state = 2},
  [7533] = {.lex_state = 380, .external_lex_state = 2},
  [7534] = {.lex_state = 380, .external_lex_state = 5},
  [7535] = {.lex_state = 380, .external_lex_state = 2},
  [7536] = {.lex_state = 380, .external_lex_state = 2},
  [7537] = {.lex_state = 380, .external_lex_state = 2},
  [7538] = {.lex_state = 380, .external_lex_state = 2},
  [7539] = {.lex_state = 380, .external_lex_state = 2},
  [7540] = {.lex_state = 380, .external_lex_state = 2},
  [7541] = {.lex_state = 380, .external_lex_state = 2},
  [7542] = {.lex_state = 380, .external_lex_state = 2},
  [7543] = {.lex_state = 380, .external_lex_state = 2},
  [7544] = {.lex_state = 380, .external_lex_state = 2},
  [7545] = {.lex_state = 380, .external_lex_state = 2},
  [7546] = {.lex_state = 380, .external_lex_state = 2},
  [7547] = {.lex_state = 380, .external_lex_state = 2},
  [7548] = {.lex_state = 380, .external_lex_state = 5},
  [7549] = {.lex_state = 380, .external_lex_state = 2},
  [7550] = {.lex_state = 380, .external_lex_state = 2},
  [7551] = {.lex_state = 380, .external_lex_state = 2},
  [7552] = {.lex_state = 380, .external_lex_state = 5},
  [7553] = {.lex_state = 380, .external_lex_state = 5},
  [7554] = {.lex_state = 380, .external_lex_state = 5},
  [7555] = {.lex_state = 380, .external_lex_state = 2},
  [7556] = {.lex_state = 380, .external_lex_state = 2},
  [7557] = {.lex_state = 380, .external_lex_state = 2},
  [7558] = {.lex_state = 380, .external_lex_state = 2},
  [7559] = {.lex_state = 380, .external_lex_state = 5},
  [7560] = {.lex_state = 380, .external_lex_state = 2},
  [7561] = {.lex_state = 380, .external_lex_state = 5},
  [7562] = {.lex_state = 57, .external_lex_state = 2},
  [7563] = {.lex_state = 380, .external_lex_state = 2},
  [7564] = {.lex_state = 380, .external_lex_state = 2},
  [7565] = {.lex_state = 380, .external_lex_state = 5},
  [7566] = {.lex_state = 380, .external_lex_state = 2},
  [7567] = {.lex_state = 380, .external_lex_state = 5},
  [7568] = {.lex_state = 380, .external_lex_state = 2},
  [7569] = {.lex_state = 380, .external_lex_state = 2},
  [7570] = {.lex_state = 57, .external_lex_state = 2},
  [7571] = {.lex_state = 380, .external_lex_state = 5},
  [7572] = {.lex_state = 380, .external_lex_state = 2},
  [7573] = {.lex_state = 380, .external_lex_state = 5},
  [7574] = {.lex_state = 380, .external_lex_state = 2},
  [7575] = {.lex_state = 380, .external_lex_state = 2},
  [7576] = {.lex_state = 380, .external_lex_state = 2},
  [7577] = {.lex_state = 380, .external_lex_state = 2},
  [7578] = {.lex_state = 380, .external_lex_state = 2},
  [7579] = {.lex_state = 380, .external_lex_state = 2},
  [7580] = {.lex_state = 380, .external_lex_state = 2},
  [7581] = {.lex_state = 380, .external_lex_state = 2},
  [7582] = {.lex_state = 380, .external_lex_state = 2},
  [7583] = {.lex_state = 380, .external_lex_state = 2},
  [7584] = {.lex_state = 380, .external_lex_state = 2},
  [7585] = {.lex_state = 57, .external_lex_state = 2},
  [7586] = {.lex_state = 380, .external_lex_state = 2},
  [7587] = {.lex_state = 54, .external_lex_state = 2},
  [7588] = {.lex_state = 380, .external_lex_state = 2},
  [7589] = {.lex_state = 380, .external_lex_state = 2},
  [7590] = {.lex_state = 380, .external_lex_state = 2},
  [7591] = {.lex_state = 380, .external_lex_state = 2},
  [7592] = {.lex_state = 380, .external_lex_state = 5},
  [7593] = {.lex_state = 380, .external_lex_state = 2},
  [7594] = {.lex_state = 380, .external_lex_state = 2},
  [7595] = {.lex_state = 380, .external_lex_state = 2},
  [7596] = {.lex_state = 380, .external_lex_state = 2},
  [7597] = {.lex_state = 380, .external_lex_state = 5},
  [7598] = {.lex_state = 380, .external_lex_state = 5},
  [7599] = {.lex_state = 380, .external_lex_state = 5},
  [7600] = {.lex_state = 380, .external_lex_state = 2},
  [7601] = {.lex_state = 380, .external_lex_state = 2},
  [7602] = {.lex_state = 380, .external_lex_state = 2},
  [7603] = {.lex_state = 380, .external_lex_state = 2},
  [7604] = {.lex_state = 57, .external_lex_state = 2},
  [7605] = {.lex_state = 380, .external_lex_state = 2},
  [7606] = {.lex_state = 380, .external_lex_state = 2},
  [7607] = {.lex_state = 380, .external_lex_state = 2},
  [7608] = {.lex_state = 380, .external_lex_state = 2},
  [7609] = {.lex_state = 380, .external_lex_state = 2},
  [7610] = {.lex_state = 380, .external_lex_state = 5},
  [7611] = {.lex_state = 380, .external_lex_state = 2},
  [7612] = {.lex_state = 380, .external_lex_state = 2},
  [7613] = {.lex_state = 380, .external_lex_state = 5},
  [7614] = {.lex_state = 380, .external_lex_state = 5},
  [7615] = {.lex_state = 380, .external_lex_state = 2},
  [7616] = {.lex_state = 380, .external_lex_state = 2},
  [7617] = {.lex_state = 57, .external_lex_state = 2},
  [7618] = {.lex_state = 380, .external_lex_state = 2},
  [7619] = {.lex_state = 380, .external_lex_state = 2},
  [7620] = {.lex_state = 380, .external_lex_state = 2},
  [7621] = {.lex_state = 380, .external_lex_state = 2},
  [7622] = {.lex_state = 380, .external_lex_state = 2},
  [7623] = {.lex_state = 380, .external_lex_state = 2},
  [7624] = {.lex_state = 380, .external_lex_state = 2},
  [7625] = {.lex_state = 380, .external_lex_state = 2},
  [7626] = {.lex_state = 380, .external_lex_state = 2},
  [7627] = {.lex_state = 380, .external_lex_state = 2},
  [7628] = {.lex_state = 380, .external_lex_state = 2},
  [7629] = {.lex_state = 57, .external_lex_state = 2},
  [7630] = {.lex_state = 380, .external_lex_state = 2},
  [7631] = {.lex_state = 380, .external_lex_state = 2},
  [7632] = {.lex_state = 380, .external_lex_state = 2},
  [7633] = {.lex_state = 380, .external_lex_state = 2},
  [7634] = {.lex_state = 57, .external_lex_state = 2},
  [7635] = {.lex_state = 380, .external_lex_state = 2},
  [7636] = {.lex_state = 380, .external_lex_state = 2},
  [7637] = {.lex_state = 380, .external_lex_state = 5},
  [7638] = {.lex_state = 380, .external_lex_state = 2},
  [7639] = {.lex_state = 380, .external_lex_state = 2},
  [7640] = {.lex_state = 57, .external_lex_state = 2},
  [7641] = {.lex_state = 380, .external_lex_state = 2},
  [7642] = {.lex_state = 380, .external_lex_state = 2},
  [7643] = {.lex_state = 380, .external_lex_state = 2},
  [7644] = {.lex_state = 380, .external_lex_state = 5},
  [7645] = {.lex_state = 380, .external_lex_state = 2},
  [7646] = {.lex_state = 380, .external_lex_state = 2},
  [7647] = {.lex_state = 380, .external_lex_state = 2},
  [7648] = {.lex_state = 380, .external_lex_state = 2},
  [7649] = {.lex_state = 380, .external_lex_state = 2},
  [7650] = {.lex_state = 380, .external_lex_state = 2},
  [7651] = {.lex_state = 380, .external_lex_state = 2},
  [7652] = {.lex_state = 380, .external_lex_state = 2},
  [7653] = {.lex_state = 380, .external_lex_state = 2},
  [7654] = {.lex_state = 380, .external_lex_state = 2},
  [7655] = {.lex_state = 380, .external_lex_state = 2},
  [7656] = {.lex_state = 380, .external_lex_state = 2},
  [7657] = {.lex_state = 380, .external_lex_state = 2},
  [7658] = {.lex_state = 380, .external_lex_state = 2},
  [7659] = {.lex_state = 380, .external_lex_state = 2},
  [7660] = {.lex_state = 380, .external_lex_state = 2},
  [7661] = {.lex_state = 380, .external_lex_state = 2},
  [7662] = {.lex_state = 380, .external_lex_state = 2},
  [7663] = {.lex_state = 380, .external_lex_state = 2},
  [7664] = {.lex_state = 380, .external_lex_state = 2},
  [7665] = {.lex_state = 57, .external_lex_state = 2},
  [7666] = {.lex_state = 380, .external_lex_state = 2},
  [7667] = {.lex_state = 380, .external_lex_state = 2},
  [7668] = {.lex_state = 380, .external_lex_state = 2},
  [7669] = {.lex_state = 380, .external_lex_state = 2},
  [7670] = {.lex_state = 380, .external_lex_state = 2},
  [7671] = {.lex_state = 380, .external_lex_state = 5},
  [7672] = {.lex_state = 380, .external_lex_state = 2},
  [7673] = {.lex_state = 380, .external_lex_state = 5},
  [7674] = {.lex_state = 380, .external_lex_state = 2},
  [7675] = {.lex_state = 380, .external_lex_state = 2},
  [7676] = {.lex_state = 380, .external_lex_state = 2},
  [7677] = {.lex_state = 380, .external_lex_state = 2},
  [7678] = {.lex_state = 380, .external_lex_state = 2},
  [7679] = {.lex_state = 380, .external_lex_state = 2},
  [7680] = {.lex_state = 380, .external_lex_state = 2},
  [7681] = {.lex_state = 380, .external_lex_state = 2},
  [7682] = {.lex_state = 380, .external_lex_state = 2},
  [7683] = {.lex_state = 380, .external_lex_state = 5},
  [7684] = {.lex_state = 380, .external_lex_state = 5},
  [7685] = {.lex_state = 380, .external_lex_state = 2},
  [7686] = {.lex_state = 380, .external_lex_state = 5},
  [7687] = {.lex_state = 380, .external_lex_state = 2},
  [7688] = {.lex_state = 380, .external_lex_state = 2},
  [7689] = {.lex_state = 380, .external_lex_state = 2},
  [7690] = {.lex_state = 380, .external_lex_state = 5},
  [7691] = {.lex_state = 380, .external_lex_state = 2},
  [7692] = {.lex_state = 57, .external_lex_state = 2},
  [7693] = {.lex_state = 380, .external_lex_state = 2},
  [7694] = {.lex_state = 380, .external_lex_state = 5},
  [7695] = {.lex_state = 380, .external_lex_state = 5},
  [7696] = {.lex_state = 380, .external_lex_state = 2},
  [7697] = {.lex_state = 380, .external_lex_state = 2},
  [7698] = {.lex_state = 380, .external_lex_state = 2},
  [7699] = {.lex_state = 57, .external_lex_state = 2},
  [7700] = {.lex_state = 380, .external_lex_state = 2},
  [7701] = {.lex_state = 380, .external_lex_state = 2},
  [7702] = {.lex_state = 380, .external_lex_state = 5},
  [7703] = {.lex_state = 57, .external_lex_state = 2},
  [7704] = {.lex_state = 380, .external_lex_state = 2},
  [7705] = {.lex_state = 57, .external_lex_state = 2},
  [7706] = {.lex_state = 380, .external_lex_state = 2},
  [7707] = {.lex_state = 380, .external_lex_state = 2},
  [7708] = {.lex_state = 380, .external_lex_state = 2},
  [7709] = {.lex_state = 380, .external_lex_state = 5},
  [7710] = {.lex_state = 380, .external_lex_state = 5},
  [7711] = {.lex_state = 380, .external_lex_state = 2},
  [7712] = {.lex_state = 54, .external_lex_state = 2},
  [7713] = {.lex_state = 380, .external_lex_state = 2},
  [7714] = {.lex_state = 380, .external_lex_state = 2},
  [7715] = {.lex_state = 380, .external_lex_state = 2},
  [7716] = {.lex_state = 380, .external_lex_state = 2},
  [7717] = {.lex_state = 380, .external_lex_state = 2},
  [7718] = {.lex_state = 380, .external_lex_state = 2},
  [7719] = {.lex_state = 380, .external_lex_state = 2},
  [7720] = {.lex_state = 380, .external_lex_state = 2},
  [7721] = {.lex_state = 380, .external_lex_state = 5},
  [7722] = {.lex_state = 380, .external_lex_state = 5},
  [7723] = {.lex_state = 57, .external_lex_state = 2},
  [7724] = {.lex_state = 380, .external_lex_state = 2},
  [7725] = {.lex_state = 380, .external_lex_state = 2},
  [7726] = {.lex_state = 56, .external_lex_state = 2},
  [7727] = {.lex_state = 380, .external_lex_state = 2},
  [7728] = {.lex_state = 380, .external_lex_state = 2},
  [7729] = {.lex_state = 380, .external_lex_state = 2},
  [7730] = {.lex_state = 57, .external_lex_state = 2},
  [7731] = {.lex_state = 380, .external_lex_state = 2},
  [7732] = {.lex_state = 380, .external_lex_state = 5},
  [7733] = {.lex_state = 380, .external_lex_state = 2},
  [7734] = {.lex_state = 57, .external_lex_state = 2},
  [7735] = {.lex_state = 380, .external_lex_state = 2},
  [7736] = {.lex_state = 57, .external_lex_state = 2},
  [7737] = {.lex_state = 380, .external_lex_state = 2},
  [7738] = {.lex_state = 380, .external_lex_state = 5},
  [7739] = {.lex_state = 57, .external_lex_state = 2},
  [7740] = {.lex_state = 380, .external_lex_state = 2},
  [7741] = {.lex_state = 380, .external_lex_state = 2},
  [7742] = {.lex_state = 380, .external_lex_state = 2},
  [7743] = {.lex_state = 57, .external_lex_state = 2},
  [7744] = {.lex_state = 380, .external_lex_state = 2},
  [7745] = {.lex_state = 380, .external_lex_state = 2},
  [7746] = {.lex_state = 380, .external_lex_state = 2},
  [7747] = {.lex_state = 380, .external_lex_state = 2},
  [7748] = {.lex_state = 380, .external_lex_state = 2},
  [7749] = {.lex_state = 380, .external_lex_state = 2},
  [7750] = {.lex_state = 380, .external_lex_state = 2},
  [7751] = {.lex_state = 380, .external_lex_state = 2},
  [7752] = {.lex_state = 380, .external_lex_state = 5},
  [7753] = {.lex_state = 380, .external_lex_state = 2},
  [7754] = {.lex_state = 380, .external_lex_state = 2},
  [7755] = {.lex_state = 380, .external_lex_state = 2},
  [7756] = {.lex_state = 380, .external_lex_state = 2},
  [7757] = {.lex_state = 380, .external_lex_state = 2},
  [7758] = {.lex_state = 380, .external_lex_state = 2},
  [7759] = {.lex_state = 380, .external_lex_state = 2},
  [7760] = {.lex_state = 380, .external_lex_state = 2},
  [7761] = {.lex_state = 57, .external_lex_state = 2},
  [7762] = {.lex_state = 380, .external_lex_state = 5},
  [7763] = {.lex_state = 380, .external_lex_state = 2},
  [7764] = {.lex_state = 57, .external_lex_state = 2},
  [7765] = {.lex_state = 380, .external_lex_state = 2},
  [7766] = {.lex_state = 380, .external_lex_state = 2},
  [7767] = {.lex_state = 380, .external_lex_state = 2},
  [7768] = {.lex_state = 380, .external_lex_state = 2},
  [7769] = {.lex_state = 380, .external_lex_state = 2},
  [7770] = {.lex_state = 380, .external_lex_state = 2},
  [7771] = {.lex_state = 380, .external_lex_state = 5},
  [7772] = {.lex_state = 380, .external_lex_state = 2},
  [7773] = {.lex_state = 380, .external_lex_state = 2},
  [7774] = {.lex_state = 380, .external_lex_state = 2},
  [7775] = {.lex_state = 380, .external_lex_state = 5},
  [7776] = {.lex_state = 380, .external_lex_state = 5},
  [7777] = {.lex_state = 380, .external_lex_state = 2},
  [7778] = {.lex_state = 380, .external_lex_state = 5},
  [7779] = {.lex_state = 380, .external_lex_state = 5},
  [7780] = {.lex_state = 380, .external_lex_state = 2},
  [7781] = {.lex_state = 380, .external_lex_state = 2},
  [7782] = {.lex_state = 380, .external_lex_state = 2},
  [7783] = {.lex_state = 380, .external_lex_state = 2},
  [7784] = {.lex_state = 380, .external_lex_state = 2},
  [7785] = {.lex_state = 380, .external_lex_state = 2},
  [7786] = {.lex_state = 380, .external_lex_state = 5},
  [7787] = {.lex_state = 57, .external_lex_state = 2},
  [7788] = {.lex_state = 380, .external_lex_state = 5},
  [7789] = {.lex_state = 380, .external_lex_state = 2},
  [7790] = {.lex_state = 380, .external_lex_state = 2},
  [7791] = {.lex_state = 380, .external_lex_state = 5},
  [7792] = {.lex_state = 380, .external_lex_state = 5},
  [7793] = {.lex_state = 380, .external_lex_state = 2},
  [7794] = {.lex_state = 380, .external_lex_state = 2},
  [7795] = {.lex_state = 380, .external_lex_state = 2},
  [7796] = {.lex_state = 380, .external_lex_state = 2},
  [7797] = {.lex_state = 380, .external_lex_state = 2},
  [7798] = {.lex_state = 380, .external_lex_state = 2},
  [7799] = {.lex_state = 380, .external_lex_state = 2},
  [7800] = {.lex_state = 380, .external_lex_state = 2},
  [7801] = {.lex_state = 380, .external_lex_state = 5},
  [7802] = {.lex_state = 380, .external_lex_state = 5},
  [7803] = {.lex_state = 380, .external_lex_state = 5},
  [7804] = {.lex_state = 380, .external_lex_state = 5},
  [7805] = {.lex_state = 380, .external_lex_state = 2},
  [7806] = {.lex_state = 380, .external_lex_state = 2},
  [7807] = {.lex_state = 380, .external_lex_state = 5},
  [7808] = {.lex_state = 380, .external_lex_state = 2},
  [7809] = {.lex_state = 380, .external_lex_state = 2},
  [7810] = {.lex_state = 380, .external_lex_state = 2},
  [7811] = {.lex_state = 380, .external_lex_state = 2},
  [7812] = {.lex_state = 380, .external_lex_state = 5},
  [7813] = {.lex_state = 380, .external_lex_state = 5},
  [7814] = {.lex_state = 380, .external_lex_state = 2},
  [7815] = {.lex_state = 380, .external_lex_state = 2},
  [7816] = {.lex_state = 57, .external_lex_state = 2},
  [7817] = {.lex_state = 380, .external_lex_state = 2},
  [7818] = {.lex_state = 56, .external_lex_state = 2},
  [7819] = {.lex_state = 380, .external_lex_state = 2},
  [7820] = {.lex_state = 380, .external_lex_state = 5},
  [7821] = {.lex_state = 380, .external_lex_state = 5},
  [7822] = {.lex_state = 380, .external_lex_state = 2},
  [7823] = {.lex_state = 380, .external_lex_state = 2},
  [7824] = {.lex_state = 380, .external_lex_state = 2},
  [7825] = {.lex_state = 380, .external_lex_state = 2},
  [7826] = {.lex_state = 57, .external_lex_state = 2},
  [7827] = {.lex_state = 380, .external_lex_state = 2},
  [7828] = {.lex_state = 380, .external_lex_state = 2},
  [7829] = {.lex_state = 380, .external_lex_state = 2},
  [7830] = {.lex_state = 380, .external_lex_state = 2},
  [7831] = {.lex_state = 380, .external_lex_state = 2},
  [7832] = {.lex_state = 380, .external_lex_state = 2},
  [7833] = {.lex_state = 380, .external_lex_state = 2},
  [7834] = {.lex_state = 380, .external_lex_state = 2},
  [7835] = {.lex_state = 380, .external_lex_state = 2},
  [7836] = {.lex_state = 380, .external_lex_state = 2},
  [7837] = {.lex_state = 380, .external_lex_state = 2},
  [7838] = {.lex_state = 56, .external_lex_state = 2},
  [7839] = {.lex_state = 380, .external_lex_state = 2},
  [7840] = {.lex_state = 57, .external_lex_state = 2},
  [7841] = {.lex_state = 380, .external_lex_state = 2},
  [7842] = {.lex_state = 380, .external_lex_state = 2},
  [7843] = {.lex_state = 380, .external_lex_state = 2},
  [7844] = {.lex_state = 380, .external_lex_state = 2},
  [7845] = {.lex_state = 380, .external_lex_state = 2},
  [7846] = {.lex_state = 380, .external_lex_state = 2},
  [7847] = {.lex_state = 380, .external_lex_state = 2},
  [7848] = {.lex_state = 380, .external_lex_state = 2},
  [7849] = {.lex_state = 380, .external_lex_state = 5},
  [7850] = {.lex_state = 380, .external_lex_state = 5},
  [7851] = {.lex_state = 380, .external_lex_state = 2},
  [7852] = {.lex_state = 380, .external_lex_state = 2},
  [7853] = {.lex_state = 380, .external_lex_state = 2},
  [7854] = {.lex_state = 57, .external_lex_state = 2},
  [7855] = {.lex_state = 380, .external_lex_state = 2},
  [7856] = {.lex_state = 380, .external_lex_state = 2},
  [7857] = {.lex_state = 380, .external_lex_state = 2},
  [7858] = {.lex_state = 380, .external_lex_state = 2},
  [7859] = {.lex_state = 380, .external_lex_state = 2},
  [7860] = {.lex_state = 380, .external_lex_state = 2},
  [7861] = {.lex_state = 380, .external_lex_state = 2},
  [7862] = {.lex_state = 380, .external_lex_state = 2},
  [7863] = {.lex_state = 57, .external_lex_state = 2},
  [7864] = {.lex_state = 57, .external_lex_state = 2},
  [7865] = {.lex_state = 380, .external_lex_state = 2},
  [7866] = {.lex_state = 380, .external_lex_state = 2},
  [7867] = {.lex_state = 380, .external_lex_state = 2},
  [7868] = {.lex_state = 380, .external_lex_state = 2},
  [7869] = {.lex_state = 57, .external_lex_state = 2},
  [7870] = {.lex_state = 380, .external_lex_state = 2},
  [7871] = {.lex_state = 380, .external_lex_state = 2},
  [7872] = {.lex_state = 380, .external_lex_state = 2},
  [7873] = {.lex_state = 380, .external_lex_state = 2},
  [7874] = {.lex_state = 380, .external_lex_state = 2},
  [7875] = {.lex_state = 380, .external_lex_state = 2},
  [7876] = {.lex_state = 380, .external_lex_state = 2},
  [7877] = {.lex_state = 57, .external_lex_state = 2},
  [7878] = {.lex_state = 380, .external_lex_state = 2},
  [7879] = {.lex_state = 380, .external_lex_state = 2},
  [7880] = {.lex_state = 380, .external_lex_state = 5},
  [7881] = {.lex_state = 380, .external_lex_state = 2},
  [7882] = {.lex_state = 380, .external_lex_state = 2},
  [7883] = {.lex_state = 380, .external_lex_state = 2},
  [7884] = {.lex_state = 380, .external_lex_state = 5},
  [7885] = {.lex_state = 380, .external_lex_state = 2},
  [7886] = {.lex_state = 380, .external_lex_state = 5},
  [7887] = {.lex_state = 380, .external_lex_state = 2},
  [7888] = {.lex_state = 380, .external_lex_state = 2},
  [7889] = {.lex_state = 380, .external_lex_state = 2},
  [7890] = {.lex_state = 380, .external_lex_state = 2},
  [7891] = {.lex_state = 57, .external_lex_state = 2},
  [7892] = {.lex_state = 380, .external_lex_state = 2},
  [7893] = {.lex_state = 380, .external_lex_state = 2},
  [7894] = {.lex_state = 380, .external_lex_state = 5},
  [7895] = {.lex_state = 380, .external_lex_state = 2},
  [7896] = {.lex_state = 380, .external_lex_state = 2},
  [7897] = {.lex_state = 1, .external_lex_state = 2},
  [7898] = {.lex_state = 380, .external_lex_state = 2},
  [7899] = {.lex_state = 380, .external_lex_state = 2},
  [7900] = {.lex_state = 380, .external_lex_state = 2},
  [7901] = {.lex_state = 380, .external_lex_state = 5},
  [7902] = {.lex_state = 380, .external_lex_state = 2},
  [7903] = {.lex_state = 380, .external_lex_state = 2},
  [7904] = {.lex_state = 380, .external_lex_state = 2},
  [7905] = {.lex_state = 380, .external_lex_state = 2},
  [7906] = {.lex_state = 380, .external_lex_state = 2},
  [7907] = {.lex_state = 380, .external_lex_state = 2},
  [7908] = {.lex_state = 380, .external_lex_state = 2},
  [7909] = {.lex_state = 57, .external_lex_state = 2},
  [7910] = {.lex_state = 380, .external_lex_state = 2},
  [7911] = {.lex_state = 380, .external_lex_state = 5},
  [7912] = {.lex_state = 380, .external_lex_state = 2},
  [7913] = {.lex_state = 380, .external_lex_state = 5},
  [7914] = {.lex_state = 380, .external_lex_state = 2},
  [7915] = {.lex_state = 380, .external_lex_state = 2},
  [7916] = {.lex_state = 380, .external_lex_state = 2},
  [7917] = {.lex_state = 57, .external_lex_state = 2},
  [7918] = {.lex_state = 380, .external_lex_state = 2},
  [7919] = {.lex_state = 57, .external_lex_state = 2},
  [7920] = {.lex_state = 380, .external_lex_state = 5},
  [7921] = {.lex_state = 380, .external_lex_state = 2},
  [7922] = {.lex_state = 380, .external_lex_state = 5},
  [7923] = {.lex_state = 380, .external_lex_state = 5},
  [7924] = {.lex_state = 57, .external_lex_state = 2},
  [7925] = {.lex_state = 380, .external_lex_state = 2},
  [7926] = {.lex_state = 57, .external_lex_state = 2},
  [7927] = {.lex_state = 57, .external_lex_state = 2},
  [7928] = {.lex_state = 380, .external_lex_state = 2},
  [7929] = {.lex_state = 380, .external_lex_state = 2},
  [7930] = {.lex_state = 380, .external_lex_state = 5},
  [7931] = {.lex_state = 380, .external_lex_state = 2},
  [7932] = {.lex_state = 380, .external_lex_state = 2},
  [7933] = {.lex_state = 380, .external_lex_state = 5},
  [7934] = {.lex_state = 380, .external_lex_state = 2},
  [7935] = {.lex_state = 380, .external_lex_state = 5},
  [7936] = {.lex_state = 380, .external_lex_state = 2},
  [7937] = {.lex_state = 380, .external_lex_state = 2},
  [7938] = {.lex_state = 380, .external_lex_state = 5},
  [7939] = {.lex_state = 380, .external_lex_state = 2},
  [7940] = {.lex_state = 380, .external_lex_state = 2},
  [7941] = {.lex_state = 380, .external_lex_state = 2},
  [7942] = {.lex_state = 380, .external_lex_state = 2},
  [7943] = {.lex_state = 380, .external_lex_state = 5},
  [7944] = {.lex_state = 380, .external_lex_state = 2},
  [7945] = {.lex_state = 380, .external_lex_state = 5},
  [7946] = {.lex_state = 380, .external_lex_state = 2},
  [7947] = {.lex_state = 380, .external_lex_state = 2},
  [7948] = {.lex_state = 380, .external_lex_state = 2},
  [7949] = {.lex_state = 380, .external_lex_state = 2},
  [7950] = {.lex_state = 380, .external_lex_state = 2},
  [7951] = {.lex_state = 380, .external_lex_state = 2},
  [7952] = {.lex_state = 380, .external_lex_state = 2},
  [7953] = {.lex_state = 380, .external_lex_state = 2},
  [7954] = {.lex_state = 380, .external_lex_state = 2},
  [7955] = {.lex_state = 380, .external_lex_state = 2},
  [7956] = {.lex_state = 380, .external_lex_state = 2},
  [7957] = {.lex_state = 380, .external_lex_state = 2},
  [7958] = {.lex_state = 380, .external_lex_state = 2},
  [7959] = {.lex_state = 380, .external_lex_state = 2},
  [7960] = {.lex_state = 380, .external_lex_state = 2},
  [7961] = {.lex_state = 380, .external_lex_state = 2},
  [7962] = {.lex_state = 380, .external_lex_state = 2},
  [7963] = {.lex_state = 380, .external_lex_state = 2},
  [7964] = {.lex_state = 380, .external_lex_state = 2},
  [7965] = {.lex_state = 57, .external_lex_state = 2},
  [7966] = {.lex_state = 380, .external_lex_state = 5},
  [7967] = {.lex_state = 380, .external_lex_state = 2},
  [7968] = {.lex_state = 380, .external_lex_state = 5},
  [7969] = {.lex_state = 380, .external_lex_state = 2},
  [7970] = {.lex_state = 380, .external_lex_state = 5},
  [7971] = {.lex_state = 380, .external_lex_state = 2},
  [7972] = {.lex_state = 380, .external_lex_state = 2},
  [7973] = {.lex_state = 380, .external_lex_state = 2},
  [7974] = {.lex_state = 380, .external_lex_state = 2},
  [7975] = {.lex_state = 57, .external_lex_state = 2},
  [7976] = {.lex_state = 380, .external_lex_state = 5},
  [7977] = {.lex_state = 380, .external_lex_state = 2},
  [7978] = {.lex_state = 380, .external_lex_state = 5},
  [7979] = {.lex_state = 380, .external_lex_state = 2},
  [7980] = {.lex_state = 380, .external_lex_state = 5},
  [7981] = {.lex_state = 57, .external_lex_state = 2},
  [7982] = {.lex_state = 380, .external_lex_state = 2},
  [7983] = {.lex_state = 380, .external_lex_state = 2},
  [7984] = {.lex_state = 380, .external_lex_state = 2},
  [7985] = {.lex_state = 380, .external_lex_state = 2},
  [7986] = {.lex_state = 380, .external_lex_state = 2},
  [7987] = {.lex_state = 380, .external_lex_state = 2},
  [7988] = {.lex_state = 380, .external_lex_state = 2},
  [7989] = {.lex_state = 380, .external_lex_state = 5},
  [7990] = {.lex_state = 380, .external_lex_state = 5},
  [7991] = {.lex_state = 380, .external_lex_state = 2},
  [7992] = {.lex_state = 380, .external_lex_state = 5},
  [7993] = {.lex_state = 380, .external_lex_state = 5},
  [7994] = {.lex_state = 380, .external_lex_state = 2},
  [7995] = {.lex_state = 380, .external_lex_state = 2},
  [7996] = {.lex_state = 380, .external_lex_state = 5},
  [7997] = {.lex_state = 54, .external_lex_state = 2},
  [7998] = {.lex_state = 380, .external_lex_state = 2},
  [7999] = {.lex_state = 380, .external_lex_state = 5},
  [8000] = {.lex_state = 380, .external_lex_state = 2},
  [8001] = {.lex_state = 380, .external_lex_state = 2},
  [8002] = {.lex_state = 380, .external_lex_state = 2},
  [8003] = {.lex_state = 380, .external_lex_state = 5},
  [8004] = {.lex_state = 380, .external_lex_state = 5},
  [8005] = {.lex_state = 380, .external_lex_state = 5},
  [8006] = {.lex_state = 380, .external_lex_state = 2},
  [8007] = {.lex_state = 380, .external_lex_state = 2},
  [8008] = {.lex_state = 380, .external_lex_state = 5},
  [8009] = {.lex_state = 380, .external_lex_state = 2},
  [8010] = {.lex_state = 380, .external_lex_state = 2},
  [8011] = {.lex_state = 380, .external_lex_state = 2},
  [8012] = {.lex_state = 380, .external_lex_state = 2},
  [8013] = {.lex_state = 380, .external_lex_state = 2},
  [8014] = {.lex_state = 380, .external_lex_state = 5},
  [8015] = {.lex_state = 57, .external_lex_state = 2},
  [8016] = {.lex_state = 380, .external_lex_state = 2},
  [8017] = {.lex_state = 380, .external_lex_state = 2},
  [8018] = {.lex_state = 380, .external_lex_state = 2},
  [8019] = {.lex_state = 57, .external_lex_state = 2},
  [8020] = {.lex_state = 57, .external_lex_state = 2},
  [8021] = {.lex_state = 380, .external_lex_state = 2},
  [8022] = {.lex_state = 380, .external_lex_state = 2},
  [8023] = {.lex_state = 57, .external_lex_state = 2},
  [8024] = {.lex_state = 380, .external_lex_state = 2},
  [8025] = {.lex_state = 380, .external_lex_state = 5},
  [8026] = {.lex_state = 380, .external_lex_state = 5},
  [8027] = {.lex_state = 380, .external_lex_state = 2},
  [8028] = {.lex_state = 380, .external_lex_state = 2},
  [8029] = {.lex_state = 380, .external_lex_state = 2},
  [8030] = {.lex_state = 380, .external_lex_state = 2},
  [8031] = {.lex_state = 380, .external_lex_state = 2},
  [8032] = {.lex_state = 380, .external_lex_state = 2},
  [8033] = {.lex_state = 380, .external_lex_state = 2},
  [8034] = {.lex_state = 380, .external_lex_state = 2},
  [8035] = {.lex_state = 380, .external_lex_state = 2},
  [8036] = {.lex_state = 380, .external_lex_state = 2},
  [8037] = {.lex_state = 380, .external_lex_state = 2},
  [8038] = {.lex_state = 380, .external_lex_state = 2},
  [8039] = {.lex_state = 380, .external_lex_state = 5},
  [8040] = {.lex_state = 380, .external_lex_state = 2},
  [8041] = {.lex_state = 380, .external_lex_state = 2},
  [8042] = {.lex_state = 380, .external_lex_state = 2},
  [8043] = {.lex_state = 380, .external_lex_state = 5},
  [8044] = {.lex_state = 380, .external_lex_state = 2},
  [8045] = {.lex_state = 380, .external_lex_state = 2},
  [8046] = {.lex_state = 380, .external_lex_state = 5},
  [8047] = {.lex_state = 380, .external_lex_state = 2},
  [8048] = {.lex_state = 380, .external_lex_state = 2},
  [8049] = {.lex_state = 380, .external_lex_state = 5},
  [8050] = {.lex_state = 380, .external_lex_state = 2},
  [8051] = {.lex_state = 380, .external_lex_state = 2},
  [8052] = {.lex_state = 380, .external_lex_state = 2},
  [8053] = {.lex_state = 380, .external_lex_state = 2},
  [8054] = {.lex_state = 380, .external_lex_state = 5},
  [8055] = {.lex_state = 380, .external_lex_state = 2},
  [8056] = {.lex_state = 380, .external_lex_state = 5},
  [8057] = {.lex_state = 380, .external_lex_state = 5},
  [8058] = {.lex_state = 380, .external_lex_state = 2},
  [8059] = {.lex_state = 380, .external_lex_state = 2},
  [8060] = {.lex_state = 380, .external_lex_state = 2},
  [8061] = {.lex_state = 380, .external_lex_state = 2},
  [8062] = {.lex_state = 380, .external_lex_state = 2},
  [8063] = {.lex_state = 380, .external_lex_state = 2},
  [8064] = {.lex_state = 380, .external_lex_state = 2},
  [8065] = {.lex_state = 380, .external_lex_state = 2},
  [8066] = {.lex_state = 380, .external_lex_state = 2},
  [8067] = {.lex_state = 380, .external_lex_state = 2},
  [8068] = {.lex_state = 380, .external_lex_state = 2},
  [8069] = {.lex_state = 380, .external_lex_state = 2},
  [8070] = {.lex_state = 380, .external_lex_state = 2},
  [8071] = {.lex_state = 380, .external_lex_state = 2},
  [8072] = {.lex_state = 380, .external_lex_state = 2},
  [8073] = {.lex_state = 380, .external_lex_state = 2},
  [8074] = {.lex_state = 57, .external_lex_state = 2},
  [8075] = {.lex_state = 380, .external_lex_state = 2},
  [8076] = {.lex_state = 380, .external_lex_state = 2},
  [8077] = {.lex_state = 380, .external_lex_state = 2},
  [8078] = {.lex_state = 380, .external_lex_state = 2},
  [8079] = {.lex_state = 380, .external_lex_state = 2},
  [8080] = {.lex_state = 380, .external_lex_state = 2},
  [8081] = {.lex_state = 380, .external_lex_state = 5},
  [8082] = {.lex_state = 380, .external_lex_state = 2},
  [8083] = {.lex_state = 380, .external_lex_state = 2},
  [8084] = {.lex_state = 380, .external_lex_state = 2},
  [8085] = {.lex_state = 54, .external_lex_state = 2},
  [8086] = {.lex_state = 57, .external_lex_state = 2},
  [8087] = {.lex_state = 57, .external_lex_state = 2},
  [8088] = {.lex_state = 380, .external_lex_state = 2},
  [8089] = {.lex_state = 380, .external_lex_state = 2},
  [8090] = {.lex_state = 380, .external_lex_state = 2},
  [8091] = {.lex_state = 380, .external_lex_state = 2},
  [8092] = {.lex_state = 380, .external_lex_state = 5},
  [8093] = {.lex_state = 380, .external_lex_state = 2},
  [8094] = {.lex_state = 380, .external_lex_state = 2},
  [8095] = {.lex_state = 1, .external_lex_state = 2},
  [8096] = {.lex_state = 380, .external_lex_state = 2},
  [8097] = {.lex_state = 380, .external_lex_state = 2},
  [8098] = {.lex_state = 380, .external_lex_state = 2},
  [8099] = {.lex_state = 380, .external_lex_state = 5},
  [8100] = {.lex_state = 380, .external_lex_state = 5},
  [8101] = {.lex_state = 380, .external_lex_state = 5},
  [8102] = {.lex_state = 380, .external_lex_state = 5},
  [8103] = {.lex_state = 57, .external_lex_state = 2},
  [8104] = {.lex_state = 57, .external_lex_state = 2},
  [8105] = {.lex_state = 380, .external_lex_state = 2},
  [8106] = {.lex_state = 57, .external_lex_state = 2},
  [8107] = {.lex_state = 380, .external_lex_state = 2},
  [8108] = {.lex_state = 380, .external_lex_state = 2},
  [8109] = {.lex_state = 380, .external_lex_state = 2},
  [8110] = {.lex_state = 380, .external_lex_state = 2},
  [8111] = {.lex_state = 380, .external_lex_state = 2},
  [8112] = {.lex_state = 380, .external_lex_state = 5},
  [8113] = {.lex_state = 380, .external_lex_state = 5},
  [8114] = {.lex_state = 380, .external_lex_state = 5},
  [8115] = {.lex_state = 380, .external_lex_state = 5},
  [8116] = {.lex_state = 380, .external_lex_state = 5},
  [8117] = {.lex_state = 380, .external_lex_state = 2},
  [8118] = {.lex_state = 57, .external_lex_state = 2},
  [8119] = {.lex_state = 57, .external_lex_state = 2},
  [8120] = {.lex_state = 380, .external_lex_state = 2},
  [8121] = {.lex_state = 380, .external_lex_state = 5},
  [8122] = {.lex_state = 380, .external_lex_state = 2},
  [8123] = {.lex_state = 380, .external_lex_state = 2},
  [8124] = {.lex_state = 380, .external_lex_state = 5},
  [8125] = {.lex_state = 380, .external_lex_state = 2},
  [8126] = {.lex_state = 380, .external_lex_state = 2},
  [8127] = {.lex_state = 380, .external_lex_state = 2},
  [8128] = {.lex_state = 380, .external_lex_state = 5},
  [8129] = {.lex_state = 380, .external_lex_state = 2},
  [8130] = {.lex_state = 57, .external_lex_state = 2},
  [8131] = {.lex_state = 380, .external_lex_state = 2},
  [8132] = {.lex_state = 54, .external_lex_state = 2},
  [8133] = {.lex_state = 380, .external_lex_state = 2},
  [8134] = {.lex_state = 380, .external_lex_state = 2},
  [8135] = {.lex_state = 380, .external_lex_state = 2},
  [8136] = {.lex_state = 380, .external_lex_state = 2},
  [8137] = {.lex_state = 57, .external_lex_state = 2},
  [8138] = {.lex_state = 380, .external_lex_state = 2},
  [8139] = {.lex_state = 57, .external_lex_state = 2},
  [8140] = {.lex_state = 380, .external_lex_state = 2},
  [8141] = {.lex_state = 380, .external_lex_state = 2},
  [8142] = {.lex_state = 380, .external_lex_state = 2},
  [8143] = {.lex_state = 380, .external_lex_state = 5},
  [8144] = {.lex_state = 380, .external_lex_state = 2},
  [8145] = {.lex_state = 380, .external_lex_state = 2},
  [8146] = {.lex_state = 380, .external_lex_state = 2},
  [8147] = {.lex_state = 380, .external_lex_state = 2},
  [8148] = {.lex_state = 380, .external_lex_state = 5},
  [8149] = {.lex_state = 380, .external_lex_state = 5},
  [8150] = {.lex_state = 380, .external_lex_state = 2},
  [8151] = {.lex_state = 380, .external_lex_state = 2},
  [8152] = {.lex_state = 380, .external_lex_state = 5},
  [8153] = {.lex_state = 57, .external_lex_state = 2},
  [8154] = {.lex_state = 380, .external_lex_state = 2},
  [8155] = {.lex_state = 380, .external_lex_state = 5},
  [8156] = {.lex_state = 380, .external_lex_state = 2},
  [8157] = {.lex_state = 380, .external_lex_state = 2},
  [8158] = {.lex_state = 380, .external_lex_state = 2},
  [8159] = {.lex_state = 380, .external_lex_state = 2},
  [8160] = {.lex_state = 380, .external_lex_state = 2},
  [8161] = {.lex_state = 380, .external_lex_state = 2},
  [8162] = {.lex_state = 57, .external_lex_state = 2},
  [8163] = {.lex_state = 57, .external_lex_state = 2},
  [8164] = {.lex_state = 380, .external_lex_state = 2},
  [8165] = {.lex_state = 380, .external_lex_state = 2},
  [8166] = {.lex_state = 380, .external_lex_state = 5},
  [8167] = {.lex_state = 380, .external_lex_state = 2},
  [8168] = {.lex_state = 57, .external_lex_state = 2},
  [8169] = {.lex_state = 380, .external_lex_state = 2},
  [8170] = {.lex_state = 380, .external_lex_state = 2},
  [8171] = {.lex_state = 57, .external_lex_state = 2},
  [8172] = {.lex_state = 57, .external_lex_state = 2},
  [8173] = {.lex_state = 380, .external_lex_state = 2},
  [8174] = {.lex_state = 380, .external_lex_state = 2},
  [8175] = {.lex_state = 380, .external_lex_state = 2},
  [8176] = {.lex_state = 380, .external_lex_state = 2},
  [8177] = {.lex_state = 57, .external_lex_state = 2},
  [8178] = {.lex_state = 57, .external_lex_state = 2},
  [8179] = {.lex_state = 380, .external_lex_state = 2},
  [8180] = {.lex_state = 380, .external_lex_state = 2},
  [8181] = {.lex_state = 380, .external_lex_state = 2},
  [8182] = {.lex_state = 380, .external_lex_state = 2},
  [8183] = {.lex_state = 380, .external_lex_state = 2},
  [8184] = {.lex_state = 380, .external_lex_state = 2},
  [8185] = {.lex_state = 380, .external_lex_state = 2},
  [8186] = {.lex_state = 380, .external_lex_state = 5},
  [8187] = {.lex_state = 380, .external_lex_state = 2},
  [8188] = {.lex_state = 56, .external_lex_state = 2},
  [8189] = {.lex_state = 380, .external_lex_state = 2},
  [8190] = {.lex_state = 380, .external_lex_state = 2},
  [8191] = {.lex_state = 380, .external_lex_state = 2},
  [8192] = {.lex_state = 380, .external_lex_state = 2},
  [8193] = {.lex_state = 380, .external_lex_state = 5},
  [8194] = {.lex_state = 380, .external_lex_state = 5},
  [8195] = {.lex_state = 380, .external_lex_state = 2},
  [8196] = {.lex_state = 380, .external_lex_state = 2},
  [8197] = {.lex_state = 57, .external_lex_state = 2},
  [8198] = {.lex_state = 380, .external_lex_state = 2},
  [8199] = {.lex_state = 380, .external_lex_state = 2},
  [8200] = {.lex_state = 380, .external_lex_state = 2},
  [8201] = {.lex_state = 57, .external_lex_state = 2},
  [8202] = {.lex_state = 380, .external_lex_state = 2},
  [8203] = {.lex_state = 380, .external_lex_state = 2},
  [8204] = {.lex_state = 56, .external_lex_state = 2},
  [8205] = {.lex_state = 380, .external_lex_state = 2},
  [8206] = {.lex_state = 380, .external_lex_state = 2},
  [8207] = {.lex_state = 380, .external_lex_state = 2},
  [8208] = {.lex_state = 380, .external_lex_state = 2},
  [8209] = {.lex_state = 380, .external_lex_state = 2},
  [8210] = {.lex_state = 380, .external_lex_state = 2},
  [8211] = {.lex_state = 380, .external_lex_state = 2},
  [8212] = {.lex_state = 380, .external_lex_state = 2},
  [8213] = {.lex_state = 380, .external_lex_state = 2},
  [8214] = {.lex_state = 380, .external_lex_state = 2},
  [8215] = {.lex_state = 56, .external_lex_state = 2},
  [8216] = {.lex_state = 380, .external_lex_state = 2},
  [8217] = {.lex_state = 380, .external_lex_state = 2},
  [8218] = {.lex_state = 380, .external_lex_state = 2},
  [8219] = {.lex_state = 380, .external_lex_state = 2},
  [8220] = {.lex_state = 2, .external_lex_state = 10},
  [8221] = {.lex_state = 380, .external_lex_state = 2},
  [8222] = {.lex_state = 57, .external_lex_state = 2},
  [8223] = {.lex_state = 380, .external_lex_state = 2},
  [8224] = {.lex_state = 380, .external_lex_state = 2},
  [8225] = {.lex_state = 380, .external_lex_state = 2},
  [8226] = {.lex_state = 380, .external_lex_state = 2},
  [8227] = {.lex_state = 380, .external_lex_state = 2},
  [8228] = {.lex_state = 57, .external_lex_state = 2},
  [8229] = {.lex_state = 57, .external_lex_state = 2},
  [8230] = {.lex_state = 380, .external_lex_state = 2},
  [8231] = {.lex_state = 380, .external_lex_state = 2},
  [8232] = {.lex_state = 380, .external_lex_state = 2},
  [8233] = {.lex_state = 380, .external_lex_state = 2},
  [8234] = {.lex_state = 380, .external_lex_state = 2},
  [8235] = {.lex_state = 57, .external_lex_state = 2},
  [8236] = {.lex_state = 81, .external_lex_state = 2},
  [8237] = {.lex_state = 54, .external_lex_state = 2},
  [8238] = {.lex_state = 57, .external_lex_state = 2},
  [8239] = {.lex_state = 380, .external_lex_state = 2},
  [8240] = {.lex_state = 380, .external_lex_state = 2},
  [8241] = {.lex_state = 57, .external_lex_state = 2},
  [8242] = {.lex_state = 57, .external_lex_state = 2},
  [8243] = {.lex_state = 380, .external_lex_state = 2},
  [8244] = {.lex_state = 57, .external_lex_state = 2},
  [8245] = {.lex_state = 380, .external_lex_state = 2},
  [8246] = {.lex_state = 57, .external_lex_state = 2},
  [8247] = {.lex_state = 380, .external_lex_state = 2},
  [8248] = {.lex_state = 380, .external_lex_state = 2},
  [8249] = {.lex_state = 380, .external_lex_state = 2},
  [8250] = {.lex_state = 380, .external_lex_state = 2},
  [8251] = {.lex_state = 380, .external_lex_state = 2},
  [8252] = {.lex_state = 56, .external_lex_state = 2},
  [8253] = {.lex_state = 57, .external_lex_state = 2},
  [8254] = {.lex_state = 380, .external_lex_state = 2},
  [8255] = {.lex_state = 57, .external_lex_state = 2},
  [8256] = {.lex_state = 57, .external_lex_state = 2},
  [8257] = {.lex_state = 380, .external_lex_state = 2},
  [8258] = {.lex_state = 81, .external_lex_state = 2},
  [8259] = {.lex_state = 57, .external_lex_state = 2},
  [8260] = {.lex_state = 54, .external_lex_state = 2},
  [8261] = {.lex_state = 57, .external_lex_state = 2},
  [8262] = {.lex_state = 57, .external_lex_state = 2},
  [8263] = {.lex_state = 57, .external_lex_state = 2},
  [8264] = {.lex_state = 57, .external_lex_state = 2},
  [8265] = {.lex_state = 2, .external_lex_state = 10},
  [8266] = {.lex_state = 57, .external_lex_state = 2},
  [8267] = {.lex_state = 380, .external_lex_state = 2},
  [8268] = {.lex_state = 57, .external_lex_state = 2},
  [8269] = {.lex_state = 380, .external_lex_state = 2},
  [8270] = {.lex_state = 380, .external_lex_state = 2},
  [8271] = {.lex_state = 57, .external_lex_state = 2},
  [8272] = {.lex_state = 57, .external_lex_state = 2},
  [8273] = {.lex_state = 57, .external_lex_state = 2},
  [8274] = {.lex_state = 57, .external_lex_state = 2},
  [8275] = {.lex_state = 380, .external_lex_state = 2},
  [8276] = {.lex_state = 380, .external_lex_state = 2},
  [8277] = {.lex_state = 57, .external_lex_state = 2},
  [8278] = {.lex_state = 380, .external_lex_state = 2},
  [8279] = {.lex_state = 57, .external_lex_state = 2},
  [8280] = {.lex_state = 57, .external_lex_state = 2},
  [8281] = {.lex_state = 57, .external_lex_state = 2},
  [8282] = {.lex_state = 2, .external_lex_state = 10},
  [8283] = {.lex_state = 57, .external_lex_state = 2},
  [8284] = {.lex_state = 380, .external_lex_state = 2},
  [8285] = {.lex_state = 380, .external_lex_state = 2},
  [8286] = {.lex_state = 380, .external_lex_state = 2},
  [8287] = {.lex_state = 380, .external_lex_state = 2},
  [8288] = {.lex_state = 380, .external_lex_state = 2},
  [8289] = {.lex_state = 380, .external_lex_state = 2},
  [8290] = {.lex_state = 380, .external_lex_state = 2},
  [8291] = {.lex_state = 380, .external_lex_state = 2},
  [8292] = {.lex_state = 380, .external_lex_state = 2},
  [8293] = {.lex_state = 380, .external_lex_state = 2},
  [8294] = {.lex_state = 380, .external_lex_state = 2},
  [8295] = {.lex_state = 380, .external_lex_state = 2},
  [8296] = {.lex_state = 380, .external_lex_state = 2},
  [8297] = {.lex_state = 380, .external_lex_state = 2},
  [8298] = {.lex_state = 380, .external_lex_state = 2},
  [8299] = {.lex_state = 380, .external_lex_state = 2},
  [8300] = {.lex_state = 54, .external_lex_state = 2},
  [8301] = {.lex_state = 2, .external_lex_state = 10},
  [8302] = {.lex_state = 380, .external_lex_state = 2},
  [8303] = {.lex_state = 380, .external_lex_state = 2},
  [8304] = {.lex_state = 380, .external_lex_state = 2},
  [8305] = {.lex_state = 380, .external_lex_state = 2},
  [8306] = {.lex_state = 380, .external_lex_state = 2},
  [8307] = {.lex_state = 57, .external_lex_state = 2},
  [8308] = {.lex_state = 57, .external_lex_state = 2},
  [8309] = {.lex_state = 57, .external_lex_state = 2},
  [8310] = {.lex_state = 57, .external_lex_state = 2},
  [8311] = {.lex_state = 380, .external_lex_state = 2},
  [8312] = {.lex_state = 380, .external_lex_state = 2},
  [8313] = {.lex_state = 57, .external_lex_state = 2},
  [8314] = {.lex_state = 380, .external_lex_state = 2},
  [8315] = {.lex_state = 380, .external_lex_state = 2},
  [8316] = {.lex_state = 380, .external_lex_state = 2},
  [8317] = {.lex_state = 380, .external_lex_state = 2},
  [8318] = {.lex_state = 56, .external_lex_state = 2},
  [8319] = {.lex_state = 380, .external_lex_state = 2},
  [8320] = {.lex_state = 57, .external_lex_state = 2},
  [8321] = {.lex_state = 57, .external_lex_state = 2},
  [8322] = {.lex_state = 57, .external_lex_state = 2},
  [8323] = {.lex_state = 380, .external_lex_state = 2},
  [8324] = {.lex_state = 380, .external_lex_state = 2},
  [8325] = {.lex_state = 380, .external_lex_state = 2},
  [8326] = {.lex_state = 380, .external_lex_state = 2},
  [8327] = {.lex_state = 57, .external_lex_state = 2},
  [8328] = {.lex_state = 380, .external_lex_state = 2},
  [8329] = {.lex_state = 380, .external_lex_state = 2},
  [8330] = {.lex_state = 380, .external_lex_state = 2},
  [8331] = {.lex_state = 380, .external_lex_state = 2},
  [8332] = {.lex_state = 57, .external_lex_state = 2},
  [8333] = {.lex_state = 81, .external_lex_state = 2},
  [8334] = {.lex_state = 380, .external_lex_state = 2},
  [8335] = {.lex_state = 380, .external_lex_state = 2},
  [8336] = {.lex_state = 54, .external_lex_state = 2},
  [8337] = {.lex_state = 57, .external_lex_state = 2},
  [8338] = {.lex_state = 380, .external_lex_state = 2},
  [8339] = {.lex_state = 380, .external_lex_state = 2},
  [8340] = {.lex_state = 380, .external_lex_state = 2},
  [8341] = {.lex_state = 380, .external_lex_state = 2},
  [8342] = {.lex_state = 380, .external_lex_state = 2},
  [8343] = {.lex_state = 57, .external_lex_state = 2},
  [8344] = {.lex_state = 380, .external_lex_state = 2},
  [8345] = {.lex_state = 57, .external_lex_state = 2},
  [8346] = {.lex_state = 380, .external_lex_state = 2},
  [8347] = {.lex_state = 380, .external_lex_state = 2},
  [8348] = {.lex_state = 380, .external_lex_state = 2},
  [8349] = {.lex_state = 380, .external_lex_state = 2},
  [8350] = {.lex_state = 380, .external_lex_state = 2},
  [8351] = {.lex_state = 56, .external_lex_state = 2},
  [8352] = {.lex_state = 57, .external_lex_state = 2},
  [8353] = {.lex_state = 380, .external_lex_state = 2},
  [8354] = {.lex_state = 380, .external_lex_state = 2},
  [8355] = {.lex_state = 380, .external_lex_state = 2},
  [8356] = {.lex_state = 380, .external_lex_state = 2},
  [8357] = {.lex_state = 380, .external_lex_state = 2},
  [8358] = {.lex_state = 57, .external_lex_state = 2},
  [8359] = {.lex_state = 380, .external_lex_state = 2},
  [8360] = {.lex_state = 380, .external_lex_state = 2},
  [8361] = {.lex_state = 380, .external_lex_state = 2},
  [8362] = {.lex_state = 380, .external_lex_state = 2},
  [8363] = {.lex_state = 380, .external_lex_state = 2},
  [8364] = {.lex_state = 380, .external_lex_state = 2},
  [8365] = {.lex_state = 380, .external_lex_state = 2},
  [8366] = {.lex_state = 380, .external_lex_state = 2},
  [8367] = {.lex_state = 57, .external_lex_state = 2},
  [8368] = {.lex_state = 380, .external_lex_state = 2},
  [8369] = {.lex_state = 380, .external_lex_state = 2},
  [8370] = {.lex_state = 380, .external_lex_state = 2},
  [8371] = {.lex_state = 380, .external_lex_state = 2},
  [8372] = {.lex_state = 57, .external_lex_state = 2},
  [8373] = {.lex_state = 57, .external_lex_state = 2},
  [8374] = {.lex_state = 380, .external_lex_state = 2},
  [8375] = {.lex_state = 380, .external_lex_state = 2},
  [8376] = {.lex_state = 57, .external_lex_state = 2},
  [8377] = {.lex_state = 380, .external_lex_state = 2},
  [8378] = {.lex_state = 380, .external_lex_state = 2},
  [8379] = {.lex_state = 57, .external_lex_state = 2},
  [8380] = {.lex_state = 380, .external_lex_state = 2},
  [8381] = {.lex_state = 380, .external_lex_state = 2},
  [8382] = {.lex_state = 380, .external_lex_state = 2},
  [8383] = {.lex_state = 380, .external_lex_state = 2},
  [8384] = {.lex_state = 380, .external_lex_state = 2},
  [8385] = {.lex_state = 380, .external_lex_state = 2},
  [8386] = {.lex_state = 380, .external_lex_state = 2},
  [8387] = {.lex_state = 380, .external_lex_state = 2},
  [8388] = {.lex_state = 380, .external_lex_state = 2},
  [8389] = {.lex_state = 57, .external_lex_state = 2},
  [8390] = {.lex_state = 57, .external_lex_state = 2},
  [8391] = {.lex_state = 380, .external_lex_state = 2},
  [8392] = {.lex_state = 380, .external_lex_state = 2},
  [8393] = {.lex_state = 380, .external_lex_state = 2},
  [8394] = {.lex_state = 57, .external_lex_state = 2},
  [8395] = {.lex_state = 380, .external_lex_state = 2},
  [8396] = {.lex_state = 380, .external_lex_state = 2},
  [8397] = {.lex_state = 380, .external_lex_state = 2},
  [8398] = {.lex_state = 380, .external_lex_state = 2},
  [8399] = {.lex_state = 57, .external_lex_state = 2},
  [8400] = {.lex_state = 380, .external_lex_state = 2},
  [8401] = {.lex_state = 57, .external_lex_state = 2},
  [8402] = {.lex_state = 380, .external_lex_state = 2},
  [8403] = {.lex_state = 380, .external_lex_state = 2},
  [8404] = {.lex_state = 57, .external_lex_state = 2},
  [8405] = {.lex_state = 380, .external_lex_state = 2},
  [8406] = {.lex_state = 380, .external_lex_state = 2},
  [8407] = {.lex_state = 57, .external_lex_state = 2},
  [8408] = {.lex_state = 380, .external_lex_state = 2},
  [8409] = {.lex_state = 57, .external_lex_state = 2},
  [8410] = {.lex_state = 57, .external_lex_state = 2},
  [8411] = {.lex_state = 57, .external_lex_state = 2},
  [8412] = {.lex_state = 57, .external_lex_state = 2},
  [8413] = {.lex_state = 57, .external_lex_state = 2},
  [8414] = {.lex_state = 380, .external_lex_state = 2},
  [8415] = {.lex_state = 380, .external_lex_state = 2},
  [8416] = {.lex_state = 380, .external_lex_state = 2},
  [8417] = {.lex_state = 380, .external_lex_state = 2},
  [8418] = {.lex_state = 57, .external_lex_state = 2},
  [8419] = {.lex_state = 54, .external_lex_state = 2},
  [8420] = {.lex_state = 57, .external_lex_state = 2},
  [8421] = {.lex_state = 57, .external_lex_state = 2},
  [8422] = {.lex_state = 380, .external_lex_state = 2},
  [8423] = {.lex_state = 57, .external_lex_state = 2},
  [8424] = {.lex_state = 380, .external_lex_state = 2},
  [8425] = {.lex_state = 380, .external_lex_state = 2},
  [8426] = {.lex_state = 380, .external_lex_state = 2},
  [8427] = {.lex_state = 380, .external_lex_state = 2},
  [8428] = {.lex_state = 380, .external_lex_state = 2},
  [8429] = {.lex_state = 380, .external_lex_state = 2},
  [8430] = {.lex_state = 380, .external_lex_state = 2},
  [8431] = {.lex_state = 380, .external_lex_state = 2},
  [8432] = {.lex_state = 380, .external_lex_state = 2},
  [8433] = {.lex_state = 81, .external_lex_state = 2},
  [8434] = {.lex_state = 57, .external_lex_state = 2},
  [8435] = {.lex_state = 57, .external_lex_state = 2},
  [8436] = {.lex_state = 380, .external_lex_state = 2},
  [8437] = {.lex_state = 380, .external_lex_state = 2},
  [8438] = {.lex_state = 57, .external_lex_state = 2},
  [8439] = {.lex_state = 57, .external_lex_state = 2},
  [8440] = {.lex_state = 380, .external_lex_state = 2},
  [8441] = {.lex_state = 54, .external_lex_state = 2},
  [8442] = {.lex_state = 380, .external_lex_state = 2},
  [8443] = {.lex_state = 380, .external_lex_state = 2},
  [8444] = {.lex_state = 380, .external_lex_state = 2},
  [8445] = {.lex_state = 380, .external_lex_state = 2},
  [8446] = {.lex_state = 380, .external_lex_state = 2},
  [8447] = {.lex_state = 57, .external_lex_state = 2},
  [8448] = {.lex_state = 380, .external_lex_state = 2},
  [8449] = {.lex_state = 380, .external_lex_state = 2},
  [8450] = {.lex_state = 2, .external_lex_state = 10},
  [8451] = {.lex_state = 380, .external_lex_state = 2},
  [8452] = {.lex_state = 57, .external_lex_state = 2},
  [8453] = {.lex_state = 380, .external_lex_state = 2},
  [8454] = {.lex_state = 380, .external_lex_state = 2},
  [8455] = {.lex_state = 57, .external_lex_state = 2},
  [8456] = {.lex_state = 380, .external_lex_state = 2},
  [8457] = {.lex_state = 380, .external_lex_state = 2},
  [8458] = {.lex_state = 57, .external_lex_state = 2},
  [8459] = {.lex_state = 380, .external_lex_state = 2},
  [8460] = {.lex_state = 57, .external_lex_state = 2},
  [8461] = {.lex_state = 380, .external_lex_state = 2},
  [8462] = {.lex_state = 380, .external_lex_state = 2},
  [8463] = {.lex_state = 380, .external_lex_state = 2},
  [8464] = {.lex_state = 380, .external_lex_state = 2},
  [8465] = {.lex_state = 380, .external_lex_state = 2},
  [8466] = {.lex_state = 57, .external_lex_state = 2},
  [8467] = {.lex_state = 57, .external_lex_state = 2},
  [8468] = {.lex_state = 21, .external_lex_state = 2},
  [8469] = {.lex_state = 57, .external_lex_state = 2},
  [8470] = {.lex_state = 380, .external_lex_state = 2},
  [8471] = {.lex_state = 54, .external_lex_state = 2},
  [8472] = {.lex_state = 380, .external_lex_state = 2},
  [8473] = {.lex_state = 380, .external_lex_state = 2},
  [8474] = {.lex_state = 57, .external_lex_state = 2},
  [8475] = {.lex_state = 380, .external_lex_state = 2},
  [8476] = {.lex_state = 380, .external_lex_state = 2},
  [8477] = {.lex_state = 380, .external_lex_state = 2},
  [8478] = {.lex_state = 380, .external_lex_state = 2},
  [8479] = {.lex_state = 380, .external_lex_state = 2},
  [8480] = {.lex_state = 57, .external_lex_state = 2},
  [8481] = {.lex_state = 57, .external_lex_state = 2},
  [8482] = {.lex_state = 57, .external_lex_state = 2},
  [8483] = {.lex_state = 380, .external_lex_state = 2},
  [8484] = {.lex_state = 57, .external_lex_state = 2},
  [8485] = {.lex_state = 21, .external_lex_state = 2},
  [8486] = {.lex_state = 380, .external_lex_state = 2},
  [8487] = {.lex_state = 57, .external_lex_state = 2},
  [8488] = {.lex_state = 57, .external_lex_state = 2},
  [8489] = {.lex_state = 57, .external_lex_state = 2},
  [8490] = {.lex_state = 57, .external_lex_state = 2},
  [8491] = {.lex_state = 57, .external_lex_state = 2},
  [8492] = {.lex_state = 380, .external_lex_state = 2},
  [8493] = {.lex_state = 57, .external_lex_state = 2},
  [8494] = {.lex_state = 380, .external_lex_state = 2},
  [8495] = {.lex_state = 57, .external_lex_state = 2},
  [8496] = {.lex_state = 57, .external_lex_state = 2},
  [8497] = {.lex_state = 57, .external_lex_state = 2},
  [8498] = {.lex_state = 57, .external_lex_state = 2},
  [8499] = {.lex_state = 57, .external_lex_state = 2},
  [8500] = {.lex_state = 57, .external_lex_state = 2},
  [8501] = {.lex_state = 380, .external_lex_state = 2},
  [8502] = {.lex_state = 57, .external_lex_state = 2},
  [8503] = {.lex_state = 380, .external_lex_state = 2},
  [8504] = {.lex_state = 380, .external_lex_state = 2},
  [8505] = {.lex_state = 57, .external_lex_state = 2},
  [8506] = {.lex_state = 57, .external_lex_state = 2},
  [8507] = {.lex_state = 380, .external_lex_state = 2},
  [8508] = {.lex_state = 57, .external_lex_state = 2},
  [8509] = {.lex_state = 380, .external_lex_state = 2},
  [8510] = {.lex_state = 380, .external_lex_state = 2},
  [8511] = {.lex_state = 380, .external_lex_state = 2},
  [8512] = {.lex_state = 380, .external_lex_state = 2},
  [8513] = {.lex_state = 57, .external_lex_state = 2},
  [8514] = {.lex_state = 57, .external_lex_state = 2},
  [8515] = {.lex_state = 56, .external_lex_state = 2},
  [8516] = {.lex_state = 57, .external_lex_state = 2},
  [8517] = {.lex_state = 380, .external_lex_state = 2},
  [8518] = {.lex_state = 380, .external_lex_state = 2},
  [8519] = {.lex_state = 380, .external_lex_state = 2},
  [8520] = {.lex_state = 380, .external_lex_state = 2},
  [8521] = {.lex_state = 56, .external_lex_state = 2},
  [8522] = {.lex_state = 380, .external_lex_state = 2},
  [8523] = {.lex_state = 380, .external_lex_state = 2},
  [8524] = {.lex_state = 380, .external_lex_state = 2},
  [8525] = {.lex_state = 57, .external_lex_state = 2},
  [8526] = {.lex_state = 380, .external_lex_state = 2},
  [8527] = {.lex_state = 57, .external_lex_state = 2},
  [8528] = {.lex_state = 380, .external_lex_state = 2},
  [8529] = {.lex_state = 57, .external_lex_state = 2},
  [8530] = {.lex_state = 380, .external_lex_state = 2},
  [8531] = {.lex_state = 380, .external_lex_state = 2},
  [8532] = {.lex_state = 81, .external_lex_state = 2},
  [8533] = {.lex_state = 380, .external_lex_state = 2},
  [8534] = {.lex_state = 380, .external_lex_state = 2},
  [8535] = {.lex_state = 380, .external_lex_state = 2},
  [8536] = {.lex_state = 380, .external_lex_state = 2},
  [8537] = {.lex_state = 380, .external_lex_state = 2},
  [8538] = {.lex_state = 380, .external_lex_state = 2},
  [8539] = {.lex_state = 380, .external_lex_state = 2},
  [8540] = {.lex_state = 380, .external_lex_state = 2},
  [8541] = {.lex_state = 380, .external_lex_state = 2},
  [8542] = {.lex_state = 57, .external_lex_state = 2},
  [8543] = {.lex_state = 380, .external_lex_state = 2},
  [8544] = {.lex_state = 380, .external_lex_state = 2},
  [8545] = {.lex_state = 380, .external_lex_state = 2},
  [8546] = {.lex_state = 380, .external_lex_state = 2},
  [8547] = {.lex_state = 57, .external_lex_state = 2},
  [8548] = {.lex_state = 380, .external_lex_state = 2},
  [8549] = {.lex_state = 57, .external_lex_state = 2},
  [8550] = {.lex_state = 380, .external_lex_state = 2},
  [8551] = {.lex_state = 380, .external_lex_state = 2},
  [8552] = {.lex_state = 380, .external_lex_state = 2},
  [8553] = {.lex_state = 57, .external_lex_state = 2},
  [8554] = {.lex_state = 380, .external_lex_state = 2},
  [8555] = {.lex_state = 57, .external_lex_state = 2},
  [8556] = {.lex_state = 380, .external_lex_state = 2},
  [8557] = {.lex_state = 380, .external_lex_state = 2},
  [8558] = {.lex_state = 380, .external_lex_state = 2},
  [8559] = {.lex_state = 380, .external_lex_state = 2},
  [8560] = {.lex_state = 380, .external_lex_state = 2},
  [8561] = {.lex_state = 57, .external_lex_state = 2},
  [8562] = {.lex_state = 380, .external_lex_state = 2},
  [8563] = {.lex_state = 57, .external_lex_state = 2},
  [8564] = {.lex_state = 380, .external_lex_state = 2},
  [8565] = {.lex_state = 380, .external_lex_state = 2},
  [8566] = {.lex_state = 380, .external_lex_state = 2},
  [8567] = {.lex_state = 380, .external_lex_state = 2},
  [8568] = {.lex_state = 57, .external_lex_state = 2},
  [8569] = {.lex_state = 380, .external_lex_state = 2},
  [8570] = {.lex_state = 380, .external_lex_state = 2},
  [8571] = {.lex_state = 380, .external_lex_state = 2},
  [8572] = {.lex_state = 380, .external_lex_state = 2},
  [8573] = {.lex_state = 380, .external_lex_state = 2},
  [8574] = {.lex_state = 57, .external_lex_state = 2},
  [8575] = {.lex_state = 21, .external_lex_state = 2},
  [8576] = {.lex_state = 380, .external_lex_state = 2},
  [8577] = {.lex_state = 380, .external_lex_state = 2},
  [8578] = {.lex_state = 380, .external_lex_state = 2},
  [8579] = {.lex_state = 57, .external_lex_state = 2},
  [8580] = {.lex_state = 380, .external_lex_state = 2},
  [8581] = {.lex_state = 57, .external_lex_state = 2},
  [8582] = {.lex_state = 380, .external_lex_state = 2},
  [8583] = {.lex_state = 57, .external_lex_state = 2},
  [8584] = {.lex_state = 57, .external_lex_state = 2},
  [8585] = {.lex_state = 57, .external_lex_state = 2},
  [8586] = {.lex_state = 380, .external_lex_state = 2},
  [8587] = {.lex_state = 57, .external_lex_state = 2},
  [8588] = {.lex_state = 380, .external_lex_state = 2},
  [8589] = {.lex_state = 380, .external_lex_state = 2},
  [8590] = {.lex_state = 380, .external_lex_state = 2},
  [8591] = {.lex_state = 57, .external_lex_state = 2},
  [8592] = {.lex_state = 380, .external_lex_state = 2},
  [8593] = {.lex_state = 57, .external_lex_state = 2},
  [8594] = {.lex_state = 57, .external_lex_state = 2},
  [8595] = {.lex_state = 380, .external_lex_state = 2},
  [8596] = {.lex_state = 380, .external_lex_state = 2},
  [8597] = {.lex_state = 57, .external_lex_state = 2},
  [8598] = {.lex_state = 57, .external_lex_state = 2},
  [8599] = {.lex_state = 380, .external_lex_state = 2},
  [8600] = {.lex_state = 380, .external_lex_state = 2},
  [8601] = {.lex_state = 57, .external_lex_state = 2},
  [8602] = {.lex_state = 380, .external_lex_state = 2},
  [8603] = {.lex_state = 380, .external_lex_state = 2},
  [8604] = {.lex_state = 380, .external_lex_state = 2},
  [8605] = {.lex_state = 380, .external_lex_state = 2},
  [8606] = {.lex_state = 380, .external_lex_state = 2},
  [8607] = {.lex_state = 57, .external_lex_state = 2},
  [8608] = {.lex_state = 57, .external_lex_state = 2},
  [8609] = {.lex_state = 380, .external_lex_state = 2},
  [8610] = {.lex_state = 380, .external_lex_state = 2},
  [8611] = {.lex_state = 57, .external_lex_state = 2},
  [8612] = {.lex_state = 57, .external_lex_state = 2},
  [8613] = {.lex_state = 380, .external_lex_state = 2},
  [8614] = {.lex_state = 380, .external_lex_state = 2},
  [8615] = {.lex_state = 380, .external_lex_state = 2},
  [8616] = {.lex_state = 380, .external_lex_state = 2},
  [8617] = {.lex_state = 380, .external_lex_state = 2},
  [8618] = {.lex_state = 380, .external_lex_state = 2},
  [8619] = {.lex_state = 380, .external_lex_state = 2},
  [8620] = {.lex_state = 57, .external_lex_state = 2},
  [8621] = {.lex_state = 380, .external_lex_state = 2},
  [8622] = {.lex_state = 54, .external_lex_state = 2},
  [8623] = {.lex_state = 380, .external_lex_state = 2},
  [8624] = {.lex_state = 57, .external_lex_state = 2},
  [8625] = {.lex_state = 380, .external_lex_state = 2},
  [8626] = {.lex_state = 57, .external_lex_state = 2},
  [8627] = {.lex_state = 380, .external_lex_state = 2},
  [8628] = {.lex_state = 380, .external_lex_state = 2},
  [8629] = {.lex_state = 56, .external_lex_state = 2},
  [8630] = {.lex_state = 380, .external_lex_state = 2},
  [8631] = {.lex_state = 380, .external_lex_state = 2},
  [8632] = {.lex_state = 380, .external_lex_state = 2},
  [8633] = {.lex_state = 380, .external_lex_state = 2},
  [8634] = {.lex_state = 380, .external_lex_state = 2},
  [8635] = {.lex_state = 380, .external_lex_state = 2},
  [8636] = {.lex_state = 57, .external_lex_state = 2},
  [8637] = {.lex_state = 57, .external_lex_state = 2},
  [8638] = {.lex_state = 57, .external_lex_state = 2},
  [8639] = {.lex_state = 380, .external_lex_state = 2},
  [8640] = {.lex_state = 380, .external_lex_state = 2},
  [8641] = {.lex_state = 380, .external_lex_state = 2},
  [8642] = {.lex_state = 380, .external_lex_state = 2},
  [8643] = {.lex_state = 380, .external_lex_state = 2},
  [8644] = {.lex_state = 380, .external_lex_state = 2},
  [8645] = {.lex_state = 380, .external_lex_state = 2},
  [8646] = {.lex_state = 380, .external_lex_state = 2},
  [8647] = {.lex_state = 380, .external_lex_state = 2},
  [8648] = {.lex_state = 21, .external_lex_state = 2},
  [8649] = {.lex_state = 57, .external_lex_state = 2},
  [8650] = {.lex_state = 380, .external_lex_state = 2},
  [8651] = {.lex_state = 380, .external_lex_state = 2},
  [8652] = {.lex_state = 380, .external_lex_state = 2},
  [8653] = {.lex_state = 380, .external_lex_state = 2},
  [8654] = {.lex_state = 380, .external_lex_state = 2},
  [8655] = {.lex_state = 380, .external_lex_state = 2},
  [8656] = {.lex_state = 57, .external_lex_state = 2},
  [8657] = {.lex_state = 380, .external_lex_state = 2},
  [8658] = {.lex_state = 57, .external_lex_state = 2},
  [8659] = {.lex_state = 380, .external_lex_state = 2},
  [8660] = {.lex_state = 380, .external_lex_state = 2},
  [8661] = {.lex_state = 57, .external_lex_state = 2},
  [8662] = {.lex_state = 57, .external_lex_state = 2},
  [8663] = {.lex_state = 380, .external_lex_state = 2},
  [8664] = {.lex_state = 380, .external_lex_state = 2},
  [8665] = {.lex_state = 380, .external_lex_state = 2},
  [8666] = {.lex_state = 380, .external_lex_state = 2},
  [8667] = {.lex_state = 380, .external_lex_state = 2},
  [8668] = {.lex_state = 380, .external_lex_state = 2},
  [8669] = {.lex_state = 380, .external_lex_state = 2},
  [8670] = {.lex_state = 380, .external_lex_state = 2},
  [8671] = {.lex_state = 380, .external_lex_state = 2},
  [8672] = {.lex_state = 380, .external_lex_state = 2},
  [8673] = {.lex_state = 57, .external_lex_state = 2},
  [8674] = {.lex_state = 380, .external_lex_state = 2},
  [8675] = {.lex_state = 380, .external_lex_state = 2},
  [8676] = {.lex_state = 57, .external_lex_state = 2},
  [8677] = {.lex_state = 380, .external_lex_state = 2},
  [8678] = {.lex_state = 57, .external_lex_state = 2},
  [8679] = {.lex_state = 380, .external_lex_state = 2},
  [8680] = {.lex_state = 380, .external_lex_state = 2},
  [8681] = {.lex_state = 57, .external_lex_state = 2},
  [8682] = {.lex_state = 380, .external_lex_state = 2},
  [8683] = {.lex_state = 57, .external_lex_state = 2},
  [8684] = {.lex_state = 57, .external_lex_state = 2},
  [8685] = {.lex_state = 57, .external_lex_state = 2},
  [8686] = {.lex_state = 380, .external_lex_state = 2},
  [8687] = {.lex_state = 380, .external_lex_state = 2},
  [8688] = {.lex_state = 380, .external_lex_state = 2},
  [8689] = {.lex_state = 57, .external_lex_state = 2},
  [8690] = {.lex_state = 380, .external_lex_state = 2},
  [8691] = {.lex_state = 57, .external_lex_state = 2},
  [8692] = {.lex_state = 380, .external_lex_state = 2},
  [8693] = {.lex_state = 380, .external_lex_state = 2},
  [8694] = {.lex_state = 380, .external_lex_state = 2},
  [8695] = {.lex_state = 57, .external_lex_state = 2},
  [8696] = {.lex_state = 380, .external_lex_state = 2},
  [8697] = {.lex_state = 380, .external_lex_state = 2},
  [8698] = {.lex_state = 380, .external_lex_state = 2},
  [8699] = {.lex_state = 380, .external_lex_state = 2},
  [8700] = {.lex_state = 380, .external_lex_state = 2},
  [8701] = {.lex_state = 380, .external_lex_state = 2},
  [8702] = {.lex_state = 380, .external_lex_state = 2},
  [8703] = {.lex_state = 57, .external_lex_state = 2},
  [8704] = {.lex_state = 57, .external_lex_state = 2},
  [8705] = {.lex_state = 380, .external_lex_state = 2},
  [8706] = {.lex_state = 380, .external_lex_state = 2},
  [8707] = {.lex_state = 380, .external_lex_state = 2},
  [8708] = {.lex_state = 380, .external_lex_state = 2},
  [8709] = {.lex_state = 380, .external_lex_state = 2},
  [8710] = {.lex_state = 380, .external_lex_state = 2},
  [8711] = {.lex_state = 380, .external_lex_state = 2},
  [8712] = {.lex_state = 57, .external_lex_state = 2},
  [8713] = {.lex_state = 57, .external_lex_state = 2},
  [8714] = {.lex_state = 380, .external_lex_state = 2},
  [8715] = {.lex_state = 380, .external_lex_state = 2},
  [8716] = {.lex_state = 380, .external_lex_state = 2},
  [8717] = {.lex_state = 380, .external_lex_state = 2},
  [8718] = {.lex_state = 380, .external_lex_state = 2},
  [8719] = {.lex_state = 380, .external_lex_state = 2},
  [8720] = {.lex_state = 57, .external_lex_state = 2},
  [8721] = {.lex_state = 380, .external_lex_state = 2},
  [8722] = {.lex_state = 57, .external_lex_state = 2},
  [8723] = {.lex_state = 380, .external_lex_state = 2},
  [8724] = {.lex_state = 380, .external_lex_state = 2},
  [8725] = {.lex_state = 380, .external_lex_state = 2},
  [8726] = {.lex_state = 380, .external_lex_state = 2},
  [8727] = {.lex_state = 57, .external_lex_state = 2},
  [8728] = {.lex_state = 56, .external_lex_state = 2},
  [8729] = {.lex_state = 380, .external_lex_state = 2},
  [8730] = {.lex_state = 57, .external_lex_state = 2},
  [8731] = {.lex_state = 380, .external_lex_state = 2},
  [8732] = {.lex_state = 380, .external_lex_state = 2},
  [8733] = {.lex_state = 380, .external_lex_state = 2},
  [8734] = {.lex_state = 380, .external_lex_state = 2},
  [8735] = {.lex_state = 57, .external_lex_state = 2},
  [8736] = {.lex_state = 57, .external_lex_state = 2},
  [8737] = {.lex_state = 380, .external_lex_state = 2},
  [8738] = {.lex_state = 57, .external_lex_state = 2},
  [8739] = {.lex_state = 380, .external_lex_state = 2},
  [8740] = {.lex_state = 380, .external_lex_state = 2},
  [8741] = {.lex_state = 380, .external_lex_state = 2},
  [8742] = {.lex_state = 380, .external_lex_state = 2},
  [8743] = {.lex_state = 57, .external_lex_state = 2},
  [8744] = {.lex_state = 57, .external_lex_state = 2},
  [8745] = {.lex_state = 380, .external_lex_state = 2},
  [8746] = {.lex_state = 57, .external_lex_state = 2},
  [8747] = {.lex_state = 380, .external_lex_state = 2},
  [8748] = {.lex_state = 57, .external_lex_state = 2},
  [8749] = {.lex_state = 57, .external_lex_state = 2},
  [8750] = {.lex_state = 57, .external_lex_state = 2},
  [8751] = {.lex_state = 380, .external_lex_state = 2},
  [8752] = {.lex_state = 380, .external_lex_state = 2},
  [8753] = {.lex_state = 57, .external_lex_state = 2},
  [8754] = {.lex_state = 57, .external_lex_state = 2},
  [8755] = {.lex_state = 380, .external_lex_state = 2},
  [8756] = {.lex_state = 57, .external_lex_state = 2},
  [8757] = {.lex_state = 57, .external_lex_state = 2},
  [8758] = {.lex_state = 57, .external_lex_state = 2},
  [8759] = {.lex_state = 380, .external_lex_state = 2},
  [8760] = {.lex_state = 57, .external_lex_state = 2},
  [8761] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LTtemplate_GT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_symbol] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_property] = ACTIONS(1),
    [anon_sym_signal] = ACTIONS(1),
    [anon_sym_on] = ACTIONS(1),
    [anon_sym_required] = ACTIONS(1),
    [anon_sym_component] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_satisfies] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_DASH_QMARK_COLON] = ACTIONS(1),
    [anon_sym_PLUS_QMARK_COLON] = ACTIONS(1),
    [anon_sym_asserts] = ACTIONS(1),
    [anon_sym_infer] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_keyof] = ACTIONS(1),
    [anon_sym_unique] = ACTIONS(1),
    [anon_sym_unknown] = ACTIONS(1),
    [anon_sym_never] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [anon_sym_pragma] = ACTIONS(1),
    [aux_sym_ui_version_specifier_token1] = ACTIONS(1),
    [anon_sym_list] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
    [sym__function_signature_automatic_semicolon] = ACTIONS(1),
    [sym___error_recovery] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(8733),
    [sym_comment] = STATE(1),
    [sym_ui_pragma] = STATE(4487),
    [sym_ui_import] = STATE(4487),
    [sym_ui_object_definition] = STATE(8729),
    [sym_ui_annotated_object] = STATE(8729),
    [sym_ui_annotation] = STATE(4504),
    [sym_ui_nested_identifier] = STATE(6609),
    [aux_sym_program_repeat1] = STATE(3860),
    [aux_sym_ui_annotated_object_repeat1] = STATE(4458),
    [sym_identifier] = ACTIONS(7),
    [sym_hash_bang_line] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(11),
    [anon_sym_namespace] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_let] = ACTIONS(11),
    [anon_sym_of] = ACTIONS(11),
    [anon_sym_async] = ACTIONS(11),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_AT] = ACTIONS(15),
    [anon_sym_static] = ACTIONS(11),
    [anon_sym_readonly] = ACTIONS(11),
    [anon_sym_get] = ACTIONS(11),
    [anon_sym_set] = ACTIONS(11),
    [anon_sym_declare] = ACTIONS(11),
    [anon_sym_public] = ACTIONS(11),
    [anon_sym_private] = ACTIONS(11),
    [anon_sym_protected] = ACTIONS(11),
    [anon_sym_override] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(11),
    [anon_sym_any] = ACTIONS(11),
    [anon_sym_number] = ACTIONS(11),
    [anon_sym_boolean] = ACTIONS(11),
    [anon_sym_string] = ACTIONS(11),
    [anon_sym_symbol] = ACTIONS(11),
    [anon_sym_object] = ACTIONS(11),
    [anon_sym_property] = ACTIONS(11),
    [anon_sym_signal] = ACTIONS(11),
    [anon_sym_on] = ACTIONS(11),
    [anon_sym_required] = ACTIONS(11),
    [anon_sym_component] = ACTIONS(11),
    [anon_sym_pragma] = ACTIONS(17),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3713),
    [sym_comment] = STATE(2),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(6117),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4642),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(626),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(32),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(52),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(68),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_SLASH] = ACTIONS(82),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(89),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(91),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(94),
    [sym_number] = ACTIONS(96),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(100),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(96),
    [sym_false] = ACTIONS(96),
    [sym_null] = ACTIONS(96),
    [sym_undefined] = ACTIONS(104),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(108),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(112),
    [anon_sym_number] = ACTIONS(112),
    [anon_sym_boolean] = ACTIONS(112),
    [anon_sym_string] = ACTIONS(112),
    [anon_sym_symbol] = ACTIONS(112),
    [anon_sym_object] = ACTIONS(112),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3713),
    [sym_comment] = STATE(3),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(6117),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4642),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(626),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(128),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(32),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_typeof] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(52),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(68),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_SLASH] = ACTIONS(82),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(89),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(91),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(94),
    [sym_number] = ACTIONS(96),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(100),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(96),
    [sym_false] = ACTIONS(96),
    [sym_null] = ACTIONS(96),
    [sym_undefined] = ACTIONS(104),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(108),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(112),
    [anon_sym_number] = ACTIONS(112),
    [anon_sym_boolean] = ACTIONS(112),
    [anon_sym_string] = ACTIONS(112),
    [anon_sym_symbol] = ACTIONS(112),
    [anon_sym_object] = ACTIONS(112),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8311),
    [sym_spread_element] = STATE(7033),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3527),
    [sym_comment] = STATE(4),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(7033),
    [sym_pair] = STATE(7033),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(5301),
    [sym_computed_property_name] = STATE(5255),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_accessibility_modifier] = STATE(3855),
    [sym_override_modifier] = STATE(3872),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(85),
    [aux_sym_object_repeat1] = STATE(7039),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(135),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(139),
    [anon_sym_type] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(149),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(155),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(207),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(219),
    [sym_private_property_identifier] = ACTIONS(221),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(227),
    [anon_sym_readonly] = ACTIONS(229),
    [anon_sym_get] = ACTIONS(231),
    [anon_sym_set] = ACTIONS(231),
    [anon_sym_declare] = ACTIONS(233),
    [anon_sym_public] = ACTIONS(235),
    [anon_sym_private] = ACTIONS(235),
    [anon_sym_protected] = ACTIONS(235),
    [anon_sym_override] = ACTIONS(237),
    [anon_sym_module] = ACTIONS(239),
    [anon_sym_any] = ACTIONS(155),
    [anon_sym_number] = ACTIONS(155),
    [anon_sym_boolean] = ACTIONS(155),
    [anon_sym_string] = ACTIONS(155),
    [anon_sym_symbol] = ACTIONS(155),
    [anon_sym_object] = ACTIONS(155),
    [anon_sym_property] = ACTIONS(155),
    [anon_sym_signal] = ACTIONS(155),
    [anon_sym_on] = ACTIONS(155),
    [anon_sym_required] = ACTIONS(155),
    [anon_sym_component] = ACTIONS(155),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8311),
    [sym_spread_element] = STATE(7033),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3527),
    [sym_comment] = STATE(5),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(7033),
    [sym_pair] = STATE(7033),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(5301),
    [sym_computed_property_name] = STATE(5255),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_accessibility_modifier] = STATE(3855),
    [sym_override_modifier] = STATE(3872),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(77),
    [aux_sym_object_repeat1] = STATE(7039),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(135),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(139),
    [anon_sym_type] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(155),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(207),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(219),
    [sym_private_property_identifier] = ACTIONS(221),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(227),
    [anon_sym_readonly] = ACTIONS(229),
    [anon_sym_get] = ACTIONS(231),
    [anon_sym_set] = ACTIONS(231),
    [anon_sym_declare] = ACTIONS(233),
    [anon_sym_public] = ACTIONS(235),
    [anon_sym_private] = ACTIONS(235),
    [anon_sym_protected] = ACTIONS(235),
    [anon_sym_override] = ACTIONS(237),
    [anon_sym_module] = ACTIONS(239),
    [anon_sym_any] = ACTIONS(155),
    [anon_sym_number] = ACTIONS(155),
    [anon_sym_boolean] = ACTIONS(155),
    [anon_sym_string] = ACTIONS(155),
    [anon_sym_symbol] = ACTIONS(155),
    [anon_sym_object] = ACTIONS(155),
    [anon_sym_property] = ACTIONS(155),
    [anon_sym_signal] = ACTIONS(155),
    [anon_sym_on] = ACTIONS(155),
    [anon_sym_required] = ACTIONS(155),
    [anon_sym_component] = ACTIONS(155),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8311),
    [sym_spread_element] = STATE(6910),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3527),
    [sym_comment] = STATE(6),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(6910),
    [sym_pair] = STATE(6910),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(5301),
    [sym_computed_property_name] = STATE(5255),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_accessibility_modifier] = STATE(3855),
    [sym_override_modifier] = STATE(3872),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(74),
    [aux_sym_object_repeat1] = STATE(6911),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_export] = ACTIONS(251),
    [anon_sym_STAR] = ACTIONS(139),
    [anon_sym_type] = ACTIONS(253),
    [anon_sym_namespace] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(259),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(261),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(259),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(263),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(265),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(219),
    [sym_private_property_identifier] = ACTIONS(221),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(267),
    [anon_sym_readonly] = ACTIONS(269),
    [anon_sym_get] = ACTIONS(271),
    [anon_sym_set] = ACTIONS(271),
    [anon_sym_declare] = ACTIONS(273),
    [anon_sym_public] = ACTIONS(275),
    [anon_sym_private] = ACTIONS(275),
    [anon_sym_protected] = ACTIONS(275),
    [anon_sym_override] = ACTIONS(277),
    [anon_sym_module] = ACTIONS(279),
    [anon_sym_any] = ACTIONS(259),
    [anon_sym_number] = ACTIONS(259),
    [anon_sym_boolean] = ACTIONS(259),
    [anon_sym_string] = ACTIONS(259),
    [anon_sym_symbol] = ACTIONS(259),
    [anon_sym_object] = ACTIONS(259),
    [anon_sym_property] = ACTIONS(259),
    [anon_sym_signal] = ACTIONS(259),
    [anon_sym_on] = ACTIONS(259),
    [anon_sym_required] = ACTIONS(259),
    [anon_sym_component] = ACTIONS(259),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8311),
    [sym_spread_element] = STATE(7033),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3527),
    [sym_comment] = STATE(7),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(7033),
    [sym_pair] = STATE(7033),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(5301),
    [sym_computed_property_name] = STATE(5255),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_accessibility_modifier] = STATE(3855),
    [sym_override_modifier] = STATE(3872),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(51),
    [aux_sym_object_repeat1] = STATE(7039),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(135),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(139),
    [anon_sym_type] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(281),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(155),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(207),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(219),
    [sym_private_property_identifier] = ACTIONS(221),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(227),
    [anon_sym_readonly] = ACTIONS(229),
    [anon_sym_get] = ACTIONS(231),
    [anon_sym_set] = ACTIONS(231),
    [anon_sym_declare] = ACTIONS(233),
    [anon_sym_public] = ACTIONS(235),
    [anon_sym_private] = ACTIONS(235),
    [anon_sym_protected] = ACTIONS(235),
    [anon_sym_override] = ACTIONS(237),
    [anon_sym_module] = ACTIONS(239),
    [anon_sym_any] = ACTIONS(155),
    [anon_sym_number] = ACTIONS(155),
    [anon_sym_boolean] = ACTIONS(155),
    [anon_sym_string] = ACTIONS(155),
    [anon_sym_symbol] = ACTIONS(155),
    [anon_sym_object] = ACTIONS(155),
    [anon_sym_property] = ACTIONS(155),
    [anon_sym_signal] = ACTIONS(155),
    [anon_sym_on] = ACTIONS(155),
    [anon_sym_required] = ACTIONS(155),
    [anon_sym_component] = ACTIONS(155),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8311),
    [sym_spread_element] = STATE(7033),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3527),
    [sym_comment] = STATE(8),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(7033),
    [sym_pair] = STATE(7033),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(5301),
    [sym_computed_property_name] = STATE(5255),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_accessibility_modifier] = STATE(3855),
    [sym_override_modifier] = STATE(3872),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(75),
    [aux_sym_object_repeat1] = STATE(7039),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(135),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(139),
    [anon_sym_type] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(283),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(155),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(207),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(219),
    [sym_private_property_identifier] = ACTIONS(221),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(227),
    [anon_sym_readonly] = ACTIONS(229),
    [anon_sym_get] = ACTIONS(231),
    [anon_sym_set] = ACTIONS(231),
    [anon_sym_declare] = ACTIONS(233),
    [anon_sym_public] = ACTIONS(235),
    [anon_sym_private] = ACTIONS(235),
    [anon_sym_protected] = ACTIONS(235),
    [anon_sym_override] = ACTIONS(237),
    [anon_sym_module] = ACTIONS(239),
    [anon_sym_any] = ACTIONS(155),
    [anon_sym_number] = ACTIONS(155),
    [anon_sym_boolean] = ACTIONS(155),
    [anon_sym_string] = ACTIONS(155),
    [anon_sym_symbol] = ACTIONS(155),
    [anon_sym_object] = ACTIONS(155),
    [anon_sym_property] = ACTIONS(155),
    [anon_sym_signal] = ACTIONS(155),
    [anon_sym_on] = ACTIONS(155),
    [anon_sym_required] = ACTIONS(155),
    [anon_sym_component] = ACTIONS(155),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8311),
    [sym_spread_element] = STATE(7033),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3527),
    [sym_comment] = STATE(9),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(7033),
    [sym_pair] = STATE(7033),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(5301),
    [sym_computed_property_name] = STATE(5255),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_accessibility_modifier] = STATE(3855),
    [sym_override_modifier] = STATE(3872),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(55),
    [aux_sym_object_repeat1] = STATE(7039),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(135),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(139),
    [anon_sym_type] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(285),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(155),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(207),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(219),
    [sym_private_property_identifier] = ACTIONS(221),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(227),
    [anon_sym_readonly] = ACTIONS(229),
    [anon_sym_get] = ACTIONS(231),
    [anon_sym_set] = ACTIONS(231),
    [anon_sym_declare] = ACTIONS(233),
    [anon_sym_public] = ACTIONS(235),
    [anon_sym_private] = ACTIONS(235),
    [anon_sym_protected] = ACTIONS(235),
    [anon_sym_override] = ACTIONS(237),
    [anon_sym_module] = ACTIONS(239),
    [anon_sym_any] = ACTIONS(155),
    [anon_sym_number] = ACTIONS(155),
    [anon_sym_boolean] = ACTIONS(155),
    [anon_sym_string] = ACTIONS(155),
    [anon_sym_symbol] = ACTIONS(155),
    [anon_sym_object] = ACTIONS(155),
    [anon_sym_property] = ACTIONS(155),
    [anon_sym_signal] = ACTIONS(155),
    [anon_sym_on] = ACTIONS(155),
    [anon_sym_required] = ACTIONS(155),
    [anon_sym_component] = ACTIONS(155),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8311),
    [sym_spread_element] = STATE(7033),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3527),
    [sym_comment] = STATE(10),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(7033),
    [sym_pair] = STATE(7033),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(5301),
    [sym_computed_property_name] = STATE(5255),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_accessibility_modifier] = STATE(3855),
    [sym_override_modifier] = STATE(3872),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(84),
    [aux_sym_object_repeat1] = STATE(7039),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(135),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(139),
    [anon_sym_type] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(287),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(155),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(207),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(219),
    [sym_private_property_identifier] = ACTIONS(221),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(227),
    [anon_sym_readonly] = ACTIONS(229),
    [anon_sym_get] = ACTIONS(231),
    [anon_sym_set] = ACTIONS(231),
    [anon_sym_declare] = ACTIONS(233),
    [anon_sym_public] = ACTIONS(235),
    [anon_sym_private] = ACTIONS(235),
    [anon_sym_protected] = ACTIONS(235),
    [anon_sym_override] = ACTIONS(237),
    [anon_sym_module] = ACTIONS(239),
    [anon_sym_any] = ACTIONS(155),
    [anon_sym_number] = ACTIONS(155),
    [anon_sym_boolean] = ACTIONS(155),
    [anon_sym_string] = ACTIONS(155),
    [anon_sym_symbol] = ACTIONS(155),
    [anon_sym_object] = ACTIONS(155),
    [anon_sym_property] = ACTIONS(155),
    [anon_sym_signal] = ACTIONS(155),
    [anon_sym_on] = ACTIONS(155),
    [anon_sym_required] = ACTIONS(155),
    [anon_sym_component] = ACTIONS(155),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8311),
    [sym_spread_element] = STATE(7033),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3527),
    [sym_comment] = STATE(11),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(7033),
    [sym_pair] = STATE(7033),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(5301),
    [sym_computed_property_name] = STATE(5255),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_accessibility_modifier] = STATE(3855),
    [sym_override_modifier] = STATE(3872),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(67),
    [aux_sym_object_repeat1] = STATE(7039),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(135),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(139),
    [anon_sym_type] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(155),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(207),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(219),
    [sym_private_property_identifier] = ACTIONS(221),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(227),
    [anon_sym_readonly] = ACTIONS(229),
    [anon_sym_get] = ACTIONS(231),
    [anon_sym_set] = ACTIONS(231),
    [anon_sym_declare] = ACTIONS(233),
    [anon_sym_public] = ACTIONS(235),
    [anon_sym_private] = ACTIONS(235),
    [anon_sym_protected] = ACTIONS(235),
    [anon_sym_override] = ACTIONS(237),
    [anon_sym_module] = ACTIONS(239),
    [anon_sym_any] = ACTIONS(155),
    [anon_sym_number] = ACTIONS(155),
    [anon_sym_boolean] = ACTIONS(155),
    [anon_sym_string] = ACTIONS(155),
    [anon_sym_symbol] = ACTIONS(155),
    [anon_sym_object] = ACTIONS(155),
    [anon_sym_property] = ACTIONS(155),
    [anon_sym_signal] = ACTIONS(155),
    [anon_sym_on] = ACTIONS(155),
    [anon_sym_required] = ACTIONS(155),
    [anon_sym_component] = ACTIONS(155),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8311),
    [sym_spread_element] = STATE(7033),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3527),
    [sym_comment] = STATE(12),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(7033),
    [sym_pair] = STATE(7033),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(5301),
    [sym_computed_property_name] = STATE(5255),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_accessibility_modifier] = STATE(3855),
    [sym_override_modifier] = STATE(3872),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(88),
    [aux_sym_object_repeat1] = STATE(7039),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(135),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_STAR] = ACTIONS(139),
    [anon_sym_type] = ACTIONS(141),
    [anon_sym_namespace] = ACTIONS(143),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(291),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(155),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(161),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(207),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(219),
    [sym_private_property_identifier] = ACTIONS(221),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(227),
    [anon_sym_readonly] = ACTIONS(229),
    [anon_sym_get] = ACTIONS(231),
    [anon_sym_set] = ACTIONS(231),
    [anon_sym_declare] = ACTIONS(233),
    [anon_sym_public] = ACTIONS(235),
    [anon_sym_private] = ACTIONS(235),
    [anon_sym_protected] = ACTIONS(235),
    [anon_sym_override] = ACTIONS(237),
    [anon_sym_module] = ACTIONS(239),
    [anon_sym_any] = ACTIONS(155),
    [anon_sym_number] = ACTIONS(155),
    [anon_sym_boolean] = ACTIONS(155),
    [anon_sym_string] = ACTIONS(155),
    [anon_sym_symbol] = ACTIONS(155),
    [anon_sym_object] = ACTIONS(155),
    [anon_sym_property] = ACTIONS(155),
    [anon_sym_signal] = ACTIONS(155),
    [anon_sym_on] = ACTIONS(155),
    [anon_sym_required] = ACTIONS(155),
    [anon_sym_component] = ACTIONS(155),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8311),
    [sym_spread_element] = STATE(6910),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3527),
    [sym_comment] = STATE(13),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(6910),
    [sym_pair] = STATE(6910),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(5301),
    [sym_computed_property_name] = STATE(5255),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_accessibility_modifier] = STATE(3855),
    [sym_override_modifier] = STATE(3872),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(74),
    [aux_sym_object_repeat1] = STATE(6911),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_export] = ACTIONS(295),
    [anon_sym_STAR] = ACTIONS(139),
    [anon_sym_type] = ACTIONS(297),
    [anon_sym_namespace] = ACTIONS(299),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(301),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(303),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(305),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(307),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(219),
    [sym_private_property_identifier] = ACTIONS(221),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(309),
    [anon_sym_readonly] = ACTIONS(311),
    [anon_sym_get] = ACTIONS(313),
    [anon_sym_set] = ACTIONS(313),
    [anon_sym_declare] = ACTIONS(315),
    [anon_sym_public] = ACTIONS(317),
    [anon_sym_private] = ACTIONS(317),
    [anon_sym_protected] = ACTIONS(317),
    [anon_sym_override] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_any] = ACTIONS(301),
    [anon_sym_number] = ACTIONS(301),
    [anon_sym_boolean] = ACTIONS(301),
    [anon_sym_string] = ACTIONS(301),
    [anon_sym_symbol] = ACTIONS(301),
    [anon_sym_object] = ACTIONS(301),
    [anon_sym_property] = ACTIONS(301),
    [anon_sym_signal] = ACTIONS(301),
    [anon_sym_on] = ACTIONS(301),
    [anon_sym_required] = ACTIONS(301),
    [anon_sym_component] = ACTIONS(301),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8311),
    [sym_spread_element] = STATE(6910),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3527),
    [sym_comment] = STATE(14),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(6910),
    [sym_pair] = STATE(6910),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(5301),
    [sym_computed_property_name] = STATE(5255),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_accessibility_modifier] = STATE(3855),
    [sym_override_modifier] = STATE(3872),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(74),
    [aux_sym_object_repeat1] = STATE(6911),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_export] = ACTIONS(325),
    [anon_sym_STAR] = ACTIONS(139),
    [anon_sym_type] = ACTIONS(327),
    [anon_sym_namespace] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_COMMA] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(331),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(333),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(331),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(195),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(335),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(337),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(219),
    [sym_private_property_identifier] = ACTIONS(221),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(339),
    [anon_sym_readonly] = ACTIONS(341),
    [anon_sym_get] = ACTIONS(343),
    [anon_sym_set] = ACTIONS(343),
    [anon_sym_declare] = ACTIONS(345),
    [anon_sym_public] = ACTIONS(347),
    [anon_sym_private] = ACTIONS(347),
    [anon_sym_protected] = ACTIONS(347),
    [anon_sym_override] = ACTIONS(349),
    [anon_sym_module] = ACTIONS(351),
    [anon_sym_any] = ACTIONS(331),
    [anon_sym_number] = ACTIONS(331),
    [anon_sym_boolean] = ACTIONS(331),
    [anon_sym_string] = ACTIONS(331),
    [anon_sym_symbol] = ACTIONS(331),
    [anon_sym_object] = ACTIONS(331),
    [anon_sym_property] = ACTIONS(331),
    [anon_sym_signal] = ACTIONS(331),
    [anon_sym_on] = ACTIONS(331),
    [anon_sym_required] = ACTIONS(331),
    [anon_sym_component] = ACTIONS(331),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(1264),
    [sym_declaration] = STATE(1264),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1264),
    [sym_expression_statement] = STATE(1264),
    [sym_variable_declaration] = STATE(1302),
    [sym_lexical_declaration] = STATE(1302),
    [sym_statement_block] = STATE(1264),
    [sym_if_statement] = STATE(1264),
    [sym_switch_statement] = STATE(1264),
    [sym_for_statement] = STATE(1264),
    [sym_for_in_statement] = STATE(1264),
    [sym_while_statement] = STATE(1264),
    [sym_do_statement] = STATE(1264),
    [sym_try_statement] = STATE(1264),
    [sym_with_statement] = STATE(1264),
    [sym_break_statement] = STATE(1264),
    [sym_continue_statement] = STATE(1264),
    [sym_debugger_statement] = STATE(1264),
    [sym_return_statement] = STATE(1264),
    [sym_throw_statement] = STATE(1264),
    [sym_empty_statement] = STATE(1264),
    [sym_labeled_statement] = STATE(1264),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2999),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1302),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1302),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1302),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7399),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(15),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1302),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1302),
    [sym_abstract_class_declaration] = STATE(1302),
    [sym_module] = STATE(1302),
    [sym_internal_module] = STATE(398),
    [sym_import_alias] = STATE(1302),
    [sym_interface_declaration] = STATE(1302),
    [sym_enum_declaration] = STATE(1302),
    [sym_type_alias_declaration] = STATE(1302),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5682),
    [aux_sym_statement_block_repeat1] = STATE(19),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_export] = ACTIONS(355),
    [anon_sym_default] = ACTIONS(357),
    [anon_sym_type] = ACTIONS(359),
    [anon_sym_namespace] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_RBRACE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_from] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_var] = ACTIONS(371),
    [anon_sym_let] = ACTIONS(373),
    [anon_sym_const] = ACTIONS(375),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_switch] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_break] = ACTIONS(389),
    [anon_sym_continue] = ACTIONS(391),
    [anon_sym_debugger] = ACTIONS(393),
    [anon_sym_return] = ACTIONS(395),
    [anon_sym_throw] = ACTIONS(397),
    [anon_sym_SEMI] = ACTIONS(399),
    [anon_sym_case] = ACTIONS(357),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(407),
    [anon_sym_new] = ACTIONS(409),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(367),
    [anon_sym_readonly] = ACTIONS(367),
    [anon_sym_get] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(367),
    [anon_sym_declare] = ACTIONS(413),
    [anon_sym_public] = ACTIONS(367),
    [anon_sym_private] = ACTIONS(367),
    [anon_sym_protected] = ACTIONS(367),
    [anon_sym_override] = ACTIONS(367),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_any] = ACTIONS(367),
    [anon_sym_number] = ACTIONS(367),
    [anon_sym_boolean] = ACTIONS(367),
    [anon_sym_string] = ACTIONS(367),
    [anon_sym_symbol] = ACTIONS(367),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_property] = ACTIONS(367),
    [anon_sym_signal] = ACTIONS(367),
    [anon_sym_on] = ACTIONS(367),
    [anon_sym_required] = ACTIONS(367),
    [anon_sym_component] = ACTIONS(367),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_interface] = ACTIONS(419),
    [anon_sym_enum] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(1264),
    [sym_declaration] = STATE(1264),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1264),
    [sym_expression_statement] = STATE(1264),
    [sym_variable_declaration] = STATE(1302),
    [sym_lexical_declaration] = STATE(1302),
    [sym_statement_block] = STATE(1264),
    [sym_if_statement] = STATE(1264),
    [sym_switch_statement] = STATE(1264),
    [sym_for_statement] = STATE(1264),
    [sym_for_in_statement] = STATE(1264),
    [sym_while_statement] = STATE(1264),
    [sym_do_statement] = STATE(1264),
    [sym_try_statement] = STATE(1264),
    [sym_with_statement] = STATE(1264),
    [sym_break_statement] = STATE(1264),
    [sym_continue_statement] = STATE(1264),
    [sym_debugger_statement] = STATE(1264),
    [sym_return_statement] = STATE(1264),
    [sym_throw_statement] = STATE(1264),
    [sym_empty_statement] = STATE(1264),
    [sym_labeled_statement] = STATE(1264),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2999),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1302),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1302),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1302),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7399),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(16),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1302),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1302),
    [sym_abstract_class_declaration] = STATE(1302),
    [sym_module] = STATE(1302),
    [sym_internal_module] = STATE(398),
    [sym_import_alias] = STATE(1302),
    [sym_interface_declaration] = STATE(1302),
    [sym_enum_declaration] = STATE(1302),
    [sym_type_alias_declaration] = STATE(1302),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5682),
    [aux_sym_statement_block_repeat1] = STATE(19),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_export] = ACTIONS(355),
    [anon_sym_default] = ACTIONS(423),
    [anon_sym_type] = ACTIONS(359),
    [anon_sym_namespace] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_RBRACE] = ACTIONS(423),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_from] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_var] = ACTIONS(371),
    [anon_sym_let] = ACTIONS(373),
    [anon_sym_const] = ACTIONS(375),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_switch] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_break] = ACTIONS(389),
    [anon_sym_continue] = ACTIONS(391),
    [anon_sym_debugger] = ACTIONS(393),
    [anon_sym_return] = ACTIONS(395),
    [anon_sym_throw] = ACTIONS(397),
    [anon_sym_SEMI] = ACTIONS(399),
    [anon_sym_case] = ACTIONS(423),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(407),
    [anon_sym_new] = ACTIONS(409),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(367),
    [anon_sym_readonly] = ACTIONS(367),
    [anon_sym_get] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(367),
    [anon_sym_declare] = ACTIONS(413),
    [anon_sym_public] = ACTIONS(367),
    [anon_sym_private] = ACTIONS(367),
    [anon_sym_protected] = ACTIONS(367),
    [anon_sym_override] = ACTIONS(367),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_any] = ACTIONS(367),
    [anon_sym_number] = ACTIONS(367),
    [anon_sym_boolean] = ACTIONS(367),
    [anon_sym_string] = ACTIONS(367),
    [anon_sym_symbol] = ACTIONS(367),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_property] = ACTIONS(367),
    [anon_sym_signal] = ACTIONS(367),
    [anon_sym_on] = ACTIONS(367),
    [anon_sym_required] = ACTIONS(367),
    [anon_sym_component] = ACTIONS(367),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_interface] = ACTIONS(419),
    [anon_sym_enum] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(1264),
    [sym_declaration] = STATE(1264),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1264),
    [sym_expression_statement] = STATE(1264),
    [sym_variable_declaration] = STATE(1302),
    [sym_lexical_declaration] = STATE(1302),
    [sym_statement_block] = STATE(1264),
    [sym_if_statement] = STATE(1264),
    [sym_switch_statement] = STATE(1264),
    [sym_for_statement] = STATE(1264),
    [sym_for_in_statement] = STATE(1264),
    [sym_while_statement] = STATE(1264),
    [sym_do_statement] = STATE(1264),
    [sym_try_statement] = STATE(1264),
    [sym_with_statement] = STATE(1264),
    [sym_break_statement] = STATE(1264),
    [sym_continue_statement] = STATE(1264),
    [sym_debugger_statement] = STATE(1264),
    [sym_return_statement] = STATE(1264),
    [sym_throw_statement] = STATE(1264),
    [sym_empty_statement] = STATE(1264),
    [sym_labeled_statement] = STATE(1264),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2999),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1302),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1302),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1302),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7399),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(17),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1302),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1302),
    [sym_abstract_class_declaration] = STATE(1302),
    [sym_module] = STATE(1302),
    [sym_internal_module] = STATE(398),
    [sym_import_alias] = STATE(1302),
    [sym_interface_declaration] = STATE(1302),
    [sym_enum_declaration] = STATE(1302),
    [sym_type_alias_declaration] = STATE(1302),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5682),
    [aux_sym_statement_block_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_export] = ACTIONS(355),
    [anon_sym_default] = ACTIONS(425),
    [anon_sym_type] = ACTIONS(359),
    [anon_sym_namespace] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_from] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_var] = ACTIONS(371),
    [anon_sym_let] = ACTIONS(373),
    [anon_sym_const] = ACTIONS(375),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_switch] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_break] = ACTIONS(389),
    [anon_sym_continue] = ACTIONS(391),
    [anon_sym_debugger] = ACTIONS(393),
    [anon_sym_return] = ACTIONS(395),
    [anon_sym_throw] = ACTIONS(397),
    [anon_sym_SEMI] = ACTIONS(399),
    [anon_sym_case] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(407),
    [anon_sym_new] = ACTIONS(409),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(367),
    [anon_sym_readonly] = ACTIONS(367),
    [anon_sym_get] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(367),
    [anon_sym_declare] = ACTIONS(413),
    [anon_sym_public] = ACTIONS(367),
    [anon_sym_private] = ACTIONS(367),
    [anon_sym_protected] = ACTIONS(367),
    [anon_sym_override] = ACTIONS(367),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_any] = ACTIONS(367),
    [anon_sym_number] = ACTIONS(367),
    [anon_sym_boolean] = ACTIONS(367),
    [anon_sym_string] = ACTIONS(367),
    [anon_sym_symbol] = ACTIONS(367),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_property] = ACTIONS(367),
    [anon_sym_signal] = ACTIONS(367),
    [anon_sym_on] = ACTIONS(367),
    [anon_sym_required] = ACTIONS(367),
    [anon_sym_component] = ACTIONS(367),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_interface] = ACTIONS(419),
    [anon_sym_enum] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(1264),
    [sym_declaration] = STATE(1264),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1264),
    [sym_expression_statement] = STATE(1264),
    [sym_variable_declaration] = STATE(1302),
    [sym_lexical_declaration] = STATE(1302),
    [sym_statement_block] = STATE(1264),
    [sym_if_statement] = STATE(1264),
    [sym_switch_statement] = STATE(1264),
    [sym_for_statement] = STATE(1264),
    [sym_for_in_statement] = STATE(1264),
    [sym_while_statement] = STATE(1264),
    [sym_do_statement] = STATE(1264),
    [sym_try_statement] = STATE(1264),
    [sym_with_statement] = STATE(1264),
    [sym_break_statement] = STATE(1264),
    [sym_continue_statement] = STATE(1264),
    [sym_debugger_statement] = STATE(1264),
    [sym_return_statement] = STATE(1264),
    [sym_throw_statement] = STATE(1264),
    [sym_empty_statement] = STATE(1264),
    [sym_labeled_statement] = STATE(1264),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2999),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1302),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1302),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1302),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7399),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(18),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1302),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1302),
    [sym_abstract_class_declaration] = STATE(1302),
    [sym_module] = STATE(1302),
    [sym_internal_module] = STATE(398),
    [sym_import_alias] = STATE(1302),
    [sym_interface_declaration] = STATE(1302),
    [sym_enum_declaration] = STATE(1302),
    [sym_type_alias_declaration] = STATE(1302),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5682),
    [aux_sym_statement_block_repeat1] = STATE(16),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_export] = ACTIONS(355),
    [anon_sym_default] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(359),
    [anon_sym_namespace] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_RBRACE] = ACTIONS(427),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_from] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_var] = ACTIONS(371),
    [anon_sym_let] = ACTIONS(373),
    [anon_sym_const] = ACTIONS(375),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_switch] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_break] = ACTIONS(389),
    [anon_sym_continue] = ACTIONS(391),
    [anon_sym_debugger] = ACTIONS(393),
    [anon_sym_return] = ACTIONS(395),
    [anon_sym_throw] = ACTIONS(397),
    [anon_sym_SEMI] = ACTIONS(399),
    [anon_sym_case] = ACTIONS(427),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(407),
    [anon_sym_new] = ACTIONS(409),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(367),
    [anon_sym_readonly] = ACTIONS(367),
    [anon_sym_get] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(367),
    [anon_sym_declare] = ACTIONS(413),
    [anon_sym_public] = ACTIONS(367),
    [anon_sym_private] = ACTIONS(367),
    [anon_sym_protected] = ACTIONS(367),
    [anon_sym_override] = ACTIONS(367),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_any] = ACTIONS(367),
    [anon_sym_number] = ACTIONS(367),
    [anon_sym_boolean] = ACTIONS(367),
    [anon_sym_string] = ACTIONS(367),
    [anon_sym_symbol] = ACTIONS(367),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_property] = ACTIONS(367),
    [anon_sym_signal] = ACTIONS(367),
    [anon_sym_on] = ACTIONS(367),
    [anon_sym_required] = ACTIONS(367),
    [anon_sym_component] = ACTIONS(367),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_interface] = ACTIONS(419),
    [anon_sym_enum] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(1264),
    [sym_declaration] = STATE(1264),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1264),
    [sym_expression_statement] = STATE(1264),
    [sym_variable_declaration] = STATE(1302),
    [sym_lexical_declaration] = STATE(1302),
    [sym_statement_block] = STATE(1264),
    [sym_if_statement] = STATE(1264),
    [sym_switch_statement] = STATE(1264),
    [sym_for_statement] = STATE(1264),
    [sym_for_in_statement] = STATE(1264),
    [sym_while_statement] = STATE(1264),
    [sym_do_statement] = STATE(1264),
    [sym_try_statement] = STATE(1264),
    [sym_with_statement] = STATE(1264),
    [sym_break_statement] = STATE(1264),
    [sym_continue_statement] = STATE(1264),
    [sym_debugger_statement] = STATE(1264),
    [sym_return_statement] = STATE(1264),
    [sym_throw_statement] = STATE(1264),
    [sym_empty_statement] = STATE(1264),
    [sym_labeled_statement] = STATE(1264),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2999),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1302),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1302),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1302),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7399),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(19),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1302),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1302),
    [sym_abstract_class_declaration] = STATE(1302),
    [sym_module] = STATE(1302),
    [sym_internal_module] = STATE(398),
    [sym_import_alias] = STATE(1302),
    [sym_interface_declaration] = STATE(1302),
    [sym_enum_declaration] = STATE(1302),
    [sym_type_alias_declaration] = STATE(1302),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5682),
    [aux_sym_statement_block_repeat1] = STATE(19),
    [sym_identifier] = ACTIONS(429),
    [anon_sym_export] = ACTIONS(432),
    [anon_sym_default] = ACTIONS(435),
    [anon_sym_type] = ACTIONS(437),
    [anon_sym_namespace] = ACTIONS(440),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_RBRACE] = ACTIONS(435),
    [anon_sym_typeof] = ACTIONS(446),
    [anon_sym_import] = ACTIONS(449),
    [anon_sym_from] = ACTIONS(452),
    [anon_sym_with] = ACTIONS(455),
    [anon_sym_var] = ACTIONS(458),
    [anon_sym_let] = ACTIONS(461),
    [anon_sym_const] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_switch] = ACTIONS(470),
    [anon_sym_for] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_of] = ACTIONS(452),
    [anon_sym_while] = ACTIONS(482),
    [anon_sym_do] = ACTIONS(485),
    [anon_sym_try] = ACTIONS(488),
    [anon_sym_break] = ACTIONS(491),
    [anon_sym_continue] = ACTIONS(494),
    [anon_sym_debugger] = ACTIONS(497),
    [anon_sym_return] = ACTIONS(500),
    [anon_sym_throw] = ACTIONS(503),
    [anon_sym_SEMI] = ACTIONS(506),
    [anon_sym_case] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(509),
    [anon_sym_LBRACK] = ACTIONS(512),
    [anon_sym_LTtemplate_GT] = ACTIONS(515),
    [anon_sym_DQUOTE] = ACTIONS(518),
    [anon_sym_SQUOTE] = ACTIONS(521),
    [anon_sym_class] = ACTIONS(524),
    [anon_sym_async] = ACTIONS(527),
    [anon_sym_function] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(533),
    [anon_sym_using] = ACTIONS(536),
    [anon_sym_PLUS] = ACTIONS(446),
    [anon_sym_DASH] = ACTIONS(446),
    [anon_sym_SLASH] = ACTIONS(539),
    [anon_sym_LT] = ACTIONS(542),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_void] = ACTIONS(446),
    [anon_sym_delete] = ACTIONS(446),
    [anon_sym_PLUS_PLUS] = ACTIONS(545),
    [anon_sym_DASH_DASH] = ACTIONS(545),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(548),
    [sym_number] = ACTIONS(551),
    [sym_private_property_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(551),
    [sym_super] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_undefined] = ACTIONS(557),
    [anon_sym_AT] = ACTIONS(560),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_readonly] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [anon_sym_declare] = ACTIONS(563),
    [anon_sym_public] = ACTIONS(452),
    [anon_sym_private] = ACTIONS(452),
    [anon_sym_protected] = ACTIONS(452),
    [anon_sym_override] = ACTIONS(452),
    [anon_sym_module] = ACTIONS(566),
    [anon_sym_any] = ACTIONS(452),
    [anon_sym_number] = ACTIONS(452),
    [anon_sym_boolean] = ACTIONS(452),
    [anon_sym_string] = ACTIONS(452),
    [anon_sym_symbol] = ACTIONS(452),
    [anon_sym_object] = ACTIONS(452),
    [anon_sym_property] = ACTIONS(452),
    [anon_sym_signal] = ACTIONS(452),
    [anon_sym_on] = ACTIONS(452),
    [anon_sym_required] = ACTIONS(452),
    [anon_sym_component] = ACTIONS(452),
    [anon_sym_abstract] = ACTIONS(569),
    [anon_sym_interface] = ACTIONS(572),
    [anon_sym_enum] = ACTIONS(575),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(20),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(586),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(21),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(84),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(600),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(22),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(602),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(23),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(22),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(604),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(24),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(606),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(25),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(608),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(26),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(25),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(610),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(27),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(612),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(28),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(75),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(614),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(29),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(27),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(616),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(30),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(31),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(67),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(620),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(32),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(55),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(33),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(624),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(34),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(626),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(35),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(33),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(628),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(36),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(20),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(630),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(37),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(632),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(38),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(51),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(634),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(39),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(636),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(40),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(37),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(638),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(41),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(640),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(42),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(88),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(642),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(43),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(89),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(644),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(44),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(39),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(646),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(45),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(648),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(46),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(45),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(47),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(652),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(48),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(47),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(654),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(49),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(52),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(656),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(50),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(658),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(51),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(660),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(52),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(662),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(53),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(56),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(664),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(54),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(58),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(666),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(55),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(668),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(56),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(670),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(57),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(60),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(58),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(674),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(59),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(62),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(676),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(60),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(678),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(61),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(65),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(680),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(62),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(682),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(63),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(50),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(684),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(64),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(30),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(686),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(65),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(688),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(66),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(85),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(690),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(67),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(692),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(68),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(69),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(78),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(696),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(70),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(74),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(698),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(71),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(68),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(72),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(73),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(72),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(704),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(74),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(706),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(75),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(708),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(76),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(34),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(710),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(77),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(712),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(78),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(714),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(79),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(87),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(716),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(80),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(41),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(718),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(81),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(720),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(82),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(722),
    [anon_sym_export] = ACTIONS(725),
    [anon_sym_type] = ACTIONS(728),
    [anon_sym_namespace] = ACTIONS(731),
    [anon_sym_LBRACE] = ACTIONS(734),
    [anon_sym_RBRACE] = ACTIONS(435),
    [anon_sym_typeof] = ACTIONS(446),
    [anon_sym_import] = ACTIONS(737),
    [anon_sym_from] = ACTIONS(740),
    [anon_sym_with] = ACTIONS(743),
    [anon_sym_var] = ACTIONS(746),
    [anon_sym_let] = ACTIONS(749),
    [anon_sym_const] = ACTIONS(752),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_if] = ACTIONS(755),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_for] = ACTIONS(761),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_await] = ACTIONS(479),
    [anon_sym_of] = ACTIONS(740),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(767),
    [anon_sym_try] = ACTIONS(770),
    [anon_sym_break] = ACTIONS(773),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_debugger] = ACTIONS(779),
    [anon_sym_return] = ACTIONS(782),
    [anon_sym_throw] = ACTIONS(785),
    [anon_sym_SEMI] = ACTIONS(788),
    [anon_sym_yield] = ACTIONS(509),
    [anon_sym_LBRACK] = ACTIONS(512),
    [anon_sym_LTtemplate_GT] = ACTIONS(515),
    [anon_sym_DQUOTE] = ACTIONS(518),
    [anon_sym_SQUOTE] = ACTIONS(521),
    [anon_sym_class] = ACTIONS(791),
    [anon_sym_async] = ACTIONS(794),
    [anon_sym_function] = ACTIONS(797),
    [anon_sym_new] = ACTIONS(800),
    [anon_sym_using] = ACTIONS(536),
    [anon_sym_PLUS] = ACTIONS(446),
    [anon_sym_DASH] = ACTIONS(446),
    [anon_sym_SLASH] = ACTIONS(539),
    [anon_sym_LT] = ACTIONS(542),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_void] = ACTIONS(446),
    [anon_sym_delete] = ACTIONS(446),
    [anon_sym_PLUS_PLUS] = ACTIONS(545),
    [anon_sym_DASH_DASH] = ACTIONS(545),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(548),
    [sym_number] = ACTIONS(551),
    [sym_private_property_identifier] = ACTIONS(554),
    [sym_this] = ACTIONS(551),
    [sym_super] = ACTIONS(551),
    [sym_true] = ACTIONS(551),
    [sym_false] = ACTIONS(551),
    [sym_null] = ACTIONS(551),
    [sym_undefined] = ACTIONS(557),
    [anon_sym_AT] = ACTIONS(560),
    [anon_sym_static] = ACTIONS(740),
    [anon_sym_readonly] = ACTIONS(740),
    [anon_sym_get] = ACTIONS(740),
    [anon_sym_set] = ACTIONS(740),
    [anon_sym_declare] = ACTIONS(803),
    [anon_sym_public] = ACTIONS(740),
    [anon_sym_private] = ACTIONS(740),
    [anon_sym_protected] = ACTIONS(740),
    [anon_sym_override] = ACTIONS(740),
    [anon_sym_module] = ACTIONS(806),
    [anon_sym_any] = ACTIONS(740),
    [anon_sym_number] = ACTIONS(740),
    [anon_sym_boolean] = ACTIONS(740),
    [anon_sym_string] = ACTIONS(740),
    [anon_sym_symbol] = ACTIONS(740),
    [anon_sym_object] = ACTIONS(740),
    [anon_sym_property] = ACTIONS(740),
    [anon_sym_signal] = ACTIONS(740),
    [anon_sym_on] = ACTIONS(740),
    [anon_sym_required] = ACTIONS(740),
    [anon_sym_component] = ACTIONS(740),
    [anon_sym_abstract] = ACTIONS(809),
    [anon_sym_interface] = ACTIONS(812),
    [anon_sym_enum] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(83),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(81),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(818),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(84),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(820),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(85),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(822),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(86),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(77),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(87),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(826),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(88),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(828),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(89),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(830),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(90),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(24),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(832),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(91),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(834),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_export_statement] = STATE(1750),
    [sym_declaration] = STATE(1750),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1750),
    [sym_expression_statement] = STATE(1750),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1750),
    [sym_if_statement] = STATE(1750),
    [sym_switch_statement] = STATE(1750),
    [sym_for_statement] = STATE(1750),
    [sym_for_in_statement] = STATE(1750),
    [sym_while_statement] = STATE(1750),
    [sym_do_statement] = STATE(1750),
    [sym_try_statement] = STATE(1750),
    [sym_with_statement] = STATE(1750),
    [sym_break_statement] = STATE(1750),
    [sym_continue_statement] = STATE(1750),
    [sym_debugger_statement] = STATE(1750),
    [sym_return_statement] = STATE(1750),
    [sym_throw_statement] = STATE(1750),
    [sym_empty_statement] = STATE(1750),
    [sym_labeled_statement] = STATE(1750),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(92),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [aux_sym_statement_block_repeat1] = STATE(91),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_export_statement] = STATE(1080),
    [sym_declaration] = STATE(1080),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1080),
    [sym_expression_statement] = STATE(1080),
    [sym_variable_declaration] = STATE(1092),
    [sym_lexical_declaration] = STATE(1092),
    [sym_statement_block] = STATE(1080),
    [sym_if_statement] = STATE(1080),
    [sym_switch_statement] = STATE(1080),
    [sym_for_statement] = STATE(1080),
    [sym_for_in_statement] = STATE(1080),
    [sym_while_statement] = STATE(1080),
    [sym_do_statement] = STATE(1080),
    [sym_try_statement] = STATE(1080),
    [sym_with_statement] = STATE(1080),
    [sym_break_statement] = STATE(1080),
    [sym_continue_statement] = STATE(1080),
    [sym_debugger_statement] = STATE(1080),
    [sym_return_statement] = STATE(1080),
    [sym_throw_statement] = STATE(1080),
    [sym_empty_statement] = STATE(1080),
    [sym_labeled_statement] = STATE(1080),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3150),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1092),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1092),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1092),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7559),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(93),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1092),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1092),
    [sym_abstract_class_declaration] = STATE(1092),
    [sym_module] = STATE(1092),
    [sym_internal_module] = STATE(372),
    [sym_import_alias] = STATE(1092),
    [sym_interface_declaration] = STATE(1092),
    [sym_enum_declaration] = STATE(1092),
    [sym_type_alias_declaration] = STATE(1092),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5661),
    [sym_identifier] = ACTIONS(838),
    [anon_sym_export] = ACTIONS(840),
    [anon_sym_type] = ACTIONS(842),
    [anon_sym_namespace] = ACTIONS(844),
    [anon_sym_LBRACE] = ACTIONS(846),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_from] = ACTIONS(850),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(854),
    [anon_sym_let] = ACTIONS(856),
    [anon_sym_const] = ACTIONS(858),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(860),
    [anon_sym_switch] = ACTIONS(862),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(866),
    [anon_sym_do] = ACTIONS(868),
    [anon_sym_try] = ACTIONS(870),
    [anon_sym_break] = ACTIONS(872),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(876),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(880),
    [anon_sym_SEMI] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(884),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(888),
    [anon_sym_new] = ACTIONS(890),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(850),
    [anon_sym_readonly] = ACTIONS(850),
    [anon_sym_get] = ACTIONS(850),
    [anon_sym_set] = ACTIONS(850),
    [anon_sym_declare] = ACTIONS(892),
    [anon_sym_public] = ACTIONS(850),
    [anon_sym_private] = ACTIONS(850),
    [anon_sym_protected] = ACTIONS(850),
    [anon_sym_override] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(894),
    [anon_sym_any] = ACTIONS(850),
    [anon_sym_number] = ACTIONS(850),
    [anon_sym_boolean] = ACTIONS(850),
    [anon_sym_string] = ACTIONS(850),
    [anon_sym_symbol] = ACTIONS(850),
    [anon_sym_object] = ACTIONS(850),
    [anon_sym_property] = ACTIONS(850),
    [anon_sym_signal] = ACTIONS(850),
    [anon_sym_on] = ACTIONS(850),
    [anon_sym_required] = ACTIONS(850),
    [anon_sym_component] = ACTIONS(850),
    [anon_sym_abstract] = ACTIONS(896),
    [anon_sym_interface] = ACTIONS(898),
    [anon_sym_enum] = ACTIONS(900),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_export_statement] = STATE(8254),
    [sym_declaration] = STATE(8254),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(8254),
    [sym_expression_statement] = STATE(8254),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_statement_block] = STATE(8254),
    [sym_if_statement] = STATE(8254),
    [sym_switch_statement] = STATE(8254),
    [sym_for_statement] = STATE(8254),
    [sym_for_in_statement] = STATE(8254),
    [sym_while_statement] = STATE(8254),
    [sym_do_statement] = STATE(8254),
    [sym_try_statement] = STATE(8254),
    [sym_with_statement] = STATE(8254),
    [sym_break_statement] = STATE(8254),
    [sym_continue_statement] = STATE(8254),
    [sym_debugger_statement] = STATE(8254),
    [sym_return_statement] = STATE(8254),
    [sym_throw_statement] = STATE(8254),
    [sym_empty_statement] = STATE(8254),
    [sym_labeled_statement] = STATE(8254),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3097),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(8195),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7673),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(94),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(8195),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(3628),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5697),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_from] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(916),
    [anon_sym_var] = ACTIONS(918),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(926),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(934),
    [anon_sym_break] = ACTIONS(936),
    [anon_sym_continue] = ACTIONS(938),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_readonly] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_override] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(914),
    [anon_sym_number] = ACTIONS(914),
    [anon_sym_boolean] = ACTIONS(914),
    [anon_sym_string] = ACTIONS(914),
    [anon_sym_symbol] = ACTIONS(914),
    [anon_sym_object] = ACTIONS(914),
    [anon_sym_property] = ACTIONS(914),
    [anon_sym_signal] = ACTIONS(914),
    [anon_sym_on] = ACTIONS(914),
    [anon_sym_required] = ACTIONS(914),
    [anon_sym_component] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_export_statement] = STATE(4217),
    [sym_declaration] = STATE(4217),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(4217),
    [sym_expression_statement] = STATE(4217),
    [sym_variable_declaration] = STATE(4080),
    [sym_lexical_declaration] = STATE(4080),
    [sym_statement_block] = STATE(4217),
    [sym_if_statement] = STATE(4217),
    [sym_switch_statement] = STATE(4217),
    [sym_for_statement] = STATE(4217),
    [sym_for_in_statement] = STATE(4217),
    [sym_while_statement] = STATE(4217),
    [sym_do_statement] = STATE(4217),
    [sym_try_statement] = STATE(4217),
    [sym_with_statement] = STATE(4217),
    [sym_break_statement] = STATE(4217),
    [sym_continue_statement] = STATE(4217),
    [sym_debugger_statement] = STATE(4217),
    [sym_return_statement] = STATE(4217),
    [sym_throw_statement] = STATE(4217),
    [sym_empty_statement] = STATE(4217),
    [sym_labeled_statement] = STATE(4217),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3116),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4080),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4080),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4080),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7500),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(95),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(4080),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4080),
    [sym_abstract_class_declaration] = STATE(4080),
    [sym_module] = STATE(4080),
    [sym_internal_module] = STATE(1853),
    [sym_import_alias] = STATE(4080),
    [sym_interface_declaration] = STATE(4080),
    [sym_enum_declaration] = STATE(4080),
    [sym_type_alias_declaration] = STATE(4080),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5737),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(968),
    [anon_sym_type] = ACTIONS(970),
    [anon_sym_namespace] = ACTIONS(972),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(976),
    [anon_sym_from] = ACTIONS(978),
    [anon_sym_with] = ACTIONS(980),
    [anon_sym_var] = ACTIONS(982),
    [anon_sym_let] = ACTIONS(984),
    [anon_sym_const] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(988),
    [anon_sym_switch] = ACTIONS(990),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(978),
    [anon_sym_while] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_try] = ACTIONS(998),
    [anon_sym_break] = ACTIONS(1000),
    [anon_sym_continue] = ACTIONS(1002),
    [anon_sym_debugger] = ACTIONS(1004),
    [anon_sym_return] = ACTIONS(1006),
    [anon_sym_throw] = ACTIONS(1008),
    [anon_sym_SEMI] = ACTIONS(1010),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(1014),
    [anon_sym_function] = ACTIONS(1016),
    [anon_sym_new] = ACTIONS(1018),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(978),
    [anon_sym_readonly] = ACTIONS(978),
    [anon_sym_get] = ACTIONS(978),
    [anon_sym_set] = ACTIONS(978),
    [anon_sym_declare] = ACTIONS(1020),
    [anon_sym_public] = ACTIONS(978),
    [anon_sym_private] = ACTIONS(978),
    [anon_sym_protected] = ACTIONS(978),
    [anon_sym_override] = ACTIONS(978),
    [anon_sym_module] = ACTIONS(1022),
    [anon_sym_any] = ACTIONS(978),
    [anon_sym_number] = ACTIONS(978),
    [anon_sym_boolean] = ACTIONS(978),
    [anon_sym_string] = ACTIONS(978),
    [anon_sym_symbol] = ACTIONS(978),
    [anon_sym_object] = ACTIONS(978),
    [anon_sym_property] = ACTIONS(978),
    [anon_sym_signal] = ACTIONS(978),
    [anon_sym_on] = ACTIONS(978),
    [anon_sym_required] = ACTIONS(978),
    [anon_sym_component] = ACTIONS(978),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_interface] = ACTIONS(1026),
    [anon_sym_enum] = ACTIONS(1028),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_export_statement] = STATE(4415),
    [sym_declaration] = STATE(4415),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(4415),
    [sym_expression_statement] = STATE(4415),
    [sym_variable_declaration] = STATE(4255),
    [sym_lexical_declaration] = STATE(4255),
    [sym_statement_block] = STATE(4415),
    [sym_if_statement] = STATE(4415),
    [sym_switch_statement] = STATE(4415),
    [sym_for_statement] = STATE(4415),
    [sym_for_in_statement] = STATE(4415),
    [sym_while_statement] = STATE(4415),
    [sym_do_statement] = STATE(4415),
    [sym_try_statement] = STATE(4415),
    [sym_with_statement] = STATE(4415),
    [sym_break_statement] = STATE(4415),
    [sym_continue_statement] = STATE(4415),
    [sym_debugger_statement] = STATE(4415),
    [sym_return_statement] = STATE(4415),
    [sym_throw_statement] = STATE(4415),
    [sym_empty_statement] = STATE(4415),
    [sym_labeled_statement] = STATE(4415),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4255),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4255),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4255),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8186),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(96),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(4255),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4255),
    [sym_abstract_class_declaration] = STATE(4255),
    [sym_module] = STATE(4255),
    [sym_internal_module] = STATE(1909),
    [sym_import_alias] = STATE(4255),
    [sym_interface_declaration] = STATE(4255),
    [sym_enum_declaration] = STATE(4255),
    [sym_type_alias_declaration] = STATE(4255),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5725),
    [sym_identifier] = ACTIONS(1030),
    [anon_sym_export] = ACTIONS(1032),
    [anon_sym_type] = ACTIONS(1034),
    [anon_sym_namespace] = ACTIONS(1036),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(1040),
    [anon_sym_from] = ACTIONS(1042),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_var] = ACTIONS(1046),
    [anon_sym_let] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_for] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1042),
    [anon_sym_while] = ACTIONS(1058),
    [anon_sym_do] = ACTIONS(1060),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_continue] = ACTIONS(1066),
    [anon_sym_debugger] = ACTIONS(1068),
    [anon_sym_return] = ACTIONS(1070),
    [anon_sym_throw] = ACTIONS(1072),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1076),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(1080),
    [anon_sym_new] = ACTIONS(1082),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1042),
    [anon_sym_readonly] = ACTIONS(1042),
    [anon_sym_get] = ACTIONS(1042),
    [anon_sym_set] = ACTIONS(1042),
    [anon_sym_declare] = ACTIONS(1084),
    [anon_sym_public] = ACTIONS(1042),
    [anon_sym_private] = ACTIONS(1042),
    [anon_sym_protected] = ACTIONS(1042),
    [anon_sym_override] = ACTIONS(1042),
    [anon_sym_module] = ACTIONS(1086),
    [anon_sym_any] = ACTIONS(1042),
    [anon_sym_number] = ACTIONS(1042),
    [anon_sym_boolean] = ACTIONS(1042),
    [anon_sym_string] = ACTIONS(1042),
    [anon_sym_symbol] = ACTIONS(1042),
    [anon_sym_object] = ACTIONS(1042),
    [anon_sym_property] = ACTIONS(1042),
    [anon_sym_signal] = ACTIONS(1042),
    [anon_sym_on] = ACTIONS(1042),
    [anon_sym_required] = ACTIONS(1042),
    [anon_sym_component] = ACTIONS(1042),
    [anon_sym_abstract] = ACTIONS(1088),
    [anon_sym_interface] = ACTIONS(1090),
    [anon_sym_enum] = ACTIONS(1092),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_export_statement] = STATE(4431),
    [sym_declaration] = STATE(4434),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(4442),
    [sym_expression_statement] = STATE(4443),
    [sym_variable_declaration] = STATE(4255),
    [sym_lexical_declaration] = STATE(4255),
    [sym_statement_block] = STATE(4444),
    [sym_if_statement] = STATE(4445),
    [sym_switch_statement] = STATE(4446),
    [sym_for_statement] = STATE(4448),
    [sym_for_in_statement] = STATE(4407),
    [sym_while_statement] = STATE(4406),
    [sym_do_statement] = STATE(4377),
    [sym_try_statement] = STATE(4357),
    [sym_with_statement] = STATE(4356),
    [sym_break_statement] = STATE(4347),
    [sym_continue_statement] = STATE(4345),
    [sym_debugger_statement] = STATE(4342),
    [sym_return_statement] = STATE(4340),
    [sym_throw_statement] = STATE(4295),
    [sym_empty_statement] = STATE(4249),
    [sym_labeled_statement] = STATE(4246),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4255),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4255),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4255),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8186),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(97),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(4255),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4255),
    [sym_abstract_class_declaration] = STATE(4255),
    [sym_module] = STATE(4255),
    [sym_internal_module] = STATE(1909),
    [sym_import_alias] = STATE(4255),
    [sym_interface_declaration] = STATE(4255),
    [sym_enum_declaration] = STATE(4255),
    [sym_type_alias_declaration] = STATE(4255),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5725),
    [sym_identifier] = ACTIONS(1030),
    [anon_sym_export] = ACTIONS(1032),
    [anon_sym_type] = ACTIONS(1034),
    [anon_sym_namespace] = ACTIONS(1036),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(1040),
    [anon_sym_from] = ACTIONS(1042),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_var] = ACTIONS(1046),
    [anon_sym_let] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_for] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1042),
    [anon_sym_while] = ACTIONS(1058),
    [anon_sym_do] = ACTIONS(1060),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_continue] = ACTIONS(1066),
    [anon_sym_debugger] = ACTIONS(1068),
    [anon_sym_return] = ACTIONS(1070),
    [anon_sym_throw] = ACTIONS(1072),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1076),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(1080),
    [anon_sym_new] = ACTIONS(1082),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1042),
    [anon_sym_readonly] = ACTIONS(1042),
    [anon_sym_get] = ACTIONS(1042),
    [anon_sym_set] = ACTIONS(1042),
    [anon_sym_declare] = ACTIONS(1084),
    [anon_sym_public] = ACTIONS(1042),
    [anon_sym_private] = ACTIONS(1042),
    [anon_sym_protected] = ACTIONS(1042),
    [anon_sym_override] = ACTIONS(1042),
    [anon_sym_module] = ACTIONS(1086),
    [anon_sym_any] = ACTIONS(1042),
    [anon_sym_number] = ACTIONS(1042),
    [anon_sym_boolean] = ACTIONS(1042),
    [anon_sym_string] = ACTIONS(1042),
    [anon_sym_symbol] = ACTIONS(1042),
    [anon_sym_object] = ACTIONS(1042),
    [anon_sym_property] = ACTIONS(1042),
    [anon_sym_signal] = ACTIONS(1042),
    [anon_sym_on] = ACTIONS(1042),
    [anon_sym_required] = ACTIONS(1042),
    [anon_sym_component] = ACTIONS(1042),
    [anon_sym_abstract] = ACTIONS(1088),
    [anon_sym_interface] = ACTIONS(1090),
    [anon_sym_enum] = ACTIONS(1092),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_export_statement] = STATE(1443),
    [sym_declaration] = STATE(1442),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1429),
    [sym_expression_statement] = STATE(1420),
    [sym_variable_declaration] = STATE(1302),
    [sym_lexical_declaration] = STATE(1302),
    [sym_statement_block] = STATE(1418),
    [sym_if_statement] = STATE(1417),
    [sym_switch_statement] = STATE(1416),
    [sym_for_statement] = STATE(1414),
    [sym_for_in_statement] = STATE(1463),
    [sym_while_statement] = STATE(1460),
    [sym_do_statement] = STATE(1458),
    [sym_try_statement] = STATE(1455),
    [sym_with_statement] = STATE(1454),
    [sym_break_statement] = STATE(1453),
    [sym_continue_statement] = STATE(1445),
    [sym_debugger_statement] = STATE(1441),
    [sym_return_statement] = STATE(1439),
    [sym_throw_statement] = STATE(1438),
    [sym_empty_statement] = STATE(1432),
    [sym_labeled_statement] = STATE(1431),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2999),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1302),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1302),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1302),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7399),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(98),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1302),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1302),
    [sym_abstract_class_declaration] = STATE(1302),
    [sym_module] = STATE(1302),
    [sym_internal_module] = STATE(398),
    [sym_import_alias] = STATE(1302),
    [sym_interface_declaration] = STATE(1302),
    [sym_enum_declaration] = STATE(1302),
    [sym_type_alias_declaration] = STATE(1302),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5682),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_export] = ACTIONS(355),
    [anon_sym_type] = ACTIONS(359),
    [anon_sym_namespace] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_from] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_var] = ACTIONS(371),
    [anon_sym_let] = ACTIONS(373),
    [anon_sym_const] = ACTIONS(375),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_switch] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_break] = ACTIONS(389),
    [anon_sym_continue] = ACTIONS(391),
    [anon_sym_debugger] = ACTIONS(393),
    [anon_sym_return] = ACTIONS(395),
    [anon_sym_throw] = ACTIONS(397),
    [anon_sym_SEMI] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(407),
    [anon_sym_new] = ACTIONS(409),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(367),
    [anon_sym_readonly] = ACTIONS(367),
    [anon_sym_get] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(367),
    [anon_sym_declare] = ACTIONS(413),
    [anon_sym_public] = ACTIONS(367),
    [anon_sym_private] = ACTIONS(367),
    [anon_sym_protected] = ACTIONS(367),
    [anon_sym_override] = ACTIONS(367),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_any] = ACTIONS(367),
    [anon_sym_number] = ACTIONS(367),
    [anon_sym_boolean] = ACTIONS(367),
    [anon_sym_string] = ACTIONS(367),
    [anon_sym_symbol] = ACTIONS(367),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_property] = ACTIONS(367),
    [anon_sym_signal] = ACTIONS(367),
    [anon_sym_on] = ACTIONS(367),
    [anon_sym_required] = ACTIONS(367),
    [anon_sym_component] = ACTIONS(367),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_interface] = ACTIONS(419),
    [anon_sym_enum] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_export_statement] = STATE(4389),
    [sym_declaration] = STATE(4389),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(4389),
    [sym_expression_statement] = STATE(4389),
    [sym_variable_declaration] = STATE(4255),
    [sym_lexical_declaration] = STATE(4255),
    [sym_statement_block] = STATE(4389),
    [sym_if_statement] = STATE(4389),
    [sym_switch_statement] = STATE(4389),
    [sym_for_statement] = STATE(4389),
    [sym_for_in_statement] = STATE(4389),
    [sym_while_statement] = STATE(4389),
    [sym_do_statement] = STATE(4389),
    [sym_try_statement] = STATE(4389),
    [sym_with_statement] = STATE(4389),
    [sym_break_statement] = STATE(4389),
    [sym_continue_statement] = STATE(4389),
    [sym_debugger_statement] = STATE(4389),
    [sym_return_statement] = STATE(4389),
    [sym_throw_statement] = STATE(4389),
    [sym_empty_statement] = STATE(4389),
    [sym_labeled_statement] = STATE(4389),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4255),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4255),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4255),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8186),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(99),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(4255),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4255),
    [sym_abstract_class_declaration] = STATE(4255),
    [sym_module] = STATE(4255),
    [sym_internal_module] = STATE(1909),
    [sym_import_alias] = STATE(4255),
    [sym_interface_declaration] = STATE(4255),
    [sym_enum_declaration] = STATE(4255),
    [sym_type_alias_declaration] = STATE(4255),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5725),
    [sym_identifier] = ACTIONS(1030),
    [anon_sym_export] = ACTIONS(1032),
    [anon_sym_type] = ACTIONS(1034),
    [anon_sym_namespace] = ACTIONS(1036),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(1040),
    [anon_sym_from] = ACTIONS(1042),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_var] = ACTIONS(1046),
    [anon_sym_let] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_for] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1042),
    [anon_sym_while] = ACTIONS(1058),
    [anon_sym_do] = ACTIONS(1060),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_continue] = ACTIONS(1066),
    [anon_sym_debugger] = ACTIONS(1068),
    [anon_sym_return] = ACTIONS(1070),
    [anon_sym_throw] = ACTIONS(1072),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1076),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(1080),
    [anon_sym_new] = ACTIONS(1082),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1042),
    [anon_sym_readonly] = ACTIONS(1042),
    [anon_sym_get] = ACTIONS(1042),
    [anon_sym_set] = ACTIONS(1042),
    [anon_sym_declare] = ACTIONS(1084),
    [anon_sym_public] = ACTIONS(1042),
    [anon_sym_private] = ACTIONS(1042),
    [anon_sym_protected] = ACTIONS(1042),
    [anon_sym_override] = ACTIONS(1042),
    [anon_sym_module] = ACTIONS(1086),
    [anon_sym_any] = ACTIONS(1042),
    [anon_sym_number] = ACTIONS(1042),
    [anon_sym_boolean] = ACTIONS(1042),
    [anon_sym_string] = ACTIONS(1042),
    [anon_sym_symbol] = ACTIONS(1042),
    [anon_sym_object] = ACTIONS(1042),
    [anon_sym_property] = ACTIONS(1042),
    [anon_sym_signal] = ACTIONS(1042),
    [anon_sym_on] = ACTIONS(1042),
    [anon_sym_required] = ACTIONS(1042),
    [anon_sym_component] = ACTIONS(1042),
    [anon_sym_abstract] = ACTIONS(1088),
    [anon_sym_interface] = ACTIONS(1090),
    [anon_sym_enum] = ACTIONS(1092),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_export_statement] = STATE(1506),
    [sym_declaration] = STATE(1507),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1508),
    [sym_expression_statement] = STATE(1512),
    [sym_variable_declaration] = STATE(1587),
    [sym_lexical_declaration] = STATE(1587),
    [sym_statement_block] = STATE(1515),
    [sym_if_statement] = STATE(1516),
    [sym_switch_statement] = STATE(1517),
    [sym_for_statement] = STATE(1526),
    [sym_for_in_statement] = STATE(1530),
    [sym_while_statement] = STATE(1538),
    [sym_do_statement] = STATE(1548),
    [sym_try_statement] = STATE(1549),
    [sym_with_statement] = STATE(1550),
    [sym_break_statement] = STATE(1551),
    [sym_continue_statement] = STATE(1556),
    [sym_debugger_statement] = STATE(1558),
    [sym_return_statement] = STATE(1559),
    [sym_throw_statement] = STATE(1562),
    [sym_empty_statement] = STATE(1563),
    [sym_labeled_statement] = STATE(1564),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3128),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1587),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1587),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1587),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8194),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(100),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1587),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1587),
    [sym_abstract_class_declaration] = STATE(1587),
    [sym_module] = STATE(1587),
    [sym_internal_module] = STATE(478),
    [sym_import_alias] = STATE(1587),
    [sym_interface_declaration] = STATE(1587),
    [sym_enum_declaration] = STATE(1587),
    [sym_type_alias_declaration] = STATE(1587),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5711),
    [sym_identifier] = ACTIONS(1094),
    [anon_sym_export] = ACTIONS(1096),
    [anon_sym_type] = ACTIONS(1098),
    [anon_sym_namespace] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_from] = ACTIONS(1106),
    [anon_sym_with] = ACTIONS(1108),
    [anon_sym_var] = ACTIONS(1110),
    [anon_sym_let] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1118),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1106),
    [anon_sym_while] = ACTIONS(1122),
    [anon_sym_do] = ACTIONS(1124),
    [anon_sym_try] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_debugger] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1134),
    [anon_sym_throw] = ACTIONS(1136),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1140),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(1144),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1106),
    [anon_sym_readonly] = ACTIONS(1106),
    [anon_sym_get] = ACTIONS(1106),
    [anon_sym_set] = ACTIONS(1106),
    [anon_sym_declare] = ACTIONS(1148),
    [anon_sym_public] = ACTIONS(1106),
    [anon_sym_private] = ACTIONS(1106),
    [anon_sym_protected] = ACTIONS(1106),
    [anon_sym_override] = ACTIONS(1106),
    [anon_sym_module] = ACTIONS(1150),
    [anon_sym_any] = ACTIONS(1106),
    [anon_sym_number] = ACTIONS(1106),
    [anon_sym_boolean] = ACTIONS(1106),
    [anon_sym_string] = ACTIONS(1106),
    [anon_sym_symbol] = ACTIONS(1106),
    [anon_sym_object] = ACTIONS(1106),
    [anon_sym_property] = ACTIONS(1106),
    [anon_sym_signal] = ACTIONS(1106),
    [anon_sym_on] = ACTIONS(1106),
    [anon_sym_required] = ACTIONS(1106),
    [anon_sym_component] = ACTIONS(1106),
    [anon_sym_abstract] = ACTIONS(1152),
    [anon_sym_interface] = ACTIONS(1154),
    [anon_sym_enum] = ACTIONS(1156),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_export_statement] = STATE(8405),
    [sym_declaration] = STATE(8405),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(8405),
    [sym_expression_statement] = STATE(8405),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_statement_block] = STATE(8405),
    [sym_if_statement] = STATE(8405),
    [sym_switch_statement] = STATE(8405),
    [sym_for_statement] = STATE(8405),
    [sym_for_in_statement] = STATE(8405),
    [sym_while_statement] = STATE(8405),
    [sym_do_statement] = STATE(8405),
    [sym_try_statement] = STATE(8405),
    [sym_with_statement] = STATE(8405),
    [sym_break_statement] = STATE(8405),
    [sym_continue_statement] = STATE(8405),
    [sym_debugger_statement] = STATE(8405),
    [sym_return_statement] = STATE(8405),
    [sym_throw_statement] = STATE(8405),
    [sym_empty_statement] = STATE(8405),
    [sym_labeled_statement] = STATE(8405),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3097),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(8195),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7673),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(101),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(8195),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(3628),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5697),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_from] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(916),
    [anon_sym_var] = ACTIONS(918),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(926),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(934),
    [anon_sym_break] = ACTIONS(936),
    [anon_sym_continue] = ACTIONS(938),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_readonly] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_override] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(914),
    [anon_sym_number] = ACTIONS(914),
    [anon_sym_boolean] = ACTIONS(914),
    [anon_sym_string] = ACTIONS(914),
    [anon_sym_symbol] = ACTIONS(914),
    [anon_sym_object] = ACTIONS(914),
    [anon_sym_property] = ACTIONS(914),
    [anon_sym_signal] = ACTIONS(914),
    [anon_sym_on] = ACTIONS(914),
    [anon_sym_required] = ACTIONS(914),
    [anon_sym_component] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_export_statement] = STATE(7839),
    [sym_declaration] = STATE(7839),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(7839),
    [sym_expression_statement] = STATE(7839),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_statement_block] = STATE(7839),
    [sym_if_statement] = STATE(7839),
    [sym_switch_statement] = STATE(7839),
    [sym_for_statement] = STATE(7839),
    [sym_for_in_statement] = STATE(7839),
    [sym_while_statement] = STATE(7839),
    [sym_do_statement] = STATE(7839),
    [sym_try_statement] = STATE(7839),
    [sym_with_statement] = STATE(7839),
    [sym_break_statement] = STATE(7839),
    [sym_continue_statement] = STATE(7839),
    [sym_debugger_statement] = STATE(7839),
    [sym_return_statement] = STATE(7839),
    [sym_throw_statement] = STATE(7839),
    [sym_empty_statement] = STATE(7839),
    [sym_labeled_statement] = STATE(7839),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3097),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(8195),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7673),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(102),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(8195),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(3628),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5697),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_from] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(916),
    [anon_sym_var] = ACTIONS(918),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(926),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(934),
    [anon_sym_break] = ACTIONS(936),
    [anon_sym_continue] = ACTIONS(938),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_readonly] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_override] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(914),
    [anon_sym_number] = ACTIONS(914),
    [anon_sym_boolean] = ACTIONS(914),
    [anon_sym_string] = ACTIONS(914),
    [anon_sym_symbol] = ACTIONS(914),
    [anon_sym_object] = ACTIONS(914),
    [anon_sym_property] = ACTIONS(914),
    [anon_sym_signal] = ACTIONS(914),
    [anon_sym_on] = ACTIONS(914),
    [anon_sym_required] = ACTIONS(914),
    [anon_sym_component] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_export_statement] = STATE(7160),
    [sym_declaration] = STATE(7160),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(7160),
    [sym_expression_statement] = STATE(7160),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_statement_block] = STATE(7160),
    [sym_if_statement] = STATE(7160),
    [sym_switch_statement] = STATE(7160),
    [sym_for_statement] = STATE(7160),
    [sym_for_in_statement] = STATE(7160),
    [sym_while_statement] = STATE(7160),
    [sym_do_statement] = STATE(7160),
    [sym_try_statement] = STATE(7160),
    [sym_with_statement] = STATE(7160),
    [sym_break_statement] = STATE(7160),
    [sym_continue_statement] = STATE(7160),
    [sym_debugger_statement] = STATE(7160),
    [sym_return_statement] = STATE(7160),
    [sym_throw_statement] = STATE(7160),
    [sym_empty_statement] = STATE(7160),
    [sym_labeled_statement] = STATE(7160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3097),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(8195),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7673),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(103),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(8195),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(3628),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5697),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_from] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(916),
    [anon_sym_var] = ACTIONS(918),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(926),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(934),
    [anon_sym_break] = ACTIONS(936),
    [anon_sym_continue] = ACTIONS(938),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_readonly] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_override] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(914),
    [anon_sym_number] = ACTIONS(914),
    [anon_sym_boolean] = ACTIONS(914),
    [anon_sym_string] = ACTIONS(914),
    [anon_sym_symbol] = ACTIONS(914),
    [anon_sym_object] = ACTIONS(914),
    [anon_sym_property] = ACTIONS(914),
    [anon_sym_signal] = ACTIONS(914),
    [anon_sym_on] = ACTIONS(914),
    [anon_sym_required] = ACTIONS(914),
    [anon_sym_component] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_export_statement] = STATE(4348),
    [sym_declaration] = STATE(4348),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(4348),
    [sym_expression_statement] = STATE(4348),
    [sym_variable_declaration] = STATE(4255),
    [sym_lexical_declaration] = STATE(4255),
    [sym_statement_block] = STATE(4348),
    [sym_if_statement] = STATE(4348),
    [sym_switch_statement] = STATE(4348),
    [sym_for_statement] = STATE(4348),
    [sym_for_in_statement] = STATE(4348),
    [sym_while_statement] = STATE(4348),
    [sym_do_statement] = STATE(4348),
    [sym_try_statement] = STATE(4348),
    [sym_with_statement] = STATE(4348),
    [sym_break_statement] = STATE(4348),
    [sym_continue_statement] = STATE(4348),
    [sym_debugger_statement] = STATE(4348),
    [sym_return_statement] = STATE(4348),
    [sym_throw_statement] = STATE(4348),
    [sym_empty_statement] = STATE(4348),
    [sym_labeled_statement] = STATE(4348),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4255),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4255),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4255),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8186),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(104),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(4255),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4255),
    [sym_abstract_class_declaration] = STATE(4255),
    [sym_module] = STATE(4255),
    [sym_internal_module] = STATE(1909),
    [sym_import_alias] = STATE(4255),
    [sym_interface_declaration] = STATE(4255),
    [sym_enum_declaration] = STATE(4255),
    [sym_type_alias_declaration] = STATE(4255),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5725),
    [sym_identifier] = ACTIONS(1030),
    [anon_sym_export] = ACTIONS(1032),
    [anon_sym_type] = ACTIONS(1034),
    [anon_sym_namespace] = ACTIONS(1036),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(1040),
    [anon_sym_from] = ACTIONS(1042),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_var] = ACTIONS(1046),
    [anon_sym_let] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_for] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1042),
    [anon_sym_while] = ACTIONS(1058),
    [anon_sym_do] = ACTIONS(1060),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_continue] = ACTIONS(1066),
    [anon_sym_debugger] = ACTIONS(1068),
    [anon_sym_return] = ACTIONS(1070),
    [anon_sym_throw] = ACTIONS(1072),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1076),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(1080),
    [anon_sym_new] = ACTIONS(1082),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1042),
    [anon_sym_readonly] = ACTIONS(1042),
    [anon_sym_get] = ACTIONS(1042),
    [anon_sym_set] = ACTIONS(1042),
    [anon_sym_declare] = ACTIONS(1084),
    [anon_sym_public] = ACTIONS(1042),
    [anon_sym_private] = ACTIONS(1042),
    [anon_sym_protected] = ACTIONS(1042),
    [anon_sym_override] = ACTIONS(1042),
    [anon_sym_module] = ACTIONS(1086),
    [anon_sym_any] = ACTIONS(1042),
    [anon_sym_number] = ACTIONS(1042),
    [anon_sym_boolean] = ACTIONS(1042),
    [anon_sym_string] = ACTIONS(1042),
    [anon_sym_symbol] = ACTIONS(1042),
    [anon_sym_object] = ACTIONS(1042),
    [anon_sym_property] = ACTIONS(1042),
    [anon_sym_signal] = ACTIONS(1042),
    [anon_sym_on] = ACTIONS(1042),
    [anon_sym_required] = ACTIONS(1042),
    [anon_sym_component] = ACTIONS(1042),
    [anon_sym_abstract] = ACTIONS(1088),
    [anon_sym_interface] = ACTIONS(1090),
    [anon_sym_enum] = ACTIONS(1092),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_export_statement] = STATE(4112),
    [sym_declaration] = STATE(4112),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(4112),
    [sym_expression_statement] = STATE(4112),
    [sym_variable_declaration] = STATE(4080),
    [sym_lexical_declaration] = STATE(4080),
    [sym_statement_block] = STATE(4112),
    [sym_if_statement] = STATE(4112),
    [sym_switch_statement] = STATE(4112),
    [sym_for_statement] = STATE(4112),
    [sym_for_in_statement] = STATE(4112),
    [sym_while_statement] = STATE(4112),
    [sym_do_statement] = STATE(4112),
    [sym_try_statement] = STATE(4112),
    [sym_with_statement] = STATE(4112),
    [sym_break_statement] = STATE(4112),
    [sym_continue_statement] = STATE(4112),
    [sym_debugger_statement] = STATE(4112),
    [sym_return_statement] = STATE(4112),
    [sym_throw_statement] = STATE(4112),
    [sym_empty_statement] = STATE(4112),
    [sym_labeled_statement] = STATE(4112),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3116),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4080),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4080),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4080),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7500),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(105),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(4080),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4080),
    [sym_abstract_class_declaration] = STATE(4080),
    [sym_module] = STATE(4080),
    [sym_internal_module] = STATE(1853),
    [sym_import_alias] = STATE(4080),
    [sym_interface_declaration] = STATE(4080),
    [sym_enum_declaration] = STATE(4080),
    [sym_type_alias_declaration] = STATE(4080),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5737),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(968),
    [anon_sym_type] = ACTIONS(970),
    [anon_sym_namespace] = ACTIONS(972),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(976),
    [anon_sym_from] = ACTIONS(978),
    [anon_sym_with] = ACTIONS(980),
    [anon_sym_var] = ACTIONS(982),
    [anon_sym_let] = ACTIONS(984),
    [anon_sym_const] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(988),
    [anon_sym_switch] = ACTIONS(990),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(978),
    [anon_sym_while] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_try] = ACTIONS(998),
    [anon_sym_break] = ACTIONS(1000),
    [anon_sym_continue] = ACTIONS(1002),
    [anon_sym_debugger] = ACTIONS(1004),
    [anon_sym_return] = ACTIONS(1006),
    [anon_sym_throw] = ACTIONS(1008),
    [anon_sym_SEMI] = ACTIONS(1010),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(1014),
    [anon_sym_function] = ACTIONS(1016),
    [anon_sym_new] = ACTIONS(1018),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(978),
    [anon_sym_readonly] = ACTIONS(978),
    [anon_sym_get] = ACTIONS(978),
    [anon_sym_set] = ACTIONS(978),
    [anon_sym_declare] = ACTIONS(1020),
    [anon_sym_public] = ACTIONS(978),
    [anon_sym_private] = ACTIONS(978),
    [anon_sym_protected] = ACTIONS(978),
    [anon_sym_override] = ACTIONS(978),
    [anon_sym_module] = ACTIONS(1022),
    [anon_sym_any] = ACTIONS(978),
    [anon_sym_number] = ACTIONS(978),
    [anon_sym_boolean] = ACTIONS(978),
    [anon_sym_string] = ACTIONS(978),
    [anon_sym_symbol] = ACTIONS(978),
    [anon_sym_object] = ACTIONS(978),
    [anon_sym_property] = ACTIONS(978),
    [anon_sym_signal] = ACTIONS(978),
    [anon_sym_on] = ACTIONS(978),
    [anon_sym_required] = ACTIONS(978),
    [anon_sym_component] = ACTIONS(978),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_interface] = ACTIONS(1026),
    [anon_sym_enum] = ACTIONS(1028),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_export_statement] = STATE(4222),
    [sym_declaration] = STATE(4223),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(4224),
    [sym_expression_statement] = STATE(4225),
    [sym_variable_declaration] = STATE(4080),
    [sym_lexical_declaration] = STATE(4080),
    [sym_statement_block] = STATE(4226),
    [sym_if_statement] = STATE(4227),
    [sym_switch_statement] = STATE(4228),
    [sym_for_statement] = STATE(4229),
    [sym_for_in_statement] = STATE(4230),
    [sym_while_statement] = STATE(4231),
    [sym_do_statement] = STATE(4232),
    [sym_try_statement] = STATE(4233),
    [sym_with_statement] = STATE(4045),
    [sym_break_statement] = STATE(4194),
    [sym_continue_statement] = STATE(4195),
    [sym_debugger_statement] = STATE(4196),
    [sym_return_statement] = STATE(4197),
    [sym_throw_statement] = STATE(4199),
    [sym_empty_statement] = STATE(4200),
    [sym_labeled_statement] = STATE(4201),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3116),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4080),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4080),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4080),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7500),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(106),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(4080),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4080),
    [sym_abstract_class_declaration] = STATE(4080),
    [sym_module] = STATE(4080),
    [sym_internal_module] = STATE(1853),
    [sym_import_alias] = STATE(4080),
    [sym_interface_declaration] = STATE(4080),
    [sym_enum_declaration] = STATE(4080),
    [sym_type_alias_declaration] = STATE(4080),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5737),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(968),
    [anon_sym_type] = ACTIONS(970),
    [anon_sym_namespace] = ACTIONS(972),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(976),
    [anon_sym_from] = ACTIONS(978),
    [anon_sym_with] = ACTIONS(980),
    [anon_sym_var] = ACTIONS(982),
    [anon_sym_let] = ACTIONS(984),
    [anon_sym_const] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(988),
    [anon_sym_switch] = ACTIONS(990),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(978),
    [anon_sym_while] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_try] = ACTIONS(998),
    [anon_sym_break] = ACTIONS(1000),
    [anon_sym_continue] = ACTIONS(1002),
    [anon_sym_debugger] = ACTIONS(1004),
    [anon_sym_return] = ACTIONS(1006),
    [anon_sym_throw] = ACTIONS(1008),
    [anon_sym_SEMI] = ACTIONS(1010),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(1014),
    [anon_sym_function] = ACTIONS(1016),
    [anon_sym_new] = ACTIONS(1018),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(978),
    [anon_sym_readonly] = ACTIONS(978),
    [anon_sym_get] = ACTIONS(978),
    [anon_sym_set] = ACTIONS(978),
    [anon_sym_declare] = ACTIONS(1020),
    [anon_sym_public] = ACTIONS(978),
    [anon_sym_private] = ACTIONS(978),
    [anon_sym_protected] = ACTIONS(978),
    [anon_sym_override] = ACTIONS(978),
    [anon_sym_module] = ACTIONS(1022),
    [anon_sym_any] = ACTIONS(978),
    [anon_sym_number] = ACTIONS(978),
    [anon_sym_boolean] = ACTIONS(978),
    [anon_sym_string] = ACTIONS(978),
    [anon_sym_symbol] = ACTIONS(978),
    [anon_sym_object] = ACTIONS(978),
    [anon_sym_property] = ACTIONS(978),
    [anon_sym_signal] = ACTIONS(978),
    [anon_sym_on] = ACTIONS(978),
    [anon_sym_required] = ACTIONS(978),
    [anon_sym_component] = ACTIONS(978),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_interface] = ACTIONS(1026),
    [anon_sym_enum] = ACTIONS(1028),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_export_statement] = STATE(1061),
    [sym_declaration] = STATE(1061),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1061),
    [sym_expression_statement] = STATE(1061),
    [sym_variable_declaration] = STATE(1092),
    [sym_lexical_declaration] = STATE(1092),
    [sym_statement_block] = STATE(1061),
    [sym_if_statement] = STATE(1061),
    [sym_switch_statement] = STATE(1061),
    [sym_for_statement] = STATE(1061),
    [sym_for_in_statement] = STATE(1061),
    [sym_while_statement] = STATE(1061),
    [sym_do_statement] = STATE(1061),
    [sym_try_statement] = STATE(1061),
    [sym_with_statement] = STATE(1061),
    [sym_break_statement] = STATE(1061),
    [sym_continue_statement] = STATE(1061),
    [sym_debugger_statement] = STATE(1061),
    [sym_return_statement] = STATE(1061),
    [sym_throw_statement] = STATE(1061),
    [sym_empty_statement] = STATE(1061),
    [sym_labeled_statement] = STATE(1061),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3150),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1092),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1092),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1092),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7559),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(107),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1092),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1092),
    [sym_abstract_class_declaration] = STATE(1092),
    [sym_module] = STATE(1092),
    [sym_internal_module] = STATE(372),
    [sym_import_alias] = STATE(1092),
    [sym_interface_declaration] = STATE(1092),
    [sym_enum_declaration] = STATE(1092),
    [sym_type_alias_declaration] = STATE(1092),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5661),
    [sym_identifier] = ACTIONS(838),
    [anon_sym_export] = ACTIONS(840),
    [anon_sym_type] = ACTIONS(842),
    [anon_sym_namespace] = ACTIONS(844),
    [anon_sym_LBRACE] = ACTIONS(846),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_from] = ACTIONS(850),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(854),
    [anon_sym_let] = ACTIONS(856),
    [anon_sym_const] = ACTIONS(858),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(860),
    [anon_sym_switch] = ACTIONS(862),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(866),
    [anon_sym_do] = ACTIONS(868),
    [anon_sym_try] = ACTIONS(870),
    [anon_sym_break] = ACTIONS(872),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(876),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(880),
    [anon_sym_SEMI] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(884),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(888),
    [anon_sym_new] = ACTIONS(890),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(850),
    [anon_sym_readonly] = ACTIONS(850),
    [anon_sym_get] = ACTIONS(850),
    [anon_sym_set] = ACTIONS(850),
    [anon_sym_declare] = ACTIONS(892),
    [anon_sym_public] = ACTIONS(850),
    [anon_sym_private] = ACTIONS(850),
    [anon_sym_protected] = ACTIONS(850),
    [anon_sym_override] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(894),
    [anon_sym_any] = ACTIONS(850),
    [anon_sym_number] = ACTIONS(850),
    [anon_sym_boolean] = ACTIONS(850),
    [anon_sym_string] = ACTIONS(850),
    [anon_sym_symbol] = ACTIONS(850),
    [anon_sym_object] = ACTIONS(850),
    [anon_sym_property] = ACTIONS(850),
    [anon_sym_signal] = ACTIONS(850),
    [anon_sym_on] = ACTIONS(850),
    [anon_sym_required] = ACTIONS(850),
    [anon_sym_component] = ACTIONS(850),
    [anon_sym_abstract] = ACTIONS(896),
    [anon_sym_interface] = ACTIONS(898),
    [anon_sym_enum] = ACTIONS(900),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_export_statement] = STATE(8453),
    [sym_declaration] = STATE(8453),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(8453),
    [sym_expression_statement] = STATE(8453),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_statement_block] = STATE(8453),
    [sym_if_statement] = STATE(8453),
    [sym_switch_statement] = STATE(8453),
    [sym_for_statement] = STATE(8453),
    [sym_for_in_statement] = STATE(8453),
    [sym_while_statement] = STATE(8453),
    [sym_do_statement] = STATE(8453),
    [sym_try_statement] = STATE(8453),
    [sym_with_statement] = STATE(8453),
    [sym_break_statement] = STATE(8453),
    [sym_continue_statement] = STATE(8453),
    [sym_debugger_statement] = STATE(8453),
    [sym_return_statement] = STATE(8453),
    [sym_throw_statement] = STATE(8453),
    [sym_empty_statement] = STATE(8453),
    [sym_labeled_statement] = STATE(8453),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3097),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(8195),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7673),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(108),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(8195),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(3628),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5697),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_from] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(916),
    [anon_sym_var] = ACTIONS(918),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(926),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(934),
    [anon_sym_break] = ACTIONS(936),
    [anon_sym_continue] = ACTIONS(938),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_readonly] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_override] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(914),
    [anon_sym_number] = ACTIONS(914),
    [anon_sym_boolean] = ACTIONS(914),
    [anon_sym_string] = ACTIONS(914),
    [anon_sym_symbol] = ACTIONS(914),
    [anon_sym_object] = ACTIONS(914),
    [anon_sym_property] = ACTIONS(914),
    [anon_sym_signal] = ACTIONS(914),
    [anon_sym_on] = ACTIONS(914),
    [anon_sym_required] = ACTIONS(914),
    [anon_sym_component] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_export_statement] = STATE(1566),
    [sym_declaration] = STATE(1566),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1566),
    [sym_expression_statement] = STATE(1566),
    [sym_variable_declaration] = STATE(1587),
    [sym_lexical_declaration] = STATE(1587),
    [sym_statement_block] = STATE(1566),
    [sym_if_statement] = STATE(1566),
    [sym_switch_statement] = STATE(1566),
    [sym_for_statement] = STATE(1566),
    [sym_for_in_statement] = STATE(1566),
    [sym_while_statement] = STATE(1566),
    [sym_do_statement] = STATE(1566),
    [sym_try_statement] = STATE(1566),
    [sym_with_statement] = STATE(1566),
    [sym_break_statement] = STATE(1566),
    [sym_continue_statement] = STATE(1566),
    [sym_debugger_statement] = STATE(1566),
    [sym_return_statement] = STATE(1566),
    [sym_throw_statement] = STATE(1566),
    [sym_empty_statement] = STATE(1566),
    [sym_labeled_statement] = STATE(1566),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3128),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1587),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1587),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1587),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8194),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(109),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1587),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1587),
    [sym_abstract_class_declaration] = STATE(1587),
    [sym_module] = STATE(1587),
    [sym_internal_module] = STATE(478),
    [sym_import_alias] = STATE(1587),
    [sym_interface_declaration] = STATE(1587),
    [sym_enum_declaration] = STATE(1587),
    [sym_type_alias_declaration] = STATE(1587),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5711),
    [sym_identifier] = ACTIONS(1094),
    [anon_sym_export] = ACTIONS(1096),
    [anon_sym_type] = ACTIONS(1098),
    [anon_sym_namespace] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_from] = ACTIONS(1106),
    [anon_sym_with] = ACTIONS(1108),
    [anon_sym_var] = ACTIONS(1110),
    [anon_sym_let] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1118),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1106),
    [anon_sym_while] = ACTIONS(1122),
    [anon_sym_do] = ACTIONS(1124),
    [anon_sym_try] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_debugger] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1134),
    [anon_sym_throw] = ACTIONS(1136),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1140),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(1144),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1106),
    [anon_sym_readonly] = ACTIONS(1106),
    [anon_sym_get] = ACTIONS(1106),
    [anon_sym_set] = ACTIONS(1106),
    [anon_sym_declare] = ACTIONS(1148),
    [anon_sym_public] = ACTIONS(1106),
    [anon_sym_private] = ACTIONS(1106),
    [anon_sym_protected] = ACTIONS(1106),
    [anon_sym_override] = ACTIONS(1106),
    [anon_sym_module] = ACTIONS(1150),
    [anon_sym_any] = ACTIONS(1106),
    [anon_sym_number] = ACTIONS(1106),
    [anon_sym_boolean] = ACTIONS(1106),
    [anon_sym_string] = ACTIONS(1106),
    [anon_sym_symbol] = ACTIONS(1106),
    [anon_sym_object] = ACTIONS(1106),
    [anon_sym_property] = ACTIONS(1106),
    [anon_sym_signal] = ACTIONS(1106),
    [anon_sym_on] = ACTIONS(1106),
    [anon_sym_required] = ACTIONS(1106),
    [anon_sym_component] = ACTIONS(1106),
    [anon_sym_abstract] = ACTIONS(1152),
    [anon_sym_interface] = ACTIONS(1154),
    [anon_sym_enum] = ACTIONS(1156),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_export_statement] = STATE(1318),
    [sym_declaration] = STATE(1318),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1318),
    [sym_expression_statement] = STATE(1318),
    [sym_variable_declaration] = STATE(1302),
    [sym_lexical_declaration] = STATE(1302),
    [sym_statement_block] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_switch_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_for_in_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_do_statement] = STATE(1318),
    [sym_try_statement] = STATE(1318),
    [sym_with_statement] = STATE(1318),
    [sym_break_statement] = STATE(1318),
    [sym_continue_statement] = STATE(1318),
    [sym_debugger_statement] = STATE(1318),
    [sym_return_statement] = STATE(1318),
    [sym_throw_statement] = STATE(1318),
    [sym_empty_statement] = STATE(1318),
    [sym_labeled_statement] = STATE(1318),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2999),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1302),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1302),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1302),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7399),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(110),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1302),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1302),
    [sym_abstract_class_declaration] = STATE(1302),
    [sym_module] = STATE(1302),
    [sym_internal_module] = STATE(398),
    [sym_import_alias] = STATE(1302),
    [sym_interface_declaration] = STATE(1302),
    [sym_enum_declaration] = STATE(1302),
    [sym_type_alias_declaration] = STATE(1302),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5682),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_export] = ACTIONS(355),
    [anon_sym_type] = ACTIONS(359),
    [anon_sym_namespace] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_from] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_var] = ACTIONS(371),
    [anon_sym_let] = ACTIONS(373),
    [anon_sym_const] = ACTIONS(375),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_switch] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_break] = ACTIONS(389),
    [anon_sym_continue] = ACTIONS(391),
    [anon_sym_debugger] = ACTIONS(393),
    [anon_sym_return] = ACTIONS(395),
    [anon_sym_throw] = ACTIONS(397),
    [anon_sym_SEMI] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(407),
    [anon_sym_new] = ACTIONS(409),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(367),
    [anon_sym_readonly] = ACTIONS(367),
    [anon_sym_get] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(367),
    [anon_sym_declare] = ACTIONS(413),
    [anon_sym_public] = ACTIONS(367),
    [anon_sym_private] = ACTIONS(367),
    [anon_sym_protected] = ACTIONS(367),
    [anon_sym_override] = ACTIONS(367),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_any] = ACTIONS(367),
    [anon_sym_number] = ACTIONS(367),
    [anon_sym_boolean] = ACTIONS(367),
    [anon_sym_string] = ACTIONS(367),
    [anon_sym_symbol] = ACTIONS(367),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_property] = ACTIONS(367),
    [anon_sym_signal] = ACTIONS(367),
    [anon_sym_on] = ACTIONS(367),
    [anon_sym_required] = ACTIONS(367),
    [anon_sym_component] = ACTIONS(367),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_interface] = ACTIONS(419),
    [anon_sym_enum] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_export_statement] = STATE(8335),
    [sym_declaration] = STATE(8335),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(8335),
    [sym_expression_statement] = STATE(8335),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_statement_block] = STATE(8335),
    [sym_if_statement] = STATE(8335),
    [sym_switch_statement] = STATE(8335),
    [sym_for_statement] = STATE(8335),
    [sym_for_in_statement] = STATE(8335),
    [sym_while_statement] = STATE(8335),
    [sym_do_statement] = STATE(8335),
    [sym_try_statement] = STATE(8335),
    [sym_with_statement] = STATE(8335),
    [sym_break_statement] = STATE(8335),
    [sym_continue_statement] = STATE(8335),
    [sym_debugger_statement] = STATE(8335),
    [sym_return_statement] = STATE(8335),
    [sym_throw_statement] = STATE(8335),
    [sym_empty_statement] = STATE(8335),
    [sym_labeled_statement] = STATE(8335),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3097),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(8195),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7673),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(111),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(8195),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(3628),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5697),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_from] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(916),
    [anon_sym_var] = ACTIONS(918),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(926),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(934),
    [anon_sym_break] = ACTIONS(936),
    [anon_sym_continue] = ACTIONS(938),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_readonly] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_override] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(914),
    [anon_sym_number] = ACTIONS(914),
    [anon_sym_boolean] = ACTIONS(914),
    [anon_sym_string] = ACTIONS(914),
    [anon_sym_symbol] = ACTIONS(914),
    [anon_sym_object] = ACTIONS(914),
    [anon_sym_property] = ACTIONS(914),
    [anon_sym_signal] = ACTIONS(914),
    [anon_sym_on] = ACTIONS(914),
    [anon_sym_required] = ACTIONS(914),
    [anon_sym_component] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_export_statement] = STATE(1312),
    [sym_declaration] = STATE(1312),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1312),
    [sym_expression_statement] = STATE(1312),
    [sym_variable_declaration] = STATE(1302),
    [sym_lexical_declaration] = STATE(1302),
    [sym_statement_block] = STATE(1312),
    [sym_if_statement] = STATE(1312),
    [sym_switch_statement] = STATE(1312),
    [sym_for_statement] = STATE(1312),
    [sym_for_in_statement] = STATE(1312),
    [sym_while_statement] = STATE(1312),
    [sym_do_statement] = STATE(1312),
    [sym_try_statement] = STATE(1312),
    [sym_with_statement] = STATE(1312),
    [sym_break_statement] = STATE(1312),
    [sym_continue_statement] = STATE(1312),
    [sym_debugger_statement] = STATE(1312),
    [sym_return_statement] = STATE(1312),
    [sym_throw_statement] = STATE(1312),
    [sym_empty_statement] = STATE(1312),
    [sym_labeled_statement] = STATE(1312),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2999),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1302),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1302),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1302),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7399),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(112),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1302),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1302),
    [sym_abstract_class_declaration] = STATE(1302),
    [sym_module] = STATE(1302),
    [sym_internal_module] = STATE(398),
    [sym_import_alias] = STATE(1302),
    [sym_interface_declaration] = STATE(1302),
    [sym_enum_declaration] = STATE(1302),
    [sym_type_alias_declaration] = STATE(1302),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5682),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_export] = ACTIONS(355),
    [anon_sym_type] = ACTIONS(359),
    [anon_sym_namespace] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_from] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_var] = ACTIONS(371),
    [anon_sym_let] = ACTIONS(373),
    [anon_sym_const] = ACTIONS(375),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_switch] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_break] = ACTIONS(389),
    [anon_sym_continue] = ACTIONS(391),
    [anon_sym_debugger] = ACTIONS(393),
    [anon_sym_return] = ACTIONS(395),
    [anon_sym_throw] = ACTIONS(397),
    [anon_sym_SEMI] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(407),
    [anon_sym_new] = ACTIONS(409),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(367),
    [anon_sym_readonly] = ACTIONS(367),
    [anon_sym_get] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(367),
    [anon_sym_declare] = ACTIONS(413),
    [anon_sym_public] = ACTIONS(367),
    [anon_sym_private] = ACTIONS(367),
    [anon_sym_protected] = ACTIONS(367),
    [anon_sym_override] = ACTIONS(367),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_any] = ACTIONS(367),
    [anon_sym_number] = ACTIONS(367),
    [anon_sym_boolean] = ACTIONS(367),
    [anon_sym_string] = ACTIONS(367),
    [anon_sym_symbol] = ACTIONS(367),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_property] = ACTIONS(367),
    [anon_sym_signal] = ACTIONS(367),
    [anon_sym_on] = ACTIONS(367),
    [anon_sym_required] = ACTIONS(367),
    [anon_sym_component] = ACTIONS(367),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_interface] = ACTIONS(419),
    [anon_sym_enum] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_export_statement] = STATE(1472),
    [sym_declaration] = STATE(1472),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1472),
    [sym_expression_statement] = STATE(1472),
    [sym_variable_declaration] = STATE(1587),
    [sym_lexical_declaration] = STATE(1587),
    [sym_statement_block] = STATE(1472),
    [sym_if_statement] = STATE(1472),
    [sym_switch_statement] = STATE(1472),
    [sym_for_statement] = STATE(1472),
    [sym_for_in_statement] = STATE(1472),
    [sym_while_statement] = STATE(1472),
    [sym_do_statement] = STATE(1472),
    [sym_try_statement] = STATE(1472),
    [sym_with_statement] = STATE(1472),
    [sym_break_statement] = STATE(1472),
    [sym_continue_statement] = STATE(1472),
    [sym_debugger_statement] = STATE(1472),
    [sym_return_statement] = STATE(1472),
    [sym_throw_statement] = STATE(1472),
    [sym_empty_statement] = STATE(1472),
    [sym_labeled_statement] = STATE(1472),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3128),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1587),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1587),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1587),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8194),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(113),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1587),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1587),
    [sym_abstract_class_declaration] = STATE(1587),
    [sym_module] = STATE(1587),
    [sym_internal_module] = STATE(478),
    [sym_import_alias] = STATE(1587),
    [sym_interface_declaration] = STATE(1587),
    [sym_enum_declaration] = STATE(1587),
    [sym_type_alias_declaration] = STATE(1587),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5711),
    [sym_identifier] = ACTIONS(1094),
    [anon_sym_export] = ACTIONS(1096),
    [anon_sym_type] = ACTIONS(1098),
    [anon_sym_namespace] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_from] = ACTIONS(1106),
    [anon_sym_with] = ACTIONS(1108),
    [anon_sym_var] = ACTIONS(1110),
    [anon_sym_let] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1118),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1106),
    [anon_sym_while] = ACTIONS(1122),
    [anon_sym_do] = ACTIONS(1124),
    [anon_sym_try] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_debugger] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1134),
    [anon_sym_throw] = ACTIONS(1136),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1140),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(1144),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1106),
    [anon_sym_readonly] = ACTIONS(1106),
    [anon_sym_get] = ACTIONS(1106),
    [anon_sym_set] = ACTIONS(1106),
    [anon_sym_declare] = ACTIONS(1148),
    [anon_sym_public] = ACTIONS(1106),
    [anon_sym_private] = ACTIONS(1106),
    [anon_sym_protected] = ACTIONS(1106),
    [anon_sym_override] = ACTIONS(1106),
    [anon_sym_module] = ACTIONS(1150),
    [anon_sym_any] = ACTIONS(1106),
    [anon_sym_number] = ACTIONS(1106),
    [anon_sym_boolean] = ACTIONS(1106),
    [anon_sym_string] = ACTIONS(1106),
    [anon_sym_symbol] = ACTIONS(1106),
    [anon_sym_object] = ACTIONS(1106),
    [anon_sym_property] = ACTIONS(1106),
    [anon_sym_signal] = ACTIONS(1106),
    [anon_sym_on] = ACTIONS(1106),
    [anon_sym_required] = ACTIONS(1106),
    [anon_sym_component] = ACTIONS(1106),
    [anon_sym_abstract] = ACTIONS(1152),
    [anon_sym_interface] = ACTIONS(1154),
    [anon_sym_enum] = ACTIONS(1156),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_export_statement] = STATE(1120),
    [sym_declaration] = STATE(1120),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1120),
    [sym_expression_statement] = STATE(1120),
    [sym_variable_declaration] = STATE(1092),
    [sym_lexical_declaration] = STATE(1092),
    [sym_statement_block] = STATE(1120),
    [sym_if_statement] = STATE(1120),
    [sym_switch_statement] = STATE(1120),
    [sym_for_statement] = STATE(1120),
    [sym_for_in_statement] = STATE(1120),
    [sym_while_statement] = STATE(1120),
    [sym_do_statement] = STATE(1120),
    [sym_try_statement] = STATE(1120),
    [sym_with_statement] = STATE(1120),
    [sym_break_statement] = STATE(1120),
    [sym_continue_statement] = STATE(1120),
    [sym_debugger_statement] = STATE(1120),
    [sym_return_statement] = STATE(1120),
    [sym_throw_statement] = STATE(1120),
    [sym_empty_statement] = STATE(1120),
    [sym_labeled_statement] = STATE(1120),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3150),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1092),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1092),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1092),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7559),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(114),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1092),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1092),
    [sym_abstract_class_declaration] = STATE(1092),
    [sym_module] = STATE(1092),
    [sym_internal_module] = STATE(372),
    [sym_import_alias] = STATE(1092),
    [sym_interface_declaration] = STATE(1092),
    [sym_enum_declaration] = STATE(1092),
    [sym_type_alias_declaration] = STATE(1092),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5661),
    [sym_identifier] = ACTIONS(838),
    [anon_sym_export] = ACTIONS(840),
    [anon_sym_type] = ACTIONS(842),
    [anon_sym_namespace] = ACTIONS(844),
    [anon_sym_LBRACE] = ACTIONS(846),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_from] = ACTIONS(850),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(854),
    [anon_sym_let] = ACTIONS(856),
    [anon_sym_const] = ACTIONS(858),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(860),
    [anon_sym_switch] = ACTIONS(862),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(866),
    [anon_sym_do] = ACTIONS(868),
    [anon_sym_try] = ACTIONS(870),
    [anon_sym_break] = ACTIONS(872),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(876),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(880),
    [anon_sym_SEMI] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(884),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(888),
    [anon_sym_new] = ACTIONS(890),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(850),
    [anon_sym_readonly] = ACTIONS(850),
    [anon_sym_get] = ACTIONS(850),
    [anon_sym_set] = ACTIONS(850),
    [anon_sym_declare] = ACTIONS(892),
    [anon_sym_public] = ACTIONS(850),
    [anon_sym_private] = ACTIONS(850),
    [anon_sym_protected] = ACTIONS(850),
    [anon_sym_override] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(894),
    [anon_sym_any] = ACTIONS(850),
    [anon_sym_number] = ACTIONS(850),
    [anon_sym_boolean] = ACTIONS(850),
    [anon_sym_string] = ACTIONS(850),
    [anon_sym_symbol] = ACTIONS(850),
    [anon_sym_object] = ACTIONS(850),
    [anon_sym_property] = ACTIONS(850),
    [anon_sym_signal] = ACTIONS(850),
    [anon_sym_on] = ACTIONS(850),
    [anon_sym_required] = ACTIONS(850),
    [anon_sym_component] = ACTIONS(850),
    [anon_sym_abstract] = ACTIONS(896),
    [anon_sym_interface] = ACTIONS(898),
    [anon_sym_enum] = ACTIONS(900),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_export_statement] = STATE(4160),
    [sym_declaration] = STATE(4158),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(4157),
    [sym_expression_statement] = STATE(4155),
    [sym_variable_declaration] = STATE(4080),
    [sym_lexical_declaration] = STATE(4080),
    [sym_statement_block] = STATE(4154),
    [sym_if_statement] = STATE(4153),
    [sym_switch_statement] = STATE(4152),
    [sym_for_statement] = STATE(4151),
    [sym_for_in_statement] = STATE(4150),
    [sym_while_statement] = STATE(4148),
    [sym_do_statement] = STATE(4147),
    [sym_try_statement] = STATE(4146),
    [sym_with_statement] = STATE(4144),
    [sym_break_statement] = STATE(4142),
    [sym_continue_statement] = STATE(4132),
    [sym_debugger_statement] = STATE(4131),
    [sym_return_statement] = STATE(4130),
    [sym_throw_statement] = STATE(4129),
    [sym_empty_statement] = STATE(4128),
    [sym_labeled_statement] = STATE(4124),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3116),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4080),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4080),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4080),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7500),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(115),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(4080),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4080),
    [sym_abstract_class_declaration] = STATE(4080),
    [sym_module] = STATE(4080),
    [sym_internal_module] = STATE(1853),
    [sym_import_alias] = STATE(4080),
    [sym_interface_declaration] = STATE(4080),
    [sym_enum_declaration] = STATE(4080),
    [sym_type_alias_declaration] = STATE(4080),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5737),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(968),
    [anon_sym_type] = ACTIONS(970),
    [anon_sym_namespace] = ACTIONS(972),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(976),
    [anon_sym_from] = ACTIONS(978),
    [anon_sym_with] = ACTIONS(980),
    [anon_sym_var] = ACTIONS(982),
    [anon_sym_let] = ACTIONS(984),
    [anon_sym_const] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(988),
    [anon_sym_switch] = ACTIONS(990),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(978),
    [anon_sym_while] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_try] = ACTIONS(998),
    [anon_sym_break] = ACTIONS(1000),
    [anon_sym_continue] = ACTIONS(1002),
    [anon_sym_debugger] = ACTIONS(1004),
    [anon_sym_return] = ACTIONS(1006),
    [anon_sym_throw] = ACTIONS(1008),
    [anon_sym_SEMI] = ACTIONS(1010),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(1014),
    [anon_sym_function] = ACTIONS(1016),
    [anon_sym_new] = ACTIONS(1018),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(978),
    [anon_sym_readonly] = ACTIONS(978),
    [anon_sym_get] = ACTIONS(978),
    [anon_sym_set] = ACTIONS(978),
    [anon_sym_declare] = ACTIONS(1020),
    [anon_sym_public] = ACTIONS(978),
    [anon_sym_private] = ACTIONS(978),
    [anon_sym_protected] = ACTIONS(978),
    [anon_sym_override] = ACTIONS(978),
    [anon_sym_module] = ACTIONS(1022),
    [anon_sym_any] = ACTIONS(978),
    [anon_sym_number] = ACTIONS(978),
    [anon_sym_boolean] = ACTIONS(978),
    [anon_sym_string] = ACTIONS(978),
    [anon_sym_symbol] = ACTIONS(978),
    [anon_sym_object] = ACTIONS(978),
    [anon_sym_property] = ACTIONS(978),
    [anon_sym_signal] = ACTIONS(978),
    [anon_sym_on] = ACTIONS(978),
    [anon_sym_required] = ACTIONS(978),
    [anon_sym_component] = ACTIONS(978),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_interface] = ACTIONS(1026),
    [anon_sym_enum] = ACTIONS(1028),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_export_statement] = STATE(1543),
    [sym_declaration] = STATE(1541),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1540),
    [sym_expression_statement] = STATE(1539),
    [sym_variable_declaration] = STATE(1587),
    [sym_lexical_declaration] = STATE(1587),
    [sym_statement_block] = STATE(1537),
    [sym_if_statement] = STATE(1536),
    [sym_switch_statement] = STATE(1535),
    [sym_for_statement] = STATE(1531),
    [sym_for_in_statement] = STATE(1533),
    [sym_while_statement] = STATE(1532),
    [sym_do_statement] = STATE(1525),
    [sym_try_statement] = STATE(1529),
    [sym_with_statement] = STATE(1528),
    [sym_break_statement] = STATE(1465),
    [sym_continue_statement] = STATE(1466),
    [sym_debugger_statement] = STATE(1467),
    [sym_return_statement] = STATE(1468),
    [sym_throw_statement] = STATE(1469),
    [sym_empty_statement] = STATE(1470),
    [sym_labeled_statement] = STATE(1471),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3128),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1587),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1587),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1587),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8194),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(116),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1587),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1587),
    [sym_abstract_class_declaration] = STATE(1587),
    [sym_module] = STATE(1587),
    [sym_internal_module] = STATE(478),
    [sym_import_alias] = STATE(1587),
    [sym_interface_declaration] = STATE(1587),
    [sym_enum_declaration] = STATE(1587),
    [sym_type_alias_declaration] = STATE(1587),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5711),
    [sym_identifier] = ACTIONS(1094),
    [anon_sym_export] = ACTIONS(1096),
    [anon_sym_type] = ACTIONS(1098),
    [anon_sym_namespace] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_from] = ACTIONS(1106),
    [anon_sym_with] = ACTIONS(1108),
    [anon_sym_var] = ACTIONS(1110),
    [anon_sym_let] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1118),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1106),
    [anon_sym_while] = ACTIONS(1122),
    [anon_sym_do] = ACTIONS(1124),
    [anon_sym_try] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_debugger] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1134),
    [anon_sym_throw] = ACTIONS(1136),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1140),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(1144),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1106),
    [anon_sym_readonly] = ACTIONS(1106),
    [anon_sym_get] = ACTIONS(1106),
    [anon_sym_set] = ACTIONS(1106),
    [anon_sym_declare] = ACTIONS(1148),
    [anon_sym_public] = ACTIONS(1106),
    [anon_sym_private] = ACTIONS(1106),
    [anon_sym_protected] = ACTIONS(1106),
    [anon_sym_override] = ACTIONS(1106),
    [anon_sym_module] = ACTIONS(1150),
    [anon_sym_any] = ACTIONS(1106),
    [anon_sym_number] = ACTIONS(1106),
    [anon_sym_boolean] = ACTIONS(1106),
    [anon_sym_string] = ACTIONS(1106),
    [anon_sym_symbol] = ACTIONS(1106),
    [anon_sym_object] = ACTIONS(1106),
    [anon_sym_property] = ACTIONS(1106),
    [anon_sym_signal] = ACTIONS(1106),
    [anon_sym_on] = ACTIONS(1106),
    [anon_sym_required] = ACTIONS(1106),
    [anon_sym_component] = ACTIONS(1106),
    [anon_sym_abstract] = ACTIONS(1152),
    [anon_sym_interface] = ACTIONS(1154),
    [anon_sym_enum] = ACTIONS(1156),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_export_statement] = STATE(1547),
    [sym_declaration] = STATE(1547),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1547),
    [sym_expression_statement] = STATE(1547),
    [sym_variable_declaration] = STATE(1587),
    [sym_lexical_declaration] = STATE(1587),
    [sym_statement_block] = STATE(1547),
    [sym_if_statement] = STATE(1547),
    [sym_switch_statement] = STATE(1547),
    [sym_for_statement] = STATE(1547),
    [sym_for_in_statement] = STATE(1547),
    [sym_while_statement] = STATE(1547),
    [sym_do_statement] = STATE(1547),
    [sym_try_statement] = STATE(1547),
    [sym_with_statement] = STATE(1547),
    [sym_break_statement] = STATE(1547),
    [sym_continue_statement] = STATE(1547),
    [sym_debugger_statement] = STATE(1547),
    [sym_return_statement] = STATE(1547),
    [sym_throw_statement] = STATE(1547),
    [sym_empty_statement] = STATE(1547),
    [sym_labeled_statement] = STATE(1547),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3128),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1587),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1587),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1587),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8194),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(117),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1587),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1587),
    [sym_abstract_class_declaration] = STATE(1587),
    [sym_module] = STATE(1587),
    [sym_internal_module] = STATE(478),
    [sym_import_alias] = STATE(1587),
    [sym_interface_declaration] = STATE(1587),
    [sym_enum_declaration] = STATE(1587),
    [sym_type_alias_declaration] = STATE(1587),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5711),
    [sym_identifier] = ACTIONS(1094),
    [anon_sym_export] = ACTIONS(1096),
    [anon_sym_type] = ACTIONS(1098),
    [anon_sym_namespace] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_from] = ACTIONS(1106),
    [anon_sym_with] = ACTIONS(1108),
    [anon_sym_var] = ACTIONS(1110),
    [anon_sym_let] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1118),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1106),
    [anon_sym_while] = ACTIONS(1122),
    [anon_sym_do] = ACTIONS(1124),
    [anon_sym_try] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_debugger] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1134),
    [anon_sym_throw] = ACTIONS(1136),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1140),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(1144),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1106),
    [anon_sym_readonly] = ACTIONS(1106),
    [anon_sym_get] = ACTIONS(1106),
    [anon_sym_set] = ACTIONS(1106),
    [anon_sym_declare] = ACTIONS(1148),
    [anon_sym_public] = ACTIONS(1106),
    [anon_sym_private] = ACTIONS(1106),
    [anon_sym_protected] = ACTIONS(1106),
    [anon_sym_override] = ACTIONS(1106),
    [anon_sym_module] = ACTIONS(1150),
    [anon_sym_any] = ACTIONS(1106),
    [anon_sym_number] = ACTIONS(1106),
    [anon_sym_boolean] = ACTIONS(1106),
    [anon_sym_string] = ACTIONS(1106),
    [anon_sym_symbol] = ACTIONS(1106),
    [anon_sym_object] = ACTIONS(1106),
    [anon_sym_property] = ACTIONS(1106),
    [anon_sym_signal] = ACTIONS(1106),
    [anon_sym_on] = ACTIONS(1106),
    [anon_sym_required] = ACTIONS(1106),
    [anon_sym_component] = ACTIONS(1106),
    [anon_sym_abstract] = ACTIONS(1152),
    [anon_sym_interface] = ACTIONS(1154),
    [anon_sym_enum] = ACTIONS(1156),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_export_statement] = STATE(4203),
    [sym_declaration] = STATE(4203),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(4203),
    [sym_expression_statement] = STATE(4203),
    [sym_variable_declaration] = STATE(4080),
    [sym_lexical_declaration] = STATE(4080),
    [sym_statement_block] = STATE(4203),
    [sym_if_statement] = STATE(4203),
    [sym_switch_statement] = STATE(4203),
    [sym_for_statement] = STATE(4203),
    [sym_for_in_statement] = STATE(4203),
    [sym_while_statement] = STATE(4203),
    [sym_do_statement] = STATE(4203),
    [sym_try_statement] = STATE(4203),
    [sym_with_statement] = STATE(4203),
    [sym_break_statement] = STATE(4203),
    [sym_continue_statement] = STATE(4203),
    [sym_debugger_statement] = STATE(4203),
    [sym_return_statement] = STATE(4203),
    [sym_throw_statement] = STATE(4203),
    [sym_empty_statement] = STATE(4203),
    [sym_labeled_statement] = STATE(4203),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3116),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4080),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4080),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4080),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7500),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(118),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(4080),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4080),
    [sym_abstract_class_declaration] = STATE(4080),
    [sym_module] = STATE(4080),
    [sym_internal_module] = STATE(1853),
    [sym_import_alias] = STATE(4080),
    [sym_interface_declaration] = STATE(4080),
    [sym_enum_declaration] = STATE(4080),
    [sym_type_alias_declaration] = STATE(4080),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5737),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(968),
    [anon_sym_type] = ACTIONS(970),
    [anon_sym_namespace] = ACTIONS(972),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(976),
    [anon_sym_from] = ACTIONS(978),
    [anon_sym_with] = ACTIONS(980),
    [anon_sym_var] = ACTIONS(982),
    [anon_sym_let] = ACTIONS(984),
    [anon_sym_const] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(988),
    [anon_sym_switch] = ACTIONS(990),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(978),
    [anon_sym_while] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_try] = ACTIONS(998),
    [anon_sym_break] = ACTIONS(1000),
    [anon_sym_continue] = ACTIONS(1002),
    [anon_sym_debugger] = ACTIONS(1004),
    [anon_sym_return] = ACTIONS(1006),
    [anon_sym_throw] = ACTIONS(1008),
    [anon_sym_SEMI] = ACTIONS(1010),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(1014),
    [anon_sym_function] = ACTIONS(1016),
    [anon_sym_new] = ACTIONS(1018),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(978),
    [anon_sym_readonly] = ACTIONS(978),
    [anon_sym_get] = ACTIONS(978),
    [anon_sym_set] = ACTIONS(978),
    [anon_sym_declare] = ACTIONS(1020),
    [anon_sym_public] = ACTIONS(978),
    [anon_sym_private] = ACTIONS(978),
    [anon_sym_protected] = ACTIONS(978),
    [anon_sym_override] = ACTIONS(978),
    [anon_sym_module] = ACTIONS(1022),
    [anon_sym_any] = ACTIONS(978),
    [anon_sym_number] = ACTIONS(978),
    [anon_sym_boolean] = ACTIONS(978),
    [anon_sym_string] = ACTIONS(978),
    [anon_sym_symbol] = ACTIONS(978),
    [anon_sym_object] = ACTIONS(978),
    [anon_sym_property] = ACTIONS(978),
    [anon_sym_signal] = ACTIONS(978),
    [anon_sym_on] = ACTIONS(978),
    [anon_sym_required] = ACTIONS(978),
    [anon_sym_component] = ACTIONS(978),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_interface] = ACTIONS(1026),
    [anon_sym_enum] = ACTIONS(1028),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_export_statement] = STATE(1592),
    [sym_declaration] = STATE(1592),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1592),
    [sym_expression_statement] = STATE(1592),
    [sym_variable_declaration] = STATE(1587),
    [sym_lexical_declaration] = STATE(1587),
    [sym_statement_block] = STATE(1592),
    [sym_if_statement] = STATE(1592),
    [sym_switch_statement] = STATE(1592),
    [sym_for_statement] = STATE(1592),
    [sym_for_in_statement] = STATE(1592),
    [sym_while_statement] = STATE(1592),
    [sym_do_statement] = STATE(1592),
    [sym_try_statement] = STATE(1592),
    [sym_with_statement] = STATE(1592),
    [sym_break_statement] = STATE(1592),
    [sym_continue_statement] = STATE(1592),
    [sym_debugger_statement] = STATE(1592),
    [sym_return_statement] = STATE(1592),
    [sym_throw_statement] = STATE(1592),
    [sym_empty_statement] = STATE(1592),
    [sym_labeled_statement] = STATE(1592),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3128),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1587),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1587),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1587),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8194),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(119),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1587),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1587),
    [sym_abstract_class_declaration] = STATE(1587),
    [sym_module] = STATE(1587),
    [sym_internal_module] = STATE(478),
    [sym_import_alias] = STATE(1587),
    [sym_interface_declaration] = STATE(1587),
    [sym_enum_declaration] = STATE(1587),
    [sym_type_alias_declaration] = STATE(1587),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5711),
    [sym_identifier] = ACTIONS(1094),
    [anon_sym_export] = ACTIONS(1096),
    [anon_sym_type] = ACTIONS(1098),
    [anon_sym_namespace] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_from] = ACTIONS(1106),
    [anon_sym_with] = ACTIONS(1108),
    [anon_sym_var] = ACTIONS(1110),
    [anon_sym_let] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1118),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1106),
    [anon_sym_while] = ACTIONS(1122),
    [anon_sym_do] = ACTIONS(1124),
    [anon_sym_try] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_debugger] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1134),
    [anon_sym_throw] = ACTIONS(1136),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1140),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(1144),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1106),
    [anon_sym_readonly] = ACTIONS(1106),
    [anon_sym_get] = ACTIONS(1106),
    [anon_sym_set] = ACTIONS(1106),
    [anon_sym_declare] = ACTIONS(1148),
    [anon_sym_public] = ACTIONS(1106),
    [anon_sym_private] = ACTIONS(1106),
    [anon_sym_protected] = ACTIONS(1106),
    [anon_sym_override] = ACTIONS(1106),
    [anon_sym_module] = ACTIONS(1150),
    [anon_sym_any] = ACTIONS(1106),
    [anon_sym_number] = ACTIONS(1106),
    [anon_sym_boolean] = ACTIONS(1106),
    [anon_sym_string] = ACTIONS(1106),
    [anon_sym_symbol] = ACTIONS(1106),
    [anon_sym_object] = ACTIONS(1106),
    [anon_sym_property] = ACTIONS(1106),
    [anon_sym_signal] = ACTIONS(1106),
    [anon_sym_on] = ACTIONS(1106),
    [anon_sym_required] = ACTIONS(1106),
    [anon_sym_component] = ACTIONS(1106),
    [anon_sym_abstract] = ACTIONS(1152),
    [anon_sym_interface] = ACTIONS(1154),
    [anon_sym_enum] = ACTIONS(1156),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_export_statement] = STATE(1030),
    [sym_declaration] = STATE(1030),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1030),
    [sym_expression_statement] = STATE(1030),
    [sym_variable_declaration] = STATE(1092),
    [sym_lexical_declaration] = STATE(1092),
    [sym_statement_block] = STATE(1030),
    [sym_if_statement] = STATE(1030),
    [sym_switch_statement] = STATE(1030),
    [sym_for_statement] = STATE(1030),
    [sym_for_in_statement] = STATE(1030),
    [sym_while_statement] = STATE(1030),
    [sym_do_statement] = STATE(1030),
    [sym_try_statement] = STATE(1030),
    [sym_with_statement] = STATE(1030),
    [sym_break_statement] = STATE(1030),
    [sym_continue_statement] = STATE(1030),
    [sym_debugger_statement] = STATE(1030),
    [sym_return_statement] = STATE(1030),
    [sym_throw_statement] = STATE(1030),
    [sym_empty_statement] = STATE(1030),
    [sym_labeled_statement] = STATE(1030),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3150),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1092),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1092),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1092),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7559),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(120),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1092),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1092),
    [sym_abstract_class_declaration] = STATE(1092),
    [sym_module] = STATE(1092),
    [sym_internal_module] = STATE(372),
    [sym_import_alias] = STATE(1092),
    [sym_interface_declaration] = STATE(1092),
    [sym_enum_declaration] = STATE(1092),
    [sym_type_alias_declaration] = STATE(1092),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5661),
    [sym_identifier] = ACTIONS(838),
    [anon_sym_export] = ACTIONS(840),
    [anon_sym_type] = ACTIONS(842),
    [anon_sym_namespace] = ACTIONS(844),
    [anon_sym_LBRACE] = ACTIONS(846),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_from] = ACTIONS(850),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(854),
    [anon_sym_let] = ACTIONS(856),
    [anon_sym_const] = ACTIONS(858),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(860),
    [anon_sym_switch] = ACTIONS(862),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(866),
    [anon_sym_do] = ACTIONS(868),
    [anon_sym_try] = ACTIONS(870),
    [anon_sym_break] = ACTIONS(872),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(876),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(880),
    [anon_sym_SEMI] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(884),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(888),
    [anon_sym_new] = ACTIONS(890),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(850),
    [anon_sym_readonly] = ACTIONS(850),
    [anon_sym_get] = ACTIONS(850),
    [anon_sym_set] = ACTIONS(850),
    [anon_sym_declare] = ACTIONS(892),
    [anon_sym_public] = ACTIONS(850),
    [anon_sym_private] = ACTIONS(850),
    [anon_sym_protected] = ACTIONS(850),
    [anon_sym_override] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(894),
    [anon_sym_any] = ACTIONS(850),
    [anon_sym_number] = ACTIONS(850),
    [anon_sym_boolean] = ACTIONS(850),
    [anon_sym_string] = ACTIONS(850),
    [anon_sym_symbol] = ACTIONS(850),
    [anon_sym_object] = ACTIONS(850),
    [anon_sym_property] = ACTIONS(850),
    [anon_sym_signal] = ACTIONS(850),
    [anon_sym_on] = ACTIONS(850),
    [anon_sym_required] = ACTIONS(850),
    [anon_sym_component] = ACTIONS(850),
    [anon_sym_abstract] = ACTIONS(896),
    [anon_sym_interface] = ACTIONS(898),
    [anon_sym_enum] = ACTIONS(900),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_export_statement] = STATE(1350),
    [sym_declaration] = STATE(1350),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1350),
    [sym_expression_statement] = STATE(1350),
    [sym_variable_declaration] = STATE(1587),
    [sym_lexical_declaration] = STATE(1587),
    [sym_statement_block] = STATE(1350),
    [sym_if_statement] = STATE(1350),
    [sym_switch_statement] = STATE(1350),
    [sym_for_statement] = STATE(1350),
    [sym_for_in_statement] = STATE(1350),
    [sym_while_statement] = STATE(1350),
    [sym_do_statement] = STATE(1350),
    [sym_try_statement] = STATE(1350),
    [sym_with_statement] = STATE(1350),
    [sym_break_statement] = STATE(1350),
    [sym_continue_statement] = STATE(1350),
    [sym_debugger_statement] = STATE(1350),
    [sym_return_statement] = STATE(1350),
    [sym_throw_statement] = STATE(1350),
    [sym_empty_statement] = STATE(1350),
    [sym_labeled_statement] = STATE(1350),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3128),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1587),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1587),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1587),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8194),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(121),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1587),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1587),
    [sym_abstract_class_declaration] = STATE(1587),
    [sym_module] = STATE(1587),
    [sym_internal_module] = STATE(478),
    [sym_import_alias] = STATE(1587),
    [sym_interface_declaration] = STATE(1587),
    [sym_enum_declaration] = STATE(1587),
    [sym_type_alias_declaration] = STATE(1587),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5711),
    [sym_identifier] = ACTIONS(1094),
    [anon_sym_export] = ACTIONS(1096),
    [anon_sym_type] = ACTIONS(1098),
    [anon_sym_namespace] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_from] = ACTIONS(1106),
    [anon_sym_with] = ACTIONS(1108),
    [anon_sym_var] = ACTIONS(1110),
    [anon_sym_let] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1118),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1106),
    [anon_sym_while] = ACTIONS(1122),
    [anon_sym_do] = ACTIONS(1124),
    [anon_sym_try] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_debugger] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1134),
    [anon_sym_throw] = ACTIONS(1136),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1140),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(1144),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1106),
    [anon_sym_readonly] = ACTIONS(1106),
    [anon_sym_get] = ACTIONS(1106),
    [anon_sym_set] = ACTIONS(1106),
    [anon_sym_declare] = ACTIONS(1148),
    [anon_sym_public] = ACTIONS(1106),
    [anon_sym_private] = ACTIONS(1106),
    [anon_sym_protected] = ACTIONS(1106),
    [anon_sym_override] = ACTIONS(1106),
    [anon_sym_module] = ACTIONS(1150),
    [anon_sym_any] = ACTIONS(1106),
    [anon_sym_number] = ACTIONS(1106),
    [anon_sym_boolean] = ACTIONS(1106),
    [anon_sym_string] = ACTIONS(1106),
    [anon_sym_symbol] = ACTIONS(1106),
    [anon_sym_object] = ACTIONS(1106),
    [anon_sym_property] = ACTIONS(1106),
    [anon_sym_signal] = ACTIONS(1106),
    [anon_sym_on] = ACTIONS(1106),
    [anon_sym_required] = ACTIONS(1106),
    [anon_sym_component] = ACTIONS(1106),
    [anon_sym_abstract] = ACTIONS(1152),
    [anon_sym_interface] = ACTIONS(1154),
    [anon_sym_enum] = ACTIONS(1156),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_export_statement] = STATE(4054),
    [sym_declaration] = STATE(4054),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(4054),
    [sym_expression_statement] = STATE(4054),
    [sym_variable_declaration] = STATE(4080),
    [sym_lexical_declaration] = STATE(4080),
    [sym_statement_block] = STATE(4054),
    [sym_if_statement] = STATE(4054),
    [sym_switch_statement] = STATE(4054),
    [sym_for_statement] = STATE(4054),
    [sym_for_in_statement] = STATE(4054),
    [sym_while_statement] = STATE(4054),
    [sym_do_statement] = STATE(4054),
    [sym_try_statement] = STATE(4054),
    [sym_with_statement] = STATE(4054),
    [sym_break_statement] = STATE(4054),
    [sym_continue_statement] = STATE(4054),
    [sym_debugger_statement] = STATE(4054),
    [sym_return_statement] = STATE(4054),
    [sym_throw_statement] = STATE(4054),
    [sym_empty_statement] = STATE(4054),
    [sym_labeled_statement] = STATE(4054),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3116),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4080),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4080),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4080),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7500),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(122),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(4080),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4080),
    [sym_abstract_class_declaration] = STATE(4080),
    [sym_module] = STATE(4080),
    [sym_internal_module] = STATE(1853),
    [sym_import_alias] = STATE(4080),
    [sym_interface_declaration] = STATE(4080),
    [sym_enum_declaration] = STATE(4080),
    [sym_type_alias_declaration] = STATE(4080),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5737),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(968),
    [anon_sym_type] = ACTIONS(970),
    [anon_sym_namespace] = ACTIONS(972),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(976),
    [anon_sym_from] = ACTIONS(978),
    [anon_sym_with] = ACTIONS(980),
    [anon_sym_var] = ACTIONS(982),
    [anon_sym_let] = ACTIONS(984),
    [anon_sym_const] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(988),
    [anon_sym_switch] = ACTIONS(990),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(978),
    [anon_sym_while] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_try] = ACTIONS(998),
    [anon_sym_break] = ACTIONS(1000),
    [anon_sym_continue] = ACTIONS(1002),
    [anon_sym_debugger] = ACTIONS(1004),
    [anon_sym_return] = ACTIONS(1006),
    [anon_sym_throw] = ACTIONS(1008),
    [anon_sym_SEMI] = ACTIONS(1010),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(1014),
    [anon_sym_function] = ACTIONS(1016),
    [anon_sym_new] = ACTIONS(1018),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(978),
    [anon_sym_readonly] = ACTIONS(978),
    [anon_sym_get] = ACTIONS(978),
    [anon_sym_set] = ACTIONS(978),
    [anon_sym_declare] = ACTIONS(1020),
    [anon_sym_public] = ACTIONS(978),
    [anon_sym_private] = ACTIONS(978),
    [anon_sym_protected] = ACTIONS(978),
    [anon_sym_override] = ACTIONS(978),
    [anon_sym_module] = ACTIONS(1022),
    [anon_sym_any] = ACTIONS(978),
    [anon_sym_number] = ACTIONS(978),
    [anon_sym_boolean] = ACTIONS(978),
    [anon_sym_string] = ACTIONS(978),
    [anon_sym_symbol] = ACTIONS(978),
    [anon_sym_object] = ACTIONS(978),
    [anon_sym_property] = ACTIONS(978),
    [anon_sym_signal] = ACTIONS(978),
    [anon_sym_on] = ACTIONS(978),
    [anon_sym_required] = ACTIONS(978),
    [anon_sym_component] = ACTIONS(978),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_interface] = ACTIONS(1026),
    [anon_sym_enum] = ACTIONS(1028),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_export_statement] = STATE(1135),
    [sym_declaration] = STATE(1154),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1166),
    [sym_expression_statement] = STATE(1167),
    [sym_variable_declaration] = STATE(1092),
    [sym_lexical_declaration] = STATE(1092),
    [sym_statement_block] = STATE(1177),
    [sym_if_statement] = STATE(1180),
    [sym_switch_statement] = STATE(1183),
    [sym_for_statement] = STATE(1186),
    [sym_for_in_statement] = STATE(1193),
    [sym_while_statement] = STATE(1194),
    [sym_do_statement] = STATE(1196),
    [sym_try_statement] = STATE(1197),
    [sym_with_statement] = STATE(1198),
    [sym_break_statement] = STATE(1199),
    [sym_continue_statement] = STATE(1204),
    [sym_debugger_statement] = STATE(1205),
    [sym_return_statement] = STATE(1206),
    [sym_throw_statement] = STATE(1213),
    [sym_empty_statement] = STATE(1215),
    [sym_labeled_statement] = STATE(1220),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3150),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1092),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1092),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1092),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7559),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(123),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1092),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1092),
    [sym_abstract_class_declaration] = STATE(1092),
    [sym_module] = STATE(1092),
    [sym_internal_module] = STATE(372),
    [sym_import_alias] = STATE(1092),
    [sym_interface_declaration] = STATE(1092),
    [sym_enum_declaration] = STATE(1092),
    [sym_type_alias_declaration] = STATE(1092),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5661),
    [sym_identifier] = ACTIONS(838),
    [anon_sym_export] = ACTIONS(840),
    [anon_sym_type] = ACTIONS(842),
    [anon_sym_namespace] = ACTIONS(844),
    [anon_sym_LBRACE] = ACTIONS(846),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_from] = ACTIONS(850),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(854),
    [anon_sym_let] = ACTIONS(856),
    [anon_sym_const] = ACTIONS(858),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(860),
    [anon_sym_switch] = ACTIONS(862),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(866),
    [anon_sym_do] = ACTIONS(868),
    [anon_sym_try] = ACTIONS(870),
    [anon_sym_break] = ACTIONS(872),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(876),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(880),
    [anon_sym_SEMI] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(884),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(888),
    [anon_sym_new] = ACTIONS(890),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(850),
    [anon_sym_readonly] = ACTIONS(850),
    [anon_sym_get] = ACTIONS(850),
    [anon_sym_set] = ACTIONS(850),
    [anon_sym_declare] = ACTIONS(892),
    [anon_sym_public] = ACTIONS(850),
    [anon_sym_private] = ACTIONS(850),
    [anon_sym_protected] = ACTIONS(850),
    [anon_sym_override] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(894),
    [anon_sym_any] = ACTIONS(850),
    [anon_sym_number] = ACTIONS(850),
    [anon_sym_boolean] = ACTIONS(850),
    [anon_sym_string] = ACTIONS(850),
    [anon_sym_symbol] = ACTIONS(850),
    [anon_sym_object] = ACTIONS(850),
    [anon_sym_property] = ACTIONS(850),
    [anon_sym_signal] = ACTIONS(850),
    [anon_sym_on] = ACTIONS(850),
    [anon_sym_required] = ACTIONS(850),
    [anon_sym_component] = ACTIONS(850),
    [anon_sym_abstract] = ACTIONS(896),
    [anon_sym_interface] = ACTIONS(898),
    [anon_sym_enum] = ACTIONS(900),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_export_statement] = STATE(1427),
    [sym_declaration] = STATE(1427),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1427),
    [sym_expression_statement] = STATE(1427),
    [sym_variable_declaration] = STATE(1302),
    [sym_lexical_declaration] = STATE(1302),
    [sym_statement_block] = STATE(1427),
    [sym_if_statement] = STATE(1427),
    [sym_switch_statement] = STATE(1427),
    [sym_for_statement] = STATE(1427),
    [sym_for_in_statement] = STATE(1427),
    [sym_while_statement] = STATE(1427),
    [sym_do_statement] = STATE(1427),
    [sym_try_statement] = STATE(1427),
    [sym_with_statement] = STATE(1427),
    [sym_break_statement] = STATE(1427),
    [sym_continue_statement] = STATE(1427),
    [sym_debugger_statement] = STATE(1427),
    [sym_return_statement] = STATE(1427),
    [sym_throw_statement] = STATE(1427),
    [sym_empty_statement] = STATE(1427),
    [sym_labeled_statement] = STATE(1427),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2999),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1302),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1302),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1302),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7399),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(124),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1302),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1302),
    [sym_abstract_class_declaration] = STATE(1302),
    [sym_module] = STATE(1302),
    [sym_internal_module] = STATE(398),
    [sym_import_alias] = STATE(1302),
    [sym_interface_declaration] = STATE(1302),
    [sym_enum_declaration] = STATE(1302),
    [sym_type_alias_declaration] = STATE(1302),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5682),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_export] = ACTIONS(355),
    [anon_sym_type] = ACTIONS(359),
    [anon_sym_namespace] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_from] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_var] = ACTIONS(371),
    [anon_sym_let] = ACTIONS(373),
    [anon_sym_const] = ACTIONS(375),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_switch] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_break] = ACTIONS(389),
    [anon_sym_continue] = ACTIONS(391),
    [anon_sym_debugger] = ACTIONS(393),
    [anon_sym_return] = ACTIONS(395),
    [anon_sym_throw] = ACTIONS(397),
    [anon_sym_SEMI] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(407),
    [anon_sym_new] = ACTIONS(409),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(367),
    [anon_sym_readonly] = ACTIONS(367),
    [anon_sym_get] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(367),
    [anon_sym_declare] = ACTIONS(413),
    [anon_sym_public] = ACTIONS(367),
    [anon_sym_private] = ACTIONS(367),
    [anon_sym_protected] = ACTIONS(367),
    [anon_sym_override] = ACTIONS(367),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_any] = ACTIONS(367),
    [anon_sym_number] = ACTIONS(367),
    [anon_sym_boolean] = ACTIONS(367),
    [anon_sym_string] = ACTIONS(367),
    [anon_sym_symbol] = ACTIONS(367),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_property] = ACTIONS(367),
    [anon_sym_signal] = ACTIONS(367),
    [anon_sym_on] = ACTIONS(367),
    [anon_sym_required] = ACTIONS(367),
    [anon_sym_component] = ACTIONS(367),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_interface] = ACTIONS(419),
    [anon_sym_enum] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_export_statement] = STATE(4067),
    [sym_declaration] = STATE(4067),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(4067),
    [sym_expression_statement] = STATE(4067),
    [sym_variable_declaration] = STATE(4080),
    [sym_lexical_declaration] = STATE(4080),
    [sym_statement_block] = STATE(4067),
    [sym_if_statement] = STATE(4067),
    [sym_switch_statement] = STATE(4067),
    [sym_for_statement] = STATE(4067),
    [sym_for_in_statement] = STATE(4067),
    [sym_while_statement] = STATE(4067),
    [sym_do_statement] = STATE(4067),
    [sym_try_statement] = STATE(4067),
    [sym_with_statement] = STATE(4067),
    [sym_break_statement] = STATE(4067),
    [sym_continue_statement] = STATE(4067),
    [sym_debugger_statement] = STATE(4067),
    [sym_return_statement] = STATE(4067),
    [sym_throw_statement] = STATE(4067),
    [sym_empty_statement] = STATE(4067),
    [sym_labeled_statement] = STATE(4067),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3116),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4080),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4080),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4080),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7500),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(125),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(4080),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4080),
    [sym_abstract_class_declaration] = STATE(4080),
    [sym_module] = STATE(4080),
    [sym_internal_module] = STATE(1853),
    [sym_import_alias] = STATE(4080),
    [sym_interface_declaration] = STATE(4080),
    [sym_enum_declaration] = STATE(4080),
    [sym_type_alias_declaration] = STATE(4080),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5737),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(968),
    [anon_sym_type] = ACTIONS(970),
    [anon_sym_namespace] = ACTIONS(972),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(976),
    [anon_sym_from] = ACTIONS(978),
    [anon_sym_with] = ACTIONS(980),
    [anon_sym_var] = ACTIONS(982),
    [anon_sym_let] = ACTIONS(984),
    [anon_sym_const] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(988),
    [anon_sym_switch] = ACTIONS(990),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(978),
    [anon_sym_while] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_try] = ACTIONS(998),
    [anon_sym_break] = ACTIONS(1000),
    [anon_sym_continue] = ACTIONS(1002),
    [anon_sym_debugger] = ACTIONS(1004),
    [anon_sym_return] = ACTIONS(1006),
    [anon_sym_throw] = ACTIONS(1008),
    [anon_sym_SEMI] = ACTIONS(1010),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(1014),
    [anon_sym_function] = ACTIONS(1016),
    [anon_sym_new] = ACTIONS(1018),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(978),
    [anon_sym_readonly] = ACTIONS(978),
    [anon_sym_get] = ACTIONS(978),
    [anon_sym_set] = ACTIONS(978),
    [anon_sym_declare] = ACTIONS(1020),
    [anon_sym_public] = ACTIONS(978),
    [anon_sym_private] = ACTIONS(978),
    [anon_sym_protected] = ACTIONS(978),
    [anon_sym_override] = ACTIONS(978),
    [anon_sym_module] = ACTIONS(1022),
    [anon_sym_any] = ACTIONS(978),
    [anon_sym_number] = ACTIONS(978),
    [anon_sym_boolean] = ACTIONS(978),
    [anon_sym_string] = ACTIONS(978),
    [anon_sym_symbol] = ACTIONS(978),
    [anon_sym_object] = ACTIONS(978),
    [anon_sym_property] = ACTIONS(978),
    [anon_sym_signal] = ACTIONS(978),
    [anon_sym_on] = ACTIONS(978),
    [anon_sym_required] = ACTIONS(978),
    [anon_sym_component] = ACTIONS(978),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_interface] = ACTIONS(1026),
    [anon_sym_enum] = ACTIONS(1028),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_export_statement] = STATE(7814),
    [sym_declaration] = STATE(7814),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(7814),
    [sym_expression_statement] = STATE(7814),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_statement_block] = STATE(7814),
    [sym_if_statement] = STATE(7814),
    [sym_switch_statement] = STATE(7814),
    [sym_for_statement] = STATE(7814),
    [sym_for_in_statement] = STATE(7814),
    [sym_while_statement] = STATE(7814),
    [sym_do_statement] = STATE(7814),
    [sym_try_statement] = STATE(7814),
    [sym_with_statement] = STATE(7814),
    [sym_break_statement] = STATE(7814),
    [sym_continue_statement] = STATE(7814),
    [sym_debugger_statement] = STATE(7814),
    [sym_return_statement] = STATE(7814),
    [sym_throw_statement] = STATE(7814),
    [sym_empty_statement] = STATE(7814),
    [sym_labeled_statement] = STATE(7814),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3097),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(8195),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7673),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(126),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(8195),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(3628),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5697),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_from] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(916),
    [anon_sym_var] = ACTIONS(918),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(926),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(934),
    [anon_sym_break] = ACTIONS(936),
    [anon_sym_continue] = ACTIONS(938),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_readonly] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_override] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(914),
    [anon_sym_number] = ACTIONS(914),
    [anon_sym_boolean] = ACTIONS(914),
    [anon_sym_string] = ACTIONS(914),
    [anon_sym_symbol] = ACTIONS(914),
    [anon_sym_object] = ACTIONS(914),
    [anon_sym_property] = ACTIONS(914),
    [anon_sym_signal] = ACTIONS(914),
    [anon_sym_on] = ACTIONS(914),
    [anon_sym_required] = ACTIONS(914),
    [anon_sym_component] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_export_statement] = STATE(7633),
    [sym_declaration] = STATE(7632),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(7630),
    [sym_expression_statement] = STATE(7626),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_statement_block] = STATE(7618),
    [sym_if_statement] = STATE(7616),
    [sym_switch_statement] = STATE(7609),
    [sym_for_statement] = STATE(7608),
    [sym_for_in_statement] = STATE(7605),
    [sym_while_statement] = STATE(7603),
    [sym_do_statement] = STATE(7507),
    [sym_try_statement] = STATE(7595),
    [sym_with_statement] = STATE(7594),
    [sym_break_statement] = STATE(7590),
    [sym_continue_statement] = STATE(7589),
    [sym_debugger_statement] = STATE(7586),
    [sym_return_statement] = STATE(7582),
    [sym_throw_statement] = STATE(7580),
    [sym_empty_statement] = STATE(7578),
    [sym_labeled_statement] = STATE(7577),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3097),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(8195),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7673),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(127),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(8195),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(3628),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5697),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_from] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(916),
    [anon_sym_var] = ACTIONS(918),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(926),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(934),
    [anon_sym_break] = ACTIONS(936),
    [anon_sym_continue] = ACTIONS(938),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_readonly] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_override] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(914),
    [anon_sym_number] = ACTIONS(914),
    [anon_sym_boolean] = ACTIONS(914),
    [anon_sym_string] = ACTIONS(914),
    [anon_sym_symbol] = ACTIONS(914),
    [anon_sym_object] = ACTIONS(914),
    [anon_sym_property] = ACTIONS(914),
    [anon_sym_signal] = ACTIONS(914),
    [anon_sym_on] = ACTIONS(914),
    [anon_sym_required] = ACTIONS(914),
    [anon_sym_component] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_export_statement] = STATE(1048),
    [sym_declaration] = STATE(1048),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_variable_declaration] = STATE(1092),
    [sym_lexical_declaration] = STATE(1092),
    [sym_statement_block] = STATE(1048),
    [sym_if_statement] = STATE(1048),
    [sym_switch_statement] = STATE(1048),
    [sym_for_statement] = STATE(1048),
    [sym_for_in_statement] = STATE(1048),
    [sym_while_statement] = STATE(1048),
    [sym_do_statement] = STATE(1048),
    [sym_try_statement] = STATE(1048),
    [sym_with_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_debugger_statement] = STATE(1048),
    [sym_return_statement] = STATE(1048),
    [sym_throw_statement] = STATE(1048),
    [sym_empty_statement] = STATE(1048),
    [sym_labeled_statement] = STATE(1048),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3150),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1092),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1092),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1092),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7559),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(128),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1092),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1092),
    [sym_abstract_class_declaration] = STATE(1092),
    [sym_module] = STATE(1092),
    [sym_internal_module] = STATE(372),
    [sym_import_alias] = STATE(1092),
    [sym_interface_declaration] = STATE(1092),
    [sym_enum_declaration] = STATE(1092),
    [sym_type_alias_declaration] = STATE(1092),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5661),
    [sym_identifier] = ACTIONS(838),
    [anon_sym_export] = ACTIONS(840),
    [anon_sym_type] = ACTIONS(842),
    [anon_sym_namespace] = ACTIONS(844),
    [anon_sym_LBRACE] = ACTIONS(846),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_from] = ACTIONS(850),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(854),
    [anon_sym_let] = ACTIONS(856),
    [anon_sym_const] = ACTIONS(858),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(860),
    [anon_sym_switch] = ACTIONS(862),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(866),
    [anon_sym_do] = ACTIONS(868),
    [anon_sym_try] = ACTIONS(870),
    [anon_sym_break] = ACTIONS(872),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(876),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(880),
    [anon_sym_SEMI] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(884),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(888),
    [anon_sym_new] = ACTIONS(890),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(850),
    [anon_sym_readonly] = ACTIONS(850),
    [anon_sym_get] = ACTIONS(850),
    [anon_sym_set] = ACTIONS(850),
    [anon_sym_declare] = ACTIONS(892),
    [anon_sym_public] = ACTIONS(850),
    [anon_sym_private] = ACTIONS(850),
    [anon_sym_protected] = ACTIONS(850),
    [anon_sym_override] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(894),
    [anon_sym_any] = ACTIONS(850),
    [anon_sym_number] = ACTIONS(850),
    [anon_sym_boolean] = ACTIONS(850),
    [anon_sym_string] = ACTIONS(850),
    [anon_sym_symbol] = ACTIONS(850),
    [anon_sym_object] = ACTIONS(850),
    [anon_sym_property] = ACTIONS(850),
    [anon_sym_signal] = ACTIONS(850),
    [anon_sym_on] = ACTIONS(850),
    [anon_sym_required] = ACTIONS(850),
    [anon_sym_component] = ACTIONS(850),
    [anon_sym_abstract] = ACTIONS(896),
    [anon_sym_interface] = ACTIONS(898),
    [anon_sym_enum] = ACTIONS(900),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_export_statement] = STATE(1692),
    [sym_declaration] = STATE(1693),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1694),
    [sym_expression_statement] = STATE(1695),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1696),
    [sym_if_statement] = STATE(1697),
    [sym_switch_statement] = STATE(1698),
    [sym_for_statement] = STATE(1699),
    [sym_for_in_statement] = STATE(1704),
    [sym_while_statement] = STATE(1707),
    [sym_do_statement] = STATE(1708),
    [sym_try_statement] = STATE(1711),
    [sym_with_statement] = STATE(1712),
    [sym_break_statement] = STATE(1714),
    [sym_continue_statement] = STATE(1715),
    [sym_debugger_statement] = STATE(1672),
    [sym_return_statement] = STATE(1722),
    [sym_throw_statement] = STATE(1725),
    [sym_empty_statement] = STATE(1726),
    [sym_labeled_statement] = STATE(1729),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(129),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_export_statement] = STATE(1294),
    [sym_declaration] = STATE(1294),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1294),
    [sym_expression_statement] = STATE(1294),
    [sym_variable_declaration] = STATE(1302),
    [sym_lexical_declaration] = STATE(1302),
    [sym_statement_block] = STATE(1294),
    [sym_if_statement] = STATE(1294),
    [sym_switch_statement] = STATE(1294),
    [sym_for_statement] = STATE(1294),
    [sym_for_in_statement] = STATE(1294),
    [sym_while_statement] = STATE(1294),
    [sym_do_statement] = STATE(1294),
    [sym_try_statement] = STATE(1294),
    [sym_with_statement] = STATE(1294),
    [sym_break_statement] = STATE(1294),
    [sym_continue_statement] = STATE(1294),
    [sym_debugger_statement] = STATE(1294),
    [sym_return_statement] = STATE(1294),
    [sym_throw_statement] = STATE(1294),
    [sym_empty_statement] = STATE(1294),
    [sym_labeled_statement] = STATE(1294),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2999),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1302),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1302),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1302),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7399),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(130),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1302),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1302),
    [sym_abstract_class_declaration] = STATE(1302),
    [sym_module] = STATE(1302),
    [sym_internal_module] = STATE(398),
    [sym_import_alias] = STATE(1302),
    [sym_interface_declaration] = STATE(1302),
    [sym_enum_declaration] = STATE(1302),
    [sym_type_alias_declaration] = STATE(1302),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5682),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_export] = ACTIONS(355),
    [anon_sym_type] = ACTIONS(359),
    [anon_sym_namespace] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_from] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_var] = ACTIONS(371),
    [anon_sym_let] = ACTIONS(373),
    [anon_sym_const] = ACTIONS(375),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_switch] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_break] = ACTIONS(389),
    [anon_sym_continue] = ACTIONS(391),
    [anon_sym_debugger] = ACTIONS(393),
    [anon_sym_return] = ACTIONS(395),
    [anon_sym_throw] = ACTIONS(397),
    [anon_sym_SEMI] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(407),
    [anon_sym_new] = ACTIONS(409),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(367),
    [anon_sym_readonly] = ACTIONS(367),
    [anon_sym_get] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(367),
    [anon_sym_declare] = ACTIONS(413),
    [anon_sym_public] = ACTIONS(367),
    [anon_sym_private] = ACTIONS(367),
    [anon_sym_protected] = ACTIONS(367),
    [anon_sym_override] = ACTIONS(367),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_any] = ACTIONS(367),
    [anon_sym_number] = ACTIONS(367),
    [anon_sym_boolean] = ACTIONS(367),
    [anon_sym_string] = ACTIONS(367),
    [anon_sym_symbol] = ACTIONS(367),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_property] = ACTIONS(367),
    [anon_sym_signal] = ACTIONS(367),
    [anon_sym_on] = ACTIONS(367),
    [anon_sym_required] = ACTIONS(367),
    [anon_sym_component] = ACTIONS(367),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_interface] = ACTIONS(419),
    [anon_sym_enum] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_export_statement] = STATE(1273),
    [sym_declaration] = STATE(1273),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1273),
    [sym_expression_statement] = STATE(1273),
    [sym_variable_declaration] = STATE(1587),
    [sym_lexical_declaration] = STATE(1587),
    [sym_statement_block] = STATE(1273),
    [sym_if_statement] = STATE(1273),
    [sym_switch_statement] = STATE(1273),
    [sym_for_statement] = STATE(1273),
    [sym_for_in_statement] = STATE(1273),
    [sym_while_statement] = STATE(1273),
    [sym_do_statement] = STATE(1273),
    [sym_try_statement] = STATE(1273),
    [sym_with_statement] = STATE(1273),
    [sym_break_statement] = STATE(1273),
    [sym_continue_statement] = STATE(1273),
    [sym_debugger_statement] = STATE(1273),
    [sym_return_statement] = STATE(1273),
    [sym_throw_statement] = STATE(1273),
    [sym_empty_statement] = STATE(1273),
    [sym_labeled_statement] = STATE(1273),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3128),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1587),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1587),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1587),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8194),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(131),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1587),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1587),
    [sym_abstract_class_declaration] = STATE(1587),
    [sym_module] = STATE(1587),
    [sym_internal_module] = STATE(478),
    [sym_import_alias] = STATE(1587),
    [sym_interface_declaration] = STATE(1587),
    [sym_enum_declaration] = STATE(1587),
    [sym_type_alias_declaration] = STATE(1587),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5711),
    [sym_identifier] = ACTIONS(1094),
    [anon_sym_export] = ACTIONS(1096),
    [anon_sym_type] = ACTIONS(1098),
    [anon_sym_namespace] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_from] = ACTIONS(1106),
    [anon_sym_with] = ACTIONS(1108),
    [anon_sym_var] = ACTIONS(1110),
    [anon_sym_let] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1118),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1106),
    [anon_sym_while] = ACTIONS(1122),
    [anon_sym_do] = ACTIONS(1124),
    [anon_sym_try] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_debugger] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1134),
    [anon_sym_throw] = ACTIONS(1136),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1140),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(1144),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1106),
    [anon_sym_readonly] = ACTIONS(1106),
    [anon_sym_get] = ACTIONS(1106),
    [anon_sym_set] = ACTIONS(1106),
    [anon_sym_declare] = ACTIONS(1148),
    [anon_sym_public] = ACTIONS(1106),
    [anon_sym_private] = ACTIONS(1106),
    [anon_sym_protected] = ACTIONS(1106),
    [anon_sym_override] = ACTIONS(1106),
    [anon_sym_module] = ACTIONS(1150),
    [anon_sym_any] = ACTIONS(1106),
    [anon_sym_number] = ACTIONS(1106),
    [anon_sym_boolean] = ACTIONS(1106),
    [anon_sym_string] = ACTIONS(1106),
    [anon_sym_symbol] = ACTIONS(1106),
    [anon_sym_object] = ACTIONS(1106),
    [anon_sym_property] = ACTIONS(1106),
    [anon_sym_signal] = ACTIONS(1106),
    [anon_sym_on] = ACTIONS(1106),
    [anon_sym_required] = ACTIONS(1106),
    [anon_sym_component] = ACTIONS(1106),
    [anon_sym_abstract] = ACTIONS(1152),
    [anon_sym_interface] = ACTIONS(1154),
    [anon_sym_enum] = ACTIONS(1156),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_export_statement] = STATE(1326),
    [sym_declaration] = STATE(1336),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1338),
    [sym_expression_statement] = STATE(1346),
    [sym_variable_declaration] = STATE(1302),
    [sym_lexical_declaration] = STATE(1302),
    [sym_statement_block] = STATE(1349),
    [sym_if_statement] = STATE(1260),
    [sym_switch_statement] = STATE(1363),
    [sym_for_statement] = STATE(1365),
    [sym_for_in_statement] = STATE(1366),
    [sym_while_statement] = STATE(1367),
    [sym_do_statement] = STATE(1369),
    [sym_try_statement] = STATE(1371),
    [sym_with_statement] = STATE(1381),
    [sym_break_statement] = STATE(1382),
    [sym_continue_statement] = STATE(1384),
    [sym_debugger_statement] = STATE(1385),
    [sym_return_statement] = STATE(1387),
    [sym_throw_statement] = STATE(1388),
    [sym_empty_statement] = STATE(1389),
    [sym_labeled_statement] = STATE(1390),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2999),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1302),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1302),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1302),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7399),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(132),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1302),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1302),
    [sym_abstract_class_declaration] = STATE(1302),
    [sym_module] = STATE(1302),
    [sym_internal_module] = STATE(398),
    [sym_import_alias] = STATE(1302),
    [sym_interface_declaration] = STATE(1302),
    [sym_enum_declaration] = STATE(1302),
    [sym_type_alias_declaration] = STATE(1302),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5682),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_export] = ACTIONS(355),
    [anon_sym_type] = ACTIONS(359),
    [anon_sym_namespace] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_from] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_var] = ACTIONS(371),
    [anon_sym_let] = ACTIONS(373),
    [anon_sym_const] = ACTIONS(375),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_switch] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_break] = ACTIONS(389),
    [anon_sym_continue] = ACTIONS(391),
    [anon_sym_debugger] = ACTIONS(393),
    [anon_sym_return] = ACTIONS(395),
    [anon_sym_throw] = ACTIONS(397),
    [anon_sym_SEMI] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(407),
    [anon_sym_new] = ACTIONS(409),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(367),
    [anon_sym_readonly] = ACTIONS(367),
    [anon_sym_get] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(367),
    [anon_sym_declare] = ACTIONS(413),
    [anon_sym_public] = ACTIONS(367),
    [anon_sym_private] = ACTIONS(367),
    [anon_sym_protected] = ACTIONS(367),
    [anon_sym_override] = ACTIONS(367),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_any] = ACTIONS(367),
    [anon_sym_number] = ACTIONS(367),
    [anon_sym_boolean] = ACTIONS(367),
    [anon_sym_string] = ACTIONS(367),
    [anon_sym_symbol] = ACTIONS(367),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_property] = ACTIONS(367),
    [anon_sym_signal] = ACTIONS(367),
    [anon_sym_on] = ACTIONS(367),
    [anon_sym_required] = ACTIONS(367),
    [anon_sym_component] = ACTIONS(367),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_interface] = ACTIONS(419),
    [anon_sym_enum] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_export_statement] = STATE(1391),
    [sym_declaration] = STATE(1391),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1391),
    [sym_expression_statement] = STATE(1391),
    [sym_variable_declaration] = STATE(1302),
    [sym_lexical_declaration] = STATE(1302),
    [sym_statement_block] = STATE(1391),
    [sym_if_statement] = STATE(1391),
    [sym_switch_statement] = STATE(1391),
    [sym_for_statement] = STATE(1391),
    [sym_for_in_statement] = STATE(1391),
    [sym_while_statement] = STATE(1391),
    [sym_do_statement] = STATE(1391),
    [sym_try_statement] = STATE(1391),
    [sym_with_statement] = STATE(1391),
    [sym_break_statement] = STATE(1391),
    [sym_continue_statement] = STATE(1391),
    [sym_debugger_statement] = STATE(1391),
    [sym_return_statement] = STATE(1391),
    [sym_throw_statement] = STATE(1391),
    [sym_empty_statement] = STATE(1391),
    [sym_labeled_statement] = STATE(1391),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2999),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1302),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1302),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1302),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7399),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(133),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1302),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1302),
    [sym_abstract_class_declaration] = STATE(1302),
    [sym_module] = STATE(1302),
    [sym_internal_module] = STATE(398),
    [sym_import_alias] = STATE(1302),
    [sym_interface_declaration] = STATE(1302),
    [sym_enum_declaration] = STATE(1302),
    [sym_type_alias_declaration] = STATE(1302),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5682),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_export] = ACTIONS(355),
    [anon_sym_type] = ACTIONS(359),
    [anon_sym_namespace] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_from] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_var] = ACTIONS(371),
    [anon_sym_let] = ACTIONS(373),
    [anon_sym_const] = ACTIONS(375),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_switch] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_break] = ACTIONS(389),
    [anon_sym_continue] = ACTIONS(391),
    [anon_sym_debugger] = ACTIONS(393),
    [anon_sym_return] = ACTIONS(395),
    [anon_sym_throw] = ACTIONS(397),
    [anon_sym_SEMI] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(407),
    [anon_sym_new] = ACTIONS(409),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(367),
    [anon_sym_readonly] = ACTIONS(367),
    [anon_sym_get] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(367),
    [anon_sym_declare] = ACTIONS(413),
    [anon_sym_public] = ACTIONS(367),
    [anon_sym_private] = ACTIONS(367),
    [anon_sym_protected] = ACTIONS(367),
    [anon_sym_override] = ACTIONS(367),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_any] = ACTIONS(367),
    [anon_sym_number] = ACTIONS(367),
    [anon_sym_boolean] = ACTIONS(367),
    [anon_sym_string] = ACTIONS(367),
    [anon_sym_symbol] = ACTIONS(367),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_property] = ACTIONS(367),
    [anon_sym_signal] = ACTIONS(367),
    [anon_sym_on] = ACTIONS(367),
    [anon_sym_required] = ACTIONS(367),
    [anon_sym_component] = ACTIONS(367),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_interface] = ACTIONS(419),
    [anon_sym_enum] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_export_statement] = STATE(1719),
    [sym_declaration] = STATE(1719),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1719),
    [sym_expression_statement] = STATE(1719),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1719),
    [sym_if_statement] = STATE(1719),
    [sym_switch_statement] = STATE(1719),
    [sym_for_statement] = STATE(1719),
    [sym_for_in_statement] = STATE(1719),
    [sym_while_statement] = STATE(1719),
    [sym_do_statement] = STATE(1719),
    [sym_try_statement] = STATE(1719),
    [sym_with_statement] = STATE(1719),
    [sym_break_statement] = STATE(1719),
    [sym_continue_statement] = STATE(1719),
    [sym_debugger_statement] = STATE(1719),
    [sym_return_statement] = STATE(1719),
    [sym_throw_statement] = STATE(1719),
    [sym_empty_statement] = STATE(1719),
    [sym_labeled_statement] = STATE(1719),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(134),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_export_statement] = STATE(8397),
    [sym_declaration] = STATE(8397),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(8397),
    [sym_expression_statement] = STATE(8397),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_statement_block] = STATE(8397),
    [sym_if_statement] = STATE(8397),
    [sym_switch_statement] = STATE(8397),
    [sym_for_statement] = STATE(8397),
    [sym_for_in_statement] = STATE(8397),
    [sym_while_statement] = STATE(8397),
    [sym_do_statement] = STATE(8397),
    [sym_try_statement] = STATE(8397),
    [sym_with_statement] = STATE(8397),
    [sym_break_statement] = STATE(8397),
    [sym_continue_statement] = STATE(8397),
    [sym_debugger_statement] = STATE(8397),
    [sym_return_statement] = STATE(8397),
    [sym_throw_statement] = STATE(8397),
    [sym_empty_statement] = STATE(8397),
    [sym_labeled_statement] = STATE(8397),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3097),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(8195),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7673),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(135),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(8195),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(3628),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5697),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_from] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(916),
    [anon_sym_var] = ACTIONS(918),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(926),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(934),
    [anon_sym_break] = ACTIONS(936),
    [anon_sym_continue] = ACTIONS(938),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_readonly] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_override] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(914),
    [anon_sym_number] = ACTIONS(914),
    [anon_sym_boolean] = ACTIONS(914),
    [anon_sym_string] = ACTIONS(914),
    [anon_sym_symbol] = ACTIONS(914),
    [anon_sym_object] = ACTIONS(914),
    [anon_sym_property] = ACTIONS(914),
    [anon_sym_signal] = ACTIONS(914),
    [anon_sym_on] = ACTIONS(914),
    [anon_sym_required] = ACTIONS(914),
    [anon_sym_component] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_export_statement] = STATE(1731),
    [sym_declaration] = STATE(1731),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1731),
    [sym_expression_statement] = STATE(1731),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1731),
    [sym_if_statement] = STATE(1731),
    [sym_switch_statement] = STATE(1731),
    [sym_for_statement] = STATE(1731),
    [sym_for_in_statement] = STATE(1731),
    [sym_while_statement] = STATE(1731),
    [sym_do_statement] = STATE(1731),
    [sym_try_statement] = STATE(1731),
    [sym_with_statement] = STATE(1731),
    [sym_break_statement] = STATE(1731),
    [sym_continue_statement] = STATE(1731),
    [sym_debugger_statement] = STATE(1731),
    [sym_return_statement] = STATE(1731),
    [sym_throw_statement] = STATE(1731),
    [sym_empty_statement] = STATE(1731),
    [sym_labeled_statement] = STATE(1731),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(136),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_export_statement] = STATE(1644),
    [sym_declaration] = STATE(1644),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1644),
    [sym_expression_statement] = STATE(1644),
    [sym_variable_declaration] = STATE(1587),
    [sym_lexical_declaration] = STATE(1587),
    [sym_statement_block] = STATE(1644),
    [sym_if_statement] = STATE(1644),
    [sym_switch_statement] = STATE(1644),
    [sym_for_statement] = STATE(1644),
    [sym_for_in_statement] = STATE(1644),
    [sym_while_statement] = STATE(1644),
    [sym_do_statement] = STATE(1644),
    [sym_try_statement] = STATE(1644),
    [sym_with_statement] = STATE(1644),
    [sym_break_statement] = STATE(1644),
    [sym_continue_statement] = STATE(1644),
    [sym_debugger_statement] = STATE(1644),
    [sym_return_statement] = STATE(1644),
    [sym_throw_statement] = STATE(1644),
    [sym_empty_statement] = STATE(1644),
    [sym_labeled_statement] = STATE(1644),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3128),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1587),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1587),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1587),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8194),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(137),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1587),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1587),
    [sym_abstract_class_declaration] = STATE(1587),
    [sym_module] = STATE(1587),
    [sym_internal_module] = STATE(478),
    [sym_import_alias] = STATE(1587),
    [sym_interface_declaration] = STATE(1587),
    [sym_enum_declaration] = STATE(1587),
    [sym_type_alias_declaration] = STATE(1587),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5711),
    [sym_identifier] = ACTIONS(1094),
    [anon_sym_export] = ACTIONS(1096),
    [anon_sym_type] = ACTIONS(1098),
    [anon_sym_namespace] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_from] = ACTIONS(1106),
    [anon_sym_with] = ACTIONS(1108),
    [anon_sym_var] = ACTIONS(1110),
    [anon_sym_let] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1118),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1106),
    [anon_sym_while] = ACTIONS(1122),
    [anon_sym_do] = ACTIONS(1124),
    [anon_sym_try] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_debugger] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1134),
    [anon_sym_throw] = ACTIONS(1136),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1140),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(1144),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1106),
    [anon_sym_readonly] = ACTIONS(1106),
    [anon_sym_get] = ACTIONS(1106),
    [anon_sym_set] = ACTIONS(1106),
    [anon_sym_declare] = ACTIONS(1148),
    [anon_sym_public] = ACTIONS(1106),
    [anon_sym_private] = ACTIONS(1106),
    [anon_sym_protected] = ACTIONS(1106),
    [anon_sym_override] = ACTIONS(1106),
    [anon_sym_module] = ACTIONS(1150),
    [anon_sym_any] = ACTIONS(1106),
    [anon_sym_number] = ACTIONS(1106),
    [anon_sym_boolean] = ACTIONS(1106),
    [anon_sym_string] = ACTIONS(1106),
    [anon_sym_symbol] = ACTIONS(1106),
    [anon_sym_object] = ACTIONS(1106),
    [anon_sym_property] = ACTIONS(1106),
    [anon_sym_signal] = ACTIONS(1106),
    [anon_sym_on] = ACTIONS(1106),
    [anon_sym_required] = ACTIONS(1106),
    [anon_sym_component] = ACTIONS(1106),
    [anon_sym_abstract] = ACTIONS(1152),
    [anon_sym_interface] = ACTIONS(1154),
    [anon_sym_enum] = ACTIONS(1156),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_export_statement] = STATE(4028),
    [sym_declaration] = STATE(4028),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(4028),
    [sym_expression_statement] = STATE(4028),
    [sym_variable_declaration] = STATE(4080),
    [sym_lexical_declaration] = STATE(4080),
    [sym_statement_block] = STATE(4028),
    [sym_if_statement] = STATE(4028),
    [sym_switch_statement] = STATE(4028),
    [sym_for_statement] = STATE(4028),
    [sym_for_in_statement] = STATE(4028),
    [sym_while_statement] = STATE(4028),
    [sym_do_statement] = STATE(4028),
    [sym_try_statement] = STATE(4028),
    [sym_with_statement] = STATE(4028),
    [sym_break_statement] = STATE(4028),
    [sym_continue_statement] = STATE(4028),
    [sym_debugger_statement] = STATE(4028),
    [sym_return_statement] = STATE(4028),
    [sym_throw_statement] = STATE(4028),
    [sym_empty_statement] = STATE(4028),
    [sym_labeled_statement] = STATE(4028),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3116),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4080),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4080),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4080),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7500),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(138),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(4080),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4080),
    [sym_abstract_class_declaration] = STATE(4080),
    [sym_module] = STATE(4080),
    [sym_internal_module] = STATE(1853),
    [sym_import_alias] = STATE(4080),
    [sym_interface_declaration] = STATE(4080),
    [sym_enum_declaration] = STATE(4080),
    [sym_type_alias_declaration] = STATE(4080),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5737),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(968),
    [anon_sym_type] = ACTIONS(970),
    [anon_sym_namespace] = ACTIONS(972),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(976),
    [anon_sym_from] = ACTIONS(978),
    [anon_sym_with] = ACTIONS(980),
    [anon_sym_var] = ACTIONS(982),
    [anon_sym_let] = ACTIONS(984),
    [anon_sym_const] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(988),
    [anon_sym_switch] = ACTIONS(990),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(978),
    [anon_sym_while] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_try] = ACTIONS(998),
    [anon_sym_break] = ACTIONS(1000),
    [anon_sym_continue] = ACTIONS(1002),
    [anon_sym_debugger] = ACTIONS(1004),
    [anon_sym_return] = ACTIONS(1006),
    [anon_sym_throw] = ACTIONS(1008),
    [anon_sym_SEMI] = ACTIONS(1010),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(1014),
    [anon_sym_function] = ACTIONS(1016),
    [anon_sym_new] = ACTIONS(1018),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(978),
    [anon_sym_readonly] = ACTIONS(978),
    [anon_sym_get] = ACTIONS(978),
    [anon_sym_set] = ACTIONS(978),
    [anon_sym_declare] = ACTIONS(1020),
    [anon_sym_public] = ACTIONS(978),
    [anon_sym_private] = ACTIONS(978),
    [anon_sym_protected] = ACTIONS(978),
    [anon_sym_override] = ACTIONS(978),
    [anon_sym_module] = ACTIONS(1022),
    [anon_sym_any] = ACTIONS(978),
    [anon_sym_number] = ACTIONS(978),
    [anon_sym_boolean] = ACTIONS(978),
    [anon_sym_string] = ACTIONS(978),
    [anon_sym_symbol] = ACTIONS(978),
    [anon_sym_object] = ACTIONS(978),
    [anon_sym_property] = ACTIONS(978),
    [anon_sym_signal] = ACTIONS(978),
    [anon_sym_on] = ACTIONS(978),
    [anon_sym_required] = ACTIONS(978),
    [anon_sym_component] = ACTIONS(978),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_interface] = ACTIONS(1026),
    [anon_sym_enum] = ACTIONS(1028),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_export_statement] = STATE(1107),
    [sym_declaration] = STATE(1107),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1107),
    [sym_expression_statement] = STATE(1107),
    [sym_variable_declaration] = STATE(1092),
    [sym_lexical_declaration] = STATE(1092),
    [sym_statement_block] = STATE(1107),
    [sym_if_statement] = STATE(1107),
    [sym_switch_statement] = STATE(1107),
    [sym_for_statement] = STATE(1107),
    [sym_for_in_statement] = STATE(1107),
    [sym_while_statement] = STATE(1107),
    [sym_do_statement] = STATE(1107),
    [sym_try_statement] = STATE(1107),
    [sym_with_statement] = STATE(1107),
    [sym_break_statement] = STATE(1107),
    [sym_continue_statement] = STATE(1107),
    [sym_debugger_statement] = STATE(1107),
    [sym_return_statement] = STATE(1107),
    [sym_throw_statement] = STATE(1107),
    [sym_empty_statement] = STATE(1107),
    [sym_labeled_statement] = STATE(1107),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3150),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1092),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1092),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1092),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7559),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(139),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1092),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1092),
    [sym_abstract_class_declaration] = STATE(1092),
    [sym_module] = STATE(1092),
    [sym_internal_module] = STATE(372),
    [sym_import_alias] = STATE(1092),
    [sym_interface_declaration] = STATE(1092),
    [sym_enum_declaration] = STATE(1092),
    [sym_type_alias_declaration] = STATE(1092),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5661),
    [sym_identifier] = ACTIONS(838),
    [anon_sym_export] = ACTIONS(840),
    [anon_sym_type] = ACTIONS(842),
    [anon_sym_namespace] = ACTIONS(844),
    [anon_sym_LBRACE] = ACTIONS(846),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_from] = ACTIONS(850),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(854),
    [anon_sym_let] = ACTIONS(856),
    [anon_sym_const] = ACTIONS(858),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(860),
    [anon_sym_switch] = ACTIONS(862),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(866),
    [anon_sym_do] = ACTIONS(868),
    [anon_sym_try] = ACTIONS(870),
    [anon_sym_break] = ACTIONS(872),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(876),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(880),
    [anon_sym_SEMI] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(884),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(888),
    [anon_sym_new] = ACTIONS(890),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(850),
    [anon_sym_readonly] = ACTIONS(850),
    [anon_sym_get] = ACTIONS(850),
    [anon_sym_set] = ACTIONS(850),
    [anon_sym_declare] = ACTIONS(892),
    [anon_sym_public] = ACTIONS(850),
    [anon_sym_private] = ACTIONS(850),
    [anon_sym_protected] = ACTIONS(850),
    [anon_sym_override] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(894),
    [anon_sym_any] = ACTIONS(850),
    [anon_sym_number] = ACTIONS(850),
    [anon_sym_boolean] = ACTIONS(850),
    [anon_sym_string] = ACTIONS(850),
    [anon_sym_symbol] = ACTIONS(850),
    [anon_sym_object] = ACTIONS(850),
    [anon_sym_property] = ACTIONS(850),
    [anon_sym_signal] = ACTIONS(850),
    [anon_sym_on] = ACTIONS(850),
    [anon_sym_required] = ACTIONS(850),
    [anon_sym_component] = ACTIONS(850),
    [anon_sym_abstract] = ACTIONS(896),
    [anon_sym_interface] = ACTIONS(898),
    [anon_sym_enum] = ACTIONS(900),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_export_statement] = STATE(1176),
    [sym_declaration] = STATE(1176),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1176),
    [sym_expression_statement] = STATE(1176),
    [sym_variable_declaration] = STATE(1092),
    [sym_lexical_declaration] = STATE(1092),
    [sym_statement_block] = STATE(1176),
    [sym_if_statement] = STATE(1176),
    [sym_switch_statement] = STATE(1176),
    [sym_for_statement] = STATE(1176),
    [sym_for_in_statement] = STATE(1176),
    [sym_while_statement] = STATE(1176),
    [sym_do_statement] = STATE(1176),
    [sym_try_statement] = STATE(1176),
    [sym_with_statement] = STATE(1176),
    [sym_break_statement] = STATE(1176),
    [sym_continue_statement] = STATE(1176),
    [sym_debugger_statement] = STATE(1176),
    [sym_return_statement] = STATE(1176),
    [sym_throw_statement] = STATE(1176),
    [sym_empty_statement] = STATE(1176),
    [sym_labeled_statement] = STATE(1176),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3150),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1092),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1092),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1092),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7559),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(140),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1092),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1092),
    [sym_abstract_class_declaration] = STATE(1092),
    [sym_module] = STATE(1092),
    [sym_internal_module] = STATE(372),
    [sym_import_alias] = STATE(1092),
    [sym_interface_declaration] = STATE(1092),
    [sym_enum_declaration] = STATE(1092),
    [sym_type_alias_declaration] = STATE(1092),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5661),
    [sym_identifier] = ACTIONS(838),
    [anon_sym_export] = ACTIONS(840),
    [anon_sym_type] = ACTIONS(842),
    [anon_sym_namespace] = ACTIONS(844),
    [anon_sym_LBRACE] = ACTIONS(846),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_from] = ACTIONS(850),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(854),
    [anon_sym_let] = ACTIONS(856),
    [anon_sym_const] = ACTIONS(858),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(860),
    [anon_sym_switch] = ACTIONS(862),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(866),
    [anon_sym_do] = ACTIONS(868),
    [anon_sym_try] = ACTIONS(870),
    [anon_sym_break] = ACTIONS(872),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(876),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(880),
    [anon_sym_SEMI] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(884),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(888),
    [anon_sym_new] = ACTIONS(890),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(850),
    [anon_sym_readonly] = ACTIONS(850),
    [anon_sym_get] = ACTIONS(850),
    [anon_sym_set] = ACTIONS(850),
    [anon_sym_declare] = ACTIONS(892),
    [anon_sym_public] = ACTIONS(850),
    [anon_sym_private] = ACTIONS(850),
    [anon_sym_protected] = ACTIONS(850),
    [anon_sym_override] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(894),
    [anon_sym_any] = ACTIONS(850),
    [anon_sym_number] = ACTIONS(850),
    [anon_sym_boolean] = ACTIONS(850),
    [anon_sym_string] = ACTIONS(850),
    [anon_sym_symbol] = ACTIONS(850),
    [anon_sym_object] = ACTIONS(850),
    [anon_sym_property] = ACTIONS(850),
    [anon_sym_signal] = ACTIONS(850),
    [anon_sym_on] = ACTIONS(850),
    [anon_sym_required] = ACTIONS(850),
    [anon_sym_component] = ACTIONS(850),
    [anon_sym_abstract] = ACTIONS(896),
    [anon_sym_interface] = ACTIONS(898),
    [anon_sym_enum] = ACTIONS(900),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_export_statement] = STATE(4386),
    [sym_declaration] = STATE(4386),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(4386),
    [sym_expression_statement] = STATE(4386),
    [sym_variable_declaration] = STATE(4255),
    [sym_lexical_declaration] = STATE(4255),
    [sym_statement_block] = STATE(4386),
    [sym_if_statement] = STATE(4386),
    [sym_switch_statement] = STATE(4386),
    [sym_for_statement] = STATE(4386),
    [sym_for_in_statement] = STATE(4386),
    [sym_while_statement] = STATE(4386),
    [sym_do_statement] = STATE(4386),
    [sym_try_statement] = STATE(4386),
    [sym_with_statement] = STATE(4386),
    [sym_break_statement] = STATE(4386),
    [sym_continue_statement] = STATE(4386),
    [sym_debugger_statement] = STATE(4386),
    [sym_return_statement] = STATE(4386),
    [sym_throw_statement] = STATE(4386),
    [sym_empty_statement] = STATE(4386),
    [sym_labeled_statement] = STATE(4386),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4255),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4255),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4255),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8186),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(141),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(4255),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4255),
    [sym_abstract_class_declaration] = STATE(4255),
    [sym_module] = STATE(4255),
    [sym_internal_module] = STATE(1909),
    [sym_import_alias] = STATE(4255),
    [sym_interface_declaration] = STATE(4255),
    [sym_enum_declaration] = STATE(4255),
    [sym_type_alias_declaration] = STATE(4255),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5725),
    [sym_identifier] = ACTIONS(1030),
    [anon_sym_export] = ACTIONS(1032),
    [anon_sym_type] = ACTIONS(1034),
    [anon_sym_namespace] = ACTIONS(1036),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(1040),
    [anon_sym_from] = ACTIONS(1042),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_var] = ACTIONS(1046),
    [anon_sym_let] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_for] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1042),
    [anon_sym_while] = ACTIONS(1058),
    [anon_sym_do] = ACTIONS(1060),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_continue] = ACTIONS(1066),
    [anon_sym_debugger] = ACTIONS(1068),
    [anon_sym_return] = ACTIONS(1070),
    [anon_sym_throw] = ACTIONS(1072),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1076),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(1080),
    [anon_sym_new] = ACTIONS(1082),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1042),
    [anon_sym_readonly] = ACTIONS(1042),
    [anon_sym_get] = ACTIONS(1042),
    [anon_sym_set] = ACTIONS(1042),
    [anon_sym_declare] = ACTIONS(1084),
    [anon_sym_public] = ACTIONS(1042),
    [anon_sym_private] = ACTIONS(1042),
    [anon_sym_protected] = ACTIONS(1042),
    [anon_sym_override] = ACTIONS(1042),
    [anon_sym_module] = ACTIONS(1086),
    [anon_sym_any] = ACTIONS(1042),
    [anon_sym_number] = ACTIONS(1042),
    [anon_sym_boolean] = ACTIONS(1042),
    [anon_sym_string] = ACTIONS(1042),
    [anon_sym_symbol] = ACTIONS(1042),
    [anon_sym_object] = ACTIONS(1042),
    [anon_sym_property] = ACTIONS(1042),
    [anon_sym_signal] = ACTIONS(1042),
    [anon_sym_on] = ACTIONS(1042),
    [anon_sym_required] = ACTIONS(1042),
    [anon_sym_component] = ACTIONS(1042),
    [anon_sym_abstract] = ACTIONS(1088),
    [anon_sym_interface] = ACTIONS(1090),
    [anon_sym_enum] = ACTIONS(1092),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_export_statement] = STATE(1221),
    [sym_declaration] = STATE(1221),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1221),
    [sym_expression_statement] = STATE(1221),
    [sym_variable_declaration] = STATE(1092),
    [sym_lexical_declaration] = STATE(1092),
    [sym_statement_block] = STATE(1221),
    [sym_if_statement] = STATE(1221),
    [sym_switch_statement] = STATE(1221),
    [sym_for_statement] = STATE(1221),
    [sym_for_in_statement] = STATE(1221),
    [sym_while_statement] = STATE(1221),
    [sym_do_statement] = STATE(1221),
    [sym_try_statement] = STATE(1221),
    [sym_with_statement] = STATE(1221),
    [sym_break_statement] = STATE(1221),
    [sym_continue_statement] = STATE(1221),
    [sym_debugger_statement] = STATE(1221),
    [sym_return_statement] = STATE(1221),
    [sym_throw_statement] = STATE(1221),
    [sym_empty_statement] = STATE(1221),
    [sym_labeled_statement] = STATE(1221),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3150),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1092),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1092),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1092),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7559),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(142),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1092),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1092),
    [sym_abstract_class_declaration] = STATE(1092),
    [sym_module] = STATE(1092),
    [sym_internal_module] = STATE(372),
    [sym_import_alias] = STATE(1092),
    [sym_interface_declaration] = STATE(1092),
    [sym_enum_declaration] = STATE(1092),
    [sym_type_alias_declaration] = STATE(1092),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5661),
    [sym_identifier] = ACTIONS(838),
    [anon_sym_export] = ACTIONS(840),
    [anon_sym_type] = ACTIONS(842),
    [anon_sym_namespace] = ACTIONS(844),
    [anon_sym_LBRACE] = ACTIONS(846),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_from] = ACTIONS(850),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(854),
    [anon_sym_let] = ACTIONS(856),
    [anon_sym_const] = ACTIONS(858),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(860),
    [anon_sym_switch] = ACTIONS(862),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(866),
    [anon_sym_do] = ACTIONS(868),
    [anon_sym_try] = ACTIONS(870),
    [anon_sym_break] = ACTIONS(872),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(876),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(880),
    [anon_sym_SEMI] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(884),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(888),
    [anon_sym_new] = ACTIONS(890),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(850),
    [anon_sym_readonly] = ACTIONS(850),
    [anon_sym_get] = ACTIONS(850),
    [anon_sym_set] = ACTIONS(850),
    [anon_sym_declare] = ACTIONS(892),
    [anon_sym_public] = ACTIONS(850),
    [anon_sym_private] = ACTIONS(850),
    [anon_sym_protected] = ACTIONS(850),
    [anon_sym_override] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(894),
    [anon_sym_any] = ACTIONS(850),
    [anon_sym_number] = ACTIONS(850),
    [anon_sym_boolean] = ACTIONS(850),
    [anon_sym_string] = ACTIONS(850),
    [anon_sym_symbol] = ACTIONS(850),
    [anon_sym_object] = ACTIONS(850),
    [anon_sym_property] = ACTIONS(850),
    [anon_sym_signal] = ACTIONS(850),
    [anon_sym_on] = ACTIONS(850),
    [anon_sym_required] = ACTIONS(850),
    [anon_sym_component] = ACTIONS(850),
    [anon_sym_abstract] = ACTIONS(896),
    [anon_sym_interface] = ACTIONS(898),
    [anon_sym_enum] = ACTIONS(900),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_export_statement] = STATE(1629),
    [sym_declaration] = STATE(1629),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1629),
    [sym_expression_statement] = STATE(1629),
    [sym_variable_declaration] = STATE(1587),
    [sym_lexical_declaration] = STATE(1587),
    [sym_statement_block] = STATE(1629),
    [sym_if_statement] = STATE(1629),
    [sym_switch_statement] = STATE(1629),
    [sym_for_statement] = STATE(1629),
    [sym_for_in_statement] = STATE(1629),
    [sym_while_statement] = STATE(1629),
    [sym_do_statement] = STATE(1629),
    [sym_try_statement] = STATE(1629),
    [sym_with_statement] = STATE(1629),
    [sym_break_statement] = STATE(1629),
    [sym_continue_statement] = STATE(1629),
    [sym_debugger_statement] = STATE(1629),
    [sym_return_statement] = STATE(1629),
    [sym_throw_statement] = STATE(1629),
    [sym_empty_statement] = STATE(1629),
    [sym_labeled_statement] = STATE(1629),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3128),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1587),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1587),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1587),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8194),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(143),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1587),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1587),
    [sym_abstract_class_declaration] = STATE(1587),
    [sym_module] = STATE(1587),
    [sym_internal_module] = STATE(478),
    [sym_import_alias] = STATE(1587),
    [sym_interface_declaration] = STATE(1587),
    [sym_enum_declaration] = STATE(1587),
    [sym_type_alias_declaration] = STATE(1587),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5711),
    [sym_identifier] = ACTIONS(1094),
    [anon_sym_export] = ACTIONS(1096),
    [anon_sym_type] = ACTIONS(1098),
    [anon_sym_namespace] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_from] = ACTIONS(1106),
    [anon_sym_with] = ACTIONS(1108),
    [anon_sym_var] = ACTIONS(1110),
    [anon_sym_let] = ACTIONS(1112),
    [anon_sym_const] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1118),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1106),
    [anon_sym_while] = ACTIONS(1122),
    [anon_sym_do] = ACTIONS(1124),
    [anon_sym_try] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_debugger] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1134),
    [anon_sym_throw] = ACTIONS(1136),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1140),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(1144),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1106),
    [anon_sym_readonly] = ACTIONS(1106),
    [anon_sym_get] = ACTIONS(1106),
    [anon_sym_set] = ACTIONS(1106),
    [anon_sym_declare] = ACTIONS(1148),
    [anon_sym_public] = ACTIONS(1106),
    [anon_sym_private] = ACTIONS(1106),
    [anon_sym_protected] = ACTIONS(1106),
    [anon_sym_override] = ACTIONS(1106),
    [anon_sym_module] = ACTIONS(1150),
    [anon_sym_any] = ACTIONS(1106),
    [anon_sym_number] = ACTIONS(1106),
    [anon_sym_boolean] = ACTIONS(1106),
    [anon_sym_string] = ACTIONS(1106),
    [anon_sym_symbol] = ACTIONS(1106),
    [anon_sym_object] = ACTIONS(1106),
    [anon_sym_property] = ACTIONS(1106),
    [anon_sym_signal] = ACTIONS(1106),
    [anon_sym_on] = ACTIONS(1106),
    [anon_sym_required] = ACTIONS(1106),
    [anon_sym_component] = ACTIONS(1106),
    [anon_sym_abstract] = ACTIONS(1152),
    [anon_sym_interface] = ACTIONS(1154),
    [anon_sym_enum] = ACTIONS(1156),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_export_statement] = STATE(1227),
    [sym_declaration] = STATE(1226),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1225),
    [sym_expression_statement] = STATE(1216),
    [sym_variable_declaration] = STATE(1092),
    [sym_lexical_declaration] = STATE(1092),
    [sym_statement_block] = STATE(1212),
    [sym_if_statement] = STATE(1210),
    [sym_switch_statement] = STATE(1209),
    [sym_for_statement] = STATE(1208),
    [sym_for_in_statement] = STATE(1207),
    [sym_while_statement] = STATE(1203),
    [sym_do_statement] = STATE(1202),
    [sym_try_statement] = STATE(1201),
    [sym_with_statement] = STATE(1195),
    [sym_break_statement] = STATE(1192),
    [sym_continue_statement] = STATE(1191),
    [sym_debugger_statement] = STATE(1190),
    [sym_return_statement] = STATE(1189),
    [sym_throw_statement] = STATE(1188),
    [sym_empty_statement] = STATE(1187),
    [sym_labeled_statement] = STATE(1185),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3150),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1092),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1092),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1092),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7559),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(144),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1092),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1092),
    [sym_abstract_class_declaration] = STATE(1092),
    [sym_module] = STATE(1092),
    [sym_internal_module] = STATE(372),
    [sym_import_alias] = STATE(1092),
    [sym_interface_declaration] = STATE(1092),
    [sym_enum_declaration] = STATE(1092),
    [sym_type_alias_declaration] = STATE(1092),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5661),
    [sym_identifier] = ACTIONS(838),
    [anon_sym_export] = ACTIONS(840),
    [anon_sym_type] = ACTIONS(842),
    [anon_sym_namespace] = ACTIONS(844),
    [anon_sym_LBRACE] = ACTIONS(846),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_from] = ACTIONS(850),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_var] = ACTIONS(854),
    [anon_sym_let] = ACTIONS(856),
    [anon_sym_const] = ACTIONS(858),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(860),
    [anon_sym_switch] = ACTIONS(862),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(850),
    [anon_sym_while] = ACTIONS(866),
    [anon_sym_do] = ACTIONS(868),
    [anon_sym_try] = ACTIONS(870),
    [anon_sym_break] = ACTIONS(872),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_debugger] = ACTIONS(876),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_throw] = ACTIONS(880),
    [anon_sym_SEMI] = ACTIONS(882),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(884),
    [anon_sym_async] = ACTIONS(886),
    [anon_sym_function] = ACTIONS(888),
    [anon_sym_new] = ACTIONS(890),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(850),
    [anon_sym_readonly] = ACTIONS(850),
    [anon_sym_get] = ACTIONS(850),
    [anon_sym_set] = ACTIONS(850),
    [anon_sym_declare] = ACTIONS(892),
    [anon_sym_public] = ACTIONS(850),
    [anon_sym_private] = ACTIONS(850),
    [anon_sym_protected] = ACTIONS(850),
    [anon_sym_override] = ACTIONS(850),
    [anon_sym_module] = ACTIONS(894),
    [anon_sym_any] = ACTIONS(850),
    [anon_sym_number] = ACTIONS(850),
    [anon_sym_boolean] = ACTIONS(850),
    [anon_sym_string] = ACTIONS(850),
    [anon_sym_symbol] = ACTIONS(850),
    [anon_sym_object] = ACTIONS(850),
    [anon_sym_property] = ACTIONS(850),
    [anon_sym_signal] = ACTIONS(850),
    [anon_sym_on] = ACTIONS(850),
    [anon_sym_required] = ACTIONS(850),
    [anon_sym_component] = ACTIONS(850),
    [anon_sym_abstract] = ACTIONS(896),
    [anon_sym_interface] = ACTIONS(898),
    [anon_sym_enum] = ACTIONS(900),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_export_statement] = STATE(7376),
    [sym_declaration] = STATE(7376),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(7376),
    [sym_expression_statement] = STATE(7376),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_statement_block] = STATE(7376),
    [sym_if_statement] = STATE(7376),
    [sym_switch_statement] = STATE(7376),
    [sym_for_statement] = STATE(7376),
    [sym_for_in_statement] = STATE(7376),
    [sym_while_statement] = STATE(7376),
    [sym_do_statement] = STATE(7376),
    [sym_try_statement] = STATE(7376),
    [sym_with_statement] = STATE(7376),
    [sym_break_statement] = STATE(7376),
    [sym_continue_statement] = STATE(7376),
    [sym_debugger_statement] = STATE(7376),
    [sym_return_statement] = STATE(7376),
    [sym_throw_statement] = STATE(7376),
    [sym_empty_statement] = STATE(7376),
    [sym_labeled_statement] = STATE(7376),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3097),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(8195),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7673),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(145),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(8195),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(3628),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5697),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_from] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(916),
    [anon_sym_var] = ACTIONS(918),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(926),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(934),
    [anon_sym_break] = ACTIONS(936),
    [anon_sym_continue] = ACTIONS(938),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_readonly] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_override] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(914),
    [anon_sym_number] = ACTIONS(914),
    [anon_sym_boolean] = ACTIONS(914),
    [anon_sym_string] = ACTIONS(914),
    [anon_sym_symbol] = ACTIONS(914),
    [anon_sym_object] = ACTIONS(914),
    [anon_sym_property] = ACTIONS(914),
    [anon_sym_signal] = ACTIONS(914),
    [anon_sym_on] = ACTIONS(914),
    [anon_sym_required] = ACTIONS(914),
    [anon_sym_component] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_export_statement] = STATE(4143),
    [sym_declaration] = STATE(4143),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(4143),
    [sym_expression_statement] = STATE(4143),
    [sym_variable_declaration] = STATE(4080),
    [sym_lexical_declaration] = STATE(4080),
    [sym_statement_block] = STATE(4143),
    [sym_if_statement] = STATE(4143),
    [sym_switch_statement] = STATE(4143),
    [sym_for_statement] = STATE(4143),
    [sym_for_in_statement] = STATE(4143),
    [sym_while_statement] = STATE(4143),
    [sym_do_statement] = STATE(4143),
    [sym_try_statement] = STATE(4143),
    [sym_with_statement] = STATE(4143),
    [sym_break_statement] = STATE(4143),
    [sym_continue_statement] = STATE(4143),
    [sym_debugger_statement] = STATE(4143),
    [sym_return_statement] = STATE(4143),
    [sym_throw_statement] = STATE(4143),
    [sym_empty_statement] = STATE(4143),
    [sym_labeled_statement] = STATE(4143),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3116),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4080),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4080),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4080),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7500),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(146),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(4080),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4080),
    [sym_abstract_class_declaration] = STATE(4080),
    [sym_module] = STATE(4080),
    [sym_internal_module] = STATE(1853),
    [sym_import_alias] = STATE(4080),
    [sym_interface_declaration] = STATE(4080),
    [sym_enum_declaration] = STATE(4080),
    [sym_type_alias_declaration] = STATE(4080),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5737),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(968),
    [anon_sym_type] = ACTIONS(970),
    [anon_sym_namespace] = ACTIONS(972),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(976),
    [anon_sym_from] = ACTIONS(978),
    [anon_sym_with] = ACTIONS(980),
    [anon_sym_var] = ACTIONS(982),
    [anon_sym_let] = ACTIONS(984),
    [anon_sym_const] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(988),
    [anon_sym_switch] = ACTIONS(990),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(978),
    [anon_sym_while] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_try] = ACTIONS(998),
    [anon_sym_break] = ACTIONS(1000),
    [anon_sym_continue] = ACTIONS(1002),
    [anon_sym_debugger] = ACTIONS(1004),
    [anon_sym_return] = ACTIONS(1006),
    [anon_sym_throw] = ACTIONS(1008),
    [anon_sym_SEMI] = ACTIONS(1010),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(1014),
    [anon_sym_function] = ACTIONS(1016),
    [anon_sym_new] = ACTIONS(1018),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(978),
    [anon_sym_readonly] = ACTIONS(978),
    [anon_sym_get] = ACTIONS(978),
    [anon_sym_set] = ACTIONS(978),
    [anon_sym_declare] = ACTIONS(1020),
    [anon_sym_public] = ACTIONS(978),
    [anon_sym_private] = ACTIONS(978),
    [anon_sym_protected] = ACTIONS(978),
    [anon_sym_override] = ACTIONS(978),
    [anon_sym_module] = ACTIONS(1022),
    [anon_sym_any] = ACTIONS(978),
    [anon_sym_number] = ACTIONS(978),
    [anon_sym_boolean] = ACTIONS(978),
    [anon_sym_string] = ACTIONS(978),
    [anon_sym_symbol] = ACTIONS(978),
    [anon_sym_object] = ACTIONS(978),
    [anon_sym_property] = ACTIONS(978),
    [anon_sym_signal] = ACTIONS(978),
    [anon_sym_on] = ACTIONS(978),
    [anon_sym_required] = ACTIONS(978),
    [anon_sym_component] = ACTIONS(978),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_interface] = ACTIONS(1026),
    [anon_sym_enum] = ACTIONS(1028),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_export_statement] = STATE(7475),
    [sym_declaration] = STATE(7475),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(7475),
    [sym_expression_statement] = STATE(7475),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_statement_block] = STATE(7475),
    [sym_if_statement] = STATE(7475),
    [sym_switch_statement] = STATE(7475),
    [sym_for_statement] = STATE(7475),
    [sym_for_in_statement] = STATE(7475),
    [sym_while_statement] = STATE(7475),
    [sym_do_statement] = STATE(7475),
    [sym_try_statement] = STATE(7475),
    [sym_with_statement] = STATE(7475),
    [sym_break_statement] = STATE(7475),
    [sym_continue_statement] = STATE(7475),
    [sym_debugger_statement] = STATE(7475),
    [sym_return_statement] = STATE(7475),
    [sym_throw_statement] = STATE(7475),
    [sym_empty_statement] = STATE(7475),
    [sym_labeled_statement] = STATE(7475),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3097),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(8195),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7673),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(147),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(8195),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(3628),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5697),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_from] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(916),
    [anon_sym_var] = ACTIONS(918),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(926),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(934),
    [anon_sym_break] = ACTIONS(936),
    [anon_sym_continue] = ACTIONS(938),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_readonly] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_override] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(914),
    [anon_sym_number] = ACTIONS(914),
    [anon_sym_boolean] = ACTIONS(914),
    [anon_sym_string] = ACTIONS(914),
    [anon_sym_symbol] = ACTIONS(914),
    [anon_sym_object] = ACTIONS(914),
    [anon_sym_property] = ACTIONS(914),
    [anon_sym_signal] = ACTIONS(914),
    [anon_sym_on] = ACTIONS(914),
    [anon_sym_required] = ACTIONS(914),
    [anon_sym_component] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_export_statement] = STATE(7900),
    [sym_declaration] = STATE(7900),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(7900),
    [sym_expression_statement] = STATE(7900),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_statement_block] = STATE(7900),
    [sym_if_statement] = STATE(7900),
    [sym_switch_statement] = STATE(7900),
    [sym_for_statement] = STATE(7900),
    [sym_for_in_statement] = STATE(7900),
    [sym_while_statement] = STATE(7900),
    [sym_do_statement] = STATE(7900),
    [sym_try_statement] = STATE(7900),
    [sym_with_statement] = STATE(7900),
    [sym_break_statement] = STATE(7900),
    [sym_continue_statement] = STATE(7900),
    [sym_debugger_statement] = STATE(7900),
    [sym_return_statement] = STATE(7900),
    [sym_throw_statement] = STATE(7900),
    [sym_empty_statement] = STATE(7900),
    [sym_labeled_statement] = STATE(7900),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3097),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(8195),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7673),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(148),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(8195),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(3628),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5697),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_from] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(916),
    [anon_sym_var] = ACTIONS(918),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(926),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(934),
    [anon_sym_break] = ACTIONS(936),
    [anon_sym_continue] = ACTIONS(938),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_readonly] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_override] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(914),
    [anon_sym_number] = ACTIONS(914),
    [anon_sym_boolean] = ACTIONS(914),
    [anon_sym_string] = ACTIONS(914),
    [anon_sym_symbol] = ACTIONS(914),
    [anon_sym_object] = ACTIONS(914),
    [anon_sym_property] = ACTIONS(914),
    [anon_sym_signal] = ACTIONS(914),
    [anon_sym_on] = ACTIONS(914),
    [anon_sym_required] = ACTIONS(914),
    [anon_sym_component] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_export_statement] = STATE(1682),
    [sym_declaration] = STATE(1682),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1682),
    [sym_expression_statement] = STATE(1682),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1682),
    [sym_if_statement] = STATE(1682),
    [sym_switch_statement] = STATE(1682),
    [sym_for_statement] = STATE(1682),
    [sym_for_in_statement] = STATE(1682),
    [sym_while_statement] = STATE(1682),
    [sym_do_statement] = STATE(1682),
    [sym_try_statement] = STATE(1682),
    [sym_with_statement] = STATE(1682),
    [sym_break_statement] = STATE(1682),
    [sym_continue_statement] = STATE(1682),
    [sym_debugger_statement] = STATE(1682),
    [sym_return_statement] = STATE(1682),
    [sym_throw_statement] = STATE(1682),
    [sym_empty_statement] = STATE(1682),
    [sym_labeled_statement] = STATE(1682),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(149),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_export_statement] = STATE(4455),
    [sym_declaration] = STATE(4455),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(4455),
    [sym_expression_statement] = STATE(4455),
    [sym_variable_declaration] = STATE(4255),
    [sym_lexical_declaration] = STATE(4255),
    [sym_statement_block] = STATE(4455),
    [sym_if_statement] = STATE(4455),
    [sym_switch_statement] = STATE(4455),
    [sym_for_statement] = STATE(4455),
    [sym_for_in_statement] = STATE(4455),
    [sym_while_statement] = STATE(4455),
    [sym_do_statement] = STATE(4455),
    [sym_try_statement] = STATE(4455),
    [sym_with_statement] = STATE(4455),
    [sym_break_statement] = STATE(4455),
    [sym_continue_statement] = STATE(4455),
    [sym_debugger_statement] = STATE(4455),
    [sym_return_statement] = STATE(4455),
    [sym_throw_statement] = STATE(4455),
    [sym_empty_statement] = STATE(4455),
    [sym_labeled_statement] = STATE(4455),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4255),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4255),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4255),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8186),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(150),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(4255),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4255),
    [sym_abstract_class_declaration] = STATE(4255),
    [sym_module] = STATE(4255),
    [sym_internal_module] = STATE(1909),
    [sym_import_alias] = STATE(4255),
    [sym_interface_declaration] = STATE(4255),
    [sym_enum_declaration] = STATE(4255),
    [sym_type_alias_declaration] = STATE(4255),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5725),
    [sym_identifier] = ACTIONS(1030),
    [anon_sym_export] = ACTIONS(1032),
    [anon_sym_type] = ACTIONS(1034),
    [anon_sym_namespace] = ACTIONS(1036),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(1040),
    [anon_sym_from] = ACTIONS(1042),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_var] = ACTIONS(1046),
    [anon_sym_let] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_for] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1042),
    [anon_sym_while] = ACTIONS(1058),
    [anon_sym_do] = ACTIONS(1060),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_continue] = ACTIONS(1066),
    [anon_sym_debugger] = ACTIONS(1068),
    [anon_sym_return] = ACTIONS(1070),
    [anon_sym_throw] = ACTIONS(1072),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1076),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(1080),
    [anon_sym_new] = ACTIONS(1082),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1042),
    [anon_sym_readonly] = ACTIONS(1042),
    [anon_sym_get] = ACTIONS(1042),
    [anon_sym_set] = ACTIONS(1042),
    [anon_sym_declare] = ACTIONS(1084),
    [anon_sym_public] = ACTIONS(1042),
    [anon_sym_private] = ACTIONS(1042),
    [anon_sym_protected] = ACTIONS(1042),
    [anon_sym_override] = ACTIONS(1042),
    [anon_sym_module] = ACTIONS(1086),
    [anon_sym_any] = ACTIONS(1042),
    [anon_sym_number] = ACTIONS(1042),
    [anon_sym_boolean] = ACTIONS(1042),
    [anon_sym_string] = ACTIONS(1042),
    [anon_sym_symbol] = ACTIONS(1042),
    [anon_sym_object] = ACTIONS(1042),
    [anon_sym_property] = ACTIONS(1042),
    [anon_sym_signal] = ACTIONS(1042),
    [anon_sym_on] = ACTIONS(1042),
    [anon_sym_required] = ACTIONS(1042),
    [anon_sym_component] = ACTIONS(1042),
    [anon_sym_abstract] = ACTIONS(1088),
    [anon_sym_interface] = ACTIONS(1090),
    [anon_sym_enum] = ACTIONS(1092),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_export_statement] = STATE(4391),
    [sym_declaration] = STATE(4391),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(4391),
    [sym_expression_statement] = STATE(4391),
    [sym_variable_declaration] = STATE(4255),
    [sym_lexical_declaration] = STATE(4255),
    [sym_statement_block] = STATE(4391),
    [sym_if_statement] = STATE(4391),
    [sym_switch_statement] = STATE(4391),
    [sym_for_statement] = STATE(4391),
    [sym_for_in_statement] = STATE(4391),
    [sym_while_statement] = STATE(4391),
    [sym_do_statement] = STATE(4391),
    [sym_try_statement] = STATE(4391),
    [sym_with_statement] = STATE(4391),
    [sym_break_statement] = STATE(4391),
    [sym_continue_statement] = STATE(4391),
    [sym_debugger_statement] = STATE(4391),
    [sym_return_statement] = STATE(4391),
    [sym_throw_statement] = STATE(4391),
    [sym_empty_statement] = STATE(4391),
    [sym_labeled_statement] = STATE(4391),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4255),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4255),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4255),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8186),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(151),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(4255),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4255),
    [sym_abstract_class_declaration] = STATE(4255),
    [sym_module] = STATE(4255),
    [sym_internal_module] = STATE(1909),
    [sym_import_alias] = STATE(4255),
    [sym_interface_declaration] = STATE(4255),
    [sym_enum_declaration] = STATE(4255),
    [sym_type_alias_declaration] = STATE(4255),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5725),
    [sym_identifier] = ACTIONS(1030),
    [anon_sym_export] = ACTIONS(1032),
    [anon_sym_type] = ACTIONS(1034),
    [anon_sym_namespace] = ACTIONS(1036),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(1040),
    [anon_sym_from] = ACTIONS(1042),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_var] = ACTIONS(1046),
    [anon_sym_let] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_for] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1042),
    [anon_sym_while] = ACTIONS(1058),
    [anon_sym_do] = ACTIONS(1060),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_continue] = ACTIONS(1066),
    [anon_sym_debugger] = ACTIONS(1068),
    [anon_sym_return] = ACTIONS(1070),
    [anon_sym_throw] = ACTIONS(1072),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1076),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(1080),
    [anon_sym_new] = ACTIONS(1082),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1042),
    [anon_sym_readonly] = ACTIONS(1042),
    [anon_sym_get] = ACTIONS(1042),
    [anon_sym_set] = ACTIONS(1042),
    [anon_sym_declare] = ACTIONS(1084),
    [anon_sym_public] = ACTIONS(1042),
    [anon_sym_private] = ACTIONS(1042),
    [anon_sym_protected] = ACTIONS(1042),
    [anon_sym_override] = ACTIONS(1042),
    [anon_sym_module] = ACTIONS(1086),
    [anon_sym_any] = ACTIONS(1042),
    [anon_sym_number] = ACTIONS(1042),
    [anon_sym_boolean] = ACTIONS(1042),
    [anon_sym_string] = ACTIONS(1042),
    [anon_sym_symbol] = ACTIONS(1042),
    [anon_sym_object] = ACTIONS(1042),
    [anon_sym_property] = ACTIONS(1042),
    [anon_sym_signal] = ACTIONS(1042),
    [anon_sym_on] = ACTIONS(1042),
    [anon_sym_required] = ACTIONS(1042),
    [anon_sym_component] = ACTIONS(1042),
    [anon_sym_abstract] = ACTIONS(1088),
    [anon_sym_interface] = ACTIONS(1090),
    [anon_sym_enum] = ACTIONS(1092),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_export_statement] = STATE(1284),
    [sym_declaration] = STATE(1284),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1284),
    [sym_expression_statement] = STATE(1284),
    [sym_variable_declaration] = STATE(1302),
    [sym_lexical_declaration] = STATE(1302),
    [sym_statement_block] = STATE(1284),
    [sym_if_statement] = STATE(1284),
    [sym_switch_statement] = STATE(1284),
    [sym_for_statement] = STATE(1284),
    [sym_for_in_statement] = STATE(1284),
    [sym_while_statement] = STATE(1284),
    [sym_do_statement] = STATE(1284),
    [sym_try_statement] = STATE(1284),
    [sym_with_statement] = STATE(1284),
    [sym_break_statement] = STATE(1284),
    [sym_continue_statement] = STATE(1284),
    [sym_debugger_statement] = STATE(1284),
    [sym_return_statement] = STATE(1284),
    [sym_throw_statement] = STATE(1284),
    [sym_empty_statement] = STATE(1284),
    [sym_labeled_statement] = STATE(1284),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2999),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1302),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1302),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1302),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7399),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(152),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1302),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1302),
    [sym_abstract_class_declaration] = STATE(1302),
    [sym_module] = STATE(1302),
    [sym_internal_module] = STATE(398),
    [sym_import_alias] = STATE(1302),
    [sym_interface_declaration] = STATE(1302),
    [sym_enum_declaration] = STATE(1302),
    [sym_type_alias_declaration] = STATE(1302),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5682),
    [sym_identifier] = ACTIONS(353),
    [anon_sym_export] = ACTIONS(355),
    [anon_sym_type] = ACTIONS(359),
    [anon_sym_namespace] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(365),
    [anon_sym_from] = ACTIONS(367),
    [anon_sym_with] = ACTIONS(369),
    [anon_sym_var] = ACTIONS(371),
    [anon_sym_let] = ACTIONS(373),
    [anon_sym_const] = ACTIONS(375),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(377),
    [anon_sym_switch] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(367),
    [anon_sym_while] = ACTIONS(383),
    [anon_sym_do] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_break] = ACTIONS(389),
    [anon_sym_continue] = ACTIONS(391),
    [anon_sym_debugger] = ACTIONS(393),
    [anon_sym_return] = ACTIONS(395),
    [anon_sym_throw] = ACTIONS(397),
    [anon_sym_SEMI] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(407),
    [anon_sym_new] = ACTIONS(409),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(367),
    [anon_sym_readonly] = ACTIONS(367),
    [anon_sym_get] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(367),
    [anon_sym_declare] = ACTIONS(413),
    [anon_sym_public] = ACTIONS(367),
    [anon_sym_private] = ACTIONS(367),
    [anon_sym_protected] = ACTIONS(367),
    [anon_sym_override] = ACTIONS(367),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_any] = ACTIONS(367),
    [anon_sym_number] = ACTIONS(367),
    [anon_sym_boolean] = ACTIONS(367),
    [anon_sym_string] = ACTIONS(367),
    [anon_sym_symbol] = ACTIONS(367),
    [anon_sym_object] = ACTIONS(367),
    [anon_sym_property] = ACTIONS(367),
    [anon_sym_signal] = ACTIONS(367),
    [anon_sym_on] = ACTIONS(367),
    [anon_sym_required] = ACTIONS(367),
    [anon_sym_component] = ACTIONS(367),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_interface] = ACTIONS(419),
    [anon_sym_enum] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_export_statement] = STATE(8142),
    [sym_declaration] = STATE(8142),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(8142),
    [sym_expression_statement] = STATE(8142),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_statement_block] = STATE(8142),
    [sym_if_statement] = STATE(8142),
    [sym_switch_statement] = STATE(8142),
    [sym_for_statement] = STATE(8142),
    [sym_for_in_statement] = STATE(8142),
    [sym_while_statement] = STATE(8142),
    [sym_do_statement] = STATE(8142),
    [sym_try_statement] = STATE(8142),
    [sym_with_statement] = STATE(8142),
    [sym_break_statement] = STATE(8142),
    [sym_continue_statement] = STATE(8142),
    [sym_debugger_statement] = STATE(8142),
    [sym_return_statement] = STATE(8142),
    [sym_throw_statement] = STATE(8142),
    [sym_empty_statement] = STATE(8142),
    [sym_labeled_statement] = STATE(8142),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3097),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(8195),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7673),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(153),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(8195),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(3628),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5697),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_from] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(916),
    [anon_sym_var] = ACTIONS(918),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(926),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(934),
    [anon_sym_break] = ACTIONS(936),
    [anon_sym_continue] = ACTIONS(938),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_readonly] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_override] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(914),
    [anon_sym_number] = ACTIONS(914),
    [anon_sym_boolean] = ACTIONS(914),
    [anon_sym_string] = ACTIONS(914),
    [anon_sym_symbol] = ACTIONS(914),
    [anon_sym_object] = ACTIONS(914),
    [anon_sym_property] = ACTIONS(914),
    [anon_sym_signal] = ACTIONS(914),
    [anon_sym_on] = ACTIONS(914),
    [anon_sym_required] = ACTIONS(914),
    [anon_sym_component] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_export_statement] = STATE(8582),
    [sym_declaration] = STATE(8582),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(8582),
    [sym_expression_statement] = STATE(8582),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_statement_block] = STATE(8582),
    [sym_if_statement] = STATE(8582),
    [sym_switch_statement] = STATE(8582),
    [sym_for_statement] = STATE(8582),
    [sym_for_in_statement] = STATE(8582),
    [sym_while_statement] = STATE(8582),
    [sym_do_statement] = STATE(8582),
    [sym_try_statement] = STATE(8582),
    [sym_with_statement] = STATE(8582),
    [sym_break_statement] = STATE(8582),
    [sym_continue_statement] = STATE(8582),
    [sym_debugger_statement] = STATE(8582),
    [sym_return_statement] = STATE(8582),
    [sym_throw_statement] = STATE(8582),
    [sym_empty_statement] = STATE(8582),
    [sym_labeled_statement] = STATE(8582),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3097),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(8195),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7673),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(154),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(8195),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(3628),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5697),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_from] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(916),
    [anon_sym_var] = ACTIONS(918),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(926),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(934),
    [anon_sym_break] = ACTIONS(936),
    [anon_sym_continue] = ACTIONS(938),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_readonly] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_override] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(914),
    [anon_sym_number] = ACTIONS(914),
    [anon_sym_boolean] = ACTIONS(914),
    [anon_sym_string] = ACTIONS(914),
    [anon_sym_symbol] = ACTIONS(914),
    [anon_sym_object] = ACTIONS(914),
    [anon_sym_property] = ACTIONS(914),
    [anon_sym_signal] = ACTIONS(914),
    [anon_sym_on] = ACTIONS(914),
    [anon_sym_required] = ACTIONS(914),
    [anon_sym_component] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_export_statement] = STATE(1804),
    [sym_declaration] = STATE(1803),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1802),
    [sym_expression_statement] = STATE(1801),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1659),
    [sym_if_statement] = STATE(1798),
    [sym_switch_statement] = STATE(1797),
    [sym_for_statement] = STATE(1796),
    [sym_for_in_statement] = STATE(1794),
    [sym_while_statement] = STATE(1791),
    [sym_do_statement] = STATE(1790),
    [sym_try_statement] = STATE(1788),
    [sym_with_statement] = STATE(1786),
    [sym_break_statement] = STATE(1784),
    [sym_continue_statement] = STATE(1782),
    [sym_debugger_statement] = STATE(1781),
    [sym_return_statement] = STATE(1780),
    [sym_throw_statement] = STATE(1777),
    [sym_empty_statement] = STATE(1775),
    [sym_labeled_statement] = STATE(1774),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(155),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_export_statement] = STATE(4387),
    [sym_declaration] = STATE(4388),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(4393),
    [sym_expression_statement] = STATE(4394),
    [sym_variable_declaration] = STATE(4255),
    [sym_lexical_declaration] = STATE(4255),
    [sym_statement_block] = STATE(4318),
    [sym_if_statement] = STATE(4385),
    [sym_switch_statement] = STATE(4241),
    [sym_for_statement] = STATE(4244),
    [sym_for_in_statement] = STATE(4301),
    [sym_while_statement] = STATE(4308),
    [sym_do_statement] = STATE(4330),
    [sym_try_statement] = STATE(4333),
    [sym_with_statement] = STATE(4358),
    [sym_break_statement] = STATE(4359),
    [sym_continue_statement] = STATE(4392),
    [sym_debugger_statement] = STATE(4396),
    [sym_return_statement] = STATE(4399),
    [sym_throw_statement] = STATE(4454),
    [sym_empty_statement] = STATE(4441),
    [sym_labeled_statement] = STATE(4440),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4255),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4255),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4255),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8186),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(156),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(4255),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4255),
    [sym_abstract_class_declaration] = STATE(4255),
    [sym_module] = STATE(4255),
    [sym_internal_module] = STATE(1909),
    [sym_import_alias] = STATE(4255),
    [sym_interface_declaration] = STATE(4255),
    [sym_enum_declaration] = STATE(4255),
    [sym_type_alias_declaration] = STATE(4255),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5725),
    [sym_identifier] = ACTIONS(1030),
    [anon_sym_export] = ACTIONS(1032),
    [anon_sym_type] = ACTIONS(1034),
    [anon_sym_namespace] = ACTIONS(1036),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(1040),
    [anon_sym_from] = ACTIONS(1042),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_var] = ACTIONS(1046),
    [anon_sym_let] = ACTIONS(1048),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_for] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1042),
    [anon_sym_while] = ACTIONS(1058),
    [anon_sym_do] = ACTIONS(1060),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_continue] = ACTIONS(1066),
    [anon_sym_debugger] = ACTIONS(1068),
    [anon_sym_return] = ACTIONS(1070),
    [anon_sym_throw] = ACTIONS(1072),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1076),
    [anon_sym_async] = ACTIONS(1078),
    [anon_sym_function] = ACTIONS(1080),
    [anon_sym_new] = ACTIONS(1082),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1042),
    [anon_sym_readonly] = ACTIONS(1042),
    [anon_sym_get] = ACTIONS(1042),
    [anon_sym_set] = ACTIONS(1042),
    [anon_sym_declare] = ACTIONS(1084),
    [anon_sym_public] = ACTIONS(1042),
    [anon_sym_private] = ACTIONS(1042),
    [anon_sym_protected] = ACTIONS(1042),
    [anon_sym_override] = ACTIONS(1042),
    [anon_sym_module] = ACTIONS(1086),
    [anon_sym_any] = ACTIONS(1042),
    [anon_sym_number] = ACTIONS(1042),
    [anon_sym_boolean] = ACTIONS(1042),
    [anon_sym_string] = ACTIONS(1042),
    [anon_sym_symbol] = ACTIONS(1042),
    [anon_sym_object] = ACTIONS(1042),
    [anon_sym_property] = ACTIONS(1042),
    [anon_sym_signal] = ACTIONS(1042),
    [anon_sym_on] = ACTIONS(1042),
    [anon_sym_required] = ACTIONS(1042),
    [anon_sym_component] = ACTIONS(1042),
    [anon_sym_abstract] = ACTIONS(1088),
    [anon_sym_interface] = ACTIONS(1090),
    [anon_sym_enum] = ACTIONS(1092),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_export_statement] = STATE(1741),
    [sym_declaration] = STATE(1741),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1741),
    [sym_expression_statement] = STATE(1741),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1741),
    [sym_if_statement] = STATE(1741),
    [sym_switch_statement] = STATE(1741),
    [sym_for_statement] = STATE(1741),
    [sym_for_in_statement] = STATE(1741),
    [sym_while_statement] = STATE(1741),
    [sym_do_statement] = STATE(1741),
    [sym_try_statement] = STATE(1741),
    [sym_with_statement] = STATE(1741),
    [sym_break_statement] = STATE(1741),
    [sym_continue_statement] = STATE(1741),
    [sym_debugger_statement] = STATE(1741),
    [sym_return_statement] = STATE(1741),
    [sym_throw_statement] = STATE(1741),
    [sym_empty_statement] = STATE(1741),
    [sym_labeled_statement] = STATE(1741),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(157),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_export_statement] = STATE(8270),
    [sym_declaration] = STATE(8270),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(8270),
    [sym_expression_statement] = STATE(8270),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_statement_block] = STATE(8270),
    [sym_if_statement] = STATE(8270),
    [sym_switch_statement] = STATE(8270),
    [sym_for_statement] = STATE(8270),
    [sym_for_in_statement] = STATE(8270),
    [sym_while_statement] = STATE(8270),
    [sym_do_statement] = STATE(8270),
    [sym_try_statement] = STATE(8270),
    [sym_with_statement] = STATE(8270),
    [sym_break_statement] = STATE(8270),
    [sym_continue_statement] = STATE(8270),
    [sym_debugger_statement] = STATE(8270),
    [sym_return_statement] = STATE(8270),
    [sym_throw_statement] = STATE(8270),
    [sym_empty_statement] = STATE(8270),
    [sym_labeled_statement] = STATE(8270),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3097),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(8195),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7673),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(158),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(8195),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(3628),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5697),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_from] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(916),
    [anon_sym_var] = ACTIONS(918),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(926),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(934),
    [anon_sym_break] = ACTIONS(936),
    [anon_sym_continue] = ACTIONS(938),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_readonly] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_override] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(914),
    [anon_sym_number] = ACTIONS(914),
    [anon_sym_boolean] = ACTIONS(914),
    [anon_sym_string] = ACTIONS(914),
    [anon_sym_symbol] = ACTIONS(914),
    [anon_sym_object] = ACTIONS(914),
    [anon_sym_property] = ACTIONS(914),
    [anon_sym_signal] = ACTIONS(914),
    [anon_sym_on] = ACTIONS(914),
    [anon_sym_required] = ACTIONS(914),
    [anon_sym_component] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_export_statement] = STATE(1675),
    [sym_declaration] = STATE(1675),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1675),
    [sym_expression_statement] = STATE(1675),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1675),
    [sym_if_statement] = STATE(1675),
    [sym_switch_statement] = STATE(1675),
    [sym_for_statement] = STATE(1675),
    [sym_for_in_statement] = STATE(1675),
    [sym_while_statement] = STATE(1675),
    [sym_do_statement] = STATE(1675),
    [sym_try_statement] = STATE(1675),
    [sym_with_statement] = STATE(1675),
    [sym_break_statement] = STATE(1675),
    [sym_continue_statement] = STATE(1675),
    [sym_debugger_statement] = STATE(1675),
    [sym_return_statement] = STATE(1675),
    [sym_throw_statement] = STATE(1675),
    [sym_empty_statement] = STATE(1675),
    [sym_labeled_statement] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(159),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_export_statement] = STATE(1691),
    [sym_declaration] = STATE(1691),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(1691),
    [sym_expression_statement] = STATE(1691),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_statement_block] = STATE(1691),
    [sym_if_statement] = STATE(1691),
    [sym_switch_statement] = STATE(1691),
    [sym_for_statement] = STATE(1691),
    [sym_for_in_statement] = STATE(1691),
    [sym_while_statement] = STATE(1691),
    [sym_do_statement] = STATE(1691),
    [sym_try_statement] = STATE(1691),
    [sym_with_statement] = STATE(1691),
    [sym_break_statement] = STATE(1691),
    [sym_continue_statement] = STATE(1691),
    [sym_debugger_statement] = STATE(1691),
    [sym_return_statement] = STATE(1691),
    [sym_throw_statement] = STATE(1691),
    [sym_empty_statement] = STATE(1691),
    [sym_labeled_statement] = STATE(1691),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3029),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8004),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(160),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5724),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_type] = ACTIONS(582),
    [anon_sym_namespace] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_from] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(157),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(165),
    [anon_sym_switch] = ACTIONS(167),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(179),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_continue] = ACTIONS(183),
    [anon_sym_debugger] = ACTIONS(185),
    [anon_sym_return] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(191),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(594),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [anon_sym_declare] = ACTIONS(596),
    [anon_sym_public] = ACTIONS(588),
    [anon_sym_private] = ACTIONS(588),
    [anon_sym_protected] = ACTIONS(588),
    [anon_sym_override] = ACTIONS(588),
    [anon_sym_module] = ACTIONS(598),
    [anon_sym_any] = ACTIONS(588),
    [anon_sym_number] = ACTIONS(588),
    [anon_sym_boolean] = ACTIONS(588),
    [anon_sym_string] = ACTIONS(588),
    [anon_sym_symbol] = ACTIONS(588),
    [anon_sym_object] = ACTIONS(588),
    [anon_sym_property] = ACTIONS(588),
    [anon_sym_signal] = ACTIONS(588),
    [anon_sym_on] = ACTIONS(588),
    [anon_sym_required] = ACTIONS(588),
    [anon_sym_component] = ACTIONS(588),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_export_statement] = STATE(4002),
    [sym_declaration] = STATE(4002),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(4002),
    [sym_expression_statement] = STATE(4002),
    [sym_variable_declaration] = STATE(4080),
    [sym_lexical_declaration] = STATE(4080),
    [sym_statement_block] = STATE(4002),
    [sym_if_statement] = STATE(4002),
    [sym_switch_statement] = STATE(4002),
    [sym_for_statement] = STATE(4002),
    [sym_for_in_statement] = STATE(4002),
    [sym_while_statement] = STATE(4002),
    [sym_do_statement] = STATE(4002),
    [sym_try_statement] = STATE(4002),
    [sym_with_statement] = STATE(4002),
    [sym_break_statement] = STATE(4002),
    [sym_continue_statement] = STATE(4002),
    [sym_debugger_statement] = STATE(4002),
    [sym_return_statement] = STATE(4002),
    [sym_throw_statement] = STATE(4002),
    [sym_empty_statement] = STATE(4002),
    [sym_labeled_statement] = STATE(4002),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3116),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4080),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4080),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4080),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7500),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(161),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(4080),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4080),
    [sym_abstract_class_declaration] = STATE(4080),
    [sym_module] = STATE(4080),
    [sym_internal_module] = STATE(1853),
    [sym_import_alias] = STATE(4080),
    [sym_interface_declaration] = STATE(4080),
    [sym_enum_declaration] = STATE(4080),
    [sym_type_alias_declaration] = STATE(4080),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5737),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_export] = ACTIONS(968),
    [anon_sym_type] = ACTIONS(970),
    [anon_sym_namespace] = ACTIONS(972),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(976),
    [anon_sym_from] = ACTIONS(978),
    [anon_sym_with] = ACTIONS(980),
    [anon_sym_var] = ACTIONS(982),
    [anon_sym_let] = ACTIONS(984),
    [anon_sym_const] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(988),
    [anon_sym_switch] = ACTIONS(990),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(978),
    [anon_sym_while] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_try] = ACTIONS(998),
    [anon_sym_break] = ACTIONS(1000),
    [anon_sym_continue] = ACTIONS(1002),
    [anon_sym_debugger] = ACTIONS(1004),
    [anon_sym_return] = ACTIONS(1006),
    [anon_sym_throw] = ACTIONS(1008),
    [anon_sym_SEMI] = ACTIONS(1010),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(1014),
    [anon_sym_function] = ACTIONS(1016),
    [anon_sym_new] = ACTIONS(1018),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(978),
    [anon_sym_readonly] = ACTIONS(978),
    [anon_sym_get] = ACTIONS(978),
    [anon_sym_set] = ACTIONS(978),
    [anon_sym_declare] = ACTIONS(1020),
    [anon_sym_public] = ACTIONS(978),
    [anon_sym_private] = ACTIONS(978),
    [anon_sym_protected] = ACTIONS(978),
    [anon_sym_override] = ACTIONS(978),
    [anon_sym_module] = ACTIONS(1022),
    [anon_sym_any] = ACTIONS(978),
    [anon_sym_number] = ACTIONS(978),
    [anon_sym_boolean] = ACTIONS(978),
    [anon_sym_string] = ACTIONS(978),
    [anon_sym_symbol] = ACTIONS(978),
    [anon_sym_object] = ACTIONS(978),
    [anon_sym_property] = ACTIONS(978),
    [anon_sym_signal] = ACTIONS(978),
    [anon_sym_on] = ACTIONS(978),
    [anon_sym_required] = ACTIONS(978),
    [anon_sym_component] = ACTIONS(978),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_interface] = ACTIONS(1026),
    [anon_sym_enum] = ACTIONS(1028),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_export_statement] = STATE(7879),
    [sym_declaration] = STATE(7876),
    [sym_import] = STATE(5160),
    [sym_import_statement] = STATE(7875),
    [sym_expression_statement] = STATE(7874),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_statement_block] = STATE(7873),
    [sym_if_statement] = STATE(7872),
    [sym_switch_statement] = STATE(7871),
    [sym_for_statement] = STATE(7870),
    [sym_for_in_statement] = STATE(7867),
    [sym_while_statement] = STATE(7866),
    [sym_do_statement] = STATE(7862),
    [sym_try_statement] = STATE(7861),
    [sym_with_statement] = STATE(7858),
    [sym_break_statement] = STATE(7857),
    [sym_continue_statement] = STATE(7856),
    [sym_debugger_statement] = STATE(7855),
    [sym_return_statement] = STATE(7793),
    [sym_throw_statement] = STATE(7848),
    [sym_empty_statement] = STATE(7847),
    [sym_labeled_statement] = STATE(7841),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3097),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(8195),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7673),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(162),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_function_signature] = STATE(8195),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(3628),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5697),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(906),
    [anon_sym_namespace] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_from] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(916),
    [anon_sym_var] = ACTIONS(918),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(926),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(930),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(934),
    [anon_sym_break] = ACTIONS(936),
    [anon_sym_continue] = ACTIONS(938),
    [anon_sym_debugger] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(942),
    [anon_sym_throw] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(950),
    [anon_sym_function] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_readonly] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [anon_sym_declare] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_override] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(958),
    [anon_sym_any] = ACTIONS(914),
    [anon_sym_number] = ACTIONS(914),
    [anon_sym_boolean] = ACTIONS(914),
    [anon_sym_string] = ACTIONS(914),
    [anon_sym_symbol] = ACTIONS(914),
    [anon_sym_object] = ACTIONS(914),
    [anon_sym_property] = ACTIONS(914),
    [anon_sym_signal] = ACTIONS(914),
    [anon_sym_on] = ACTIONS(914),
    [anon_sym_required] = ACTIONS(914),
    [anon_sym_component] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3209),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(6943),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3713),
    [sym_comment] = STATE(163),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5981),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7058),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(663),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(6951),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(1158),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1168),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_RBRACK] = ACTIONS(1178),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1182),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1192),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(94),
    [sym_number] = ACTIONS(96),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(1198),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(96),
    [sym_false] = ACTIONS(96),
    [sym_null] = ACTIONS(96),
    [sym_undefined] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1202),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1204),
    [anon_sym_number] = ACTIONS(1204),
    [anon_sym_boolean] = ACTIONS(1204),
    [anon_sym_string] = ACTIONS(1204),
    [anon_sym_symbol] = ACTIONS(1204),
    [anon_sym_object] = ACTIONS(1204),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3209),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(6943),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3713),
    [sym_comment] = STATE(164),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5981),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7121),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(663),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(6951),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(1158),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_typeof] = ACTIONS(1168),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_RBRACK] = ACTIONS(1208),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1182),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1192),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(94),
    [sym_number] = ACTIONS(96),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(1198),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(96),
    [sym_false] = ACTIONS(96),
    [sym_null] = ACTIONS(96),
    [sym_undefined] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1202),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1204),
    [anon_sym_number] = ACTIONS(1204),
    [anon_sym_boolean] = ACTIONS(1204),
    [anon_sym_string] = ACTIONS(1204),
    [anon_sym_symbol] = ACTIONS(1204),
    [anon_sym_object] = ACTIONS(1204),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3209),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(6943),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3713),
    [sym_comment] = STATE(165),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5981),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7058),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(663),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(6951),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(1158),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1168),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_RBRACK] = ACTIONS(1210),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1182),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1192),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(94),
    [sym_number] = ACTIONS(96),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(1198),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(96),
    [sym_false] = ACTIONS(96),
    [sym_null] = ACTIONS(96),
    [sym_undefined] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1202),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1204),
    [anon_sym_number] = ACTIONS(1204),
    [anon_sym_boolean] = ACTIONS(1204),
    [anon_sym_string] = ACTIONS(1204),
    [anon_sym_symbol] = ACTIONS(1204),
    [anon_sym_object] = ACTIONS(1204),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3209),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(6943),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3713),
    [sym_comment] = STATE(166),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5981),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7058),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(663),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(6951),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(1158),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1168),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_RBRACK] = ACTIONS(1212),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1182),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1192),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(94),
    [sym_number] = ACTIONS(96),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(1198),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(96),
    [sym_false] = ACTIONS(96),
    [sym_null] = ACTIONS(96),
    [sym_undefined] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1202),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1204),
    [anon_sym_number] = ACTIONS(1204),
    [anon_sym_boolean] = ACTIONS(1204),
    [anon_sym_string] = ACTIONS(1204),
    [anon_sym_symbol] = ACTIONS(1204),
    [anon_sym_object] = ACTIONS(1204),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3230),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(7051),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3713),
    [sym_comment] = STATE(167),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5981),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7058),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(663),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(7057),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(1158),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1168),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_RBRACK] = ACTIONS(1214),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1182),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1192),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(94),
    [sym_number] = ACTIONS(96),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(1198),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(96),
    [sym_false] = ACTIONS(96),
    [sym_null] = ACTIONS(96),
    [sym_undefined] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1202),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1204),
    [anon_sym_number] = ACTIONS(1204),
    [anon_sym_boolean] = ACTIONS(1204),
    [anon_sym_string] = ACTIONS(1204),
    [anon_sym_symbol] = ACTIONS(1204),
    [anon_sym_object] = ACTIONS(1204),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2396),
    [sym_expression] = STATE(3863),
    [sym_primary_expression] = STATE(3072),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2396),
    [sym_subscript_expression] = STATE(2396),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(168),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2396),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [aux_sym_object_repeat1] = STATE(7210),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(1216),
    [anon_sym_export] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1218),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1218),
    [anon_sym_let] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_readonly] = ACTIONS(1218),
    [anon_sym_get] = ACTIONS(1218),
    [anon_sym_set] = ACTIONS(1218),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(1218),
    [anon_sym_public] = ACTIONS(1218),
    [anon_sym_private] = ACTIONS(1218),
    [anon_sym_protected] = ACTIONS(1218),
    [anon_sym_override] = ACTIONS(1218),
    [anon_sym_module] = ACTIONS(1218),
    [anon_sym_any] = ACTIONS(1218),
    [anon_sym_number] = ACTIONS(1218),
    [anon_sym_boolean] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_symbol] = ACTIONS(1218),
    [anon_sym_object] = ACTIONS(1218),
    [anon_sym_property] = ACTIONS(1218),
    [anon_sym_signal] = ACTIONS(1218),
    [anon_sym_on] = ACTIONS(1218),
    [anon_sym_required] = ACTIONS(1218),
    [anon_sym_component] = ACTIONS(1218),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3230),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(7051),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3713),
    [sym_comment] = STATE(169),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5981),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7058),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(663),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(7057),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(1158),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1168),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_RBRACK] = ACTIONS(1249),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1182),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1192),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(94),
    [sym_number] = ACTIONS(96),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(1198),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(96),
    [sym_false] = ACTIONS(96),
    [sym_null] = ACTIONS(96),
    [sym_undefined] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1202),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1204),
    [anon_sym_number] = ACTIONS(1204),
    [anon_sym_boolean] = ACTIONS(1204),
    [anon_sym_string] = ACTIONS(1204),
    [anon_sym_symbol] = ACTIONS(1204),
    [anon_sym_object] = ACTIONS(1204),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3209),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(6943),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3713),
    [sym_comment] = STATE(170),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5981),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7058),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(663),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(6951),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(1158),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1168),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_RBRACK] = ACTIONS(1251),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1182),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1192),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(94),
    [sym_number] = ACTIONS(96),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(1198),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(96),
    [sym_false] = ACTIONS(96),
    [sym_null] = ACTIONS(96),
    [sym_undefined] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1202),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1204),
    [anon_sym_number] = ACTIONS(1204),
    [anon_sym_boolean] = ACTIONS(1204),
    [anon_sym_string] = ACTIONS(1204),
    [anon_sym_symbol] = ACTIONS(1204),
    [anon_sym_object] = ACTIONS(1204),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2396),
    [sym_expression] = STATE(3863),
    [sym_primary_expression] = STATE(3072),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2396),
    [sym_subscript_expression] = STATE(2396),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(171),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2396),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(1216),
    [anon_sym_export] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1218),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1218),
    [anon_sym_let] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_readonly] = ACTIONS(1218),
    [anon_sym_get] = ACTIONS(1218),
    [anon_sym_set] = ACTIONS(1218),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(1218),
    [anon_sym_public] = ACTIONS(1218),
    [anon_sym_private] = ACTIONS(1218),
    [anon_sym_protected] = ACTIONS(1218),
    [anon_sym_override] = ACTIONS(1218),
    [anon_sym_module] = ACTIONS(1218),
    [anon_sym_any] = ACTIONS(1218),
    [anon_sym_number] = ACTIONS(1218),
    [anon_sym_boolean] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_symbol] = ACTIONS(1218),
    [anon_sym_object] = ACTIONS(1218),
    [anon_sym_property] = ACTIONS(1218),
    [anon_sym_signal] = ACTIONS(1218),
    [anon_sym_on] = ACTIONS(1218),
    [anon_sym_required] = ACTIONS(1218),
    [anon_sym_component] = ACTIONS(1218),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2396),
    [sym_expression] = STATE(3863),
    [sym_primary_expression] = STATE(3072),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2396),
    [sym_subscript_expression] = STATE(2396),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(172),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2396),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(1216),
    [anon_sym_export] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1218),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1218),
    [anon_sym_let] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_readonly] = ACTIONS(1218),
    [anon_sym_get] = ACTIONS(1218),
    [anon_sym_set] = ACTIONS(1218),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(1218),
    [anon_sym_public] = ACTIONS(1218),
    [anon_sym_private] = ACTIONS(1218),
    [anon_sym_protected] = ACTIONS(1218),
    [anon_sym_override] = ACTIONS(1218),
    [anon_sym_module] = ACTIONS(1218),
    [anon_sym_any] = ACTIONS(1218),
    [anon_sym_number] = ACTIONS(1218),
    [anon_sym_boolean] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_symbol] = ACTIONS(1218),
    [anon_sym_object] = ACTIONS(1218),
    [anon_sym_property] = ACTIONS(1218),
    [anon_sym_signal] = ACTIONS(1218),
    [anon_sym_on] = ACTIONS(1218),
    [anon_sym_required] = ACTIONS(1218),
    [anon_sym_component] = ACTIONS(1218),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3209),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(6943),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3713),
    [sym_comment] = STATE(173),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5981),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7058),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(663),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(6951),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(1158),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1168),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_RBRACK] = ACTIONS(1257),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1182),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1192),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(94),
    [sym_number] = ACTIONS(96),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(1198),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(96),
    [sym_false] = ACTIONS(96),
    [sym_null] = ACTIONS(96),
    [sym_undefined] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1202),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1204),
    [anon_sym_number] = ACTIONS(1204),
    [anon_sym_boolean] = ACTIONS(1204),
    [anon_sym_string] = ACTIONS(1204),
    [anon_sym_symbol] = ACTIONS(1204),
    [anon_sym_object] = ACTIONS(1204),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2396),
    [sym_expression] = STATE(3863),
    [sym_primary_expression] = STATE(3072),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2396),
    [sym_subscript_expression] = STATE(2396),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(174),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2396),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(1216),
    [anon_sym_export] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1218),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1259),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1218),
    [anon_sym_let] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_readonly] = ACTIONS(1218),
    [anon_sym_get] = ACTIONS(1218),
    [anon_sym_set] = ACTIONS(1218),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(1218),
    [anon_sym_public] = ACTIONS(1218),
    [anon_sym_private] = ACTIONS(1218),
    [anon_sym_protected] = ACTIONS(1218),
    [anon_sym_override] = ACTIONS(1218),
    [anon_sym_module] = ACTIONS(1218),
    [anon_sym_any] = ACTIONS(1218),
    [anon_sym_number] = ACTIONS(1218),
    [anon_sym_boolean] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_symbol] = ACTIONS(1218),
    [anon_sym_object] = ACTIONS(1218),
    [anon_sym_property] = ACTIONS(1218),
    [anon_sym_signal] = ACTIONS(1218),
    [anon_sym_on] = ACTIONS(1218),
    [anon_sym_required] = ACTIONS(1218),
    [anon_sym_component] = ACTIONS(1218),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3209),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(6943),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3713),
    [sym_comment] = STATE(175),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5981),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7058),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(663),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(6951),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(1158),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1168),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_RBRACK] = ACTIONS(1261),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1182),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1192),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(94),
    [sym_number] = ACTIONS(96),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(1198),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(96),
    [sym_false] = ACTIONS(96),
    [sym_null] = ACTIONS(96),
    [sym_undefined] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1202),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1204),
    [anon_sym_number] = ACTIONS(1204),
    [anon_sym_boolean] = ACTIONS(1204),
    [anon_sym_string] = ACTIONS(1204),
    [anon_sym_symbol] = ACTIONS(1204),
    [anon_sym_object] = ACTIONS(1204),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3209),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(6943),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3713),
    [sym_comment] = STATE(176),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5981),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7058),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(663),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(6951),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(1158),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym_typeof] = ACTIONS(1168),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_RBRACK] = ACTIONS(1263),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1182),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1192),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(94),
    [sym_number] = ACTIONS(96),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(1198),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(96),
    [sym_false] = ACTIONS(96),
    [sym_null] = ACTIONS(96),
    [sym_undefined] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1202),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1204),
    [anon_sym_number] = ACTIONS(1204),
    [anon_sym_boolean] = ACTIONS(1204),
    [anon_sym_string] = ACTIONS(1204),
    [anon_sym_symbol] = ACTIONS(1204),
    [anon_sym_object] = ACTIONS(1204),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(177),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(5805),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(128),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(1269),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(43),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_SLASH] = ACTIONS(82),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(91),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(1283),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(178),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6117),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(128),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(1269),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(43),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_SLASH] = ACTIONS(82),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(91),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(1287),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(179),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6090),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(128),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(1269),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(43),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_SLASH] = ACTIONS(82),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(91),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(1289),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(180),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6117),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(1269),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(43),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_SLASH] = ACTIONS(82),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(91),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(1287),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(181),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6178),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(128),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(1269),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(43),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_SLASH] = ACTIONS(82),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(91),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(1291),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(182),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6072),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(128),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(1269),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(43),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_SLASH] = ACTIONS(82),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(91),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(1293),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(183),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6276),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(128),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(1269),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(43),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_SLASH] = ACTIONS(82),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(91),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(1295),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(184),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6271),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_EQ] = ACTIONS(128),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(43),
    [anon_sym_LPAREN] = ACTIONS(1269),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(43),
    [anon_sym_DASH] = ACTIONS(43),
    [anon_sym_SLASH] = ACTIONS(82),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(91),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(1297),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(185),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(128),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACK] = ACTIONS(131),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(186),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(1321),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1321),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_RBRACE] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1321),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_RBRACK] = ACTIONS(34),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1329),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1331),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1321),
    [anon_sym_readonly] = ACTIONS(1321),
    [anon_sym_get] = ACTIONS(1321),
    [anon_sym_set] = ACTIONS(1321),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_declare] = ACTIONS(1321),
    [anon_sym_public] = ACTIONS(1321),
    [anon_sym_private] = ACTIONS(1321),
    [anon_sym_protected] = ACTIONS(1321),
    [anon_sym_override] = ACTIONS(1321),
    [anon_sym_module] = ACTIONS(1321),
    [anon_sym_any] = ACTIONS(1321),
    [anon_sym_number] = ACTIONS(1321),
    [anon_sym_boolean] = ACTIONS(1321),
    [anon_sym_string] = ACTIONS(1321),
    [anon_sym_symbol] = ACTIONS(1321),
    [anon_sym_object] = ACTIONS(1321),
    [anon_sym_property] = ACTIONS(1321),
    [anon_sym_signal] = ACTIONS(1321),
    [anon_sym_on] = ACTIONS(1321),
    [anon_sym_required] = ACTIONS(1321),
    [anon_sym_component] = ACTIONS(1321),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(187),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(1335),
    [anon_sym_RBRACE] = ACTIONS(1335),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(1335),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_COLON] = ACTIONS(1335),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACK] = ACTIONS(1335),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(188),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(1321),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1321),
    [anon_sym_EQ] = ACTIONS(1337),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(28),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1321),
    [anon_sym_COLON] = ACTIONS(28),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_RBRACK] = ACTIONS(28),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1329),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1331),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1321),
    [anon_sym_readonly] = ACTIONS(1321),
    [anon_sym_get] = ACTIONS(1321),
    [anon_sym_set] = ACTIONS(1321),
    [anon_sym_declare] = ACTIONS(1321),
    [anon_sym_public] = ACTIONS(1321),
    [anon_sym_private] = ACTIONS(1321),
    [anon_sym_protected] = ACTIONS(1321),
    [anon_sym_override] = ACTIONS(1321),
    [anon_sym_module] = ACTIONS(1321),
    [anon_sym_any] = ACTIONS(1321),
    [anon_sym_number] = ACTIONS(1321),
    [anon_sym_boolean] = ACTIONS(1321),
    [anon_sym_string] = ACTIONS(1321),
    [anon_sym_symbol] = ACTIONS(1321),
    [anon_sym_object] = ACTIONS(1321),
    [anon_sym_property] = ACTIONS(1321),
    [anon_sym_signal] = ACTIONS(1321),
    [anon_sym_on] = ACTIONS(1321),
    [anon_sym_required] = ACTIONS(1321),
    [anon_sym_component] = ACTIONS(1321),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(189),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5969),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(7755),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(1321),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1321),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1321),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_RBRACK] = ACTIONS(34),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1329),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1331),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1321),
    [anon_sym_readonly] = ACTIONS(1321),
    [anon_sym_get] = ACTIONS(1321),
    [anon_sym_set] = ACTIONS(1321),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_declare] = ACTIONS(1321),
    [anon_sym_public] = ACTIONS(1321),
    [anon_sym_private] = ACTIONS(1321),
    [anon_sym_protected] = ACTIONS(1321),
    [anon_sym_override] = ACTIONS(1321),
    [anon_sym_module] = ACTIONS(1321),
    [anon_sym_any] = ACTIONS(1321),
    [anon_sym_number] = ACTIONS(1321),
    [anon_sym_boolean] = ACTIONS(1321),
    [anon_sym_string] = ACTIONS(1321),
    [anon_sym_symbol] = ACTIONS(1321),
    [anon_sym_object] = ACTIONS(1321),
    [anon_sym_property] = ACTIONS(1321),
    [anon_sym_signal] = ACTIONS(1321),
    [anon_sym_on] = ACTIONS(1321),
    [anon_sym_required] = ACTIONS(1321),
    [anon_sym_component] = ACTIONS(1321),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(190),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5969),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(7755),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(1321),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1321),
    [anon_sym_EQ] = ACTIONS(1337),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(28),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1321),
    [anon_sym_COLON] = ACTIONS(28),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_RBRACK] = ACTIONS(28),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1329),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1331),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1321),
    [anon_sym_readonly] = ACTIONS(1321),
    [anon_sym_get] = ACTIONS(1321),
    [anon_sym_set] = ACTIONS(1321),
    [anon_sym_declare] = ACTIONS(1321),
    [anon_sym_public] = ACTIONS(1321),
    [anon_sym_private] = ACTIONS(1321),
    [anon_sym_protected] = ACTIONS(1321),
    [anon_sym_override] = ACTIONS(1321),
    [anon_sym_module] = ACTIONS(1321),
    [anon_sym_any] = ACTIONS(1321),
    [anon_sym_number] = ACTIONS(1321),
    [anon_sym_boolean] = ACTIONS(1321),
    [anon_sym_string] = ACTIONS(1321),
    [anon_sym_symbol] = ACTIONS(1321),
    [anon_sym_object] = ACTIONS(1321),
    [anon_sym_property] = ACTIONS(1321),
    [anon_sym_signal] = ACTIONS(1321),
    [anon_sym_on] = ACTIONS(1321),
    [anon_sym_required] = ACTIONS(1321),
    [anon_sym_component] = ACTIONS(1321),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(191),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(28),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_COLON] = ACTIONS(28),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACK] = ACTIONS(28),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2890),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym__formal_parameter] = STATE(7043),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8209),
    [sym_string] = STATE(3603),
    [sym_comment] = STATE(192),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym__type] = STATE(6344),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(663),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1341),
    [anon_sym_typeof] = ACTIONS(1343),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_RPAREN] = ACTIONS(1345),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1347),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1182),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1349),
    [anon_sym_DASH] = ACTIONS(1349),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1192),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1351),
    [sym_number] = ACTIONS(1353),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(1355),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(1353),
    [sym_false] = ACTIONS(1353),
    [sym_null] = ACTIONS(1353),
    [sym_undefined] = ACTIONS(1357),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1363),
    [anon_sym_private] = ACTIONS(1363),
    [anon_sym_protected] = ACTIONS(1363),
    [anon_sym_override] = ACTIONS(1365),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1367),
    [anon_sym_number] = ACTIONS(1367),
    [anon_sym_boolean] = ACTIONS(1367),
    [anon_sym_string] = ACTIONS(1367),
    [anon_sym_symbol] = ACTIONS(1367),
    [anon_sym_object] = ACTIONS(1367),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2787),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym__formal_parameter] = STATE(7043),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8319),
    [sym_string] = STATE(3603),
    [sym_comment] = STATE(193),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym__type] = STATE(6344),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(663),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1341),
    [anon_sym_typeof] = ACTIONS(1343),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_RPAREN] = ACTIONS(1345),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1347),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1182),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1349),
    [anon_sym_DASH] = ACTIONS(1349),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1192),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1351),
    [sym_number] = ACTIONS(1353),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(1355),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(1353),
    [sym_false] = ACTIONS(1353),
    [sym_null] = ACTIONS(1353),
    [sym_undefined] = ACTIONS(1357),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1363),
    [anon_sym_private] = ACTIONS(1363),
    [anon_sym_protected] = ACTIONS(1363),
    [anon_sym_override] = ACTIONS(1365),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1367),
    [anon_sym_number] = ACTIONS(1367),
    [anon_sym_boolean] = ACTIONS(1367),
    [anon_sym_string] = ACTIONS(1367),
    [anon_sym_symbol] = ACTIONS(1367),
    [anon_sym_object] = ACTIONS(1367),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2890),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym__formal_parameter] = STATE(7043),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8209),
    [sym_string] = STATE(3603),
    [sym_comment] = STATE(194),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym__type] = STATE(6548),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(663),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1341),
    [anon_sym_typeof] = ACTIONS(1343),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_RPAREN] = ACTIONS(1345),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1347),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1182),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1349),
    [anon_sym_DASH] = ACTIONS(1349),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1192),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1351),
    [sym_number] = ACTIONS(1353),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(1355),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(1353),
    [sym_false] = ACTIONS(1353),
    [sym_null] = ACTIONS(1353),
    [sym_undefined] = ACTIONS(1357),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1363),
    [anon_sym_private] = ACTIONS(1363),
    [anon_sym_protected] = ACTIONS(1363),
    [anon_sym_override] = ACTIONS(1365),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1367),
    [anon_sym_number] = ACTIONS(1367),
    [anon_sym_boolean] = ACTIONS(1367),
    [anon_sym_string] = ACTIONS(1367),
    [anon_sym_symbol] = ACTIONS(1367),
    [anon_sym_object] = ACTIONS(1367),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2396),
    [sym_expression] = STATE(3863),
    [sym_primary_expression] = STATE(3072),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2396),
    [sym_subscript_expression] = STATE(2396),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(195),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2396),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1216),
    [anon_sym_export] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1218),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1218),
    [anon_sym_let] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_readonly] = ACTIONS(1218),
    [anon_sym_get] = ACTIONS(1218),
    [anon_sym_set] = ACTIONS(1218),
    [anon_sym_declare] = ACTIONS(1218),
    [anon_sym_public] = ACTIONS(1218),
    [anon_sym_private] = ACTIONS(1218),
    [anon_sym_protected] = ACTIONS(1218),
    [anon_sym_override] = ACTIONS(1218),
    [anon_sym_module] = ACTIONS(1218),
    [anon_sym_any] = ACTIONS(1218),
    [anon_sym_number] = ACTIONS(1218),
    [anon_sym_boolean] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_symbol] = ACTIONS(1218),
    [anon_sym_object] = ACTIONS(1218),
    [anon_sym_property] = ACTIONS(1218),
    [anon_sym_signal] = ACTIONS(1218),
    [anon_sym_on] = ACTIONS(1218),
    [anon_sym_required] = ACTIONS(1218),
    [anon_sym_component] = ACTIONS(1218),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3279),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8523),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(196),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1269),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(82),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1387),
    [anon_sym_DASH_DASH] = ACTIONS(1387),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2396),
    [sym_expression] = STATE(3863),
    [sym_primary_expression] = STATE(3072),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2396),
    [sym_subscript_expression] = STATE(2396),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(197),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2396),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1216),
    [anon_sym_export] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1218),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1218),
    [anon_sym_let] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1392),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_readonly] = ACTIONS(1218),
    [anon_sym_get] = ACTIONS(1218),
    [anon_sym_set] = ACTIONS(1218),
    [anon_sym_declare] = ACTIONS(1218),
    [anon_sym_public] = ACTIONS(1218),
    [anon_sym_private] = ACTIONS(1218),
    [anon_sym_protected] = ACTIONS(1218),
    [anon_sym_override] = ACTIONS(1218),
    [anon_sym_module] = ACTIONS(1218),
    [anon_sym_any] = ACTIONS(1218),
    [anon_sym_number] = ACTIONS(1218),
    [anon_sym_boolean] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_symbol] = ACTIONS(1218),
    [anon_sym_object] = ACTIONS(1218),
    [anon_sym_property] = ACTIONS(1218),
    [anon_sym_signal] = ACTIONS(1218),
    [anon_sym_on] = ACTIONS(1218),
    [anon_sym_required] = ACTIONS(1218),
    [anon_sym_component] = ACTIONS(1218),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(198),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2396),
    [sym_expression] = STATE(3863),
    [sym_primary_expression] = STATE(3072),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2396),
    [sym_subscript_expression] = STATE(2396),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(199),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2396),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1216),
    [anon_sym_export] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1218),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1218),
    [anon_sym_let] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1394),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_readonly] = ACTIONS(1218),
    [anon_sym_get] = ACTIONS(1218),
    [anon_sym_set] = ACTIONS(1218),
    [anon_sym_declare] = ACTIONS(1218),
    [anon_sym_public] = ACTIONS(1218),
    [anon_sym_private] = ACTIONS(1218),
    [anon_sym_protected] = ACTIONS(1218),
    [anon_sym_override] = ACTIONS(1218),
    [anon_sym_module] = ACTIONS(1218),
    [anon_sym_any] = ACTIONS(1218),
    [anon_sym_number] = ACTIONS(1218),
    [anon_sym_boolean] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_symbol] = ACTIONS(1218),
    [anon_sym_object] = ACTIONS(1218),
    [anon_sym_property] = ACTIONS(1218),
    [anon_sym_signal] = ACTIONS(1218),
    [anon_sym_on] = ACTIONS(1218),
    [anon_sym_required] = ACTIONS(1218),
    [anon_sym_component] = ACTIONS(1218),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym__formal_parameter] = STATE(7043),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3713),
    [sym_comment] = STATE(200),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym__type] = STATE(6518),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(626),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_RPAREN] = ACTIONS(1345),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(52),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(68),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(89),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(94),
    [sym_number] = ACTIONS(96),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(1396),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(96),
    [sym_false] = ACTIONS(96),
    [sym_null] = ACTIONS(96),
    [sym_undefined] = ACTIONS(104),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1398),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(1400),
    [anon_sym_private] = ACTIONS(1400),
    [anon_sym_protected] = ACTIONS(1400),
    [anon_sym_override] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(112),
    [anon_sym_number] = ACTIONS(112),
    [anon_sym_boolean] = ACTIONS(112),
    [anon_sym_string] = ACTIONS(112),
    [anon_sym_symbol] = ACTIONS(112),
    [anon_sym_object] = ACTIONS(112),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2396),
    [sym_expression] = STATE(3863),
    [sym_primary_expression] = STATE(3072),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2396),
    [sym_subscript_expression] = STATE(2396),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(201),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2396),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1216),
    [anon_sym_export] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1218),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1218),
    [anon_sym_let] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_readonly] = ACTIONS(1218),
    [anon_sym_get] = ACTIONS(1218),
    [anon_sym_set] = ACTIONS(1218),
    [anon_sym_declare] = ACTIONS(1218),
    [anon_sym_public] = ACTIONS(1218),
    [anon_sym_private] = ACTIONS(1218),
    [anon_sym_protected] = ACTIONS(1218),
    [anon_sym_override] = ACTIONS(1218),
    [anon_sym_module] = ACTIONS(1218),
    [anon_sym_any] = ACTIONS(1218),
    [anon_sym_number] = ACTIONS(1218),
    [anon_sym_boolean] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_symbol] = ACTIONS(1218),
    [anon_sym_object] = ACTIONS(1218),
    [anon_sym_property] = ACTIONS(1218),
    [anon_sym_signal] = ACTIONS(1218),
    [anon_sym_on] = ACTIONS(1218),
    [anon_sym_required] = ACTIONS(1218),
    [anon_sym_component] = ACTIONS(1218),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(202),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5969),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(7755),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(128),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2396),
    [sym_expression] = STATE(3863),
    [sym_primary_expression] = STATE(3072),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2396),
    [sym_subscript_expression] = STATE(2396),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(203),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2396),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1216),
    [anon_sym_export] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1218),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1218),
    [anon_sym_let] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1406),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_readonly] = ACTIONS(1218),
    [anon_sym_get] = ACTIONS(1218),
    [anon_sym_set] = ACTIONS(1218),
    [anon_sym_declare] = ACTIONS(1218),
    [anon_sym_public] = ACTIONS(1218),
    [anon_sym_private] = ACTIONS(1218),
    [anon_sym_protected] = ACTIONS(1218),
    [anon_sym_override] = ACTIONS(1218),
    [anon_sym_module] = ACTIONS(1218),
    [anon_sym_any] = ACTIONS(1218),
    [anon_sym_number] = ACTIONS(1218),
    [anon_sym_boolean] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_symbol] = ACTIONS(1218),
    [anon_sym_object] = ACTIONS(1218),
    [anon_sym_property] = ACTIONS(1218),
    [anon_sym_signal] = ACTIONS(1218),
    [anon_sym_on] = ACTIONS(1218),
    [anon_sym_required] = ACTIONS(1218),
    [anon_sym_component] = ACTIONS(1218),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2396),
    [sym_expression] = STATE(3863),
    [sym_primary_expression] = STATE(3072),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2396),
    [sym_subscript_expression] = STATE(2396),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(204),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2396),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1216),
    [anon_sym_export] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1218),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1218),
    [anon_sym_let] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1408),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_readonly] = ACTIONS(1218),
    [anon_sym_get] = ACTIONS(1218),
    [anon_sym_set] = ACTIONS(1218),
    [anon_sym_declare] = ACTIONS(1218),
    [anon_sym_public] = ACTIONS(1218),
    [anon_sym_private] = ACTIONS(1218),
    [anon_sym_protected] = ACTIONS(1218),
    [anon_sym_override] = ACTIONS(1218),
    [anon_sym_module] = ACTIONS(1218),
    [anon_sym_any] = ACTIONS(1218),
    [anon_sym_number] = ACTIONS(1218),
    [anon_sym_boolean] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_symbol] = ACTIONS(1218),
    [anon_sym_object] = ACTIONS(1218),
    [anon_sym_property] = ACTIONS(1218),
    [anon_sym_signal] = ACTIONS(1218),
    [anon_sym_on] = ACTIONS(1218),
    [anon_sym_required] = ACTIONS(1218),
    [anon_sym_component] = ACTIONS(1218),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym__formal_parameter] = STATE(7043),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3713),
    [sym_comment] = STATE(205),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym__type] = STATE(6548),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(626),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_RPAREN] = ACTIONS(1345),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(52),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(68),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(89),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(94),
    [sym_number] = ACTIONS(96),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(1396),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(96),
    [sym_false] = ACTIONS(96),
    [sym_null] = ACTIONS(96),
    [sym_undefined] = ACTIONS(104),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1398),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(1400),
    [anon_sym_private] = ACTIONS(1400),
    [anon_sym_protected] = ACTIONS(1400),
    [anon_sym_override] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(112),
    [anon_sym_number] = ACTIONS(112),
    [anon_sym_boolean] = ACTIONS(112),
    [anon_sym_string] = ACTIONS(112),
    [anon_sym_symbol] = ACTIONS(112),
    [anon_sym_object] = ACTIONS(112),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2396),
    [sym_expression] = STATE(3863),
    [sym_primary_expression] = STATE(3072),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2396),
    [sym_subscript_expression] = STATE(2396),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(206),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2396),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1216),
    [anon_sym_export] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1218),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1218),
    [anon_sym_let] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1410),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_readonly] = ACTIONS(1218),
    [anon_sym_get] = ACTIONS(1218),
    [anon_sym_set] = ACTIONS(1218),
    [anon_sym_declare] = ACTIONS(1218),
    [anon_sym_public] = ACTIONS(1218),
    [anon_sym_private] = ACTIONS(1218),
    [anon_sym_protected] = ACTIONS(1218),
    [anon_sym_override] = ACTIONS(1218),
    [anon_sym_module] = ACTIONS(1218),
    [anon_sym_any] = ACTIONS(1218),
    [anon_sym_number] = ACTIONS(1218),
    [anon_sym_boolean] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_symbol] = ACTIONS(1218),
    [anon_sym_object] = ACTIONS(1218),
    [anon_sym_property] = ACTIONS(1218),
    [anon_sym_signal] = ACTIONS(1218),
    [anon_sym_on] = ACTIONS(1218),
    [anon_sym_required] = ACTIONS(1218),
    [anon_sym_component] = ACTIONS(1218),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2396),
    [sym_expression] = STATE(3863),
    [sym_primary_expression] = STATE(3072),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2396),
    [sym_subscript_expression] = STATE(2396),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(207),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5969),
    [sym_non_null_expression] = STATE(2396),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(7755),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1216),
    [anon_sym_export] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1218),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1218),
    [anon_sym_let] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_readonly] = ACTIONS(1218),
    [anon_sym_get] = ACTIONS(1218),
    [anon_sym_set] = ACTIONS(1218),
    [anon_sym_declare] = ACTIONS(1218),
    [anon_sym_public] = ACTIONS(1218),
    [anon_sym_private] = ACTIONS(1218),
    [anon_sym_protected] = ACTIONS(1218),
    [anon_sym_override] = ACTIONS(1218),
    [anon_sym_module] = ACTIONS(1218),
    [anon_sym_any] = ACTIONS(1218),
    [anon_sym_number] = ACTIONS(1218),
    [anon_sym_boolean] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_symbol] = ACTIONS(1218),
    [anon_sym_object] = ACTIONS(1218),
    [anon_sym_property] = ACTIONS(1218),
    [anon_sym_signal] = ACTIONS(1218),
    [anon_sym_on] = ACTIONS(1218),
    [anon_sym_required] = ACTIONS(1218),
    [anon_sym_component] = ACTIONS(1218),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym__formal_parameter] = STATE(7043),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3713),
    [sym_comment] = STATE(208),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym__type] = STATE(6380),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(626),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_RPAREN] = ACTIONS(1345),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(52),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(68),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(89),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(94),
    [sym_number] = ACTIONS(96),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(1396),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(96),
    [sym_false] = ACTIONS(96),
    [sym_null] = ACTIONS(96),
    [sym_undefined] = ACTIONS(104),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1398),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(1400),
    [anon_sym_private] = ACTIONS(1400),
    [anon_sym_protected] = ACTIONS(1400),
    [anon_sym_override] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(112),
    [anon_sym_number] = ACTIONS(112),
    [anon_sym_boolean] = ACTIONS(112),
    [anon_sym_string] = ACTIONS(112),
    [anon_sym_symbol] = ACTIONS(112),
    [anon_sym_object] = ACTIONS(112),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2396),
    [sym_expression] = STATE(3863),
    [sym_primary_expression] = STATE(3072),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2396),
    [sym_subscript_expression] = STATE(2396),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(209),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2396),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1216),
    [anon_sym_export] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1218),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1218),
    [anon_sym_let] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1412),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_readonly] = ACTIONS(1218),
    [anon_sym_get] = ACTIONS(1218),
    [anon_sym_set] = ACTIONS(1218),
    [anon_sym_declare] = ACTIONS(1218),
    [anon_sym_public] = ACTIONS(1218),
    [anon_sym_private] = ACTIONS(1218),
    [anon_sym_protected] = ACTIONS(1218),
    [anon_sym_override] = ACTIONS(1218),
    [anon_sym_module] = ACTIONS(1218),
    [anon_sym_any] = ACTIONS(1218),
    [anon_sym_number] = ACTIONS(1218),
    [anon_sym_boolean] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_symbol] = ACTIONS(1218),
    [anon_sym_object] = ACTIONS(1218),
    [anon_sym_property] = ACTIONS(1218),
    [anon_sym_signal] = ACTIONS(1218),
    [anon_sym_on] = ACTIONS(1218),
    [anon_sym_required] = ACTIONS(1218),
    [anon_sym_component] = ACTIONS(1218),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym__formal_parameter] = STATE(7043),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3713),
    [sym_comment] = STATE(210),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym__type] = STATE(6344),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(626),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_RPAREN] = ACTIONS(1345),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(52),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(68),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(89),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(94),
    [sym_number] = ACTIONS(96),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(1396),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(96),
    [sym_false] = ACTIONS(96),
    [sym_null] = ACTIONS(96),
    [sym_undefined] = ACTIONS(104),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1398),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(1400),
    [anon_sym_private] = ACTIONS(1400),
    [anon_sym_protected] = ACTIONS(1400),
    [anon_sym_override] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(112),
    [anon_sym_number] = ACTIONS(112),
    [anon_sym_boolean] = ACTIONS(112),
    [anon_sym_string] = ACTIONS(112),
    [anon_sym_symbol] = ACTIONS(112),
    [anon_sym_object] = ACTIONS(112),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym__formal_parameter] = STATE(7043),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3713),
    [sym_comment] = STATE(211),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(6243),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym__type] = STATE(6374),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(626),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(19),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(32),
    [anon_sym_typeof] = ACTIONS(37),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_RPAREN] = ACTIONS(1345),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(52),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(68),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(80),
    [anon_sym_DASH] = ACTIONS(80),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(89),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(94),
    [sym_number] = ACTIONS(96),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(1396),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(96),
    [sym_false] = ACTIONS(96),
    [sym_null] = ACTIONS(96),
    [sym_undefined] = ACTIONS(104),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(1398),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(1400),
    [anon_sym_private] = ACTIONS(1400),
    [anon_sym_protected] = ACTIONS(1400),
    [anon_sym_override] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(112),
    [anon_sym_number] = ACTIONS(112),
    [anon_sym_boolean] = ACTIONS(112),
    [anon_sym_string] = ACTIONS(112),
    [anon_sym_symbol] = ACTIONS(112),
    [anon_sym_object] = ACTIONS(112),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(212),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5969),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(7755),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(1321),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1321),
    [anon_sym_EQ] = ACTIONS(1337),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(1414),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1321),
    [anon_sym_COLON] = ACTIONS(1335),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_RBRACK] = ACTIONS(1414),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1329),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1331),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1321),
    [anon_sym_readonly] = ACTIONS(1321),
    [anon_sym_get] = ACTIONS(1321),
    [anon_sym_set] = ACTIONS(1321),
    [anon_sym_declare] = ACTIONS(1321),
    [anon_sym_public] = ACTIONS(1321),
    [anon_sym_private] = ACTIONS(1321),
    [anon_sym_protected] = ACTIONS(1321),
    [anon_sym_override] = ACTIONS(1321),
    [anon_sym_module] = ACTIONS(1321),
    [anon_sym_any] = ACTIONS(1321),
    [anon_sym_number] = ACTIONS(1321),
    [anon_sym_boolean] = ACTIONS(1321),
    [anon_sym_string] = ACTIONS(1321),
    [anon_sym_symbol] = ACTIONS(1321),
    [anon_sym_object] = ACTIONS(1321),
    [anon_sym_property] = ACTIONS(1321),
    [anon_sym_signal] = ACTIONS(1321),
    [anon_sym_on] = ACTIONS(1321),
    [anon_sym_required] = ACTIONS(1321),
    [anon_sym_component] = ACTIONS(1321),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(213),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1417),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2396),
    [sym_expression] = STATE(3863),
    [sym_primary_expression] = STATE(3072),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2396),
    [sym_subscript_expression] = STATE(2396),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(214),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2396),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1216),
    [anon_sym_export] = ACTIONS(1218),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1218),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1218),
    [anon_sym_let] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(1419),
    [anon_sym_of] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_readonly] = ACTIONS(1218),
    [anon_sym_get] = ACTIONS(1218),
    [anon_sym_set] = ACTIONS(1218),
    [anon_sym_declare] = ACTIONS(1218),
    [anon_sym_public] = ACTIONS(1218),
    [anon_sym_private] = ACTIONS(1218),
    [anon_sym_protected] = ACTIONS(1218),
    [anon_sym_override] = ACTIONS(1218),
    [anon_sym_module] = ACTIONS(1218),
    [anon_sym_any] = ACTIONS(1218),
    [anon_sym_number] = ACTIONS(1218),
    [anon_sym_boolean] = ACTIONS(1218),
    [anon_sym_string] = ACTIONS(1218),
    [anon_sym_symbol] = ACTIONS(1218),
    [anon_sym_object] = ACTIONS(1218),
    [anon_sym_property] = ACTIONS(1218),
    [anon_sym_signal] = ACTIONS(1218),
    [anon_sym_on] = ACTIONS(1218),
    [anon_sym_required] = ACTIONS(1218),
    [anon_sym_component] = ACTIONS(1218),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(215),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(1321),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1321),
    [anon_sym_EQ] = ACTIONS(1337),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1321),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_RBRACK] = ACTIONS(1414),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1329),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1331),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1321),
    [anon_sym_readonly] = ACTIONS(1321),
    [anon_sym_get] = ACTIONS(1321),
    [anon_sym_set] = ACTIONS(1321),
    [anon_sym_declare] = ACTIONS(1321),
    [anon_sym_public] = ACTIONS(1321),
    [anon_sym_private] = ACTIONS(1321),
    [anon_sym_protected] = ACTIONS(1321),
    [anon_sym_override] = ACTIONS(1321),
    [anon_sym_module] = ACTIONS(1321),
    [anon_sym_any] = ACTIONS(1321),
    [anon_sym_number] = ACTIONS(1321),
    [anon_sym_boolean] = ACTIONS(1321),
    [anon_sym_string] = ACTIONS(1321),
    [anon_sym_symbol] = ACTIONS(1321),
    [anon_sym_object] = ACTIONS(1321),
    [anon_sym_property] = ACTIONS(1321),
    [anon_sym_signal] = ACTIONS(1321),
    [anon_sym_on] = ACTIONS(1321),
    [anon_sym_required] = ACTIONS(1321),
    [anon_sym_component] = ACTIONS(1321),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2396),
    [sym_expression] = STATE(3863),
    [sym_primary_expression] = STATE(3072),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2396),
    [sym_subscript_expression] = STATE(2396),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(216),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2396),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_export] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1426),
    [anon_sym_EQ] = ACTIONS(1428),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1426),
    [anon_sym_let] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_EQ_GT] = ACTIONS(1417),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1426),
    [anon_sym_readonly] = ACTIONS(1426),
    [anon_sym_get] = ACTIONS(1426),
    [anon_sym_set] = ACTIONS(1426),
    [anon_sym_declare] = ACTIONS(1426),
    [anon_sym_public] = ACTIONS(1426),
    [anon_sym_private] = ACTIONS(1426),
    [anon_sym_protected] = ACTIONS(1426),
    [anon_sym_override] = ACTIONS(1426),
    [anon_sym_module] = ACTIONS(1426),
    [anon_sym_any] = ACTIONS(1426),
    [anon_sym_number] = ACTIONS(1426),
    [anon_sym_boolean] = ACTIONS(1426),
    [anon_sym_string] = ACTIONS(1426),
    [anon_sym_symbol] = ACTIONS(1426),
    [anon_sym_object] = ACTIONS(1426),
    [anon_sym_property] = ACTIONS(1426),
    [anon_sym_signal] = ACTIONS(1426),
    [anon_sym_on] = ACTIONS(1426),
    [anon_sym_required] = ACTIONS(1426),
    [anon_sym_component] = ACTIONS(1426),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2396),
    [sym_expression] = STATE(3863),
    [sym_primary_expression] = STATE(3072),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2396),
    [sym_subscript_expression] = STATE(2396),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(217),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5969),
    [sym_non_null_expression] = STATE(2396),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(7755),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_export] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1426),
    [anon_sym_EQ] = ACTIONS(1428),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1426),
    [anon_sym_let] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1432),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_EQ_GT] = ACTIONS(1417),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1426),
    [anon_sym_readonly] = ACTIONS(1426),
    [anon_sym_get] = ACTIONS(1426),
    [anon_sym_set] = ACTIONS(1426),
    [anon_sym_declare] = ACTIONS(1426),
    [anon_sym_public] = ACTIONS(1426),
    [anon_sym_private] = ACTIONS(1426),
    [anon_sym_protected] = ACTIONS(1426),
    [anon_sym_override] = ACTIONS(1426),
    [anon_sym_module] = ACTIONS(1426),
    [anon_sym_any] = ACTIONS(1426),
    [anon_sym_number] = ACTIONS(1426),
    [anon_sym_boolean] = ACTIONS(1426),
    [anon_sym_string] = ACTIONS(1426),
    [anon_sym_symbol] = ACTIONS(1426),
    [anon_sym_object] = ACTIONS(1426),
    [anon_sym_property] = ACTIONS(1426),
    [anon_sym_signal] = ACTIONS(1426),
    [anon_sym_on] = ACTIONS(1426),
    [anon_sym_required] = ACTIONS(1426),
    [anon_sym_component] = ACTIONS(1426),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(218),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_export] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1442),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1440),
    [anon_sym_let] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1440),
    [anon_sym_COLON] = ACTIONS(1447),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_RBRACK] = ACTIONS(34),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1451),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1453),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_readonly] = ACTIONS(1440),
    [anon_sym_get] = ACTIONS(1440),
    [anon_sym_set] = ACTIONS(1440),
    [anon_sym_declare] = ACTIONS(1440),
    [anon_sym_public] = ACTIONS(1440),
    [anon_sym_private] = ACTIONS(1440),
    [anon_sym_protected] = ACTIONS(1440),
    [anon_sym_override] = ACTIONS(1440),
    [anon_sym_module] = ACTIONS(1440),
    [anon_sym_any] = ACTIONS(1440),
    [anon_sym_number] = ACTIONS(1440),
    [anon_sym_boolean] = ACTIONS(1440),
    [anon_sym_string] = ACTIONS(1440),
    [anon_sym_symbol] = ACTIONS(1440),
    [anon_sym_object] = ACTIONS(1440),
    [anon_sym_property] = ACTIONS(1440),
    [anon_sym_signal] = ACTIONS(1440),
    [anon_sym_on] = ACTIONS(1440),
    [anon_sym_required] = ACTIONS(1440),
    [anon_sym_component] = ACTIONS(1440),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(219),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1455),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2396),
    [sym_expression] = STATE(3863),
    [sym_primary_expression] = STATE(3072),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2396),
    [sym_subscript_expression] = STATE(2396),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(220),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5969),
    [sym_non_null_expression] = STATE(2396),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(7755),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1457),
    [anon_sym_export] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1459),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1463),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1459),
    [anon_sym_let] = ACTIONS(1459),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1459),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1465),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_EQ_GT] = ACTIONS(1455),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1459),
    [anon_sym_readonly] = ACTIONS(1459),
    [anon_sym_get] = ACTIONS(1459),
    [anon_sym_set] = ACTIONS(1459),
    [anon_sym_declare] = ACTIONS(1459),
    [anon_sym_public] = ACTIONS(1459),
    [anon_sym_private] = ACTIONS(1459),
    [anon_sym_protected] = ACTIONS(1459),
    [anon_sym_override] = ACTIONS(1459),
    [anon_sym_module] = ACTIONS(1459),
    [anon_sym_any] = ACTIONS(1459),
    [anon_sym_number] = ACTIONS(1459),
    [anon_sym_boolean] = ACTIONS(1459),
    [anon_sym_string] = ACTIONS(1459),
    [anon_sym_symbol] = ACTIONS(1459),
    [anon_sym_object] = ACTIONS(1459),
    [anon_sym_property] = ACTIONS(1459),
    [anon_sym_signal] = ACTIONS(1459),
    [anon_sym_on] = ACTIONS(1459),
    [anon_sym_required] = ACTIONS(1459),
    [anon_sym_component] = ACTIONS(1459),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(221),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_export] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1469),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1440),
    [anon_sym_let] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1440),
    [anon_sym_COLON] = ACTIONS(1447),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_RBRACK] = ACTIONS(28),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1451),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1453),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_readonly] = ACTIONS(1440),
    [anon_sym_get] = ACTIONS(1440),
    [anon_sym_set] = ACTIONS(1440),
    [anon_sym_declare] = ACTIONS(1440),
    [anon_sym_public] = ACTIONS(1440),
    [anon_sym_private] = ACTIONS(1440),
    [anon_sym_protected] = ACTIONS(1440),
    [anon_sym_override] = ACTIONS(1440),
    [anon_sym_module] = ACTIONS(1440),
    [anon_sym_any] = ACTIONS(1440),
    [anon_sym_number] = ACTIONS(1440),
    [anon_sym_boolean] = ACTIONS(1440),
    [anon_sym_string] = ACTIONS(1440),
    [anon_sym_symbol] = ACTIONS(1440),
    [anon_sym_object] = ACTIONS(1440),
    [anon_sym_property] = ACTIONS(1440),
    [anon_sym_signal] = ACTIONS(1440),
    [anon_sym_on] = ACTIONS(1440),
    [anon_sym_required] = ACTIONS(1440),
    [anon_sym_component] = ACTIONS(1440),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2396),
    [sym_expression] = STATE(3863),
    [sym_primary_expression] = STATE(3072),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2396),
    [sym_subscript_expression] = STATE(2396),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(222),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2396),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1457),
    [anon_sym_export] = ACTIONS(1459),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1459),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1463),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1459),
    [anon_sym_let] = ACTIONS(1459),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1459),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1465),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_EQ_GT] = ACTIONS(1455),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1459),
    [anon_sym_readonly] = ACTIONS(1459),
    [anon_sym_get] = ACTIONS(1459),
    [anon_sym_set] = ACTIONS(1459),
    [anon_sym_declare] = ACTIONS(1459),
    [anon_sym_public] = ACTIONS(1459),
    [anon_sym_private] = ACTIONS(1459),
    [anon_sym_protected] = ACTIONS(1459),
    [anon_sym_override] = ACTIONS(1459),
    [anon_sym_module] = ACTIONS(1459),
    [anon_sym_any] = ACTIONS(1459),
    [anon_sym_number] = ACTIONS(1459),
    [anon_sym_boolean] = ACTIONS(1459),
    [anon_sym_string] = ACTIONS(1459),
    [anon_sym_symbol] = ACTIONS(1459),
    [anon_sym_object] = ACTIONS(1459),
    [anon_sym_property] = ACTIONS(1459),
    [anon_sym_signal] = ACTIONS(1459),
    [anon_sym_on] = ACTIONS(1459),
    [anon_sym_required] = ACTIONS(1459),
    [anon_sym_component] = ACTIONS(1459),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(223),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6000),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(7961),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(1321),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1321),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_RBRACE] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1321),
    [anon_sym_let] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1321),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1329),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1331),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1321),
    [anon_sym_readonly] = ACTIONS(1321),
    [anon_sym_get] = ACTIONS(1321),
    [anon_sym_set] = ACTIONS(1321),
    [anon_sym_declare] = ACTIONS(1321),
    [anon_sym_public] = ACTIONS(1321),
    [anon_sym_private] = ACTIONS(1321),
    [anon_sym_protected] = ACTIONS(1321),
    [anon_sym_override] = ACTIONS(1321),
    [anon_sym_module] = ACTIONS(1321),
    [anon_sym_any] = ACTIONS(1321),
    [anon_sym_number] = ACTIONS(1321),
    [anon_sym_boolean] = ACTIONS(1321),
    [anon_sym_string] = ACTIONS(1321),
    [anon_sym_symbol] = ACTIONS(1321),
    [anon_sym_object] = ACTIONS(1321),
    [anon_sym_property] = ACTIONS(1321),
    [anon_sym_signal] = ACTIONS(1321),
    [anon_sym_on] = ACTIONS(1321),
    [anon_sym_required] = ACTIONS(1321),
    [anon_sym_component] = ACTIONS(1321),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(224),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1471),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_implements] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(225),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_EQ] = ACTIONS(1477),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1475),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1475),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1481),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1471),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [anon_sym_property] = ACTIONS(1475),
    [anon_sym_signal] = ACTIONS(1475),
    [anon_sym_on] = ACTIONS(1475),
    [anon_sym_required] = ACTIONS(1475),
    [anon_sym_component] = ACTIONS(1475),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_implements] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(226),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_export] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1469),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1440),
    [anon_sym_let] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1440),
    [anon_sym_COLON] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_RBRACK] = ACTIONS(28),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1451),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1453),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_readonly] = ACTIONS(1440),
    [anon_sym_get] = ACTIONS(1440),
    [anon_sym_set] = ACTIONS(1440),
    [anon_sym_declare] = ACTIONS(1440),
    [anon_sym_public] = ACTIONS(1440),
    [anon_sym_private] = ACTIONS(1440),
    [anon_sym_protected] = ACTIONS(1440),
    [anon_sym_override] = ACTIONS(1440),
    [anon_sym_module] = ACTIONS(1440),
    [anon_sym_any] = ACTIONS(1440),
    [anon_sym_number] = ACTIONS(1440),
    [anon_sym_boolean] = ACTIONS(1440),
    [anon_sym_string] = ACTIONS(1440),
    [anon_sym_symbol] = ACTIONS(1440),
    [anon_sym_object] = ACTIONS(1440),
    [anon_sym_property] = ACTIONS(1440),
    [anon_sym_signal] = ACTIONS(1440),
    [anon_sym_on] = ACTIONS(1440),
    [anon_sym_required] = ACTIONS(1440),
    [anon_sym_component] = ACTIONS(1440),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(227),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_export] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1442),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1440),
    [anon_sym_let] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1440),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_RBRACK] = ACTIONS(34),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1451),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1453),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_readonly] = ACTIONS(1440),
    [anon_sym_get] = ACTIONS(1440),
    [anon_sym_set] = ACTIONS(1440),
    [anon_sym_declare] = ACTIONS(1440),
    [anon_sym_public] = ACTIONS(1440),
    [anon_sym_private] = ACTIONS(1440),
    [anon_sym_protected] = ACTIONS(1440),
    [anon_sym_override] = ACTIONS(1440),
    [anon_sym_module] = ACTIONS(1440),
    [anon_sym_any] = ACTIONS(1440),
    [anon_sym_number] = ACTIONS(1440),
    [anon_sym_boolean] = ACTIONS(1440),
    [anon_sym_string] = ACTIONS(1440),
    [anon_sym_symbol] = ACTIONS(1440),
    [anon_sym_object] = ACTIONS(1440),
    [anon_sym_property] = ACTIONS(1440),
    [anon_sym_signal] = ACTIONS(1440),
    [anon_sym_on] = ACTIONS(1440),
    [anon_sym_required] = ACTIONS(1440),
    [anon_sym_component] = ACTIONS(1440),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(228),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5969),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(7755),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1473),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1475),
    [anon_sym_EQ] = ACTIONS(1477),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1475),
    [anon_sym_let] = ACTIONS(1475),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1475),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1481),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1471),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_get] = ACTIONS(1475),
    [anon_sym_set] = ACTIONS(1475),
    [anon_sym_declare] = ACTIONS(1475),
    [anon_sym_public] = ACTIONS(1475),
    [anon_sym_private] = ACTIONS(1475),
    [anon_sym_protected] = ACTIONS(1475),
    [anon_sym_override] = ACTIONS(1475),
    [anon_sym_module] = ACTIONS(1475),
    [anon_sym_any] = ACTIONS(1475),
    [anon_sym_number] = ACTIONS(1475),
    [anon_sym_boolean] = ACTIONS(1475),
    [anon_sym_string] = ACTIONS(1475),
    [anon_sym_symbol] = ACTIONS(1475),
    [anon_sym_object] = ACTIONS(1475),
    [anon_sym_property] = ACTIONS(1475),
    [anon_sym_signal] = ACTIONS(1475),
    [anon_sym_on] = ACTIONS(1475),
    [anon_sym_required] = ACTIONS(1475),
    [anon_sym_component] = ACTIONS(1475),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_implements] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(229),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_COLON] = ACTIONS(28),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1489),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(230),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACK] = ACTIONS(28),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1451),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(231),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5969),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(7755),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1491),
    [anon_sym_export] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1493),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1497),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1493),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1493),
    [anon_sym_COLON] = ACTIONS(28),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1503),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1489),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1505),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1493),
    [anon_sym_readonly] = ACTIONS(1493),
    [anon_sym_get] = ACTIONS(1493),
    [anon_sym_set] = ACTIONS(1493),
    [anon_sym_declare] = ACTIONS(1493),
    [anon_sym_public] = ACTIONS(1493),
    [anon_sym_private] = ACTIONS(1493),
    [anon_sym_protected] = ACTIONS(1493),
    [anon_sym_override] = ACTIONS(1493),
    [anon_sym_module] = ACTIONS(1493),
    [anon_sym_any] = ACTIONS(1493),
    [anon_sym_number] = ACTIONS(1493),
    [anon_sym_boolean] = ACTIONS(1493),
    [anon_sym_string] = ACTIONS(1493),
    [anon_sym_symbol] = ACTIONS(1493),
    [anon_sym_object] = ACTIONS(1493),
    [anon_sym_property] = ACTIONS(1493),
    [anon_sym_signal] = ACTIONS(1493),
    [anon_sym_on] = ACTIONS(1493),
    [anon_sym_required] = ACTIONS(1493),
    [anon_sym_component] = ACTIONS(1493),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(232),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_export] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1469),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1440),
    [anon_sym_let] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1440),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_RBRACK] = ACTIONS(28),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1451),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1453),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_readonly] = ACTIONS(1440),
    [anon_sym_get] = ACTIONS(1440),
    [anon_sym_set] = ACTIONS(1440),
    [anon_sym_declare] = ACTIONS(1440),
    [anon_sym_public] = ACTIONS(1440),
    [anon_sym_private] = ACTIONS(1440),
    [anon_sym_protected] = ACTIONS(1440),
    [anon_sym_override] = ACTIONS(1440),
    [anon_sym_module] = ACTIONS(1440),
    [anon_sym_any] = ACTIONS(1440),
    [anon_sym_number] = ACTIONS(1440),
    [anon_sym_boolean] = ACTIONS(1440),
    [anon_sym_string] = ACTIONS(1440),
    [anon_sym_symbol] = ACTIONS(1440),
    [anon_sym_object] = ACTIONS(1440),
    [anon_sym_property] = ACTIONS(1440),
    [anon_sym_signal] = ACTIONS(1440),
    [anon_sym_on] = ACTIONS(1440),
    [anon_sym_required] = ACTIONS(1440),
    [anon_sym_component] = ACTIONS(1440),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(233),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5969),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(7755),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_COLON] = ACTIONS(1335),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3279),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8523),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(234),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1269),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(82),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1387),
    [anon_sym_DASH_DASH] = ACTIONS(1387),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(235),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5969),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(7755),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_export] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1440),
    [anon_sym_EQ] = ACTIONS(1469),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1440),
    [anon_sym_let] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1440),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_RBRACK] = ACTIONS(28),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1449),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1451),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1453),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_readonly] = ACTIONS(1440),
    [anon_sym_get] = ACTIONS(1440),
    [anon_sym_set] = ACTIONS(1440),
    [anon_sym_declare] = ACTIONS(1440),
    [anon_sym_public] = ACTIONS(1440),
    [anon_sym_private] = ACTIONS(1440),
    [anon_sym_protected] = ACTIONS(1440),
    [anon_sym_override] = ACTIONS(1440),
    [anon_sym_module] = ACTIONS(1440),
    [anon_sym_any] = ACTIONS(1440),
    [anon_sym_number] = ACTIONS(1440),
    [anon_sym_boolean] = ACTIONS(1440),
    [anon_sym_string] = ACTIONS(1440),
    [anon_sym_symbol] = ACTIONS(1440),
    [anon_sym_object] = ACTIONS(1440),
    [anon_sym_property] = ACTIONS(1440),
    [anon_sym_signal] = ACTIONS(1440),
    [anon_sym_on] = ACTIONS(1440),
    [anon_sym_required] = ACTIONS(1440),
    [anon_sym_component] = ACTIONS(1440),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(236),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1491),
    [anon_sym_export] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1493),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1497),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1493),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1493),
    [anon_sym_COLON] = ACTIONS(28),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1503),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1489),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1505),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1493),
    [anon_sym_readonly] = ACTIONS(1493),
    [anon_sym_get] = ACTIONS(1493),
    [anon_sym_set] = ACTIONS(1493),
    [anon_sym_declare] = ACTIONS(1493),
    [anon_sym_public] = ACTIONS(1493),
    [anon_sym_private] = ACTIONS(1493),
    [anon_sym_protected] = ACTIONS(1493),
    [anon_sym_override] = ACTIONS(1493),
    [anon_sym_module] = ACTIONS(1493),
    [anon_sym_any] = ACTIONS(1493),
    [anon_sym_number] = ACTIONS(1493),
    [anon_sym_boolean] = ACTIONS(1493),
    [anon_sym_string] = ACTIONS(1493),
    [anon_sym_symbol] = ACTIONS(1493),
    [anon_sym_object] = ACTIONS(1493),
    [anon_sym_property] = ACTIONS(1493),
    [anon_sym_signal] = ACTIONS(1493),
    [anon_sym_on] = ACTIONS(1493),
    [anon_sym_required] = ACTIONS(1493),
    [anon_sym_component] = ACTIONS(1493),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(237),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(1419),
    [anon_sym_of] = ACTIONS(1507),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(238),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1509),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(239),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1511),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(240),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(241),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1513),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(242),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1515),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(243),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1517),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(244),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5969),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(7755),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(245),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1519),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_import] = STATE(5129),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3347),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(7619),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8284),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3432),
    [sym_comment] = STATE(246),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5886),
    [sym_pattern] = STATE(6661),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4970),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5215),
    [sym__type] = STATE(4934),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_type_arguments] = STATE(663),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7936),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1521),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1525),
    [anon_sym_typeof] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1531),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1533),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1535),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1543),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1545),
    [sym_number] = ACTIONS(1547),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(1549),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(1547),
    [sym_false] = ACTIONS(1547),
    [sym_null] = ACTIONS(1547),
    [sym_undefined] = ACTIONS(1551),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1553),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1557),
    [anon_sym_number] = ACTIONS(1557),
    [anon_sym_boolean] = ACTIONS(1557),
    [anon_sym_string] = ACTIONS(1557),
    [anon_sym_symbol] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(247),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1571),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(248),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(249),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1575),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(250),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(1577),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(251),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1579),
    [anon_sym_export] = ACTIONS(1581),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1581),
    [anon_sym_EQ] = ACTIONS(1583),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1585),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1581),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1581),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1587),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1571),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1589),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1581),
    [anon_sym_readonly] = ACTIONS(1581),
    [anon_sym_get] = ACTIONS(1581),
    [anon_sym_set] = ACTIONS(1581),
    [anon_sym_declare] = ACTIONS(1581),
    [anon_sym_public] = ACTIONS(1581),
    [anon_sym_private] = ACTIONS(1581),
    [anon_sym_protected] = ACTIONS(1581),
    [anon_sym_override] = ACTIONS(1581),
    [anon_sym_module] = ACTIONS(1581),
    [anon_sym_any] = ACTIONS(1581),
    [anon_sym_number] = ACTIONS(1581),
    [anon_sym_boolean] = ACTIONS(1581),
    [anon_sym_string] = ACTIONS(1581),
    [anon_sym_symbol] = ACTIONS(1581),
    [anon_sym_object] = ACTIONS(1581),
    [anon_sym_property] = ACTIONS(1581),
    [anon_sym_signal] = ACTIONS(1581),
    [anon_sym_on] = ACTIONS(1581),
    [anon_sym_required] = ACTIONS(1581),
    [anon_sym_component] = ACTIONS(1581),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2748),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(252),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5969),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(7755),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1579),
    [anon_sym_export] = ACTIONS(1581),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(1581),
    [anon_sym_EQ] = ACTIONS(1583),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(1585),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1581),
    [anon_sym_let] = ACTIONS(1581),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(1581),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1587),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(1571),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(1589),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1581),
    [anon_sym_readonly] = ACTIONS(1581),
    [anon_sym_get] = ACTIONS(1581),
    [anon_sym_set] = ACTIONS(1581),
    [anon_sym_declare] = ACTIONS(1581),
    [anon_sym_public] = ACTIONS(1581),
    [anon_sym_private] = ACTIONS(1581),
    [anon_sym_protected] = ACTIONS(1581),
    [anon_sym_override] = ACTIONS(1581),
    [anon_sym_module] = ACTIONS(1581),
    [anon_sym_any] = ACTIONS(1581),
    [anon_sym_number] = ACTIONS(1581),
    [anon_sym_boolean] = ACTIONS(1581),
    [anon_sym_string] = ACTIONS(1581),
    [anon_sym_symbol] = ACTIONS(1581),
    [anon_sym_object] = ACTIONS(1581),
    [anon_sym_property] = ACTIONS(1581),
    [anon_sym_signal] = ACTIONS(1581),
    [anon_sym_on] = ACTIONS(1581),
    [anon_sym_required] = ACTIONS(1581),
    [anon_sym_component] = ACTIONS(1581),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(5132),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3664),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3729),
    [sym_comment] = STATE(253),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5521),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6551),
    [sym__type] = STATE(5523),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(812),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1593),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1599),
    [anon_sym_typeof] = ACTIONS(1601),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1609),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1613),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1619),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1623),
    [sym_number] = ACTIONS(1625),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(1629),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(1625),
    [sym_false] = ACTIONS(1625),
    [sym_null] = ACTIONS(1625),
    [sym_undefined] = ACTIONS(1631),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1633),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1635),
    [anon_sym_number] = ACTIONS(1635),
    [anon_sym_boolean] = ACTIONS(1635),
    [anon_sym_string] = ACTIONS(1635),
    [anon_sym_symbol] = ACTIONS(1635),
    [anon_sym_object] = ACTIONS(1635),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_import] = STATE(5132),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3732),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3729),
    [sym_comment] = STATE(254),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5521),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6551),
    [sym__type] = STATE(5523),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(760),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1637),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1643),
    [anon_sym_typeof] = ACTIONS(1645),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1609),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1655),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1659),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1661),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1623),
    [sym_number] = ACTIONS(1625),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(1629),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(1625),
    [sym_false] = ACTIONS(1625),
    [sym_null] = ACTIONS(1625),
    [sym_undefined] = ACTIONS(1667),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1669),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1671),
    [anon_sym_number] = ACTIONS(1671),
    [anon_sym_boolean] = ACTIONS(1671),
    [anon_sym_string] = ACTIONS(1671),
    [anon_sym_symbol] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1671),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_import] = STATE(4999),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3216),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3036),
    [sym_comment] = STATE(255),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5521),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6551),
    [sym__type] = STATE(5523),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(710),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1673),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1679),
    [anon_sym_typeof] = ACTIONS(1681),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1689),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1693),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1699),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1703),
    [sym_number] = ACTIONS(1705),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(1709),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(1705),
    [sym_false] = ACTIONS(1705),
    [sym_null] = ACTIONS(1705),
    [sym_undefined] = ACTIONS(1711),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1713),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1715),
    [anon_sym_number] = ACTIONS(1715),
    [anon_sym_boolean] = ACTIONS(1715),
    [anon_sym_string] = ACTIONS(1715),
    [anon_sym_symbol] = ACTIONS(1715),
    [anon_sym_object] = ACTIONS(1715),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_import] = STATE(4996),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3352),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3777),
    [sym_comment] = STATE(256),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5598),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6318),
    [sym__type] = STATE(5597),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(758),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1717),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1723),
    [anon_sym_typeof] = ACTIONS(1725),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(1729),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(1735),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1739),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1745),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1749),
    [sym_number] = ACTIONS(1751),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(1755),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(1751),
    [sym_false] = ACTIONS(1751),
    [sym_null] = ACTIONS(1751),
    [sym_undefined] = ACTIONS(1757),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1759),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1761),
    [anon_sym_number] = ACTIONS(1761),
    [anon_sym_boolean] = ACTIONS(1761),
    [anon_sym_string] = ACTIONS(1761),
    [anon_sym_symbol] = ACTIONS(1761),
    [anon_sym_object] = ACTIONS(1761),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(4999),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2968),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3036),
    [sym_comment] = STATE(257),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5521),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6551),
    [sym__type] = STATE(5523),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(663),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1763),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1679),
    [anon_sym_typeof] = ACTIONS(1765),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1689),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1767),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1192),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1703),
    [sym_number] = ACTIONS(1705),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(1709),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(1705),
    [sym_false] = ACTIONS(1705),
    [sym_null] = ACTIONS(1705),
    [sym_undefined] = ACTIONS(1771),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1773),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1775),
    [anon_sym_number] = ACTIONS(1775),
    [anon_sym_boolean] = ACTIONS(1775),
    [anon_sym_string] = ACTIONS(1775),
    [anon_sym_symbol] = ACTIONS(1775),
    [anon_sym_object] = ACTIONS(1775),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_import] = STATE(5061),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3111),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3418),
    [sym_comment] = STATE(258),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5598),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6318),
    [sym__type] = STATE(5597),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(716),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1777),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1783),
    [anon_sym_typeof] = ACTIONS(1785),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(1729),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1791),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1793),
    [anon_sym_DASH] = ACTIONS(1793),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(1795),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1797),
    [sym_number] = ACTIONS(1799),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(1801),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(1799),
    [sym_false] = ACTIONS(1799),
    [sym_null] = ACTIONS(1799),
    [sym_undefined] = ACTIONS(1803),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1805),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1807),
    [anon_sym_number] = ACTIONS(1807),
    [anon_sym_boolean] = ACTIONS(1807),
    [anon_sym_string] = ACTIONS(1807),
    [anon_sym_symbol] = ACTIONS(1807),
    [anon_sym_object] = ACTIONS(1807),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(5132),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3694),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3729),
    [sym_comment] = STATE(259),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5521),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6551),
    [sym__type] = STATE(5523),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(876),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1809),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1815),
    [anon_sym_typeof] = ACTIONS(1817),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1609),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1827),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1831),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1833),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1623),
    [sym_number] = ACTIONS(1625),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(1629),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(1625),
    [sym_false] = ACTIONS(1625),
    [sym_null] = ACTIONS(1625),
    [sym_undefined] = ACTIONS(1839),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1841),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1843),
    [anon_sym_number] = ACTIONS(1843),
    [anon_sym_boolean] = ACTIONS(1843),
    [anon_sym_string] = ACTIONS(1843),
    [anon_sym_symbol] = ACTIONS(1843),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(5132),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3817),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3729),
    [sym_comment] = STATE(260),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5521),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6551),
    [sym__type] = STATE(5523),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(626),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1599),
    [anon_sym_typeof] = ACTIONS(1847),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1609),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1849),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(89),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1623),
    [sym_number] = ACTIONS(1625),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(1629),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(1625),
    [sym_false] = ACTIONS(1625),
    [sym_null] = ACTIONS(1625),
    [sym_undefined] = ACTIONS(1853),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1855),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1857),
    [anon_sym_number] = ACTIONS(1857),
    [anon_sym_boolean] = ACTIONS(1857),
    [anon_sym_string] = ACTIONS(1857),
    [anon_sym_symbol] = ACTIONS(1857),
    [anon_sym_object] = ACTIONS(1857),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_import] = STATE(5061),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3133),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3418),
    [sym_comment] = STATE(261),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5598),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6318),
    [sym__type] = STATE(5597),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(671),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1859),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1783),
    [anon_sym_typeof] = ACTIONS(1865),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1729),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1879),
    [anon_sym_DASH] = ACTIONS(1879),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1881),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1797),
    [sym_number] = ACTIONS(1799),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(1801),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(1799),
    [sym_false] = ACTIONS(1799),
    [sym_null] = ACTIONS(1799),
    [sym_undefined] = ACTIONS(1887),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1889),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1891),
    [anon_sym_number] = ACTIONS(1891),
    [anon_sym_boolean] = ACTIONS(1891),
    [anon_sym_string] = ACTIONS(1891),
    [anon_sym_symbol] = ACTIONS(1891),
    [anon_sym_object] = ACTIONS(1891),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3235),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8217),
    [sym_string] = STATE(3603),
    [sym_comment] = STATE(262),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(7004),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(5881),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(6553),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(663),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1893),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1895),
    [anon_sym_typeof] = ACTIONS(1343),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1897),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1767),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1349),
    [anon_sym_DASH] = ACTIONS(1349),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1192),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1351),
    [sym_number] = ACTIONS(1353),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(1899),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(1353),
    [sym_false] = ACTIONS(1353),
    [sym_null] = ACTIONS(1353),
    [sym_undefined] = ACTIONS(1901),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1773),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1903),
    [anon_sym_number] = ACTIONS(1903),
    [anon_sym_boolean] = ACTIONS(1903),
    [anon_sym_string] = ACTIONS(1903),
    [anon_sym_symbol] = ACTIONS(1903),
    [anon_sym_object] = ACTIONS(1903),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2361),
    [sym_subscript_expression] = STATE(2361),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5394),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3883),
    [sym_comment] = STATE(263),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_non_null_expression] = STATE(2361),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5900),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(626),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1905),
    [anon_sym_export] = ACTIONS(1907),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1907),
    [anon_sym_namespace] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_typeof] = ACTIONS(1913),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1907),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1907),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1917),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1919),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(89),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1923),
    [sym_number] = ACTIONS(1925),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(1927),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(1925),
    [sym_false] = ACTIONS(1925),
    [sym_null] = ACTIONS(1925),
    [sym_undefined] = ACTIONS(1929),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1907),
    [anon_sym_readonly] = ACTIONS(1931),
    [anon_sym_get] = ACTIONS(1907),
    [anon_sym_set] = ACTIONS(1907),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1907),
    [anon_sym_public] = ACTIONS(1907),
    [anon_sym_private] = ACTIONS(1907),
    [anon_sym_protected] = ACTIONS(1907),
    [anon_sym_override] = ACTIONS(1907),
    [anon_sym_module] = ACTIONS(1907),
    [anon_sym_any] = ACTIONS(1933),
    [anon_sym_number] = ACTIONS(1933),
    [anon_sym_boolean] = ACTIONS(1933),
    [anon_sym_string] = ACTIONS(1933),
    [anon_sym_symbol] = ACTIONS(1933),
    [anon_sym_object] = ACTIONS(1933),
    [anon_sym_property] = ACTIONS(1907),
    [anon_sym_signal] = ACTIONS(1907),
    [anon_sym_on] = ACTIONS(1907),
    [anon_sym_required] = ACTIONS(1907),
    [anon_sym_component] = ACTIONS(1907),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3076),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_nested_identifier] = STATE(8457),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2447),
    [sym_subscript_expression] = STATE(2447),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5903),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3713),
    [sym_comment] = STATE(264),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(6243),
    [sym_non_null_expression] = STATE(2447),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5900),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_type_arguments] = STATE(663),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7994),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1935),
    [anon_sym_export] = ACTIONS(1937),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(1937),
    [anon_sym_namespace] = ACTIONS(1939),
    [anon_sym_LBRACE] = ACTIONS(1941),
    [anon_sym_typeof] = ACTIONS(1168),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1937),
    [anon_sym_let] = ACTIONS(1937),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(46),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1937),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1943),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1945),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1192),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(94),
    [sym_number] = ACTIONS(96),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(1198),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(96),
    [sym_false] = ACTIONS(96),
    [sym_null] = ACTIONS(96),
    [sym_undefined] = ACTIONS(1947),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1937),
    [anon_sym_readonly] = ACTIONS(1949),
    [anon_sym_get] = ACTIONS(1937),
    [anon_sym_set] = ACTIONS(1937),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_declare] = ACTIONS(1937),
    [anon_sym_public] = ACTIONS(1937),
    [anon_sym_private] = ACTIONS(1937),
    [anon_sym_protected] = ACTIONS(1937),
    [anon_sym_override] = ACTIONS(1937),
    [anon_sym_module] = ACTIONS(1937),
    [anon_sym_any] = ACTIONS(1951),
    [anon_sym_number] = ACTIONS(1951),
    [anon_sym_boolean] = ACTIONS(1951),
    [anon_sym_string] = ACTIONS(1951),
    [anon_sym_symbol] = ACTIONS(1951),
    [anon_sym_object] = ACTIONS(1951),
    [anon_sym_property] = ACTIONS(1937),
    [anon_sym_signal] = ACTIONS(1937),
    [anon_sym_on] = ACTIONS(1937),
    [anon_sym_required] = ACTIONS(1937),
    [anon_sym_component] = ACTIONS(1937),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2975),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(265),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_as] = ACTIONS(1955),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(1955),
    [anon_sym_RBRACE] = ACTIONS(1955),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(1955),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_COLON] = ACTIONS(1955),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_RBRACK] = ACTIONS(1955),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_DOT] = ACTIONS(1955),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_QMARK_DOT] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_AMP_AMP] = ACTIONS(1955),
    [anon_sym_PIPE_PIPE] = ACTIONS(1955),
    [anon_sym_GT_GT] = ACTIONS(1955),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_STAR_STAR] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1955),
    [anon_sym_GT_EQ] = ACTIONS(1955),
    [anon_sym_QMARK_QMARK] = ACTIONS(1955),
    [anon_sym_instanceof] = ACTIONS(1955),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [anon_sym_satisfies] = ACTIONS(1955),
    [sym__ternary_qmark] = ACTIONS(1957),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3063),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(266),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_as] = ACTIONS(1955),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(1955),
    [anon_sym_RBRACE] = ACTIONS(1955),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(1955),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_DOT] = ACTIONS(1955),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_QMARK_DOT] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_AMP_AMP] = ACTIONS(1955),
    [anon_sym_PIPE_PIPE] = ACTIONS(1955),
    [anon_sym_GT_GT] = ACTIONS(1955),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_STAR_STAR] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1955),
    [anon_sym_GT_EQ] = ACTIONS(1955),
    [anon_sym_QMARK_QMARK] = ACTIONS(1955),
    [anon_sym_instanceof] = ACTIONS(1955),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [anon_sym_satisfies] = ACTIONS(1955),
    [sym__automatic_semicolon] = ACTIONS(1957),
    [sym__ternary_qmark] = ACTIONS(1957),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3091),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(267),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_as] = ACTIONS(1955),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(1955),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1955),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_DOT] = ACTIONS(1955),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_QMARK_DOT] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_AMP_AMP] = ACTIONS(1955),
    [anon_sym_PIPE_PIPE] = ACTIONS(1955),
    [anon_sym_GT_GT] = ACTIONS(1955),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_STAR_STAR] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1955),
    [anon_sym_GT_EQ] = ACTIONS(1955),
    [anon_sym_QMARK_QMARK] = ACTIONS(1955),
    [anon_sym_instanceof] = ACTIONS(1955),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [anon_sym_satisfies] = ACTIONS(1955),
    [sym__automatic_semicolon] = ACTIONS(1957),
    [sym__ternary_qmark] = ACTIONS(1957),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3358),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(268),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_STAR] = ACTIONS(1975),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_as] = ACTIONS(1955),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_SEMI] = ACTIONS(1955),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_DOT] = ACTIONS(1955),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_QMARK_DOT] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_AMP_AMP] = ACTIONS(1955),
    [anon_sym_PIPE_PIPE] = ACTIONS(1955),
    [anon_sym_GT_GT] = ACTIONS(1955),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_STAR_STAR] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1955),
    [anon_sym_GT_EQ] = ACTIONS(1955),
    [anon_sym_QMARK_QMARK] = ACTIONS(1955),
    [anon_sym_instanceof] = ACTIONS(1955),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_satisfies] = ACTIONS(1955),
    [sym__automatic_semicolon] = ACTIONS(1957),
    [sym__ternary_qmark] = ACTIONS(1957),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3263),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(269),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_STAR] = ACTIONS(1983),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_as] = ACTIONS(1955),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(1955),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_DOT] = ACTIONS(1955),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_QMARK_DOT] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_AMP_AMP] = ACTIONS(1955),
    [anon_sym_PIPE_PIPE] = ACTIONS(1955),
    [anon_sym_GT_GT] = ACTIONS(1955),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_STAR_STAR] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1955),
    [anon_sym_GT_EQ] = ACTIONS(1955),
    [anon_sym_QMARK_QMARK] = ACTIONS(1955),
    [anon_sym_instanceof] = ACTIONS(1955),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [anon_sym_satisfies] = ACTIONS(1955),
    [anon_sym_implements] = ACTIONS(1955),
    [sym__ternary_qmark] = ACTIONS(1957),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3586),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(270),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1991),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_as] = ACTIONS(1955),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_COLON] = ACTIONS(1955),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_DOT] = ACTIONS(1955),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_QMARK_DOT] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_AMP_AMP] = ACTIONS(1955),
    [anon_sym_PIPE_PIPE] = ACTIONS(1955),
    [anon_sym_GT_GT] = ACTIONS(1955),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_STAR_STAR] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1955),
    [anon_sym_GT_EQ] = ACTIONS(1955),
    [anon_sym_QMARK_QMARK] = ACTIONS(1955),
    [anon_sym_instanceof] = ACTIONS(1955),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [anon_sym_satisfies] = ACTIONS(1955),
    [sym__ternary_qmark] = ACTIONS(1957),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3568),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(271),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_STAR] = ACTIONS(1999),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_as] = ACTIONS(1955),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_RBRACK] = ACTIONS(1955),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_DOT] = ACTIONS(1955),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_QMARK_DOT] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_AMP_AMP] = ACTIONS(1955),
    [anon_sym_PIPE_PIPE] = ACTIONS(1955),
    [anon_sym_GT_GT] = ACTIONS(1955),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_STAR_STAR] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1955),
    [anon_sym_GT_EQ] = ACTIONS(1955),
    [anon_sym_QMARK_QMARK] = ACTIONS(1955),
    [anon_sym_instanceof] = ACTIONS(1955),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [anon_sym_satisfies] = ACTIONS(1955),
    [sym__ternary_qmark] = ACTIONS(1957),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3564),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(272),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_as] = ACTIONS(1955),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_DOT] = ACTIONS(1955),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_QMARK_DOT] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_AMP_AMP] = ACTIONS(1955),
    [anon_sym_PIPE_PIPE] = ACTIONS(1955),
    [anon_sym_GT_GT] = ACTIONS(1955),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_STAR_STAR] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1955),
    [anon_sym_GT_EQ] = ACTIONS(1955),
    [anon_sym_QMARK_QMARK] = ACTIONS(1955),
    [anon_sym_instanceof] = ACTIONS(1955),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [anon_sym_satisfies] = ACTIONS(1955),
    [sym__ternary_qmark] = ACTIONS(1957),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3848),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(273),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(2013),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_as] = ACTIONS(1955),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_in] = ACTIONS(1955),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_DOT] = ACTIONS(1955),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_QMARK_DOT] = ACTIONS(1955),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_AMP_AMP] = ACTIONS(1955),
    [anon_sym_PIPE_PIPE] = ACTIONS(1955),
    [anon_sym_GT_GT] = ACTIONS(1955),
    [anon_sym_GT_GT_GT] = ACTIONS(1955),
    [anon_sym_LT_LT] = ACTIONS(1955),
    [anon_sym_AMP] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_PIPE] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_STAR_STAR] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1955),
    [anon_sym_EQ_EQ] = ACTIONS(1955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ] = ACTIONS(1955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1955),
    [anon_sym_GT_EQ] = ACTIONS(1955),
    [anon_sym_QMARK_QMARK] = ACTIONS(1955),
    [anon_sym_instanceof] = ACTIONS(1955),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_satisfies] = ACTIONS(1955),
    [sym__ternary_qmark] = ACTIONS(1957),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_declaration] = STATE(4216),
    [sym_import] = STATE(5160),
    [sym_variable_declaration] = STATE(4080),
    [sym_lexical_declaration] = STATE(4080),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3460),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4080),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4080),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4080),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(274),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_function_signature] = STATE(4080),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4080),
    [sym_abstract_class_declaration] = STATE(4080),
    [sym_module] = STATE(4080),
    [sym_internal_module] = STATE(1853),
    [sym_import_alias] = STATE(4080),
    [sym_interface_declaration] = STATE(4080),
    [sym_enum_declaration] = STATE(4080),
    [sym_type_alias_declaration] = STATE(4080),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5807),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(2015),
    [anon_sym_namespace] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(2019),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(982),
    [anon_sym_let] = ACTIONS(2021),
    [anon_sym_const] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(2023),
    [anon_sym_function] = ACTIONS(1016),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(2025),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(2027),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_interface] = ACTIONS(1026),
    [anon_sym_enum] = ACTIONS(1028),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_declaration] = STATE(4414),
    [sym_import] = STATE(5160),
    [sym_variable_declaration] = STATE(4255),
    [sym_lexical_declaration] = STATE(4255),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3309),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4255),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4255),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4255),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(275),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_function_signature] = STATE(4255),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4255),
    [sym_abstract_class_declaration] = STATE(4255),
    [sym_module] = STATE(4255),
    [sym_internal_module] = STATE(1909),
    [sym_import_alias] = STATE(4255),
    [sym_interface_declaration] = STATE(4255),
    [sym_enum_declaration] = STATE(4255),
    [sym_type_alias_declaration] = STATE(4255),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5786),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(2029),
    [anon_sym_namespace] = ACTIONS(2031),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(1046),
    [anon_sym_let] = ACTIONS(2035),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1076),
    [anon_sym_async] = ACTIONS(2037),
    [anon_sym_function] = ACTIONS(1080),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(2039),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(2041),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(1088),
    [anon_sym_interface] = ACTIONS(1090),
    [anon_sym_enum] = ACTIONS(1092),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_declaration] = STATE(7906),
    [sym_import] = STATE(5160),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3444),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(8195),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(276),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_function_signature] = STATE(8195),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(3628),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5879),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(2043),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(918),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(2049),
    [anon_sym_function] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(2051),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(2053),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_declaration] = STATE(1643),
    [sym_import] = STATE(5160),
    [sym_variable_declaration] = STATE(1587),
    [sym_lexical_declaration] = STATE(1587),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3477),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1587),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1587),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1587),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(277),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_function_signature] = STATE(1587),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1587),
    [sym_abstract_class_declaration] = STATE(1587),
    [sym_module] = STATE(1587),
    [sym_internal_module] = STATE(478),
    [sym_import_alias] = STATE(1587),
    [sym_interface_declaration] = STATE(1587),
    [sym_enum_declaration] = STATE(1587),
    [sym_type_alias_declaration] = STATE(1587),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6030),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(2059),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(1110),
    [anon_sym_let] = ACTIONS(2061),
    [anon_sym_const] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1140),
    [anon_sym_async] = ACTIONS(2063),
    [anon_sym_function] = ACTIONS(1144),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(1152),
    [anon_sym_interface] = ACTIONS(1154),
    [anon_sym_enum] = ACTIONS(1156),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_declaration] = STATE(1476),
    [sym_import] = STATE(5160),
    [sym_variable_declaration] = STATE(1587),
    [sym_lexical_declaration] = STATE(1587),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3496),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1587),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1587),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1587),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(278),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_function_signature] = STATE(1587),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1587),
    [sym_abstract_class_declaration] = STATE(1587),
    [sym_module] = STATE(1587),
    [sym_internal_module] = STATE(478),
    [sym_import_alias] = STATE(1587),
    [sym_interface_declaration] = STATE(1587),
    [sym_enum_declaration] = STATE(1587),
    [sym_type_alias_declaration] = STATE(1587),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6030),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(2055),
    [anon_sym_namespace] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(2059),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(1110),
    [anon_sym_let] = ACTIONS(2061),
    [anon_sym_const] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1140),
    [anon_sym_async] = ACTIONS(2063),
    [anon_sym_function] = ACTIONS(1144),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(2067),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(1152),
    [anon_sym_interface] = ACTIONS(1154),
    [anon_sym_enum] = ACTIONS(1156),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_declaration] = STATE(1680),
    [sym_import] = STATE(5160),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3367),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(279),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5763),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(2069),
    [anon_sym_namespace] = ACTIONS(2071),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(2073),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(2075),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(2079),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_declaration] = STATE(1151),
    [sym_import] = STATE(5160),
    [sym_variable_declaration] = STATE(1092),
    [sym_lexical_declaration] = STATE(1092),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3369),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1092),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1092),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1092),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(280),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_function_signature] = STATE(1092),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1092),
    [sym_abstract_class_declaration] = STATE(1092),
    [sym_module] = STATE(1092),
    [sym_internal_module] = STATE(372),
    [sym_import_alias] = STATE(1092),
    [sym_interface_declaration] = STATE(1092),
    [sym_enum_declaration] = STATE(1092),
    [sym_type_alias_declaration] = STATE(1092),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6227),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(2083),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(2087),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(854),
    [anon_sym_let] = ACTIONS(2089),
    [anon_sym_const] = ACTIONS(858),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(884),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(888),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(2095),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(896),
    [anon_sym_interface] = ACTIONS(898),
    [anon_sym_enum] = ACTIONS(900),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_declaration] = STATE(1285),
    [sym_import] = STATE(5160),
    [sym_variable_declaration] = STATE(1302),
    [sym_lexical_declaration] = STATE(1302),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3463),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1302),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1302),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1302),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(281),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_function_signature] = STATE(1302),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1302),
    [sym_abstract_class_declaration] = STATE(1302),
    [sym_module] = STATE(1302),
    [sym_internal_module] = STATE(398),
    [sym_import_alias] = STATE(1302),
    [sym_interface_declaration] = STATE(1302),
    [sym_enum_declaration] = STATE(1302),
    [sym_type_alias_declaration] = STATE(1302),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6312),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(2097),
    [anon_sym_namespace] = ACTIONS(2099),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(2101),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(371),
    [anon_sym_let] = ACTIONS(2103),
    [anon_sym_const] = ACTIONS(375),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(407),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(2107),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_interface] = ACTIONS(419),
    [anon_sym_enum] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_declaration] = STATE(1748),
    [sym_import] = STATE(5160),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3382),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1751),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(282),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_function_signature] = STATE(1751),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(504),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5763),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(2069),
    [anon_sym_namespace] = ACTIONS(2071),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(2073),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(159),
    [anon_sym_let] = ACTIONS(2075),
    [anon_sym_const] = ACTIONS(163),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(205),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(2079),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(243),
    [anon_sym_enum] = ACTIONS(245),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_declaration] = STATE(1311),
    [sym_import] = STATE(5160),
    [sym_variable_declaration] = STATE(1302),
    [sym_lexical_declaration] = STATE(1302),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3410),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1302),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1302),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1302),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(283),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_function_signature] = STATE(1302),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1302),
    [sym_abstract_class_declaration] = STATE(1302),
    [sym_module] = STATE(1302),
    [sym_internal_module] = STATE(398),
    [sym_import_alias] = STATE(1302),
    [sym_interface_declaration] = STATE(1302),
    [sym_enum_declaration] = STATE(1302),
    [sym_type_alias_declaration] = STATE(1302),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6312),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(2097),
    [anon_sym_namespace] = ACTIONS(2099),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(2101),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(371),
    [anon_sym_let] = ACTIONS(2103),
    [anon_sym_const] = ACTIONS(375),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(403),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(407),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(2107),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_interface] = ACTIONS(419),
    [anon_sym_enum] = ACTIONS(421),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_declaration] = STATE(6302),
    [sym_import] = STATE(5160),
    [sym_variable_declaration] = STATE(6274),
    [sym_lexical_declaration] = STATE(6274),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3314),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(6274),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(6274),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(6274),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(284),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_function_signature] = STATE(6274),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(6274),
    [sym_abstract_class_declaration] = STATE(6274),
    [sym_module] = STATE(6274),
    [sym_internal_module] = STATE(3758),
    [sym_import_alias] = STATE(6274),
    [sym_interface_declaration] = STATE(6274),
    [sym_enum_declaration] = STATE(6274),
    [sym_type_alias_declaration] = STATE(6274),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5917),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(2111),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(2113),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(2115),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2123),
    [anon_sym_function] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(2129),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(2131),
    [anon_sym_interface] = ACTIONS(2133),
    [anon_sym_enum] = ACTIONS(2135),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_declaration] = STATE(5831),
    [sym_import] = STATE(5160),
    [sym_variable_declaration] = STATE(6274),
    [sym_lexical_declaration] = STATE(6274),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3370),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(6274),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(6274),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(6274),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(285),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_function_signature] = STATE(6274),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(6274),
    [sym_abstract_class_declaration] = STATE(6274),
    [sym_module] = STATE(6274),
    [sym_internal_module] = STATE(3758),
    [sym_import_alias] = STATE(6274),
    [sym_interface_declaration] = STATE(6274),
    [sym_enum_declaration] = STATE(6274),
    [sym_type_alias_declaration] = STATE(6274),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5917),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(2111),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(2113),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(2115),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2119),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2123),
    [anon_sym_function] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(2129),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(2131),
    [anon_sym_interface] = ACTIONS(2133),
    [anon_sym_enum] = ACTIONS(2135),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_declaration] = STATE(1091),
    [sym_import] = STATE(5160),
    [sym_variable_declaration] = STATE(1092),
    [sym_lexical_declaration] = STATE(1092),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3378),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(1092),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(1092),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(1092),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(286),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_function_signature] = STATE(1092),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(1092),
    [sym_abstract_class_declaration] = STATE(1092),
    [sym_module] = STATE(1092),
    [sym_internal_module] = STATE(372),
    [sym_import_alias] = STATE(1092),
    [sym_interface_declaration] = STATE(1092),
    [sym_enum_declaration] = STATE(1092),
    [sym_type_alias_declaration] = STATE(1092),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6227),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(2083),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(2087),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(854),
    [anon_sym_let] = ACTIONS(2089),
    [anon_sym_const] = ACTIONS(858),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(884),
    [anon_sym_async] = ACTIONS(2091),
    [anon_sym_function] = ACTIONS(888),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(2095),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(896),
    [anon_sym_interface] = ACTIONS(898),
    [anon_sym_enum] = ACTIONS(900),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_declaration] = STATE(4412),
    [sym_import] = STATE(5160),
    [sym_variable_declaration] = STATE(4255),
    [sym_lexical_declaration] = STATE(4255),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3323),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4255),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4255),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4255),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(287),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_function_signature] = STATE(4255),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4255),
    [sym_abstract_class_declaration] = STATE(4255),
    [sym_module] = STATE(4255),
    [sym_internal_module] = STATE(1909),
    [sym_import_alias] = STATE(4255),
    [sym_interface_declaration] = STATE(4255),
    [sym_enum_declaration] = STATE(4255),
    [sym_type_alias_declaration] = STATE(4255),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5786),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(2029),
    [anon_sym_namespace] = ACTIONS(2031),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(1046),
    [anon_sym_let] = ACTIONS(2035),
    [anon_sym_const] = ACTIONS(1050),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1076),
    [anon_sym_async] = ACTIONS(2037),
    [anon_sym_function] = ACTIONS(1080),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(2039),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(2041),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(1088),
    [anon_sym_interface] = ACTIONS(1090),
    [anon_sym_enum] = ACTIONS(1092),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_declaration] = STATE(4113),
    [sym_import] = STATE(5160),
    [sym_variable_declaration] = STATE(4080),
    [sym_lexical_declaration] = STATE(4080),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3426),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(4080),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(4080),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(4080),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(288),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_function_signature] = STATE(4080),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(4080),
    [sym_abstract_class_declaration] = STATE(4080),
    [sym_module] = STATE(4080),
    [sym_internal_module] = STATE(1853),
    [sym_import_alias] = STATE(4080),
    [sym_interface_declaration] = STATE(4080),
    [sym_enum_declaration] = STATE(4080),
    [sym_type_alias_declaration] = STATE(4080),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5807),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(2015),
    [anon_sym_namespace] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(2019),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(982),
    [anon_sym_let] = ACTIONS(2021),
    [anon_sym_const] = ACTIONS(986),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(2023),
    [anon_sym_function] = ACTIONS(1016),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(2025),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(2027),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_interface] = ACTIONS(1026),
    [anon_sym_enum] = ACTIONS(1028),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_declaration] = STATE(7532),
    [sym_import] = STATE(5160),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3497),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_class_declaration] = STATE(8195),
    [sym_function_expression] = STATE(3749),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function] = STATE(3749),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(289),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_function_signature] = STATE(8195),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(3628),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(5879),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(2043),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_var] = ACTIONS(918),
    [anon_sym_let] = ACTIONS(2047),
    [anon_sym_const] = ACTIONS(922),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_async] = ACTIONS(2049),
    [anon_sym_function] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(2051),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(2053),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_interface] = ACTIONS(962),
    [anon_sym_enum] = ACTIONS(964),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(4320),
    [sym_statement_block] = STATE(4320),
    [sym_if_statement] = STATE(4320),
    [sym_switch_statement] = STATE(4320),
    [sym_try_statement] = STATE(4320),
    [sym_with_statement] = STATE(4320),
    [sym_empty_statement] = STATE(4320),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8186),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(290),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [sym_ui_object_definition] = STATE(7922),
    [sym_ui_object_array] = STATE(7922),
    [sym_ui_nested_identifier] = STATE(7291),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2137),
    [anon_sym_export] = ACTIONS(2139),
    [anon_sym_type] = ACTIONS(2139),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2139),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_let] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(2139),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2139),
    [anon_sym_readonly] = ACTIONS(2139),
    [anon_sym_get] = ACTIONS(2139),
    [anon_sym_set] = ACTIONS(2139),
    [anon_sym_declare] = ACTIONS(2139),
    [anon_sym_public] = ACTIONS(2139),
    [anon_sym_private] = ACTIONS(2139),
    [anon_sym_protected] = ACTIONS(2139),
    [anon_sym_override] = ACTIONS(2139),
    [anon_sym_module] = ACTIONS(2139),
    [anon_sym_any] = ACTIONS(2139),
    [anon_sym_number] = ACTIONS(2139),
    [anon_sym_boolean] = ACTIONS(2139),
    [anon_sym_string] = ACTIONS(2139),
    [anon_sym_symbol] = ACTIONS(2139),
    [anon_sym_object] = ACTIONS(2139),
    [anon_sym_property] = ACTIONS(2139),
    [anon_sym_signal] = ACTIONS(2139),
    [anon_sym_on] = ACTIONS(2139),
    [anon_sym_required] = ACTIONS(2139),
    [anon_sym_component] = ACTIONS(2139),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(4268),
    [sym_statement_block] = STATE(4268),
    [sym_if_statement] = STATE(4268),
    [sym_switch_statement] = STATE(4268),
    [sym_try_statement] = STATE(4268),
    [sym_with_statement] = STATE(4268),
    [sym_empty_statement] = STATE(4268),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8186),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(291),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [sym_ui_object_definition] = STATE(7561),
    [sym_ui_object_array] = STATE(7561),
    [sym_ui_nested_identifier] = STATE(7291),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2137),
    [anon_sym_export] = ACTIONS(2139),
    [anon_sym_type] = ACTIONS(2139),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2139),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_let] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(2139),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2139),
    [anon_sym_readonly] = ACTIONS(2139),
    [anon_sym_get] = ACTIONS(2139),
    [anon_sym_set] = ACTIONS(2139),
    [anon_sym_declare] = ACTIONS(2139),
    [anon_sym_public] = ACTIONS(2139),
    [anon_sym_private] = ACTIONS(2139),
    [anon_sym_protected] = ACTIONS(2139),
    [anon_sym_override] = ACTIONS(2139),
    [anon_sym_module] = ACTIONS(2139),
    [anon_sym_any] = ACTIONS(2139),
    [anon_sym_number] = ACTIONS(2139),
    [anon_sym_boolean] = ACTIONS(2139),
    [anon_sym_string] = ACTIONS(2139),
    [anon_sym_symbol] = ACTIONS(2139),
    [anon_sym_object] = ACTIONS(2139),
    [anon_sym_property] = ACTIONS(2139),
    [anon_sym_signal] = ACTIONS(2139),
    [anon_sym_on] = ACTIONS(2139),
    [anon_sym_required] = ACTIONS(2139),
    [anon_sym_component] = ACTIONS(2139),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(4319),
    [sym_statement_block] = STATE(4319),
    [sym_if_statement] = STATE(4319),
    [sym_switch_statement] = STATE(4319),
    [sym_try_statement] = STATE(4319),
    [sym_with_statement] = STATE(4319),
    [sym_empty_statement] = STATE(4319),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8186),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(292),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [sym_ui_object_definition] = STATE(7923),
    [sym_ui_object_array] = STATE(7923),
    [sym_ui_nested_identifier] = STATE(7291),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2137),
    [anon_sym_export] = ACTIONS(2139),
    [anon_sym_type] = ACTIONS(2139),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2139),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_let] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(2139),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2139),
    [anon_sym_readonly] = ACTIONS(2139),
    [anon_sym_get] = ACTIONS(2139),
    [anon_sym_set] = ACTIONS(2139),
    [anon_sym_declare] = ACTIONS(2139),
    [anon_sym_public] = ACTIONS(2139),
    [anon_sym_private] = ACTIONS(2139),
    [anon_sym_protected] = ACTIONS(2139),
    [anon_sym_override] = ACTIONS(2139),
    [anon_sym_module] = ACTIONS(2139),
    [anon_sym_any] = ACTIONS(2139),
    [anon_sym_number] = ACTIONS(2139),
    [anon_sym_boolean] = ACTIONS(2139),
    [anon_sym_string] = ACTIONS(2139),
    [anon_sym_symbol] = ACTIONS(2139),
    [anon_sym_object] = ACTIONS(2139),
    [anon_sym_property] = ACTIONS(2139),
    [anon_sym_signal] = ACTIONS(2139),
    [anon_sym_on] = ACTIONS(2139),
    [anon_sym_required] = ACTIONS(2139),
    [anon_sym_component] = ACTIONS(2139),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(4279),
    [sym_statement_block] = STATE(4279),
    [sym_if_statement] = STATE(4279),
    [sym_switch_statement] = STATE(4279),
    [sym_try_statement] = STATE(4279),
    [sym_with_statement] = STATE(4279),
    [sym_empty_statement] = STATE(4279),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8186),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(293),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [sym_ui_object_definition] = STATE(4279),
    [sym_ui_object_array] = STATE(4279),
    [sym_ui_nested_identifier] = STATE(6787),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_export] = ACTIONS(2149),
    [anon_sym_type] = ACTIONS(2149),
    [anon_sym_namespace] = ACTIONS(2151),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2149),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_let] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(2149),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(2153),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2149),
    [anon_sym_readonly] = ACTIONS(2149),
    [anon_sym_get] = ACTIONS(2149),
    [anon_sym_set] = ACTIONS(2149),
    [anon_sym_declare] = ACTIONS(2149),
    [anon_sym_public] = ACTIONS(2149),
    [anon_sym_private] = ACTIONS(2149),
    [anon_sym_protected] = ACTIONS(2149),
    [anon_sym_override] = ACTIONS(2149),
    [anon_sym_module] = ACTIONS(2149),
    [anon_sym_any] = ACTIONS(2149),
    [anon_sym_number] = ACTIONS(2149),
    [anon_sym_boolean] = ACTIONS(2149),
    [anon_sym_string] = ACTIONS(2149),
    [anon_sym_symbol] = ACTIONS(2149),
    [anon_sym_object] = ACTIONS(2149),
    [anon_sym_property] = ACTIONS(2149),
    [anon_sym_signal] = ACTIONS(2149),
    [anon_sym_on] = ACTIONS(2149),
    [anon_sym_required] = ACTIONS(2149),
    [anon_sym_component] = ACTIONS(2149),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(4234),
    [sym_statement_block] = STATE(4234),
    [sym_if_statement] = STATE(4234),
    [sym_switch_statement] = STATE(4234),
    [sym_try_statement] = STATE(4234),
    [sym_with_statement] = STATE(4234),
    [sym_empty_statement] = STATE(4234),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8186),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(294),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [sym_ui_object_definition] = STATE(7930),
    [sym_ui_object_array] = STATE(7930),
    [sym_ui_nested_identifier] = STATE(7291),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2137),
    [anon_sym_export] = ACTIONS(2139),
    [anon_sym_type] = ACTIONS(2139),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2139),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_let] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(2139),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2139),
    [anon_sym_readonly] = ACTIONS(2139),
    [anon_sym_get] = ACTIONS(2139),
    [anon_sym_set] = ACTIONS(2139),
    [anon_sym_declare] = ACTIONS(2139),
    [anon_sym_public] = ACTIONS(2139),
    [anon_sym_private] = ACTIONS(2139),
    [anon_sym_protected] = ACTIONS(2139),
    [anon_sym_override] = ACTIONS(2139),
    [anon_sym_module] = ACTIONS(2139),
    [anon_sym_any] = ACTIONS(2139),
    [anon_sym_number] = ACTIONS(2139),
    [anon_sym_boolean] = ACTIONS(2139),
    [anon_sym_string] = ACTIONS(2139),
    [anon_sym_symbol] = ACTIONS(2139),
    [anon_sym_object] = ACTIONS(2139),
    [anon_sym_property] = ACTIONS(2139),
    [anon_sym_signal] = ACTIONS(2139),
    [anon_sym_on] = ACTIONS(2139),
    [anon_sym_required] = ACTIONS(2139),
    [anon_sym_component] = ACTIONS(2139),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(4256),
    [sym_statement_block] = STATE(4256),
    [sym_if_statement] = STATE(4256),
    [sym_switch_statement] = STATE(4256),
    [sym_try_statement] = STATE(4256),
    [sym_with_statement] = STATE(4256),
    [sym_empty_statement] = STATE(4256),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8186),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(295),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [sym_ui_object_definition] = STATE(7458),
    [sym_ui_object_array] = STATE(7458),
    [sym_ui_nested_identifier] = STATE(7291),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2137),
    [anon_sym_export] = ACTIONS(2139),
    [anon_sym_type] = ACTIONS(2139),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2139),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_let] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(2139),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2139),
    [anon_sym_readonly] = ACTIONS(2139),
    [anon_sym_get] = ACTIONS(2139),
    [anon_sym_set] = ACTIONS(2139),
    [anon_sym_declare] = ACTIONS(2139),
    [anon_sym_public] = ACTIONS(2139),
    [anon_sym_private] = ACTIONS(2139),
    [anon_sym_protected] = ACTIONS(2139),
    [anon_sym_override] = ACTIONS(2139),
    [anon_sym_module] = ACTIONS(2139),
    [anon_sym_any] = ACTIONS(2139),
    [anon_sym_number] = ACTIONS(2139),
    [anon_sym_boolean] = ACTIONS(2139),
    [anon_sym_string] = ACTIONS(2139),
    [anon_sym_symbol] = ACTIONS(2139),
    [anon_sym_object] = ACTIONS(2139),
    [anon_sym_property] = ACTIONS(2139),
    [anon_sym_signal] = ACTIONS(2139),
    [anon_sym_on] = ACTIONS(2139),
    [anon_sym_required] = ACTIONS(2139),
    [anon_sym_component] = ACTIONS(2139),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(4313),
    [sym_statement_block] = STATE(4313),
    [sym_if_statement] = STATE(4313),
    [sym_switch_statement] = STATE(4313),
    [sym_try_statement] = STATE(4313),
    [sym_with_statement] = STATE(4313),
    [sym_empty_statement] = STATE(4313),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8186),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(296),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [sym_ui_object_definition] = STATE(7945),
    [sym_ui_object_array] = STATE(7945),
    [sym_ui_nested_identifier] = STATE(7291),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2137),
    [anon_sym_export] = ACTIONS(2139),
    [anon_sym_type] = ACTIONS(2139),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2139),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_let] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(2139),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2139),
    [anon_sym_readonly] = ACTIONS(2139),
    [anon_sym_get] = ACTIONS(2139),
    [anon_sym_set] = ACTIONS(2139),
    [anon_sym_declare] = ACTIONS(2139),
    [anon_sym_public] = ACTIONS(2139),
    [anon_sym_private] = ACTIONS(2139),
    [anon_sym_protected] = ACTIONS(2139),
    [anon_sym_override] = ACTIONS(2139),
    [anon_sym_module] = ACTIONS(2139),
    [anon_sym_any] = ACTIONS(2139),
    [anon_sym_number] = ACTIONS(2139),
    [anon_sym_boolean] = ACTIONS(2139),
    [anon_sym_string] = ACTIONS(2139),
    [anon_sym_symbol] = ACTIONS(2139),
    [anon_sym_object] = ACTIONS(2139),
    [anon_sym_property] = ACTIONS(2139),
    [anon_sym_signal] = ACTIONS(2139),
    [anon_sym_on] = ACTIONS(2139),
    [anon_sym_required] = ACTIONS(2139),
    [anon_sym_component] = ACTIONS(2139),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(4263),
    [sym_statement_block] = STATE(4263),
    [sym_if_statement] = STATE(4263),
    [sym_switch_statement] = STATE(4263),
    [sym_try_statement] = STATE(4263),
    [sym_with_statement] = STATE(4263),
    [sym_empty_statement] = STATE(4263),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8186),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(297),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [sym_ui_object_definition] = STATE(7565),
    [sym_ui_object_array] = STATE(7565),
    [sym_ui_nested_identifier] = STATE(7291),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2137),
    [anon_sym_export] = ACTIONS(2139),
    [anon_sym_type] = ACTIONS(2139),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2139),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_let] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(2139),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2139),
    [anon_sym_readonly] = ACTIONS(2139),
    [anon_sym_get] = ACTIONS(2139),
    [anon_sym_set] = ACTIONS(2139),
    [anon_sym_declare] = ACTIONS(2139),
    [anon_sym_public] = ACTIONS(2139),
    [anon_sym_private] = ACTIONS(2139),
    [anon_sym_protected] = ACTIONS(2139),
    [anon_sym_override] = ACTIONS(2139),
    [anon_sym_module] = ACTIONS(2139),
    [anon_sym_any] = ACTIONS(2139),
    [anon_sym_number] = ACTIONS(2139),
    [anon_sym_boolean] = ACTIONS(2139),
    [anon_sym_string] = ACTIONS(2139),
    [anon_sym_symbol] = ACTIONS(2139),
    [anon_sym_object] = ACTIONS(2139),
    [anon_sym_property] = ACTIONS(2139),
    [anon_sym_signal] = ACTIONS(2139),
    [anon_sym_on] = ACTIONS(2139),
    [anon_sym_required] = ACTIONS(2139),
    [anon_sym_component] = ACTIONS(2139),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(4259),
    [sym_statement_block] = STATE(4259),
    [sym_if_statement] = STATE(4259),
    [sym_switch_statement] = STATE(4259),
    [sym_try_statement] = STATE(4259),
    [sym_with_statement] = STATE(4259),
    [sym_empty_statement] = STATE(4259),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8186),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(298),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [sym_ui_object_definition] = STATE(7571),
    [sym_ui_object_array] = STATE(7571),
    [sym_ui_nested_identifier] = STATE(7291),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2137),
    [anon_sym_export] = ACTIONS(2139),
    [anon_sym_type] = ACTIONS(2139),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2139),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_let] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(2139),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2139),
    [anon_sym_readonly] = ACTIONS(2139),
    [anon_sym_get] = ACTIONS(2139),
    [anon_sym_set] = ACTIONS(2139),
    [anon_sym_declare] = ACTIONS(2139),
    [anon_sym_public] = ACTIONS(2139),
    [anon_sym_private] = ACTIONS(2139),
    [anon_sym_protected] = ACTIONS(2139),
    [anon_sym_override] = ACTIONS(2139),
    [anon_sym_module] = ACTIONS(2139),
    [anon_sym_any] = ACTIONS(2139),
    [anon_sym_number] = ACTIONS(2139),
    [anon_sym_boolean] = ACTIONS(2139),
    [anon_sym_string] = ACTIONS(2139),
    [anon_sym_symbol] = ACTIONS(2139),
    [anon_sym_object] = ACTIONS(2139),
    [anon_sym_property] = ACTIONS(2139),
    [anon_sym_signal] = ACTIONS(2139),
    [anon_sym_on] = ACTIONS(2139),
    [anon_sym_required] = ACTIONS(2139),
    [anon_sym_component] = ACTIONS(2139),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(4286),
    [sym_statement_block] = STATE(4286),
    [sym_if_statement] = STATE(4286),
    [sym_switch_statement] = STATE(4286),
    [sym_try_statement] = STATE(4286),
    [sym_with_statement] = STATE(4286),
    [sym_empty_statement] = STATE(4286),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3010),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8186),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(299),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [sym_ui_object_definition] = STATE(4286),
    [sym_ui_object_array] = STATE(4286),
    [sym_ui_nested_identifier] = STATE(6787),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2147),
    [anon_sym_export] = ACTIONS(2149),
    [anon_sym_type] = ACTIONS(2149),
    [anon_sym_namespace] = ACTIONS(2151),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2149),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_let] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(2149),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(2153),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2149),
    [anon_sym_readonly] = ACTIONS(2149),
    [anon_sym_get] = ACTIONS(2149),
    [anon_sym_set] = ACTIONS(2149),
    [anon_sym_declare] = ACTIONS(2149),
    [anon_sym_public] = ACTIONS(2149),
    [anon_sym_private] = ACTIONS(2149),
    [anon_sym_protected] = ACTIONS(2149),
    [anon_sym_override] = ACTIONS(2149),
    [anon_sym_module] = ACTIONS(2149),
    [anon_sym_any] = ACTIONS(2149),
    [anon_sym_number] = ACTIONS(2149),
    [anon_sym_boolean] = ACTIONS(2149),
    [anon_sym_string] = ACTIONS(2149),
    [anon_sym_symbol] = ACTIONS(2149),
    [anon_sym_object] = ACTIONS(2149),
    [anon_sym_property] = ACTIONS(2149),
    [anon_sym_signal] = ACTIONS(2149),
    [anon_sym_on] = ACTIONS(2149),
    [anon_sym_required] = ACTIONS(2149),
    [anon_sym_component] = ACTIONS(2149),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2787),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym__formal_parameter] = STATE(7043),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8319),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(300),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(2157),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(1345),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(2169),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1363),
    [anon_sym_private] = ACTIONS(1363),
    [anon_sym_protected] = ACTIONS(1363),
    [anon_sym_override] = ACTIONS(1365),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1160),
    [anon_sym_number] = ACTIONS(1160),
    [anon_sym_boolean] = ACTIONS(1160),
    [anon_sym_string] = ACTIONS(1160),
    [anon_sym_symbol] = ACTIONS(1160),
    [anon_sym_object] = ACTIONS(1160),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3230),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(7051),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(301),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [sym_ui_object_definition] = STATE(7053),
    [sym_ui_nested_identifier] = STATE(6609),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(7057),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(2171),
    [anon_sym_export] = ACTIONS(2173),
    [anon_sym_type] = ACTIONS(2173),
    [anon_sym_namespace] = ACTIONS(2175),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_COMMA] = ACTIONS(2177),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2173),
    [anon_sym_let] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(2173),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_RBRACK] = ACTIONS(2179),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_readonly] = ACTIONS(2173),
    [anon_sym_get] = ACTIONS(2173),
    [anon_sym_set] = ACTIONS(2173),
    [anon_sym_declare] = ACTIONS(2173),
    [anon_sym_public] = ACTIONS(2173),
    [anon_sym_private] = ACTIONS(2173),
    [anon_sym_protected] = ACTIONS(2173),
    [anon_sym_override] = ACTIONS(2173),
    [anon_sym_module] = ACTIONS(2173),
    [anon_sym_any] = ACTIONS(2173),
    [anon_sym_number] = ACTIONS(2173),
    [anon_sym_boolean] = ACTIONS(2173),
    [anon_sym_string] = ACTIONS(2173),
    [anon_sym_symbol] = ACTIONS(2173),
    [anon_sym_object] = ACTIONS(2173),
    [anon_sym_property] = ACTIONS(2173),
    [anon_sym_signal] = ACTIONS(2173),
    [anon_sym_on] = ACTIONS(2173),
    [anon_sym_required] = ACTIONS(2173),
    [anon_sym_component] = ACTIONS(2173),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3230),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(7051),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(302),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [sym_ui_object_definition] = STATE(6947),
    [sym_ui_nested_identifier] = STATE(6609),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(7057),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(2171),
    [anon_sym_export] = ACTIONS(2173),
    [anon_sym_type] = ACTIONS(2173),
    [anon_sym_namespace] = ACTIONS(2175),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_COMMA] = ACTIONS(2177),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2173),
    [anon_sym_let] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(2173),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_RBRACK] = ACTIONS(2179),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_readonly] = ACTIONS(2173),
    [anon_sym_get] = ACTIONS(2173),
    [anon_sym_set] = ACTIONS(2173),
    [anon_sym_declare] = ACTIONS(2173),
    [anon_sym_public] = ACTIONS(2173),
    [anon_sym_private] = ACTIONS(2173),
    [anon_sym_protected] = ACTIONS(2173),
    [anon_sym_override] = ACTIONS(2173),
    [anon_sym_module] = ACTIONS(2173),
    [anon_sym_any] = ACTIONS(2173),
    [anon_sym_number] = ACTIONS(2173),
    [anon_sym_boolean] = ACTIONS(2173),
    [anon_sym_string] = ACTIONS(2173),
    [anon_sym_symbol] = ACTIONS(2173),
    [anon_sym_object] = ACTIONS(2173),
    [anon_sym_property] = ACTIONS(2173),
    [anon_sym_signal] = ACTIONS(2173),
    [anon_sym_on] = ACTIONS(2173),
    [anon_sym_required] = ACTIONS(2173),
    [anon_sym_component] = ACTIONS(2173),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2890),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym__formal_parameter] = STATE(7043),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8209),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(303),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(2157),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(1345),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(2169),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1363),
    [anon_sym_private] = ACTIONS(1363),
    [anon_sym_protected] = ACTIONS(1363),
    [anon_sym_override] = ACTIONS(1365),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1160),
    [anon_sym_number] = ACTIONS(1160),
    [anon_sym_boolean] = ACTIONS(1160),
    [anon_sym_string] = ACTIONS(1160),
    [anon_sym_symbol] = ACTIONS(1160),
    [anon_sym_object] = ACTIONS(1160),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym__formal_parameter] = STATE(7799),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(304),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2183),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2187),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(1400),
    [anon_sym_private] = ACTIONS(1400),
    [anon_sym_protected] = ACTIONS(1400),
    [anon_sym_override] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym__formal_parameter] = STATE(7799),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(305),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2189),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2187),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(1400),
    [anon_sym_private] = ACTIONS(1400),
    [anon_sym_protected] = ACTIONS(1400),
    [anon_sym_override] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym__formal_parameter] = STATE(7799),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(306),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2191),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2187),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(1400),
    [anon_sym_private] = ACTIONS(1400),
    [anon_sym_protected] = ACTIONS(1400),
    [anon_sym_override] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym__formal_parameter] = STATE(7194),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(307),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2193),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2187),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(1400),
    [anon_sym_private] = ACTIONS(1400),
    [anon_sym_protected] = ACTIONS(1400),
    [anon_sym_override] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym__formal_parameter] = STATE(7799),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(308),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2195),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2187),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(1400),
    [anon_sym_private] = ACTIONS(1400),
    [anon_sym_protected] = ACTIONS(1400),
    [anon_sym_override] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym__formal_parameter] = STATE(6924),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(309),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2197),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2187),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(1400),
    [anon_sym_private] = ACTIONS(1400),
    [anon_sym_protected] = ACTIONS(1400),
    [anon_sym_override] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym__formal_parameter] = STATE(7799),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(310),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2199),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2187),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(1400),
    [anon_sym_private] = ACTIONS(1400),
    [anon_sym_protected] = ACTIONS(1400),
    [anon_sym_override] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym__formal_parameter] = STATE(7043),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(311),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(1345),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2187),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(1400),
    [anon_sym_private] = ACTIONS(1400),
    [anon_sym_protected] = ACTIONS(1400),
    [anon_sym_override] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym__formal_parameter] = STATE(7799),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(312),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2201),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2187),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(1400),
    [anon_sym_private] = ACTIONS(1400),
    [anon_sym_protected] = ACTIONS(1400),
    [anon_sym_override] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3209),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(6943),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(313),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(6951),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(2157),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_COMMA] = ACTIONS(2177),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_RBRACK] = ACTIONS(2203),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1160),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1160),
    [anon_sym_number] = ACTIONS(1160),
    [anon_sym_boolean] = ACTIONS(1160),
    [anon_sym_string] = ACTIONS(1160),
    [anon_sym_symbol] = ACTIONS(1160),
    [anon_sym_object] = ACTIONS(1160),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym__formal_parameter] = STATE(7799),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(314),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(5819),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_accessibility_modifier] = STATE(432),
    [sym_override_modifier] = STATE(489),
    [sym_required_parameter] = STATE(8040),
    [sym_optional_parameter] = STATE(8040),
    [sym__parameter_name] = STATE(5302),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2187),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(1400),
    [anon_sym_private] = ACTIONS(1400),
    [anon_sym_protected] = ACTIONS(1400),
    [anon_sym_override] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3230),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(7051),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(315),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(7057),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(2157),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_COMMA] = ACTIONS(2177),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_RBRACK] = ACTIONS(2205),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1160),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1160),
    [anon_sym_number] = ACTIONS(1160),
    [anon_sym_boolean] = ACTIONS(1160),
    [anon_sym_string] = ACTIONS(1160),
    [anon_sym_symbol] = ACTIONS(1160),
    [anon_sym_object] = ACTIONS(1160),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3209),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(6943),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(316),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(6951),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(2157),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_COMMA] = ACTIONS(2177),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_RBRACK] = ACTIONS(2207),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1160),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1160),
    [anon_sym_number] = ACTIONS(1160),
    [anon_sym_boolean] = ACTIONS(1160),
    [anon_sym_string] = ACTIONS(1160),
    [anon_sym_symbol] = ACTIONS(1160),
    [anon_sym_object] = ACTIONS(1160),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2973),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(317),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(2209),
    [anon_sym_RBRACE] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2209),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_RBRACK] = ACTIONS(2209),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_PIPE] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_QMARK] = ACTIONS(2209),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [anon_sym_extends] = ACTIONS(2209),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3226),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(7051),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(318),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(7057),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(2157),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_COMMA] = ACTIONS(2177),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_RBRACK] = ACTIONS(2179),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1160),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1160),
    [anon_sym_number] = ACTIONS(1160),
    [anon_sym_boolean] = ACTIONS(1160),
    [anon_sym_string] = ACTIONS(1160),
    [anon_sym_symbol] = ACTIONS(1160),
    [anon_sym_object] = ACTIONS(1160),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3209),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(6943),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(319),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(6951),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(2157),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_COMMA] = ACTIONS(2177),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_RBRACK] = ACTIONS(2211),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1160),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1160),
    [anon_sym_number] = ACTIONS(1160),
    [anon_sym_boolean] = ACTIONS(1160),
    [anon_sym_string] = ACTIONS(1160),
    [anon_sym_symbol] = ACTIONS(1160),
    [anon_sym_object] = ACTIONS(1160),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3209),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(6943),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(320),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(6951),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(2157),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_COMMA] = ACTIONS(2177),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_RBRACK] = ACTIONS(2213),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1160),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1160),
    [anon_sym_number] = ACTIONS(1160),
    [anon_sym_boolean] = ACTIONS(1160),
    [anon_sym_string] = ACTIONS(1160),
    [anon_sym_symbol] = ACTIONS(1160),
    [anon_sym_object] = ACTIONS(1160),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3230),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(7051),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(321),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(7057),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(2157),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_COMMA] = ACTIONS(2177),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_RBRACK] = ACTIONS(2179),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1160),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1160),
    [anon_sym_number] = ACTIONS(1160),
    [anon_sym_boolean] = ACTIONS(1160),
    [anon_sym_string] = ACTIONS(1160),
    [anon_sym_symbol] = ACTIONS(1160),
    [anon_sym_object] = ACTIONS(1160),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3209),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(6943),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(322),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(6951),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(2157),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_COMMA] = ACTIONS(2177),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_RBRACK] = ACTIONS(2215),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1160),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1160),
    [anon_sym_number] = ACTIONS(1160),
    [anon_sym_boolean] = ACTIONS(1160),
    [anon_sym_string] = ACTIONS(1160),
    [anon_sym_symbol] = ACTIONS(1160),
    [anon_sym_object] = ACTIONS(1160),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(484),
    [sym_variable_declaration] = STATE(484),
    [sym_lexical_declaration] = STATE(484),
    [sym_empty_statement] = STATE(484),
    [sym_parenthesized_expression] = STATE(2490),
    [sym_expression] = STATE(2980),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2490),
    [sym_subscript_expression] = STATE(2490),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(6927),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7738),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(323),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2490),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2217),
    [anon_sym_export] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2219),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2219),
    [anon_sym_var] = ACTIONS(2225),
    [anon_sym_let] = ACTIONS(2227),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(2233),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(2235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(2237),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(2239),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2219),
    [anon_sym_readonly] = ACTIONS(2219),
    [anon_sym_get] = ACTIONS(2219),
    [anon_sym_set] = ACTIONS(2219),
    [anon_sym_declare] = ACTIONS(2219),
    [anon_sym_public] = ACTIONS(2219),
    [anon_sym_private] = ACTIONS(2219),
    [anon_sym_protected] = ACTIONS(2219),
    [anon_sym_override] = ACTIONS(2219),
    [anon_sym_module] = ACTIONS(2219),
    [anon_sym_any] = ACTIONS(2219),
    [anon_sym_number] = ACTIONS(2219),
    [anon_sym_boolean] = ACTIONS(2219),
    [anon_sym_string] = ACTIONS(2219),
    [anon_sym_symbol] = ACTIONS(2219),
    [anon_sym_object] = ACTIONS(2219),
    [anon_sym_property] = ACTIONS(2219),
    [anon_sym_signal] = ACTIONS(2219),
    [anon_sym_on] = ACTIONS(2219),
    [anon_sym_required] = ACTIONS(2219),
    [anon_sym_component] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3581),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2535),
    [sym_subscript_expression] = STATE(2535),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(7010),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(324),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2535),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_mapped_type_clause] = STATE(8634),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(2241),
    [anon_sym_export] = ACTIONS(2243),
    [anon_sym_type] = ACTIONS(2243),
    [anon_sym_namespace] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(2247),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2243),
    [anon_sym_let] = ACTIONS(2243),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(2243),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_RBRACK] = ACTIONS(2249),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(2251),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2253),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2255),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2243),
    [anon_sym_readonly] = ACTIONS(2243),
    [anon_sym_get] = ACTIONS(2243),
    [anon_sym_set] = ACTIONS(2243),
    [anon_sym_declare] = ACTIONS(2243),
    [anon_sym_public] = ACTIONS(2243),
    [anon_sym_private] = ACTIONS(2243),
    [anon_sym_protected] = ACTIONS(2243),
    [anon_sym_override] = ACTIONS(2243),
    [anon_sym_module] = ACTIONS(2243),
    [anon_sym_any] = ACTIONS(2243),
    [anon_sym_number] = ACTIONS(2243),
    [anon_sym_boolean] = ACTIONS(2243),
    [anon_sym_string] = ACTIONS(2243),
    [anon_sym_symbol] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2243),
    [anon_sym_property] = ACTIONS(2243),
    [anon_sym_signal] = ACTIONS(2243),
    [anon_sym_on] = ACTIONS(2243),
    [anon_sym_required] = ACTIONS(2243),
    [anon_sym_component] = ACTIONS(2243),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(481),
    [sym_variable_declaration] = STATE(481),
    [sym_lexical_declaration] = STATE(481),
    [sym_empty_statement] = STATE(481),
    [sym_parenthesized_expression] = STATE(2490),
    [sym_expression] = STATE(2980),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2490),
    [sym_subscript_expression] = STATE(2490),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(6927),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7738),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(325),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2490),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2217),
    [anon_sym_export] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2219),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2219),
    [anon_sym_var] = ACTIONS(2225),
    [anon_sym_let] = ACTIONS(2227),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(2233),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(2235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(2237),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(2239),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2219),
    [anon_sym_readonly] = ACTIONS(2219),
    [anon_sym_get] = ACTIONS(2219),
    [anon_sym_set] = ACTIONS(2219),
    [anon_sym_declare] = ACTIONS(2219),
    [anon_sym_public] = ACTIONS(2219),
    [anon_sym_private] = ACTIONS(2219),
    [anon_sym_protected] = ACTIONS(2219),
    [anon_sym_override] = ACTIONS(2219),
    [anon_sym_module] = ACTIONS(2219),
    [anon_sym_any] = ACTIONS(2219),
    [anon_sym_number] = ACTIONS(2219),
    [anon_sym_boolean] = ACTIONS(2219),
    [anon_sym_string] = ACTIONS(2219),
    [anon_sym_symbol] = ACTIONS(2219),
    [anon_sym_object] = ACTIONS(2219),
    [anon_sym_property] = ACTIONS(2219),
    [anon_sym_signal] = ACTIONS(2219),
    [anon_sym_on] = ACTIONS(2219),
    [anon_sym_required] = ACTIONS(2219),
    [anon_sym_component] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(483),
    [sym_variable_declaration] = STATE(483),
    [sym_lexical_declaration] = STATE(483),
    [sym_empty_statement] = STATE(483),
    [sym_parenthesized_expression] = STATE(2490),
    [sym_expression] = STATE(2980),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2490),
    [sym_subscript_expression] = STATE(2490),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(6927),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7738),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(326),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2490),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2217),
    [anon_sym_export] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2219),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2219),
    [anon_sym_var] = ACTIONS(2225),
    [anon_sym_let] = ACTIONS(2227),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(2233),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(2235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(2237),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(2239),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2219),
    [anon_sym_readonly] = ACTIONS(2219),
    [anon_sym_get] = ACTIONS(2219),
    [anon_sym_set] = ACTIONS(2219),
    [anon_sym_declare] = ACTIONS(2219),
    [anon_sym_public] = ACTIONS(2219),
    [anon_sym_private] = ACTIONS(2219),
    [anon_sym_protected] = ACTIONS(2219),
    [anon_sym_override] = ACTIONS(2219),
    [anon_sym_module] = ACTIONS(2219),
    [anon_sym_any] = ACTIONS(2219),
    [anon_sym_number] = ACTIONS(2219),
    [anon_sym_boolean] = ACTIONS(2219),
    [anon_sym_string] = ACTIONS(2219),
    [anon_sym_symbol] = ACTIONS(2219),
    [anon_sym_object] = ACTIONS(2219),
    [anon_sym_property] = ACTIONS(2219),
    [anon_sym_signal] = ACTIONS(2219),
    [anon_sym_on] = ACTIONS(2219),
    [anon_sym_required] = ACTIONS(2219),
    [anon_sym_component] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(468),
    [sym_variable_declaration] = STATE(468),
    [sym_lexical_declaration] = STATE(468),
    [sym_empty_statement] = STATE(468),
    [sym_parenthesized_expression] = STATE(2490),
    [sym_expression] = STATE(2980),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2490),
    [sym_subscript_expression] = STATE(2490),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(6927),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7738),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(327),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2490),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2217),
    [anon_sym_export] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2219),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2219),
    [anon_sym_var] = ACTIONS(2225),
    [anon_sym_let] = ACTIONS(2227),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(2233),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(2235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(2237),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(2239),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2219),
    [anon_sym_readonly] = ACTIONS(2219),
    [anon_sym_get] = ACTIONS(2219),
    [anon_sym_set] = ACTIONS(2219),
    [anon_sym_declare] = ACTIONS(2219),
    [anon_sym_public] = ACTIONS(2219),
    [anon_sym_private] = ACTIONS(2219),
    [anon_sym_protected] = ACTIONS(2219),
    [anon_sym_override] = ACTIONS(2219),
    [anon_sym_module] = ACTIONS(2219),
    [anon_sym_any] = ACTIONS(2219),
    [anon_sym_number] = ACTIONS(2219),
    [anon_sym_boolean] = ACTIONS(2219),
    [anon_sym_string] = ACTIONS(2219),
    [anon_sym_symbol] = ACTIONS(2219),
    [anon_sym_object] = ACTIONS(2219),
    [anon_sym_property] = ACTIONS(2219),
    [anon_sym_signal] = ACTIONS(2219),
    [anon_sym_on] = ACTIONS(2219),
    [anon_sym_required] = ACTIONS(2219),
    [anon_sym_component] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(452),
    [sym_variable_declaration] = STATE(452),
    [sym_lexical_declaration] = STATE(452),
    [sym_empty_statement] = STATE(452),
    [sym_parenthesized_expression] = STATE(2490),
    [sym_expression] = STATE(2980),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2490),
    [sym_subscript_expression] = STATE(2490),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(6927),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7738),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(328),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2490),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2217),
    [anon_sym_export] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2219),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2219),
    [anon_sym_var] = ACTIONS(2225),
    [anon_sym_let] = ACTIONS(2227),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(2233),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(2235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(2237),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(2239),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2219),
    [anon_sym_readonly] = ACTIONS(2219),
    [anon_sym_get] = ACTIONS(2219),
    [anon_sym_set] = ACTIONS(2219),
    [anon_sym_declare] = ACTIONS(2219),
    [anon_sym_public] = ACTIONS(2219),
    [anon_sym_private] = ACTIONS(2219),
    [anon_sym_protected] = ACTIONS(2219),
    [anon_sym_override] = ACTIONS(2219),
    [anon_sym_module] = ACTIONS(2219),
    [anon_sym_any] = ACTIONS(2219),
    [anon_sym_number] = ACTIONS(2219),
    [anon_sym_boolean] = ACTIONS(2219),
    [anon_sym_string] = ACTIONS(2219),
    [anon_sym_symbol] = ACTIONS(2219),
    [anon_sym_object] = ACTIONS(2219),
    [anon_sym_property] = ACTIONS(2219),
    [anon_sym_signal] = ACTIONS(2219),
    [anon_sym_on] = ACTIONS(2219),
    [anon_sym_required] = ACTIONS(2219),
    [anon_sym_component] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2973),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(329),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(2209),
    [anon_sym_RBRACE] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_SEMI] = ACTIONS(2209),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_PIPE] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [anon_sym_extends] = ACTIONS(2209),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2209),
    [sym__automatic_semicolon] = ACTIONS(2257),
    [sym_html_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(474),
    [sym_variable_declaration] = STATE(474),
    [sym_lexical_declaration] = STATE(474),
    [sym_empty_statement] = STATE(474),
    [sym_parenthesized_expression] = STATE(2490),
    [sym_expression] = STATE(2980),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2490),
    [sym_subscript_expression] = STATE(2490),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(6927),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7738),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(330),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2490),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2217),
    [anon_sym_export] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2219),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2219),
    [anon_sym_var] = ACTIONS(2225),
    [anon_sym_let] = ACTIONS(2227),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(2233),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(2235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(2237),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(2239),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2219),
    [anon_sym_readonly] = ACTIONS(2219),
    [anon_sym_get] = ACTIONS(2219),
    [anon_sym_set] = ACTIONS(2219),
    [anon_sym_declare] = ACTIONS(2219),
    [anon_sym_public] = ACTIONS(2219),
    [anon_sym_private] = ACTIONS(2219),
    [anon_sym_protected] = ACTIONS(2219),
    [anon_sym_override] = ACTIONS(2219),
    [anon_sym_module] = ACTIONS(2219),
    [anon_sym_any] = ACTIONS(2219),
    [anon_sym_number] = ACTIONS(2219),
    [anon_sym_boolean] = ACTIONS(2219),
    [anon_sym_string] = ACTIONS(2219),
    [anon_sym_symbol] = ACTIONS(2219),
    [anon_sym_object] = ACTIONS(2219),
    [anon_sym_property] = ACTIONS(2219),
    [anon_sym_signal] = ACTIONS(2219),
    [anon_sym_on] = ACTIONS(2219),
    [anon_sym_required] = ACTIONS(2219),
    [anon_sym_component] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(331),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4642),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(1337),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_RPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(479),
    [sym_variable_declaration] = STATE(479),
    [sym_lexical_declaration] = STATE(479),
    [sym_empty_statement] = STATE(479),
    [sym_parenthesized_expression] = STATE(2490),
    [sym_expression] = STATE(2980),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2490),
    [sym_subscript_expression] = STATE(2490),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(6927),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7738),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(332),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2490),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2217),
    [anon_sym_export] = ACTIONS(2219),
    [anon_sym_type] = ACTIONS(2219),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2219),
    [anon_sym_var] = ACTIONS(2225),
    [anon_sym_let] = ACTIONS(2227),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(2233),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(2235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(2237),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(2239),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2219),
    [anon_sym_readonly] = ACTIONS(2219),
    [anon_sym_get] = ACTIONS(2219),
    [anon_sym_set] = ACTIONS(2219),
    [anon_sym_declare] = ACTIONS(2219),
    [anon_sym_public] = ACTIONS(2219),
    [anon_sym_private] = ACTIONS(2219),
    [anon_sym_protected] = ACTIONS(2219),
    [anon_sym_override] = ACTIONS(2219),
    [anon_sym_module] = ACTIONS(2219),
    [anon_sym_any] = ACTIONS(2219),
    [anon_sym_number] = ACTIONS(2219),
    [anon_sym_boolean] = ACTIONS(2219),
    [anon_sym_string] = ACTIONS(2219),
    [anon_sym_symbol] = ACTIONS(2219),
    [anon_sym_object] = ACTIONS(2219),
    [anon_sym_property] = ACTIONS(2219),
    [anon_sym_signal] = ACTIONS(2219),
    [anon_sym_on] = ACTIONS(2219),
    [anon_sym_required] = ACTIONS(2219),
    [anon_sym_component] = ACTIONS(2219),
    [sym_html_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6936),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(333),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6587),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_pattern_repeat1] = STATE(6941),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(2247),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACK] = ACTIONS(2285),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_comment] = STATE(334),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_EQ] = ACTIONS(2291),
    [anon_sym_as] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_COMMA] = ACTIONS(2289),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_in] = ACTIONS(2289),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_GT] = ACTIONS(2289),
    [anon_sym_DOT] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_QMARK_DOT] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2289),
    [anon_sym_PIPE_PIPE] = ACTIONS(2289),
    [anon_sym_GT_GT] = ACTIONS(2289),
    [anon_sym_GT_GT_GT] = ACTIONS(2289),
    [anon_sym_LT_LT] = ACTIONS(2289),
    [anon_sym_AMP] = ACTIONS(2289),
    [anon_sym_CARET] = ACTIONS(2289),
    [anon_sym_PIPE] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_PERCENT] = ACTIONS(2289),
    [anon_sym_STAR_STAR] = ACTIONS(2289),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_LT_EQ] = ACTIONS(2289),
    [anon_sym_EQ_EQ] = ACTIONS(2289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2289),
    [anon_sym_BANG_EQ] = ACTIONS(2289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2289),
    [anon_sym_GT_EQ] = ACTIONS(2289),
    [anon_sym_QMARK_QMARK] = ACTIONS(2289),
    [anon_sym_instanceof] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_satisfies] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(2293),
    [sym__ternary_qmark] = ACTIONS(2295),
    [sym_html_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_statement_block] = STATE(348),
    [sym_comment] = STATE(335),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_as] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2299),
    [anon_sym_COMMA] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_else] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_in] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_case] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(2301),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_QMARK_DOT] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_AMP_AMP] = ACTIONS(2297),
    [anon_sym_PIPE_PIPE] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_GT_GT_GT] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_AMP] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2297),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_STAR_STAR] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_QMARK_QMARK] = ACTIONS(2297),
    [anon_sym_instanceof] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_satisfies] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(336),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4642),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(1428),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_EQ_GT] = ACTIONS(1417),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3283),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(7806),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(7334),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(337),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(7150),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2157),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_COMMA] = ACTIONS(2305),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_RBRACK] = ACTIONS(2308),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1160),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1160),
    [anon_sym_number] = ACTIONS(1160),
    [anon_sym_boolean] = ACTIONS(1160),
    [anon_sym_string] = ACTIONS(1160),
    [anon_sym_symbol] = ACTIONS(1160),
    [anon_sym_object] = ACTIONS(1160),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [sym_html_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_statement_block] = STATE(348),
    [sym_comment] = STATE(338),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_as] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2299),
    [anon_sym_COMMA] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_else] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_in] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_case] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(2297),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_QMARK_DOT] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_AMP_AMP] = ACTIONS(2297),
    [anon_sym_PIPE_PIPE] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_GT_GT_GT] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_AMP] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2297),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_STAR_STAR] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_QMARK_QMARK] = ACTIONS(2297),
    [anon_sym_instanceof] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_satisfies] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_statement_block] = STATE(348),
    [sym_comment] = STATE(339),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_as] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2299),
    [anon_sym_COMMA] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_else] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_in] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_case] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(2312),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_QMARK_DOT] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_AMP_AMP] = ACTIONS(2297),
    [anon_sym_PIPE_PIPE] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_GT_GT_GT] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_AMP] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2297),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_STAR_STAR] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_QMARK_QMARK] = ACTIONS(2297),
    [anon_sym_instanceof] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_satisfies] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(340),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4642),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(341),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(2247),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACK] = ACTIONS(2249),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3283),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(7806),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(7334),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(342),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(7150),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2157),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_COMMA] = ACTIONS(2305),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_RBRACK] = ACTIONS(2305),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1160),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1160),
    [anon_sym_number] = ACTIONS(1160),
    [anon_sym_boolean] = ACTIONS(1160),
    [anon_sym_string] = ACTIONS(1160),
    [anon_sym_symbol] = ACTIONS(1160),
    [anon_sym_object] = ACTIONS(1160),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [sym_html_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3753),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(6856),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2535),
    [sym_subscript_expression] = STATE(2535),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(7010),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(343),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6557),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2535),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_pattern_repeat1] = STATE(6860),
    [sym_identifier] = ACTIONS(2314),
    [anon_sym_export] = ACTIONS(2316),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_namespace] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(2247),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(2316),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_RBRACK] = ACTIONS(2249),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(2320),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2322),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2255),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2316),
    [anon_sym_readonly] = ACTIONS(2316),
    [anon_sym_get] = ACTIONS(2316),
    [anon_sym_set] = ACTIONS(2316),
    [anon_sym_declare] = ACTIONS(2316),
    [anon_sym_public] = ACTIONS(2316),
    [anon_sym_private] = ACTIONS(2316),
    [anon_sym_protected] = ACTIONS(2316),
    [anon_sym_override] = ACTIONS(2316),
    [anon_sym_module] = ACTIONS(2316),
    [anon_sym_any] = ACTIONS(2316),
    [anon_sym_number] = ACTIONS(2316),
    [anon_sym_boolean] = ACTIONS(2316),
    [anon_sym_string] = ACTIONS(2316),
    [anon_sym_symbol] = ACTIONS(2316),
    [anon_sym_object] = ACTIONS(2316),
    [anon_sym_property] = ACTIONS(2316),
    [anon_sym_signal] = ACTIONS(2316),
    [anon_sym_on] = ACTIONS(2316),
    [anon_sym_required] = ACTIONS(2316),
    [anon_sym_component] = ACTIONS(2316),
    [sym_html_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3775),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(344),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2209),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_RBRACK] = ACTIONS(2209),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_PIPE] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [anon_sym_extends] = ACTIONS(2209),
    [sym_html_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3283),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(7806),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_spread_element] = STATE(7334),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(345),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(7150),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2157),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_COMMA] = ACTIONS(2305),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_RBRACK] = ACTIONS(2324),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1160),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1160),
    [anon_sym_number] = ACTIONS(1160),
    [anon_sym_boolean] = ACTIONS(1160),
    [anon_sym_string] = ACTIONS(1160),
    [anon_sym_symbol] = ACTIONS(1160),
    [anon_sym_object] = ACTIONS(1160),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [sym_html_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_comment] = STATE(346),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_export] = ACTIONS(2328),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_default] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2328),
    [anon_sym_as] = ACTIONS(2328),
    [anon_sym_namespace] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_COMMA] = ACTIONS(2328),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [anon_sym_typeof] = ACTIONS(2328),
    [anon_sym_import] = ACTIONS(2328),
    [anon_sym_from] = ACTIONS(2328),
    [anon_sym_with] = ACTIONS(2328),
    [anon_sym_var] = ACTIONS(2328),
    [anon_sym_let] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_else] = ACTIONS(2328),
    [anon_sym_if] = ACTIONS(2328),
    [anon_sym_switch] = ACTIONS(2328),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_in] = ACTIONS(2328),
    [anon_sym_of] = ACTIONS(2328),
    [anon_sym_while] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2328),
    [anon_sym_break] = ACTIONS(2328),
    [anon_sym_continue] = ACTIONS(2328),
    [anon_sym_debugger] = ACTIONS(2328),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym_case] = ACTIONS(2328),
    [anon_sym_yield] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_LTtemplate_GT] = ACTIONS(2328),
    [anon_sym_GT] = ACTIONS(2328),
    [anon_sym_DOT] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_class] = ACTIONS(2328),
    [anon_sym_async] = ACTIONS(2328),
    [anon_sym_function] = ACTIONS(2328),
    [anon_sym_QMARK_DOT] = ACTIONS(2328),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_using] = ACTIONS(2328),
    [anon_sym_AMP_AMP] = ACTIONS(2328),
    [anon_sym_PIPE_PIPE] = ACTIONS(2328),
    [anon_sym_GT_GT] = ACTIONS(2328),
    [anon_sym_GT_GT_GT] = ACTIONS(2328),
    [anon_sym_LT_LT] = ACTIONS(2328),
    [anon_sym_AMP] = ACTIONS(2328),
    [anon_sym_CARET] = ACTIONS(2328),
    [anon_sym_PIPE] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_PERCENT] = ACTIONS(2328),
    [anon_sym_STAR_STAR] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_QMARK_QMARK] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_void] = ACTIONS(2328),
    [anon_sym_delete] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2328),
    [sym_number] = ACTIONS(2328),
    [sym_private_property_identifier] = ACTIONS(2328),
    [sym_this] = ACTIONS(2328),
    [sym_super] = ACTIONS(2328),
    [sym_true] = ACTIONS(2328),
    [sym_false] = ACTIONS(2328),
    [sym_null] = ACTIONS(2328),
    [sym_undefined] = ACTIONS(2328),
    [anon_sym_AT] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2328),
    [anon_sym_readonly] = ACTIONS(2328),
    [anon_sym_get] = ACTIONS(2328),
    [anon_sym_set] = ACTIONS(2328),
    [anon_sym_declare] = ACTIONS(2328),
    [anon_sym_public] = ACTIONS(2328),
    [anon_sym_private] = ACTIONS(2328),
    [anon_sym_protected] = ACTIONS(2328),
    [anon_sym_override] = ACTIONS(2328),
    [anon_sym_module] = ACTIONS(2328),
    [anon_sym_any] = ACTIONS(2328),
    [anon_sym_number] = ACTIONS(2328),
    [anon_sym_boolean] = ACTIONS(2328),
    [anon_sym_string] = ACTIONS(2328),
    [anon_sym_symbol] = ACTIONS(2328),
    [anon_sym_object] = ACTIONS(2328),
    [anon_sym_property] = ACTIONS(2328),
    [anon_sym_signal] = ACTIONS(2328),
    [anon_sym_on] = ACTIONS(2328),
    [anon_sym_required] = ACTIONS(2328),
    [anon_sym_component] = ACTIONS(2328),
    [anon_sym_abstract] = ACTIONS(2328),
    [anon_sym_satisfies] = ACTIONS(2328),
    [anon_sym_interface] = ACTIONS(2328),
    [anon_sym_enum] = ACTIONS(2328),
    [sym__automatic_semicolon] = ACTIONS(2330),
    [sym__ternary_qmark] = ACTIONS(2330),
    [sym_html_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_comment] = STATE(347),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_as] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_in] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_GT] = ACTIONS(2332),
    [anon_sym_DOT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_QMARK_DOT] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_PIPE_PIPE] = ACTIONS(2332),
    [anon_sym_GT_GT] = ACTIONS(2332),
    [anon_sym_GT_GT_GT] = ACTIONS(2332),
    [anon_sym_LT_LT] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_CARET] = ACTIONS(2332),
    [anon_sym_PIPE] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_PERCENT] = ACTIONS(2332),
    [anon_sym_STAR_STAR] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_LT_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2332),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_QMARK_QMARK] = ACTIONS(2332),
    [anon_sym_instanceof] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_satisfies] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(2334),
    [sym__ternary_qmark] = ACTIONS(2336),
    [sym_html_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_comment] = STATE(348),
    [sym_identifier] = ACTIONS(2338),
    [anon_sym_export] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2338),
    [anon_sym_type] = ACTIONS(2338),
    [anon_sym_as] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2338),
    [anon_sym_RBRACE] = ACTIONS(2338),
    [anon_sym_typeof] = ACTIONS(2338),
    [anon_sym_import] = ACTIONS(2338),
    [anon_sym_from] = ACTIONS(2338),
    [anon_sym_with] = ACTIONS(2338),
    [anon_sym_var] = ACTIONS(2338),
    [anon_sym_let] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_BANG] = ACTIONS(2338),
    [anon_sym_else] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_LPAREN] = ACTIONS(2338),
    [anon_sym_await] = ACTIONS(2338),
    [anon_sym_in] = ACTIONS(2338),
    [anon_sym_of] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_debugger] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2338),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_yield] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_LTtemplate_GT] = ACTIONS(2338),
    [anon_sym_GT] = ACTIONS(2338),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_async] = ACTIONS(2338),
    [anon_sym_function] = ACTIONS(2338),
    [anon_sym_QMARK_DOT] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_using] = ACTIONS(2338),
    [anon_sym_AMP_AMP] = ACTIONS(2338),
    [anon_sym_PIPE_PIPE] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_GT_GT_GT] = ACTIONS(2338),
    [anon_sym_LT_LT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(2338),
    [anon_sym_CARET] = ACTIONS(2338),
    [anon_sym_PIPE] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_SLASH] = ACTIONS(2338),
    [anon_sym_PERCENT] = ACTIONS(2338),
    [anon_sym_STAR_STAR] = ACTIONS(2338),
    [anon_sym_LT] = ACTIONS(2338),
    [anon_sym_LT_EQ] = ACTIONS(2338),
    [anon_sym_EQ_EQ] = ACTIONS(2338),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2338),
    [anon_sym_BANG_EQ] = ACTIONS(2338),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2338),
    [anon_sym_GT_EQ] = ACTIONS(2338),
    [anon_sym_QMARK_QMARK] = ACTIONS(2338),
    [anon_sym_instanceof] = ACTIONS(2338),
    [anon_sym_TILDE] = ACTIONS(2338),
    [anon_sym_void] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2338),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [sym_super] = ACTIONS(2338),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [sym_null] = ACTIONS(2338),
    [sym_undefined] = ACTIONS(2338),
    [anon_sym_AT] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_readonly] = ACTIONS(2338),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
    [anon_sym_declare] = ACTIONS(2338),
    [anon_sym_public] = ACTIONS(2338),
    [anon_sym_private] = ACTIONS(2338),
    [anon_sym_protected] = ACTIONS(2338),
    [anon_sym_override] = ACTIONS(2338),
    [anon_sym_module] = ACTIONS(2338),
    [anon_sym_any] = ACTIONS(2338),
    [anon_sym_number] = ACTIONS(2338),
    [anon_sym_boolean] = ACTIONS(2338),
    [anon_sym_string] = ACTIONS(2338),
    [anon_sym_symbol] = ACTIONS(2338),
    [anon_sym_object] = ACTIONS(2338),
    [anon_sym_property] = ACTIONS(2338),
    [anon_sym_signal] = ACTIONS(2338),
    [anon_sym_on] = ACTIONS(2338),
    [anon_sym_required] = ACTIONS(2338),
    [anon_sym_component] = ACTIONS(2338),
    [anon_sym_abstract] = ACTIONS(2338),
    [anon_sym_satisfies] = ACTIONS(2338),
    [anon_sym_interface] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(2340),
    [sym__ternary_qmark] = ACTIONS(2340),
    [sym_html_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_comment] = STATE(349),
    [sym_identifier] = ACTIONS(2342),
    [anon_sym_export] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_default] = ACTIONS(2342),
    [anon_sym_type] = ACTIONS(2342),
    [anon_sym_as] = ACTIONS(2344),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(2342),
    [anon_sym_typeof] = ACTIONS(2342),
    [anon_sym_import] = ACTIONS(2342),
    [anon_sym_from] = ACTIONS(2342),
    [anon_sym_with] = ACTIONS(2342),
    [anon_sym_var] = ACTIONS(2342),
    [anon_sym_let] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_BANG] = ACTIONS(2342),
    [anon_sym_else] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(2342),
    [anon_sym_await] = ACTIONS(2342),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_of] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_debugger] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2342),
    [anon_sym_case] = ACTIONS(2342),
    [anon_sym_yield] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_LTtemplate_GT] = ACTIONS(2342),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_DOT] = ACTIONS(2344),
    [anon_sym_DQUOTE] = ACTIONS(2342),
    [anon_sym_SQUOTE] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_async] = ACTIONS(2342),
    [anon_sym_function] = ACTIONS(2342),
    [anon_sym_QMARK_DOT] = ACTIONS(2344),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_using] = ACTIONS(2342),
    [anon_sym_AMP_AMP] = ACTIONS(2344),
    [anon_sym_PIPE_PIPE] = ACTIONS(2344),
    [anon_sym_GT_GT] = ACTIONS(2344),
    [anon_sym_GT_GT_GT] = ACTIONS(2344),
    [anon_sym_LT_LT] = ACTIONS(2344),
    [anon_sym_AMP] = ACTIONS(2344),
    [anon_sym_CARET] = ACTIONS(2344),
    [anon_sym_PIPE] = ACTIONS(2344),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_SLASH] = ACTIONS(2342),
    [anon_sym_PERCENT] = ACTIONS(2344),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_LT] = ACTIONS(2342),
    [anon_sym_LT_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2344),
    [anon_sym_GT_EQ] = ACTIONS(2344),
    [anon_sym_QMARK_QMARK] = ACTIONS(2344),
    [anon_sym_instanceof] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2342),
    [anon_sym_void] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2342),
    [sym_number] = ACTIONS(2342),
    [sym_private_property_identifier] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [sym_super] = ACTIONS(2342),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [sym_null] = ACTIONS(2342),
    [sym_undefined] = ACTIONS(2342),
    [anon_sym_AT] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_readonly] = ACTIONS(2342),
    [anon_sym_get] = ACTIONS(2342),
    [anon_sym_set] = ACTIONS(2342),
    [anon_sym_declare] = ACTIONS(2342),
    [anon_sym_public] = ACTIONS(2342),
    [anon_sym_private] = ACTIONS(2342),
    [anon_sym_protected] = ACTIONS(2342),
    [anon_sym_override] = ACTIONS(2342),
    [anon_sym_module] = ACTIONS(2342),
    [anon_sym_any] = ACTIONS(2342),
    [anon_sym_number] = ACTIONS(2342),
    [anon_sym_boolean] = ACTIONS(2342),
    [anon_sym_string] = ACTIONS(2342),
    [anon_sym_symbol] = ACTIONS(2342),
    [anon_sym_object] = ACTIONS(2342),
    [anon_sym_property] = ACTIONS(2342),
    [anon_sym_signal] = ACTIONS(2342),
    [anon_sym_on] = ACTIONS(2342),
    [anon_sym_required] = ACTIONS(2342),
    [anon_sym_component] = ACTIONS(2342),
    [anon_sym_abstract] = ACTIONS(2342),
    [anon_sym_satisfies] = ACTIONS(2344),
    [anon_sym_interface] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [sym__automatic_semicolon] = ACTIONS(2346),
    [sym__ternary_qmark] = ACTIONS(2348),
    [sym_html_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_comment] = STATE(350),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_as] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_else] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_case] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_QMARK_DOT] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2350),
    [anon_sym_GT_GT] = ACTIONS(2350),
    [anon_sym_GT_GT_GT] = ACTIONS(2350),
    [anon_sym_LT_LT] = ACTIONS(2350),
    [anon_sym_AMP] = ACTIONS(2350),
    [anon_sym_CARET] = ACTIONS(2350),
    [anon_sym_PIPE] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2350),
    [anon_sym_STAR_STAR] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2350),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2350),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK] = ACTIONS(2350),
    [anon_sym_instanceof] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_satisfies] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym__automatic_semicolon] = ACTIONS(2352),
    [sym__ternary_qmark] = ACTIONS(2352),
    [sym_html_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_comment] = STATE(351),
    [sym_identifier] = ACTIONS(2354),
    [anon_sym_export] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2354),
    [anon_sym_type] = ACTIONS(2354),
    [anon_sym_as] = ACTIONS(2356),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2354),
    [anon_sym_COMMA] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(2354),
    [anon_sym_typeof] = ACTIONS(2354),
    [anon_sym_import] = ACTIONS(2354),
    [anon_sym_from] = ACTIONS(2354),
    [anon_sym_with] = ACTIONS(2354),
    [anon_sym_var] = ACTIONS(2354),
    [anon_sym_let] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2354),
    [anon_sym_else] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_LPAREN] = ACTIONS(2354),
    [anon_sym_await] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_of] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_debugger] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2354),
    [anon_sym_case] = ACTIONS(2354),
    [anon_sym_yield] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_LTtemplate_GT] = ACTIONS(2354),
    [anon_sym_GT] = ACTIONS(2356),
    [anon_sym_DOT] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2354),
    [anon_sym_SQUOTE] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_async] = ACTIONS(2354),
    [anon_sym_function] = ACTIONS(2354),
    [anon_sym_QMARK_DOT] = ACTIONS(2356),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_PIPE_PIPE] = ACTIONS(2356),
    [anon_sym_GT_GT] = ACTIONS(2356),
    [anon_sym_GT_GT_GT] = ACTIONS(2356),
    [anon_sym_LT_LT] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2356),
    [anon_sym_PIPE] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_SLASH] = ACTIONS(2354),
    [anon_sym_PERCENT] = ACTIONS(2356),
    [anon_sym_STAR_STAR] = ACTIONS(2356),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_LT_EQ] = ACTIONS(2356),
    [anon_sym_EQ_EQ] = ACTIONS(2356),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2356),
    [anon_sym_BANG_EQ] = ACTIONS(2356),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2356),
    [anon_sym_GT_EQ] = ACTIONS(2356),
    [anon_sym_QMARK_QMARK] = ACTIONS(2356),
    [anon_sym_instanceof] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_void] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_PLUS_PLUS] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2354),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2354),
    [sym_number] = ACTIONS(2354),
    [sym_private_property_identifier] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [sym_super] = ACTIONS(2354),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [sym_null] = ACTIONS(2354),
    [sym_undefined] = ACTIONS(2354),
    [anon_sym_AT] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_readonly] = ACTIONS(2354),
    [anon_sym_get] = ACTIONS(2354),
    [anon_sym_set] = ACTIONS(2354),
    [anon_sym_declare] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_override] = ACTIONS(2354),
    [anon_sym_module] = ACTIONS(2354),
    [anon_sym_any] = ACTIONS(2354),
    [anon_sym_number] = ACTIONS(2354),
    [anon_sym_boolean] = ACTIONS(2354),
    [anon_sym_string] = ACTIONS(2354),
    [anon_sym_symbol] = ACTIONS(2354),
    [anon_sym_object] = ACTIONS(2354),
    [anon_sym_property] = ACTIONS(2354),
    [anon_sym_signal] = ACTIONS(2354),
    [anon_sym_on] = ACTIONS(2354),
    [anon_sym_required] = ACTIONS(2354),
    [anon_sym_component] = ACTIONS(2354),
    [anon_sym_abstract] = ACTIONS(2354),
    [anon_sym_satisfies] = ACTIONS(2356),
    [anon_sym_interface] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [sym__automatic_semicolon] = ACTIONS(2358),
    [sym__ternary_qmark] = ACTIONS(2360),
    [sym_html_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_comment] = STATE(352),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2362),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_as] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_COMMA] = ACTIONS(2364),
    [anon_sym_RBRACE] = ACTIONS(2362),
    [anon_sym_typeof] = ACTIONS(2362),
    [anon_sym_import] = ACTIONS(2362),
    [anon_sym_from] = ACTIONS(2362),
    [anon_sym_with] = ACTIONS(2362),
    [anon_sym_var] = ACTIONS(2362),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_const] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_else] = ACTIONS(2362),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_switch] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2362),
    [anon_sym_LPAREN] = ACTIONS(2362),
    [anon_sym_await] = ACTIONS(2362),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_of] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_do] = ACTIONS(2362),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_break] = ACTIONS(2362),
    [anon_sym_continue] = ACTIONS(2362),
    [anon_sym_debugger] = ACTIONS(2362),
    [anon_sym_return] = ACTIONS(2362),
    [anon_sym_throw] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym_case] = ACTIONS(2362),
    [anon_sym_yield] = ACTIONS(2362),
    [anon_sym_LBRACK] = ACTIONS(2362),
    [anon_sym_LTtemplate_GT] = ACTIONS(2362),
    [anon_sym_GT] = ACTIONS(2364),
    [anon_sym_DOT] = ACTIONS(2364),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_class] = ACTIONS(2362),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(2362),
    [anon_sym_QMARK_DOT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2362),
    [anon_sym_using] = ACTIONS(2362),
    [anon_sym_AMP_AMP] = ACTIONS(2364),
    [anon_sym_PIPE_PIPE] = ACTIONS(2364),
    [anon_sym_GT_GT] = ACTIONS(2364),
    [anon_sym_GT_GT_GT] = ACTIONS(2364),
    [anon_sym_LT_LT] = ACTIONS(2364),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_CARET] = ACTIONS(2364),
    [anon_sym_PIPE] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2362),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_PERCENT] = ACTIONS(2364),
    [anon_sym_STAR_STAR] = ACTIONS(2364),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_QMARK_QMARK] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_void] = ACTIONS(2362),
    [anon_sym_delete] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2362),
    [sym_number] = ACTIONS(2362),
    [sym_private_property_identifier] = ACTIONS(2362),
    [sym_this] = ACTIONS(2362),
    [sym_super] = ACTIONS(2362),
    [sym_true] = ACTIONS(2362),
    [sym_false] = ACTIONS(2362),
    [sym_null] = ACTIONS(2362),
    [sym_undefined] = ACTIONS(2362),
    [anon_sym_AT] = ACTIONS(2362),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2362),
    [anon_sym_get] = ACTIONS(2362),
    [anon_sym_set] = ACTIONS(2362),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_property] = ACTIONS(2362),
    [anon_sym_signal] = ACTIONS(2362),
    [anon_sym_on] = ACTIONS(2362),
    [anon_sym_required] = ACTIONS(2362),
    [anon_sym_component] = ACTIONS(2362),
    [anon_sym_abstract] = ACTIONS(2362),
    [anon_sym_satisfies] = ACTIONS(2364),
    [anon_sym_interface] = ACTIONS(2362),
    [anon_sym_enum] = ACTIONS(2362),
    [sym__automatic_semicolon] = ACTIONS(2366),
    [sym__ternary_qmark] = ACTIONS(2368),
    [sym_html_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_comment] = STATE(353),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_export] = ACTIONS(2370),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_default] = ACTIONS(2370),
    [anon_sym_type] = ACTIONS(2370),
    [anon_sym_as] = ACTIONS(2370),
    [anon_sym_namespace] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_import] = ACTIONS(2370),
    [anon_sym_from] = ACTIONS(2370),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_var] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_const] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_else] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_switch] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_await] = ACTIONS(2370),
    [anon_sym_in] = ACTIONS(2370),
    [anon_sym_of] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_debugger] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_case] = ACTIONS(2370),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LTtemplate_GT] = ACTIONS(2370),
    [anon_sym_GT] = ACTIONS(2370),
    [anon_sym_DOT] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_async] = ACTIONS(2370),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_QMARK_DOT] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_using] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_GT_GT] = ACTIONS(2370),
    [anon_sym_GT_GT_GT] = ACTIONS(2370),
    [anon_sym_LT_LT] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_PIPE] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_SLASH] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_STAR_STAR] = ACTIONS(2370),
    [anon_sym_LT] = ACTIONS(2370),
    [anon_sym_LT_EQ] = ACTIONS(2370),
    [anon_sym_EQ_EQ] = ACTIONS(2370),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2370),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2370),
    [anon_sym_GT_EQ] = ACTIONS(2370),
    [anon_sym_QMARK_QMARK] = ACTIONS(2370),
    [anon_sym_instanceof] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2370),
    [sym_number] = ACTIONS(2370),
    [sym_private_property_identifier] = ACTIONS(2370),
    [sym_this] = ACTIONS(2370),
    [sym_super] = ACTIONS(2370),
    [sym_true] = ACTIONS(2370),
    [sym_false] = ACTIONS(2370),
    [sym_null] = ACTIONS(2370),
    [sym_undefined] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2370),
    [anon_sym_readonly] = ACTIONS(2370),
    [anon_sym_get] = ACTIONS(2370),
    [anon_sym_set] = ACTIONS(2370),
    [anon_sym_declare] = ACTIONS(2370),
    [anon_sym_public] = ACTIONS(2370),
    [anon_sym_private] = ACTIONS(2370),
    [anon_sym_protected] = ACTIONS(2370),
    [anon_sym_override] = ACTIONS(2370),
    [anon_sym_module] = ACTIONS(2370),
    [anon_sym_any] = ACTIONS(2370),
    [anon_sym_number] = ACTIONS(2370),
    [anon_sym_boolean] = ACTIONS(2370),
    [anon_sym_string] = ACTIONS(2370),
    [anon_sym_symbol] = ACTIONS(2370),
    [anon_sym_object] = ACTIONS(2370),
    [anon_sym_property] = ACTIONS(2370),
    [anon_sym_signal] = ACTIONS(2370),
    [anon_sym_on] = ACTIONS(2370),
    [anon_sym_required] = ACTIONS(2370),
    [anon_sym_component] = ACTIONS(2370),
    [anon_sym_abstract] = ACTIONS(2370),
    [anon_sym_satisfies] = ACTIONS(2370),
    [anon_sym_interface] = ACTIONS(2370),
    [anon_sym_enum] = ACTIONS(2370),
    [sym__automatic_semicolon] = ACTIONS(2372),
    [sym__ternary_qmark] = ACTIONS(2372),
    [sym_html_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_comment] = STATE(354),
    [sym_identifier] = ACTIONS(2374),
    [anon_sym_export] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_type] = ACTIONS(2374),
    [anon_sym_as] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_COMMA] = ACTIONS(2376),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [anon_sym_typeof] = ACTIONS(2374),
    [anon_sym_import] = ACTIONS(2374),
    [anon_sym_from] = ACTIONS(2374),
    [anon_sym_with] = ACTIONS(2374),
    [anon_sym_var] = ACTIONS(2374),
    [anon_sym_let] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_else] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [anon_sym_await] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_of] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_debugger] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_yield] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_LTtemplate_GT] = ACTIONS(2374),
    [anon_sym_GT] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_async] = ACTIONS(2374),
    [anon_sym_function] = ACTIONS(2374),
    [anon_sym_QMARK_DOT] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_GT_GT] = ACTIONS(2376),
    [anon_sym_GT_GT_GT] = ACTIONS(2376),
    [anon_sym_LT_LT] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_CARET] = ACTIONS(2376),
    [anon_sym_PIPE] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_SLASH] = ACTIONS(2374),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_STAR_STAR] = ACTIONS(2376),
    [anon_sym_LT] = ACTIONS(2374),
    [anon_sym_LT_EQ] = ACTIONS(2376),
    [anon_sym_EQ_EQ] = ACTIONS(2376),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2376),
    [anon_sym_GT_EQ] = ACTIONS(2376),
    [anon_sym_QMARK_QMARK] = ACTIONS(2376),
    [anon_sym_instanceof] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_void] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2374),
    [sym_number] = ACTIONS(2374),
    [sym_private_property_identifier] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [sym_super] = ACTIONS(2374),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [sym_null] = ACTIONS(2374),
    [sym_undefined] = ACTIONS(2374),
    [anon_sym_AT] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_readonly] = ACTIONS(2374),
    [anon_sym_get] = ACTIONS(2374),
    [anon_sym_set] = ACTIONS(2374),
    [anon_sym_declare] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_override] = ACTIONS(2374),
    [anon_sym_module] = ACTIONS(2374),
    [anon_sym_any] = ACTIONS(2374),
    [anon_sym_number] = ACTIONS(2374),
    [anon_sym_boolean] = ACTIONS(2374),
    [anon_sym_string] = ACTIONS(2374),
    [anon_sym_symbol] = ACTIONS(2374),
    [anon_sym_object] = ACTIONS(2374),
    [anon_sym_property] = ACTIONS(2374),
    [anon_sym_signal] = ACTIONS(2374),
    [anon_sym_on] = ACTIONS(2374),
    [anon_sym_required] = ACTIONS(2374),
    [anon_sym_component] = ACTIONS(2374),
    [anon_sym_abstract] = ACTIONS(2374),
    [anon_sym_satisfies] = ACTIONS(2376),
    [anon_sym_interface] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [sym__automatic_semicolon] = ACTIONS(2378),
    [sym__ternary_qmark] = ACTIONS(2380),
    [sym_html_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_comment] = STATE(355),
    [sym_identifier] = ACTIONS(2382),
    [anon_sym_export] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_default] = ACTIONS(2382),
    [anon_sym_type] = ACTIONS(2382),
    [anon_sym_as] = ACTIONS(2384),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_COMMA] = ACTIONS(2384),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_typeof] = ACTIONS(2382),
    [anon_sym_import] = ACTIONS(2382),
    [anon_sym_from] = ACTIONS(2382),
    [anon_sym_with] = ACTIONS(2382),
    [anon_sym_var] = ACTIONS(2382),
    [anon_sym_let] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_else] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_switch] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_await] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_of] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2382),
    [anon_sym_break] = ACTIONS(2382),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_debugger] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2382),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym_case] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_LTtemplate_GT] = ACTIONS(2382),
    [anon_sym_GT] = ACTIONS(2384),
    [anon_sym_DOT] = ACTIONS(2384),
    [anon_sym_DQUOTE] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2382),
    [anon_sym_QMARK_DOT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_PIPE_PIPE] = ACTIONS(2384),
    [anon_sym_GT_GT] = ACTIONS(2384),
    [anon_sym_GT_GT_GT] = ACTIONS(2384),
    [anon_sym_LT_LT] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_CARET] = ACTIONS(2384),
    [anon_sym_PIPE] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_SLASH] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2384),
    [anon_sym_STAR_STAR] = ACTIONS(2384),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2384),
    [anon_sym_EQ_EQ] = ACTIONS(2384),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2384),
    [anon_sym_BANG_EQ] = ACTIONS(2384),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2384),
    [anon_sym_GT_EQ] = ACTIONS(2384),
    [anon_sym_QMARK_QMARK] = ACTIONS(2384),
    [anon_sym_instanceof] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_void] = ACTIONS(2382),
    [anon_sym_delete] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2382),
    [sym_number] = ACTIONS(2382),
    [sym_private_property_identifier] = ACTIONS(2382),
    [sym_this] = ACTIONS(2382),
    [sym_super] = ACTIONS(2382),
    [sym_true] = ACTIONS(2382),
    [sym_false] = ACTIONS(2382),
    [sym_null] = ACTIONS(2382),
    [sym_undefined] = ACTIONS(2382),
    [anon_sym_AT] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_readonly] = ACTIONS(2382),
    [anon_sym_get] = ACTIONS(2382),
    [anon_sym_set] = ACTIONS(2382),
    [anon_sym_declare] = ACTIONS(2382),
    [anon_sym_public] = ACTIONS(2382),
    [anon_sym_private] = ACTIONS(2382),
    [anon_sym_protected] = ACTIONS(2382),
    [anon_sym_override] = ACTIONS(2382),
    [anon_sym_module] = ACTIONS(2382),
    [anon_sym_any] = ACTIONS(2382),
    [anon_sym_number] = ACTIONS(2382),
    [anon_sym_boolean] = ACTIONS(2382),
    [anon_sym_string] = ACTIONS(2382),
    [anon_sym_symbol] = ACTIONS(2382),
    [anon_sym_object] = ACTIONS(2382),
    [anon_sym_property] = ACTIONS(2382),
    [anon_sym_signal] = ACTIONS(2382),
    [anon_sym_on] = ACTIONS(2382),
    [anon_sym_required] = ACTIONS(2382),
    [anon_sym_component] = ACTIONS(2382),
    [anon_sym_abstract] = ACTIONS(2382),
    [anon_sym_satisfies] = ACTIONS(2384),
    [anon_sym_interface] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [sym__automatic_semicolon] = ACTIONS(2386),
    [sym__ternary_qmark] = ACTIONS(2388),
    [sym_html_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_statement_block] = STATE(385),
    [sym_comment] = STATE(356),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_as] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_COMMA] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_in] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_case] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(2392),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_QMARK_DOT] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_AMP_AMP] = ACTIONS(2297),
    [anon_sym_PIPE_PIPE] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_GT_GT_GT] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_AMP] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2297),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_STAR_STAR] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_QMARK_QMARK] = ACTIONS(2297),
    [anon_sym_instanceof] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_satisfies] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_comment] = STATE(357),
    [sym_identifier] = ACTIONS(2394),
    [anon_sym_export] = ACTIONS(2394),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_default] = ACTIONS(2394),
    [anon_sym_type] = ACTIONS(2394),
    [anon_sym_as] = ACTIONS(2396),
    [anon_sym_namespace] = ACTIONS(2394),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_COMMA] = ACTIONS(2396),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_typeof] = ACTIONS(2394),
    [anon_sym_import] = ACTIONS(2394),
    [anon_sym_from] = ACTIONS(2394),
    [anon_sym_with] = ACTIONS(2394),
    [anon_sym_var] = ACTIONS(2394),
    [anon_sym_let] = ACTIONS(2394),
    [anon_sym_const] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_else] = ACTIONS(2394),
    [anon_sym_if] = ACTIONS(2394),
    [anon_sym_switch] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_LPAREN] = ACTIONS(2394),
    [anon_sym_await] = ACTIONS(2394),
    [anon_sym_in] = ACTIONS(2396),
    [anon_sym_of] = ACTIONS(2394),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_do] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2394),
    [anon_sym_break] = ACTIONS(2394),
    [anon_sym_continue] = ACTIONS(2394),
    [anon_sym_debugger] = ACTIONS(2394),
    [anon_sym_return] = ACTIONS(2394),
    [anon_sym_throw] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym_case] = ACTIONS(2394),
    [anon_sym_yield] = ACTIONS(2394),
    [anon_sym_LBRACK] = ACTIONS(2394),
    [anon_sym_LTtemplate_GT] = ACTIONS(2394),
    [anon_sym_GT] = ACTIONS(2396),
    [anon_sym_DOT] = ACTIONS(2396),
    [anon_sym_DQUOTE] = ACTIONS(2394),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_class] = ACTIONS(2394),
    [anon_sym_async] = ACTIONS(2394),
    [anon_sym_function] = ACTIONS(2394),
    [anon_sym_QMARK_DOT] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(2394),
    [anon_sym_using] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE] = ACTIONS(2396),
    [anon_sym_GT_GT] = ACTIONS(2396),
    [anon_sym_GT_GT_GT] = ACTIONS(2396),
    [anon_sym_LT_LT] = ACTIONS(2396),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_CARET] = ACTIONS(2396),
    [anon_sym_PIPE] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2394),
    [anon_sym_SLASH] = ACTIONS(2394),
    [anon_sym_PERCENT] = ACTIONS(2396),
    [anon_sym_STAR_STAR] = ACTIONS(2396),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(2396),
    [anon_sym_EQ_EQ] = ACTIONS(2396),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2396),
    [anon_sym_GT_EQ] = ACTIONS(2396),
    [anon_sym_QMARK_QMARK] = ACTIONS(2396),
    [anon_sym_instanceof] = ACTIONS(2396),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_void] = ACTIONS(2394),
    [anon_sym_delete] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2394),
    [sym_number] = ACTIONS(2394),
    [sym_private_property_identifier] = ACTIONS(2394),
    [sym_this] = ACTIONS(2394),
    [sym_super] = ACTIONS(2394),
    [sym_true] = ACTIONS(2394),
    [sym_false] = ACTIONS(2394),
    [sym_null] = ACTIONS(2394),
    [sym_undefined] = ACTIONS(2394),
    [anon_sym_AT] = ACTIONS(2394),
    [anon_sym_static] = ACTIONS(2394),
    [anon_sym_readonly] = ACTIONS(2394),
    [anon_sym_get] = ACTIONS(2394),
    [anon_sym_set] = ACTIONS(2394),
    [anon_sym_declare] = ACTIONS(2394),
    [anon_sym_public] = ACTIONS(2394),
    [anon_sym_private] = ACTIONS(2394),
    [anon_sym_protected] = ACTIONS(2394),
    [anon_sym_override] = ACTIONS(2394),
    [anon_sym_module] = ACTIONS(2394),
    [anon_sym_any] = ACTIONS(2394),
    [anon_sym_number] = ACTIONS(2394),
    [anon_sym_boolean] = ACTIONS(2394),
    [anon_sym_string] = ACTIONS(2394),
    [anon_sym_symbol] = ACTIONS(2394),
    [anon_sym_object] = ACTIONS(2394),
    [anon_sym_property] = ACTIONS(2394),
    [anon_sym_signal] = ACTIONS(2394),
    [anon_sym_on] = ACTIONS(2394),
    [anon_sym_required] = ACTIONS(2394),
    [anon_sym_component] = ACTIONS(2394),
    [anon_sym_abstract] = ACTIONS(2394),
    [anon_sym_satisfies] = ACTIONS(2396),
    [anon_sym_interface] = ACTIONS(2394),
    [anon_sym_enum] = ACTIONS(2394),
    [sym__automatic_semicolon] = ACTIONS(2398),
    [sym__ternary_qmark] = ACTIONS(2400),
    [sym_html_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(358),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4642),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(128),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_comment] = STATE(359),
    [sym_identifier] = ACTIONS(2402),
    [anon_sym_export] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_type] = ACTIONS(2402),
    [anon_sym_as] = ACTIONS(2404),
    [anon_sym_namespace] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_COMMA] = ACTIONS(2404),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [anon_sym_typeof] = ACTIONS(2402),
    [anon_sym_import] = ACTIONS(2402),
    [anon_sym_from] = ACTIONS(2402),
    [anon_sym_with] = ACTIONS(2402),
    [anon_sym_var] = ACTIONS(2402),
    [anon_sym_let] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2402),
    [anon_sym_else] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(2402),
    [anon_sym_await] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2404),
    [anon_sym_of] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_try] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_debugger] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym_case] = ACTIONS(2402),
    [anon_sym_yield] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_LTtemplate_GT] = ACTIONS(2402),
    [anon_sym_GT] = ACTIONS(2404),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2402),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_async] = ACTIONS(2402),
    [anon_sym_function] = ACTIONS(2402),
    [anon_sym_QMARK_DOT] = ACTIONS(2404),
    [anon_sym_new] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_PIPE_PIPE] = ACTIONS(2404),
    [anon_sym_GT_GT] = ACTIONS(2404),
    [anon_sym_GT_GT_GT] = ACTIONS(2404),
    [anon_sym_LT_LT] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2404),
    [anon_sym_PIPE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_SLASH] = ACTIONS(2402),
    [anon_sym_PERCENT] = ACTIONS(2404),
    [anon_sym_STAR_STAR] = ACTIONS(2404),
    [anon_sym_LT] = ACTIONS(2402),
    [anon_sym_LT_EQ] = ACTIONS(2404),
    [anon_sym_EQ_EQ] = ACTIONS(2404),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2404),
    [anon_sym_BANG_EQ] = ACTIONS(2404),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2404),
    [anon_sym_GT_EQ] = ACTIONS(2404),
    [anon_sym_QMARK_QMARK] = ACTIONS(2404),
    [anon_sym_instanceof] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_void] = ACTIONS(2402),
    [anon_sym_delete] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2402),
    [sym_number] = ACTIONS(2402),
    [sym_private_property_identifier] = ACTIONS(2402),
    [sym_this] = ACTIONS(2402),
    [sym_super] = ACTIONS(2402),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [sym_null] = ACTIONS(2402),
    [sym_undefined] = ACTIONS(2402),
    [anon_sym_AT] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_readonly] = ACTIONS(2402),
    [anon_sym_get] = ACTIONS(2402),
    [anon_sym_set] = ACTIONS(2402),
    [anon_sym_declare] = ACTIONS(2402),
    [anon_sym_public] = ACTIONS(2402),
    [anon_sym_private] = ACTIONS(2402),
    [anon_sym_protected] = ACTIONS(2402),
    [anon_sym_override] = ACTIONS(2402),
    [anon_sym_module] = ACTIONS(2402),
    [anon_sym_any] = ACTIONS(2402),
    [anon_sym_number] = ACTIONS(2402),
    [anon_sym_boolean] = ACTIONS(2402),
    [anon_sym_string] = ACTIONS(2402),
    [anon_sym_symbol] = ACTIONS(2402),
    [anon_sym_object] = ACTIONS(2402),
    [anon_sym_property] = ACTIONS(2402),
    [anon_sym_signal] = ACTIONS(2402),
    [anon_sym_on] = ACTIONS(2402),
    [anon_sym_required] = ACTIONS(2402),
    [anon_sym_component] = ACTIONS(2402),
    [anon_sym_abstract] = ACTIONS(2402),
    [anon_sym_satisfies] = ACTIONS(2404),
    [anon_sym_interface] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [sym__automatic_semicolon] = ACTIONS(2406),
    [sym__ternary_qmark] = ACTIONS(2408),
    [sym_html_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_comment] = STATE(360),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_as] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_in] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_GT] = ACTIONS(2332),
    [anon_sym_DOT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_QMARK_DOT] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_PIPE_PIPE] = ACTIONS(2332),
    [anon_sym_GT_GT] = ACTIONS(2332),
    [anon_sym_GT_GT_GT] = ACTIONS(2332),
    [anon_sym_LT_LT] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_CARET] = ACTIONS(2332),
    [anon_sym_PIPE] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_PERCENT] = ACTIONS(2332),
    [anon_sym_STAR_STAR] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_LT_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2332),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_QMARK_QMARK] = ACTIONS(2332),
    [anon_sym_instanceof] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_satisfies] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(2336),
    [sym__ternary_qmark] = ACTIONS(2336),
    [sym_html_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_comment] = STATE(361),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_export] = ACTIONS(2410),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_default] = ACTIONS(2410),
    [anon_sym_type] = ACTIONS(2410),
    [anon_sym_as] = ACTIONS(2410),
    [anon_sym_namespace] = ACTIONS(2410),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(2410),
    [anon_sym_typeof] = ACTIONS(2410),
    [anon_sym_import] = ACTIONS(2410),
    [anon_sym_from] = ACTIONS(2410),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_var] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_const] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_else] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_switch] = ACTIONS(2410),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_await] = ACTIONS(2410),
    [anon_sym_in] = ACTIONS(2410),
    [anon_sym_of] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_break] = ACTIONS(2410),
    [anon_sym_continue] = ACTIONS(2410),
    [anon_sym_debugger] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_throw] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym_case] = ACTIONS(2410),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LTtemplate_GT] = ACTIONS(2410),
    [anon_sym_GT] = ACTIONS(2410),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_class] = ACTIONS(2410),
    [anon_sym_async] = ACTIONS(2410),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_QMARK_DOT] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_using] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_GT_GT] = ACTIONS(2410),
    [anon_sym_GT_GT_GT] = ACTIONS(2410),
    [anon_sym_LT_LT] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_CARET] = ACTIONS(2410),
    [anon_sym_PIPE] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_SLASH] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_STAR_STAR] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2410),
    [anon_sym_LT_EQ] = ACTIONS(2410),
    [anon_sym_EQ_EQ] = ACTIONS(2410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2410),
    [anon_sym_GT_EQ] = ACTIONS(2410),
    [anon_sym_QMARK_QMARK] = ACTIONS(2410),
    [anon_sym_instanceof] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_void] = ACTIONS(2410),
    [anon_sym_delete] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2410),
    [sym_number] = ACTIONS(2410),
    [sym_private_property_identifier] = ACTIONS(2410),
    [sym_this] = ACTIONS(2410),
    [sym_super] = ACTIONS(2410),
    [sym_true] = ACTIONS(2410),
    [sym_false] = ACTIONS(2410),
    [sym_null] = ACTIONS(2410),
    [sym_undefined] = ACTIONS(2410),
    [anon_sym_AT] = ACTIONS(2410),
    [anon_sym_static] = ACTIONS(2410),
    [anon_sym_readonly] = ACTIONS(2410),
    [anon_sym_get] = ACTIONS(2410),
    [anon_sym_set] = ACTIONS(2410),
    [anon_sym_declare] = ACTIONS(2410),
    [anon_sym_public] = ACTIONS(2410),
    [anon_sym_private] = ACTIONS(2410),
    [anon_sym_protected] = ACTIONS(2410),
    [anon_sym_override] = ACTIONS(2410),
    [anon_sym_module] = ACTIONS(2410),
    [anon_sym_any] = ACTIONS(2410),
    [anon_sym_number] = ACTIONS(2410),
    [anon_sym_boolean] = ACTIONS(2410),
    [anon_sym_string] = ACTIONS(2410),
    [anon_sym_symbol] = ACTIONS(2410),
    [anon_sym_object] = ACTIONS(2410),
    [anon_sym_property] = ACTIONS(2410),
    [anon_sym_signal] = ACTIONS(2410),
    [anon_sym_on] = ACTIONS(2410),
    [anon_sym_required] = ACTIONS(2410),
    [anon_sym_component] = ACTIONS(2410),
    [anon_sym_abstract] = ACTIONS(2410),
    [anon_sym_satisfies] = ACTIONS(2410),
    [anon_sym_interface] = ACTIONS(2410),
    [anon_sym_enum] = ACTIONS(2410),
    [sym__automatic_semicolon] = ACTIONS(2412),
    [sym__ternary_qmark] = ACTIONS(2412),
    [sym_html_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(7806),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(362),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(7150),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(2414),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_RBRACK] = ACTIONS(2414),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_comment] = STATE(363),
    [sym_identifier] = ACTIONS(2416),
    [anon_sym_export] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_type] = ACTIONS(2416),
    [anon_sym_as] = ACTIONS(2418),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_RBRACE] = ACTIONS(2416),
    [anon_sym_typeof] = ACTIONS(2416),
    [anon_sym_import] = ACTIONS(2416),
    [anon_sym_from] = ACTIONS(2416),
    [anon_sym_with] = ACTIONS(2416),
    [anon_sym_var] = ACTIONS(2416),
    [anon_sym_let] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_BANG] = ACTIONS(2416),
    [anon_sym_else] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_await] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2418),
    [anon_sym_of] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_debugger] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_yield] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_LTtemplate_GT] = ACTIONS(2416),
    [anon_sym_GT] = ACTIONS(2418),
    [anon_sym_DOT] = ACTIONS(2418),
    [anon_sym_DQUOTE] = ACTIONS(2416),
    [anon_sym_SQUOTE] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_async] = ACTIONS(2416),
    [anon_sym_function] = ACTIONS(2416),
    [anon_sym_QMARK_DOT] = ACTIONS(2418),
    [anon_sym_new] = ACTIONS(2416),
    [anon_sym_using] = ACTIONS(2416),
    [anon_sym_AMP_AMP] = ACTIONS(2418),
    [anon_sym_PIPE_PIPE] = ACTIONS(2418),
    [anon_sym_GT_GT] = ACTIONS(2418),
    [anon_sym_GT_GT_GT] = ACTIONS(2418),
    [anon_sym_LT_LT] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_CARET] = ACTIONS(2418),
    [anon_sym_PIPE] = ACTIONS(2418),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_SLASH] = ACTIONS(2416),
    [anon_sym_PERCENT] = ACTIONS(2418),
    [anon_sym_STAR_STAR] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2416),
    [anon_sym_LT_EQ] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2418),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2418),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_QMARK_QMARK] = ACTIONS(2418),
    [anon_sym_instanceof] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_void] = ACTIONS(2416),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_PLUS_PLUS] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2416),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2416),
    [sym_number] = ACTIONS(2416),
    [sym_private_property_identifier] = ACTIONS(2416),
    [sym_this] = ACTIONS(2416),
    [sym_super] = ACTIONS(2416),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [sym_null] = ACTIONS(2416),
    [sym_undefined] = ACTIONS(2416),
    [anon_sym_AT] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_readonly] = ACTIONS(2416),
    [anon_sym_get] = ACTIONS(2416),
    [anon_sym_set] = ACTIONS(2416),
    [anon_sym_declare] = ACTIONS(2416),
    [anon_sym_public] = ACTIONS(2416),
    [anon_sym_private] = ACTIONS(2416),
    [anon_sym_protected] = ACTIONS(2416),
    [anon_sym_override] = ACTIONS(2416),
    [anon_sym_module] = ACTIONS(2416),
    [anon_sym_any] = ACTIONS(2416),
    [anon_sym_number] = ACTIONS(2416),
    [anon_sym_boolean] = ACTIONS(2416),
    [anon_sym_string] = ACTIONS(2416),
    [anon_sym_symbol] = ACTIONS(2416),
    [anon_sym_object] = ACTIONS(2416),
    [anon_sym_property] = ACTIONS(2416),
    [anon_sym_signal] = ACTIONS(2416),
    [anon_sym_on] = ACTIONS(2416),
    [anon_sym_required] = ACTIONS(2416),
    [anon_sym_component] = ACTIONS(2416),
    [anon_sym_abstract] = ACTIONS(2416),
    [anon_sym_satisfies] = ACTIONS(2418),
    [anon_sym_interface] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [sym__automatic_semicolon] = ACTIONS(2420),
    [sym__ternary_qmark] = ACTIONS(2422),
    [sym_html_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_statement_block] = STATE(385),
    [sym_comment] = STATE(364),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_as] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_COMMA] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_in] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_case] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_QMARK_DOT] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_AMP_AMP] = ACTIONS(2297),
    [anon_sym_PIPE_PIPE] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_GT_GT_GT] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_AMP] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2297),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_STAR_STAR] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_QMARK_QMARK] = ACTIONS(2297),
    [anon_sym_instanceof] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_satisfies] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_comment] = STATE(365),
    [sym_identifier] = ACTIONS(2426),
    [anon_sym_export] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2426),
    [anon_sym_type] = ACTIONS(2426),
    [anon_sym_as] = ACTIONS(2428),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_COMMA] = ACTIONS(2428),
    [anon_sym_RBRACE] = ACTIONS(2426),
    [anon_sym_typeof] = ACTIONS(2426),
    [anon_sym_import] = ACTIONS(2426),
    [anon_sym_from] = ACTIONS(2426),
    [anon_sym_with] = ACTIONS(2426),
    [anon_sym_var] = ACTIONS(2426),
    [anon_sym_let] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_else] = ACTIONS(2426),
    [anon_sym_if] = ACTIONS(2426),
    [anon_sym_switch] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_await] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_of] = ACTIONS(2426),
    [anon_sym_while] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2426),
    [anon_sym_break] = ACTIONS(2426),
    [anon_sym_continue] = ACTIONS(2426),
    [anon_sym_debugger] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym_case] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_LTtemplate_GT] = ACTIONS(2426),
    [anon_sym_GT] = ACTIONS(2428),
    [anon_sym_DOT] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_async] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2426),
    [anon_sym_QMARK_DOT] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_PIPE_PIPE] = ACTIONS(2428),
    [anon_sym_GT_GT] = ACTIONS(2428),
    [anon_sym_GT_GT_GT] = ACTIONS(2428),
    [anon_sym_LT_LT] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_CARET] = ACTIONS(2428),
    [anon_sym_PIPE] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_PERCENT] = ACTIONS(2428),
    [anon_sym_STAR_STAR] = ACTIONS(2428),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_LT_EQ] = ACTIONS(2428),
    [anon_sym_EQ_EQ] = ACTIONS(2428),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2428),
    [anon_sym_BANG_EQ] = ACTIONS(2428),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2428),
    [anon_sym_GT_EQ] = ACTIONS(2428),
    [anon_sym_QMARK_QMARK] = ACTIONS(2428),
    [anon_sym_instanceof] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_void] = ACTIONS(2426),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2426),
    [sym_number] = ACTIONS(2426),
    [sym_private_property_identifier] = ACTIONS(2426),
    [sym_this] = ACTIONS(2426),
    [sym_super] = ACTIONS(2426),
    [sym_true] = ACTIONS(2426),
    [sym_false] = ACTIONS(2426),
    [sym_null] = ACTIONS(2426),
    [sym_undefined] = ACTIONS(2426),
    [anon_sym_AT] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_readonly] = ACTIONS(2426),
    [anon_sym_get] = ACTIONS(2426),
    [anon_sym_set] = ACTIONS(2426),
    [anon_sym_declare] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_override] = ACTIONS(2426),
    [anon_sym_module] = ACTIONS(2426),
    [anon_sym_any] = ACTIONS(2426),
    [anon_sym_number] = ACTIONS(2426),
    [anon_sym_boolean] = ACTIONS(2426),
    [anon_sym_string] = ACTIONS(2426),
    [anon_sym_symbol] = ACTIONS(2426),
    [anon_sym_object] = ACTIONS(2426),
    [anon_sym_property] = ACTIONS(2426),
    [anon_sym_signal] = ACTIONS(2426),
    [anon_sym_on] = ACTIONS(2426),
    [anon_sym_required] = ACTIONS(2426),
    [anon_sym_component] = ACTIONS(2426),
    [anon_sym_abstract] = ACTIONS(2426),
    [anon_sym_satisfies] = ACTIONS(2428),
    [anon_sym_interface] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [sym__automatic_semicolon] = ACTIONS(2430),
    [sym__ternary_qmark] = ACTIONS(2432),
    [sym_html_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_comment] = STATE(366),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_export] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_default] = ACTIONS(2434),
    [anon_sym_type] = ACTIONS(2434),
    [anon_sym_as] = ACTIONS(2434),
    [anon_sym_namespace] = ACTIONS(2434),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_typeof] = ACTIONS(2434),
    [anon_sym_import] = ACTIONS(2434),
    [anon_sym_from] = ACTIONS(2434),
    [anon_sym_with] = ACTIONS(2434),
    [anon_sym_var] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_const] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_else] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_switch] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_await] = ACTIONS(2434),
    [anon_sym_in] = ACTIONS(2434),
    [anon_sym_of] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_break] = ACTIONS(2434),
    [anon_sym_continue] = ACTIONS(2434),
    [anon_sym_debugger] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_case] = ACTIONS(2434),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LTtemplate_GT] = ACTIONS(2434),
    [anon_sym_GT] = ACTIONS(2434),
    [anon_sym_DOT] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_class] = ACTIONS(2434),
    [anon_sym_async] = ACTIONS(2434),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_QMARK_DOT] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_using] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_PIPE_PIPE] = ACTIONS(2434),
    [anon_sym_GT_GT] = ACTIONS(2434),
    [anon_sym_GT_GT_GT] = ACTIONS(2434),
    [anon_sym_LT_LT] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_CARET] = ACTIONS(2434),
    [anon_sym_PIPE] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_SLASH] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2434),
    [anon_sym_STAR_STAR] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2434),
    [anon_sym_LT_EQ] = ACTIONS(2434),
    [anon_sym_EQ_EQ] = ACTIONS(2434),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2434),
    [anon_sym_BANG_EQ] = ACTIONS(2434),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2434),
    [anon_sym_GT_EQ] = ACTIONS(2434),
    [anon_sym_QMARK_QMARK] = ACTIONS(2434),
    [anon_sym_instanceof] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_void] = ACTIONS(2434),
    [anon_sym_delete] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2434),
    [sym_number] = ACTIONS(2434),
    [sym_private_property_identifier] = ACTIONS(2434),
    [sym_this] = ACTIONS(2434),
    [sym_super] = ACTIONS(2434),
    [sym_true] = ACTIONS(2434),
    [sym_false] = ACTIONS(2434),
    [sym_null] = ACTIONS(2434),
    [sym_undefined] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2434),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_readonly] = ACTIONS(2434),
    [anon_sym_get] = ACTIONS(2434),
    [anon_sym_set] = ACTIONS(2434),
    [anon_sym_declare] = ACTIONS(2434),
    [anon_sym_public] = ACTIONS(2434),
    [anon_sym_private] = ACTIONS(2434),
    [anon_sym_protected] = ACTIONS(2434),
    [anon_sym_override] = ACTIONS(2434),
    [anon_sym_module] = ACTIONS(2434),
    [anon_sym_any] = ACTIONS(2434),
    [anon_sym_number] = ACTIONS(2434),
    [anon_sym_boolean] = ACTIONS(2434),
    [anon_sym_string] = ACTIONS(2434),
    [anon_sym_symbol] = ACTIONS(2434),
    [anon_sym_object] = ACTIONS(2434),
    [anon_sym_property] = ACTIONS(2434),
    [anon_sym_signal] = ACTIONS(2434),
    [anon_sym_on] = ACTIONS(2434),
    [anon_sym_required] = ACTIONS(2434),
    [anon_sym_component] = ACTIONS(2434),
    [anon_sym_abstract] = ACTIONS(2434),
    [anon_sym_satisfies] = ACTIONS(2434),
    [anon_sym_interface] = ACTIONS(2434),
    [anon_sym_enum] = ACTIONS(2434),
    [sym__automatic_semicolon] = ACTIONS(2436),
    [sym__ternary_qmark] = ACTIONS(2436),
    [sym_html_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_comment] = STATE(367),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_type] = ACTIONS(2438),
    [anon_sym_as] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_typeof] = ACTIONS(2438),
    [anon_sym_import] = ACTIONS(2438),
    [anon_sym_from] = ACTIONS(2438),
    [anon_sym_with] = ACTIONS(2438),
    [anon_sym_var] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_else] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_await] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_of] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_debugger] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LTtemplate_GT] = ACTIONS(2438),
    [anon_sym_GT] = ACTIONS(2438),
    [anon_sym_DOT] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_async] = ACTIONS(2438),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_QMARK_DOT] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_PIPE_PIPE] = ACTIONS(2438),
    [anon_sym_GT_GT] = ACTIONS(2438),
    [anon_sym_GT_GT_GT] = ACTIONS(2438),
    [anon_sym_LT_LT] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_PIPE] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_SLASH] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2438),
    [anon_sym_STAR_STAR] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2438),
    [anon_sym_LT_EQ] = ACTIONS(2438),
    [anon_sym_EQ_EQ] = ACTIONS(2438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2438),
    [anon_sym_BANG_EQ] = ACTIONS(2438),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2438),
    [anon_sym_GT_EQ] = ACTIONS(2438),
    [anon_sym_QMARK_QMARK] = ACTIONS(2438),
    [anon_sym_instanceof] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_void] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2438),
    [sym_number] = ACTIONS(2438),
    [sym_private_property_identifier] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [sym_super] = ACTIONS(2438),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [sym_null] = ACTIONS(2438),
    [sym_undefined] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_readonly] = ACTIONS(2438),
    [anon_sym_get] = ACTIONS(2438),
    [anon_sym_set] = ACTIONS(2438),
    [anon_sym_declare] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_override] = ACTIONS(2438),
    [anon_sym_module] = ACTIONS(2438),
    [anon_sym_any] = ACTIONS(2438),
    [anon_sym_number] = ACTIONS(2438),
    [anon_sym_boolean] = ACTIONS(2438),
    [anon_sym_string] = ACTIONS(2438),
    [anon_sym_symbol] = ACTIONS(2438),
    [anon_sym_object] = ACTIONS(2438),
    [anon_sym_property] = ACTIONS(2438),
    [anon_sym_signal] = ACTIONS(2438),
    [anon_sym_on] = ACTIONS(2438),
    [anon_sym_required] = ACTIONS(2438),
    [anon_sym_component] = ACTIONS(2438),
    [anon_sym_abstract] = ACTIONS(2438),
    [anon_sym_satisfies] = ACTIONS(2438),
    [anon_sym_interface] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [sym__automatic_semicolon] = ACTIONS(2440),
    [sym__ternary_qmark] = ACTIONS(2440),
    [sym_html_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_comment] = STATE(368),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_export] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_default] = ACTIONS(2442),
    [anon_sym_type] = ACTIONS(2442),
    [anon_sym_as] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_typeof] = ACTIONS(2442),
    [anon_sym_import] = ACTIONS(2442),
    [anon_sym_from] = ACTIONS(2442),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_var] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_else] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_switch] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_await] = ACTIONS(2442),
    [anon_sym_in] = ACTIONS(2442),
    [anon_sym_of] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_break] = ACTIONS(2442),
    [anon_sym_continue] = ACTIONS(2442),
    [anon_sym_debugger] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_case] = ACTIONS(2442),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LTtemplate_GT] = ACTIONS(2442),
    [anon_sym_GT] = ACTIONS(2442),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_async] = ACTIONS(2442),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_QMARK_DOT] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_GT_GT] = ACTIONS(2442),
    [anon_sym_GT_GT_GT] = ACTIONS(2442),
    [anon_sym_LT_LT] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_CARET] = ACTIONS(2442),
    [anon_sym_PIPE] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_STAR_STAR] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_LT_EQ] = ACTIONS(2442),
    [anon_sym_EQ_EQ] = ACTIONS(2442),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2442),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2442),
    [anon_sym_GT_EQ] = ACTIONS(2442),
    [anon_sym_QMARK_QMARK] = ACTIONS(2442),
    [anon_sym_instanceof] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_void] = ACTIONS(2442),
    [anon_sym_delete] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2442),
    [sym_number] = ACTIONS(2442),
    [sym_private_property_identifier] = ACTIONS(2442),
    [sym_this] = ACTIONS(2442),
    [sym_super] = ACTIONS(2442),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [sym_null] = ACTIONS(2442),
    [sym_undefined] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_readonly] = ACTIONS(2442),
    [anon_sym_get] = ACTIONS(2442),
    [anon_sym_set] = ACTIONS(2442),
    [anon_sym_declare] = ACTIONS(2442),
    [anon_sym_public] = ACTIONS(2442),
    [anon_sym_private] = ACTIONS(2442),
    [anon_sym_protected] = ACTIONS(2442),
    [anon_sym_override] = ACTIONS(2442),
    [anon_sym_module] = ACTIONS(2442),
    [anon_sym_any] = ACTIONS(2442),
    [anon_sym_number] = ACTIONS(2442),
    [anon_sym_boolean] = ACTIONS(2442),
    [anon_sym_string] = ACTIONS(2442),
    [anon_sym_symbol] = ACTIONS(2442),
    [anon_sym_object] = ACTIONS(2442),
    [anon_sym_property] = ACTIONS(2442),
    [anon_sym_signal] = ACTIONS(2442),
    [anon_sym_on] = ACTIONS(2442),
    [anon_sym_required] = ACTIONS(2442),
    [anon_sym_component] = ACTIONS(2442),
    [anon_sym_abstract] = ACTIONS(2442),
    [anon_sym_satisfies] = ACTIONS(2442),
    [anon_sym_interface] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [sym__automatic_semicolon] = ACTIONS(2444),
    [sym__ternary_qmark] = ACTIONS(2444),
    [sym_html_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_comment] = STATE(369),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(2287),
    [anon_sym_default] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_as] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_COMMA] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_in] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_GT] = ACTIONS(2287),
    [anon_sym_DOT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_QMARK_DOT] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2287),
    [anon_sym_PIPE_PIPE] = ACTIONS(2287),
    [anon_sym_GT_GT] = ACTIONS(2287),
    [anon_sym_GT_GT_GT] = ACTIONS(2287),
    [anon_sym_LT_LT] = ACTIONS(2287),
    [anon_sym_AMP] = ACTIONS(2287),
    [anon_sym_CARET] = ACTIONS(2287),
    [anon_sym_PIPE] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_PERCENT] = ACTIONS(2287),
    [anon_sym_STAR_STAR] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_LT_EQ] = ACTIONS(2287),
    [anon_sym_EQ_EQ] = ACTIONS(2287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2287),
    [anon_sym_BANG_EQ] = ACTIONS(2287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2287),
    [anon_sym_GT_EQ] = ACTIONS(2287),
    [anon_sym_QMARK_QMARK] = ACTIONS(2287),
    [anon_sym_instanceof] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_satisfies] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(2446),
    [sym__ternary_qmark] = ACTIONS(2448),
    [sym_html_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_comment] = STATE(370),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_export] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2450),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_as] = ACTIONS(2452),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_typeof] = ACTIONS(2450),
    [anon_sym_import] = ACTIONS(2450),
    [anon_sym_from] = ACTIONS(2450),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_var] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_const] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_else] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_switch] = ACTIONS(2450),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_await] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_of] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_break] = ACTIONS(2450),
    [anon_sym_continue] = ACTIONS(2450),
    [anon_sym_debugger] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_throw] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_case] = ACTIONS(2450),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LTtemplate_GT] = ACTIONS(2450),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_class] = ACTIONS(2450),
    [anon_sym_async] = ACTIONS(2450),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_QMARK_DOT] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_using] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_PIPE_PIPE] = ACTIONS(2452),
    [anon_sym_GT_GT] = ACTIONS(2452),
    [anon_sym_GT_GT_GT] = ACTIONS(2452),
    [anon_sym_LT_LT] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_CARET] = ACTIONS(2452),
    [anon_sym_PIPE] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2452),
    [anon_sym_STAR_STAR] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2452),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_QMARK_QMARK] = ACTIONS(2452),
    [anon_sym_instanceof] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_void] = ACTIONS(2450),
    [anon_sym_delete] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2450),
    [sym_number] = ACTIONS(2450),
    [sym_private_property_identifier] = ACTIONS(2450),
    [sym_this] = ACTIONS(2450),
    [sym_super] = ACTIONS(2450),
    [sym_true] = ACTIONS(2450),
    [sym_false] = ACTIONS(2450),
    [sym_null] = ACTIONS(2450),
    [sym_undefined] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2450),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_readonly] = ACTIONS(2450),
    [anon_sym_get] = ACTIONS(2450),
    [anon_sym_set] = ACTIONS(2450),
    [anon_sym_declare] = ACTIONS(2450),
    [anon_sym_public] = ACTIONS(2450),
    [anon_sym_private] = ACTIONS(2450),
    [anon_sym_protected] = ACTIONS(2450),
    [anon_sym_override] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_any] = ACTIONS(2450),
    [anon_sym_number] = ACTIONS(2450),
    [anon_sym_boolean] = ACTIONS(2450),
    [anon_sym_string] = ACTIONS(2450),
    [anon_sym_symbol] = ACTIONS(2450),
    [anon_sym_object] = ACTIONS(2450),
    [anon_sym_property] = ACTIONS(2450),
    [anon_sym_signal] = ACTIONS(2450),
    [anon_sym_on] = ACTIONS(2450),
    [anon_sym_required] = ACTIONS(2450),
    [anon_sym_component] = ACTIONS(2450),
    [anon_sym_abstract] = ACTIONS(2450),
    [anon_sym_satisfies] = ACTIONS(2452),
    [anon_sym_interface] = ACTIONS(2450),
    [anon_sym_enum] = ACTIONS(2450),
    [sym__automatic_semicolon] = ACTIONS(2454),
    [sym__ternary_qmark] = ACTIONS(2456),
    [sym_html_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_comment] = STATE(371),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2458),
    [anon_sym_type] = ACTIONS(2458),
    [anon_sym_as] = ACTIONS(2460),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_COMMA] = ACTIONS(2460),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_typeof] = ACTIONS(2458),
    [anon_sym_import] = ACTIONS(2458),
    [anon_sym_from] = ACTIONS(2458),
    [anon_sym_with] = ACTIONS(2458),
    [anon_sym_var] = ACTIONS(2458),
    [anon_sym_let] = ACTIONS(2458),
    [anon_sym_const] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_else] = ACTIONS(2458),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_switch] = ACTIONS(2458),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_LPAREN] = ACTIONS(2458),
    [anon_sym_await] = ACTIONS(2458),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_of] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(2458),
    [anon_sym_do] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2458),
    [anon_sym_break] = ACTIONS(2458),
    [anon_sym_continue] = ACTIONS(2458),
    [anon_sym_debugger] = ACTIONS(2458),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym_case] = ACTIONS(2458),
    [anon_sym_yield] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_LTtemplate_GT] = ACTIONS(2458),
    [anon_sym_GT] = ACTIONS(2460),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_class] = ACTIONS(2458),
    [anon_sym_async] = ACTIONS(2458),
    [anon_sym_function] = ACTIONS(2458),
    [anon_sym_QMARK_DOT] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_using] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_GT_GT] = ACTIONS(2460),
    [anon_sym_GT_GT_GT] = ACTIONS(2460),
    [anon_sym_LT_LT] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_CARET] = ACTIONS(2460),
    [anon_sym_PIPE] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_SLASH] = ACTIONS(2458),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_STAR_STAR] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2458),
    [anon_sym_LT_EQ] = ACTIONS(2460),
    [anon_sym_EQ_EQ] = ACTIONS(2460),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2460),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2460),
    [anon_sym_GT_EQ] = ACTIONS(2460),
    [anon_sym_QMARK_QMARK] = ACTIONS(2460),
    [anon_sym_instanceof] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_void] = ACTIONS(2458),
    [anon_sym_delete] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2458),
    [sym_number] = ACTIONS(2458),
    [sym_private_property_identifier] = ACTIONS(2458),
    [sym_this] = ACTIONS(2458),
    [sym_super] = ACTIONS(2458),
    [sym_true] = ACTIONS(2458),
    [sym_false] = ACTIONS(2458),
    [sym_null] = ACTIONS(2458),
    [sym_undefined] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_readonly] = ACTIONS(2458),
    [anon_sym_get] = ACTIONS(2458),
    [anon_sym_set] = ACTIONS(2458),
    [anon_sym_declare] = ACTIONS(2458),
    [anon_sym_public] = ACTIONS(2458),
    [anon_sym_private] = ACTIONS(2458),
    [anon_sym_protected] = ACTIONS(2458),
    [anon_sym_override] = ACTIONS(2458),
    [anon_sym_module] = ACTIONS(2458),
    [anon_sym_any] = ACTIONS(2458),
    [anon_sym_number] = ACTIONS(2458),
    [anon_sym_boolean] = ACTIONS(2458),
    [anon_sym_string] = ACTIONS(2458),
    [anon_sym_symbol] = ACTIONS(2458),
    [anon_sym_object] = ACTIONS(2458),
    [anon_sym_property] = ACTIONS(2458),
    [anon_sym_signal] = ACTIONS(2458),
    [anon_sym_on] = ACTIONS(2458),
    [anon_sym_required] = ACTIONS(2458),
    [anon_sym_component] = ACTIONS(2458),
    [anon_sym_abstract] = ACTIONS(2458),
    [anon_sym_satisfies] = ACTIONS(2460),
    [anon_sym_interface] = ACTIONS(2458),
    [anon_sym_enum] = ACTIONS(2458),
    [sym__automatic_semicolon] = ACTIONS(2462),
    [sym__ternary_qmark] = ACTIONS(2464),
    [sym_html_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_comment] = STATE(372),
    [sym_identifier] = ACTIONS(2466),
    [anon_sym_export] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2466),
    [anon_sym_type] = ACTIONS(2466),
    [anon_sym_as] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_COMMA] = ACTIONS(2468),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_typeof] = ACTIONS(2466),
    [anon_sym_import] = ACTIONS(2466),
    [anon_sym_from] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2466),
    [anon_sym_var] = ACTIONS(2466),
    [anon_sym_let] = ACTIONS(2466),
    [anon_sym_const] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_else] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_switch] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2466),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_of] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2466),
    [anon_sym_do] = ACTIONS(2466),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_break] = ACTIONS(2466),
    [anon_sym_continue] = ACTIONS(2466),
    [anon_sym_debugger] = ACTIONS(2466),
    [anon_sym_return] = ACTIONS(2466),
    [anon_sym_throw] = ACTIONS(2466),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_case] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2466),
    [anon_sym_LTtemplate_GT] = ACTIONS(2466),
    [anon_sym_GT] = ACTIONS(2468),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_class] = ACTIONS(2466),
    [anon_sym_async] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2466),
    [anon_sym_QMARK_DOT] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_using] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_GT_GT] = ACTIONS(2468),
    [anon_sym_GT_GT_GT] = ACTIONS(2468),
    [anon_sym_LT_LT] = ACTIONS(2468),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_CARET] = ACTIONS(2468),
    [anon_sym_PIPE] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_STAR_STAR] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2468),
    [anon_sym_EQ_EQ] = ACTIONS(2468),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2468),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2468),
    [anon_sym_GT_EQ] = ACTIONS(2468),
    [anon_sym_QMARK_QMARK] = ACTIONS(2468),
    [anon_sym_instanceof] = ACTIONS(2468),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_void] = ACTIONS(2466),
    [anon_sym_delete] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2466),
    [sym_number] = ACTIONS(2466),
    [sym_private_property_identifier] = ACTIONS(2466),
    [sym_this] = ACTIONS(2466),
    [sym_super] = ACTIONS(2466),
    [sym_true] = ACTIONS(2466),
    [sym_false] = ACTIONS(2466),
    [sym_null] = ACTIONS(2466),
    [sym_undefined] = ACTIONS(2466),
    [anon_sym_AT] = ACTIONS(2466),
    [anon_sym_static] = ACTIONS(2466),
    [anon_sym_readonly] = ACTIONS(2466),
    [anon_sym_get] = ACTIONS(2466),
    [anon_sym_set] = ACTIONS(2466),
    [anon_sym_declare] = ACTIONS(2466),
    [anon_sym_public] = ACTIONS(2466),
    [anon_sym_private] = ACTIONS(2466),
    [anon_sym_protected] = ACTIONS(2466),
    [anon_sym_override] = ACTIONS(2466),
    [anon_sym_module] = ACTIONS(2466),
    [anon_sym_any] = ACTIONS(2466),
    [anon_sym_number] = ACTIONS(2466),
    [anon_sym_boolean] = ACTIONS(2466),
    [anon_sym_string] = ACTIONS(2466),
    [anon_sym_symbol] = ACTIONS(2466),
    [anon_sym_object] = ACTIONS(2466),
    [anon_sym_property] = ACTIONS(2466),
    [anon_sym_signal] = ACTIONS(2466),
    [anon_sym_on] = ACTIONS(2466),
    [anon_sym_required] = ACTIONS(2466),
    [anon_sym_component] = ACTIONS(2466),
    [anon_sym_abstract] = ACTIONS(2466),
    [anon_sym_satisfies] = ACTIONS(2468),
    [anon_sym_interface] = ACTIONS(2466),
    [anon_sym_enum] = ACTIONS(2466),
    [sym__automatic_semicolon] = ACTIONS(2470),
    [sym__ternary_qmark] = ACTIONS(2470),
    [sym_html_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_comment] = STATE(373),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_EQ] = ACTIONS(2291),
    [anon_sym_as] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_COMMA] = ACTIONS(2289),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_in] = ACTIONS(2289),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_GT] = ACTIONS(2289),
    [anon_sym_DOT] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_QMARK_DOT] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2289),
    [anon_sym_PIPE_PIPE] = ACTIONS(2289),
    [anon_sym_GT_GT] = ACTIONS(2289),
    [anon_sym_GT_GT_GT] = ACTIONS(2289),
    [anon_sym_LT_LT] = ACTIONS(2289),
    [anon_sym_AMP] = ACTIONS(2289),
    [anon_sym_CARET] = ACTIONS(2289),
    [anon_sym_PIPE] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_PERCENT] = ACTIONS(2289),
    [anon_sym_STAR_STAR] = ACTIONS(2289),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_LT_EQ] = ACTIONS(2289),
    [anon_sym_EQ_EQ] = ACTIONS(2289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2289),
    [anon_sym_BANG_EQ] = ACTIONS(2289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2289),
    [anon_sym_GT_EQ] = ACTIONS(2289),
    [anon_sym_QMARK_QMARK] = ACTIONS(2289),
    [anon_sym_instanceof] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_satisfies] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(2472),
    [sym__ternary_qmark] = ACTIONS(2295),
    [sym_html_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(374),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4642),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(1337),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_COMMA] = ACTIONS(1414),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(1414),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_statement_block] = STATE(385),
    [sym_comment] = STATE(375),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_as] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_COMMA] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_in] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_case] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(2297),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_QMARK_DOT] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_AMP_AMP] = ACTIONS(2297),
    [anon_sym_PIPE_PIPE] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_GT_GT_GT] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_AMP] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2297),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_STAR_STAR] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_QMARK_QMARK] = ACTIONS(2297),
    [anon_sym_instanceof] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_satisfies] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_comment] = STATE(376),
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_as] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_import] = ACTIONS(2474),
    [anon_sym_from] = ACTIONS(2474),
    [anon_sym_with] = ACTIONS(2474),
    [anon_sym_var] = ACTIONS(2474),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_await] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_of] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_debugger] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_LTtemplate_GT] = ACTIONS(2474),
    [anon_sym_GT] = ACTIONS(2474),
    [anon_sym_DOT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2474),
    [anon_sym_QMARK_DOT] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_PIPE_PIPE] = ACTIONS(2474),
    [anon_sym_GT_GT] = ACTIONS(2474),
    [anon_sym_GT_GT_GT] = ACTIONS(2474),
    [anon_sym_LT_LT] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_CARET] = ACTIONS(2474),
    [anon_sym_PIPE] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_SLASH] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2474),
    [anon_sym_STAR_STAR] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_LT_EQ] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2474),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2474),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_QMARK_QMARK] = ACTIONS(2474),
    [anon_sym_instanceof] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_void] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2474),
    [sym_number] = ACTIONS(2474),
    [sym_private_property_identifier] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
    [sym_super] = ACTIONS(2474),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [sym_null] = ACTIONS(2474),
    [sym_undefined] = ACTIONS(2474),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_property] = ACTIONS(2474),
    [anon_sym_signal] = ACTIONS(2474),
    [anon_sym_on] = ACTIONS(2474),
    [anon_sym_required] = ACTIONS(2474),
    [anon_sym_component] = ACTIONS(2474),
    [anon_sym_abstract] = ACTIONS(2474),
    [anon_sym_satisfies] = ACTIONS(2474),
    [anon_sym_interface] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [sym__automatic_semicolon] = ACTIONS(2476),
    [sym__ternary_qmark] = ACTIONS(2476),
    [sym_html_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_comment] = STATE(377),
    [sym_identifier] = ACTIONS(2478),
    [anon_sym_export] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_type] = ACTIONS(2478),
    [anon_sym_as] = ACTIONS(2480),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_COMMA] = ACTIONS(2480),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_typeof] = ACTIONS(2478),
    [anon_sym_import] = ACTIONS(2478),
    [anon_sym_from] = ACTIONS(2478),
    [anon_sym_with] = ACTIONS(2478),
    [anon_sym_var] = ACTIONS(2478),
    [anon_sym_let] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_else] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_LPAREN] = ACTIONS(2478),
    [anon_sym_await] = ACTIONS(2478),
    [anon_sym_in] = ACTIONS(2480),
    [anon_sym_of] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_debugger] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_LTtemplate_GT] = ACTIONS(2478),
    [anon_sym_GT] = ACTIONS(2480),
    [anon_sym_DOT] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_async] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2478),
    [anon_sym_QMARK_DOT] = ACTIONS(2480),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_PIPE_PIPE] = ACTIONS(2480),
    [anon_sym_GT_GT] = ACTIONS(2480),
    [anon_sym_GT_GT_GT] = ACTIONS(2480),
    [anon_sym_LT_LT] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_CARET] = ACTIONS(2480),
    [anon_sym_PIPE] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_SLASH] = ACTIONS(2478),
    [anon_sym_PERCENT] = ACTIONS(2480),
    [anon_sym_STAR_STAR] = ACTIONS(2480),
    [anon_sym_LT] = ACTIONS(2478),
    [anon_sym_LT_EQ] = ACTIONS(2480),
    [anon_sym_EQ_EQ] = ACTIONS(2480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2480),
    [anon_sym_BANG_EQ] = ACTIONS(2480),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2480),
    [anon_sym_GT_EQ] = ACTIONS(2480),
    [anon_sym_QMARK_QMARK] = ACTIONS(2480),
    [anon_sym_instanceof] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2478),
    [anon_sym_void] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2478),
    [sym_number] = ACTIONS(2478),
    [sym_private_property_identifier] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
    [sym_super] = ACTIONS(2478),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [sym_null] = ACTIONS(2478),
    [sym_undefined] = ACTIONS(2478),
    [anon_sym_AT] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_readonly] = ACTIONS(2478),
    [anon_sym_get] = ACTIONS(2478),
    [anon_sym_set] = ACTIONS(2478),
    [anon_sym_declare] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_override] = ACTIONS(2478),
    [anon_sym_module] = ACTIONS(2478),
    [anon_sym_any] = ACTIONS(2478),
    [anon_sym_number] = ACTIONS(2478),
    [anon_sym_boolean] = ACTIONS(2478),
    [anon_sym_string] = ACTIONS(2478),
    [anon_sym_symbol] = ACTIONS(2478),
    [anon_sym_object] = ACTIONS(2478),
    [anon_sym_property] = ACTIONS(2478),
    [anon_sym_signal] = ACTIONS(2478),
    [anon_sym_on] = ACTIONS(2478),
    [anon_sym_required] = ACTIONS(2478),
    [anon_sym_component] = ACTIONS(2478),
    [anon_sym_abstract] = ACTIONS(2478),
    [anon_sym_satisfies] = ACTIONS(2480),
    [anon_sym_interface] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [sym__automatic_semicolon] = ACTIONS(2482),
    [sym__ternary_qmark] = ACTIONS(2484),
    [sym_html_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3567),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(378),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_PIPE] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [anon_sym_extends] = ACTIONS(2209),
    [sym_html_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(379),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(2157),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6156),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_accessibility_modifier] = STATE(475),
    [sym_override_modifier] = STATE(498),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(2095),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(2486),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(2488),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2490),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(1400),
    [anon_sym_private] = ACTIONS(1400),
    [anon_sym_protected] = ACTIONS(1400),
    [anon_sym_override] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(380),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4642),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(1477),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_EQ_GT] = ACTIONS(1471),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_implements] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_comment] = STATE(381),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2362),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_as] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_COMMA] = ACTIONS(2364),
    [anon_sym_RBRACE] = ACTIONS(2362),
    [anon_sym_typeof] = ACTIONS(2362),
    [anon_sym_import] = ACTIONS(2362),
    [anon_sym_from] = ACTIONS(2362),
    [anon_sym_with] = ACTIONS(2362),
    [anon_sym_var] = ACTIONS(2362),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_const] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_switch] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2362),
    [anon_sym_LPAREN] = ACTIONS(2362),
    [anon_sym_await] = ACTIONS(2362),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_of] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_do] = ACTIONS(2362),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_break] = ACTIONS(2362),
    [anon_sym_continue] = ACTIONS(2362),
    [anon_sym_debugger] = ACTIONS(2362),
    [anon_sym_return] = ACTIONS(2362),
    [anon_sym_throw] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym_case] = ACTIONS(2362),
    [anon_sym_yield] = ACTIONS(2362),
    [anon_sym_LBRACK] = ACTIONS(2362),
    [anon_sym_LTtemplate_GT] = ACTIONS(2362),
    [anon_sym_GT] = ACTIONS(2364),
    [anon_sym_DOT] = ACTIONS(2364),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_class] = ACTIONS(2362),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(2362),
    [anon_sym_QMARK_DOT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2362),
    [anon_sym_using] = ACTIONS(2362),
    [anon_sym_AMP_AMP] = ACTIONS(2364),
    [anon_sym_PIPE_PIPE] = ACTIONS(2364),
    [anon_sym_GT_GT] = ACTIONS(2364),
    [anon_sym_GT_GT_GT] = ACTIONS(2364),
    [anon_sym_LT_LT] = ACTIONS(2364),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_CARET] = ACTIONS(2364),
    [anon_sym_PIPE] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2362),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_PERCENT] = ACTIONS(2364),
    [anon_sym_STAR_STAR] = ACTIONS(2364),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_QMARK_QMARK] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_void] = ACTIONS(2362),
    [anon_sym_delete] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2362),
    [sym_number] = ACTIONS(2362),
    [sym_private_property_identifier] = ACTIONS(2362),
    [sym_this] = ACTIONS(2362),
    [sym_super] = ACTIONS(2362),
    [sym_true] = ACTIONS(2362),
    [sym_false] = ACTIONS(2362),
    [sym_null] = ACTIONS(2362),
    [sym_undefined] = ACTIONS(2362),
    [anon_sym_AT] = ACTIONS(2362),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2362),
    [anon_sym_get] = ACTIONS(2362),
    [anon_sym_set] = ACTIONS(2362),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_property] = ACTIONS(2362),
    [anon_sym_signal] = ACTIONS(2362),
    [anon_sym_on] = ACTIONS(2362),
    [anon_sym_required] = ACTIONS(2362),
    [anon_sym_component] = ACTIONS(2362),
    [anon_sym_abstract] = ACTIONS(2362),
    [anon_sym_satisfies] = ACTIONS(2364),
    [anon_sym_interface] = ACTIONS(2362),
    [anon_sym_enum] = ACTIONS(2362),
    [sym__automatic_semicolon] = ACTIONS(2492),
    [sym__ternary_qmark] = ACTIONS(2368),
    [sym_html_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_comment] = STATE(382),
    [sym_identifier] = ACTIONS(2402),
    [anon_sym_export] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_type] = ACTIONS(2402),
    [anon_sym_as] = ACTIONS(2404),
    [anon_sym_namespace] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_COMMA] = ACTIONS(2404),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [anon_sym_typeof] = ACTIONS(2402),
    [anon_sym_import] = ACTIONS(2402),
    [anon_sym_from] = ACTIONS(2402),
    [anon_sym_with] = ACTIONS(2402),
    [anon_sym_var] = ACTIONS(2402),
    [anon_sym_let] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(2402),
    [anon_sym_await] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2404),
    [anon_sym_of] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_try] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_debugger] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym_case] = ACTIONS(2402),
    [anon_sym_yield] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_LTtemplate_GT] = ACTIONS(2402),
    [anon_sym_GT] = ACTIONS(2404),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2402),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_async] = ACTIONS(2402),
    [anon_sym_function] = ACTIONS(2402),
    [anon_sym_QMARK_DOT] = ACTIONS(2404),
    [anon_sym_new] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_PIPE_PIPE] = ACTIONS(2404),
    [anon_sym_GT_GT] = ACTIONS(2404),
    [anon_sym_GT_GT_GT] = ACTIONS(2404),
    [anon_sym_LT_LT] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2404),
    [anon_sym_PIPE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_SLASH] = ACTIONS(2402),
    [anon_sym_PERCENT] = ACTIONS(2404),
    [anon_sym_STAR_STAR] = ACTIONS(2404),
    [anon_sym_LT] = ACTIONS(2402),
    [anon_sym_LT_EQ] = ACTIONS(2404),
    [anon_sym_EQ_EQ] = ACTIONS(2404),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2404),
    [anon_sym_BANG_EQ] = ACTIONS(2404),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2404),
    [anon_sym_GT_EQ] = ACTIONS(2404),
    [anon_sym_QMARK_QMARK] = ACTIONS(2404),
    [anon_sym_instanceof] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_void] = ACTIONS(2402),
    [anon_sym_delete] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2402),
    [sym_number] = ACTIONS(2402),
    [sym_private_property_identifier] = ACTIONS(2402),
    [sym_this] = ACTIONS(2402),
    [sym_super] = ACTIONS(2402),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [sym_null] = ACTIONS(2402),
    [sym_undefined] = ACTIONS(2402),
    [anon_sym_AT] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_readonly] = ACTIONS(2402),
    [anon_sym_get] = ACTIONS(2402),
    [anon_sym_set] = ACTIONS(2402),
    [anon_sym_declare] = ACTIONS(2402),
    [anon_sym_public] = ACTIONS(2402),
    [anon_sym_private] = ACTIONS(2402),
    [anon_sym_protected] = ACTIONS(2402),
    [anon_sym_override] = ACTIONS(2402),
    [anon_sym_module] = ACTIONS(2402),
    [anon_sym_any] = ACTIONS(2402),
    [anon_sym_number] = ACTIONS(2402),
    [anon_sym_boolean] = ACTIONS(2402),
    [anon_sym_string] = ACTIONS(2402),
    [anon_sym_symbol] = ACTIONS(2402),
    [anon_sym_object] = ACTIONS(2402),
    [anon_sym_property] = ACTIONS(2402),
    [anon_sym_signal] = ACTIONS(2402),
    [anon_sym_on] = ACTIONS(2402),
    [anon_sym_required] = ACTIONS(2402),
    [anon_sym_component] = ACTIONS(2402),
    [anon_sym_abstract] = ACTIONS(2402),
    [anon_sym_satisfies] = ACTIONS(2404),
    [anon_sym_interface] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [sym__automatic_semicolon] = ACTIONS(2494),
    [sym__ternary_qmark] = ACTIONS(2408),
    [sym_html_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_comment] = STATE(383),
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_as] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_import] = ACTIONS(2474),
    [anon_sym_from] = ACTIONS(2474),
    [anon_sym_with] = ACTIONS(2474),
    [anon_sym_var] = ACTIONS(2474),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_await] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_of] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_debugger] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_LTtemplate_GT] = ACTIONS(2474),
    [anon_sym_GT] = ACTIONS(2474),
    [anon_sym_DOT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2474),
    [anon_sym_QMARK_DOT] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_PIPE_PIPE] = ACTIONS(2474),
    [anon_sym_GT_GT] = ACTIONS(2474),
    [anon_sym_GT_GT_GT] = ACTIONS(2474),
    [anon_sym_LT_LT] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_CARET] = ACTIONS(2474),
    [anon_sym_PIPE] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_SLASH] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2474),
    [anon_sym_STAR_STAR] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_LT_EQ] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2474),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2474),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_QMARK_QMARK] = ACTIONS(2474),
    [anon_sym_instanceof] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_void] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2474),
    [sym_number] = ACTIONS(2474),
    [sym_private_property_identifier] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
    [sym_super] = ACTIONS(2474),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [sym_null] = ACTIONS(2474),
    [sym_undefined] = ACTIONS(2474),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_property] = ACTIONS(2474),
    [anon_sym_signal] = ACTIONS(2474),
    [anon_sym_on] = ACTIONS(2474),
    [anon_sym_required] = ACTIONS(2474),
    [anon_sym_component] = ACTIONS(2474),
    [anon_sym_abstract] = ACTIONS(2474),
    [anon_sym_satisfies] = ACTIONS(2474),
    [anon_sym_interface] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [sym__automatic_semicolon] = ACTIONS(2476),
    [sym__ternary_qmark] = ACTIONS(2476),
    [sym_html_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(384),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4642),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(34),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_comment] = STATE(385),
    [sym_identifier] = ACTIONS(2338),
    [anon_sym_export] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2338),
    [anon_sym_type] = ACTIONS(2338),
    [anon_sym_as] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2338),
    [anon_sym_RBRACE] = ACTIONS(2338),
    [anon_sym_typeof] = ACTIONS(2338),
    [anon_sym_import] = ACTIONS(2338),
    [anon_sym_from] = ACTIONS(2338),
    [anon_sym_with] = ACTIONS(2338),
    [anon_sym_var] = ACTIONS(2338),
    [anon_sym_let] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_BANG] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_LPAREN] = ACTIONS(2338),
    [anon_sym_await] = ACTIONS(2338),
    [anon_sym_in] = ACTIONS(2338),
    [anon_sym_of] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_debugger] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2338),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_yield] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_LTtemplate_GT] = ACTIONS(2338),
    [anon_sym_GT] = ACTIONS(2338),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_async] = ACTIONS(2338),
    [anon_sym_function] = ACTIONS(2338),
    [anon_sym_QMARK_DOT] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_using] = ACTIONS(2338),
    [anon_sym_AMP_AMP] = ACTIONS(2338),
    [anon_sym_PIPE_PIPE] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_GT_GT_GT] = ACTIONS(2338),
    [anon_sym_LT_LT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(2338),
    [anon_sym_CARET] = ACTIONS(2338),
    [anon_sym_PIPE] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_SLASH] = ACTIONS(2338),
    [anon_sym_PERCENT] = ACTIONS(2338),
    [anon_sym_STAR_STAR] = ACTIONS(2338),
    [anon_sym_LT] = ACTIONS(2338),
    [anon_sym_LT_EQ] = ACTIONS(2338),
    [anon_sym_EQ_EQ] = ACTIONS(2338),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2338),
    [anon_sym_BANG_EQ] = ACTIONS(2338),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2338),
    [anon_sym_GT_EQ] = ACTIONS(2338),
    [anon_sym_QMARK_QMARK] = ACTIONS(2338),
    [anon_sym_instanceof] = ACTIONS(2338),
    [anon_sym_TILDE] = ACTIONS(2338),
    [anon_sym_void] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2338),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [sym_super] = ACTIONS(2338),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [sym_null] = ACTIONS(2338),
    [sym_undefined] = ACTIONS(2338),
    [anon_sym_AT] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_readonly] = ACTIONS(2338),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
    [anon_sym_declare] = ACTIONS(2338),
    [anon_sym_public] = ACTIONS(2338),
    [anon_sym_private] = ACTIONS(2338),
    [anon_sym_protected] = ACTIONS(2338),
    [anon_sym_override] = ACTIONS(2338),
    [anon_sym_module] = ACTIONS(2338),
    [anon_sym_any] = ACTIONS(2338),
    [anon_sym_number] = ACTIONS(2338),
    [anon_sym_boolean] = ACTIONS(2338),
    [anon_sym_string] = ACTIONS(2338),
    [anon_sym_symbol] = ACTIONS(2338),
    [anon_sym_object] = ACTIONS(2338),
    [anon_sym_property] = ACTIONS(2338),
    [anon_sym_signal] = ACTIONS(2338),
    [anon_sym_on] = ACTIONS(2338),
    [anon_sym_required] = ACTIONS(2338),
    [anon_sym_component] = ACTIONS(2338),
    [anon_sym_abstract] = ACTIONS(2338),
    [anon_sym_satisfies] = ACTIONS(2338),
    [anon_sym_interface] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(2340),
    [sym__ternary_qmark] = ACTIONS(2340),
    [sym_html_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(386),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4642),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_EQ_GT] = ACTIONS(1455),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3083),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(387),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_PIPE] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [anon_sym_extends] = ACTIONS(2209),
    [sym_html_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_comment] = STATE(388),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_as] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_in] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_GT] = ACTIONS(2332),
    [anon_sym_DOT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_QMARK_DOT] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_PIPE_PIPE] = ACTIONS(2332),
    [anon_sym_GT_GT] = ACTIONS(2332),
    [anon_sym_GT_GT_GT] = ACTIONS(2332),
    [anon_sym_LT_LT] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_CARET] = ACTIONS(2332),
    [anon_sym_PIPE] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_PERCENT] = ACTIONS(2332),
    [anon_sym_STAR_STAR] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_LT_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2332),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_QMARK_QMARK] = ACTIONS(2332),
    [anon_sym_instanceof] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_satisfies] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(2496),
    [sym__ternary_qmark] = ACTIONS(2336),
    [sym_html_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_comment] = STATE(389),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_type] = ACTIONS(2438),
    [anon_sym_as] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_typeof] = ACTIONS(2438),
    [anon_sym_import] = ACTIONS(2438),
    [anon_sym_from] = ACTIONS(2438),
    [anon_sym_with] = ACTIONS(2438),
    [anon_sym_var] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_await] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_of] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_debugger] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LTtemplate_GT] = ACTIONS(2438),
    [anon_sym_GT] = ACTIONS(2438),
    [anon_sym_DOT] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_async] = ACTIONS(2438),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_QMARK_DOT] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_PIPE_PIPE] = ACTIONS(2438),
    [anon_sym_GT_GT] = ACTIONS(2438),
    [anon_sym_GT_GT_GT] = ACTIONS(2438),
    [anon_sym_LT_LT] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_PIPE] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_SLASH] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2438),
    [anon_sym_STAR_STAR] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2438),
    [anon_sym_LT_EQ] = ACTIONS(2438),
    [anon_sym_EQ_EQ] = ACTIONS(2438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2438),
    [anon_sym_BANG_EQ] = ACTIONS(2438),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2438),
    [anon_sym_GT_EQ] = ACTIONS(2438),
    [anon_sym_QMARK_QMARK] = ACTIONS(2438),
    [anon_sym_instanceof] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_void] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2438),
    [sym_number] = ACTIONS(2438),
    [sym_private_property_identifier] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [sym_super] = ACTIONS(2438),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [sym_null] = ACTIONS(2438),
    [sym_undefined] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_readonly] = ACTIONS(2438),
    [anon_sym_get] = ACTIONS(2438),
    [anon_sym_set] = ACTIONS(2438),
    [anon_sym_declare] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_override] = ACTIONS(2438),
    [anon_sym_module] = ACTIONS(2438),
    [anon_sym_any] = ACTIONS(2438),
    [anon_sym_number] = ACTIONS(2438),
    [anon_sym_boolean] = ACTIONS(2438),
    [anon_sym_string] = ACTIONS(2438),
    [anon_sym_symbol] = ACTIONS(2438),
    [anon_sym_object] = ACTIONS(2438),
    [anon_sym_property] = ACTIONS(2438),
    [anon_sym_signal] = ACTIONS(2438),
    [anon_sym_on] = ACTIONS(2438),
    [anon_sym_required] = ACTIONS(2438),
    [anon_sym_component] = ACTIONS(2438),
    [anon_sym_abstract] = ACTIONS(2438),
    [anon_sym_satisfies] = ACTIONS(2438),
    [anon_sym_interface] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [sym__automatic_semicolon] = ACTIONS(2440),
    [sym__ternary_qmark] = ACTIONS(2440),
    [sym_html_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_comment] = STATE(390),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_export] = ACTIONS(2370),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_default] = ACTIONS(2370),
    [anon_sym_type] = ACTIONS(2370),
    [anon_sym_as] = ACTIONS(2370),
    [anon_sym_namespace] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_import] = ACTIONS(2370),
    [anon_sym_from] = ACTIONS(2370),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_var] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_const] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_switch] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_await] = ACTIONS(2370),
    [anon_sym_in] = ACTIONS(2370),
    [anon_sym_of] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_debugger] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_case] = ACTIONS(2370),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LTtemplate_GT] = ACTIONS(2370),
    [anon_sym_GT] = ACTIONS(2370),
    [anon_sym_DOT] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_async] = ACTIONS(2370),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_QMARK_DOT] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_using] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_GT_GT] = ACTIONS(2370),
    [anon_sym_GT_GT_GT] = ACTIONS(2370),
    [anon_sym_LT_LT] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_PIPE] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_SLASH] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_STAR_STAR] = ACTIONS(2370),
    [anon_sym_LT] = ACTIONS(2370),
    [anon_sym_LT_EQ] = ACTIONS(2370),
    [anon_sym_EQ_EQ] = ACTIONS(2370),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2370),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2370),
    [anon_sym_GT_EQ] = ACTIONS(2370),
    [anon_sym_QMARK_QMARK] = ACTIONS(2370),
    [anon_sym_instanceof] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2370),
    [sym_number] = ACTIONS(2370),
    [sym_private_property_identifier] = ACTIONS(2370),
    [sym_this] = ACTIONS(2370),
    [sym_super] = ACTIONS(2370),
    [sym_true] = ACTIONS(2370),
    [sym_false] = ACTIONS(2370),
    [sym_null] = ACTIONS(2370),
    [sym_undefined] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2370),
    [anon_sym_readonly] = ACTIONS(2370),
    [anon_sym_get] = ACTIONS(2370),
    [anon_sym_set] = ACTIONS(2370),
    [anon_sym_declare] = ACTIONS(2370),
    [anon_sym_public] = ACTIONS(2370),
    [anon_sym_private] = ACTIONS(2370),
    [anon_sym_protected] = ACTIONS(2370),
    [anon_sym_override] = ACTIONS(2370),
    [anon_sym_module] = ACTIONS(2370),
    [anon_sym_any] = ACTIONS(2370),
    [anon_sym_number] = ACTIONS(2370),
    [anon_sym_boolean] = ACTIONS(2370),
    [anon_sym_string] = ACTIONS(2370),
    [anon_sym_symbol] = ACTIONS(2370),
    [anon_sym_object] = ACTIONS(2370),
    [anon_sym_property] = ACTIONS(2370),
    [anon_sym_signal] = ACTIONS(2370),
    [anon_sym_on] = ACTIONS(2370),
    [anon_sym_required] = ACTIONS(2370),
    [anon_sym_component] = ACTIONS(2370),
    [anon_sym_abstract] = ACTIONS(2370),
    [anon_sym_satisfies] = ACTIONS(2370),
    [anon_sym_interface] = ACTIONS(2370),
    [anon_sym_enum] = ACTIONS(2370),
    [sym__automatic_semicolon] = ACTIONS(2372),
    [sym__ternary_qmark] = ACTIONS(2372),
    [sym_html_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_comment] = STATE(391),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_export] = ACTIONS(2410),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_default] = ACTIONS(2410),
    [anon_sym_type] = ACTIONS(2410),
    [anon_sym_as] = ACTIONS(2410),
    [anon_sym_namespace] = ACTIONS(2410),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(2410),
    [anon_sym_typeof] = ACTIONS(2410),
    [anon_sym_import] = ACTIONS(2410),
    [anon_sym_from] = ACTIONS(2410),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_var] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_const] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_switch] = ACTIONS(2410),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_await] = ACTIONS(2410),
    [anon_sym_in] = ACTIONS(2410),
    [anon_sym_of] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_break] = ACTIONS(2410),
    [anon_sym_continue] = ACTIONS(2410),
    [anon_sym_debugger] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_throw] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym_case] = ACTIONS(2410),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LTtemplate_GT] = ACTIONS(2410),
    [anon_sym_GT] = ACTIONS(2410),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_class] = ACTIONS(2410),
    [anon_sym_async] = ACTIONS(2410),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_QMARK_DOT] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_using] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_GT_GT] = ACTIONS(2410),
    [anon_sym_GT_GT_GT] = ACTIONS(2410),
    [anon_sym_LT_LT] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_CARET] = ACTIONS(2410),
    [anon_sym_PIPE] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_SLASH] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_STAR_STAR] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2410),
    [anon_sym_LT_EQ] = ACTIONS(2410),
    [anon_sym_EQ_EQ] = ACTIONS(2410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2410),
    [anon_sym_GT_EQ] = ACTIONS(2410),
    [anon_sym_QMARK_QMARK] = ACTIONS(2410),
    [anon_sym_instanceof] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_void] = ACTIONS(2410),
    [anon_sym_delete] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2410),
    [sym_number] = ACTIONS(2410),
    [sym_private_property_identifier] = ACTIONS(2410),
    [sym_this] = ACTIONS(2410),
    [sym_super] = ACTIONS(2410),
    [sym_true] = ACTIONS(2410),
    [sym_false] = ACTIONS(2410),
    [sym_null] = ACTIONS(2410),
    [sym_undefined] = ACTIONS(2410),
    [anon_sym_AT] = ACTIONS(2410),
    [anon_sym_static] = ACTIONS(2410),
    [anon_sym_readonly] = ACTIONS(2410),
    [anon_sym_get] = ACTIONS(2410),
    [anon_sym_set] = ACTIONS(2410),
    [anon_sym_declare] = ACTIONS(2410),
    [anon_sym_public] = ACTIONS(2410),
    [anon_sym_private] = ACTIONS(2410),
    [anon_sym_protected] = ACTIONS(2410),
    [anon_sym_override] = ACTIONS(2410),
    [anon_sym_module] = ACTIONS(2410),
    [anon_sym_any] = ACTIONS(2410),
    [anon_sym_number] = ACTIONS(2410),
    [anon_sym_boolean] = ACTIONS(2410),
    [anon_sym_string] = ACTIONS(2410),
    [anon_sym_symbol] = ACTIONS(2410),
    [anon_sym_object] = ACTIONS(2410),
    [anon_sym_property] = ACTIONS(2410),
    [anon_sym_signal] = ACTIONS(2410),
    [anon_sym_on] = ACTIONS(2410),
    [anon_sym_required] = ACTIONS(2410),
    [anon_sym_component] = ACTIONS(2410),
    [anon_sym_abstract] = ACTIONS(2410),
    [anon_sym_satisfies] = ACTIONS(2410),
    [anon_sym_interface] = ACTIONS(2410),
    [anon_sym_enum] = ACTIONS(2410),
    [sym__automatic_semicolon] = ACTIONS(2412),
    [sym__ternary_qmark] = ACTIONS(2412),
    [sym_html_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_comment] = STATE(392),
    [sym_identifier] = ACTIONS(2416),
    [anon_sym_export] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_type] = ACTIONS(2416),
    [anon_sym_as] = ACTIONS(2418),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_RBRACE] = ACTIONS(2416),
    [anon_sym_typeof] = ACTIONS(2416),
    [anon_sym_import] = ACTIONS(2416),
    [anon_sym_from] = ACTIONS(2416),
    [anon_sym_with] = ACTIONS(2416),
    [anon_sym_var] = ACTIONS(2416),
    [anon_sym_let] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_BANG] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_await] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2418),
    [anon_sym_of] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_debugger] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_yield] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_LTtemplate_GT] = ACTIONS(2416),
    [anon_sym_GT] = ACTIONS(2418),
    [anon_sym_DOT] = ACTIONS(2418),
    [anon_sym_DQUOTE] = ACTIONS(2416),
    [anon_sym_SQUOTE] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_async] = ACTIONS(2416),
    [anon_sym_function] = ACTIONS(2416),
    [anon_sym_QMARK_DOT] = ACTIONS(2418),
    [anon_sym_new] = ACTIONS(2416),
    [anon_sym_using] = ACTIONS(2416),
    [anon_sym_AMP_AMP] = ACTIONS(2418),
    [anon_sym_PIPE_PIPE] = ACTIONS(2418),
    [anon_sym_GT_GT] = ACTIONS(2418),
    [anon_sym_GT_GT_GT] = ACTIONS(2418),
    [anon_sym_LT_LT] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_CARET] = ACTIONS(2418),
    [anon_sym_PIPE] = ACTIONS(2418),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_SLASH] = ACTIONS(2416),
    [anon_sym_PERCENT] = ACTIONS(2418),
    [anon_sym_STAR_STAR] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2416),
    [anon_sym_LT_EQ] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2418),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2418),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_QMARK_QMARK] = ACTIONS(2418),
    [anon_sym_instanceof] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_void] = ACTIONS(2416),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_PLUS_PLUS] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2416),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2416),
    [sym_number] = ACTIONS(2416),
    [sym_private_property_identifier] = ACTIONS(2416),
    [sym_this] = ACTIONS(2416),
    [sym_super] = ACTIONS(2416),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [sym_null] = ACTIONS(2416),
    [sym_undefined] = ACTIONS(2416),
    [anon_sym_AT] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_readonly] = ACTIONS(2416),
    [anon_sym_get] = ACTIONS(2416),
    [anon_sym_set] = ACTIONS(2416),
    [anon_sym_declare] = ACTIONS(2416),
    [anon_sym_public] = ACTIONS(2416),
    [anon_sym_private] = ACTIONS(2416),
    [anon_sym_protected] = ACTIONS(2416),
    [anon_sym_override] = ACTIONS(2416),
    [anon_sym_module] = ACTIONS(2416),
    [anon_sym_any] = ACTIONS(2416),
    [anon_sym_number] = ACTIONS(2416),
    [anon_sym_boolean] = ACTIONS(2416),
    [anon_sym_string] = ACTIONS(2416),
    [anon_sym_symbol] = ACTIONS(2416),
    [anon_sym_object] = ACTIONS(2416),
    [anon_sym_property] = ACTIONS(2416),
    [anon_sym_signal] = ACTIONS(2416),
    [anon_sym_on] = ACTIONS(2416),
    [anon_sym_required] = ACTIONS(2416),
    [anon_sym_component] = ACTIONS(2416),
    [anon_sym_abstract] = ACTIONS(2416),
    [anon_sym_satisfies] = ACTIONS(2418),
    [anon_sym_interface] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [sym__automatic_semicolon] = ACTIONS(2498),
    [sym__ternary_qmark] = ACTIONS(2422),
    [sym_html_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_comment] = STATE(393),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(2287),
    [anon_sym_default] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_as] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_COMMA] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_in] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_GT] = ACTIONS(2287),
    [anon_sym_DOT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_QMARK_DOT] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2287),
    [anon_sym_PIPE_PIPE] = ACTIONS(2287),
    [anon_sym_GT_GT] = ACTIONS(2287),
    [anon_sym_GT_GT_GT] = ACTIONS(2287),
    [anon_sym_LT_LT] = ACTIONS(2287),
    [anon_sym_AMP] = ACTIONS(2287),
    [anon_sym_CARET] = ACTIONS(2287),
    [anon_sym_PIPE] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_PERCENT] = ACTIONS(2287),
    [anon_sym_STAR_STAR] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_LT_EQ] = ACTIONS(2287),
    [anon_sym_EQ_EQ] = ACTIONS(2287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2287),
    [anon_sym_BANG_EQ] = ACTIONS(2287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2287),
    [anon_sym_GT_EQ] = ACTIONS(2287),
    [anon_sym_QMARK_QMARK] = ACTIONS(2287),
    [anon_sym_instanceof] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_satisfies] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(2500),
    [sym__ternary_qmark] = ACTIONS(2448),
    [sym_html_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3055),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(394),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_PIPE] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [anon_sym_extends] = ACTIONS(2209),
    [sym_html_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3265),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(395),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_PIPE] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [anon_sym_extends] = ACTIONS(2209),
    [sym_html_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_comment] = STATE(396),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_export] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2450),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_as] = ACTIONS(2452),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_typeof] = ACTIONS(2450),
    [anon_sym_import] = ACTIONS(2450),
    [anon_sym_from] = ACTIONS(2450),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_var] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_const] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_switch] = ACTIONS(2450),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_await] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_of] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_break] = ACTIONS(2450),
    [anon_sym_continue] = ACTIONS(2450),
    [anon_sym_debugger] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_throw] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_case] = ACTIONS(2450),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LTtemplate_GT] = ACTIONS(2450),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_class] = ACTIONS(2450),
    [anon_sym_async] = ACTIONS(2450),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_QMARK_DOT] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_using] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_PIPE_PIPE] = ACTIONS(2452),
    [anon_sym_GT_GT] = ACTIONS(2452),
    [anon_sym_GT_GT_GT] = ACTIONS(2452),
    [anon_sym_LT_LT] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_CARET] = ACTIONS(2452),
    [anon_sym_PIPE] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2452),
    [anon_sym_STAR_STAR] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2452),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_QMARK_QMARK] = ACTIONS(2452),
    [anon_sym_instanceof] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_void] = ACTIONS(2450),
    [anon_sym_delete] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2450),
    [sym_number] = ACTIONS(2450),
    [sym_private_property_identifier] = ACTIONS(2450),
    [sym_this] = ACTIONS(2450),
    [sym_super] = ACTIONS(2450),
    [sym_true] = ACTIONS(2450),
    [sym_false] = ACTIONS(2450),
    [sym_null] = ACTIONS(2450),
    [sym_undefined] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2450),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_readonly] = ACTIONS(2450),
    [anon_sym_get] = ACTIONS(2450),
    [anon_sym_set] = ACTIONS(2450),
    [anon_sym_declare] = ACTIONS(2450),
    [anon_sym_public] = ACTIONS(2450),
    [anon_sym_private] = ACTIONS(2450),
    [anon_sym_protected] = ACTIONS(2450),
    [anon_sym_override] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_any] = ACTIONS(2450),
    [anon_sym_number] = ACTIONS(2450),
    [anon_sym_boolean] = ACTIONS(2450),
    [anon_sym_string] = ACTIONS(2450),
    [anon_sym_symbol] = ACTIONS(2450),
    [anon_sym_object] = ACTIONS(2450),
    [anon_sym_property] = ACTIONS(2450),
    [anon_sym_signal] = ACTIONS(2450),
    [anon_sym_on] = ACTIONS(2450),
    [anon_sym_required] = ACTIONS(2450),
    [anon_sym_component] = ACTIONS(2450),
    [anon_sym_abstract] = ACTIONS(2450),
    [anon_sym_satisfies] = ACTIONS(2452),
    [anon_sym_interface] = ACTIONS(2450),
    [anon_sym_enum] = ACTIONS(2450),
    [sym__automatic_semicolon] = ACTIONS(2502),
    [sym__ternary_qmark] = ACTIONS(2456),
    [sym_html_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3175),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_spread_element] = STATE(6741),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(397),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(6742),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(2504),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2506),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_comment] = STATE(398),
    [sym_identifier] = ACTIONS(2466),
    [anon_sym_export] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2466),
    [anon_sym_type] = ACTIONS(2466),
    [anon_sym_as] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_COMMA] = ACTIONS(2468),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_typeof] = ACTIONS(2466),
    [anon_sym_import] = ACTIONS(2466),
    [anon_sym_from] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2466),
    [anon_sym_var] = ACTIONS(2466),
    [anon_sym_let] = ACTIONS(2466),
    [anon_sym_const] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_switch] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2466),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_of] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2466),
    [anon_sym_do] = ACTIONS(2466),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_break] = ACTIONS(2466),
    [anon_sym_continue] = ACTIONS(2466),
    [anon_sym_debugger] = ACTIONS(2466),
    [anon_sym_return] = ACTIONS(2466),
    [anon_sym_throw] = ACTIONS(2466),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_case] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2466),
    [anon_sym_LTtemplate_GT] = ACTIONS(2466),
    [anon_sym_GT] = ACTIONS(2468),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_class] = ACTIONS(2466),
    [anon_sym_async] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2466),
    [anon_sym_QMARK_DOT] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_using] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_GT_GT] = ACTIONS(2468),
    [anon_sym_GT_GT_GT] = ACTIONS(2468),
    [anon_sym_LT_LT] = ACTIONS(2468),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_CARET] = ACTIONS(2468),
    [anon_sym_PIPE] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_STAR_STAR] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2468),
    [anon_sym_EQ_EQ] = ACTIONS(2468),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2468),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2468),
    [anon_sym_GT_EQ] = ACTIONS(2468),
    [anon_sym_QMARK_QMARK] = ACTIONS(2468),
    [anon_sym_instanceof] = ACTIONS(2468),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_void] = ACTIONS(2466),
    [anon_sym_delete] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2466),
    [sym_number] = ACTIONS(2466),
    [sym_private_property_identifier] = ACTIONS(2466),
    [sym_this] = ACTIONS(2466),
    [sym_super] = ACTIONS(2466),
    [sym_true] = ACTIONS(2466),
    [sym_false] = ACTIONS(2466),
    [sym_null] = ACTIONS(2466),
    [sym_undefined] = ACTIONS(2466),
    [anon_sym_AT] = ACTIONS(2466),
    [anon_sym_static] = ACTIONS(2466),
    [anon_sym_readonly] = ACTIONS(2466),
    [anon_sym_get] = ACTIONS(2466),
    [anon_sym_set] = ACTIONS(2466),
    [anon_sym_declare] = ACTIONS(2466),
    [anon_sym_public] = ACTIONS(2466),
    [anon_sym_private] = ACTIONS(2466),
    [anon_sym_protected] = ACTIONS(2466),
    [anon_sym_override] = ACTIONS(2466),
    [anon_sym_module] = ACTIONS(2466),
    [anon_sym_any] = ACTIONS(2466),
    [anon_sym_number] = ACTIONS(2466),
    [anon_sym_boolean] = ACTIONS(2466),
    [anon_sym_string] = ACTIONS(2466),
    [anon_sym_symbol] = ACTIONS(2466),
    [anon_sym_object] = ACTIONS(2466),
    [anon_sym_property] = ACTIONS(2466),
    [anon_sym_signal] = ACTIONS(2466),
    [anon_sym_on] = ACTIONS(2466),
    [anon_sym_required] = ACTIONS(2466),
    [anon_sym_component] = ACTIONS(2466),
    [anon_sym_abstract] = ACTIONS(2466),
    [anon_sym_satisfies] = ACTIONS(2468),
    [anon_sym_interface] = ACTIONS(2466),
    [anon_sym_enum] = ACTIONS(2466),
    [sym__automatic_semicolon] = ACTIONS(2470),
    [sym__ternary_qmark] = ACTIONS(2470),
    [sym_html_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3174),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_spread_element] = STATE(6884),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(399),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(6883),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(2504),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2510),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3615),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(400),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_PIPE] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [anon_sym_extends] = ACTIONS(2209),
    [sym_html_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_comment] = STATE(401),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_EQ] = ACTIONS(2291),
    [anon_sym_as] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_COMMA] = ACTIONS(2289),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_in] = ACTIONS(2289),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_GT] = ACTIONS(2289),
    [anon_sym_DOT] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_QMARK_DOT] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2289),
    [anon_sym_PIPE_PIPE] = ACTIONS(2289),
    [anon_sym_GT_GT] = ACTIONS(2289),
    [anon_sym_GT_GT_GT] = ACTIONS(2289),
    [anon_sym_LT_LT] = ACTIONS(2289),
    [anon_sym_AMP] = ACTIONS(2289),
    [anon_sym_CARET] = ACTIONS(2289),
    [anon_sym_PIPE] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_PERCENT] = ACTIONS(2289),
    [anon_sym_STAR_STAR] = ACTIONS(2289),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_LT_EQ] = ACTIONS(2289),
    [anon_sym_EQ_EQ] = ACTIONS(2289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2289),
    [anon_sym_BANG_EQ] = ACTIONS(2289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2289),
    [anon_sym_GT_EQ] = ACTIONS(2289),
    [anon_sym_QMARK_QMARK] = ACTIONS(2289),
    [anon_sym_instanceof] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_satisfies] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(2512),
    [sym__ternary_qmark] = ACTIONS(2295),
    [sym_html_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_comment] = STATE(402),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_export] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_default] = ACTIONS(2442),
    [anon_sym_type] = ACTIONS(2442),
    [anon_sym_as] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_typeof] = ACTIONS(2442),
    [anon_sym_import] = ACTIONS(2442),
    [anon_sym_from] = ACTIONS(2442),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_var] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_switch] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_await] = ACTIONS(2442),
    [anon_sym_in] = ACTIONS(2442),
    [anon_sym_of] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_break] = ACTIONS(2442),
    [anon_sym_continue] = ACTIONS(2442),
    [anon_sym_debugger] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_case] = ACTIONS(2442),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LTtemplate_GT] = ACTIONS(2442),
    [anon_sym_GT] = ACTIONS(2442),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_async] = ACTIONS(2442),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_QMARK_DOT] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_GT_GT] = ACTIONS(2442),
    [anon_sym_GT_GT_GT] = ACTIONS(2442),
    [anon_sym_LT_LT] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_CARET] = ACTIONS(2442),
    [anon_sym_PIPE] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_STAR_STAR] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_LT_EQ] = ACTIONS(2442),
    [anon_sym_EQ_EQ] = ACTIONS(2442),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2442),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2442),
    [anon_sym_GT_EQ] = ACTIONS(2442),
    [anon_sym_QMARK_QMARK] = ACTIONS(2442),
    [anon_sym_instanceof] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_void] = ACTIONS(2442),
    [anon_sym_delete] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2442),
    [sym_number] = ACTIONS(2442),
    [sym_private_property_identifier] = ACTIONS(2442),
    [sym_this] = ACTIONS(2442),
    [sym_super] = ACTIONS(2442),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [sym_null] = ACTIONS(2442),
    [sym_undefined] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_readonly] = ACTIONS(2442),
    [anon_sym_get] = ACTIONS(2442),
    [anon_sym_set] = ACTIONS(2442),
    [anon_sym_declare] = ACTIONS(2442),
    [anon_sym_public] = ACTIONS(2442),
    [anon_sym_private] = ACTIONS(2442),
    [anon_sym_protected] = ACTIONS(2442),
    [anon_sym_override] = ACTIONS(2442),
    [anon_sym_module] = ACTIONS(2442),
    [anon_sym_any] = ACTIONS(2442),
    [anon_sym_number] = ACTIONS(2442),
    [anon_sym_boolean] = ACTIONS(2442),
    [anon_sym_string] = ACTIONS(2442),
    [anon_sym_symbol] = ACTIONS(2442),
    [anon_sym_object] = ACTIONS(2442),
    [anon_sym_property] = ACTIONS(2442),
    [anon_sym_signal] = ACTIONS(2442),
    [anon_sym_on] = ACTIONS(2442),
    [anon_sym_required] = ACTIONS(2442),
    [anon_sym_component] = ACTIONS(2442),
    [anon_sym_abstract] = ACTIONS(2442),
    [anon_sym_satisfies] = ACTIONS(2442),
    [anon_sym_interface] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [sym__automatic_semicolon] = ACTIONS(2444),
    [sym__ternary_qmark] = ACTIONS(2444),
    [sym_html_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_comment] = STATE(403),
    [sym_identifier] = ACTIONS(2426),
    [anon_sym_export] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2426),
    [anon_sym_type] = ACTIONS(2426),
    [anon_sym_as] = ACTIONS(2428),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_COMMA] = ACTIONS(2428),
    [anon_sym_RBRACE] = ACTIONS(2426),
    [anon_sym_typeof] = ACTIONS(2426),
    [anon_sym_import] = ACTIONS(2426),
    [anon_sym_from] = ACTIONS(2426),
    [anon_sym_with] = ACTIONS(2426),
    [anon_sym_var] = ACTIONS(2426),
    [anon_sym_let] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_if] = ACTIONS(2426),
    [anon_sym_switch] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_await] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_of] = ACTIONS(2426),
    [anon_sym_while] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2426),
    [anon_sym_break] = ACTIONS(2426),
    [anon_sym_continue] = ACTIONS(2426),
    [anon_sym_debugger] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym_case] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_LTtemplate_GT] = ACTIONS(2426),
    [anon_sym_GT] = ACTIONS(2428),
    [anon_sym_DOT] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_async] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2426),
    [anon_sym_QMARK_DOT] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_PIPE_PIPE] = ACTIONS(2428),
    [anon_sym_GT_GT] = ACTIONS(2428),
    [anon_sym_GT_GT_GT] = ACTIONS(2428),
    [anon_sym_LT_LT] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_CARET] = ACTIONS(2428),
    [anon_sym_PIPE] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_PERCENT] = ACTIONS(2428),
    [anon_sym_STAR_STAR] = ACTIONS(2428),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_LT_EQ] = ACTIONS(2428),
    [anon_sym_EQ_EQ] = ACTIONS(2428),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2428),
    [anon_sym_BANG_EQ] = ACTIONS(2428),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2428),
    [anon_sym_GT_EQ] = ACTIONS(2428),
    [anon_sym_QMARK_QMARK] = ACTIONS(2428),
    [anon_sym_instanceof] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_void] = ACTIONS(2426),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2426),
    [sym_number] = ACTIONS(2426),
    [sym_private_property_identifier] = ACTIONS(2426),
    [sym_this] = ACTIONS(2426),
    [sym_super] = ACTIONS(2426),
    [sym_true] = ACTIONS(2426),
    [sym_false] = ACTIONS(2426),
    [sym_null] = ACTIONS(2426),
    [sym_undefined] = ACTIONS(2426),
    [anon_sym_AT] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_readonly] = ACTIONS(2426),
    [anon_sym_get] = ACTIONS(2426),
    [anon_sym_set] = ACTIONS(2426),
    [anon_sym_declare] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_override] = ACTIONS(2426),
    [anon_sym_module] = ACTIONS(2426),
    [anon_sym_any] = ACTIONS(2426),
    [anon_sym_number] = ACTIONS(2426),
    [anon_sym_boolean] = ACTIONS(2426),
    [anon_sym_string] = ACTIONS(2426),
    [anon_sym_symbol] = ACTIONS(2426),
    [anon_sym_object] = ACTIONS(2426),
    [anon_sym_property] = ACTIONS(2426),
    [anon_sym_signal] = ACTIONS(2426),
    [anon_sym_on] = ACTIONS(2426),
    [anon_sym_required] = ACTIONS(2426),
    [anon_sym_component] = ACTIONS(2426),
    [anon_sym_abstract] = ACTIONS(2426),
    [anon_sym_satisfies] = ACTIONS(2428),
    [anon_sym_interface] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [sym__automatic_semicolon] = ACTIONS(2514),
    [sym__ternary_qmark] = ACTIONS(2432),
    [sym_html_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3349),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(404),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_COMMA] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_PIPE] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [anon_sym_extends] = ACTIONS(2209),
    [sym_html_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_comment] = STATE(405),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_export] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_default] = ACTIONS(2434),
    [anon_sym_type] = ACTIONS(2434),
    [anon_sym_as] = ACTIONS(2434),
    [anon_sym_namespace] = ACTIONS(2434),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_typeof] = ACTIONS(2434),
    [anon_sym_import] = ACTIONS(2434),
    [anon_sym_from] = ACTIONS(2434),
    [anon_sym_with] = ACTIONS(2434),
    [anon_sym_var] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_const] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_switch] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_await] = ACTIONS(2434),
    [anon_sym_in] = ACTIONS(2434),
    [anon_sym_of] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_break] = ACTIONS(2434),
    [anon_sym_continue] = ACTIONS(2434),
    [anon_sym_debugger] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_case] = ACTIONS(2434),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LTtemplate_GT] = ACTIONS(2434),
    [anon_sym_GT] = ACTIONS(2434),
    [anon_sym_DOT] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_class] = ACTIONS(2434),
    [anon_sym_async] = ACTIONS(2434),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_QMARK_DOT] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_using] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_PIPE_PIPE] = ACTIONS(2434),
    [anon_sym_GT_GT] = ACTIONS(2434),
    [anon_sym_GT_GT_GT] = ACTIONS(2434),
    [anon_sym_LT_LT] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_CARET] = ACTIONS(2434),
    [anon_sym_PIPE] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_SLASH] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2434),
    [anon_sym_STAR_STAR] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2434),
    [anon_sym_LT_EQ] = ACTIONS(2434),
    [anon_sym_EQ_EQ] = ACTIONS(2434),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2434),
    [anon_sym_BANG_EQ] = ACTIONS(2434),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2434),
    [anon_sym_GT_EQ] = ACTIONS(2434),
    [anon_sym_QMARK_QMARK] = ACTIONS(2434),
    [anon_sym_instanceof] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_void] = ACTIONS(2434),
    [anon_sym_delete] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2434),
    [sym_number] = ACTIONS(2434),
    [sym_private_property_identifier] = ACTIONS(2434),
    [sym_this] = ACTIONS(2434),
    [sym_super] = ACTIONS(2434),
    [sym_true] = ACTIONS(2434),
    [sym_false] = ACTIONS(2434),
    [sym_null] = ACTIONS(2434),
    [sym_undefined] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2434),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_readonly] = ACTIONS(2434),
    [anon_sym_get] = ACTIONS(2434),
    [anon_sym_set] = ACTIONS(2434),
    [anon_sym_declare] = ACTIONS(2434),
    [anon_sym_public] = ACTIONS(2434),
    [anon_sym_private] = ACTIONS(2434),
    [anon_sym_protected] = ACTIONS(2434),
    [anon_sym_override] = ACTIONS(2434),
    [anon_sym_module] = ACTIONS(2434),
    [anon_sym_any] = ACTIONS(2434),
    [anon_sym_number] = ACTIONS(2434),
    [anon_sym_boolean] = ACTIONS(2434),
    [anon_sym_string] = ACTIONS(2434),
    [anon_sym_symbol] = ACTIONS(2434),
    [anon_sym_object] = ACTIONS(2434),
    [anon_sym_property] = ACTIONS(2434),
    [anon_sym_signal] = ACTIONS(2434),
    [anon_sym_on] = ACTIONS(2434),
    [anon_sym_required] = ACTIONS(2434),
    [anon_sym_component] = ACTIONS(2434),
    [anon_sym_abstract] = ACTIONS(2434),
    [anon_sym_satisfies] = ACTIONS(2434),
    [anon_sym_interface] = ACTIONS(2434),
    [anon_sym_enum] = ACTIONS(2434),
    [sym__automatic_semicolon] = ACTIONS(2436),
    [sym__ternary_qmark] = ACTIONS(2436),
    [sym_html_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(406),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(4931),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_RBRACE] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(1567),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_comment] = STATE(407),
    [sym_identifier] = ACTIONS(2394),
    [anon_sym_export] = ACTIONS(2394),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_default] = ACTIONS(2394),
    [anon_sym_type] = ACTIONS(2394),
    [anon_sym_as] = ACTIONS(2396),
    [anon_sym_namespace] = ACTIONS(2394),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_COMMA] = ACTIONS(2396),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_typeof] = ACTIONS(2394),
    [anon_sym_import] = ACTIONS(2394),
    [anon_sym_from] = ACTIONS(2394),
    [anon_sym_with] = ACTIONS(2394),
    [anon_sym_var] = ACTIONS(2394),
    [anon_sym_let] = ACTIONS(2394),
    [anon_sym_const] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_if] = ACTIONS(2394),
    [anon_sym_switch] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_LPAREN] = ACTIONS(2394),
    [anon_sym_await] = ACTIONS(2394),
    [anon_sym_in] = ACTIONS(2396),
    [anon_sym_of] = ACTIONS(2394),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_do] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2394),
    [anon_sym_break] = ACTIONS(2394),
    [anon_sym_continue] = ACTIONS(2394),
    [anon_sym_debugger] = ACTIONS(2394),
    [anon_sym_return] = ACTIONS(2394),
    [anon_sym_throw] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym_case] = ACTIONS(2394),
    [anon_sym_yield] = ACTIONS(2394),
    [anon_sym_LBRACK] = ACTIONS(2394),
    [anon_sym_LTtemplate_GT] = ACTIONS(2394),
    [anon_sym_GT] = ACTIONS(2396),
    [anon_sym_DOT] = ACTIONS(2396),
    [anon_sym_DQUOTE] = ACTIONS(2394),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_class] = ACTIONS(2394),
    [anon_sym_async] = ACTIONS(2394),
    [anon_sym_function] = ACTIONS(2394),
    [anon_sym_QMARK_DOT] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(2394),
    [anon_sym_using] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE] = ACTIONS(2396),
    [anon_sym_GT_GT] = ACTIONS(2396),
    [anon_sym_GT_GT_GT] = ACTIONS(2396),
    [anon_sym_LT_LT] = ACTIONS(2396),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_CARET] = ACTIONS(2396),
    [anon_sym_PIPE] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2394),
    [anon_sym_SLASH] = ACTIONS(2394),
    [anon_sym_PERCENT] = ACTIONS(2396),
    [anon_sym_STAR_STAR] = ACTIONS(2396),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(2396),
    [anon_sym_EQ_EQ] = ACTIONS(2396),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2396),
    [anon_sym_GT_EQ] = ACTIONS(2396),
    [anon_sym_QMARK_QMARK] = ACTIONS(2396),
    [anon_sym_instanceof] = ACTIONS(2396),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_void] = ACTIONS(2394),
    [anon_sym_delete] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2394),
    [sym_number] = ACTIONS(2394),
    [sym_private_property_identifier] = ACTIONS(2394),
    [sym_this] = ACTIONS(2394),
    [sym_super] = ACTIONS(2394),
    [sym_true] = ACTIONS(2394),
    [sym_false] = ACTIONS(2394),
    [sym_null] = ACTIONS(2394),
    [sym_undefined] = ACTIONS(2394),
    [anon_sym_AT] = ACTIONS(2394),
    [anon_sym_static] = ACTIONS(2394),
    [anon_sym_readonly] = ACTIONS(2394),
    [anon_sym_get] = ACTIONS(2394),
    [anon_sym_set] = ACTIONS(2394),
    [anon_sym_declare] = ACTIONS(2394),
    [anon_sym_public] = ACTIONS(2394),
    [anon_sym_private] = ACTIONS(2394),
    [anon_sym_protected] = ACTIONS(2394),
    [anon_sym_override] = ACTIONS(2394),
    [anon_sym_module] = ACTIONS(2394),
    [anon_sym_any] = ACTIONS(2394),
    [anon_sym_number] = ACTIONS(2394),
    [anon_sym_boolean] = ACTIONS(2394),
    [anon_sym_string] = ACTIONS(2394),
    [anon_sym_symbol] = ACTIONS(2394),
    [anon_sym_object] = ACTIONS(2394),
    [anon_sym_property] = ACTIONS(2394),
    [anon_sym_signal] = ACTIONS(2394),
    [anon_sym_on] = ACTIONS(2394),
    [anon_sym_required] = ACTIONS(2394),
    [anon_sym_component] = ACTIONS(2394),
    [anon_sym_abstract] = ACTIONS(2394),
    [anon_sym_satisfies] = ACTIONS(2396),
    [anon_sym_interface] = ACTIONS(2394),
    [anon_sym_enum] = ACTIONS(2394),
    [sym__automatic_semicolon] = ACTIONS(2540),
    [sym__ternary_qmark] = ACTIONS(2400),
    [sym_html_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3599),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(408),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(2209),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_GT] = ACTIONS(2209),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(2209),
    [anon_sym_PIPE] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [anon_sym_extends] = ACTIONS(2209),
    [sym_html_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_comment] = STATE(409),
    [sym_identifier] = ACTIONS(2354),
    [anon_sym_export] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2354),
    [anon_sym_type] = ACTIONS(2354),
    [anon_sym_as] = ACTIONS(2356),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2354),
    [anon_sym_COMMA] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(2354),
    [anon_sym_typeof] = ACTIONS(2354),
    [anon_sym_import] = ACTIONS(2354),
    [anon_sym_from] = ACTIONS(2354),
    [anon_sym_with] = ACTIONS(2354),
    [anon_sym_var] = ACTIONS(2354),
    [anon_sym_let] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_LPAREN] = ACTIONS(2354),
    [anon_sym_await] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_of] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_debugger] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2354),
    [anon_sym_case] = ACTIONS(2354),
    [anon_sym_yield] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_LTtemplate_GT] = ACTIONS(2354),
    [anon_sym_GT] = ACTIONS(2356),
    [anon_sym_DOT] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2354),
    [anon_sym_SQUOTE] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_async] = ACTIONS(2354),
    [anon_sym_function] = ACTIONS(2354),
    [anon_sym_QMARK_DOT] = ACTIONS(2356),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_PIPE_PIPE] = ACTIONS(2356),
    [anon_sym_GT_GT] = ACTIONS(2356),
    [anon_sym_GT_GT_GT] = ACTIONS(2356),
    [anon_sym_LT_LT] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2356),
    [anon_sym_PIPE] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_SLASH] = ACTIONS(2354),
    [anon_sym_PERCENT] = ACTIONS(2356),
    [anon_sym_STAR_STAR] = ACTIONS(2356),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_LT_EQ] = ACTIONS(2356),
    [anon_sym_EQ_EQ] = ACTIONS(2356),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2356),
    [anon_sym_BANG_EQ] = ACTIONS(2356),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2356),
    [anon_sym_GT_EQ] = ACTIONS(2356),
    [anon_sym_QMARK_QMARK] = ACTIONS(2356),
    [anon_sym_instanceof] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_void] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_PLUS_PLUS] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2354),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2354),
    [sym_number] = ACTIONS(2354),
    [sym_private_property_identifier] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [sym_super] = ACTIONS(2354),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [sym_null] = ACTIONS(2354),
    [sym_undefined] = ACTIONS(2354),
    [anon_sym_AT] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_readonly] = ACTIONS(2354),
    [anon_sym_get] = ACTIONS(2354),
    [anon_sym_set] = ACTIONS(2354),
    [anon_sym_declare] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_override] = ACTIONS(2354),
    [anon_sym_module] = ACTIONS(2354),
    [anon_sym_any] = ACTIONS(2354),
    [anon_sym_number] = ACTIONS(2354),
    [anon_sym_boolean] = ACTIONS(2354),
    [anon_sym_string] = ACTIONS(2354),
    [anon_sym_symbol] = ACTIONS(2354),
    [anon_sym_object] = ACTIONS(2354),
    [anon_sym_property] = ACTIONS(2354),
    [anon_sym_signal] = ACTIONS(2354),
    [anon_sym_on] = ACTIONS(2354),
    [anon_sym_required] = ACTIONS(2354),
    [anon_sym_component] = ACTIONS(2354),
    [anon_sym_abstract] = ACTIONS(2354),
    [anon_sym_satisfies] = ACTIONS(2356),
    [anon_sym_interface] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [sym__automatic_semicolon] = ACTIONS(2542),
    [sym__ternary_qmark] = ACTIONS(2360),
    [sym_html_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_comment] = STATE(410),
    [sym_identifier] = ACTIONS(2382),
    [anon_sym_export] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_default] = ACTIONS(2382),
    [anon_sym_type] = ACTIONS(2382),
    [anon_sym_as] = ACTIONS(2384),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_COMMA] = ACTIONS(2384),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_typeof] = ACTIONS(2382),
    [anon_sym_import] = ACTIONS(2382),
    [anon_sym_from] = ACTIONS(2382),
    [anon_sym_with] = ACTIONS(2382),
    [anon_sym_var] = ACTIONS(2382),
    [anon_sym_let] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_switch] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_await] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_of] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2382),
    [anon_sym_break] = ACTIONS(2382),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_debugger] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2382),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym_case] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_LTtemplate_GT] = ACTIONS(2382),
    [anon_sym_GT] = ACTIONS(2384),
    [anon_sym_DOT] = ACTIONS(2384),
    [anon_sym_DQUOTE] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2382),
    [anon_sym_QMARK_DOT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_PIPE_PIPE] = ACTIONS(2384),
    [anon_sym_GT_GT] = ACTIONS(2384),
    [anon_sym_GT_GT_GT] = ACTIONS(2384),
    [anon_sym_LT_LT] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_CARET] = ACTIONS(2384),
    [anon_sym_PIPE] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_SLASH] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2384),
    [anon_sym_STAR_STAR] = ACTIONS(2384),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2384),
    [anon_sym_EQ_EQ] = ACTIONS(2384),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2384),
    [anon_sym_BANG_EQ] = ACTIONS(2384),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2384),
    [anon_sym_GT_EQ] = ACTIONS(2384),
    [anon_sym_QMARK_QMARK] = ACTIONS(2384),
    [anon_sym_instanceof] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_void] = ACTIONS(2382),
    [anon_sym_delete] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2382),
    [sym_number] = ACTIONS(2382),
    [sym_private_property_identifier] = ACTIONS(2382),
    [sym_this] = ACTIONS(2382),
    [sym_super] = ACTIONS(2382),
    [sym_true] = ACTIONS(2382),
    [sym_false] = ACTIONS(2382),
    [sym_null] = ACTIONS(2382),
    [sym_undefined] = ACTIONS(2382),
    [anon_sym_AT] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_readonly] = ACTIONS(2382),
    [anon_sym_get] = ACTIONS(2382),
    [anon_sym_set] = ACTIONS(2382),
    [anon_sym_declare] = ACTIONS(2382),
    [anon_sym_public] = ACTIONS(2382),
    [anon_sym_private] = ACTIONS(2382),
    [anon_sym_protected] = ACTIONS(2382),
    [anon_sym_override] = ACTIONS(2382),
    [anon_sym_module] = ACTIONS(2382),
    [anon_sym_any] = ACTIONS(2382),
    [anon_sym_number] = ACTIONS(2382),
    [anon_sym_boolean] = ACTIONS(2382),
    [anon_sym_string] = ACTIONS(2382),
    [anon_sym_symbol] = ACTIONS(2382),
    [anon_sym_object] = ACTIONS(2382),
    [anon_sym_property] = ACTIONS(2382),
    [anon_sym_signal] = ACTIONS(2382),
    [anon_sym_on] = ACTIONS(2382),
    [anon_sym_required] = ACTIONS(2382),
    [anon_sym_component] = ACTIONS(2382),
    [anon_sym_abstract] = ACTIONS(2382),
    [anon_sym_satisfies] = ACTIONS(2384),
    [anon_sym_interface] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [sym__automatic_semicolon] = ACTIONS(2544),
    [sym__ternary_qmark] = ACTIONS(2388),
    [sym_html_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_comment] = STATE(411),
    [sym_identifier] = ACTIONS(2478),
    [anon_sym_export] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_type] = ACTIONS(2478),
    [anon_sym_as] = ACTIONS(2480),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_COMMA] = ACTIONS(2480),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_typeof] = ACTIONS(2478),
    [anon_sym_import] = ACTIONS(2478),
    [anon_sym_from] = ACTIONS(2478),
    [anon_sym_with] = ACTIONS(2478),
    [anon_sym_var] = ACTIONS(2478),
    [anon_sym_let] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_LPAREN] = ACTIONS(2478),
    [anon_sym_await] = ACTIONS(2478),
    [anon_sym_in] = ACTIONS(2480),
    [anon_sym_of] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_debugger] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_LTtemplate_GT] = ACTIONS(2478),
    [anon_sym_GT] = ACTIONS(2480),
    [anon_sym_DOT] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_async] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2478),
    [anon_sym_QMARK_DOT] = ACTIONS(2480),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_PIPE_PIPE] = ACTIONS(2480),
    [anon_sym_GT_GT] = ACTIONS(2480),
    [anon_sym_GT_GT_GT] = ACTIONS(2480),
    [anon_sym_LT_LT] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_CARET] = ACTIONS(2480),
    [anon_sym_PIPE] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_SLASH] = ACTIONS(2478),
    [anon_sym_PERCENT] = ACTIONS(2480),
    [anon_sym_STAR_STAR] = ACTIONS(2480),
    [anon_sym_LT] = ACTIONS(2478),
    [anon_sym_LT_EQ] = ACTIONS(2480),
    [anon_sym_EQ_EQ] = ACTIONS(2480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2480),
    [anon_sym_BANG_EQ] = ACTIONS(2480),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2480),
    [anon_sym_GT_EQ] = ACTIONS(2480),
    [anon_sym_QMARK_QMARK] = ACTIONS(2480),
    [anon_sym_instanceof] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2478),
    [anon_sym_void] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2478),
    [sym_number] = ACTIONS(2478),
    [sym_private_property_identifier] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
    [sym_super] = ACTIONS(2478),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [sym_null] = ACTIONS(2478),
    [sym_undefined] = ACTIONS(2478),
    [anon_sym_AT] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_readonly] = ACTIONS(2478),
    [anon_sym_get] = ACTIONS(2478),
    [anon_sym_set] = ACTIONS(2478),
    [anon_sym_declare] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_override] = ACTIONS(2478),
    [anon_sym_module] = ACTIONS(2478),
    [anon_sym_any] = ACTIONS(2478),
    [anon_sym_number] = ACTIONS(2478),
    [anon_sym_boolean] = ACTIONS(2478),
    [anon_sym_string] = ACTIONS(2478),
    [anon_sym_symbol] = ACTIONS(2478),
    [anon_sym_object] = ACTIONS(2478),
    [anon_sym_property] = ACTIONS(2478),
    [anon_sym_signal] = ACTIONS(2478),
    [anon_sym_on] = ACTIONS(2478),
    [anon_sym_required] = ACTIONS(2478),
    [anon_sym_component] = ACTIONS(2478),
    [anon_sym_abstract] = ACTIONS(2478),
    [anon_sym_satisfies] = ACTIONS(2480),
    [anon_sym_interface] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [sym__automatic_semicolon] = ACTIONS(2546),
    [sym__ternary_qmark] = ACTIONS(2484),
    [sym_html_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_statement_block] = STATE(446),
    [sym_comment] = STATE(412),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_as] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_COMMA] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_else] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_in] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(2550),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_QMARK_DOT] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_AMP_AMP] = ACTIONS(2297),
    [anon_sym_PIPE_PIPE] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_GT_GT_GT] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_AMP] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2297),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_STAR_STAR] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_QMARK_QMARK] = ACTIONS(2297),
    [anon_sym_instanceof] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_satisfies] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_comment] = STATE(413),
    [sym_identifier] = ACTIONS(2374),
    [anon_sym_export] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_type] = ACTIONS(2374),
    [anon_sym_as] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_COMMA] = ACTIONS(2376),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [anon_sym_typeof] = ACTIONS(2374),
    [anon_sym_import] = ACTIONS(2374),
    [anon_sym_from] = ACTIONS(2374),
    [anon_sym_with] = ACTIONS(2374),
    [anon_sym_var] = ACTIONS(2374),
    [anon_sym_let] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [anon_sym_await] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_of] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_debugger] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_yield] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_LTtemplate_GT] = ACTIONS(2374),
    [anon_sym_GT] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_async] = ACTIONS(2374),
    [anon_sym_function] = ACTIONS(2374),
    [anon_sym_QMARK_DOT] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_GT_GT] = ACTIONS(2376),
    [anon_sym_GT_GT_GT] = ACTIONS(2376),
    [anon_sym_LT_LT] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_CARET] = ACTIONS(2376),
    [anon_sym_PIPE] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_SLASH] = ACTIONS(2374),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_STAR_STAR] = ACTIONS(2376),
    [anon_sym_LT] = ACTIONS(2374),
    [anon_sym_LT_EQ] = ACTIONS(2376),
    [anon_sym_EQ_EQ] = ACTIONS(2376),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2376),
    [anon_sym_GT_EQ] = ACTIONS(2376),
    [anon_sym_QMARK_QMARK] = ACTIONS(2376),
    [anon_sym_instanceof] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_void] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2374),
    [sym_number] = ACTIONS(2374),
    [sym_private_property_identifier] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [sym_super] = ACTIONS(2374),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [sym_null] = ACTIONS(2374),
    [sym_undefined] = ACTIONS(2374),
    [anon_sym_AT] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_readonly] = ACTIONS(2374),
    [anon_sym_get] = ACTIONS(2374),
    [anon_sym_set] = ACTIONS(2374),
    [anon_sym_declare] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_override] = ACTIONS(2374),
    [anon_sym_module] = ACTIONS(2374),
    [anon_sym_any] = ACTIONS(2374),
    [anon_sym_number] = ACTIONS(2374),
    [anon_sym_boolean] = ACTIONS(2374),
    [anon_sym_string] = ACTIONS(2374),
    [anon_sym_symbol] = ACTIONS(2374),
    [anon_sym_object] = ACTIONS(2374),
    [anon_sym_property] = ACTIONS(2374),
    [anon_sym_signal] = ACTIONS(2374),
    [anon_sym_on] = ACTIONS(2374),
    [anon_sym_required] = ACTIONS(2374),
    [anon_sym_component] = ACTIONS(2374),
    [anon_sym_abstract] = ACTIONS(2374),
    [anon_sym_satisfies] = ACTIONS(2376),
    [anon_sym_interface] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [sym__automatic_semicolon] = ACTIONS(2552),
    [sym__ternary_qmark] = ACTIONS(2380),
    [sym_html_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_statement_block] = STATE(446),
    [sym_comment] = STATE(414),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_as] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_COMMA] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_else] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_in] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(2554),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_QMARK_DOT] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_AMP_AMP] = ACTIONS(2297),
    [anon_sym_PIPE_PIPE] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_GT_GT_GT] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_AMP] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2297),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_STAR_STAR] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_QMARK_QMARK] = ACTIONS(2297),
    [anon_sym_instanceof] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_satisfies] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_comment] = STATE(415),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_export] = ACTIONS(2328),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_default] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2328),
    [anon_sym_as] = ACTIONS(2328),
    [anon_sym_namespace] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_COMMA] = ACTIONS(2328),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [anon_sym_typeof] = ACTIONS(2328),
    [anon_sym_import] = ACTIONS(2328),
    [anon_sym_from] = ACTIONS(2328),
    [anon_sym_with] = ACTIONS(2328),
    [anon_sym_var] = ACTIONS(2328),
    [anon_sym_let] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_if] = ACTIONS(2328),
    [anon_sym_switch] = ACTIONS(2328),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_in] = ACTIONS(2328),
    [anon_sym_of] = ACTIONS(2328),
    [anon_sym_while] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2328),
    [anon_sym_break] = ACTIONS(2328),
    [anon_sym_continue] = ACTIONS(2328),
    [anon_sym_debugger] = ACTIONS(2328),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym_case] = ACTIONS(2328),
    [anon_sym_yield] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_LTtemplate_GT] = ACTIONS(2328),
    [anon_sym_GT] = ACTIONS(2328),
    [anon_sym_DOT] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_class] = ACTIONS(2328),
    [anon_sym_async] = ACTIONS(2328),
    [anon_sym_function] = ACTIONS(2328),
    [anon_sym_QMARK_DOT] = ACTIONS(2328),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_using] = ACTIONS(2328),
    [anon_sym_AMP_AMP] = ACTIONS(2328),
    [anon_sym_PIPE_PIPE] = ACTIONS(2328),
    [anon_sym_GT_GT] = ACTIONS(2328),
    [anon_sym_GT_GT_GT] = ACTIONS(2328),
    [anon_sym_LT_LT] = ACTIONS(2328),
    [anon_sym_AMP] = ACTIONS(2328),
    [anon_sym_CARET] = ACTIONS(2328),
    [anon_sym_PIPE] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_PERCENT] = ACTIONS(2328),
    [anon_sym_STAR_STAR] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_QMARK_QMARK] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_void] = ACTIONS(2328),
    [anon_sym_delete] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2328),
    [sym_number] = ACTIONS(2328),
    [sym_private_property_identifier] = ACTIONS(2328),
    [sym_this] = ACTIONS(2328),
    [sym_super] = ACTIONS(2328),
    [sym_true] = ACTIONS(2328),
    [sym_false] = ACTIONS(2328),
    [sym_null] = ACTIONS(2328),
    [sym_undefined] = ACTIONS(2328),
    [anon_sym_AT] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2328),
    [anon_sym_readonly] = ACTIONS(2328),
    [anon_sym_get] = ACTIONS(2328),
    [anon_sym_set] = ACTIONS(2328),
    [anon_sym_declare] = ACTIONS(2328),
    [anon_sym_public] = ACTIONS(2328),
    [anon_sym_private] = ACTIONS(2328),
    [anon_sym_protected] = ACTIONS(2328),
    [anon_sym_override] = ACTIONS(2328),
    [anon_sym_module] = ACTIONS(2328),
    [anon_sym_any] = ACTIONS(2328),
    [anon_sym_number] = ACTIONS(2328),
    [anon_sym_boolean] = ACTIONS(2328),
    [anon_sym_string] = ACTIONS(2328),
    [anon_sym_symbol] = ACTIONS(2328),
    [anon_sym_object] = ACTIONS(2328),
    [anon_sym_property] = ACTIONS(2328),
    [anon_sym_signal] = ACTIONS(2328),
    [anon_sym_on] = ACTIONS(2328),
    [anon_sym_required] = ACTIONS(2328),
    [anon_sym_component] = ACTIONS(2328),
    [anon_sym_abstract] = ACTIONS(2328),
    [anon_sym_satisfies] = ACTIONS(2328),
    [anon_sym_interface] = ACTIONS(2328),
    [anon_sym_enum] = ACTIONS(2328),
    [sym__automatic_semicolon] = ACTIONS(2330),
    [sym__ternary_qmark] = ACTIONS(2330),
    [sym_html_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_statement_block] = STATE(446),
    [sym_comment] = STATE(416),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_as] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_COMMA] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_else] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_in] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(2297),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_QMARK_DOT] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_AMP_AMP] = ACTIONS(2297),
    [anon_sym_PIPE_PIPE] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_GT_GT_GT] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_AMP] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2297),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_STAR_STAR] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_QMARK_QMARK] = ACTIONS(2297),
    [anon_sym_instanceof] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_satisfies] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3233),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_spread_element] = STATE(7300),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(417),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(7301),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(2504),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2556),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_comment] = STATE(418),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2458),
    [anon_sym_type] = ACTIONS(2458),
    [anon_sym_as] = ACTIONS(2460),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_COMMA] = ACTIONS(2460),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_typeof] = ACTIONS(2458),
    [anon_sym_import] = ACTIONS(2458),
    [anon_sym_from] = ACTIONS(2458),
    [anon_sym_with] = ACTIONS(2458),
    [anon_sym_var] = ACTIONS(2458),
    [anon_sym_let] = ACTIONS(2458),
    [anon_sym_const] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_switch] = ACTIONS(2458),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_LPAREN] = ACTIONS(2458),
    [anon_sym_await] = ACTIONS(2458),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_of] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(2458),
    [anon_sym_do] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2458),
    [anon_sym_break] = ACTIONS(2458),
    [anon_sym_continue] = ACTIONS(2458),
    [anon_sym_debugger] = ACTIONS(2458),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym_case] = ACTIONS(2458),
    [anon_sym_yield] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_LTtemplate_GT] = ACTIONS(2458),
    [anon_sym_GT] = ACTIONS(2460),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_class] = ACTIONS(2458),
    [anon_sym_async] = ACTIONS(2458),
    [anon_sym_function] = ACTIONS(2458),
    [anon_sym_QMARK_DOT] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_using] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_GT_GT] = ACTIONS(2460),
    [anon_sym_GT_GT_GT] = ACTIONS(2460),
    [anon_sym_LT_LT] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_CARET] = ACTIONS(2460),
    [anon_sym_PIPE] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_SLASH] = ACTIONS(2458),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_STAR_STAR] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2458),
    [anon_sym_LT_EQ] = ACTIONS(2460),
    [anon_sym_EQ_EQ] = ACTIONS(2460),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2460),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2460),
    [anon_sym_GT_EQ] = ACTIONS(2460),
    [anon_sym_QMARK_QMARK] = ACTIONS(2460),
    [anon_sym_instanceof] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_void] = ACTIONS(2458),
    [anon_sym_delete] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2458),
    [sym_number] = ACTIONS(2458),
    [sym_private_property_identifier] = ACTIONS(2458),
    [sym_this] = ACTIONS(2458),
    [sym_super] = ACTIONS(2458),
    [sym_true] = ACTIONS(2458),
    [sym_false] = ACTIONS(2458),
    [sym_null] = ACTIONS(2458),
    [sym_undefined] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_readonly] = ACTIONS(2458),
    [anon_sym_get] = ACTIONS(2458),
    [anon_sym_set] = ACTIONS(2458),
    [anon_sym_declare] = ACTIONS(2458),
    [anon_sym_public] = ACTIONS(2458),
    [anon_sym_private] = ACTIONS(2458),
    [anon_sym_protected] = ACTIONS(2458),
    [anon_sym_override] = ACTIONS(2458),
    [anon_sym_module] = ACTIONS(2458),
    [anon_sym_any] = ACTIONS(2458),
    [anon_sym_number] = ACTIONS(2458),
    [anon_sym_boolean] = ACTIONS(2458),
    [anon_sym_string] = ACTIONS(2458),
    [anon_sym_symbol] = ACTIONS(2458),
    [anon_sym_object] = ACTIONS(2458),
    [anon_sym_property] = ACTIONS(2458),
    [anon_sym_signal] = ACTIONS(2458),
    [anon_sym_on] = ACTIONS(2458),
    [anon_sym_required] = ACTIONS(2458),
    [anon_sym_component] = ACTIONS(2458),
    [anon_sym_abstract] = ACTIONS(2458),
    [anon_sym_satisfies] = ACTIONS(2460),
    [anon_sym_interface] = ACTIONS(2458),
    [anon_sym_enum] = ACTIONS(2458),
    [sym__automatic_semicolon] = ACTIONS(2558),
    [sym__ternary_qmark] = ACTIONS(2464),
    [sym_html_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3203),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_spread_element] = STATE(7135),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(419),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(7136),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(2504),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2560),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_comment] = STATE(420),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_as] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_in] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_GT] = ACTIONS(2332),
    [anon_sym_DOT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_QMARK_DOT] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_PIPE_PIPE] = ACTIONS(2332),
    [anon_sym_GT_GT] = ACTIONS(2332),
    [anon_sym_GT_GT_GT] = ACTIONS(2332),
    [anon_sym_LT_LT] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_CARET] = ACTIONS(2332),
    [anon_sym_PIPE] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_PERCENT] = ACTIONS(2332),
    [anon_sym_STAR_STAR] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_LT_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2332),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_QMARK_QMARK] = ACTIONS(2332),
    [anon_sym_instanceof] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_satisfies] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(2336),
    [sym__ternary_qmark] = ACTIONS(2336),
    [sym_html_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3256),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_spread_element] = STATE(6994),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(421),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(6986),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(2504),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2562),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3283),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_spread_element] = STATE(7334),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(422),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2564),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_RBRACK] = ACTIONS(2564),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3153),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_spread_element] = STATE(7027),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(423),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(7028),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(2504),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2566),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_comment] = STATE(424),
    [sym_identifier] = ACTIONS(2342),
    [anon_sym_export] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_default] = ACTIONS(2342),
    [anon_sym_type] = ACTIONS(2342),
    [anon_sym_as] = ACTIONS(2344),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(2342),
    [anon_sym_typeof] = ACTIONS(2342),
    [anon_sym_import] = ACTIONS(2342),
    [anon_sym_from] = ACTIONS(2342),
    [anon_sym_with] = ACTIONS(2342),
    [anon_sym_var] = ACTIONS(2342),
    [anon_sym_let] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_BANG] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(2342),
    [anon_sym_await] = ACTIONS(2342),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_of] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_debugger] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2342),
    [anon_sym_case] = ACTIONS(2342),
    [anon_sym_yield] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_LTtemplate_GT] = ACTIONS(2342),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_DOT] = ACTIONS(2344),
    [anon_sym_DQUOTE] = ACTIONS(2342),
    [anon_sym_SQUOTE] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_async] = ACTIONS(2342),
    [anon_sym_function] = ACTIONS(2342),
    [anon_sym_QMARK_DOT] = ACTIONS(2344),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_using] = ACTIONS(2342),
    [anon_sym_AMP_AMP] = ACTIONS(2344),
    [anon_sym_PIPE_PIPE] = ACTIONS(2344),
    [anon_sym_GT_GT] = ACTIONS(2344),
    [anon_sym_GT_GT_GT] = ACTIONS(2344),
    [anon_sym_LT_LT] = ACTIONS(2344),
    [anon_sym_AMP] = ACTIONS(2344),
    [anon_sym_CARET] = ACTIONS(2344),
    [anon_sym_PIPE] = ACTIONS(2344),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_SLASH] = ACTIONS(2342),
    [anon_sym_PERCENT] = ACTIONS(2344),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_LT] = ACTIONS(2342),
    [anon_sym_LT_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2344),
    [anon_sym_GT_EQ] = ACTIONS(2344),
    [anon_sym_QMARK_QMARK] = ACTIONS(2344),
    [anon_sym_instanceof] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2342),
    [anon_sym_void] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2342),
    [sym_number] = ACTIONS(2342),
    [sym_private_property_identifier] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [sym_super] = ACTIONS(2342),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [sym_null] = ACTIONS(2342),
    [sym_undefined] = ACTIONS(2342),
    [anon_sym_AT] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_readonly] = ACTIONS(2342),
    [anon_sym_get] = ACTIONS(2342),
    [anon_sym_set] = ACTIONS(2342),
    [anon_sym_declare] = ACTIONS(2342),
    [anon_sym_public] = ACTIONS(2342),
    [anon_sym_private] = ACTIONS(2342),
    [anon_sym_protected] = ACTIONS(2342),
    [anon_sym_override] = ACTIONS(2342),
    [anon_sym_module] = ACTIONS(2342),
    [anon_sym_any] = ACTIONS(2342),
    [anon_sym_number] = ACTIONS(2342),
    [anon_sym_boolean] = ACTIONS(2342),
    [anon_sym_string] = ACTIONS(2342),
    [anon_sym_symbol] = ACTIONS(2342),
    [anon_sym_object] = ACTIONS(2342),
    [anon_sym_property] = ACTIONS(2342),
    [anon_sym_signal] = ACTIONS(2342),
    [anon_sym_on] = ACTIONS(2342),
    [anon_sym_required] = ACTIONS(2342),
    [anon_sym_component] = ACTIONS(2342),
    [anon_sym_abstract] = ACTIONS(2342),
    [anon_sym_satisfies] = ACTIONS(2344),
    [anon_sym_interface] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [sym__automatic_semicolon] = ACTIONS(2568),
    [sym__ternary_qmark] = ACTIONS(2348),
    [sym_html_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_comment] = STATE(425),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_as] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_case] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_QMARK_DOT] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2350),
    [anon_sym_GT_GT] = ACTIONS(2350),
    [anon_sym_GT_GT_GT] = ACTIONS(2350),
    [anon_sym_LT_LT] = ACTIONS(2350),
    [anon_sym_AMP] = ACTIONS(2350),
    [anon_sym_CARET] = ACTIONS(2350),
    [anon_sym_PIPE] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2350),
    [anon_sym_STAR_STAR] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2350),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2350),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK] = ACTIONS(2350),
    [anon_sym_instanceof] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_satisfies] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym__automatic_semicolon] = ACTIONS(2352),
    [sym__ternary_qmark] = ACTIONS(2352),
    [sym_html_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3257),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_spread_element] = STATE(7305),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(426),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [aux_sym_array_repeat1] = STATE(7304),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(2504),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2570),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_comment] = STATE(427),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_export] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_type] = ACTIONS(2434),
    [anon_sym_as] = ACTIONS(2434),
    [anon_sym_namespace] = ACTIONS(2434),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_typeof] = ACTIONS(2434),
    [anon_sym_import] = ACTIONS(2434),
    [anon_sym_from] = ACTIONS(2434),
    [anon_sym_with] = ACTIONS(2434),
    [anon_sym_var] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_const] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_else] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_switch] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_await] = ACTIONS(2434),
    [anon_sym_in] = ACTIONS(2434),
    [anon_sym_of] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_break] = ACTIONS(2434),
    [anon_sym_continue] = ACTIONS(2434),
    [anon_sym_debugger] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LTtemplate_GT] = ACTIONS(2434),
    [anon_sym_GT] = ACTIONS(2434),
    [anon_sym_DOT] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_class] = ACTIONS(2434),
    [anon_sym_async] = ACTIONS(2434),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_QMARK_DOT] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_using] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_PIPE_PIPE] = ACTIONS(2434),
    [anon_sym_GT_GT] = ACTIONS(2434),
    [anon_sym_GT_GT_GT] = ACTIONS(2434),
    [anon_sym_LT_LT] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_CARET] = ACTIONS(2434),
    [anon_sym_PIPE] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_SLASH] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2434),
    [anon_sym_STAR_STAR] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2434),
    [anon_sym_LT_EQ] = ACTIONS(2434),
    [anon_sym_EQ_EQ] = ACTIONS(2434),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2434),
    [anon_sym_BANG_EQ] = ACTIONS(2434),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2434),
    [anon_sym_GT_EQ] = ACTIONS(2434),
    [anon_sym_QMARK_QMARK] = ACTIONS(2434),
    [anon_sym_instanceof] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_void] = ACTIONS(2434),
    [anon_sym_delete] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2434),
    [sym_number] = ACTIONS(2434),
    [sym_private_property_identifier] = ACTIONS(2434),
    [sym_this] = ACTIONS(2434),
    [sym_super] = ACTIONS(2434),
    [sym_true] = ACTIONS(2434),
    [sym_false] = ACTIONS(2434),
    [sym_null] = ACTIONS(2434),
    [sym_undefined] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2434),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_readonly] = ACTIONS(2434),
    [anon_sym_get] = ACTIONS(2434),
    [anon_sym_set] = ACTIONS(2434),
    [anon_sym_declare] = ACTIONS(2434),
    [anon_sym_public] = ACTIONS(2434),
    [anon_sym_private] = ACTIONS(2434),
    [anon_sym_protected] = ACTIONS(2434),
    [anon_sym_override] = ACTIONS(2434),
    [anon_sym_module] = ACTIONS(2434),
    [anon_sym_any] = ACTIONS(2434),
    [anon_sym_number] = ACTIONS(2434),
    [anon_sym_boolean] = ACTIONS(2434),
    [anon_sym_string] = ACTIONS(2434),
    [anon_sym_symbol] = ACTIONS(2434),
    [anon_sym_object] = ACTIONS(2434),
    [anon_sym_property] = ACTIONS(2434),
    [anon_sym_signal] = ACTIONS(2434),
    [anon_sym_on] = ACTIONS(2434),
    [anon_sym_required] = ACTIONS(2434),
    [anon_sym_component] = ACTIONS(2434),
    [anon_sym_abstract] = ACTIONS(2434),
    [anon_sym_satisfies] = ACTIONS(2434),
    [anon_sym_interface] = ACTIONS(2434),
    [anon_sym_enum] = ACTIONS(2434),
    [sym__automatic_semicolon] = ACTIONS(2436),
    [sym__ternary_qmark] = ACTIONS(2436),
    [sym_html_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_statement_block] = STATE(522),
    [sym_comment] = STATE(428),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_as] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_COMMA] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_in] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(2574),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_QMARK_DOT] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_AMP_AMP] = ACTIONS(2297),
    [anon_sym_PIPE_PIPE] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_GT_GT_GT] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_AMP] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2297),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_STAR_STAR] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_QMARK_QMARK] = ACTIONS(2297),
    [anon_sym_instanceof] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_satisfies] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_comment] = STATE(429),
    [sym_identifier] = ACTIONS(2478),
    [anon_sym_export] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_type] = ACTIONS(2478),
    [anon_sym_as] = ACTIONS(2480),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_COMMA] = ACTIONS(2480),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_typeof] = ACTIONS(2478),
    [anon_sym_import] = ACTIONS(2478),
    [anon_sym_from] = ACTIONS(2478),
    [anon_sym_with] = ACTIONS(2478),
    [anon_sym_var] = ACTIONS(2478),
    [anon_sym_let] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_else] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_LPAREN] = ACTIONS(2478),
    [anon_sym_await] = ACTIONS(2478),
    [anon_sym_in] = ACTIONS(2480),
    [anon_sym_of] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_debugger] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_LTtemplate_GT] = ACTIONS(2478),
    [anon_sym_GT] = ACTIONS(2480),
    [anon_sym_DOT] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_async] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2478),
    [anon_sym_QMARK_DOT] = ACTIONS(2480),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_PIPE_PIPE] = ACTIONS(2480),
    [anon_sym_GT_GT] = ACTIONS(2480),
    [anon_sym_GT_GT_GT] = ACTIONS(2480),
    [anon_sym_LT_LT] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_CARET] = ACTIONS(2480),
    [anon_sym_PIPE] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_SLASH] = ACTIONS(2478),
    [anon_sym_PERCENT] = ACTIONS(2480),
    [anon_sym_STAR_STAR] = ACTIONS(2480),
    [anon_sym_LT] = ACTIONS(2478),
    [anon_sym_LT_EQ] = ACTIONS(2480),
    [anon_sym_EQ_EQ] = ACTIONS(2480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2480),
    [anon_sym_BANG_EQ] = ACTIONS(2480),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2480),
    [anon_sym_GT_EQ] = ACTIONS(2480),
    [anon_sym_QMARK_QMARK] = ACTIONS(2480),
    [anon_sym_instanceof] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2478),
    [anon_sym_void] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2478),
    [sym_number] = ACTIONS(2478),
    [sym_private_property_identifier] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
    [sym_super] = ACTIONS(2478),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [sym_null] = ACTIONS(2478),
    [sym_undefined] = ACTIONS(2478),
    [anon_sym_AT] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_readonly] = ACTIONS(2478),
    [anon_sym_get] = ACTIONS(2478),
    [anon_sym_set] = ACTIONS(2478),
    [anon_sym_declare] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_override] = ACTIONS(2478),
    [anon_sym_module] = ACTIONS(2478),
    [anon_sym_any] = ACTIONS(2478),
    [anon_sym_number] = ACTIONS(2478),
    [anon_sym_boolean] = ACTIONS(2478),
    [anon_sym_string] = ACTIONS(2478),
    [anon_sym_symbol] = ACTIONS(2478),
    [anon_sym_object] = ACTIONS(2478),
    [anon_sym_property] = ACTIONS(2478),
    [anon_sym_signal] = ACTIONS(2478),
    [anon_sym_on] = ACTIONS(2478),
    [anon_sym_required] = ACTIONS(2478),
    [anon_sym_component] = ACTIONS(2478),
    [anon_sym_abstract] = ACTIONS(2478),
    [anon_sym_satisfies] = ACTIONS(2480),
    [anon_sym_interface] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [sym__automatic_semicolon] = ACTIONS(2576),
    [sym__ternary_qmark] = ACTIONS(2484),
    [sym_html_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_comment] = STATE(430),
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_as] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_import] = ACTIONS(2474),
    [anon_sym_from] = ACTIONS(2474),
    [anon_sym_with] = ACTIONS(2474),
    [anon_sym_var] = ACTIONS(2474),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_await] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_of] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_debugger] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_LTtemplate_GT] = ACTIONS(2474),
    [anon_sym_GT] = ACTIONS(2474),
    [anon_sym_DOT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2474),
    [anon_sym_QMARK_DOT] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_PIPE_PIPE] = ACTIONS(2474),
    [anon_sym_GT_GT] = ACTIONS(2474),
    [anon_sym_GT_GT_GT] = ACTIONS(2474),
    [anon_sym_LT_LT] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_CARET] = ACTIONS(2474),
    [anon_sym_PIPE] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_SLASH] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2474),
    [anon_sym_STAR_STAR] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_LT_EQ] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2474),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2474),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_QMARK_QMARK] = ACTIONS(2474),
    [anon_sym_instanceof] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_void] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2474),
    [sym_number] = ACTIONS(2474),
    [sym_private_property_identifier] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
    [sym_super] = ACTIONS(2474),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [sym_null] = ACTIONS(2474),
    [sym_undefined] = ACTIONS(2474),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_property] = ACTIONS(2474),
    [anon_sym_signal] = ACTIONS(2474),
    [anon_sym_on] = ACTIONS(2474),
    [anon_sym_required] = ACTIONS(2474),
    [anon_sym_component] = ACTIONS(2474),
    [anon_sym_abstract] = ACTIONS(2474),
    [anon_sym_satisfies] = ACTIONS(2474),
    [anon_sym_interface] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [sym__automatic_semicolon] = ACTIONS(2476),
    [sym__ternary_qmark] = ACTIONS(2476),
    [sym_html_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3347),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(7619),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2364),
    [sym_subscript_expression] = STATE(2364),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5405),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(431),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6661),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2364),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2157),
    [anon_sym_export] = ACTIONS(1160),
    [anon_sym_type] = ACTIONS(1160),
    [anon_sym_namespace] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1160),
    [anon_sym_let] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1180),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2163),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_readonly] = ACTIONS(1160),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_declare] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_override] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_any] = ACTIONS(1160),
    [anon_sym_number] = ACTIONS(1160),
    [anon_sym_boolean] = ACTIONS(1160),
    [anon_sym_string] = ACTIONS(1160),
    [anon_sym_symbol] = ACTIONS(1160),
    [anon_sym_object] = ACTIONS(1160),
    [anon_sym_property] = ACTIONS(1160),
    [anon_sym_signal] = ACTIONS(1160),
    [anon_sym_on] = ACTIONS(1160),
    [anon_sym_required] = ACTIONS(1160),
    [anon_sym_component] = ACTIONS(1160),
    [sym_html_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(432),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6117),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_override_modifier] = STATE(495),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(1287),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2578),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_comment] = STATE(433),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_export] = ACTIONS(2328),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2328),
    [anon_sym_as] = ACTIONS(2328),
    [anon_sym_namespace] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_COMMA] = ACTIONS(2328),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [anon_sym_typeof] = ACTIONS(2328),
    [anon_sym_import] = ACTIONS(2328),
    [anon_sym_from] = ACTIONS(2328),
    [anon_sym_with] = ACTIONS(2328),
    [anon_sym_var] = ACTIONS(2328),
    [anon_sym_let] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_else] = ACTIONS(2328),
    [anon_sym_if] = ACTIONS(2328),
    [anon_sym_switch] = ACTIONS(2328),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_in] = ACTIONS(2328),
    [anon_sym_of] = ACTIONS(2328),
    [anon_sym_while] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2328),
    [anon_sym_break] = ACTIONS(2328),
    [anon_sym_continue] = ACTIONS(2328),
    [anon_sym_debugger] = ACTIONS(2328),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym_yield] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_LTtemplate_GT] = ACTIONS(2328),
    [anon_sym_GT] = ACTIONS(2328),
    [anon_sym_DOT] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_class] = ACTIONS(2328),
    [anon_sym_async] = ACTIONS(2328),
    [anon_sym_function] = ACTIONS(2328),
    [anon_sym_QMARK_DOT] = ACTIONS(2328),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_using] = ACTIONS(2328),
    [anon_sym_AMP_AMP] = ACTIONS(2328),
    [anon_sym_PIPE_PIPE] = ACTIONS(2328),
    [anon_sym_GT_GT] = ACTIONS(2328),
    [anon_sym_GT_GT_GT] = ACTIONS(2328),
    [anon_sym_LT_LT] = ACTIONS(2328),
    [anon_sym_AMP] = ACTIONS(2328),
    [anon_sym_CARET] = ACTIONS(2328),
    [anon_sym_PIPE] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_PERCENT] = ACTIONS(2328),
    [anon_sym_STAR_STAR] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_QMARK_QMARK] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_void] = ACTIONS(2328),
    [anon_sym_delete] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2328),
    [sym_number] = ACTIONS(2328),
    [sym_private_property_identifier] = ACTIONS(2328),
    [sym_this] = ACTIONS(2328),
    [sym_super] = ACTIONS(2328),
    [sym_true] = ACTIONS(2328),
    [sym_false] = ACTIONS(2328),
    [sym_null] = ACTIONS(2328),
    [sym_undefined] = ACTIONS(2328),
    [anon_sym_AT] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2328),
    [anon_sym_readonly] = ACTIONS(2328),
    [anon_sym_get] = ACTIONS(2328),
    [anon_sym_set] = ACTIONS(2328),
    [anon_sym_declare] = ACTIONS(2328),
    [anon_sym_public] = ACTIONS(2328),
    [anon_sym_private] = ACTIONS(2328),
    [anon_sym_protected] = ACTIONS(2328),
    [anon_sym_override] = ACTIONS(2328),
    [anon_sym_module] = ACTIONS(2328),
    [anon_sym_any] = ACTIONS(2328),
    [anon_sym_number] = ACTIONS(2328),
    [anon_sym_boolean] = ACTIONS(2328),
    [anon_sym_string] = ACTIONS(2328),
    [anon_sym_symbol] = ACTIONS(2328),
    [anon_sym_object] = ACTIONS(2328),
    [anon_sym_property] = ACTIONS(2328),
    [anon_sym_signal] = ACTIONS(2328),
    [anon_sym_on] = ACTIONS(2328),
    [anon_sym_required] = ACTIONS(2328),
    [anon_sym_component] = ACTIONS(2328),
    [anon_sym_abstract] = ACTIONS(2328),
    [anon_sym_satisfies] = ACTIONS(2328),
    [anon_sym_interface] = ACTIONS(2328),
    [anon_sym_enum] = ACTIONS(2328),
    [sym__automatic_semicolon] = ACTIONS(2330),
    [sym__ternary_qmark] = ACTIONS(2330),
    [sym_html_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_import] = STATE(5115),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2973),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(434),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym__type_query_member_expression] = STATE(4575),
    [sym__type_query_subscript_expression] = STATE(4583),
    [sym__type_query_call_expression] = STATE(4803),
    [sym__type_query_instantiation_expression] = STATE(4920),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2580),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_import] = STATE(5028),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2973),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(435),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym__type_query_member_expression] = STATE(4512),
    [sym__type_query_subscript_expression] = STATE(4513),
    [sym__type_query_call_expression] = STATE(4584),
    [sym__type_query_instantiation_expression] = STATE(4630),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2582),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_comment] = STATE(436),
    [sym_identifier] = ACTIONS(2426),
    [anon_sym_export] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_type] = ACTIONS(2426),
    [anon_sym_as] = ACTIONS(2428),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_COMMA] = ACTIONS(2428),
    [anon_sym_RBRACE] = ACTIONS(2426),
    [anon_sym_typeof] = ACTIONS(2426),
    [anon_sym_import] = ACTIONS(2426),
    [anon_sym_from] = ACTIONS(2426),
    [anon_sym_with] = ACTIONS(2426),
    [anon_sym_var] = ACTIONS(2426),
    [anon_sym_let] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_else] = ACTIONS(2426),
    [anon_sym_if] = ACTIONS(2426),
    [anon_sym_switch] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_await] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_of] = ACTIONS(2426),
    [anon_sym_while] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2426),
    [anon_sym_break] = ACTIONS(2426),
    [anon_sym_continue] = ACTIONS(2426),
    [anon_sym_debugger] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_LTtemplate_GT] = ACTIONS(2426),
    [anon_sym_GT] = ACTIONS(2428),
    [anon_sym_DOT] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_async] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2426),
    [anon_sym_QMARK_DOT] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_PIPE_PIPE] = ACTIONS(2428),
    [anon_sym_GT_GT] = ACTIONS(2428),
    [anon_sym_GT_GT_GT] = ACTIONS(2428),
    [anon_sym_LT_LT] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_CARET] = ACTIONS(2428),
    [anon_sym_PIPE] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_PERCENT] = ACTIONS(2428),
    [anon_sym_STAR_STAR] = ACTIONS(2428),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_LT_EQ] = ACTIONS(2428),
    [anon_sym_EQ_EQ] = ACTIONS(2428),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2428),
    [anon_sym_BANG_EQ] = ACTIONS(2428),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2428),
    [anon_sym_GT_EQ] = ACTIONS(2428),
    [anon_sym_QMARK_QMARK] = ACTIONS(2428),
    [anon_sym_instanceof] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_void] = ACTIONS(2426),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2426),
    [sym_number] = ACTIONS(2426),
    [sym_private_property_identifier] = ACTIONS(2426),
    [sym_this] = ACTIONS(2426),
    [sym_super] = ACTIONS(2426),
    [sym_true] = ACTIONS(2426),
    [sym_false] = ACTIONS(2426),
    [sym_null] = ACTIONS(2426),
    [sym_undefined] = ACTIONS(2426),
    [anon_sym_AT] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_readonly] = ACTIONS(2426),
    [anon_sym_get] = ACTIONS(2426),
    [anon_sym_set] = ACTIONS(2426),
    [anon_sym_declare] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_override] = ACTIONS(2426),
    [anon_sym_module] = ACTIONS(2426),
    [anon_sym_any] = ACTIONS(2426),
    [anon_sym_number] = ACTIONS(2426),
    [anon_sym_boolean] = ACTIONS(2426),
    [anon_sym_string] = ACTIONS(2426),
    [anon_sym_symbol] = ACTIONS(2426),
    [anon_sym_object] = ACTIONS(2426),
    [anon_sym_property] = ACTIONS(2426),
    [anon_sym_signal] = ACTIONS(2426),
    [anon_sym_on] = ACTIONS(2426),
    [anon_sym_required] = ACTIONS(2426),
    [anon_sym_component] = ACTIONS(2426),
    [anon_sym_abstract] = ACTIONS(2426),
    [anon_sym_satisfies] = ACTIONS(2428),
    [anon_sym_interface] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [sym__automatic_semicolon] = ACTIONS(2584),
    [sym__ternary_qmark] = ACTIONS(2432),
    [sym_html_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_comment] = STATE(437),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_export] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(2586),
    [anon_sym_import] = ACTIONS(2586),
    [anon_sym_from] = ACTIONS(2586),
    [anon_sym_let] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_await] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym_LTtemplate_GT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_async] = ACTIONS(2586),
    [anon_sym_function] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2586),
    [anon_sym_using] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_void] = ACTIONS(2586),
    [anon_sym_delete] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2586),
    [sym_number] = ACTIONS(2586),
    [sym_private_property_identifier] = ACTIONS(2586),
    [sym_this] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_null] = ACTIONS(2586),
    [sym_undefined] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_readonly] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_declare] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_any] = ACTIONS(2586),
    [anon_sym_number] = ACTIONS(2586),
    [anon_sym_boolean] = ACTIONS(2586),
    [anon_sym_string] = ACTIONS(2586),
    [anon_sym_symbol] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_property] = ACTIONS(2586),
    [anon_sym_signal] = ACTIONS(2586),
    [anon_sym_on] = ACTIONS(2586),
    [anon_sym_required] = ACTIONS(2586),
    [anon_sym_component] = ACTIONS(2586),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_comment] = STATE(438),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_export] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2588),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_typeof] = ACTIONS(2588),
    [anon_sym_import] = ACTIONS(2588),
    [anon_sym_from] = ACTIONS(2588),
    [anon_sym_let] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_await] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2588),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_yield] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_LTtemplate_GT] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_async] = ACTIONS(2588),
    [anon_sym_function] = ACTIONS(2588),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2588),
    [anon_sym_using] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_void] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2588),
    [sym_number] = ACTIONS(2588),
    [sym_private_property_identifier] = ACTIONS(2588),
    [sym_this] = ACTIONS(2588),
    [sym_super] = ACTIONS(2588),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [sym_null] = ACTIONS(2588),
    [sym_undefined] = ACTIONS(2588),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_readonly] = ACTIONS(2588),
    [anon_sym_get] = ACTIONS(2588),
    [anon_sym_set] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_declare] = ACTIONS(2588),
    [anon_sym_public] = ACTIONS(2588),
    [anon_sym_private] = ACTIONS(2588),
    [anon_sym_protected] = ACTIONS(2588),
    [anon_sym_override] = ACTIONS(2588),
    [anon_sym_module] = ACTIONS(2588),
    [anon_sym_any] = ACTIONS(2588),
    [anon_sym_number] = ACTIONS(2588),
    [anon_sym_boolean] = ACTIONS(2588),
    [anon_sym_string] = ACTIONS(2588),
    [anon_sym_symbol] = ACTIONS(2588),
    [anon_sym_object] = ACTIONS(2588),
    [anon_sym_property] = ACTIONS(2588),
    [anon_sym_signal] = ACTIONS(2588),
    [anon_sym_on] = ACTIONS(2588),
    [anon_sym_required] = ACTIONS(2588),
    [anon_sym_component] = ACTIONS(2588),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_comment] = STATE(439),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_export] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_type] = ACTIONS(2442),
    [anon_sym_as] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_typeof] = ACTIONS(2442),
    [anon_sym_import] = ACTIONS(2442),
    [anon_sym_from] = ACTIONS(2442),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_var] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_else] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_switch] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_await] = ACTIONS(2442),
    [anon_sym_in] = ACTIONS(2442),
    [anon_sym_of] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_break] = ACTIONS(2442),
    [anon_sym_continue] = ACTIONS(2442),
    [anon_sym_debugger] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LTtemplate_GT] = ACTIONS(2442),
    [anon_sym_GT] = ACTIONS(2442),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_async] = ACTIONS(2442),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_QMARK_DOT] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_GT_GT] = ACTIONS(2442),
    [anon_sym_GT_GT_GT] = ACTIONS(2442),
    [anon_sym_LT_LT] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_CARET] = ACTIONS(2442),
    [anon_sym_PIPE] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_STAR_STAR] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_LT_EQ] = ACTIONS(2442),
    [anon_sym_EQ_EQ] = ACTIONS(2442),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2442),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2442),
    [anon_sym_GT_EQ] = ACTIONS(2442),
    [anon_sym_QMARK_QMARK] = ACTIONS(2442),
    [anon_sym_instanceof] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_void] = ACTIONS(2442),
    [anon_sym_delete] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2442),
    [sym_number] = ACTIONS(2442),
    [sym_private_property_identifier] = ACTIONS(2442),
    [sym_this] = ACTIONS(2442),
    [sym_super] = ACTIONS(2442),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [sym_null] = ACTIONS(2442),
    [sym_undefined] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_readonly] = ACTIONS(2442),
    [anon_sym_get] = ACTIONS(2442),
    [anon_sym_set] = ACTIONS(2442),
    [anon_sym_declare] = ACTIONS(2442),
    [anon_sym_public] = ACTIONS(2442),
    [anon_sym_private] = ACTIONS(2442),
    [anon_sym_protected] = ACTIONS(2442),
    [anon_sym_override] = ACTIONS(2442),
    [anon_sym_module] = ACTIONS(2442),
    [anon_sym_any] = ACTIONS(2442),
    [anon_sym_number] = ACTIONS(2442),
    [anon_sym_boolean] = ACTIONS(2442),
    [anon_sym_string] = ACTIONS(2442),
    [anon_sym_symbol] = ACTIONS(2442),
    [anon_sym_object] = ACTIONS(2442),
    [anon_sym_property] = ACTIONS(2442),
    [anon_sym_signal] = ACTIONS(2442),
    [anon_sym_on] = ACTIONS(2442),
    [anon_sym_required] = ACTIONS(2442),
    [anon_sym_component] = ACTIONS(2442),
    [anon_sym_abstract] = ACTIONS(2442),
    [anon_sym_satisfies] = ACTIONS(2442),
    [anon_sym_interface] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [sym__automatic_semicolon] = ACTIONS(2444),
    [sym__ternary_qmark] = ACTIONS(2444),
    [sym_html_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_import] = STATE(5080),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3775),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(440),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym__type_query_member_expression] = STATE(4512),
    [sym__type_query_subscript_expression] = STATE(4513),
    [sym__type_query_call_expression] = STATE(4584),
    [sym__type_query_instantiation_expression] = STATE(4630),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2590),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_import] = STATE(5080),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3599),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(441),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym__type_query_member_expression] = STATE(4512),
    [sym__type_query_subscript_expression] = STATE(4513),
    [sym__type_query_call_expression] = STATE(4584),
    [sym__type_query_instantiation_expression] = STATE(4630),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2592),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(442),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4642),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(1469),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_EQ_GT] = ACTIONS(1451),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_comment] = STATE(443),
    [sym_identifier] = ACTIONS(2416),
    [anon_sym_export] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_type] = ACTIONS(2416),
    [anon_sym_as] = ACTIONS(2418),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_RBRACE] = ACTIONS(2416),
    [anon_sym_typeof] = ACTIONS(2416),
    [anon_sym_import] = ACTIONS(2416),
    [anon_sym_from] = ACTIONS(2416),
    [anon_sym_with] = ACTIONS(2416),
    [anon_sym_var] = ACTIONS(2416),
    [anon_sym_let] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_BANG] = ACTIONS(2416),
    [anon_sym_else] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_await] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2418),
    [anon_sym_of] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_debugger] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym_yield] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_LTtemplate_GT] = ACTIONS(2416),
    [anon_sym_GT] = ACTIONS(2418),
    [anon_sym_DOT] = ACTIONS(2418),
    [anon_sym_DQUOTE] = ACTIONS(2416),
    [anon_sym_SQUOTE] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_async] = ACTIONS(2416),
    [anon_sym_function] = ACTIONS(2416),
    [anon_sym_QMARK_DOT] = ACTIONS(2418),
    [anon_sym_new] = ACTIONS(2416),
    [anon_sym_using] = ACTIONS(2416),
    [anon_sym_AMP_AMP] = ACTIONS(2418),
    [anon_sym_PIPE_PIPE] = ACTIONS(2418),
    [anon_sym_GT_GT] = ACTIONS(2418),
    [anon_sym_GT_GT_GT] = ACTIONS(2418),
    [anon_sym_LT_LT] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_CARET] = ACTIONS(2418),
    [anon_sym_PIPE] = ACTIONS(2418),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_SLASH] = ACTIONS(2416),
    [anon_sym_PERCENT] = ACTIONS(2418),
    [anon_sym_STAR_STAR] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2416),
    [anon_sym_LT_EQ] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2418),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2418),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_QMARK_QMARK] = ACTIONS(2418),
    [anon_sym_instanceof] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_void] = ACTIONS(2416),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_PLUS_PLUS] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2416),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2416),
    [sym_number] = ACTIONS(2416),
    [sym_private_property_identifier] = ACTIONS(2416),
    [sym_this] = ACTIONS(2416),
    [sym_super] = ACTIONS(2416),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [sym_null] = ACTIONS(2416),
    [sym_undefined] = ACTIONS(2416),
    [anon_sym_AT] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_readonly] = ACTIONS(2416),
    [anon_sym_get] = ACTIONS(2416),
    [anon_sym_set] = ACTIONS(2416),
    [anon_sym_declare] = ACTIONS(2416),
    [anon_sym_public] = ACTIONS(2416),
    [anon_sym_private] = ACTIONS(2416),
    [anon_sym_protected] = ACTIONS(2416),
    [anon_sym_override] = ACTIONS(2416),
    [anon_sym_module] = ACTIONS(2416),
    [anon_sym_any] = ACTIONS(2416),
    [anon_sym_number] = ACTIONS(2416),
    [anon_sym_boolean] = ACTIONS(2416),
    [anon_sym_string] = ACTIONS(2416),
    [anon_sym_symbol] = ACTIONS(2416),
    [anon_sym_object] = ACTIONS(2416),
    [anon_sym_property] = ACTIONS(2416),
    [anon_sym_signal] = ACTIONS(2416),
    [anon_sym_on] = ACTIONS(2416),
    [anon_sym_required] = ACTIONS(2416),
    [anon_sym_component] = ACTIONS(2416),
    [anon_sym_abstract] = ACTIONS(2416),
    [anon_sym_satisfies] = ACTIONS(2418),
    [anon_sym_interface] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [sym__automatic_semicolon] = ACTIONS(2594),
    [sym__ternary_qmark] = ACTIONS(2422),
    [sym_html_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_comment] = STATE(444),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_as] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_COMMA] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_in] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_GT] = ACTIONS(2287),
    [anon_sym_DOT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_QMARK_DOT] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2287),
    [anon_sym_PIPE_PIPE] = ACTIONS(2287),
    [anon_sym_GT_GT] = ACTIONS(2287),
    [anon_sym_GT_GT_GT] = ACTIONS(2287),
    [anon_sym_LT_LT] = ACTIONS(2287),
    [anon_sym_AMP] = ACTIONS(2287),
    [anon_sym_CARET] = ACTIONS(2287),
    [anon_sym_PIPE] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_PERCENT] = ACTIONS(2287),
    [anon_sym_STAR_STAR] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_LT_EQ] = ACTIONS(2287),
    [anon_sym_EQ_EQ] = ACTIONS(2287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2287),
    [anon_sym_BANG_EQ] = ACTIONS(2287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2287),
    [anon_sym_GT_EQ] = ACTIONS(2287),
    [anon_sym_QMARK_QMARK] = ACTIONS(2287),
    [anon_sym_instanceof] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_satisfies] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(2596),
    [sym__ternary_qmark] = ACTIONS(2448),
    [sym_html_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_comment] = STATE(445),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_export] = ACTIONS(2410),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_type] = ACTIONS(2410),
    [anon_sym_as] = ACTIONS(2410),
    [anon_sym_namespace] = ACTIONS(2410),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(2410),
    [anon_sym_typeof] = ACTIONS(2410),
    [anon_sym_import] = ACTIONS(2410),
    [anon_sym_from] = ACTIONS(2410),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_var] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_const] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_else] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_switch] = ACTIONS(2410),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_await] = ACTIONS(2410),
    [anon_sym_in] = ACTIONS(2410),
    [anon_sym_of] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_break] = ACTIONS(2410),
    [anon_sym_continue] = ACTIONS(2410),
    [anon_sym_debugger] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_throw] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LTtemplate_GT] = ACTIONS(2410),
    [anon_sym_GT] = ACTIONS(2410),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_class] = ACTIONS(2410),
    [anon_sym_async] = ACTIONS(2410),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_QMARK_DOT] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_using] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_GT_GT] = ACTIONS(2410),
    [anon_sym_GT_GT_GT] = ACTIONS(2410),
    [anon_sym_LT_LT] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_CARET] = ACTIONS(2410),
    [anon_sym_PIPE] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_SLASH] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_STAR_STAR] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2410),
    [anon_sym_LT_EQ] = ACTIONS(2410),
    [anon_sym_EQ_EQ] = ACTIONS(2410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2410),
    [anon_sym_GT_EQ] = ACTIONS(2410),
    [anon_sym_QMARK_QMARK] = ACTIONS(2410),
    [anon_sym_instanceof] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_void] = ACTIONS(2410),
    [anon_sym_delete] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2410),
    [sym_number] = ACTIONS(2410),
    [sym_private_property_identifier] = ACTIONS(2410),
    [sym_this] = ACTIONS(2410),
    [sym_super] = ACTIONS(2410),
    [sym_true] = ACTIONS(2410),
    [sym_false] = ACTIONS(2410),
    [sym_null] = ACTIONS(2410),
    [sym_undefined] = ACTIONS(2410),
    [anon_sym_AT] = ACTIONS(2410),
    [anon_sym_static] = ACTIONS(2410),
    [anon_sym_readonly] = ACTIONS(2410),
    [anon_sym_get] = ACTIONS(2410),
    [anon_sym_set] = ACTIONS(2410),
    [anon_sym_declare] = ACTIONS(2410),
    [anon_sym_public] = ACTIONS(2410),
    [anon_sym_private] = ACTIONS(2410),
    [anon_sym_protected] = ACTIONS(2410),
    [anon_sym_override] = ACTIONS(2410),
    [anon_sym_module] = ACTIONS(2410),
    [anon_sym_any] = ACTIONS(2410),
    [anon_sym_number] = ACTIONS(2410),
    [anon_sym_boolean] = ACTIONS(2410),
    [anon_sym_string] = ACTIONS(2410),
    [anon_sym_symbol] = ACTIONS(2410),
    [anon_sym_object] = ACTIONS(2410),
    [anon_sym_property] = ACTIONS(2410),
    [anon_sym_signal] = ACTIONS(2410),
    [anon_sym_on] = ACTIONS(2410),
    [anon_sym_required] = ACTIONS(2410),
    [anon_sym_component] = ACTIONS(2410),
    [anon_sym_abstract] = ACTIONS(2410),
    [anon_sym_satisfies] = ACTIONS(2410),
    [anon_sym_interface] = ACTIONS(2410),
    [anon_sym_enum] = ACTIONS(2410),
    [sym__automatic_semicolon] = ACTIONS(2412),
    [sym__ternary_qmark] = ACTIONS(2412),
    [sym_html_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_comment] = STATE(446),
    [sym_identifier] = ACTIONS(2338),
    [anon_sym_export] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_type] = ACTIONS(2338),
    [anon_sym_as] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2338),
    [anon_sym_RBRACE] = ACTIONS(2338),
    [anon_sym_typeof] = ACTIONS(2338),
    [anon_sym_import] = ACTIONS(2338),
    [anon_sym_from] = ACTIONS(2338),
    [anon_sym_with] = ACTIONS(2338),
    [anon_sym_var] = ACTIONS(2338),
    [anon_sym_let] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_BANG] = ACTIONS(2338),
    [anon_sym_else] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_LPAREN] = ACTIONS(2338),
    [anon_sym_await] = ACTIONS(2338),
    [anon_sym_in] = ACTIONS(2338),
    [anon_sym_of] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_debugger] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2338),
    [anon_sym_yield] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_LTtemplate_GT] = ACTIONS(2338),
    [anon_sym_GT] = ACTIONS(2338),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_async] = ACTIONS(2338),
    [anon_sym_function] = ACTIONS(2338),
    [anon_sym_QMARK_DOT] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_using] = ACTIONS(2338),
    [anon_sym_AMP_AMP] = ACTIONS(2338),
    [anon_sym_PIPE_PIPE] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_GT_GT_GT] = ACTIONS(2338),
    [anon_sym_LT_LT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(2338),
    [anon_sym_CARET] = ACTIONS(2338),
    [anon_sym_PIPE] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_SLASH] = ACTIONS(2338),
    [anon_sym_PERCENT] = ACTIONS(2338),
    [anon_sym_STAR_STAR] = ACTIONS(2338),
    [anon_sym_LT] = ACTIONS(2338),
    [anon_sym_LT_EQ] = ACTIONS(2338),
    [anon_sym_EQ_EQ] = ACTIONS(2338),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2338),
    [anon_sym_BANG_EQ] = ACTIONS(2338),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2338),
    [anon_sym_GT_EQ] = ACTIONS(2338),
    [anon_sym_QMARK_QMARK] = ACTIONS(2338),
    [anon_sym_instanceof] = ACTIONS(2338),
    [anon_sym_TILDE] = ACTIONS(2338),
    [anon_sym_void] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2338),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [sym_super] = ACTIONS(2338),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [sym_null] = ACTIONS(2338),
    [sym_undefined] = ACTIONS(2338),
    [anon_sym_AT] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_readonly] = ACTIONS(2338),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
    [anon_sym_declare] = ACTIONS(2338),
    [anon_sym_public] = ACTIONS(2338),
    [anon_sym_private] = ACTIONS(2338),
    [anon_sym_protected] = ACTIONS(2338),
    [anon_sym_override] = ACTIONS(2338),
    [anon_sym_module] = ACTIONS(2338),
    [anon_sym_any] = ACTIONS(2338),
    [anon_sym_number] = ACTIONS(2338),
    [anon_sym_boolean] = ACTIONS(2338),
    [anon_sym_string] = ACTIONS(2338),
    [anon_sym_symbol] = ACTIONS(2338),
    [anon_sym_object] = ACTIONS(2338),
    [anon_sym_property] = ACTIONS(2338),
    [anon_sym_signal] = ACTIONS(2338),
    [anon_sym_on] = ACTIONS(2338),
    [anon_sym_required] = ACTIONS(2338),
    [anon_sym_component] = ACTIONS(2338),
    [anon_sym_abstract] = ACTIONS(2338),
    [anon_sym_satisfies] = ACTIONS(2338),
    [anon_sym_interface] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(2340),
    [sym__ternary_qmark] = ACTIONS(2340),
    [sym_html_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_comment] = STATE(447),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_as] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_in] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_GT] = ACTIONS(2332),
    [anon_sym_DOT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_QMARK_DOT] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_PIPE_PIPE] = ACTIONS(2332),
    [anon_sym_GT_GT] = ACTIONS(2332),
    [anon_sym_GT_GT_GT] = ACTIONS(2332),
    [anon_sym_LT_LT] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_CARET] = ACTIONS(2332),
    [anon_sym_PIPE] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_PERCENT] = ACTIONS(2332),
    [anon_sym_STAR_STAR] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_LT_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2332),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_QMARK_QMARK] = ACTIONS(2332),
    [anon_sym_instanceof] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_satisfies] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(2336),
    [sym__ternary_qmark] = ACTIONS(2336),
    [sym_html_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_comment] = STATE(448),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_as] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_else] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_QMARK_DOT] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2350),
    [anon_sym_GT_GT] = ACTIONS(2350),
    [anon_sym_GT_GT_GT] = ACTIONS(2350),
    [anon_sym_LT_LT] = ACTIONS(2350),
    [anon_sym_AMP] = ACTIONS(2350),
    [anon_sym_CARET] = ACTIONS(2350),
    [anon_sym_PIPE] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2350),
    [anon_sym_STAR_STAR] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2350),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2350),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK] = ACTIONS(2350),
    [anon_sym_instanceof] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_satisfies] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym__automatic_semicolon] = ACTIONS(2352),
    [sym__ternary_qmark] = ACTIONS(2352),
    [sym_html_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_comment] = STATE(449),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_export] = ACTIONS(2370),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_type] = ACTIONS(2370),
    [anon_sym_as] = ACTIONS(2370),
    [anon_sym_namespace] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_import] = ACTIONS(2370),
    [anon_sym_from] = ACTIONS(2370),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_var] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_const] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_else] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_switch] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_await] = ACTIONS(2370),
    [anon_sym_in] = ACTIONS(2370),
    [anon_sym_of] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_debugger] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LTtemplate_GT] = ACTIONS(2370),
    [anon_sym_GT] = ACTIONS(2370),
    [anon_sym_DOT] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_async] = ACTIONS(2370),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_QMARK_DOT] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_using] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_GT_GT] = ACTIONS(2370),
    [anon_sym_GT_GT_GT] = ACTIONS(2370),
    [anon_sym_LT_LT] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_PIPE] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_SLASH] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_STAR_STAR] = ACTIONS(2370),
    [anon_sym_LT] = ACTIONS(2370),
    [anon_sym_LT_EQ] = ACTIONS(2370),
    [anon_sym_EQ_EQ] = ACTIONS(2370),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2370),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2370),
    [anon_sym_GT_EQ] = ACTIONS(2370),
    [anon_sym_QMARK_QMARK] = ACTIONS(2370),
    [anon_sym_instanceof] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2370),
    [sym_number] = ACTIONS(2370),
    [sym_private_property_identifier] = ACTIONS(2370),
    [sym_this] = ACTIONS(2370),
    [sym_super] = ACTIONS(2370),
    [sym_true] = ACTIONS(2370),
    [sym_false] = ACTIONS(2370),
    [sym_null] = ACTIONS(2370),
    [sym_undefined] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2370),
    [anon_sym_readonly] = ACTIONS(2370),
    [anon_sym_get] = ACTIONS(2370),
    [anon_sym_set] = ACTIONS(2370),
    [anon_sym_declare] = ACTIONS(2370),
    [anon_sym_public] = ACTIONS(2370),
    [anon_sym_private] = ACTIONS(2370),
    [anon_sym_protected] = ACTIONS(2370),
    [anon_sym_override] = ACTIONS(2370),
    [anon_sym_module] = ACTIONS(2370),
    [anon_sym_any] = ACTIONS(2370),
    [anon_sym_number] = ACTIONS(2370),
    [anon_sym_boolean] = ACTIONS(2370),
    [anon_sym_string] = ACTIONS(2370),
    [anon_sym_symbol] = ACTIONS(2370),
    [anon_sym_object] = ACTIONS(2370),
    [anon_sym_property] = ACTIONS(2370),
    [anon_sym_signal] = ACTIONS(2370),
    [anon_sym_on] = ACTIONS(2370),
    [anon_sym_required] = ACTIONS(2370),
    [anon_sym_component] = ACTIONS(2370),
    [anon_sym_abstract] = ACTIONS(2370),
    [anon_sym_satisfies] = ACTIONS(2370),
    [anon_sym_interface] = ACTIONS(2370),
    [anon_sym_enum] = ACTIONS(2370),
    [sym__automatic_semicolon] = ACTIONS(2372),
    [sym__ternary_qmark] = ACTIONS(2372),
    [sym_html_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_comment] = STATE(450),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2364),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_as] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_COMMA] = ACTIONS(2364),
    [anon_sym_RBRACE] = ACTIONS(2362),
    [anon_sym_typeof] = ACTIONS(2362),
    [anon_sym_import] = ACTIONS(2362),
    [anon_sym_from] = ACTIONS(2362),
    [anon_sym_with] = ACTIONS(2362),
    [anon_sym_var] = ACTIONS(2362),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_const] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_else] = ACTIONS(2362),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_switch] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2362),
    [anon_sym_LPAREN] = ACTIONS(2362),
    [anon_sym_await] = ACTIONS(2362),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_of] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_do] = ACTIONS(2362),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_break] = ACTIONS(2362),
    [anon_sym_continue] = ACTIONS(2362),
    [anon_sym_debugger] = ACTIONS(2362),
    [anon_sym_return] = ACTIONS(2362),
    [anon_sym_throw] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym_yield] = ACTIONS(2362),
    [anon_sym_LBRACK] = ACTIONS(2362),
    [anon_sym_LTtemplate_GT] = ACTIONS(2362),
    [anon_sym_GT] = ACTIONS(2364),
    [anon_sym_DOT] = ACTIONS(2364),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_class] = ACTIONS(2362),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(2362),
    [anon_sym_QMARK_DOT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2362),
    [anon_sym_using] = ACTIONS(2362),
    [anon_sym_AMP_AMP] = ACTIONS(2364),
    [anon_sym_PIPE_PIPE] = ACTIONS(2364),
    [anon_sym_GT_GT] = ACTIONS(2364),
    [anon_sym_GT_GT_GT] = ACTIONS(2364),
    [anon_sym_LT_LT] = ACTIONS(2364),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_CARET] = ACTIONS(2364),
    [anon_sym_PIPE] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2362),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_PERCENT] = ACTIONS(2364),
    [anon_sym_STAR_STAR] = ACTIONS(2364),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_QMARK_QMARK] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_void] = ACTIONS(2362),
    [anon_sym_delete] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2362),
    [sym_number] = ACTIONS(2362),
    [sym_private_property_identifier] = ACTIONS(2362),
    [sym_this] = ACTIONS(2362),
    [sym_super] = ACTIONS(2362),
    [sym_true] = ACTIONS(2362),
    [sym_false] = ACTIONS(2362),
    [sym_null] = ACTIONS(2362),
    [sym_undefined] = ACTIONS(2362),
    [anon_sym_AT] = ACTIONS(2362),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2362),
    [anon_sym_get] = ACTIONS(2362),
    [anon_sym_set] = ACTIONS(2362),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_property] = ACTIONS(2362),
    [anon_sym_signal] = ACTIONS(2362),
    [anon_sym_on] = ACTIONS(2362),
    [anon_sym_required] = ACTIONS(2362),
    [anon_sym_component] = ACTIONS(2362),
    [anon_sym_abstract] = ACTIONS(2362),
    [anon_sym_satisfies] = ACTIONS(2364),
    [anon_sym_interface] = ACTIONS(2362),
    [anon_sym_enum] = ACTIONS(2362),
    [sym__automatic_semicolon] = ACTIONS(2598),
    [sym__ternary_qmark] = ACTIONS(2368),
    [sym_html_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_comment] = STATE(451),
    [sym_identifier] = ACTIONS(2394),
    [anon_sym_export] = ACTIONS(2394),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_type] = ACTIONS(2394),
    [anon_sym_as] = ACTIONS(2396),
    [anon_sym_namespace] = ACTIONS(2394),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_COMMA] = ACTIONS(2396),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_typeof] = ACTIONS(2394),
    [anon_sym_import] = ACTIONS(2394),
    [anon_sym_from] = ACTIONS(2394),
    [anon_sym_with] = ACTIONS(2394),
    [anon_sym_var] = ACTIONS(2394),
    [anon_sym_let] = ACTIONS(2394),
    [anon_sym_const] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_else] = ACTIONS(2394),
    [anon_sym_if] = ACTIONS(2394),
    [anon_sym_switch] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_LPAREN] = ACTIONS(2394),
    [anon_sym_await] = ACTIONS(2394),
    [anon_sym_in] = ACTIONS(2396),
    [anon_sym_of] = ACTIONS(2394),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_do] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2394),
    [anon_sym_break] = ACTIONS(2394),
    [anon_sym_continue] = ACTIONS(2394),
    [anon_sym_debugger] = ACTIONS(2394),
    [anon_sym_return] = ACTIONS(2394),
    [anon_sym_throw] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym_yield] = ACTIONS(2394),
    [anon_sym_LBRACK] = ACTIONS(2394),
    [anon_sym_LTtemplate_GT] = ACTIONS(2394),
    [anon_sym_GT] = ACTIONS(2396),
    [anon_sym_DOT] = ACTIONS(2396),
    [anon_sym_DQUOTE] = ACTIONS(2394),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_class] = ACTIONS(2394),
    [anon_sym_async] = ACTIONS(2394),
    [anon_sym_function] = ACTIONS(2394),
    [anon_sym_QMARK_DOT] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(2394),
    [anon_sym_using] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE] = ACTIONS(2396),
    [anon_sym_GT_GT] = ACTIONS(2396),
    [anon_sym_GT_GT_GT] = ACTIONS(2396),
    [anon_sym_LT_LT] = ACTIONS(2396),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_CARET] = ACTIONS(2396),
    [anon_sym_PIPE] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2394),
    [anon_sym_SLASH] = ACTIONS(2394),
    [anon_sym_PERCENT] = ACTIONS(2396),
    [anon_sym_STAR_STAR] = ACTIONS(2396),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(2396),
    [anon_sym_EQ_EQ] = ACTIONS(2396),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2396),
    [anon_sym_GT_EQ] = ACTIONS(2396),
    [anon_sym_QMARK_QMARK] = ACTIONS(2396),
    [anon_sym_instanceof] = ACTIONS(2396),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_void] = ACTIONS(2394),
    [anon_sym_delete] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2394),
    [sym_number] = ACTIONS(2394),
    [sym_private_property_identifier] = ACTIONS(2394),
    [sym_this] = ACTIONS(2394),
    [sym_super] = ACTIONS(2394),
    [sym_true] = ACTIONS(2394),
    [sym_false] = ACTIONS(2394),
    [sym_null] = ACTIONS(2394),
    [sym_undefined] = ACTIONS(2394),
    [anon_sym_AT] = ACTIONS(2394),
    [anon_sym_static] = ACTIONS(2394),
    [anon_sym_readonly] = ACTIONS(2394),
    [anon_sym_get] = ACTIONS(2394),
    [anon_sym_set] = ACTIONS(2394),
    [anon_sym_declare] = ACTIONS(2394),
    [anon_sym_public] = ACTIONS(2394),
    [anon_sym_private] = ACTIONS(2394),
    [anon_sym_protected] = ACTIONS(2394),
    [anon_sym_override] = ACTIONS(2394),
    [anon_sym_module] = ACTIONS(2394),
    [anon_sym_any] = ACTIONS(2394),
    [anon_sym_number] = ACTIONS(2394),
    [anon_sym_boolean] = ACTIONS(2394),
    [anon_sym_string] = ACTIONS(2394),
    [anon_sym_symbol] = ACTIONS(2394),
    [anon_sym_object] = ACTIONS(2394),
    [anon_sym_property] = ACTIONS(2394),
    [anon_sym_signal] = ACTIONS(2394),
    [anon_sym_on] = ACTIONS(2394),
    [anon_sym_required] = ACTIONS(2394),
    [anon_sym_component] = ACTIONS(2394),
    [anon_sym_abstract] = ACTIONS(2394),
    [anon_sym_satisfies] = ACTIONS(2396),
    [anon_sym_interface] = ACTIONS(2394),
    [anon_sym_enum] = ACTIONS(2394),
    [sym__automatic_semicolon] = ACTIONS(2600),
    [sym__ternary_qmark] = ACTIONS(2400),
    [sym_html_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(529),
    [sym_empty_statement] = STATE(529),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2980),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7738),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(452),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_import] = STATE(5071),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3083),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(453),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym__type_query_member_expression] = STATE(4512),
    [sym__type_query_subscript_expression] = STATE(4513),
    [sym__type_query_call_expression] = STATE(4584),
    [sym__type_query_instantiation_expression] = STATE(4630),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2602),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_comment] = STATE(454),
    [sym_identifier] = ACTIONS(2354),
    [anon_sym_export] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_type] = ACTIONS(2354),
    [anon_sym_as] = ACTIONS(2356),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2354),
    [anon_sym_COMMA] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(2354),
    [anon_sym_typeof] = ACTIONS(2354),
    [anon_sym_import] = ACTIONS(2354),
    [anon_sym_from] = ACTIONS(2354),
    [anon_sym_with] = ACTIONS(2354),
    [anon_sym_var] = ACTIONS(2354),
    [anon_sym_let] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2354),
    [anon_sym_else] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_LPAREN] = ACTIONS(2354),
    [anon_sym_await] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_of] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_debugger] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2354),
    [anon_sym_yield] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_LTtemplate_GT] = ACTIONS(2354),
    [anon_sym_GT] = ACTIONS(2356),
    [anon_sym_DOT] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2354),
    [anon_sym_SQUOTE] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_async] = ACTIONS(2354),
    [anon_sym_function] = ACTIONS(2354),
    [anon_sym_QMARK_DOT] = ACTIONS(2356),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_PIPE_PIPE] = ACTIONS(2356),
    [anon_sym_GT_GT] = ACTIONS(2356),
    [anon_sym_GT_GT_GT] = ACTIONS(2356),
    [anon_sym_LT_LT] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2356),
    [anon_sym_PIPE] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_SLASH] = ACTIONS(2354),
    [anon_sym_PERCENT] = ACTIONS(2356),
    [anon_sym_STAR_STAR] = ACTIONS(2356),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_LT_EQ] = ACTIONS(2356),
    [anon_sym_EQ_EQ] = ACTIONS(2356),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2356),
    [anon_sym_BANG_EQ] = ACTIONS(2356),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2356),
    [anon_sym_GT_EQ] = ACTIONS(2356),
    [anon_sym_QMARK_QMARK] = ACTIONS(2356),
    [anon_sym_instanceof] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_void] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_PLUS_PLUS] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2354),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2354),
    [sym_number] = ACTIONS(2354),
    [sym_private_property_identifier] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [sym_super] = ACTIONS(2354),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [sym_null] = ACTIONS(2354),
    [sym_undefined] = ACTIONS(2354),
    [anon_sym_AT] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_readonly] = ACTIONS(2354),
    [anon_sym_get] = ACTIONS(2354),
    [anon_sym_set] = ACTIONS(2354),
    [anon_sym_declare] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_override] = ACTIONS(2354),
    [anon_sym_module] = ACTIONS(2354),
    [anon_sym_any] = ACTIONS(2354),
    [anon_sym_number] = ACTIONS(2354),
    [anon_sym_boolean] = ACTIONS(2354),
    [anon_sym_string] = ACTIONS(2354),
    [anon_sym_symbol] = ACTIONS(2354),
    [anon_sym_object] = ACTIONS(2354),
    [anon_sym_property] = ACTIONS(2354),
    [anon_sym_signal] = ACTIONS(2354),
    [anon_sym_on] = ACTIONS(2354),
    [anon_sym_required] = ACTIONS(2354),
    [anon_sym_component] = ACTIONS(2354),
    [anon_sym_abstract] = ACTIONS(2354),
    [anon_sym_satisfies] = ACTIONS(2356),
    [anon_sym_interface] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [sym__automatic_semicolon] = ACTIONS(2604),
    [sym__ternary_qmark] = ACTIONS(2360),
    [sym_html_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_comment] = STATE(455),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_type] = ACTIONS(2458),
    [anon_sym_as] = ACTIONS(2460),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_COMMA] = ACTIONS(2460),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_typeof] = ACTIONS(2458),
    [anon_sym_import] = ACTIONS(2458),
    [anon_sym_from] = ACTIONS(2458),
    [anon_sym_with] = ACTIONS(2458),
    [anon_sym_var] = ACTIONS(2458),
    [anon_sym_let] = ACTIONS(2458),
    [anon_sym_const] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_else] = ACTIONS(2458),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_switch] = ACTIONS(2458),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_LPAREN] = ACTIONS(2458),
    [anon_sym_await] = ACTIONS(2458),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_of] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(2458),
    [anon_sym_do] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2458),
    [anon_sym_break] = ACTIONS(2458),
    [anon_sym_continue] = ACTIONS(2458),
    [anon_sym_debugger] = ACTIONS(2458),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym_yield] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_LTtemplate_GT] = ACTIONS(2458),
    [anon_sym_GT] = ACTIONS(2460),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_class] = ACTIONS(2458),
    [anon_sym_async] = ACTIONS(2458),
    [anon_sym_function] = ACTIONS(2458),
    [anon_sym_QMARK_DOT] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_using] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_GT_GT] = ACTIONS(2460),
    [anon_sym_GT_GT_GT] = ACTIONS(2460),
    [anon_sym_LT_LT] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_CARET] = ACTIONS(2460),
    [anon_sym_PIPE] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_SLASH] = ACTIONS(2458),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_STAR_STAR] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2458),
    [anon_sym_LT_EQ] = ACTIONS(2460),
    [anon_sym_EQ_EQ] = ACTIONS(2460),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2460),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2460),
    [anon_sym_GT_EQ] = ACTIONS(2460),
    [anon_sym_QMARK_QMARK] = ACTIONS(2460),
    [anon_sym_instanceof] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_void] = ACTIONS(2458),
    [anon_sym_delete] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2458),
    [sym_number] = ACTIONS(2458),
    [sym_private_property_identifier] = ACTIONS(2458),
    [sym_this] = ACTIONS(2458),
    [sym_super] = ACTIONS(2458),
    [sym_true] = ACTIONS(2458),
    [sym_false] = ACTIONS(2458),
    [sym_null] = ACTIONS(2458),
    [sym_undefined] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_readonly] = ACTIONS(2458),
    [anon_sym_get] = ACTIONS(2458),
    [anon_sym_set] = ACTIONS(2458),
    [anon_sym_declare] = ACTIONS(2458),
    [anon_sym_public] = ACTIONS(2458),
    [anon_sym_private] = ACTIONS(2458),
    [anon_sym_protected] = ACTIONS(2458),
    [anon_sym_override] = ACTIONS(2458),
    [anon_sym_module] = ACTIONS(2458),
    [anon_sym_any] = ACTIONS(2458),
    [anon_sym_number] = ACTIONS(2458),
    [anon_sym_boolean] = ACTIONS(2458),
    [anon_sym_string] = ACTIONS(2458),
    [anon_sym_symbol] = ACTIONS(2458),
    [anon_sym_object] = ACTIONS(2458),
    [anon_sym_property] = ACTIONS(2458),
    [anon_sym_signal] = ACTIONS(2458),
    [anon_sym_on] = ACTIONS(2458),
    [anon_sym_required] = ACTIONS(2458),
    [anon_sym_component] = ACTIONS(2458),
    [anon_sym_abstract] = ACTIONS(2458),
    [anon_sym_satisfies] = ACTIONS(2460),
    [anon_sym_interface] = ACTIONS(2458),
    [anon_sym_enum] = ACTIONS(2458),
    [sym__automatic_semicolon] = ACTIONS(2606),
    [sym__ternary_qmark] = ACTIONS(2464),
    [sym_html_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_comment] = STATE(456),
    [sym_identifier] = ACTIONS(2374),
    [anon_sym_export] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_type] = ACTIONS(2374),
    [anon_sym_as] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_COMMA] = ACTIONS(2376),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [anon_sym_typeof] = ACTIONS(2374),
    [anon_sym_import] = ACTIONS(2374),
    [anon_sym_from] = ACTIONS(2374),
    [anon_sym_with] = ACTIONS(2374),
    [anon_sym_var] = ACTIONS(2374),
    [anon_sym_let] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_else] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [anon_sym_await] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_of] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_debugger] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym_yield] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_LTtemplate_GT] = ACTIONS(2374),
    [anon_sym_GT] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_async] = ACTIONS(2374),
    [anon_sym_function] = ACTIONS(2374),
    [anon_sym_QMARK_DOT] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_GT_GT] = ACTIONS(2376),
    [anon_sym_GT_GT_GT] = ACTIONS(2376),
    [anon_sym_LT_LT] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_CARET] = ACTIONS(2376),
    [anon_sym_PIPE] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_SLASH] = ACTIONS(2374),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_STAR_STAR] = ACTIONS(2376),
    [anon_sym_LT] = ACTIONS(2374),
    [anon_sym_LT_EQ] = ACTIONS(2376),
    [anon_sym_EQ_EQ] = ACTIONS(2376),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2376),
    [anon_sym_GT_EQ] = ACTIONS(2376),
    [anon_sym_QMARK_QMARK] = ACTIONS(2376),
    [anon_sym_instanceof] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_void] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2374),
    [sym_number] = ACTIONS(2374),
    [sym_private_property_identifier] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [sym_super] = ACTIONS(2374),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [sym_null] = ACTIONS(2374),
    [sym_undefined] = ACTIONS(2374),
    [anon_sym_AT] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_readonly] = ACTIONS(2374),
    [anon_sym_get] = ACTIONS(2374),
    [anon_sym_set] = ACTIONS(2374),
    [anon_sym_declare] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_override] = ACTIONS(2374),
    [anon_sym_module] = ACTIONS(2374),
    [anon_sym_any] = ACTIONS(2374),
    [anon_sym_number] = ACTIONS(2374),
    [anon_sym_boolean] = ACTIONS(2374),
    [anon_sym_string] = ACTIONS(2374),
    [anon_sym_symbol] = ACTIONS(2374),
    [anon_sym_object] = ACTIONS(2374),
    [anon_sym_property] = ACTIONS(2374),
    [anon_sym_signal] = ACTIONS(2374),
    [anon_sym_on] = ACTIONS(2374),
    [anon_sym_required] = ACTIONS(2374),
    [anon_sym_component] = ACTIONS(2374),
    [anon_sym_abstract] = ACTIONS(2374),
    [anon_sym_satisfies] = ACTIONS(2376),
    [anon_sym_interface] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [sym__automatic_semicolon] = ACTIONS(2608),
    [sym__ternary_qmark] = ACTIONS(2380),
    [sym_html_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_comment] = STATE(457),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_export] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(128),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2586),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_typeof] = ACTIONS(2586),
    [anon_sym_import] = ACTIONS(2586),
    [anon_sym_from] = ACTIONS(2586),
    [anon_sym_let] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(2586),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_await] = ACTIONS(2586),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2586),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_yield] = ACTIONS(2586),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym_LTtemplate_GT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_class] = ACTIONS(2586),
    [anon_sym_async] = ACTIONS(2586),
    [anon_sym_function] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2586),
    [anon_sym_using] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2586),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_void] = ACTIONS(2586),
    [anon_sym_delete] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2586),
    [sym_number] = ACTIONS(2586),
    [sym_private_property_identifier] = ACTIONS(2586),
    [sym_this] = ACTIONS(2586),
    [sym_super] = ACTIONS(2586),
    [sym_true] = ACTIONS(2586),
    [sym_false] = ACTIONS(2586),
    [sym_null] = ACTIONS(2586),
    [sym_undefined] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_readonly] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_declare] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_any] = ACTIONS(2586),
    [anon_sym_number] = ACTIONS(2586),
    [anon_sym_boolean] = ACTIONS(2586),
    [anon_sym_string] = ACTIONS(2586),
    [anon_sym_symbol] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_property] = ACTIONS(2586),
    [anon_sym_signal] = ACTIONS(2586),
    [anon_sym_on] = ACTIONS(2586),
    [anon_sym_required] = ACTIONS(2586),
    [anon_sym_component] = ACTIONS(2586),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_comment] = STATE(458),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_type] = ACTIONS(2438),
    [anon_sym_as] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_typeof] = ACTIONS(2438),
    [anon_sym_import] = ACTIONS(2438),
    [anon_sym_from] = ACTIONS(2438),
    [anon_sym_with] = ACTIONS(2438),
    [anon_sym_var] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_else] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_await] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_of] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_debugger] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LTtemplate_GT] = ACTIONS(2438),
    [anon_sym_GT] = ACTIONS(2438),
    [anon_sym_DOT] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_async] = ACTIONS(2438),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_QMARK_DOT] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_PIPE_PIPE] = ACTIONS(2438),
    [anon_sym_GT_GT] = ACTIONS(2438),
    [anon_sym_GT_GT_GT] = ACTIONS(2438),
    [anon_sym_LT_LT] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_PIPE] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_SLASH] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2438),
    [anon_sym_STAR_STAR] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2438),
    [anon_sym_LT_EQ] = ACTIONS(2438),
    [anon_sym_EQ_EQ] = ACTIONS(2438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2438),
    [anon_sym_BANG_EQ] = ACTIONS(2438),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2438),
    [anon_sym_GT_EQ] = ACTIONS(2438),
    [anon_sym_QMARK_QMARK] = ACTIONS(2438),
    [anon_sym_instanceof] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_void] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2438),
    [sym_number] = ACTIONS(2438),
    [sym_private_property_identifier] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [sym_super] = ACTIONS(2438),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [sym_null] = ACTIONS(2438),
    [sym_undefined] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_readonly] = ACTIONS(2438),
    [anon_sym_get] = ACTIONS(2438),
    [anon_sym_set] = ACTIONS(2438),
    [anon_sym_declare] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_override] = ACTIONS(2438),
    [anon_sym_module] = ACTIONS(2438),
    [anon_sym_any] = ACTIONS(2438),
    [anon_sym_number] = ACTIONS(2438),
    [anon_sym_boolean] = ACTIONS(2438),
    [anon_sym_string] = ACTIONS(2438),
    [anon_sym_symbol] = ACTIONS(2438),
    [anon_sym_object] = ACTIONS(2438),
    [anon_sym_property] = ACTIONS(2438),
    [anon_sym_signal] = ACTIONS(2438),
    [anon_sym_on] = ACTIONS(2438),
    [anon_sym_required] = ACTIONS(2438),
    [anon_sym_component] = ACTIONS(2438),
    [anon_sym_abstract] = ACTIONS(2438),
    [anon_sym_satisfies] = ACTIONS(2438),
    [anon_sym_interface] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [sym__automatic_semicolon] = ACTIONS(2440),
    [sym__ternary_qmark] = ACTIONS(2440),
    [sym_html_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_comment] = STATE(459),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_export] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_as] = ACTIONS(2452),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_typeof] = ACTIONS(2450),
    [anon_sym_import] = ACTIONS(2450),
    [anon_sym_from] = ACTIONS(2450),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_var] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_const] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_else] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_switch] = ACTIONS(2450),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_await] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_of] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_break] = ACTIONS(2450),
    [anon_sym_continue] = ACTIONS(2450),
    [anon_sym_debugger] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_throw] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LTtemplate_GT] = ACTIONS(2450),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_class] = ACTIONS(2450),
    [anon_sym_async] = ACTIONS(2450),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_QMARK_DOT] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_using] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_PIPE_PIPE] = ACTIONS(2452),
    [anon_sym_GT_GT] = ACTIONS(2452),
    [anon_sym_GT_GT_GT] = ACTIONS(2452),
    [anon_sym_LT_LT] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_CARET] = ACTIONS(2452),
    [anon_sym_PIPE] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2452),
    [anon_sym_STAR_STAR] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2452),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_QMARK_QMARK] = ACTIONS(2452),
    [anon_sym_instanceof] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_void] = ACTIONS(2450),
    [anon_sym_delete] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2450),
    [sym_number] = ACTIONS(2450),
    [sym_private_property_identifier] = ACTIONS(2450),
    [sym_this] = ACTIONS(2450),
    [sym_super] = ACTIONS(2450),
    [sym_true] = ACTIONS(2450),
    [sym_false] = ACTIONS(2450),
    [sym_null] = ACTIONS(2450),
    [sym_undefined] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2450),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_readonly] = ACTIONS(2450),
    [anon_sym_get] = ACTIONS(2450),
    [anon_sym_set] = ACTIONS(2450),
    [anon_sym_declare] = ACTIONS(2450),
    [anon_sym_public] = ACTIONS(2450),
    [anon_sym_private] = ACTIONS(2450),
    [anon_sym_protected] = ACTIONS(2450),
    [anon_sym_override] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_any] = ACTIONS(2450),
    [anon_sym_number] = ACTIONS(2450),
    [anon_sym_boolean] = ACTIONS(2450),
    [anon_sym_string] = ACTIONS(2450),
    [anon_sym_symbol] = ACTIONS(2450),
    [anon_sym_object] = ACTIONS(2450),
    [anon_sym_property] = ACTIONS(2450),
    [anon_sym_signal] = ACTIONS(2450),
    [anon_sym_on] = ACTIONS(2450),
    [anon_sym_required] = ACTIONS(2450),
    [anon_sym_component] = ACTIONS(2450),
    [anon_sym_abstract] = ACTIONS(2450),
    [anon_sym_satisfies] = ACTIONS(2452),
    [anon_sym_interface] = ACTIONS(2450),
    [anon_sym_enum] = ACTIONS(2450),
    [sym__automatic_semicolon] = ACTIONS(2610),
    [sym__ternary_qmark] = ACTIONS(2456),
    [sym_html_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(460),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4642),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(1583),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_EQ_GT] = ACTIONS(1571),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_assignment_pattern] = STATE(7619),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(461),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6661),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(21),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_comment] = STATE(462),
    [sym_identifier] = ACTIONS(2402),
    [anon_sym_export] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_type] = ACTIONS(2402),
    [anon_sym_as] = ACTIONS(2404),
    [anon_sym_namespace] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_COMMA] = ACTIONS(2404),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [anon_sym_typeof] = ACTIONS(2402),
    [anon_sym_import] = ACTIONS(2402),
    [anon_sym_from] = ACTIONS(2402),
    [anon_sym_with] = ACTIONS(2402),
    [anon_sym_var] = ACTIONS(2402),
    [anon_sym_let] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2402),
    [anon_sym_else] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(2402),
    [anon_sym_await] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2404),
    [anon_sym_of] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_try] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_debugger] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym_yield] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_LTtemplate_GT] = ACTIONS(2402),
    [anon_sym_GT] = ACTIONS(2404),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2402),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_async] = ACTIONS(2402),
    [anon_sym_function] = ACTIONS(2402),
    [anon_sym_QMARK_DOT] = ACTIONS(2404),
    [anon_sym_new] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_PIPE_PIPE] = ACTIONS(2404),
    [anon_sym_GT_GT] = ACTIONS(2404),
    [anon_sym_GT_GT_GT] = ACTIONS(2404),
    [anon_sym_LT_LT] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2404),
    [anon_sym_PIPE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_SLASH] = ACTIONS(2402),
    [anon_sym_PERCENT] = ACTIONS(2404),
    [anon_sym_STAR_STAR] = ACTIONS(2404),
    [anon_sym_LT] = ACTIONS(2402),
    [anon_sym_LT_EQ] = ACTIONS(2404),
    [anon_sym_EQ_EQ] = ACTIONS(2404),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2404),
    [anon_sym_BANG_EQ] = ACTIONS(2404),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2404),
    [anon_sym_GT_EQ] = ACTIONS(2404),
    [anon_sym_QMARK_QMARK] = ACTIONS(2404),
    [anon_sym_instanceof] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_void] = ACTIONS(2402),
    [anon_sym_delete] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2402),
    [sym_number] = ACTIONS(2402),
    [sym_private_property_identifier] = ACTIONS(2402),
    [sym_this] = ACTIONS(2402),
    [sym_super] = ACTIONS(2402),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [sym_null] = ACTIONS(2402),
    [sym_undefined] = ACTIONS(2402),
    [anon_sym_AT] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_readonly] = ACTIONS(2402),
    [anon_sym_get] = ACTIONS(2402),
    [anon_sym_set] = ACTIONS(2402),
    [anon_sym_declare] = ACTIONS(2402),
    [anon_sym_public] = ACTIONS(2402),
    [anon_sym_private] = ACTIONS(2402),
    [anon_sym_protected] = ACTIONS(2402),
    [anon_sym_override] = ACTIONS(2402),
    [anon_sym_module] = ACTIONS(2402),
    [anon_sym_any] = ACTIONS(2402),
    [anon_sym_number] = ACTIONS(2402),
    [anon_sym_boolean] = ACTIONS(2402),
    [anon_sym_string] = ACTIONS(2402),
    [anon_sym_symbol] = ACTIONS(2402),
    [anon_sym_object] = ACTIONS(2402),
    [anon_sym_property] = ACTIONS(2402),
    [anon_sym_signal] = ACTIONS(2402),
    [anon_sym_on] = ACTIONS(2402),
    [anon_sym_required] = ACTIONS(2402),
    [anon_sym_component] = ACTIONS(2402),
    [anon_sym_abstract] = ACTIONS(2402),
    [anon_sym_satisfies] = ACTIONS(2404),
    [anon_sym_interface] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [sym__automatic_semicolon] = ACTIONS(2612),
    [sym__ternary_qmark] = ACTIONS(2408),
    [sym_html_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_statement_block] = STATE(522),
    [sym_comment] = STATE(463),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_as] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_COMMA] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_in] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(2297),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_QMARK_DOT] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_AMP_AMP] = ACTIONS(2297),
    [anon_sym_PIPE_PIPE] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_GT_GT_GT] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_AMP] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2297),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_STAR_STAR] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_QMARK_QMARK] = ACTIONS(2297),
    [anon_sym_instanceof] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_satisfies] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_comment] = STATE(464),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_export] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2588),
    [anon_sym_EQ] = ACTIONS(128),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2588),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_typeof] = ACTIONS(2588),
    [anon_sym_import] = ACTIONS(2588),
    [anon_sym_from] = ACTIONS(2588),
    [anon_sym_let] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(2588),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_await] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2588),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_yield] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_LTtemplate_GT] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [anon_sym_class] = ACTIONS(2588),
    [anon_sym_async] = ACTIONS(2588),
    [anon_sym_function] = ACTIONS(2588),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2588),
    [anon_sym_using] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_SLASH] = ACTIONS(2588),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2588),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_TILDE] = ACTIONS(2588),
    [anon_sym_void] = ACTIONS(2588),
    [anon_sym_delete] = ACTIONS(2588),
    [anon_sym_PLUS_PLUS] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2588),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2588),
    [sym_number] = ACTIONS(2588),
    [sym_private_property_identifier] = ACTIONS(2588),
    [sym_this] = ACTIONS(2588),
    [sym_super] = ACTIONS(2588),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [sym_null] = ACTIONS(2588),
    [sym_undefined] = ACTIONS(2588),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_readonly] = ACTIONS(2588),
    [anon_sym_get] = ACTIONS(2588),
    [anon_sym_set] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_declare] = ACTIONS(2588),
    [anon_sym_public] = ACTIONS(2588),
    [anon_sym_private] = ACTIONS(2588),
    [anon_sym_protected] = ACTIONS(2588),
    [anon_sym_override] = ACTIONS(2588),
    [anon_sym_module] = ACTIONS(2588),
    [anon_sym_any] = ACTIONS(2588),
    [anon_sym_number] = ACTIONS(2588),
    [anon_sym_boolean] = ACTIONS(2588),
    [anon_sym_string] = ACTIONS(2588),
    [anon_sym_symbol] = ACTIONS(2588),
    [anon_sym_object] = ACTIONS(2588),
    [anon_sym_property] = ACTIONS(2588),
    [anon_sym_signal] = ACTIONS(2588),
    [anon_sym_on] = ACTIONS(2588),
    [anon_sym_required] = ACTIONS(2588),
    [anon_sym_component] = ACTIONS(2588),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_comment] = STATE(465),
    [sym_identifier] = ACTIONS(2382),
    [anon_sym_export] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_type] = ACTIONS(2382),
    [anon_sym_as] = ACTIONS(2384),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_COMMA] = ACTIONS(2384),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_typeof] = ACTIONS(2382),
    [anon_sym_import] = ACTIONS(2382),
    [anon_sym_from] = ACTIONS(2382),
    [anon_sym_with] = ACTIONS(2382),
    [anon_sym_var] = ACTIONS(2382),
    [anon_sym_let] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_else] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_switch] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_await] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_of] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2382),
    [anon_sym_break] = ACTIONS(2382),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_debugger] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2382),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_LTtemplate_GT] = ACTIONS(2382),
    [anon_sym_GT] = ACTIONS(2384),
    [anon_sym_DOT] = ACTIONS(2384),
    [anon_sym_DQUOTE] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2382),
    [anon_sym_QMARK_DOT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_PIPE_PIPE] = ACTIONS(2384),
    [anon_sym_GT_GT] = ACTIONS(2384),
    [anon_sym_GT_GT_GT] = ACTIONS(2384),
    [anon_sym_LT_LT] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_CARET] = ACTIONS(2384),
    [anon_sym_PIPE] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_SLASH] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2384),
    [anon_sym_STAR_STAR] = ACTIONS(2384),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2384),
    [anon_sym_EQ_EQ] = ACTIONS(2384),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2384),
    [anon_sym_BANG_EQ] = ACTIONS(2384),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2384),
    [anon_sym_GT_EQ] = ACTIONS(2384),
    [anon_sym_QMARK_QMARK] = ACTIONS(2384),
    [anon_sym_instanceof] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_void] = ACTIONS(2382),
    [anon_sym_delete] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2382),
    [sym_number] = ACTIONS(2382),
    [sym_private_property_identifier] = ACTIONS(2382),
    [sym_this] = ACTIONS(2382),
    [sym_super] = ACTIONS(2382),
    [sym_true] = ACTIONS(2382),
    [sym_false] = ACTIONS(2382),
    [sym_null] = ACTIONS(2382),
    [sym_undefined] = ACTIONS(2382),
    [anon_sym_AT] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_readonly] = ACTIONS(2382),
    [anon_sym_get] = ACTIONS(2382),
    [anon_sym_set] = ACTIONS(2382),
    [anon_sym_declare] = ACTIONS(2382),
    [anon_sym_public] = ACTIONS(2382),
    [anon_sym_private] = ACTIONS(2382),
    [anon_sym_protected] = ACTIONS(2382),
    [anon_sym_override] = ACTIONS(2382),
    [anon_sym_module] = ACTIONS(2382),
    [anon_sym_any] = ACTIONS(2382),
    [anon_sym_number] = ACTIONS(2382),
    [anon_sym_boolean] = ACTIONS(2382),
    [anon_sym_string] = ACTIONS(2382),
    [anon_sym_symbol] = ACTIONS(2382),
    [anon_sym_object] = ACTIONS(2382),
    [anon_sym_property] = ACTIONS(2382),
    [anon_sym_signal] = ACTIONS(2382),
    [anon_sym_on] = ACTIONS(2382),
    [anon_sym_required] = ACTIONS(2382),
    [anon_sym_component] = ACTIONS(2382),
    [anon_sym_abstract] = ACTIONS(2382),
    [anon_sym_satisfies] = ACTIONS(2384),
    [anon_sym_interface] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [sym__automatic_semicolon] = ACTIONS(2614),
    [sym__ternary_qmark] = ACTIONS(2388),
    [sym_html_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_comment] = STATE(466),
    [sym_identifier] = ACTIONS(2342),
    [anon_sym_export] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_type] = ACTIONS(2342),
    [anon_sym_as] = ACTIONS(2344),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(2342),
    [anon_sym_typeof] = ACTIONS(2342),
    [anon_sym_import] = ACTIONS(2342),
    [anon_sym_from] = ACTIONS(2342),
    [anon_sym_with] = ACTIONS(2342),
    [anon_sym_var] = ACTIONS(2342),
    [anon_sym_let] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_BANG] = ACTIONS(2342),
    [anon_sym_else] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(2342),
    [anon_sym_await] = ACTIONS(2342),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_of] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_debugger] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2342),
    [anon_sym_yield] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_LTtemplate_GT] = ACTIONS(2342),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_DOT] = ACTIONS(2344),
    [anon_sym_DQUOTE] = ACTIONS(2342),
    [anon_sym_SQUOTE] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_async] = ACTIONS(2342),
    [anon_sym_function] = ACTIONS(2342),
    [anon_sym_QMARK_DOT] = ACTIONS(2344),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_using] = ACTIONS(2342),
    [anon_sym_AMP_AMP] = ACTIONS(2344),
    [anon_sym_PIPE_PIPE] = ACTIONS(2344),
    [anon_sym_GT_GT] = ACTIONS(2344),
    [anon_sym_GT_GT_GT] = ACTIONS(2344),
    [anon_sym_LT_LT] = ACTIONS(2344),
    [anon_sym_AMP] = ACTIONS(2344),
    [anon_sym_CARET] = ACTIONS(2344),
    [anon_sym_PIPE] = ACTIONS(2344),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_SLASH] = ACTIONS(2342),
    [anon_sym_PERCENT] = ACTIONS(2344),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_LT] = ACTIONS(2342),
    [anon_sym_LT_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2344),
    [anon_sym_GT_EQ] = ACTIONS(2344),
    [anon_sym_QMARK_QMARK] = ACTIONS(2344),
    [anon_sym_instanceof] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2342),
    [anon_sym_void] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2342),
    [sym_number] = ACTIONS(2342),
    [sym_private_property_identifier] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [sym_super] = ACTIONS(2342),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [sym_null] = ACTIONS(2342),
    [sym_undefined] = ACTIONS(2342),
    [anon_sym_AT] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_readonly] = ACTIONS(2342),
    [anon_sym_get] = ACTIONS(2342),
    [anon_sym_set] = ACTIONS(2342),
    [anon_sym_declare] = ACTIONS(2342),
    [anon_sym_public] = ACTIONS(2342),
    [anon_sym_private] = ACTIONS(2342),
    [anon_sym_protected] = ACTIONS(2342),
    [anon_sym_override] = ACTIONS(2342),
    [anon_sym_module] = ACTIONS(2342),
    [anon_sym_any] = ACTIONS(2342),
    [anon_sym_number] = ACTIONS(2342),
    [anon_sym_boolean] = ACTIONS(2342),
    [anon_sym_string] = ACTIONS(2342),
    [anon_sym_symbol] = ACTIONS(2342),
    [anon_sym_object] = ACTIONS(2342),
    [anon_sym_property] = ACTIONS(2342),
    [anon_sym_signal] = ACTIONS(2342),
    [anon_sym_on] = ACTIONS(2342),
    [anon_sym_required] = ACTIONS(2342),
    [anon_sym_component] = ACTIONS(2342),
    [anon_sym_abstract] = ACTIONS(2342),
    [anon_sym_satisfies] = ACTIONS(2344),
    [anon_sym_interface] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [sym__automatic_semicolon] = ACTIONS(2616),
    [sym__ternary_qmark] = ACTIONS(2348),
    [sym_html_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_import] = STATE(4974),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3349),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(467),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym__type_query_member_expression] = STATE(4512),
    [sym__type_query_subscript_expression] = STATE(4513),
    [sym__type_query_call_expression] = STATE(4584),
    [sym__type_query_instantiation_expression] = STATE(4630),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2618),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(527),
    [sym_empty_statement] = STATE(527),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2980),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7738),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(468),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_import] = STATE(5028),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2973),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(469),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym__type_query_member_expression] = STATE(4512),
    [sym__type_query_subscript_expression] = STATE(4513),
    [sym__type_query_call_expression] = STATE(4584),
    [sym__type_query_instantiation_expression] = STATE(4630),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_comment] = STATE(470),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_as] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_in] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_GT] = ACTIONS(2332),
    [anon_sym_DOT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_QMARK_DOT] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_PIPE_PIPE] = ACTIONS(2332),
    [anon_sym_GT_GT] = ACTIONS(2332),
    [anon_sym_GT_GT_GT] = ACTIONS(2332),
    [anon_sym_LT_LT] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_CARET] = ACTIONS(2332),
    [anon_sym_PIPE] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_PERCENT] = ACTIONS(2332),
    [anon_sym_STAR_STAR] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_LT_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2332),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_QMARK_QMARK] = ACTIONS(2332),
    [anon_sym_instanceof] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_satisfies] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(2622),
    [sym__ternary_qmark] = ACTIONS(2336),
    [sym_html_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_import] = STATE(5080),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3775),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(471),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym__type_query_member_expression] = STATE(4512),
    [sym__type_query_subscript_expression] = STATE(4513),
    [sym__type_query_call_expression] = STATE(4584),
    [sym__type_query_instantiation_expression] = STATE(4630),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2624),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_import] = STATE(5028),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3265),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(472),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym__type_query_member_expression] = STATE(4512),
    [sym__type_query_subscript_expression] = STATE(4513),
    [sym__type_query_call_expression] = STATE(4584),
    [sym__type_query_instantiation_expression] = STATE(4630),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2626),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_import] = STATE(5071),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3055),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(473),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym__type_query_member_expression] = STATE(4512),
    [sym__type_query_subscript_expression] = STATE(4513),
    [sym__type_query_call_expression] = STATE(4584),
    [sym__type_query_instantiation_expression] = STATE(4630),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(2628),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(533),
    [sym_empty_statement] = STATE(533),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2980),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7738),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(474),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(475),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6269),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_override_modifier] = STATE(510),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(2630),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2632),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(1402),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_import] = STATE(5080),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3567),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(476),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym__type_query_member_expression] = STATE(4512),
    [sym__type_query_subscript_expression] = STATE(4513),
    [sym__type_query_call_expression] = STATE(4584),
    [sym__type_query_instantiation_expression] = STATE(4630),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2634),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_import] = STATE(5028),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2973),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(477),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym__type_query_member_expression] = STATE(4512),
    [sym__type_query_subscript_expression] = STATE(4513),
    [sym__type_query_call_expression] = STATE(4584),
    [sym__type_query_instantiation_expression] = STATE(4630),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2636),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_comment] = STATE(478),
    [sym_identifier] = ACTIONS(2466),
    [anon_sym_export] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_type] = ACTIONS(2466),
    [anon_sym_as] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_COMMA] = ACTIONS(2468),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_typeof] = ACTIONS(2466),
    [anon_sym_import] = ACTIONS(2466),
    [anon_sym_from] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2466),
    [anon_sym_var] = ACTIONS(2466),
    [anon_sym_let] = ACTIONS(2466),
    [anon_sym_const] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_else] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_switch] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2466),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_of] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2466),
    [anon_sym_do] = ACTIONS(2466),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_break] = ACTIONS(2466),
    [anon_sym_continue] = ACTIONS(2466),
    [anon_sym_debugger] = ACTIONS(2466),
    [anon_sym_return] = ACTIONS(2466),
    [anon_sym_throw] = ACTIONS(2466),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2466),
    [anon_sym_LTtemplate_GT] = ACTIONS(2466),
    [anon_sym_GT] = ACTIONS(2468),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_class] = ACTIONS(2466),
    [anon_sym_async] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2466),
    [anon_sym_QMARK_DOT] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_using] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_GT_GT] = ACTIONS(2468),
    [anon_sym_GT_GT_GT] = ACTIONS(2468),
    [anon_sym_LT_LT] = ACTIONS(2468),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_CARET] = ACTIONS(2468),
    [anon_sym_PIPE] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_STAR_STAR] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2468),
    [anon_sym_EQ_EQ] = ACTIONS(2468),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2468),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2468),
    [anon_sym_GT_EQ] = ACTIONS(2468),
    [anon_sym_QMARK_QMARK] = ACTIONS(2468),
    [anon_sym_instanceof] = ACTIONS(2468),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_void] = ACTIONS(2466),
    [anon_sym_delete] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2466),
    [sym_number] = ACTIONS(2466),
    [sym_private_property_identifier] = ACTIONS(2466),
    [sym_this] = ACTIONS(2466),
    [sym_super] = ACTIONS(2466),
    [sym_true] = ACTIONS(2466),
    [sym_false] = ACTIONS(2466),
    [sym_null] = ACTIONS(2466),
    [sym_undefined] = ACTIONS(2466),
    [anon_sym_AT] = ACTIONS(2466),
    [anon_sym_static] = ACTIONS(2466),
    [anon_sym_readonly] = ACTIONS(2466),
    [anon_sym_get] = ACTIONS(2466),
    [anon_sym_set] = ACTIONS(2466),
    [anon_sym_declare] = ACTIONS(2466),
    [anon_sym_public] = ACTIONS(2466),
    [anon_sym_private] = ACTIONS(2466),
    [anon_sym_protected] = ACTIONS(2466),
    [anon_sym_override] = ACTIONS(2466),
    [anon_sym_module] = ACTIONS(2466),
    [anon_sym_any] = ACTIONS(2466),
    [anon_sym_number] = ACTIONS(2466),
    [anon_sym_boolean] = ACTIONS(2466),
    [anon_sym_string] = ACTIONS(2466),
    [anon_sym_symbol] = ACTIONS(2466),
    [anon_sym_object] = ACTIONS(2466),
    [anon_sym_property] = ACTIONS(2466),
    [anon_sym_signal] = ACTIONS(2466),
    [anon_sym_on] = ACTIONS(2466),
    [anon_sym_required] = ACTIONS(2466),
    [anon_sym_component] = ACTIONS(2466),
    [anon_sym_abstract] = ACTIONS(2466),
    [anon_sym_satisfies] = ACTIONS(2468),
    [anon_sym_interface] = ACTIONS(2466),
    [anon_sym_enum] = ACTIONS(2466),
    [sym__automatic_semicolon] = ACTIONS(2470),
    [sym__ternary_qmark] = ACTIONS(2470),
    [sym_html_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(535),
    [sym_empty_statement] = STATE(535),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2980),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7738),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(479),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_import] = STATE(5155),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3615),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(480),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym__type_query_member_expression] = STATE(4512),
    [sym__type_query_subscript_expression] = STATE(4513),
    [sym__type_query_call_expression] = STATE(4584),
    [sym__type_query_instantiation_expression] = STATE(4630),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2638),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(526),
    [sym_empty_statement] = STATE(526),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2980),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7738),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(481),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_comment] = STATE(482),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(2289),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_EQ] = ACTIONS(2291),
    [anon_sym_as] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_COMMA] = ACTIONS(2289),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_in] = ACTIONS(2289),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_GT] = ACTIONS(2289),
    [anon_sym_DOT] = ACTIONS(2289),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_QMARK_DOT] = ACTIONS(2289),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2289),
    [anon_sym_PIPE_PIPE] = ACTIONS(2289),
    [anon_sym_GT_GT] = ACTIONS(2289),
    [anon_sym_GT_GT_GT] = ACTIONS(2289),
    [anon_sym_LT_LT] = ACTIONS(2289),
    [anon_sym_AMP] = ACTIONS(2289),
    [anon_sym_CARET] = ACTIONS(2289),
    [anon_sym_PIPE] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_PERCENT] = ACTIONS(2289),
    [anon_sym_STAR_STAR] = ACTIONS(2289),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_LT_EQ] = ACTIONS(2289),
    [anon_sym_EQ_EQ] = ACTIONS(2289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2289),
    [anon_sym_BANG_EQ] = ACTIONS(2289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2289),
    [anon_sym_GT_EQ] = ACTIONS(2289),
    [anon_sym_QMARK_QMARK] = ACTIONS(2289),
    [anon_sym_instanceof] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_satisfies] = ACTIONS(2289),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(2640),
    [sym__ternary_qmark] = ACTIONS(2295),
    [sym_html_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(532),
    [sym_empty_statement] = STATE(532),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2980),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7738),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(483),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_import] = STATE(5160),
    [sym_expression_statement] = STATE(534),
    [sym_empty_statement] = STATE(534),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2980),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7738),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(484),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_import] = STATE(5080),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3775),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(485),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym__type_query_member_expression] = STATE(4512),
    [sym__type_query_subscript_expression] = STATE(4513),
    [sym__type_query_call_expression] = STATE(4584),
    [sym__type_query_instantiation_expression] = STATE(4630),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2642),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(486),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4642),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_EQ_GT] = ACTIONS(1489),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_statement_block] = STATE(522),
    [sym_comment] = STATE(487),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_as] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_COMMA] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_in] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(2644),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_QMARK_DOT] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_AMP_AMP] = ACTIONS(2297),
    [anon_sym_PIPE_PIPE] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_GT_GT_GT] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_AMP] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2297),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_STAR_STAR] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_QMARK_QMARK] = ACTIONS(2297),
    [anon_sym_instanceof] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_satisfies] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(488),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4642),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(489),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6117),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(1287),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2578),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_comment] = STATE(490),
    [sym_identifier] = ACTIONS(2478),
    [anon_sym_export] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_type] = ACTIONS(2478),
    [anon_sym_as] = ACTIONS(2480),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_COMMA] = ACTIONS(2480),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_typeof] = ACTIONS(2478),
    [anon_sym_import] = ACTIONS(2478),
    [anon_sym_from] = ACTIONS(2478),
    [anon_sym_with] = ACTIONS(2478),
    [anon_sym_var] = ACTIONS(2478),
    [anon_sym_let] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_LPAREN] = ACTIONS(2478),
    [anon_sym_await] = ACTIONS(2478),
    [anon_sym_in] = ACTIONS(2480),
    [anon_sym_of] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_debugger] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_LTtemplate_GT] = ACTIONS(2478),
    [anon_sym_GT] = ACTIONS(2480),
    [anon_sym_DOT] = ACTIONS(2480),
    [anon_sym_DQUOTE] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_async] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2478),
    [anon_sym_QMARK_DOT] = ACTIONS(2480),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_PIPE_PIPE] = ACTIONS(2480),
    [anon_sym_GT_GT] = ACTIONS(2480),
    [anon_sym_GT_GT_GT] = ACTIONS(2480),
    [anon_sym_LT_LT] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_CARET] = ACTIONS(2480),
    [anon_sym_PIPE] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_SLASH] = ACTIONS(2478),
    [anon_sym_PERCENT] = ACTIONS(2480),
    [anon_sym_STAR_STAR] = ACTIONS(2480),
    [anon_sym_LT] = ACTIONS(2478),
    [anon_sym_LT_EQ] = ACTIONS(2480),
    [anon_sym_EQ_EQ] = ACTIONS(2480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2480),
    [anon_sym_BANG_EQ] = ACTIONS(2480),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2480),
    [anon_sym_GT_EQ] = ACTIONS(2480),
    [anon_sym_QMARK_QMARK] = ACTIONS(2480),
    [anon_sym_instanceof] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2478),
    [anon_sym_void] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2478),
    [sym_number] = ACTIONS(2478),
    [sym_private_property_identifier] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
    [sym_super] = ACTIONS(2478),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [sym_null] = ACTIONS(2478),
    [sym_undefined] = ACTIONS(2478),
    [anon_sym_AT] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_readonly] = ACTIONS(2478),
    [anon_sym_get] = ACTIONS(2478),
    [anon_sym_set] = ACTIONS(2478),
    [anon_sym_declare] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_override] = ACTIONS(2478),
    [anon_sym_module] = ACTIONS(2478),
    [anon_sym_any] = ACTIONS(2478),
    [anon_sym_number] = ACTIONS(2478),
    [anon_sym_boolean] = ACTIONS(2478),
    [anon_sym_string] = ACTIONS(2478),
    [anon_sym_symbol] = ACTIONS(2478),
    [anon_sym_object] = ACTIONS(2478),
    [anon_sym_property] = ACTIONS(2478),
    [anon_sym_signal] = ACTIONS(2478),
    [anon_sym_on] = ACTIONS(2478),
    [anon_sym_required] = ACTIONS(2478),
    [anon_sym_component] = ACTIONS(2478),
    [anon_sym_abstract] = ACTIONS(2478),
    [anon_sym_satisfies] = ACTIONS(2480),
    [anon_sym_interface] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [sym__automatic_semicolon] = ACTIONS(2646),
    [sym__ternary_qmark] = ACTIONS(2484),
    [sym_html_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_comment] = STATE(491),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_export] = ACTIONS(2328),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2328),
    [anon_sym_as] = ACTIONS(2328),
    [anon_sym_namespace] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_COMMA] = ACTIONS(2328),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [anon_sym_typeof] = ACTIONS(2328),
    [anon_sym_import] = ACTIONS(2328),
    [anon_sym_from] = ACTIONS(2328),
    [anon_sym_with] = ACTIONS(2328),
    [anon_sym_var] = ACTIONS(2328),
    [anon_sym_let] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_if] = ACTIONS(2328),
    [anon_sym_switch] = ACTIONS(2328),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_in] = ACTIONS(2328),
    [anon_sym_of] = ACTIONS(2328),
    [anon_sym_while] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2328),
    [anon_sym_break] = ACTIONS(2328),
    [anon_sym_continue] = ACTIONS(2328),
    [anon_sym_debugger] = ACTIONS(2328),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym_yield] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_LTtemplate_GT] = ACTIONS(2328),
    [anon_sym_GT] = ACTIONS(2328),
    [anon_sym_DOT] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_class] = ACTIONS(2328),
    [anon_sym_async] = ACTIONS(2328),
    [anon_sym_function] = ACTIONS(2328),
    [anon_sym_QMARK_DOT] = ACTIONS(2328),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_using] = ACTIONS(2328),
    [anon_sym_AMP_AMP] = ACTIONS(2328),
    [anon_sym_PIPE_PIPE] = ACTIONS(2328),
    [anon_sym_GT_GT] = ACTIONS(2328),
    [anon_sym_GT_GT_GT] = ACTIONS(2328),
    [anon_sym_LT_LT] = ACTIONS(2328),
    [anon_sym_AMP] = ACTIONS(2328),
    [anon_sym_CARET] = ACTIONS(2328),
    [anon_sym_PIPE] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_PERCENT] = ACTIONS(2328),
    [anon_sym_STAR_STAR] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_QMARK_QMARK] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_void] = ACTIONS(2328),
    [anon_sym_delete] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2328),
    [sym_number] = ACTIONS(2328),
    [sym_private_property_identifier] = ACTIONS(2328),
    [sym_this] = ACTIONS(2328),
    [sym_super] = ACTIONS(2328),
    [sym_true] = ACTIONS(2328),
    [sym_false] = ACTIONS(2328),
    [sym_null] = ACTIONS(2328),
    [sym_undefined] = ACTIONS(2328),
    [anon_sym_AT] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2328),
    [anon_sym_readonly] = ACTIONS(2328),
    [anon_sym_get] = ACTIONS(2328),
    [anon_sym_set] = ACTIONS(2328),
    [anon_sym_declare] = ACTIONS(2328),
    [anon_sym_public] = ACTIONS(2328),
    [anon_sym_private] = ACTIONS(2328),
    [anon_sym_protected] = ACTIONS(2328),
    [anon_sym_override] = ACTIONS(2328),
    [anon_sym_module] = ACTIONS(2328),
    [anon_sym_any] = ACTIONS(2328),
    [anon_sym_number] = ACTIONS(2328),
    [anon_sym_boolean] = ACTIONS(2328),
    [anon_sym_string] = ACTIONS(2328),
    [anon_sym_symbol] = ACTIONS(2328),
    [anon_sym_object] = ACTIONS(2328),
    [anon_sym_property] = ACTIONS(2328),
    [anon_sym_signal] = ACTIONS(2328),
    [anon_sym_on] = ACTIONS(2328),
    [anon_sym_required] = ACTIONS(2328),
    [anon_sym_component] = ACTIONS(2328),
    [anon_sym_abstract] = ACTIONS(2328),
    [anon_sym_satisfies] = ACTIONS(2328),
    [anon_sym_interface] = ACTIONS(2328),
    [anon_sym_enum] = ACTIONS(2328),
    [sym__automatic_semicolon] = ACTIONS(2330),
    [sym__ternary_qmark] = ACTIONS(2330),
    [sym_html_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_comment] = STATE(492),
    [sym_identifier] = ACTIONS(2354),
    [anon_sym_export] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_type] = ACTIONS(2354),
    [anon_sym_as] = ACTIONS(2356),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2354),
    [anon_sym_COMMA] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(2354),
    [anon_sym_typeof] = ACTIONS(2354),
    [anon_sym_import] = ACTIONS(2354),
    [anon_sym_from] = ACTIONS(2354),
    [anon_sym_with] = ACTIONS(2354),
    [anon_sym_var] = ACTIONS(2354),
    [anon_sym_let] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_LPAREN] = ACTIONS(2354),
    [anon_sym_await] = ACTIONS(2354),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_of] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_debugger] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2354),
    [anon_sym_yield] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_LTtemplate_GT] = ACTIONS(2354),
    [anon_sym_GT] = ACTIONS(2356),
    [anon_sym_DOT] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2354),
    [anon_sym_SQUOTE] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_async] = ACTIONS(2354),
    [anon_sym_function] = ACTIONS(2354),
    [anon_sym_QMARK_DOT] = ACTIONS(2356),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_PIPE_PIPE] = ACTIONS(2356),
    [anon_sym_GT_GT] = ACTIONS(2356),
    [anon_sym_GT_GT_GT] = ACTIONS(2356),
    [anon_sym_LT_LT] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2356),
    [anon_sym_PIPE] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_SLASH] = ACTIONS(2354),
    [anon_sym_PERCENT] = ACTIONS(2356),
    [anon_sym_STAR_STAR] = ACTIONS(2356),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_LT_EQ] = ACTIONS(2356),
    [anon_sym_EQ_EQ] = ACTIONS(2356),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2356),
    [anon_sym_BANG_EQ] = ACTIONS(2356),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2356),
    [anon_sym_GT_EQ] = ACTIONS(2356),
    [anon_sym_QMARK_QMARK] = ACTIONS(2356),
    [anon_sym_instanceof] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_void] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_PLUS_PLUS] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2354),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2354),
    [sym_number] = ACTIONS(2354),
    [sym_private_property_identifier] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [sym_super] = ACTIONS(2354),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [sym_null] = ACTIONS(2354),
    [sym_undefined] = ACTIONS(2354),
    [anon_sym_AT] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_readonly] = ACTIONS(2354),
    [anon_sym_get] = ACTIONS(2354),
    [anon_sym_set] = ACTIONS(2354),
    [anon_sym_declare] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_override] = ACTIONS(2354),
    [anon_sym_module] = ACTIONS(2354),
    [anon_sym_any] = ACTIONS(2354),
    [anon_sym_number] = ACTIONS(2354),
    [anon_sym_boolean] = ACTIONS(2354),
    [anon_sym_string] = ACTIONS(2354),
    [anon_sym_symbol] = ACTIONS(2354),
    [anon_sym_object] = ACTIONS(2354),
    [anon_sym_property] = ACTIONS(2354),
    [anon_sym_signal] = ACTIONS(2354),
    [anon_sym_on] = ACTIONS(2354),
    [anon_sym_required] = ACTIONS(2354),
    [anon_sym_component] = ACTIONS(2354),
    [anon_sym_abstract] = ACTIONS(2354),
    [anon_sym_satisfies] = ACTIONS(2356),
    [anon_sym_interface] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [sym__automatic_semicolon] = ACTIONS(2648),
    [sym__ternary_qmark] = ACTIONS(2360),
    [sym_html_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3114),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7992),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(493),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym__automatic_semicolon] = ACTIONS(2652),
    [sym_html_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_comment] = STATE(494),
    [sym_identifier] = ACTIONS(2374),
    [anon_sym_export] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_type] = ACTIONS(2374),
    [anon_sym_as] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_COMMA] = ACTIONS(2376),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [anon_sym_typeof] = ACTIONS(2374),
    [anon_sym_import] = ACTIONS(2374),
    [anon_sym_from] = ACTIONS(2374),
    [anon_sym_with] = ACTIONS(2374),
    [anon_sym_var] = ACTIONS(2374),
    [anon_sym_let] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [anon_sym_await] = ACTIONS(2374),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_of] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_debugger] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym_yield] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_LTtemplate_GT] = ACTIONS(2374),
    [anon_sym_GT] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_async] = ACTIONS(2374),
    [anon_sym_function] = ACTIONS(2374),
    [anon_sym_QMARK_DOT] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_GT_GT] = ACTIONS(2376),
    [anon_sym_GT_GT_GT] = ACTIONS(2376),
    [anon_sym_LT_LT] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_CARET] = ACTIONS(2376),
    [anon_sym_PIPE] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_SLASH] = ACTIONS(2374),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_STAR_STAR] = ACTIONS(2376),
    [anon_sym_LT] = ACTIONS(2374),
    [anon_sym_LT_EQ] = ACTIONS(2376),
    [anon_sym_EQ_EQ] = ACTIONS(2376),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2376),
    [anon_sym_GT_EQ] = ACTIONS(2376),
    [anon_sym_QMARK_QMARK] = ACTIONS(2376),
    [anon_sym_instanceof] = ACTIONS(2376),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_void] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2374),
    [sym_number] = ACTIONS(2374),
    [sym_private_property_identifier] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [sym_super] = ACTIONS(2374),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [sym_null] = ACTIONS(2374),
    [sym_undefined] = ACTIONS(2374),
    [anon_sym_AT] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_readonly] = ACTIONS(2374),
    [anon_sym_get] = ACTIONS(2374),
    [anon_sym_set] = ACTIONS(2374),
    [anon_sym_declare] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_override] = ACTIONS(2374),
    [anon_sym_module] = ACTIONS(2374),
    [anon_sym_any] = ACTIONS(2374),
    [anon_sym_number] = ACTIONS(2374),
    [anon_sym_boolean] = ACTIONS(2374),
    [anon_sym_string] = ACTIONS(2374),
    [anon_sym_symbol] = ACTIONS(2374),
    [anon_sym_object] = ACTIONS(2374),
    [anon_sym_property] = ACTIONS(2374),
    [anon_sym_signal] = ACTIONS(2374),
    [anon_sym_on] = ACTIONS(2374),
    [anon_sym_required] = ACTIONS(2374),
    [anon_sym_component] = ACTIONS(2374),
    [anon_sym_abstract] = ACTIONS(2374),
    [anon_sym_satisfies] = ACTIONS(2376),
    [anon_sym_interface] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [sym__automatic_semicolon] = ACTIONS(2654),
    [sym__ternary_qmark] = ACTIONS(2380),
    [sym_html_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(495),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6276),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(1295),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2656),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_comment] = STATE(496),
    [sym_identifier] = ACTIONS(2394),
    [anon_sym_export] = ACTIONS(2394),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_type] = ACTIONS(2394),
    [anon_sym_as] = ACTIONS(2396),
    [anon_sym_namespace] = ACTIONS(2394),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_COMMA] = ACTIONS(2396),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_typeof] = ACTIONS(2394),
    [anon_sym_import] = ACTIONS(2394),
    [anon_sym_from] = ACTIONS(2394),
    [anon_sym_with] = ACTIONS(2394),
    [anon_sym_var] = ACTIONS(2394),
    [anon_sym_let] = ACTIONS(2394),
    [anon_sym_const] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_if] = ACTIONS(2394),
    [anon_sym_switch] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_LPAREN] = ACTIONS(2394),
    [anon_sym_await] = ACTIONS(2394),
    [anon_sym_in] = ACTIONS(2396),
    [anon_sym_of] = ACTIONS(2394),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_do] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2394),
    [anon_sym_break] = ACTIONS(2394),
    [anon_sym_continue] = ACTIONS(2394),
    [anon_sym_debugger] = ACTIONS(2394),
    [anon_sym_return] = ACTIONS(2394),
    [anon_sym_throw] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym_yield] = ACTIONS(2394),
    [anon_sym_LBRACK] = ACTIONS(2394),
    [anon_sym_LTtemplate_GT] = ACTIONS(2394),
    [anon_sym_GT] = ACTIONS(2396),
    [anon_sym_DOT] = ACTIONS(2396),
    [anon_sym_DQUOTE] = ACTIONS(2394),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_class] = ACTIONS(2394),
    [anon_sym_async] = ACTIONS(2394),
    [anon_sym_function] = ACTIONS(2394),
    [anon_sym_QMARK_DOT] = ACTIONS(2396),
    [anon_sym_new] = ACTIONS(2394),
    [anon_sym_using] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE] = ACTIONS(2396),
    [anon_sym_GT_GT] = ACTIONS(2396),
    [anon_sym_GT_GT_GT] = ACTIONS(2396),
    [anon_sym_LT_LT] = ACTIONS(2396),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_CARET] = ACTIONS(2396),
    [anon_sym_PIPE] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2394),
    [anon_sym_SLASH] = ACTIONS(2394),
    [anon_sym_PERCENT] = ACTIONS(2396),
    [anon_sym_STAR_STAR] = ACTIONS(2396),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(2396),
    [anon_sym_EQ_EQ] = ACTIONS(2396),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2396),
    [anon_sym_GT_EQ] = ACTIONS(2396),
    [anon_sym_QMARK_QMARK] = ACTIONS(2396),
    [anon_sym_instanceof] = ACTIONS(2396),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_void] = ACTIONS(2394),
    [anon_sym_delete] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2394),
    [sym_number] = ACTIONS(2394),
    [sym_private_property_identifier] = ACTIONS(2394),
    [sym_this] = ACTIONS(2394),
    [sym_super] = ACTIONS(2394),
    [sym_true] = ACTIONS(2394),
    [sym_false] = ACTIONS(2394),
    [sym_null] = ACTIONS(2394),
    [sym_undefined] = ACTIONS(2394),
    [anon_sym_AT] = ACTIONS(2394),
    [anon_sym_static] = ACTIONS(2394),
    [anon_sym_readonly] = ACTIONS(2394),
    [anon_sym_get] = ACTIONS(2394),
    [anon_sym_set] = ACTIONS(2394),
    [anon_sym_declare] = ACTIONS(2394),
    [anon_sym_public] = ACTIONS(2394),
    [anon_sym_private] = ACTIONS(2394),
    [anon_sym_protected] = ACTIONS(2394),
    [anon_sym_override] = ACTIONS(2394),
    [anon_sym_module] = ACTIONS(2394),
    [anon_sym_any] = ACTIONS(2394),
    [anon_sym_number] = ACTIONS(2394),
    [anon_sym_boolean] = ACTIONS(2394),
    [anon_sym_string] = ACTIONS(2394),
    [anon_sym_symbol] = ACTIONS(2394),
    [anon_sym_object] = ACTIONS(2394),
    [anon_sym_property] = ACTIONS(2394),
    [anon_sym_signal] = ACTIONS(2394),
    [anon_sym_on] = ACTIONS(2394),
    [anon_sym_required] = ACTIONS(2394),
    [anon_sym_component] = ACTIONS(2394),
    [anon_sym_abstract] = ACTIONS(2394),
    [anon_sym_satisfies] = ACTIONS(2396),
    [anon_sym_interface] = ACTIONS(2394),
    [anon_sym_enum] = ACTIONS(2394),
    [sym__automatic_semicolon] = ACTIONS(2658),
    [sym__ternary_qmark] = ACTIONS(2400),
    [sym_html_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3067),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7690),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(497),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym__automatic_semicolon] = ACTIONS(2662),
    [sym_html_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(498),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6265),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(2664),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2666),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_comment] = STATE(499),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_as] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_in] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_GT] = ACTIONS(2332),
    [anon_sym_DOT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_QMARK_DOT] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_PIPE_PIPE] = ACTIONS(2332),
    [anon_sym_GT_GT] = ACTIONS(2332),
    [anon_sym_GT_GT_GT] = ACTIONS(2332),
    [anon_sym_LT_LT] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_CARET] = ACTIONS(2332),
    [anon_sym_PIPE] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_PERCENT] = ACTIONS(2332),
    [anon_sym_STAR_STAR] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_LT_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2332),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_QMARK_QMARK] = ACTIONS(2332),
    [anon_sym_instanceof] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_satisfies] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(2668),
    [sym__ternary_qmark] = ACTIONS(2336),
    [sym_html_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3024),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7440),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(500),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(2670),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym__automatic_semicolon] = ACTIONS(2672),
    [sym_html_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(501),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4642),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_void] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3143),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7552),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(502),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(2674),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym__automatic_semicolon] = ACTIONS(2676),
    [sym_html_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3045),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8100),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(503),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(2678),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym__automatic_semicolon] = ACTIONS(2680),
    [sym_html_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_comment] = STATE(504),
    [sym_identifier] = ACTIONS(2466),
    [anon_sym_export] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_type] = ACTIONS(2466),
    [anon_sym_as] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_COMMA] = ACTIONS(2468),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_typeof] = ACTIONS(2466),
    [anon_sym_import] = ACTIONS(2466),
    [anon_sym_from] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2466),
    [anon_sym_var] = ACTIONS(2466),
    [anon_sym_let] = ACTIONS(2466),
    [anon_sym_const] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_switch] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2466),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_of] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2466),
    [anon_sym_do] = ACTIONS(2466),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_break] = ACTIONS(2466),
    [anon_sym_continue] = ACTIONS(2466),
    [anon_sym_debugger] = ACTIONS(2466),
    [anon_sym_return] = ACTIONS(2466),
    [anon_sym_throw] = ACTIONS(2466),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2466),
    [anon_sym_LTtemplate_GT] = ACTIONS(2466),
    [anon_sym_GT] = ACTIONS(2468),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_class] = ACTIONS(2466),
    [anon_sym_async] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2466),
    [anon_sym_QMARK_DOT] = ACTIONS(2468),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_using] = ACTIONS(2466),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_GT_GT] = ACTIONS(2468),
    [anon_sym_GT_GT_GT] = ACTIONS(2468),
    [anon_sym_LT_LT] = ACTIONS(2468),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_CARET] = ACTIONS(2468),
    [anon_sym_PIPE] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_STAR_STAR] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2468),
    [anon_sym_EQ_EQ] = ACTIONS(2468),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2468),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2468),
    [anon_sym_GT_EQ] = ACTIONS(2468),
    [anon_sym_QMARK_QMARK] = ACTIONS(2468),
    [anon_sym_instanceof] = ACTIONS(2468),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_void] = ACTIONS(2466),
    [anon_sym_delete] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2466),
    [sym_number] = ACTIONS(2466),
    [sym_private_property_identifier] = ACTIONS(2466),
    [sym_this] = ACTIONS(2466),
    [sym_super] = ACTIONS(2466),
    [sym_true] = ACTIONS(2466),
    [sym_false] = ACTIONS(2466),
    [sym_null] = ACTIONS(2466),
    [sym_undefined] = ACTIONS(2466),
    [anon_sym_AT] = ACTIONS(2466),
    [anon_sym_static] = ACTIONS(2466),
    [anon_sym_readonly] = ACTIONS(2466),
    [anon_sym_get] = ACTIONS(2466),
    [anon_sym_set] = ACTIONS(2466),
    [anon_sym_declare] = ACTIONS(2466),
    [anon_sym_public] = ACTIONS(2466),
    [anon_sym_private] = ACTIONS(2466),
    [anon_sym_protected] = ACTIONS(2466),
    [anon_sym_override] = ACTIONS(2466),
    [anon_sym_module] = ACTIONS(2466),
    [anon_sym_any] = ACTIONS(2466),
    [anon_sym_number] = ACTIONS(2466),
    [anon_sym_boolean] = ACTIONS(2466),
    [anon_sym_string] = ACTIONS(2466),
    [anon_sym_symbol] = ACTIONS(2466),
    [anon_sym_object] = ACTIONS(2466),
    [anon_sym_property] = ACTIONS(2466),
    [anon_sym_signal] = ACTIONS(2466),
    [anon_sym_on] = ACTIONS(2466),
    [anon_sym_required] = ACTIONS(2466),
    [anon_sym_component] = ACTIONS(2466),
    [anon_sym_abstract] = ACTIONS(2466),
    [anon_sym_satisfies] = ACTIONS(2468),
    [anon_sym_interface] = ACTIONS(2466),
    [anon_sym_enum] = ACTIONS(2466),
    [sym__automatic_semicolon] = ACTIONS(2470),
    [sym__ternary_qmark] = ACTIONS(2470),
    [sym_html_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_comment] = STATE(505),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_as] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_COMMA] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_in] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_GT] = ACTIONS(2287),
    [anon_sym_DOT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_QMARK_DOT] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2287),
    [anon_sym_PIPE_PIPE] = ACTIONS(2287),
    [anon_sym_GT_GT] = ACTIONS(2287),
    [anon_sym_GT_GT_GT] = ACTIONS(2287),
    [anon_sym_LT_LT] = ACTIONS(2287),
    [anon_sym_AMP] = ACTIONS(2287),
    [anon_sym_CARET] = ACTIONS(2287),
    [anon_sym_PIPE] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_PERCENT] = ACTIONS(2287),
    [anon_sym_STAR_STAR] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_LT_EQ] = ACTIONS(2287),
    [anon_sym_EQ_EQ] = ACTIONS(2287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2287),
    [anon_sym_BANG_EQ] = ACTIONS(2287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2287),
    [anon_sym_GT_EQ] = ACTIONS(2287),
    [anon_sym_QMARK_QMARK] = ACTIONS(2287),
    [anon_sym_instanceof] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_satisfies] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(2682),
    [sym__ternary_qmark] = ACTIONS(2448),
    [sym_html_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_comment] = STATE(506),
    [sym_identifier] = ACTIONS(2342),
    [anon_sym_export] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_type] = ACTIONS(2342),
    [anon_sym_as] = ACTIONS(2344),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(2342),
    [anon_sym_typeof] = ACTIONS(2342),
    [anon_sym_import] = ACTIONS(2342),
    [anon_sym_from] = ACTIONS(2342),
    [anon_sym_with] = ACTIONS(2342),
    [anon_sym_var] = ACTIONS(2342),
    [anon_sym_let] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_BANG] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(2342),
    [anon_sym_await] = ACTIONS(2342),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_of] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_debugger] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2342),
    [anon_sym_yield] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_LTtemplate_GT] = ACTIONS(2342),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_DOT] = ACTIONS(2344),
    [anon_sym_DQUOTE] = ACTIONS(2342),
    [anon_sym_SQUOTE] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_async] = ACTIONS(2342),
    [anon_sym_function] = ACTIONS(2342),
    [anon_sym_QMARK_DOT] = ACTIONS(2344),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_using] = ACTIONS(2342),
    [anon_sym_AMP_AMP] = ACTIONS(2344),
    [anon_sym_PIPE_PIPE] = ACTIONS(2344),
    [anon_sym_GT_GT] = ACTIONS(2344),
    [anon_sym_GT_GT_GT] = ACTIONS(2344),
    [anon_sym_LT_LT] = ACTIONS(2344),
    [anon_sym_AMP] = ACTIONS(2344),
    [anon_sym_CARET] = ACTIONS(2344),
    [anon_sym_PIPE] = ACTIONS(2344),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_SLASH] = ACTIONS(2342),
    [anon_sym_PERCENT] = ACTIONS(2344),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_LT] = ACTIONS(2342),
    [anon_sym_LT_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2344),
    [anon_sym_GT_EQ] = ACTIONS(2344),
    [anon_sym_QMARK_QMARK] = ACTIONS(2344),
    [anon_sym_instanceof] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2342),
    [anon_sym_void] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2342),
    [sym_number] = ACTIONS(2342),
    [sym_private_property_identifier] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [sym_super] = ACTIONS(2342),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [sym_null] = ACTIONS(2342),
    [sym_undefined] = ACTIONS(2342),
    [anon_sym_AT] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_readonly] = ACTIONS(2342),
    [anon_sym_get] = ACTIONS(2342),
    [anon_sym_set] = ACTIONS(2342),
    [anon_sym_declare] = ACTIONS(2342),
    [anon_sym_public] = ACTIONS(2342),
    [anon_sym_private] = ACTIONS(2342),
    [anon_sym_protected] = ACTIONS(2342),
    [anon_sym_override] = ACTIONS(2342),
    [anon_sym_module] = ACTIONS(2342),
    [anon_sym_any] = ACTIONS(2342),
    [anon_sym_number] = ACTIONS(2342),
    [anon_sym_boolean] = ACTIONS(2342),
    [anon_sym_string] = ACTIONS(2342),
    [anon_sym_symbol] = ACTIONS(2342),
    [anon_sym_object] = ACTIONS(2342),
    [anon_sym_property] = ACTIONS(2342),
    [anon_sym_signal] = ACTIONS(2342),
    [anon_sym_on] = ACTIONS(2342),
    [anon_sym_required] = ACTIONS(2342),
    [anon_sym_component] = ACTIONS(2342),
    [anon_sym_abstract] = ACTIONS(2342),
    [anon_sym_satisfies] = ACTIONS(2344),
    [anon_sym_interface] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [sym__automatic_semicolon] = ACTIONS(2684),
    [sym__ternary_qmark] = ACTIONS(2348),
    [sym_html_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_comment] = STATE(507),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_as] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_QMARK_DOT] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2350),
    [anon_sym_GT_GT] = ACTIONS(2350),
    [anon_sym_GT_GT_GT] = ACTIONS(2350),
    [anon_sym_LT_LT] = ACTIONS(2350),
    [anon_sym_AMP] = ACTIONS(2350),
    [anon_sym_CARET] = ACTIONS(2350),
    [anon_sym_PIPE] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2350),
    [anon_sym_STAR_STAR] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2350),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2350),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK] = ACTIONS(2350),
    [anon_sym_instanceof] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_satisfies] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym__automatic_semicolon] = ACTIONS(2352),
    [sym__ternary_qmark] = ACTIONS(2352),
    [sym_html_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_comment] = STATE(508),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_export] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_type] = ACTIONS(2434),
    [anon_sym_as] = ACTIONS(2434),
    [anon_sym_namespace] = ACTIONS(2434),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_typeof] = ACTIONS(2434),
    [anon_sym_import] = ACTIONS(2434),
    [anon_sym_from] = ACTIONS(2434),
    [anon_sym_with] = ACTIONS(2434),
    [anon_sym_var] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_const] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_switch] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_await] = ACTIONS(2434),
    [anon_sym_in] = ACTIONS(2434),
    [anon_sym_of] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_break] = ACTIONS(2434),
    [anon_sym_continue] = ACTIONS(2434),
    [anon_sym_debugger] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LTtemplate_GT] = ACTIONS(2434),
    [anon_sym_GT] = ACTIONS(2434),
    [anon_sym_DOT] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_class] = ACTIONS(2434),
    [anon_sym_async] = ACTIONS(2434),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_QMARK_DOT] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_using] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_PIPE_PIPE] = ACTIONS(2434),
    [anon_sym_GT_GT] = ACTIONS(2434),
    [anon_sym_GT_GT_GT] = ACTIONS(2434),
    [anon_sym_LT_LT] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_CARET] = ACTIONS(2434),
    [anon_sym_PIPE] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_SLASH] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2434),
    [anon_sym_STAR_STAR] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2434),
    [anon_sym_LT_EQ] = ACTIONS(2434),
    [anon_sym_EQ_EQ] = ACTIONS(2434),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2434),
    [anon_sym_BANG_EQ] = ACTIONS(2434),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2434),
    [anon_sym_GT_EQ] = ACTIONS(2434),
    [anon_sym_QMARK_QMARK] = ACTIONS(2434),
    [anon_sym_instanceof] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_void] = ACTIONS(2434),
    [anon_sym_delete] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2434),
    [sym_number] = ACTIONS(2434),
    [sym_private_property_identifier] = ACTIONS(2434),
    [sym_this] = ACTIONS(2434),
    [sym_super] = ACTIONS(2434),
    [sym_true] = ACTIONS(2434),
    [sym_false] = ACTIONS(2434),
    [sym_null] = ACTIONS(2434),
    [sym_undefined] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2434),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_readonly] = ACTIONS(2434),
    [anon_sym_get] = ACTIONS(2434),
    [anon_sym_set] = ACTIONS(2434),
    [anon_sym_declare] = ACTIONS(2434),
    [anon_sym_public] = ACTIONS(2434),
    [anon_sym_private] = ACTIONS(2434),
    [anon_sym_protected] = ACTIONS(2434),
    [anon_sym_override] = ACTIONS(2434),
    [anon_sym_module] = ACTIONS(2434),
    [anon_sym_any] = ACTIONS(2434),
    [anon_sym_number] = ACTIONS(2434),
    [anon_sym_boolean] = ACTIONS(2434),
    [anon_sym_string] = ACTIONS(2434),
    [anon_sym_symbol] = ACTIONS(2434),
    [anon_sym_object] = ACTIONS(2434),
    [anon_sym_property] = ACTIONS(2434),
    [anon_sym_signal] = ACTIONS(2434),
    [anon_sym_on] = ACTIONS(2434),
    [anon_sym_required] = ACTIONS(2434),
    [anon_sym_component] = ACTIONS(2434),
    [anon_sym_abstract] = ACTIONS(2434),
    [anon_sym_satisfies] = ACTIONS(2434),
    [anon_sym_interface] = ACTIONS(2434),
    [anon_sym_enum] = ACTIONS(2434),
    [sym__automatic_semicolon] = ACTIONS(2436),
    [sym__ternary_qmark] = ACTIONS(2436),
    [sym_html_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_comment] = STATE(509),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_as] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_in] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_GT] = ACTIONS(2332),
    [anon_sym_DOT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_QMARK_DOT] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_PIPE_PIPE] = ACTIONS(2332),
    [anon_sym_GT_GT] = ACTIONS(2332),
    [anon_sym_GT_GT_GT] = ACTIONS(2332),
    [anon_sym_LT_LT] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_CARET] = ACTIONS(2332),
    [anon_sym_PIPE] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_PERCENT] = ACTIONS(2332),
    [anon_sym_STAR_STAR] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_LT_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2332),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_QMARK_QMARK] = ACTIONS(2332),
    [anon_sym_instanceof] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_satisfies] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(2336),
    [sym__ternary_qmark] = ACTIONS(2336),
    [sym_html_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2349),
    [sym_subscript_expression] = STATE(2349),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5242),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(510),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_pattern] = STATE(6085),
    [sym_rest_pattern] = STATE(5260),
    [sym_non_null_expression] = STATE(2349),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1265),
    [anon_sym_export] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_namespace] = ACTIONS(30),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(21),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(62),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(74),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(2686),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(21),
    [anon_sym_readonly] = ACTIONS(2688),
    [anon_sym_get] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(21),
    [anon_sym_declare] = ACTIONS(21),
    [anon_sym_public] = ACTIONS(21),
    [anon_sym_private] = ACTIONS(21),
    [anon_sym_protected] = ACTIONS(21),
    [anon_sym_override] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(21),
    [anon_sym_any] = ACTIONS(21),
    [anon_sym_number] = ACTIONS(21),
    [anon_sym_boolean] = ACTIONS(21),
    [anon_sym_string] = ACTIONS(21),
    [anon_sym_symbol] = ACTIONS(21),
    [anon_sym_object] = ACTIONS(21),
    [anon_sym_property] = ACTIONS(21),
    [anon_sym_signal] = ACTIONS(21),
    [anon_sym_on] = ACTIONS(21),
    [anon_sym_required] = ACTIONS(21),
    [anon_sym_component] = ACTIONS(21),
    [sym_html_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3042),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8008),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(511),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(2690),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym__automatic_semicolon] = ACTIONS(2692),
    [sym_html_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_comment] = STATE(512),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_export] = ACTIONS(2410),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_type] = ACTIONS(2410),
    [anon_sym_as] = ACTIONS(2410),
    [anon_sym_namespace] = ACTIONS(2410),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(2410),
    [anon_sym_typeof] = ACTIONS(2410),
    [anon_sym_import] = ACTIONS(2410),
    [anon_sym_from] = ACTIONS(2410),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_var] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_const] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_switch] = ACTIONS(2410),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_await] = ACTIONS(2410),
    [anon_sym_in] = ACTIONS(2410),
    [anon_sym_of] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_break] = ACTIONS(2410),
    [anon_sym_continue] = ACTIONS(2410),
    [anon_sym_debugger] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_throw] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LTtemplate_GT] = ACTIONS(2410),
    [anon_sym_GT] = ACTIONS(2410),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_class] = ACTIONS(2410),
    [anon_sym_async] = ACTIONS(2410),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_QMARK_DOT] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_using] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_GT_GT] = ACTIONS(2410),
    [anon_sym_GT_GT_GT] = ACTIONS(2410),
    [anon_sym_LT_LT] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_CARET] = ACTIONS(2410),
    [anon_sym_PIPE] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_SLASH] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_STAR_STAR] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2410),
    [anon_sym_LT_EQ] = ACTIONS(2410),
    [anon_sym_EQ_EQ] = ACTIONS(2410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2410),
    [anon_sym_GT_EQ] = ACTIONS(2410),
    [anon_sym_QMARK_QMARK] = ACTIONS(2410),
    [anon_sym_instanceof] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_void] = ACTIONS(2410),
    [anon_sym_delete] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2410),
    [sym_number] = ACTIONS(2410),
    [sym_private_property_identifier] = ACTIONS(2410),
    [sym_this] = ACTIONS(2410),
    [sym_super] = ACTIONS(2410),
    [sym_true] = ACTIONS(2410),
    [sym_false] = ACTIONS(2410),
    [sym_null] = ACTIONS(2410),
    [sym_undefined] = ACTIONS(2410),
    [anon_sym_AT] = ACTIONS(2410),
    [anon_sym_static] = ACTIONS(2410),
    [anon_sym_readonly] = ACTIONS(2410),
    [anon_sym_get] = ACTIONS(2410),
    [anon_sym_set] = ACTIONS(2410),
    [anon_sym_declare] = ACTIONS(2410),
    [anon_sym_public] = ACTIONS(2410),
    [anon_sym_private] = ACTIONS(2410),
    [anon_sym_protected] = ACTIONS(2410),
    [anon_sym_override] = ACTIONS(2410),
    [anon_sym_module] = ACTIONS(2410),
    [anon_sym_any] = ACTIONS(2410),
    [anon_sym_number] = ACTIONS(2410),
    [anon_sym_boolean] = ACTIONS(2410),
    [anon_sym_string] = ACTIONS(2410),
    [anon_sym_symbol] = ACTIONS(2410),
    [anon_sym_object] = ACTIONS(2410),
    [anon_sym_property] = ACTIONS(2410),
    [anon_sym_signal] = ACTIONS(2410),
    [anon_sym_on] = ACTIONS(2410),
    [anon_sym_required] = ACTIONS(2410),
    [anon_sym_component] = ACTIONS(2410),
    [anon_sym_abstract] = ACTIONS(2410),
    [anon_sym_satisfies] = ACTIONS(2410),
    [anon_sym_interface] = ACTIONS(2410),
    [anon_sym_enum] = ACTIONS(2410),
    [sym__automatic_semicolon] = ACTIONS(2412),
    [sym__ternary_qmark] = ACTIONS(2412),
    [sym_html_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_comment] = STATE(513),
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_as] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_import] = ACTIONS(2474),
    [anon_sym_from] = ACTIONS(2474),
    [anon_sym_with] = ACTIONS(2474),
    [anon_sym_var] = ACTIONS(2474),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_await] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_of] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_debugger] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_LTtemplate_GT] = ACTIONS(2474),
    [anon_sym_GT] = ACTIONS(2474),
    [anon_sym_DOT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2474),
    [anon_sym_QMARK_DOT] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_PIPE_PIPE] = ACTIONS(2474),
    [anon_sym_GT_GT] = ACTIONS(2474),
    [anon_sym_GT_GT_GT] = ACTIONS(2474),
    [anon_sym_LT_LT] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_CARET] = ACTIONS(2474),
    [anon_sym_PIPE] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_SLASH] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2474),
    [anon_sym_STAR_STAR] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_LT_EQ] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2474),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2474),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_QMARK_QMARK] = ACTIONS(2474),
    [anon_sym_instanceof] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_void] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2474),
    [sym_number] = ACTIONS(2474),
    [sym_private_property_identifier] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
    [sym_super] = ACTIONS(2474),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [sym_null] = ACTIONS(2474),
    [sym_undefined] = ACTIONS(2474),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_property] = ACTIONS(2474),
    [anon_sym_signal] = ACTIONS(2474),
    [anon_sym_on] = ACTIONS(2474),
    [anon_sym_required] = ACTIONS(2474),
    [anon_sym_component] = ACTIONS(2474),
    [anon_sym_abstract] = ACTIONS(2474),
    [anon_sym_satisfies] = ACTIONS(2474),
    [anon_sym_interface] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [sym__automatic_semicolon] = ACTIONS(2476),
    [sym__ternary_qmark] = ACTIONS(2476),
    [sym_html_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_comment] = STATE(514),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_type] = ACTIONS(2438),
    [anon_sym_as] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_typeof] = ACTIONS(2438),
    [anon_sym_import] = ACTIONS(2438),
    [anon_sym_from] = ACTIONS(2438),
    [anon_sym_with] = ACTIONS(2438),
    [anon_sym_var] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_await] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_of] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_debugger] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LTtemplate_GT] = ACTIONS(2438),
    [anon_sym_GT] = ACTIONS(2438),
    [anon_sym_DOT] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_async] = ACTIONS(2438),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_QMARK_DOT] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_PIPE_PIPE] = ACTIONS(2438),
    [anon_sym_GT_GT] = ACTIONS(2438),
    [anon_sym_GT_GT_GT] = ACTIONS(2438),
    [anon_sym_LT_LT] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_PIPE] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_SLASH] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2438),
    [anon_sym_STAR_STAR] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2438),
    [anon_sym_LT_EQ] = ACTIONS(2438),
    [anon_sym_EQ_EQ] = ACTIONS(2438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2438),
    [anon_sym_BANG_EQ] = ACTIONS(2438),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2438),
    [anon_sym_GT_EQ] = ACTIONS(2438),
    [anon_sym_QMARK_QMARK] = ACTIONS(2438),
    [anon_sym_instanceof] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_void] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2438),
    [sym_number] = ACTIONS(2438),
    [sym_private_property_identifier] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [sym_super] = ACTIONS(2438),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [sym_null] = ACTIONS(2438),
    [sym_undefined] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_readonly] = ACTIONS(2438),
    [anon_sym_get] = ACTIONS(2438),
    [anon_sym_set] = ACTIONS(2438),
    [anon_sym_declare] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_override] = ACTIONS(2438),
    [anon_sym_module] = ACTIONS(2438),
    [anon_sym_any] = ACTIONS(2438),
    [anon_sym_number] = ACTIONS(2438),
    [anon_sym_boolean] = ACTIONS(2438),
    [anon_sym_string] = ACTIONS(2438),
    [anon_sym_symbol] = ACTIONS(2438),
    [anon_sym_object] = ACTIONS(2438),
    [anon_sym_property] = ACTIONS(2438),
    [anon_sym_signal] = ACTIONS(2438),
    [anon_sym_on] = ACTIONS(2438),
    [anon_sym_required] = ACTIONS(2438),
    [anon_sym_component] = ACTIONS(2438),
    [anon_sym_abstract] = ACTIONS(2438),
    [anon_sym_satisfies] = ACTIONS(2438),
    [anon_sym_interface] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [sym__automatic_semicolon] = ACTIONS(2440),
    [sym__ternary_qmark] = ACTIONS(2440),
    [sym_html_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_comment] = STATE(515),
    [sym_identifier] = ACTIONS(2382),
    [anon_sym_export] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_type] = ACTIONS(2382),
    [anon_sym_as] = ACTIONS(2384),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_COMMA] = ACTIONS(2384),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_typeof] = ACTIONS(2382),
    [anon_sym_import] = ACTIONS(2382),
    [anon_sym_from] = ACTIONS(2382),
    [anon_sym_with] = ACTIONS(2382),
    [anon_sym_var] = ACTIONS(2382),
    [anon_sym_let] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_switch] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_await] = ACTIONS(2382),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_of] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2382),
    [anon_sym_break] = ACTIONS(2382),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_debugger] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2382),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_LTtemplate_GT] = ACTIONS(2382),
    [anon_sym_GT] = ACTIONS(2384),
    [anon_sym_DOT] = ACTIONS(2384),
    [anon_sym_DQUOTE] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2382),
    [anon_sym_QMARK_DOT] = ACTIONS(2384),
    [anon_sym_new] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_PIPE_PIPE] = ACTIONS(2384),
    [anon_sym_GT_GT] = ACTIONS(2384),
    [anon_sym_GT_GT_GT] = ACTIONS(2384),
    [anon_sym_LT_LT] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_CARET] = ACTIONS(2384),
    [anon_sym_PIPE] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_SLASH] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2384),
    [anon_sym_STAR_STAR] = ACTIONS(2384),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2384),
    [anon_sym_EQ_EQ] = ACTIONS(2384),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2384),
    [anon_sym_BANG_EQ] = ACTIONS(2384),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2384),
    [anon_sym_GT_EQ] = ACTIONS(2384),
    [anon_sym_QMARK_QMARK] = ACTIONS(2384),
    [anon_sym_instanceof] = ACTIONS(2384),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_void] = ACTIONS(2382),
    [anon_sym_delete] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2382),
    [sym_number] = ACTIONS(2382),
    [sym_private_property_identifier] = ACTIONS(2382),
    [sym_this] = ACTIONS(2382),
    [sym_super] = ACTIONS(2382),
    [sym_true] = ACTIONS(2382),
    [sym_false] = ACTIONS(2382),
    [sym_null] = ACTIONS(2382),
    [sym_undefined] = ACTIONS(2382),
    [anon_sym_AT] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_readonly] = ACTIONS(2382),
    [anon_sym_get] = ACTIONS(2382),
    [anon_sym_set] = ACTIONS(2382),
    [anon_sym_declare] = ACTIONS(2382),
    [anon_sym_public] = ACTIONS(2382),
    [anon_sym_private] = ACTIONS(2382),
    [anon_sym_protected] = ACTIONS(2382),
    [anon_sym_override] = ACTIONS(2382),
    [anon_sym_module] = ACTIONS(2382),
    [anon_sym_any] = ACTIONS(2382),
    [anon_sym_number] = ACTIONS(2382),
    [anon_sym_boolean] = ACTIONS(2382),
    [anon_sym_string] = ACTIONS(2382),
    [anon_sym_symbol] = ACTIONS(2382),
    [anon_sym_object] = ACTIONS(2382),
    [anon_sym_property] = ACTIONS(2382),
    [anon_sym_signal] = ACTIONS(2382),
    [anon_sym_on] = ACTIONS(2382),
    [anon_sym_required] = ACTIONS(2382),
    [anon_sym_component] = ACTIONS(2382),
    [anon_sym_abstract] = ACTIONS(2382),
    [anon_sym_satisfies] = ACTIONS(2384),
    [anon_sym_interface] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [sym__automatic_semicolon] = ACTIONS(2694),
    [sym__ternary_qmark] = ACTIONS(2388),
    [sym_html_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_comment] = STATE(516),
    [sym_identifier] = ACTIONS(2426),
    [anon_sym_export] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_type] = ACTIONS(2426),
    [anon_sym_as] = ACTIONS(2428),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_COMMA] = ACTIONS(2428),
    [anon_sym_RBRACE] = ACTIONS(2426),
    [anon_sym_typeof] = ACTIONS(2426),
    [anon_sym_import] = ACTIONS(2426),
    [anon_sym_from] = ACTIONS(2426),
    [anon_sym_with] = ACTIONS(2426),
    [anon_sym_var] = ACTIONS(2426),
    [anon_sym_let] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_if] = ACTIONS(2426),
    [anon_sym_switch] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_await] = ACTIONS(2426),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_of] = ACTIONS(2426),
    [anon_sym_while] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2426),
    [anon_sym_break] = ACTIONS(2426),
    [anon_sym_continue] = ACTIONS(2426),
    [anon_sym_debugger] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_LTtemplate_GT] = ACTIONS(2426),
    [anon_sym_GT] = ACTIONS(2428),
    [anon_sym_DOT] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_async] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2426),
    [anon_sym_QMARK_DOT] = ACTIONS(2428),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_PIPE_PIPE] = ACTIONS(2428),
    [anon_sym_GT_GT] = ACTIONS(2428),
    [anon_sym_GT_GT_GT] = ACTIONS(2428),
    [anon_sym_LT_LT] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_CARET] = ACTIONS(2428),
    [anon_sym_PIPE] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_PERCENT] = ACTIONS(2428),
    [anon_sym_STAR_STAR] = ACTIONS(2428),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_LT_EQ] = ACTIONS(2428),
    [anon_sym_EQ_EQ] = ACTIONS(2428),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2428),
    [anon_sym_BANG_EQ] = ACTIONS(2428),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2428),
    [anon_sym_GT_EQ] = ACTIONS(2428),
    [anon_sym_QMARK_QMARK] = ACTIONS(2428),
    [anon_sym_instanceof] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_void] = ACTIONS(2426),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2426),
    [sym_number] = ACTIONS(2426),
    [sym_private_property_identifier] = ACTIONS(2426),
    [sym_this] = ACTIONS(2426),
    [sym_super] = ACTIONS(2426),
    [sym_true] = ACTIONS(2426),
    [sym_false] = ACTIONS(2426),
    [sym_null] = ACTIONS(2426),
    [sym_undefined] = ACTIONS(2426),
    [anon_sym_AT] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_readonly] = ACTIONS(2426),
    [anon_sym_get] = ACTIONS(2426),
    [anon_sym_set] = ACTIONS(2426),
    [anon_sym_declare] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_override] = ACTIONS(2426),
    [anon_sym_module] = ACTIONS(2426),
    [anon_sym_any] = ACTIONS(2426),
    [anon_sym_number] = ACTIONS(2426),
    [anon_sym_boolean] = ACTIONS(2426),
    [anon_sym_string] = ACTIONS(2426),
    [anon_sym_symbol] = ACTIONS(2426),
    [anon_sym_object] = ACTIONS(2426),
    [anon_sym_property] = ACTIONS(2426),
    [anon_sym_signal] = ACTIONS(2426),
    [anon_sym_on] = ACTIONS(2426),
    [anon_sym_required] = ACTIONS(2426),
    [anon_sym_component] = ACTIONS(2426),
    [anon_sym_abstract] = ACTIONS(2426),
    [anon_sym_satisfies] = ACTIONS(2428),
    [anon_sym_interface] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [sym__automatic_semicolon] = ACTIONS(2696),
    [sym__ternary_qmark] = ACTIONS(2432),
    [sym_html_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_comment] = STATE(517),
    [sym_identifier] = ACTIONS(2416),
    [anon_sym_export] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_type] = ACTIONS(2416),
    [anon_sym_as] = ACTIONS(2418),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_RBRACE] = ACTIONS(2416),
    [anon_sym_typeof] = ACTIONS(2416),
    [anon_sym_import] = ACTIONS(2416),
    [anon_sym_from] = ACTIONS(2416),
    [anon_sym_with] = ACTIONS(2416),
    [anon_sym_var] = ACTIONS(2416),
    [anon_sym_let] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_BANG] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_await] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2418),
    [anon_sym_of] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_debugger] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym_yield] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_LTtemplate_GT] = ACTIONS(2416),
    [anon_sym_GT] = ACTIONS(2418),
    [anon_sym_DOT] = ACTIONS(2418),
    [anon_sym_DQUOTE] = ACTIONS(2416),
    [anon_sym_SQUOTE] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_async] = ACTIONS(2416),
    [anon_sym_function] = ACTIONS(2416),
    [anon_sym_QMARK_DOT] = ACTIONS(2418),
    [anon_sym_new] = ACTIONS(2416),
    [anon_sym_using] = ACTIONS(2416),
    [anon_sym_AMP_AMP] = ACTIONS(2418),
    [anon_sym_PIPE_PIPE] = ACTIONS(2418),
    [anon_sym_GT_GT] = ACTIONS(2418),
    [anon_sym_GT_GT_GT] = ACTIONS(2418),
    [anon_sym_LT_LT] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_CARET] = ACTIONS(2418),
    [anon_sym_PIPE] = ACTIONS(2418),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_SLASH] = ACTIONS(2416),
    [anon_sym_PERCENT] = ACTIONS(2418),
    [anon_sym_STAR_STAR] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2416),
    [anon_sym_LT_EQ] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2418),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2418),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_QMARK_QMARK] = ACTIONS(2418),
    [anon_sym_instanceof] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_void] = ACTIONS(2416),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_PLUS_PLUS] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2416),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2416),
    [sym_number] = ACTIONS(2416),
    [sym_private_property_identifier] = ACTIONS(2416),
    [sym_this] = ACTIONS(2416),
    [sym_super] = ACTIONS(2416),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [sym_null] = ACTIONS(2416),
    [sym_undefined] = ACTIONS(2416),
    [anon_sym_AT] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_readonly] = ACTIONS(2416),
    [anon_sym_get] = ACTIONS(2416),
    [anon_sym_set] = ACTIONS(2416),
    [anon_sym_declare] = ACTIONS(2416),
    [anon_sym_public] = ACTIONS(2416),
    [anon_sym_private] = ACTIONS(2416),
    [anon_sym_protected] = ACTIONS(2416),
    [anon_sym_override] = ACTIONS(2416),
    [anon_sym_module] = ACTIONS(2416),
    [anon_sym_any] = ACTIONS(2416),
    [anon_sym_number] = ACTIONS(2416),
    [anon_sym_boolean] = ACTIONS(2416),
    [anon_sym_string] = ACTIONS(2416),
    [anon_sym_symbol] = ACTIONS(2416),
    [anon_sym_object] = ACTIONS(2416),
    [anon_sym_property] = ACTIONS(2416),
    [anon_sym_signal] = ACTIONS(2416),
    [anon_sym_on] = ACTIONS(2416),
    [anon_sym_required] = ACTIONS(2416),
    [anon_sym_component] = ACTIONS(2416),
    [anon_sym_abstract] = ACTIONS(2416),
    [anon_sym_satisfies] = ACTIONS(2418),
    [anon_sym_interface] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [sym__automatic_semicolon] = ACTIONS(2698),
    [sym__ternary_qmark] = ACTIONS(2422),
    [sym_html_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_comment] = STATE(518),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2364),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_as] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_COMMA] = ACTIONS(2364),
    [anon_sym_RBRACE] = ACTIONS(2362),
    [anon_sym_typeof] = ACTIONS(2362),
    [anon_sym_import] = ACTIONS(2362),
    [anon_sym_from] = ACTIONS(2362),
    [anon_sym_with] = ACTIONS(2362),
    [anon_sym_var] = ACTIONS(2362),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_const] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_switch] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2362),
    [anon_sym_LPAREN] = ACTIONS(2362),
    [anon_sym_await] = ACTIONS(2362),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_of] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_do] = ACTIONS(2362),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_break] = ACTIONS(2362),
    [anon_sym_continue] = ACTIONS(2362),
    [anon_sym_debugger] = ACTIONS(2362),
    [anon_sym_return] = ACTIONS(2362),
    [anon_sym_throw] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym_yield] = ACTIONS(2362),
    [anon_sym_LBRACK] = ACTIONS(2362),
    [anon_sym_LTtemplate_GT] = ACTIONS(2362),
    [anon_sym_GT] = ACTIONS(2364),
    [anon_sym_DOT] = ACTIONS(2364),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_class] = ACTIONS(2362),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(2362),
    [anon_sym_QMARK_DOT] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2362),
    [anon_sym_using] = ACTIONS(2362),
    [anon_sym_AMP_AMP] = ACTIONS(2364),
    [anon_sym_PIPE_PIPE] = ACTIONS(2364),
    [anon_sym_GT_GT] = ACTIONS(2364),
    [anon_sym_GT_GT_GT] = ACTIONS(2364),
    [anon_sym_LT_LT] = ACTIONS(2364),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_CARET] = ACTIONS(2364),
    [anon_sym_PIPE] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2362),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_PERCENT] = ACTIONS(2364),
    [anon_sym_STAR_STAR] = ACTIONS(2364),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_QMARK_QMARK] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_void] = ACTIONS(2362),
    [anon_sym_delete] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2362),
    [sym_number] = ACTIONS(2362),
    [sym_private_property_identifier] = ACTIONS(2362),
    [sym_this] = ACTIONS(2362),
    [sym_super] = ACTIONS(2362),
    [sym_true] = ACTIONS(2362),
    [sym_false] = ACTIONS(2362),
    [sym_null] = ACTIONS(2362),
    [sym_undefined] = ACTIONS(2362),
    [anon_sym_AT] = ACTIONS(2362),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2362),
    [anon_sym_get] = ACTIONS(2362),
    [anon_sym_set] = ACTIONS(2362),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_property] = ACTIONS(2362),
    [anon_sym_signal] = ACTIONS(2362),
    [anon_sym_on] = ACTIONS(2362),
    [anon_sym_required] = ACTIONS(2362),
    [anon_sym_component] = ACTIONS(2362),
    [anon_sym_abstract] = ACTIONS(2362),
    [anon_sym_satisfies] = ACTIONS(2364),
    [anon_sym_interface] = ACTIONS(2362),
    [anon_sym_enum] = ACTIONS(2362),
    [sym__automatic_semicolon] = ACTIONS(2700),
    [sym__ternary_qmark] = ACTIONS(2368),
    [sym_html_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_comment] = STATE(519),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_export] = ACTIONS(2370),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_type] = ACTIONS(2370),
    [anon_sym_as] = ACTIONS(2370),
    [anon_sym_namespace] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_import] = ACTIONS(2370),
    [anon_sym_from] = ACTIONS(2370),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_var] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_const] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_switch] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_await] = ACTIONS(2370),
    [anon_sym_in] = ACTIONS(2370),
    [anon_sym_of] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_debugger] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LTtemplate_GT] = ACTIONS(2370),
    [anon_sym_GT] = ACTIONS(2370),
    [anon_sym_DOT] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_async] = ACTIONS(2370),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_QMARK_DOT] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_using] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_GT_GT] = ACTIONS(2370),
    [anon_sym_GT_GT_GT] = ACTIONS(2370),
    [anon_sym_LT_LT] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_PIPE] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_SLASH] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_STAR_STAR] = ACTIONS(2370),
    [anon_sym_LT] = ACTIONS(2370),
    [anon_sym_LT_EQ] = ACTIONS(2370),
    [anon_sym_EQ_EQ] = ACTIONS(2370),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2370),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2370),
    [anon_sym_GT_EQ] = ACTIONS(2370),
    [anon_sym_QMARK_QMARK] = ACTIONS(2370),
    [anon_sym_instanceof] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2370),
    [sym_number] = ACTIONS(2370),
    [sym_private_property_identifier] = ACTIONS(2370),
    [sym_this] = ACTIONS(2370),
    [sym_super] = ACTIONS(2370),
    [sym_true] = ACTIONS(2370),
    [sym_false] = ACTIONS(2370),
    [sym_null] = ACTIONS(2370),
    [sym_undefined] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2370),
    [anon_sym_readonly] = ACTIONS(2370),
    [anon_sym_get] = ACTIONS(2370),
    [anon_sym_set] = ACTIONS(2370),
    [anon_sym_declare] = ACTIONS(2370),
    [anon_sym_public] = ACTIONS(2370),
    [anon_sym_private] = ACTIONS(2370),
    [anon_sym_protected] = ACTIONS(2370),
    [anon_sym_override] = ACTIONS(2370),
    [anon_sym_module] = ACTIONS(2370),
    [anon_sym_any] = ACTIONS(2370),
    [anon_sym_number] = ACTIONS(2370),
    [anon_sym_boolean] = ACTIONS(2370),
    [anon_sym_string] = ACTIONS(2370),
    [anon_sym_symbol] = ACTIONS(2370),
    [anon_sym_object] = ACTIONS(2370),
    [anon_sym_property] = ACTIONS(2370),
    [anon_sym_signal] = ACTIONS(2370),
    [anon_sym_on] = ACTIONS(2370),
    [anon_sym_required] = ACTIONS(2370),
    [anon_sym_component] = ACTIONS(2370),
    [anon_sym_abstract] = ACTIONS(2370),
    [anon_sym_satisfies] = ACTIONS(2370),
    [anon_sym_interface] = ACTIONS(2370),
    [anon_sym_enum] = ACTIONS(2370),
    [sym__automatic_semicolon] = ACTIONS(2372),
    [sym__ternary_qmark] = ACTIONS(2372),
    [sym_html_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3141),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7721),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(520),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(2702),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym__automatic_semicolon] = ACTIONS(2704),
    [sym_html_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_comment] = STATE(521),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_type] = ACTIONS(2458),
    [anon_sym_as] = ACTIONS(2460),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_COMMA] = ACTIONS(2460),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_typeof] = ACTIONS(2458),
    [anon_sym_import] = ACTIONS(2458),
    [anon_sym_from] = ACTIONS(2458),
    [anon_sym_with] = ACTIONS(2458),
    [anon_sym_var] = ACTIONS(2458),
    [anon_sym_let] = ACTIONS(2458),
    [anon_sym_const] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_switch] = ACTIONS(2458),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_LPAREN] = ACTIONS(2458),
    [anon_sym_await] = ACTIONS(2458),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_of] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(2458),
    [anon_sym_do] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2458),
    [anon_sym_break] = ACTIONS(2458),
    [anon_sym_continue] = ACTIONS(2458),
    [anon_sym_debugger] = ACTIONS(2458),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym_yield] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_LTtemplate_GT] = ACTIONS(2458),
    [anon_sym_GT] = ACTIONS(2460),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_class] = ACTIONS(2458),
    [anon_sym_async] = ACTIONS(2458),
    [anon_sym_function] = ACTIONS(2458),
    [anon_sym_QMARK_DOT] = ACTIONS(2460),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_using] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_GT_GT] = ACTIONS(2460),
    [anon_sym_GT_GT_GT] = ACTIONS(2460),
    [anon_sym_LT_LT] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_CARET] = ACTIONS(2460),
    [anon_sym_PIPE] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_SLASH] = ACTIONS(2458),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_STAR_STAR] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2458),
    [anon_sym_LT_EQ] = ACTIONS(2460),
    [anon_sym_EQ_EQ] = ACTIONS(2460),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2460),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2460),
    [anon_sym_GT_EQ] = ACTIONS(2460),
    [anon_sym_QMARK_QMARK] = ACTIONS(2460),
    [anon_sym_instanceof] = ACTIONS(2460),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_void] = ACTIONS(2458),
    [anon_sym_delete] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2458),
    [sym_number] = ACTIONS(2458),
    [sym_private_property_identifier] = ACTIONS(2458),
    [sym_this] = ACTIONS(2458),
    [sym_super] = ACTIONS(2458),
    [sym_true] = ACTIONS(2458),
    [sym_false] = ACTIONS(2458),
    [sym_null] = ACTIONS(2458),
    [sym_undefined] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_readonly] = ACTIONS(2458),
    [anon_sym_get] = ACTIONS(2458),
    [anon_sym_set] = ACTIONS(2458),
    [anon_sym_declare] = ACTIONS(2458),
    [anon_sym_public] = ACTIONS(2458),
    [anon_sym_private] = ACTIONS(2458),
    [anon_sym_protected] = ACTIONS(2458),
    [anon_sym_override] = ACTIONS(2458),
    [anon_sym_module] = ACTIONS(2458),
    [anon_sym_any] = ACTIONS(2458),
    [anon_sym_number] = ACTIONS(2458),
    [anon_sym_boolean] = ACTIONS(2458),
    [anon_sym_string] = ACTIONS(2458),
    [anon_sym_symbol] = ACTIONS(2458),
    [anon_sym_object] = ACTIONS(2458),
    [anon_sym_property] = ACTIONS(2458),
    [anon_sym_signal] = ACTIONS(2458),
    [anon_sym_on] = ACTIONS(2458),
    [anon_sym_required] = ACTIONS(2458),
    [anon_sym_component] = ACTIONS(2458),
    [anon_sym_abstract] = ACTIONS(2458),
    [anon_sym_satisfies] = ACTIONS(2460),
    [anon_sym_interface] = ACTIONS(2458),
    [anon_sym_enum] = ACTIONS(2458),
    [sym__automatic_semicolon] = ACTIONS(2706),
    [sym__ternary_qmark] = ACTIONS(2464),
    [sym_html_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_comment] = STATE(522),
    [sym_identifier] = ACTIONS(2338),
    [anon_sym_export] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_type] = ACTIONS(2338),
    [anon_sym_as] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2338),
    [anon_sym_RBRACE] = ACTIONS(2338),
    [anon_sym_typeof] = ACTIONS(2338),
    [anon_sym_import] = ACTIONS(2338),
    [anon_sym_from] = ACTIONS(2338),
    [anon_sym_with] = ACTIONS(2338),
    [anon_sym_var] = ACTIONS(2338),
    [anon_sym_let] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_BANG] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_LPAREN] = ACTIONS(2338),
    [anon_sym_await] = ACTIONS(2338),
    [anon_sym_in] = ACTIONS(2338),
    [anon_sym_of] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_debugger] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2338),
    [anon_sym_yield] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_LTtemplate_GT] = ACTIONS(2338),
    [anon_sym_GT] = ACTIONS(2338),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_async] = ACTIONS(2338),
    [anon_sym_function] = ACTIONS(2338),
    [anon_sym_QMARK_DOT] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_using] = ACTIONS(2338),
    [anon_sym_AMP_AMP] = ACTIONS(2338),
    [anon_sym_PIPE_PIPE] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_GT_GT_GT] = ACTIONS(2338),
    [anon_sym_LT_LT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(2338),
    [anon_sym_CARET] = ACTIONS(2338),
    [anon_sym_PIPE] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_SLASH] = ACTIONS(2338),
    [anon_sym_PERCENT] = ACTIONS(2338),
    [anon_sym_STAR_STAR] = ACTIONS(2338),
    [anon_sym_LT] = ACTIONS(2338),
    [anon_sym_LT_EQ] = ACTIONS(2338),
    [anon_sym_EQ_EQ] = ACTIONS(2338),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2338),
    [anon_sym_BANG_EQ] = ACTIONS(2338),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2338),
    [anon_sym_GT_EQ] = ACTIONS(2338),
    [anon_sym_QMARK_QMARK] = ACTIONS(2338),
    [anon_sym_instanceof] = ACTIONS(2338),
    [anon_sym_TILDE] = ACTIONS(2338),
    [anon_sym_void] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2338),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [sym_super] = ACTIONS(2338),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [sym_null] = ACTIONS(2338),
    [sym_undefined] = ACTIONS(2338),
    [anon_sym_AT] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_readonly] = ACTIONS(2338),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
    [anon_sym_declare] = ACTIONS(2338),
    [anon_sym_public] = ACTIONS(2338),
    [anon_sym_private] = ACTIONS(2338),
    [anon_sym_protected] = ACTIONS(2338),
    [anon_sym_override] = ACTIONS(2338),
    [anon_sym_module] = ACTIONS(2338),
    [anon_sym_any] = ACTIONS(2338),
    [anon_sym_number] = ACTIONS(2338),
    [anon_sym_boolean] = ACTIONS(2338),
    [anon_sym_string] = ACTIONS(2338),
    [anon_sym_symbol] = ACTIONS(2338),
    [anon_sym_object] = ACTIONS(2338),
    [anon_sym_property] = ACTIONS(2338),
    [anon_sym_signal] = ACTIONS(2338),
    [anon_sym_on] = ACTIONS(2338),
    [anon_sym_required] = ACTIONS(2338),
    [anon_sym_component] = ACTIONS(2338),
    [anon_sym_abstract] = ACTIONS(2338),
    [anon_sym_satisfies] = ACTIONS(2338),
    [anon_sym_interface] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(2340),
    [sym__ternary_qmark] = ACTIONS(2340),
    [sym_html_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_comment] = STATE(523),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_export] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_as] = ACTIONS(2452),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_typeof] = ACTIONS(2450),
    [anon_sym_import] = ACTIONS(2450),
    [anon_sym_from] = ACTIONS(2450),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_var] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_const] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_switch] = ACTIONS(2450),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_await] = ACTIONS(2450),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_of] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_break] = ACTIONS(2450),
    [anon_sym_continue] = ACTIONS(2450),
    [anon_sym_debugger] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_throw] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LTtemplate_GT] = ACTIONS(2450),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_class] = ACTIONS(2450),
    [anon_sym_async] = ACTIONS(2450),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_QMARK_DOT] = ACTIONS(2452),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_using] = ACTIONS(2450),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_PIPE_PIPE] = ACTIONS(2452),
    [anon_sym_GT_GT] = ACTIONS(2452),
    [anon_sym_GT_GT_GT] = ACTIONS(2452),
    [anon_sym_LT_LT] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_CARET] = ACTIONS(2452),
    [anon_sym_PIPE] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2452),
    [anon_sym_STAR_STAR] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2452),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_QMARK_QMARK] = ACTIONS(2452),
    [anon_sym_instanceof] = ACTIONS(2452),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_void] = ACTIONS(2450),
    [anon_sym_delete] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2450),
    [sym_number] = ACTIONS(2450),
    [sym_private_property_identifier] = ACTIONS(2450),
    [sym_this] = ACTIONS(2450),
    [sym_super] = ACTIONS(2450),
    [sym_true] = ACTIONS(2450),
    [sym_false] = ACTIONS(2450),
    [sym_null] = ACTIONS(2450),
    [sym_undefined] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2450),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_readonly] = ACTIONS(2450),
    [anon_sym_get] = ACTIONS(2450),
    [anon_sym_set] = ACTIONS(2450),
    [anon_sym_declare] = ACTIONS(2450),
    [anon_sym_public] = ACTIONS(2450),
    [anon_sym_private] = ACTIONS(2450),
    [anon_sym_protected] = ACTIONS(2450),
    [anon_sym_override] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_any] = ACTIONS(2450),
    [anon_sym_number] = ACTIONS(2450),
    [anon_sym_boolean] = ACTIONS(2450),
    [anon_sym_string] = ACTIONS(2450),
    [anon_sym_symbol] = ACTIONS(2450),
    [anon_sym_object] = ACTIONS(2450),
    [anon_sym_property] = ACTIONS(2450),
    [anon_sym_signal] = ACTIONS(2450),
    [anon_sym_on] = ACTIONS(2450),
    [anon_sym_required] = ACTIONS(2450),
    [anon_sym_component] = ACTIONS(2450),
    [anon_sym_abstract] = ACTIONS(2450),
    [anon_sym_satisfies] = ACTIONS(2452),
    [anon_sym_interface] = ACTIONS(2450),
    [anon_sym_enum] = ACTIONS(2450),
    [sym__automatic_semicolon] = ACTIONS(2708),
    [sym__ternary_qmark] = ACTIONS(2456),
    [sym_html_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_comment] = STATE(524),
    [sym_identifier] = ACTIONS(2402),
    [anon_sym_export] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_type] = ACTIONS(2402),
    [anon_sym_as] = ACTIONS(2404),
    [anon_sym_namespace] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_COMMA] = ACTIONS(2404),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [anon_sym_typeof] = ACTIONS(2402),
    [anon_sym_import] = ACTIONS(2402),
    [anon_sym_from] = ACTIONS(2402),
    [anon_sym_with] = ACTIONS(2402),
    [anon_sym_var] = ACTIONS(2402),
    [anon_sym_let] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(2402),
    [anon_sym_await] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2404),
    [anon_sym_of] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_try] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_debugger] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym_yield] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_LTtemplate_GT] = ACTIONS(2402),
    [anon_sym_GT] = ACTIONS(2404),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2402),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_async] = ACTIONS(2402),
    [anon_sym_function] = ACTIONS(2402),
    [anon_sym_QMARK_DOT] = ACTIONS(2404),
    [anon_sym_new] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_PIPE_PIPE] = ACTIONS(2404),
    [anon_sym_GT_GT] = ACTIONS(2404),
    [anon_sym_GT_GT_GT] = ACTIONS(2404),
    [anon_sym_LT_LT] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2404),
    [anon_sym_PIPE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_SLASH] = ACTIONS(2402),
    [anon_sym_PERCENT] = ACTIONS(2404),
    [anon_sym_STAR_STAR] = ACTIONS(2404),
    [anon_sym_LT] = ACTIONS(2402),
    [anon_sym_LT_EQ] = ACTIONS(2404),
    [anon_sym_EQ_EQ] = ACTIONS(2404),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2404),
    [anon_sym_BANG_EQ] = ACTIONS(2404),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2404),
    [anon_sym_GT_EQ] = ACTIONS(2404),
    [anon_sym_QMARK_QMARK] = ACTIONS(2404),
    [anon_sym_instanceof] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_void] = ACTIONS(2402),
    [anon_sym_delete] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2402),
    [sym_number] = ACTIONS(2402),
    [sym_private_property_identifier] = ACTIONS(2402),
    [sym_this] = ACTIONS(2402),
    [sym_super] = ACTIONS(2402),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [sym_null] = ACTIONS(2402),
    [sym_undefined] = ACTIONS(2402),
    [anon_sym_AT] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_readonly] = ACTIONS(2402),
    [anon_sym_get] = ACTIONS(2402),
    [anon_sym_set] = ACTIONS(2402),
    [anon_sym_declare] = ACTIONS(2402),
    [anon_sym_public] = ACTIONS(2402),
    [anon_sym_private] = ACTIONS(2402),
    [anon_sym_protected] = ACTIONS(2402),
    [anon_sym_override] = ACTIONS(2402),
    [anon_sym_module] = ACTIONS(2402),
    [anon_sym_any] = ACTIONS(2402),
    [anon_sym_number] = ACTIONS(2402),
    [anon_sym_boolean] = ACTIONS(2402),
    [anon_sym_string] = ACTIONS(2402),
    [anon_sym_symbol] = ACTIONS(2402),
    [anon_sym_object] = ACTIONS(2402),
    [anon_sym_property] = ACTIONS(2402),
    [anon_sym_signal] = ACTIONS(2402),
    [anon_sym_on] = ACTIONS(2402),
    [anon_sym_required] = ACTIONS(2402),
    [anon_sym_component] = ACTIONS(2402),
    [anon_sym_abstract] = ACTIONS(2402),
    [anon_sym_satisfies] = ACTIONS(2404),
    [anon_sym_interface] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [sym__automatic_semicolon] = ACTIONS(2710),
    [sym__ternary_qmark] = ACTIONS(2408),
    [sym_html_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_comment] = STATE(525),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_export] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_type] = ACTIONS(2442),
    [anon_sym_as] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_typeof] = ACTIONS(2442),
    [anon_sym_import] = ACTIONS(2442),
    [anon_sym_from] = ACTIONS(2442),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_var] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_switch] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_await] = ACTIONS(2442),
    [anon_sym_in] = ACTIONS(2442),
    [anon_sym_of] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_break] = ACTIONS(2442),
    [anon_sym_continue] = ACTIONS(2442),
    [anon_sym_debugger] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LTtemplate_GT] = ACTIONS(2442),
    [anon_sym_GT] = ACTIONS(2442),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_async] = ACTIONS(2442),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_QMARK_DOT] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_GT_GT] = ACTIONS(2442),
    [anon_sym_GT_GT_GT] = ACTIONS(2442),
    [anon_sym_LT_LT] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_CARET] = ACTIONS(2442),
    [anon_sym_PIPE] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_STAR_STAR] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_LT_EQ] = ACTIONS(2442),
    [anon_sym_EQ_EQ] = ACTIONS(2442),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2442),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2442),
    [anon_sym_GT_EQ] = ACTIONS(2442),
    [anon_sym_QMARK_QMARK] = ACTIONS(2442),
    [anon_sym_instanceof] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_void] = ACTIONS(2442),
    [anon_sym_delete] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2442),
    [sym_number] = ACTIONS(2442),
    [sym_private_property_identifier] = ACTIONS(2442),
    [sym_this] = ACTIONS(2442),
    [sym_super] = ACTIONS(2442),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [sym_null] = ACTIONS(2442),
    [sym_undefined] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_readonly] = ACTIONS(2442),
    [anon_sym_get] = ACTIONS(2442),
    [anon_sym_set] = ACTIONS(2442),
    [anon_sym_declare] = ACTIONS(2442),
    [anon_sym_public] = ACTIONS(2442),
    [anon_sym_private] = ACTIONS(2442),
    [anon_sym_protected] = ACTIONS(2442),
    [anon_sym_override] = ACTIONS(2442),
    [anon_sym_module] = ACTIONS(2442),
    [anon_sym_any] = ACTIONS(2442),
    [anon_sym_number] = ACTIONS(2442),
    [anon_sym_boolean] = ACTIONS(2442),
    [anon_sym_string] = ACTIONS(2442),
    [anon_sym_symbol] = ACTIONS(2442),
    [anon_sym_object] = ACTIONS(2442),
    [anon_sym_property] = ACTIONS(2442),
    [anon_sym_signal] = ACTIONS(2442),
    [anon_sym_on] = ACTIONS(2442),
    [anon_sym_required] = ACTIONS(2442),
    [anon_sym_component] = ACTIONS(2442),
    [anon_sym_abstract] = ACTIONS(2442),
    [anon_sym_satisfies] = ACTIONS(2442),
    [anon_sym_interface] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [sym__automatic_semicolon] = ACTIONS(2444),
    [sym__ternary_qmark] = ACTIONS(2444),
    [sym_html_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3293),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8250),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(526),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2712),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3152),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8349),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(527),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2714),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2546),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2546),
    [sym_subscript_expression] = STATE(2546),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(7143),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(528),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2546),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2716),
    [anon_sym_export] = ACTIONS(2718),
    [anon_sym_type] = ACTIONS(2718),
    [anon_sym_namespace] = ACTIONS(2720),
    [anon_sym_LBRACE] = ACTIONS(2722),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2718),
    [anon_sym_var] = ACTIONS(2724),
    [anon_sym_let] = ACTIONS(2726),
    [anon_sym_const] = ACTIONS(2728),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(2718),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(2730),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(2732),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2734),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2736),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2718),
    [anon_sym_readonly] = ACTIONS(2718),
    [anon_sym_get] = ACTIONS(2718),
    [anon_sym_set] = ACTIONS(2718),
    [anon_sym_declare] = ACTIONS(2718),
    [anon_sym_public] = ACTIONS(2718),
    [anon_sym_private] = ACTIONS(2718),
    [anon_sym_protected] = ACTIONS(2718),
    [anon_sym_override] = ACTIONS(2718),
    [anon_sym_module] = ACTIONS(2718),
    [anon_sym_any] = ACTIONS(2718),
    [anon_sym_number] = ACTIONS(2718),
    [anon_sym_boolean] = ACTIONS(2718),
    [anon_sym_string] = ACTIONS(2718),
    [anon_sym_symbol] = ACTIONS(2718),
    [anon_sym_object] = ACTIONS(2718),
    [anon_sym_property] = ACTIONS(2718),
    [anon_sym_signal] = ACTIONS(2718),
    [anon_sym_on] = ACTIONS(2718),
    [anon_sym_required] = ACTIONS(2718),
    [anon_sym_component] = ACTIONS(2718),
    [sym_html_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3268),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8517),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(529),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2738),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3279),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8523),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(530),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(2740),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3279),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8523),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(531),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_EQ_GT] = ACTIONS(2742),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3168),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8285),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(532),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2744),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3280),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8456),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(533),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2746),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3223),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8366),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(534),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2748),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3282),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8671),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(535),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(2750),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3019),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3189),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(536),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_import] = STATE(5160),
    [sym_statement_block] = STATE(3547),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3057),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(537),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3019),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3641),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(538),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3021),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3642),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(539),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3105),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3649),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(540),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_import] = STATE(5160),
    [sym_statement_block] = STATE(3585),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3139),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(541),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3123),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3665),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(542),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3050),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3670),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(543),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3105),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3648),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(544),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3021),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3646),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(545),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3019),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3645),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(546),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3012),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3638),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(547),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2930),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8486),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(548),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2815),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8557),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(549),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3068),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7683),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(550),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3041),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8025),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(551),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3012),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3196),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(552),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3262),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8232),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(553),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3261),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8212),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(554),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3259),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8224),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(555),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2909),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8664),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(556),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8213),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(557),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3021),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3172),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(558),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3258),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8203),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(559),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3113),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7990),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(560),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_import] = STATE(5160),
    [sym_statement_block] = STATE(3720),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2998),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(561),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3166),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(562),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym__extends_clause_single] = STATE(6350),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3123),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3696),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(563),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3105),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3192),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(564),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_import] = STATE(5160),
    [sym_statement_block] = STATE(3547),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3048),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(565),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_import] = STATE(5160),
    [sym_statement_block] = STATE(3551),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3064),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(566),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3050),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3709),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(567),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_import] = STATE(5160),
    [sym_statement_block] = STATE(3590),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3088),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(568),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3050),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3715),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(569),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3123),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3730),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(570),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_import] = STATE(5160),
    [sym_statement_block] = STATE(3570),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3060),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(571),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3105),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3707),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(572),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_import] = STATE(5160),
    [sym_statement_block] = STATE(3570),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3080),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(573),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3295),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8614),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(574),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3021),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3702),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(575),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3019),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3699),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(576),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3012),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3695),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(577),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(2758),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_import] = STATE(5160),
    [sym_statement_block] = STATE(3551),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3059),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(578),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3012),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3637),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(579),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3123),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3217),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(580),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3211),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8221),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(581),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3290),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8576),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(582),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3235),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8217),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(583),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3269),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8519),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(584),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_import] = STATE(5160),
    [sym_statement_block] = STATE(3547),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3508),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(585),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3050),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3302),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(586),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_import] = STATE(5160),
    [sym_statement_block] = STATE(3585),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3086),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(587),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [588] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3279),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8523),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(588),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [589] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3135),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7722),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(589),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [590] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3050),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3861),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(590),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [591] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3581),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(591),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_mapped_type_clause] = STATE(8634),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2760),
    [anon_sym_export] = ACTIONS(2762),
    [anon_sym_type] = ACTIONS(2762),
    [anon_sym_namespace] = ACTIONS(2764),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2762),
    [anon_sym_let] = ACTIONS(2762),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(2762),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(2766),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2768),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_readonly] = ACTIONS(2762),
    [anon_sym_get] = ACTIONS(2762),
    [anon_sym_set] = ACTIONS(2762),
    [anon_sym_declare] = ACTIONS(2762),
    [anon_sym_public] = ACTIONS(2762),
    [anon_sym_private] = ACTIONS(2762),
    [anon_sym_protected] = ACTIONS(2762),
    [anon_sym_override] = ACTIONS(2762),
    [anon_sym_module] = ACTIONS(2762),
    [anon_sym_any] = ACTIONS(2762),
    [anon_sym_number] = ACTIONS(2762),
    [anon_sym_boolean] = ACTIONS(2762),
    [anon_sym_string] = ACTIONS(2762),
    [anon_sym_symbol] = ACTIONS(2762),
    [anon_sym_object] = ACTIONS(2762),
    [anon_sym_property] = ACTIONS(2762),
    [anon_sym_signal] = ACTIONS(2762),
    [anon_sym_on] = ACTIONS(2762),
    [anon_sym_required] = ACTIONS(2762),
    [anon_sym_component] = ACTIONS(2762),
    [sym_html_comment] = ACTIONS(5),
  },
  [592] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3581),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(592),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_mapped_type_clause] = STATE(8709),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2770),
    [anon_sym_export] = ACTIONS(2772),
    [anon_sym_type] = ACTIONS(2772),
    [anon_sym_namespace] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2772),
    [anon_sym_let] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(2772),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(2776),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2778),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2772),
    [anon_sym_readonly] = ACTIONS(2772),
    [anon_sym_get] = ACTIONS(2772),
    [anon_sym_set] = ACTIONS(2772),
    [anon_sym_declare] = ACTIONS(2772),
    [anon_sym_public] = ACTIONS(2772),
    [anon_sym_private] = ACTIONS(2772),
    [anon_sym_protected] = ACTIONS(2772),
    [anon_sym_override] = ACTIONS(2772),
    [anon_sym_module] = ACTIONS(2772),
    [anon_sym_any] = ACTIONS(2772),
    [anon_sym_number] = ACTIONS(2772),
    [anon_sym_boolean] = ACTIONS(2772),
    [anon_sym_string] = ACTIONS(2772),
    [anon_sym_symbol] = ACTIONS(2772),
    [anon_sym_object] = ACTIONS(2772),
    [anon_sym_property] = ACTIONS(2772),
    [anon_sym_signal] = ACTIONS(2772),
    [anon_sym_on] = ACTIONS(2772),
    [anon_sym_required] = ACTIONS(2772),
    [anon_sym_component] = ACTIONS(2772),
    [sym_html_comment] = ACTIONS(5),
  },
  [593] = {
    [sym_import] = STATE(5160),
    [sym_statement_block] = STATE(3551),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3509),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(593),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [594] = {
    [sym_import] = STATE(5160),
    [sym_statement_block] = STATE(3570),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3425),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(594),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [595] = {
    [sym_import] = STATE(5160),
    [sym_statement_block] = STATE(3590),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3413),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(595),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [596] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3071),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(8099),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(596),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [597] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2858),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8752),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(597),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [598] = {
    [sym_import] = STATE(5160),
    [sym_statement_block] = STATE(3590),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3122),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(598),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [599] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3166),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(599),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym__extends_clause_single] = STATE(6599),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [600] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3012),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2947),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(600),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [601] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3012),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3771),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(601),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [602] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3183),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8426),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(602),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [603] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3019),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3770),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(603),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [604] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3296),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8546),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(604),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [605] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3021),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3769),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(605),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [606] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3019),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2948),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(606),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [607] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3021),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2949),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(607),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [608] = {
    [sym_import] = STATE(5160),
    [sym_statement_block] = STATE(3585),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3339),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(608),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [609] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3121),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7548),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(609),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [610] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2905),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8686),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(610),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [611] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3105),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2954),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(611),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [612] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3025),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_sequence_expression] = STATE(7442),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(612),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [613] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2915),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8603),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(613),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [614] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3123),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2969),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(614),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [615] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3105),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3779),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(615),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [616] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3050),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2977),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(616),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [617] = {
    [sym_import] = STATE(5160),
    [sym_statement_block] = STATE(3720),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(2985),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(617),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [618] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2916),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8586),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(618),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [619] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3151),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8365),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(619),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [620] = {
    [sym_import] = STATE(5160),
    [sym_statement_block] = STATE(3720),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3376),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(620),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [621] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2918),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_sequence_expression] = STATE(8567),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(621),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [622] = {
    [sym_import] = STATE(5026),
    [sym_statement_block] = STATE(3123),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3818),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(622),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [623] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3633),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(623),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [624] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3690),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(624),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [625] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3765),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(625),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [626] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3838),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(626),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [627] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3558),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(627),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [628] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3040),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(628),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [629] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3775),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(629),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(2780),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [630] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2585),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2585),
    [sym_subscript_expression] = STATE(2585),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8543),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(630),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2585),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2782),
    [anon_sym_export] = ACTIONS(2784),
    [anon_sym_type] = ACTIONS(2784),
    [anon_sym_namespace] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2784),
    [anon_sym_let] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(2784),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(2788),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2790),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2784),
    [anon_sym_readonly] = ACTIONS(2784),
    [anon_sym_get] = ACTIONS(2784),
    [anon_sym_set] = ACTIONS(2784),
    [anon_sym_declare] = ACTIONS(2784),
    [anon_sym_public] = ACTIONS(2784),
    [anon_sym_private] = ACTIONS(2784),
    [anon_sym_protected] = ACTIONS(2784),
    [anon_sym_override] = ACTIONS(2784),
    [anon_sym_module] = ACTIONS(2784),
    [anon_sym_any] = ACTIONS(2784),
    [anon_sym_number] = ACTIONS(2784),
    [anon_sym_boolean] = ACTIONS(2784),
    [anon_sym_string] = ACTIONS(2784),
    [anon_sym_symbol] = ACTIONS(2784),
    [anon_sym_object] = ACTIONS(2784),
    [anon_sym_property] = ACTIONS(2784),
    [anon_sym_signal] = ACTIONS(2784),
    [anon_sym_on] = ACTIONS(2784),
    [anon_sym_required] = ACTIONS(2784),
    [anon_sym_component] = ACTIONS(2784),
    [sym_html_comment] = ACTIONS(5),
  },
  [631] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2973),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(631),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(2794),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [632] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3248),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(632),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [633] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3858),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(633),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [634] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3167),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(634),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [635] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3605),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(635),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [636] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3581),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(636),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [637] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3843),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(637),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [638] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3819),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(638),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [639] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3817),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(639),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [640] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3813),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(640),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [641] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2936),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(641),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [642] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3362),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(642),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [643] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3005),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(643),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [644] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3355),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(644),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [645] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3349),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(645),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [646] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3811),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(646),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [647] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3265),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(647),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(2780),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [648] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3810),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(648),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [649] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3809),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(649),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [650] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3808),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(650),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [651] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3031),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(651),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [652] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3807),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(652),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [653] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3806),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(653),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [654] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3805),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(654),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [655] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3804),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(655),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [656] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3565),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(656),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [657] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3785),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(657),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [658] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2578),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2578),
    [sym_subscript_expression] = STATE(2578),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8573),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(658),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2578),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2796),
    [anon_sym_export] = ACTIONS(2798),
    [anon_sym_type] = ACTIONS(2798),
    [anon_sym_namespace] = ACTIONS(2800),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2798),
    [anon_sym_let] = ACTIONS(2798),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(2798),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(2802),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2804),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2806),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_readonly] = ACTIONS(2798),
    [anon_sym_get] = ACTIONS(2798),
    [anon_sym_set] = ACTIONS(2798),
    [anon_sym_declare] = ACTIONS(2798),
    [anon_sym_public] = ACTIONS(2798),
    [anon_sym_private] = ACTIONS(2798),
    [anon_sym_protected] = ACTIONS(2798),
    [anon_sym_override] = ACTIONS(2798),
    [anon_sym_module] = ACTIONS(2798),
    [anon_sym_any] = ACTIONS(2798),
    [anon_sym_number] = ACTIONS(2798),
    [anon_sym_boolean] = ACTIONS(2798),
    [anon_sym_string] = ACTIONS(2798),
    [anon_sym_symbol] = ACTIONS(2798),
    [anon_sym_object] = ACTIONS(2798),
    [anon_sym_property] = ACTIONS(2798),
    [anon_sym_signal] = ACTIONS(2798),
    [anon_sym_on] = ACTIONS(2798),
    [anon_sym_required] = ACTIONS(2798),
    [anon_sym_component] = ACTIONS(2798),
    [sym_html_comment] = ACTIONS(5),
  },
  [659] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2976),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(659),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [660] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3835),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(660),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [661] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(2990),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(661),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [662] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3567),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(662),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(2780),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [663] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2979),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(663),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [664] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3706),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(664),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [665] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2978),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(665),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [666] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3778),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(666),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [667] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3035),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(667),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [668] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3630),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(668),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [669] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2972),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(669),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [670] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2970),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(670),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [671] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(2993),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(671),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [672] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3095),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(672),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [673] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2576),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2576),
    [sym_subscript_expression] = STATE(2576),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8234),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(673),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2576),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2808),
    [anon_sym_export] = ACTIONS(2810),
    [anon_sym_type] = ACTIONS(2810),
    [anon_sym_namespace] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2810),
    [anon_sym_let] = ACTIONS(2810),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(2810),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(2814),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2816),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2818),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2810),
    [anon_sym_readonly] = ACTIONS(2810),
    [anon_sym_get] = ACTIONS(2810),
    [anon_sym_set] = ACTIONS(2810),
    [anon_sym_declare] = ACTIONS(2810),
    [anon_sym_public] = ACTIONS(2810),
    [anon_sym_private] = ACTIONS(2810),
    [anon_sym_protected] = ACTIONS(2810),
    [anon_sym_override] = ACTIONS(2810),
    [anon_sym_module] = ACTIONS(2810),
    [anon_sym_any] = ACTIONS(2810),
    [anon_sym_number] = ACTIONS(2810),
    [anon_sym_boolean] = ACTIONS(2810),
    [anon_sym_string] = ACTIONS(2810),
    [anon_sym_symbol] = ACTIONS(2810),
    [anon_sym_object] = ACTIONS(2810),
    [anon_sym_property] = ACTIONS(2810),
    [anon_sym_signal] = ACTIONS(2810),
    [anon_sym_on] = ACTIONS(2810),
    [anon_sym_required] = ACTIONS(2810),
    [anon_sym_component] = ACTIONS(2810),
    [sym_html_comment] = ACTIONS(5),
  },
  [674] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2968),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(674),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [675] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2967),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(675),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [676] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2965),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(676),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [677] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2964),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(677),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [678] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2962),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(678),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [679] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3324),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(679),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [680] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2961),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(680),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [681] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2960),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(681),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [682] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2959),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(682),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [683] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2958),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(683),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [684] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2957),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(684),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [685] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3286),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(685),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [686] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2956),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(686),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [687] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2955),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(687),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [688] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2953),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(688),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [689] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3634),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(689),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [690] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2579),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2579),
    [sym_subscript_expression] = STATE(2579),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8208),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(690),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2579),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2820),
    [anon_sym_export] = ACTIONS(2822),
    [anon_sym_type] = ACTIONS(2822),
    [anon_sym_namespace] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2822),
    [anon_sym_let] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(2822),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(2826),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2830),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2822),
    [anon_sym_readonly] = ACTIONS(2822),
    [anon_sym_get] = ACTIONS(2822),
    [anon_sym_set] = ACTIONS(2822),
    [anon_sym_declare] = ACTIONS(2822),
    [anon_sym_public] = ACTIONS(2822),
    [anon_sym_private] = ACTIONS(2822),
    [anon_sym_protected] = ACTIONS(2822),
    [anon_sym_override] = ACTIONS(2822),
    [anon_sym_module] = ACTIONS(2822),
    [anon_sym_any] = ACTIONS(2822),
    [anon_sym_number] = ACTIONS(2822),
    [anon_sym_boolean] = ACTIONS(2822),
    [anon_sym_string] = ACTIONS(2822),
    [anon_sym_symbol] = ACTIONS(2822),
    [anon_sym_object] = ACTIONS(2822),
    [anon_sym_property] = ACTIONS(2822),
    [anon_sym_signal] = ACTIONS(2822),
    [anon_sym_on] = ACTIONS(2822),
    [anon_sym_required] = ACTIONS(2822),
    [anon_sym_component] = ACTIONS(2822),
    [sym_html_comment] = ACTIONS(5),
  },
  [691] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3844),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(691),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [692] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3775),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(692),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [693] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3270),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(693),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [694] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3775),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(694),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(2832),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [695] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3772),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(695),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [696] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3773),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(696),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [697] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2946),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(697),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [698] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2945),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(698),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [699] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3055),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(699),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(2834),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [700] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3587),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(700),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [701] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2582),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2582),
    [sym_subscript_expression] = STATE(2582),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8633),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(701),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2582),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_export] = ACTIONS(2838),
    [anon_sym_type] = ACTIONS(2838),
    [anon_sym_namespace] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2838),
    [anon_sym_let] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(2838),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(2842),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2846),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2838),
    [anon_sym_readonly] = ACTIONS(2838),
    [anon_sym_get] = ACTIONS(2838),
    [anon_sym_set] = ACTIONS(2838),
    [anon_sym_declare] = ACTIONS(2838),
    [anon_sym_public] = ACTIONS(2838),
    [anon_sym_private] = ACTIONS(2838),
    [anon_sym_protected] = ACTIONS(2838),
    [anon_sym_override] = ACTIONS(2838),
    [anon_sym_module] = ACTIONS(2838),
    [anon_sym_any] = ACTIONS(2838),
    [anon_sym_number] = ACTIONS(2838),
    [anon_sym_boolean] = ACTIONS(2838),
    [anon_sym_string] = ACTIONS(2838),
    [anon_sym_symbol] = ACTIONS(2838),
    [anon_sym_object] = ACTIONS(2838),
    [anon_sym_property] = ACTIONS(2838),
    [anon_sym_signal] = ACTIONS(2838),
    [anon_sym_on] = ACTIONS(2838),
    [anon_sym_required] = ACTIONS(2838),
    [anon_sym_component] = ACTIONS(2838),
    [sym_html_comment] = ACTIONS(5),
  },
  [702] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3055),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(702),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [703] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2944),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(703),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [704] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3061),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(704),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [705] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2587),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2587),
    [sym_subscript_expression] = STATE(2587),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8331),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(705),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2587),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2848),
    [anon_sym_export] = ACTIONS(2850),
    [anon_sym_type] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2850),
    [anon_sym_let] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(2850),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(2854),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2856),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2858),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_readonly] = ACTIONS(2850),
    [anon_sym_get] = ACTIONS(2850),
    [anon_sym_set] = ACTIONS(2850),
    [anon_sym_declare] = ACTIONS(2850),
    [anon_sym_public] = ACTIONS(2850),
    [anon_sym_private] = ACTIONS(2850),
    [anon_sym_protected] = ACTIONS(2850),
    [anon_sym_override] = ACTIONS(2850),
    [anon_sym_module] = ACTIONS(2850),
    [anon_sym_any] = ACTIONS(2850),
    [anon_sym_number] = ACTIONS(2850),
    [anon_sym_boolean] = ACTIONS(2850),
    [anon_sym_string] = ACTIONS(2850),
    [anon_sym_symbol] = ACTIONS(2850),
    [anon_sym_object] = ACTIONS(2850),
    [anon_sym_property] = ACTIONS(2850),
    [anon_sym_signal] = ACTIONS(2850),
    [anon_sym_on] = ACTIONS(2850),
    [anon_sym_required] = ACTIONS(2850),
    [anon_sym_component] = ACTIONS(2850),
    [sym_html_comment] = ACTIONS(5),
  },
  [706] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3856),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(706),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [707] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3227),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(707),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [708] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3522),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(708),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [709] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3260),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(709),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [710] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3239),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(710),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [711] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2581),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2581),
    [sym_subscript_expression] = STATE(2581),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8298),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(711),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2581),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2860),
    [anon_sym_export] = ACTIONS(2862),
    [anon_sym_type] = ACTIONS(2862),
    [anon_sym_namespace] = ACTIONS(2864),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2862),
    [anon_sym_let] = ACTIONS(2862),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(2862),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(2866),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2868),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2870),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2862),
    [anon_sym_readonly] = ACTIONS(2862),
    [anon_sym_get] = ACTIONS(2862),
    [anon_sym_set] = ACTIONS(2862),
    [anon_sym_declare] = ACTIONS(2862),
    [anon_sym_public] = ACTIONS(2862),
    [anon_sym_private] = ACTIONS(2862),
    [anon_sym_protected] = ACTIONS(2862),
    [anon_sym_override] = ACTIONS(2862),
    [anon_sym_module] = ACTIONS(2862),
    [anon_sym_any] = ACTIONS(2862),
    [anon_sym_number] = ACTIONS(2862),
    [anon_sym_boolean] = ACTIONS(2862),
    [anon_sym_string] = ACTIONS(2862),
    [anon_sym_symbol] = ACTIONS(2862),
    [anon_sym_object] = ACTIONS(2862),
    [anon_sym_property] = ACTIONS(2862),
    [anon_sym_signal] = ACTIONS(2862),
    [anon_sym_on] = ACTIONS(2862),
    [anon_sym_required] = ACTIONS(2862),
    [anon_sym_component] = ACTIONS(2862),
    [sym_html_comment] = ACTIONS(5),
  },
  [712] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2973),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(712),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [713] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2974),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(713),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [714] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3303),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(714),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [715] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3599),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(715),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(2780),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [716] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3078),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(716),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [717] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2361),
    [sym_subscript_expression] = STATE(2361),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5394),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(717),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2361),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2872),
    [anon_sym_export] = ACTIONS(1907),
    [anon_sym_type] = ACTIONS(1907),
    [anon_sym_namespace] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1907),
    [anon_sym_let] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1907),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1917),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2874),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2876),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1907),
    [anon_sym_readonly] = ACTIONS(1907),
    [anon_sym_get] = ACTIONS(1907),
    [anon_sym_set] = ACTIONS(1907),
    [anon_sym_declare] = ACTIONS(1907),
    [anon_sym_public] = ACTIONS(1907),
    [anon_sym_private] = ACTIONS(1907),
    [anon_sym_protected] = ACTIONS(1907),
    [anon_sym_override] = ACTIONS(1907),
    [anon_sym_module] = ACTIONS(1907),
    [anon_sym_any] = ACTIONS(1907),
    [anon_sym_number] = ACTIONS(1907),
    [anon_sym_boolean] = ACTIONS(1907),
    [anon_sym_string] = ACTIONS(1907),
    [anon_sym_symbol] = ACTIONS(1907),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_property] = ACTIONS(1907),
    [anon_sym_signal] = ACTIONS(1907),
    [anon_sym_on] = ACTIONS(1907),
    [anon_sym_required] = ACTIONS(1907),
    [anon_sym_component] = ACTIONS(1907),
    [sym_html_comment] = ACTIONS(5),
  },
  [718] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3644),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(718),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [719] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3599),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(719),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [720] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3291),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(720),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [721] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3218),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(721),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [722] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3216),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(722),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [723] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3039),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(723),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [724] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3038),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(724),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [725] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3215),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(725),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [726] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3682),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(726),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [727] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3214),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(727),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [728] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3692),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(728),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [729] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3693),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(729),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [730] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3241),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(730),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [731] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2994),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(731),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [732] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3753),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(732),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [733] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3213),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(733),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [734] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3703),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(734),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [735] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3708),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(735),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [736] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3006),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(736),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [737] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3566),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(737),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [738] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3567),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(738),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [739] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3710),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(739),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [740] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3718),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(740),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [741] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3719),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(741),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [742] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3721),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(742),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [743] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3726),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(743),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [744] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3727),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(744),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [745] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3737),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(745),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [746] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3741),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(746),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [747] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3748),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(747),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [748] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3506),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(748),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [749] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3744),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(749),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [750] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3732),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(750),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [751] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3728),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(751),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [752] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3347),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(752),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [753] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3717),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(753),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [754] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2265),
    [sym_expression] = STATE(3775),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2265),
    [sym_subscript_expression] = STATE(2265),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8341),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(754),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2265),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1299),
    [anon_sym_export] = ACTIONS(1301),
    [anon_sym_type] = ACTIONS(1301),
    [anon_sym_namespace] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1311),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(2878),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_readonly] = ACTIONS(1301),
    [anon_sym_get] = ACTIONS(1301),
    [anon_sym_set] = ACTIONS(1301),
    [anon_sym_declare] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_override] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_any] = ACTIONS(1301),
    [anon_sym_number] = ACTIONS(1301),
    [anon_sym_boolean] = ACTIONS(1301),
    [anon_sym_string] = ACTIONS(1301),
    [anon_sym_symbol] = ACTIONS(1301),
    [anon_sym_object] = ACTIONS(1301),
    [anon_sym_property] = ACTIONS(1301),
    [anon_sym_signal] = ACTIONS(1301),
    [anon_sym_on] = ACTIONS(1301),
    [anon_sym_required] = ACTIONS(1301),
    [anon_sym_component] = ACTIONS(1301),
    [sym_html_comment] = ACTIONS(5),
  },
  [755] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3170),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(755),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [756] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3705),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(756),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [757] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2580),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2580),
    [sym_subscript_expression] = STATE(2580),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8257),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(757),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2580),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2880),
    [anon_sym_export] = ACTIONS(2882),
    [anon_sym_type] = ACTIONS(2882),
    [anon_sym_namespace] = ACTIONS(2884),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2882),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(2882),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(2886),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2888),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2890),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2882),
    [anon_sym_readonly] = ACTIONS(2882),
    [anon_sym_get] = ACTIONS(2882),
    [anon_sym_set] = ACTIONS(2882),
    [anon_sym_declare] = ACTIONS(2882),
    [anon_sym_public] = ACTIONS(2882),
    [anon_sym_private] = ACTIONS(2882),
    [anon_sym_protected] = ACTIONS(2882),
    [anon_sym_override] = ACTIONS(2882),
    [anon_sym_module] = ACTIONS(2882),
    [anon_sym_any] = ACTIONS(2882),
    [anon_sym_number] = ACTIONS(2882),
    [anon_sym_boolean] = ACTIONS(2882),
    [anon_sym_string] = ACTIONS(2882),
    [anon_sym_symbol] = ACTIONS(2882),
    [anon_sym_object] = ACTIONS(2882),
    [anon_sym_property] = ACTIONS(2882),
    [anon_sym_signal] = ACTIONS(2882),
    [anon_sym_on] = ACTIONS(2882),
    [anon_sym_required] = ACTIONS(2882),
    [anon_sym_component] = ACTIONS(2882),
    [sym_html_comment] = ACTIONS(5),
  },
  [758] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3428),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(758),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [759] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3387),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(759),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [760] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3697),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(760),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [761] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3212),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(761),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [762] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3380),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(762),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [763] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3210),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(763),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [764] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3208),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(764),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [765] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3207),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(765),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [766] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2973),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(766),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(2780),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [767] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3202),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(767),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [768] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3346),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(768),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [769] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3278),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(769),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [770] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3201),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(770),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [771] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3197),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(771),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [772] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3338),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(772),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [773] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3352),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(773),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [774] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3384),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(774),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [775] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3195),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(775),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [776] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3745),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(776),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [777] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3365),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(777),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [778] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3191),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(778),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [779] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3739),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(779),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [780] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3000),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(780),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [781] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3385),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(781),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [782] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2973),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(782),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(2832),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [783] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3294),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(783),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [784] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3199),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(784),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [785] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3386),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(785),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [786] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3390),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(786),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [787] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3200),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(787),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [788] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3083),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(788),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(2834),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [789] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3129),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(789),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [790] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2589),
    [sym_expression] = STATE(3791),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8344),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2589),
    [sym_subscript_expression] = STATE(2589),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4686),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8470),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(790),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2589),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(626),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2892),
    [anon_sym_export] = ACTIONS(2894),
    [anon_sym_type] = ACTIONS(2894),
    [anon_sym_namespace] = ACTIONS(2896),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(2894),
    [anon_sym_let] = ACTIONS(2894),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(48),
    [anon_sym_of] = ACTIONS(2894),
    [anon_sym_yield] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(2898),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2900),
    [anon_sym_using] = ACTIONS(70),
    [anon_sym_PLUS] = ACTIONS(87),
    [anon_sym_DASH] = ACTIONS(87),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(87),
    [anon_sym_void] = ACTIONS(87),
    [anon_sym_delete] = ACTIONS(87),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(98),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2902),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(2894),
    [anon_sym_readonly] = ACTIONS(2894),
    [anon_sym_get] = ACTIONS(2894),
    [anon_sym_set] = ACTIONS(2894),
    [anon_sym_declare] = ACTIONS(2894),
    [anon_sym_public] = ACTIONS(2894),
    [anon_sym_private] = ACTIONS(2894),
    [anon_sym_protected] = ACTIONS(2894),
    [anon_sym_override] = ACTIONS(2894),
    [anon_sym_module] = ACTIONS(2894),
    [anon_sym_any] = ACTIONS(2894),
    [anon_sym_number] = ACTIONS(2894),
    [anon_sym_boolean] = ACTIONS(2894),
    [anon_sym_string] = ACTIONS(2894),
    [anon_sym_symbol] = ACTIONS(2894),
    [anon_sym_object] = ACTIONS(2894),
    [anon_sym_property] = ACTIONS(2894),
    [anon_sym_signal] = ACTIONS(2894),
    [anon_sym_on] = ACTIONS(2894),
    [anon_sym_required] = ACTIONS(2894),
    [anon_sym_component] = ACTIONS(2894),
    [sym_html_comment] = ACTIONS(5),
  },
  [791] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3397),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(791),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [792] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3455),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(792),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [793] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3402),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(793),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [794] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3403),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(794),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [795] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3615),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(795),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(2780),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [796] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3146),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(796),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [797] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3076),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2447),
    [sym_subscript_expression] = STATE(2447),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(5903),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(797),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2447),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2904),
    [anon_sym_export] = ACTIONS(1937),
    [anon_sym_type] = ACTIONS(1937),
    [anon_sym_namespace] = ACTIONS(1939),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1937),
    [anon_sym_let] = ACTIONS(1937),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1937),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1943),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2908),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1937),
    [anon_sym_readonly] = ACTIONS(1937),
    [anon_sym_get] = ACTIONS(1937),
    [anon_sym_set] = ACTIONS(1937),
    [anon_sym_declare] = ACTIONS(1937),
    [anon_sym_public] = ACTIONS(1937),
    [anon_sym_private] = ACTIONS(1937),
    [anon_sym_protected] = ACTIONS(1937),
    [anon_sym_override] = ACTIONS(1937),
    [anon_sym_module] = ACTIONS(1937),
    [anon_sym_any] = ACTIONS(1937),
    [anon_sym_number] = ACTIONS(1937),
    [anon_sym_boolean] = ACTIONS(1937),
    [anon_sym_string] = ACTIONS(1937),
    [anon_sym_symbol] = ACTIONS(1937),
    [anon_sym_object] = ACTIONS(1937),
    [anon_sym_property] = ACTIONS(1937),
    [anon_sym_signal] = ACTIONS(1937),
    [anon_sym_on] = ACTIONS(1937),
    [anon_sym_required] = ACTIONS(1937),
    [anon_sym_component] = ACTIONS(1937),
    [sym_html_comment] = ACTIONS(5),
  },
  [798] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3244),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(798),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [799] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3562),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(799),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [800] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3615),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(800),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [801] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3619),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(801),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [802] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3404),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(802),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [803] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(2982),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(803),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [804] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3149),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(804),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [805] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3530),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(805),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [806] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3626),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(806),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [807] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3647),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(807),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [808] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3409),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(808),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [809] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3623),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(809),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [810] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3411),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(810),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [811] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3563),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(811),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [812] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3684),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(812),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [813] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3676),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(813),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [814] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3423),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(814),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [815] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3087),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(815),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [816] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3669),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(816),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [817] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3672),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(817),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [818] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3668),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(818),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [819] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3666),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(819),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [820] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3037),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(820),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [821] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2988),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(821),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [822] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2986),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(822),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [823] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2995),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(823),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [824] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3015),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(824),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [825] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3002),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(825),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [826] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3089),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(826),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [827] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3083),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(827),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [828] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3032),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(828),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [829] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3664),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(829),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [830] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(3076),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(830),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [831] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3069),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(831),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [832] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3663),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(832),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [833] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3662),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(833),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [834] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3661),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(834),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [835] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3660),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(835),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [836] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3674),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(836),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [837] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3659),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(837),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [838] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3658),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(838),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [839] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3070),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(839),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [840] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3074),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(840),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [841] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3657),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(841),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [842] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3251),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(842),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [843] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3655),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(843),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [844] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3654),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(844),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [845] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3133),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(845),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [846] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(2983),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(846),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [847] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3651),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(847),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [848] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3650),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(848),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [849] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3677),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(849),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [850] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3643),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(850),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [851] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3700),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(851),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [852] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3120),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(852),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [853] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3680),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(853),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [854] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3683),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(854),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [855] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3688),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(855),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [856] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3689),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(856),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [857] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3111),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(857),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [858] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3075),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(858),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [859] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3636),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(859),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [860] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3507),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(860),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [861] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3047),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(861),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [862] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3144),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(862),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [863] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3142),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(863),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [864] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3691),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(864),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [865] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2569),
    [sym_expression] = STATE(3632),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8537),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2569),
    [sym_subscript_expression] = STATE(2569),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4616),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8550),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(865),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2569),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(812),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(1595),
    [anon_sym_type] = ACTIONS(1595),
    [anon_sym_namespace] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1603),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1595),
    [anon_sym_let] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1605),
    [anon_sym_of] = ACTIONS(1595),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1611),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_using] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_SLASH] = ACTIONS(1591),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1603),
    [anon_sym_void] = ACTIONS(1603),
    [anon_sym_delete] = ACTIONS(1603),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1627),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2011),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_get] = ACTIONS(1595),
    [anon_sym_set] = ACTIONS(1595),
    [anon_sym_declare] = ACTIONS(1595),
    [anon_sym_public] = ACTIONS(1595),
    [anon_sym_private] = ACTIONS(1595),
    [anon_sym_protected] = ACTIONS(1595),
    [anon_sym_override] = ACTIONS(1595),
    [anon_sym_module] = ACTIONS(1595),
    [anon_sym_any] = ACTIONS(1595),
    [anon_sym_number] = ACTIONS(1595),
    [anon_sym_boolean] = ACTIONS(1595),
    [anon_sym_string] = ACTIONS(1595),
    [anon_sym_symbol] = ACTIONS(1595),
    [anon_sym_object] = ACTIONS(1595),
    [anon_sym_property] = ACTIONS(1595),
    [anon_sym_signal] = ACTIONS(1595),
    [anon_sym_on] = ACTIONS(1595),
    [anon_sym_required] = ACTIONS(1595),
    [anon_sym_component] = ACTIONS(1595),
    [sym_html_comment] = ACTIONS(5),
  },
  [866] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3115),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(866),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [867] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3694),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(867),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [868] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3698),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(868),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [869] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2489),
    [sym_expression] = STATE(3287),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8226),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2489),
    [sym_subscript_expression] = STATE(2489),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4603),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8214),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(869),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2489),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(716),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1959),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(173),
    [anon_sym_of] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1963),
    [anon_sym_using] = ACTIONS(209),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(151),
    [anon_sym_void] = ACTIONS(151),
    [anon_sym_delete] = ACTIONS(151),
    [anon_sym_PLUS_PLUS] = ACTIONS(215),
    [anon_sym_DASH_DASH] = ACTIONS(215),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(411),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(225),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_property] = ACTIONS(1779),
    [anon_sym_signal] = ACTIONS(1779),
    [anon_sym_on] = ACTIONS(1779),
    [anon_sym_required] = ACTIONS(1779),
    [anon_sym_component] = ACTIONS(1779),
    [sym_html_comment] = ACTIONS(5),
  },
  [870] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2427),
    [sym_expression] = STATE(2973),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8627),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2427),
    [sym_subscript_expression] = STATE(2427),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4660),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8618),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(870),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2427),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(663),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1170),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1172),
    [anon_sym_of] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1385),
    [anon_sym_using] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_void] = ACTIONS(1170),
    [anon_sym_delete] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(2878),
    [sym_private_property_identifier] = ACTIONS(1196),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
    [anon_sym_object] = ACTIONS(1373),
    [anon_sym_property] = ACTIONS(1373),
    [anon_sym_signal] = ACTIONS(1373),
    [anon_sym_on] = ACTIONS(1373),
    [anon_sym_required] = ACTIONS(1373),
    [anon_sym_component] = ACTIONS(1373),
    [sym_html_comment] = ACTIONS(5),
  },
  [871] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3493),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(871),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [872] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3034),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(872),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [873] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3701),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(873),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [874] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3046),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(874),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [875] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3712),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(875),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [876] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2555),
    [sym_expression] = STATE(3714),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8317),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2555),
    [sym_subscript_expression] = STATE(2555),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4689),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8479),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(876),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2555),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(876),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1819),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1811),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_BANG] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1821),
    [anon_sym_of] = ACTIONS(1811),
    [anon_sym_yield] = ACTIONS(1823),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_using] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1819),
    [anon_sym_DASH] = ACTIONS(1819),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1819),
    [anon_sym_void] = ACTIONS(1819),
    [anon_sym_delete] = ACTIONS(1819),
    [anon_sym_PLUS_PLUS] = ACTIONS(1835),
    [anon_sym_DASH_DASH] = ACTIONS(1835),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1837),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(2003),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [anon_sym_property] = ACTIONS(1811),
    [anon_sym_signal] = ACTIONS(1811),
    [anon_sym_on] = ACTIONS(1811),
    [anon_sym_required] = ACTIONS(1811),
    [anon_sym_component] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [877] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3265),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(877),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [878] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2514),
    [sym_expression] = STATE(3264),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8726),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2514),
    [sym_subscript_expression] = STATE(2514),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4605),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8725),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(878),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2514),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(710),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1675),
    [anon_sym_type] = ACTIONS(1675),
    [anon_sym_namespace] = ACTIONS(1677),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1683),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1675),
    [anon_sym_BANG] = ACTIONS(1683),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1685),
    [anon_sym_of] = ACTIONS(1675),
    [anon_sym_yield] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1691),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_using] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1683),
    [anon_sym_void] = ACTIONS(1683),
    [anon_sym_delete] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1707),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1987),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_get] = ACTIONS(1675),
    [anon_sym_set] = ACTIONS(1675),
    [anon_sym_declare] = ACTIONS(1675),
    [anon_sym_public] = ACTIONS(1675),
    [anon_sym_private] = ACTIONS(1675),
    [anon_sym_protected] = ACTIONS(1675),
    [anon_sym_override] = ACTIONS(1675),
    [anon_sym_module] = ACTIONS(1675),
    [anon_sym_any] = ACTIONS(1675),
    [anon_sym_number] = ACTIONS(1675),
    [anon_sym_boolean] = ACTIONS(1675),
    [anon_sym_string] = ACTIONS(1675),
    [anon_sym_symbol] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1675),
    [anon_sym_property] = ACTIONS(1675),
    [anon_sym_signal] = ACTIONS(1675),
    [anon_sym_on] = ACTIONS(1675),
    [anon_sym_required] = ACTIONS(1675),
    [anon_sym_component] = ACTIONS(1675),
    [sym_html_comment] = ACTIONS(5),
  },
  [879] = {
    [sym_import] = STATE(5026),
    [sym_parenthesized_expression] = STATE(2563),
    [sym_expression] = STATE(3584),
    [sym_primary_expression] = STATE(2931),
    [sym_yield_expression] = STATE(3077),
    [sym_object] = STATE(3073),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3073),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3077),
    [sym_glimmer_opening_tag] = STATE(6531),
    [sym_class] = STATE(3073),
    [sym_function_expression] = STATE(3073),
    [sym_generator_function] = STATE(3073),
    [sym_arrow_function] = STATE(3073),
    [sym__call_signature] = STATE(8202),
    [sym_call_expression] = STATE(3073),
    [sym_new_expression] = STATE(3077),
    [sym_await_expression] = STATE(3077),
    [sym_member_expression] = STATE(2563),
    [sym_subscript_expression] = STATE(2563),
    [sym_assignment_expression] = STATE(3077),
    [sym__augmented_assignment_lhs] = STATE(4633),
    [sym_augmented_assignment_expression] = STATE(3077),
    [sym__destructuring_pattern] = STATE(8316),
    [sym_ternary_expression] = STATE(3077),
    [sym_binary_expression] = STATE(3077),
    [sym_unary_expression] = STATE(3077),
    [sym_update_expression] = STATE(3077),
    [sym_string] = STATE(3073),
    [sym_comment] = STATE(879),
    [sym_template_string] = STATE(3073),
    [sym_regex] = STATE(3073),
    [sym_meta_property] = STATE(3073),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2563),
    [sym_type_assertion] = STATE(3077),
    [sym_as_expression] = STATE(3077),
    [sym_satisfies_expression] = STATE(3077),
    [sym_instantiation_expression] = STATE(3077),
    [sym_internal_module] = STATE(3077),
    [sym_type_arguments] = STATE(760),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6530),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1639),
    [anon_sym_type] = ACTIONS(1639),
    [anon_sym_namespace] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_typeof] = ACTIONS(1647),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1639),
    [anon_sym_let] = ACTIONS(1639),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_await] = ACTIONS(1649),
    [anon_sym_of] = ACTIONS(1639),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_class] = ACTIONS(60),
    [anon_sym_async] = ACTIONS(1653),
    [anon_sym_function] = ACTIONS(64),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_using] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_void] = ACTIONS(1647),
    [anon_sym_delete] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1663),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1315),
    [sym_number] = ACTIONS(102),
    [sym_private_property_identifier] = ACTIONS(1665),
    [sym_this] = ACTIONS(102),
    [sym_super] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_null] = ACTIONS(102),
    [sym_undefined] = ACTIONS(1995),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_get] = ACTIONS(1639),
    [anon_sym_set] = ACTIONS(1639),
    [anon_sym_declare] = ACTIONS(1639),
    [anon_sym_public] = ACTIONS(1639),
    [anon_sym_private] = ACTIONS(1639),
    [anon_sym_protected] = ACTIONS(1639),
    [anon_sym_override] = ACTIONS(1639),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_any] = ACTIONS(1639),
    [anon_sym_number] = ACTIONS(1639),
    [anon_sym_boolean] = ACTIONS(1639),
    [anon_sym_string] = ACTIONS(1639),
    [anon_sym_symbol] = ACTIONS(1639),
    [anon_sym_object] = ACTIONS(1639),
    [anon_sym_property] = ACTIONS(1639),
    [anon_sym_signal] = ACTIONS(1639),
    [anon_sym_on] = ACTIONS(1639),
    [anon_sym_required] = ACTIONS(1639),
    [anon_sym_component] = ACTIONS(1639),
    [sym_html_comment] = ACTIONS(5),
  },
  [880] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3079),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(880),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [881] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3090),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(881),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [882] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3136),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(882),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [883] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3147),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(883),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [884] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3140),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(884),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [885] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3138),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(885),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [886] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3118),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(886),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [887] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3117),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(887),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [888] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2536),
    [sym_expression] = STATE(3349),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8524),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2536),
    [sym_subscript_expression] = STATE(2536),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4614),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8526),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(888),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2536),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(758),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1719),
    [anon_sym_type] = ACTIONS(1719),
    [anon_sym_namespace] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1727),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1731),
    [anon_sym_of] = ACTIONS(1719),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1727),
    [anon_sym_void] = ACTIONS(1727),
    [anon_sym_delete] = ACTIONS(1727),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(2834),
    [sym_private_property_identifier] = ACTIONS(1753),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1979),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_get] = ACTIONS(1719),
    [anon_sym_set] = ACTIONS(1719),
    [anon_sym_declare] = ACTIONS(1719),
    [anon_sym_public] = ACTIONS(1719),
    [anon_sym_private] = ACTIONS(1719),
    [anon_sym_protected] = ACTIONS(1719),
    [anon_sym_override] = ACTIONS(1719),
    [anon_sym_module] = ACTIONS(1719),
    [anon_sym_any] = ACTIONS(1719),
    [anon_sym_number] = ACTIONS(1719),
    [anon_sym_boolean] = ACTIONS(1719),
    [anon_sym_string] = ACTIONS(1719),
    [anon_sym_symbol] = ACTIONS(1719),
    [anon_sym_object] = ACTIONS(1719),
    [anon_sym_property] = ACTIONS(1719),
    [anon_sym_signal] = ACTIONS(1719),
    [anon_sym_on] = ACTIONS(1719),
    [anon_sym_required] = ACTIONS(1719),
    [anon_sym_component] = ACTIONS(1719),
    [sym_html_comment] = ACTIONS(5),
  },
  [889] = {
    [sym_import] = STATE(5160),
    [sym_parenthesized_expression] = STATE(2455),
    [sym_expression] = STATE(3099),
    [sym_primary_expression] = STATE(3391),
    [sym_yield_expression] = STATE(3640),
    [sym_object] = STATE(3749),
    [sym_object_pattern] = STATE(5164),
    [sym_array] = STATE(3749),
    [sym_array_pattern] = STATE(5164),
    [sym_glimmer_template] = STATE(3640),
    [sym_glimmer_opening_tag] = STATE(6590),
    [sym_class] = STATE(3749),
    [sym_function_expression] = STATE(3749),
    [sym_generator_function] = STATE(3749),
    [sym_arrow_function] = STATE(3749),
    [sym__call_signature] = STATE(8210),
    [sym_call_expression] = STATE(3749),
    [sym_new_expression] = STATE(3640),
    [sym_await_expression] = STATE(3640),
    [sym_member_expression] = STATE(2455),
    [sym_subscript_expression] = STATE(2455),
    [sym_assignment_expression] = STATE(3640),
    [sym__augmented_assignment_lhs] = STATE(4645),
    [sym_augmented_assignment_expression] = STATE(3640),
    [sym__destructuring_pattern] = STATE(8205),
    [sym_ternary_expression] = STATE(3640),
    [sym_binary_expression] = STATE(3640),
    [sym_unary_expression] = STATE(3640),
    [sym_update_expression] = STATE(3640),
    [sym_string] = STATE(3749),
    [sym_comment] = STATE(889),
    [sym_template_string] = STATE(3749),
    [sym_regex] = STATE(3749),
    [sym_meta_property] = STATE(3749),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(5514),
    [sym_non_null_expression] = STATE(2455),
    [sym_type_assertion] = STATE(3640),
    [sym_as_expression] = STATE(3640),
    [sym_satisfies_expression] = STATE(3640),
    [sym_instantiation_expression] = STATE(3640),
    [sym_internal_module] = STATE(3640),
    [sym_type_arguments] = STATE(671),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_export_statement_repeat1] = STATE(6588),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_typeof] = ACTIONS(1867),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_from] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_await] = ACTIONS(1869),
    [anon_sym_of] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_LTtemplate_GT] = ACTIONS(54),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_async] = ACTIONS(1873),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_using] = ACTIONS(1877),
    [anon_sym_PLUS] = ACTIONS(1867),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_void] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1883),
    [anon_sym_DASH_DASH] = ACTIONS(1883),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(217),
    [sym_number] = ACTIONS(223),
    [sym_private_property_identifier] = ACTIONS(1885),
    [sym_this] = ACTIONS(223),
    [sym_super] = ACTIONS(223),
    [sym_true] = ACTIONS(223),
    [sym_false] = ACTIONS(223),
    [sym_null] = ACTIONS(223),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_property] = ACTIONS(1861),
    [anon_sym_signal] = ACTIONS(1861),
    [anon_sym_on] = ACTIONS(1861),
    [anon_sym_required] = ACTIONS(1861),
    [anon_sym_component] = ACTIONS(1861),
    [sym_html_comment] = ACTIONS(5),
  },
  [890] = {
    [sym__call_signature] = STATE(8329),
    [sym_string] = STATE(5255),
    [sym_comment] = STATE(890),
    [sym_formal_parameters] = STATE(5514),
    [sym__property_name] = STATE(5690),
    [sym_computed_property_name] = STATE(5255),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2910),
    [anon_sym_export] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_type] = ACTIONS(2912),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [anon_sym_from] = ACTIONS(2912),
    [anon_sym_let] = ACTIONS(2912),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2917),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2912),
    [anon_sym_function] = ACTIONS(2924),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2926),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2930),
    [sym_private_property_identifier] = ACTIONS(2930),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_readonly] = ACTIONS(2912),
    [anon_sym_get] = ACTIONS(2932),
    [anon_sym_set] = ACTIONS(2932),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2912),
    [anon_sym_public] = ACTIONS(2912),
    [anon_sym_private] = ACTIONS(2912),
    [anon_sym_protected] = ACTIONS(2912),
    [anon_sym_override] = ACTIONS(2912),
    [anon_sym_module] = ACTIONS(2912),
    [anon_sym_any] = ACTIONS(2912),
    [anon_sym_number] = ACTIONS(2912),
    [anon_sym_boolean] = ACTIONS(2912),
    [anon_sym_string] = ACTIONS(2912),
    [anon_sym_symbol] = ACTIONS(2912),
    [anon_sym_object] = ACTIONS(2912),
    [anon_sym_property] = ACTIONS(2912),
    [anon_sym_signal] = ACTIONS(2912),
    [anon_sym_on] = ACTIONS(2912),
    [anon_sym_required] = ACTIONS(2912),
    [anon_sym_component] = ACTIONS(2912),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [891] = {
    [sym__call_signature] = STATE(8329),
    [sym_string] = STATE(5255),
    [sym_comment] = STATE(891),
    [sym_formal_parameters] = STATE(5514),
    [sym__property_name] = STATE(5690),
    [sym_computed_property_name] = STATE(5255),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2910),
    [anon_sym_export] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_type] = ACTIONS(2912),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1259),
    [anon_sym_from] = ACTIONS(2912),
    [anon_sym_let] = ACTIONS(2912),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2917),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2912),
    [anon_sym_function] = ACTIONS(2924),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2926),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2930),
    [sym_private_property_identifier] = ACTIONS(2930),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_readonly] = ACTIONS(2912),
    [anon_sym_get] = ACTIONS(2932),
    [anon_sym_set] = ACTIONS(2932),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2912),
    [anon_sym_public] = ACTIONS(2912),
    [anon_sym_private] = ACTIONS(2912),
    [anon_sym_protected] = ACTIONS(2912),
    [anon_sym_override] = ACTIONS(2912),
    [anon_sym_module] = ACTIONS(2912),
    [anon_sym_any] = ACTIONS(2912),
    [anon_sym_number] = ACTIONS(2912),
    [anon_sym_boolean] = ACTIONS(2912),
    [anon_sym_string] = ACTIONS(2912),
    [anon_sym_symbol] = ACTIONS(2912),
    [anon_sym_object] = ACTIONS(2912),
    [anon_sym_property] = ACTIONS(2912),
    [anon_sym_signal] = ACTIONS(2912),
    [anon_sym_on] = ACTIONS(2912),
    [anon_sym_required] = ACTIONS(2912),
    [anon_sym_component] = ACTIONS(2912),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [892] = {
    [sym__call_signature] = STATE(8329),
    [sym_string] = STATE(5255),
    [sym_comment] = STATE(892),
    [sym_formal_parameters] = STATE(5514),
    [sym__property_name] = STATE(5690),
    [sym_computed_property_name] = STATE(5255),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_object_repeat1] = STATE(7210),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2910),
    [anon_sym_export] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_type] = ACTIONS(2912),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [anon_sym_from] = ACTIONS(2912),
    [anon_sym_let] = ACTIONS(2912),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2917),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2912),
    [anon_sym_function] = ACTIONS(2924),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2926),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2930),
    [sym_private_property_identifier] = ACTIONS(2930),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_readonly] = ACTIONS(2912),
    [anon_sym_get] = ACTIONS(2932),
    [anon_sym_set] = ACTIONS(2932),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2912),
    [anon_sym_public] = ACTIONS(2912),
    [anon_sym_private] = ACTIONS(2912),
    [anon_sym_protected] = ACTIONS(2912),
    [anon_sym_override] = ACTIONS(2912),
    [anon_sym_module] = ACTIONS(2912),
    [anon_sym_any] = ACTIONS(2912),
    [anon_sym_number] = ACTIONS(2912),
    [anon_sym_boolean] = ACTIONS(2912),
    [anon_sym_string] = ACTIONS(2912),
    [anon_sym_symbol] = ACTIONS(2912),
    [anon_sym_object] = ACTIONS(2912),
    [anon_sym_property] = ACTIONS(2912),
    [anon_sym_signal] = ACTIONS(2912),
    [anon_sym_on] = ACTIONS(2912),
    [anon_sym_required] = ACTIONS(2912),
    [anon_sym_component] = ACTIONS(2912),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [893] = {
    [sym__call_signature] = STATE(8329),
    [sym_string] = STATE(5255),
    [sym_comment] = STATE(893),
    [sym_formal_parameters] = STATE(5514),
    [sym__property_name] = STATE(5690),
    [sym_computed_property_name] = STATE(5255),
    [sym_type_parameters] = STATE(8189),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2910),
    [anon_sym_export] = ACTIONS(2912),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_type] = ACTIONS(2912),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2912),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_from] = ACTIONS(2912),
    [anon_sym_let] = ACTIONS(2912),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2917),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2912),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2912),
    [anon_sym_function] = ACTIONS(2924),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2912),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2926),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2930),
    [sym_private_property_identifier] = ACTIONS(2930),
    [anon_sym_static] = ACTIONS(2912),
    [anon_sym_readonly] = ACTIONS(2912),
    [anon_sym_get] = ACTIONS(2932),
    [anon_sym_set] = ACTIONS(2932),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2912),
    [anon_sym_public] = ACTIONS(2912),
    [anon_sym_private] = ACTIONS(2912),
    [anon_sym_protected] = ACTIONS(2912),
    [anon_sym_override] = ACTIONS(2912),
    [anon_sym_module] = ACTIONS(2912),
    [anon_sym_any] = ACTIONS(2912),
    [anon_sym_number] = ACTIONS(2912),
    [anon_sym_boolean] = ACTIONS(2912),
    [anon_sym_string] = ACTIONS(2912),
    [anon_sym_symbol] = ACTIONS(2912),
    [anon_sym_object] = ACTIONS(2912),
    [anon_sym_property] = ACTIONS(2912),
    [anon_sym_signal] = ACTIONS(2912),
    [anon_sym_on] = ACTIONS(2912),
    [anon_sym_required] = ACTIONS(2912),
    [anon_sym_component] = ACTIONS(2912),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [894] = {
    [sym_string] = STATE(5255),
    [sym_comment] = STATE(894),
    [sym__property_name] = STATE(5690),
    [sym_computed_property_name] = STATE(5255),
    [sym_override_modifier] = STATE(3870),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2934),
    [anon_sym_export] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_type] = ACTIONS(2934),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2934),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [anon_sym_from] = ACTIONS(2934),
    [anon_sym_let] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2934),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2934),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2930),
    [sym_private_property_identifier] = ACTIONS(2930),
    [anon_sym_static] = ACTIONS(2934),
    [anon_sym_readonly] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2934),
    [anon_sym_public] = ACTIONS(2934),
    [anon_sym_private] = ACTIONS(2934),
    [anon_sym_protected] = ACTIONS(2934),
    [anon_sym_override] = ACTIONS(2945),
    [anon_sym_module] = ACTIONS(2934),
    [anon_sym_any] = ACTIONS(2934),
    [anon_sym_number] = ACTIONS(2934),
    [anon_sym_boolean] = ACTIONS(2934),
    [anon_sym_string] = ACTIONS(2934),
    [anon_sym_symbol] = ACTIONS(2934),
    [anon_sym_object] = ACTIONS(2934),
    [anon_sym_property] = ACTIONS(2934),
    [anon_sym_signal] = ACTIONS(2934),
    [anon_sym_on] = ACTIONS(2934),
    [anon_sym_required] = ACTIONS(2934),
    [anon_sym_component] = ACTIONS(2934),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [895] = {
    [sym_string] = STATE(5255),
    [sym_comment] = STATE(895),
    [sym__property_name] = STATE(5690),
    [sym_computed_property_name] = STATE(5255),
    [sym_override_modifier] = STATE(3870),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2934),
    [anon_sym_export] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_type] = ACTIONS(2934),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2934),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1259),
    [anon_sym_from] = ACTIONS(2934),
    [anon_sym_let] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2934),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2934),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2930),
    [sym_private_property_identifier] = ACTIONS(2930),
    [anon_sym_static] = ACTIONS(2934),
    [anon_sym_readonly] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2934),
    [anon_sym_public] = ACTIONS(2934),
    [anon_sym_private] = ACTIONS(2934),
    [anon_sym_protected] = ACTIONS(2934),
    [anon_sym_override] = ACTIONS(2945),
    [anon_sym_module] = ACTIONS(2934),
    [anon_sym_any] = ACTIONS(2934),
    [anon_sym_number] = ACTIONS(2934),
    [anon_sym_boolean] = ACTIONS(2934),
    [anon_sym_string] = ACTIONS(2934),
    [anon_sym_symbol] = ACTIONS(2934),
    [anon_sym_object] = ACTIONS(2934),
    [anon_sym_property] = ACTIONS(2934),
    [anon_sym_signal] = ACTIONS(2934),
    [anon_sym_on] = ACTIONS(2934),
    [anon_sym_required] = ACTIONS(2934),
    [anon_sym_component] = ACTIONS(2934),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [896] = {
    [sym_string] = STATE(5255),
    [sym_comment] = STATE(896),
    [sym__property_name] = STATE(5690),
    [sym_computed_property_name] = STATE(5255),
    [sym_override_modifier] = STATE(3870),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2934),
    [anon_sym_export] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_type] = ACTIONS(2934),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2934),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_from] = ACTIONS(2934),
    [anon_sym_let] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2934),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2934),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2930),
    [sym_private_property_identifier] = ACTIONS(2930),
    [anon_sym_static] = ACTIONS(2934),
    [anon_sym_readonly] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2934),
    [anon_sym_public] = ACTIONS(2934),
    [anon_sym_private] = ACTIONS(2934),
    [anon_sym_protected] = ACTIONS(2934),
    [anon_sym_override] = ACTIONS(2945),
    [anon_sym_module] = ACTIONS(2934),
    [anon_sym_any] = ACTIONS(2934),
    [anon_sym_number] = ACTIONS(2934),
    [anon_sym_boolean] = ACTIONS(2934),
    [anon_sym_string] = ACTIONS(2934),
    [anon_sym_symbol] = ACTIONS(2934),
    [anon_sym_object] = ACTIONS(2934),
    [anon_sym_property] = ACTIONS(2934),
    [anon_sym_signal] = ACTIONS(2934),
    [anon_sym_on] = ACTIONS(2934),
    [anon_sym_required] = ACTIONS(2934),
    [anon_sym_component] = ACTIONS(2934),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [897] = {
    [sym_string] = STATE(5255),
    [sym_comment] = STATE(897),
    [sym__property_name] = STATE(5690),
    [sym_computed_property_name] = STATE(5255),
    [sym_override_modifier] = STATE(3870),
    [aux_sym_object_repeat1] = STATE(7210),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2934),
    [anon_sym_export] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_type] = ACTIONS(2934),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2934),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [anon_sym_from] = ACTIONS(2934),
    [anon_sym_let] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2934),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2934),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2930),
    [sym_private_property_identifier] = ACTIONS(2930),
    [anon_sym_static] = ACTIONS(2934),
    [anon_sym_readonly] = ACTIONS(2941),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2934),
    [anon_sym_public] = ACTIONS(2934),
    [anon_sym_private] = ACTIONS(2934),
    [anon_sym_protected] = ACTIONS(2934),
    [anon_sym_override] = ACTIONS(2945),
    [anon_sym_module] = ACTIONS(2934),
    [anon_sym_any] = ACTIONS(2934),
    [anon_sym_number] = ACTIONS(2934),
    [anon_sym_boolean] = ACTIONS(2934),
    [anon_sym_string] = ACTIONS(2934),
    [anon_sym_symbol] = ACTIONS(2934),
    [anon_sym_object] = ACTIONS(2934),
    [anon_sym_property] = ACTIONS(2934),
    [anon_sym_signal] = ACTIONS(2934),
    [anon_sym_on] = ACTIONS(2934),
    [anon_sym_required] = ACTIONS(2934),
    [anon_sym_component] = ACTIONS(2934),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [898] = {
    [sym_string] = STATE(5255),
    [sym_comment] = STATE(898),
    [sym__property_name] = STATE(5690),
    [sym_computed_property_name] = STATE(5255),
    [aux_sym_object_repeat1] = STATE(7210),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2934),
    [anon_sym_export] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_type] = ACTIONS(2934),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2934),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [anon_sym_from] = ACTIONS(2934),
    [anon_sym_let] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2934),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2934),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2930),
    [sym_private_property_identifier] = ACTIONS(2930),
    [anon_sym_static] = ACTIONS(2934),
    [anon_sym_readonly] = ACTIONS(2934),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2934),
    [anon_sym_public] = ACTIONS(2934),
    [anon_sym_private] = ACTIONS(2934),
    [anon_sym_protected] = ACTIONS(2934),
    [anon_sym_override] = ACTIONS(2934),
    [anon_sym_module] = ACTIONS(2934),
    [anon_sym_any] = ACTIONS(2934),
    [anon_sym_number] = ACTIONS(2934),
    [anon_sym_boolean] = ACTIONS(2934),
    [anon_sym_string] = ACTIONS(2934),
    [anon_sym_symbol] = ACTIONS(2934),
    [anon_sym_object] = ACTIONS(2934),
    [anon_sym_property] = ACTIONS(2934),
    [anon_sym_signal] = ACTIONS(2934),
    [anon_sym_on] = ACTIONS(2934),
    [anon_sym_required] = ACTIONS(2934),
    [anon_sym_component] = ACTIONS(2934),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [899] = {
    [sym_string] = STATE(5255),
    [sym_comment] = STATE(899),
    [sym__property_name] = STATE(5690),
    [sym_computed_property_name] = STATE(5255),
    [aux_sym_object_repeat1] = STATE(7210),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2934),
    [anon_sym_export] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2934),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2934),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [anon_sym_from] = ACTIONS(2934),
    [anon_sym_let] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2934),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2934),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2934),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2930),
    [sym_private_property_identifier] = ACTIONS(2930),
    [anon_sym_static] = ACTIONS(2934),
    [anon_sym_readonly] = ACTIONS(2934),
    [anon_sym_get] = ACTIONS(2934),
    [anon_sym_set] = ACTIONS(2934),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2934),
    [anon_sym_public] = ACTIONS(2934),
    [anon_sym_private] = ACTIONS(2934),
    [anon_sym_protected] = ACTIONS(2934),
    [anon_sym_override] = ACTIONS(2934),
    [anon_sym_module] = ACTIONS(2934),
    [anon_sym_any] = ACTIONS(2934),
    [anon_sym_number] = ACTIONS(2934),
    [anon_sym_boolean] = ACTIONS(2934),
    [anon_sym_string] = ACTIONS(2934),
    [anon_sym_symbol] = ACTIONS(2934),
    [anon_sym_object] = ACTIONS(2934),
    [anon_sym_property] = ACTIONS(2934),
    [anon_sym_signal] = ACTIONS(2934),
    [anon_sym_on] = ACTIONS(2934),
    [anon_sym_required] = ACTIONS(2934),
    [anon_sym_component] = ACTIONS(2934),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [900] = {
    [sym_string] = STATE(5255),
    [sym_comment] = STATE(900),
    [sym__property_name] = STATE(5690),
    [sym_computed_property_name] = STATE(5255),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2934),
    [anon_sym_export] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_type] = ACTIONS(2934),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2934),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [anon_sym_from] = ACTIONS(2934),
    [anon_sym_let] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2934),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2934),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2930),
    [sym_private_property_identifier] = ACTIONS(2930),
    [anon_sym_static] = ACTIONS(2934),
    [anon_sym_readonly] = ACTIONS(2934),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2934),
    [anon_sym_public] = ACTIONS(2934),
    [anon_sym_private] = ACTIONS(2934),
    [anon_sym_protected] = ACTIONS(2934),
    [anon_sym_override] = ACTIONS(2934),
    [anon_sym_module] = ACTIONS(2934),
    [anon_sym_any] = ACTIONS(2934),
    [anon_sym_number] = ACTIONS(2934),
    [anon_sym_boolean] = ACTIONS(2934),
    [anon_sym_string] = ACTIONS(2934),
    [anon_sym_symbol] = ACTIONS(2934),
    [anon_sym_object] = ACTIONS(2934),
    [anon_sym_property] = ACTIONS(2934),
    [anon_sym_signal] = ACTIONS(2934),
    [anon_sym_on] = ACTIONS(2934),
    [anon_sym_required] = ACTIONS(2934),
    [anon_sym_component] = ACTIONS(2934),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [901] = {
    [sym_string] = STATE(5255),
    [sym_comment] = STATE(901),
    [sym__property_name] = STATE(5690),
    [sym_computed_property_name] = STATE(5255),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2934),
    [anon_sym_export] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_type] = ACTIONS(2934),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2934),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1259),
    [anon_sym_from] = ACTIONS(2934),
    [anon_sym_let] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2934),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2934),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2930),
    [sym_private_property_identifier] = ACTIONS(2930),
    [anon_sym_static] = ACTIONS(2934),
    [anon_sym_readonly] = ACTIONS(2934),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2934),
    [anon_sym_public] = ACTIONS(2934),
    [anon_sym_private] = ACTIONS(2934),
    [anon_sym_protected] = ACTIONS(2934),
    [anon_sym_override] = ACTIONS(2934),
    [anon_sym_module] = ACTIONS(2934),
    [anon_sym_any] = ACTIONS(2934),
    [anon_sym_number] = ACTIONS(2934),
    [anon_sym_boolean] = ACTIONS(2934),
    [anon_sym_string] = ACTIONS(2934),
    [anon_sym_symbol] = ACTIONS(2934),
    [anon_sym_object] = ACTIONS(2934),
    [anon_sym_property] = ACTIONS(2934),
    [anon_sym_signal] = ACTIONS(2934),
    [anon_sym_on] = ACTIONS(2934),
    [anon_sym_required] = ACTIONS(2934),
    [anon_sym_component] = ACTIONS(2934),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [902] = {
    [sym_string] = STATE(5255),
    [sym_comment] = STATE(902),
    [sym__property_name] = STATE(5690),
    [sym_computed_property_name] = STATE(5255),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2934),
    [anon_sym_export] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2934),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2934),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1259),
    [anon_sym_from] = ACTIONS(2934),
    [anon_sym_let] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2934),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2934),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2934),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2930),
    [sym_private_property_identifier] = ACTIONS(2930),
    [anon_sym_static] = ACTIONS(2934),
    [anon_sym_readonly] = ACTIONS(2934),
    [anon_sym_get] = ACTIONS(2934),
    [anon_sym_set] = ACTIONS(2934),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2934),
    [anon_sym_public] = ACTIONS(2934),
    [anon_sym_private] = ACTIONS(2934),
    [anon_sym_protected] = ACTIONS(2934),
    [anon_sym_override] = ACTIONS(2934),
    [anon_sym_module] = ACTIONS(2934),
    [anon_sym_any] = ACTIONS(2934),
    [anon_sym_number] = ACTIONS(2934),
    [anon_sym_boolean] = ACTIONS(2934),
    [anon_sym_string] = ACTIONS(2934),
    [anon_sym_symbol] = ACTIONS(2934),
    [anon_sym_object] = ACTIONS(2934),
    [anon_sym_property] = ACTIONS(2934),
    [anon_sym_signal] = ACTIONS(2934),
    [anon_sym_on] = ACTIONS(2934),
    [anon_sym_required] = ACTIONS(2934),
    [anon_sym_component] = ACTIONS(2934),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [903] = {
    [sym_string] = STATE(5255),
    [sym_comment] = STATE(903),
    [sym__property_name] = STATE(5690),
    [sym_computed_property_name] = STATE(5255),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2934),
    [anon_sym_export] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2934),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2934),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_from] = ACTIONS(2934),
    [anon_sym_let] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2934),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2934),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2934),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2930),
    [sym_private_property_identifier] = ACTIONS(2930),
    [anon_sym_static] = ACTIONS(2934),
    [anon_sym_readonly] = ACTIONS(2934),
    [anon_sym_get] = ACTIONS(2934),
    [anon_sym_set] = ACTIONS(2934),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2934),
    [anon_sym_public] = ACTIONS(2934),
    [anon_sym_private] = ACTIONS(2934),
    [anon_sym_protected] = ACTIONS(2934),
    [anon_sym_override] = ACTIONS(2934),
    [anon_sym_module] = ACTIONS(2934),
    [anon_sym_any] = ACTIONS(2934),
    [anon_sym_number] = ACTIONS(2934),
    [anon_sym_boolean] = ACTIONS(2934),
    [anon_sym_string] = ACTIONS(2934),
    [anon_sym_symbol] = ACTIONS(2934),
    [anon_sym_object] = ACTIONS(2934),
    [anon_sym_property] = ACTIONS(2934),
    [anon_sym_signal] = ACTIONS(2934),
    [anon_sym_on] = ACTIONS(2934),
    [anon_sym_required] = ACTIONS(2934),
    [anon_sym_component] = ACTIONS(2934),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [904] = {
    [sym_string] = STATE(5255),
    [sym_comment] = STATE(904),
    [sym__property_name] = STATE(5690),
    [sym_computed_property_name] = STATE(5255),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2934),
    [anon_sym_export] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(2914),
    [anon_sym_type] = ACTIONS(2934),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2934),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_from] = ACTIONS(2934),
    [anon_sym_let] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2934),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2934),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2930),
    [sym_private_property_identifier] = ACTIONS(2930),
    [anon_sym_static] = ACTIONS(2934),
    [anon_sym_readonly] = ACTIONS(2934),
    [anon_sym_get] = ACTIONS(2943),
    [anon_sym_set] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2934),
    [anon_sym_public] = ACTIONS(2934),
    [anon_sym_private] = ACTIONS(2934),
    [anon_sym_protected] = ACTIONS(2934),
    [anon_sym_override] = ACTIONS(2934),
    [anon_sym_module] = ACTIONS(2934),
    [anon_sym_any] = ACTIONS(2934),
    [anon_sym_number] = ACTIONS(2934),
    [anon_sym_boolean] = ACTIONS(2934),
    [anon_sym_string] = ACTIONS(2934),
    [anon_sym_symbol] = ACTIONS(2934),
    [anon_sym_object] = ACTIONS(2934),
    [anon_sym_property] = ACTIONS(2934),
    [anon_sym_signal] = ACTIONS(2934),
    [anon_sym_on] = ACTIONS(2934),
    [anon_sym_required] = ACTIONS(2934),
    [anon_sym_component] = ACTIONS(2934),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [905] = {
    [sym_string] = STATE(5255),
    [sym_comment] = STATE(905),
    [sym__property_name] = STATE(5690),
    [sym_computed_property_name] = STATE(5255),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2934),
    [anon_sym_export] = ACTIONS(2934),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(2934),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2934),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [anon_sym_from] = ACTIONS(2934),
    [anon_sym_let] = ACTIONS(2934),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2934),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2934),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2934),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2930),
    [sym_private_property_identifier] = ACTIONS(2930),
    [anon_sym_static] = ACTIONS(2934),
    [anon_sym_readonly] = ACTIONS(2934),
    [anon_sym_get] = ACTIONS(2934),
    [anon_sym_set] = ACTIONS(2934),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2934),
    [anon_sym_public] = ACTIONS(2934),
    [anon_sym_private] = ACTIONS(2934),
    [anon_sym_protected] = ACTIONS(2934),
    [anon_sym_override] = ACTIONS(2934),
    [anon_sym_module] = ACTIONS(2934),
    [anon_sym_any] = ACTIONS(2934),
    [anon_sym_number] = ACTIONS(2934),
    [anon_sym_boolean] = ACTIONS(2934),
    [anon_sym_string] = ACTIONS(2934),
    [anon_sym_symbol] = ACTIONS(2934),
    [anon_sym_object] = ACTIONS(2934),
    [anon_sym_property] = ACTIONS(2934),
    [anon_sym_signal] = ACTIONS(2934),
    [anon_sym_on] = ACTIONS(2934),
    [anon_sym_required] = ACTIONS(2934),
    [anon_sym_component] = ACTIONS(2934),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [906] = {
    [sym_namespace_export] = STATE(7754),
    [sym_export_clause] = STATE(6488),
    [sym_declaration] = STATE(1746),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_class_declaration] = STATE(1751),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_comment] = STATE(906),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1751),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(1743),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [aux_sym_export_statement_repeat1] = STATE(5967),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_type] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2953),
    [anon_sym_as] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_async] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2991),
    [anon_sym_module] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2995),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_interface] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2999),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [907] = {
    [sym_namespace_export] = STATE(7754),
    [sym_export_clause] = STATE(6488),
    [sym_declaration] = STATE(1746),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_class_declaration] = STATE(1751),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_comment] = STATE(907),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1751),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(1743),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [aux_sym_export_statement_repeat1] = STATE(5967),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_type] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2953),
    [anon_sym_as] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_RBRACE] = ACTIONS(3001),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_async] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2991),
    [anon_sym_module] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2995),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_interface] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2999),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [908] = {
    [sym_namespace_export] = STATE(7754),
    [sym_export_clause] = STATE(6488),
    [sym_declaration] = STATE(1746),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_class_declaration] = STATE(1751),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_comment] = STATE(908),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1751),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(1743),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [aux_sym_export_statement_repeat1] = STATE(5967),
    [aux_sym_object_repeat1] = STATE(7210),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_type] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2953),
    [anon_sym_as] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_RBRACE] = ACTIONS(3003),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_async] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2991),
    [anon_sym_module] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2995),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_interface] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2999),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [909] = {
    [sym_namespace_export] = STATE(7754),
    [sym_export_clause] = STATE(6488),
    [sym_declaration] = STATE(1746),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_class_declaration] = STATE(1751),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_comment] = STATE(909),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1751),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(1743),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [aux_sym_export_statement_repeat1] = STATE(5967),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_type] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2953),
    [anon_sym_as] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_RBRACE] = ACTIONS(3005),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_async] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2991),
    [anon_sym_module] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2995),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_interface] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2999),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [910] = {
    [sym_comment] = STATE(910),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_export] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_type] = ACTIONS(2588),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_from] = ACTIONS(2588),
    [anon_sym_let] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [anon_sym_async] = ACTIONS(2588),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2588),
    [sym_private_property_identifier] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_readonly] = ACTIONS(2588),
    [anon_sym_get] = ACTIONS(2588),
    [anon_sym_set] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2588),
    [anon_sym_public] = ACTIONS(2588),
    [anon_sym_private] = ACTIONS(2588),
    [anon_sym_protected] = ACTIONS(2588),
    [anon_sym_override] = ACTIONS(2588),
    [anon_sym_module] = ACTIONS(2588),
    [anon_sym_any] = ACTIONS(2588),
    [anon_sym_number] = ACTIONS(2588),
    [anon_sym_boolean] = ACTIONS(2588),
    [anon_sym_string] = ACTIONS(2588),
    [anon_sym_symbol] = ACTIONS(2588),
    [anon_sym_object] = ACTIONS(2588),
    [anon_sym_property] = ACTIONS(2588),
    [anon_sym_signal] = ACTIONS(2588),
    [anon_sym_on] = ACTIONS(2588),
    [anon_sym_required] = ACTIONS(2588),
    [anon_sym_component] = ACTIONS(2588),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [911] = {
    [sym_comment] = STATE(911),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_export] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_type] = ACTIONS(2588),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [anon_sym_from] = ACTIONS(2588),
    [anon_sym_let] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [anon_sym_async] = ACTIONS(2588),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2588),
    [sym_private_property_identifier] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_readonly] = ACTIONS(2588),
    [anon_sym_get] = ACTIONS(2588),
    [anon_sym_set] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2588),
    [anon_sym_public] = ACTIONS(2588),
    [anon_sym_private] = ACTIONS(2588),
    [anon_sym_protected] = ACTIONS(2588),
    [anon_sym_override] = ACTIONS(2588),
    [anon_sym_module] = ACTIONS(2588),
    [anon_sym_any] = ACTIONS(2588),
    [anon_sym_number] = ACTIONS(2588),
    [anon_sym_boolean] = ACTIONS(2588),
    [anon_sym_string] = ACTIONS(2588),
    [anon_sym_symbol] = ACTIONS(2588),
    [anon_sym_object] = ACTIONS(2588),
    [anon_sym_property] = ACTIONS(2588),
    [anon_sym_signal] = ACTIONS(2588),
    [anon_sym_on] = ACTIONS(2588),
    [anon_sym_required] = ACTIONS(2588),
    [anon_sym_component] = ACTIONS(2588),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [912] = {
    [sym_comment] = STATE(912),
    [aux_sym_object_repeat1] = STATE(7210),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_export] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_type] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [anon_sym_from] = ACTIONS(2586),
    [anon_sym_let] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_async] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2586),
    [sym_private_property_identifier] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_readonly] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_any] = ACTIONS(2586),
    [anon_sym_number] = ACTIONS(2586),
    [anon_sym_boolean] = ACTIONS(2586),
    [anon_sym_string] = ACTIONS(2586),
    [anon_sym_symbol] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_property] = ACTIONS(2586),
    [anon_sym_signal] = ACTIONS(2586),
    [anon_sym_on] = ACTIONS(2586),
    [anon_sym_required] = ACTIONS(2586),
    [anon_sym_component] = ACTIONS(2586),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [913] = {
    [sym_comment] = STATE(913),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_export] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_type] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_from] = ACTIONS(2586),
    [anon_sym_let] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_async] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2586),
    [sym_private_property_identifier] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_readonly] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_any] = ACTIONS(2586),
    [anon_sym_number] = ACTIONS(2586),
    [anon_sym_boolean] = ACTIONS(2586),
    [anon_sym_string] = ACTIONS(2586),
    [anon_sym_symbol] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_property] = ACTIONS(2586),
    [anon_sym_signal] = ACTIONS(2586),
    [anon_sym_on] = ACTIONS(2586),
    [anon_sym_required] = ACTIONS(2586),
    [anon_sym_component] = ACTIONS(2586),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [914] = {
    [sym_comment] = STATE(914),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_export] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_type] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [anon_sym_from] = ACTIONS(2586),
    [anon_sym_let] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_async] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2586),
    [sym_private_property_identifier] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_readonly] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_any] = ACTIONS(2586),
    [anon_sym_number] = ACTIONS(2586),
    [anon_sym_boolean] = ACTIONS(2586),
    [anon_sym_string] = ACTIONS(2586),
    [anon_sym_symbol] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_property] = ACTIONS(2586),
    [anon_sym_signal] = ACTIONS(2586),
    [anon_sym_on] = ACTIONS(2586),
    [anon_sym_required] = ACTIONS(2586),
    [anon_sym_component] = ACTIONS(2586),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [915] = {
    [sym_comment] = STATE(915),
    [aux_sym_object_repeat1] = STATE(7210),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_export] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_type] = ACTIONS(2588),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [anon_sym_from] = ACTIONS(2588),
    [anon_sym_let] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [anon_sym_async] = ACTIONS(2588),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2588),
    [sym_private_property_identifier] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_readonly] = ACTIONS(2588),
    [anon_sym_get] = ACTIONS(2588),
    [anon_sym_set] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2588),
    [anon_sym_public] = ACTIONS(2588),
    [anon_sym_private] = ACTIONS(2588),
    [anon_sym_protected] = ACTIONS(2588),
    [anon_sym_override] = ACTIONS(2588),
    [anon_sym_module] = ACTIONS(2588),
    [anon_sym_any] = ACTIONS(2588),
    [anon_sym_number] = ACTIONS(2588),
    [anon_sym_boolean] = ACTIONS(2588),
    [anon_sym_string] = ACTIONS(2588),
    [anon_sym_symbol] = ACTIONS(2588),
    [anon_sym_object] = ACTIONS(2588),
    [anon_sym_property] = ACTIONS(2588),
    [anon_sym_signal] = ACTIONS(2588),
    [anon_sym_on] = ACTIONS(2588),
    [anon_sym_required] = ACTIONS(2588),
    [anon_sym_component] = ACTIONS(2588),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [916] = {
    [sym_comment] = STATE(916),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_export] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2588),
    [anon_sym_type] = ACTIONS(2588),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2588),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1259),
    [anon_sym_from] = ACTIONS(2588),
    [anon_sym_let] = ACTIONS(2588),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2588),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2588),
    [anon_sym_SQUOTE] = ACTIONS(2588),
    [anon_sym_async] = ACTIONS(2588),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2588),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2588),
    [sym_private_property_identifier] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_readonly] = ACTIONS(2588),
    [anon_sym_get] = ACTIONS(2588),
    [anon_sym_set] = ACTIONS(2588),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2588),
    [anon_sym_public] = ACTIONS(2588),
    [anon_sym_private] = ACTIONS(2588),
    [anon_sym_protected] = ACTIONS(2588),
    [anon_sym_override] = ACTIONS(2588),
    [anon_sym_module] = ACTIONS(2588),
    [anon_sym_any] = ACTIONS(2588),
    [anon_sym_number] = ACTIONS(2588),
    [anon_sym_boolean] = ACTIONS(2588),
    [anon_sym_string] = ACTIONS(2588),
    [anon_sym_symbol] = ACTIONS(2588),
    [anon_sym_object] = ACTIONS(2588),
    [anon_sym_property] = ACTIONS(2588),
    [anon_sym_signal] = ACTIONS(2588),
    [anon_sym_on] = ACTIONS(2588),
    [anon_sym_required] = ACTIONS(2588),
    [anon_sym_component] = ACTIONS(2588),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [917] = {
    [sym_comment] = STATE(917),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(2586),
    [anon_sym_export] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_type] = ACTIONS(2586),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2586),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1259),
    [anon_sym_from] = ACTIONS(2586),
    [anon_sym_let] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_async] = ACTIONS(2586),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(2586),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [sym_number] = ACTIONS(2586),
    [sym_private_property_identifier] = ACTIONS(2586),
    [anon_sym_static] = ACTIONS(2586),
    [anon_sym_readonly] = ACTIONS(2586),
    [anon_sym_get] = ACTIONS(2586),
    [anon_sym_set] = ACTIONS(2586),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2586),
    [anon_sym_public] = ACTIONS(2586),
    [anon_sym_private] = ACTIONS(2586),
    [anon_sym_protected] = ACTIONS(2586),
    [anon_sym_override] = ACTIONS(2586),
    [anon_sym_module] = ACTIONS(2586),
    [anon_sym_any] = ACTIONS(2586),
    [anon_sym_number] = ACTIONS(2586),
    [anon_sym_boolean] = ACTIONS(2586),
    [anon_sym_string] = ACTIONS(2586),
    [anon_sym_symbol] = ACTIONS(2586),
    [anon_sym_object] = ACTIONS(2586),
    [anon_sym_property] = ACTIONS(2586),
    [anon_sym_signal] = ACTIONS(2586),
    [anon_sym_on] = ACTIONS(2586),
    [anon_sym_required] = ACTIONS(2586),
    [anon_sym_component] = ACTIONS(2586),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [918] = {
    [sym_declaration] = STATE(1667),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_class_declaration] = STATE(1751),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_comment] = STATE(918),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1751),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(1743),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [aux_sym_export_statement_repeat1] = STATE(5967),
    [aux_sym_object_repeat1] = STATE(7210),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3007),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_RBRACE] = ACTIONS(3003),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_async] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2991),
    [anon_sym_module] = ACTIONS(3009),
    [anon_sym_abstract] = ACTIONS(2995),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3011),
    [anon_sym_interface] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2999),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [919] = {
    [sym_declaration] = STATE(1667),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_class_declaration] = STATE(1751),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_comment] = STATE(919),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1751),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(1743),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [aux_sym_export_statement_repeat1] = STATE(5967),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3007),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_async] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2991),
    [anon_sym_module] = ACTIONS(3009),
    [anon_sym_abstract] = ACTIONS(2995),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3011),
    [anon_sym_interface] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2999),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [920] = {
    [sym_declaration] = STATE(1667),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_class_declaration] = STATE(1751),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_comment] = STATE(920),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1751),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(1743),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [aux_sym_export_statement_repeat1] = STATE(5967),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3007),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_RBRACE] = ACTIONS(3005),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_async] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2991),
    [anon_sym_module] = ACTIONS(3009),
    [anon_sym_abstract] = ACTIONS(2995),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3011),
    [anon_sym_interface] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2999),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [921] = {
    [sym_declaration] = STATE(1667),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_class_declaration] = STATE(1751),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_comment] = STATE(921),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1751),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(1743),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [aux_sym_export_statement_repeat1] = STATE(5967),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3007),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_RBRACE] = ACTIONS(3001),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2971),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(2974),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_async] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(2991),
    [anon_sym_module] = ACTIONS(3009),
    [anon_sym_abstract] = ACTIONS(2995),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3011),
    [anon_sym_interface] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2999),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [922] = {
    [sym_namespace_export] = STATE(7782),
    [sym_export_clause] = STATE(6424),
    [sym_declaration] = STATE(1081),
    [sym_variable_declaration] = STATE(1092),
    [sym_lexical_declaration] = STATE(1092),
    [sym_class_declaration] = STATE(1092),
    [sym_function_declaration] = STATE(1092),
    [sym_generator_function_declaration] = STATE(1092),
    [sym_comment] = STATE(922),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1092),
    [sym_ambient_declaration] = STATE(1092),
    [sym_abstract_class_declaration] = STATE(1092),
    [sym_module] = STATE(1092),
    [sym_internal_module] = STATE(1079),
    [sym_import_alias] = STATE(1092),
    [sym_interface_declaration] = STATE(1092),
    [sym_enum_declaration] = STATE(1092),
    [sym_type_alias_declaration] = STATE(1092),
    [aux_sym_export_statement_repeat1] = STATE(5961),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3015),
    [anon_sym_type] = ACTIONS(3017),
    [anon_sym_EQ] = ACTIONS(3019),
    [anon_sym_as] = ACTIONS(3021),
    [anon_sym_namespace] = ACTIONS(3023),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(3025),
    [anon_sym_var] = ACTIONS(3027),
    [anon_sym_let] = ACTIONS(3029),
    [anon_sym_const] = ACTIONS(3031),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3035),
    [anon_sym_async] = ACTIONS(3037),
    [anon_sym_function] = ACTIONS(3039),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3041),
    [anon_sym_module] = ACTIONS(3043),
    [anon_sym_abstract] = ACTIONS(3045),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_interface] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [923] = {
    [sym_namespace_export] = STATE(8165),
    [sym_export_clause] = STATE(6539),
    [sym_declaration] = STATE(4133),
    [sym_variable_declaration] = STATE(4080),
    [sym_lexical_declaration] = STATE(4080),
    [sym_class_declaration] = STATE(4080),
    [sym_function_declaration] = STATE(4080),
    [sym_generator_function_declaration] = STATE(4080),
    [sym_comment] = STATE(923),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(4080),
    [sym_ambient_declaration] = STATE(4080),
    [sym_abstract_class_declaration] = STATE(4080),
    [sym_module] = STATE(4080),
    [sym_internal_module] = STATE(4134),
    [sym_import_alias] = STATE(4080),
    [sym_interface_declaration] = STATE(4080),
    [sym_enum_declaration] = STATE(4080),
    [sym_type_alias_declaration] = STATE(4080),
    [aux_sym_export_statement_repeat1] = STATE(6181),
    [anon_sym_STAR] = ACTIONS(3051),
    [anon_sym_default] = ACTIONS(3053),
    [anon_sym_type] = ACTIONS(3055),
    [anon_sym_EQ] = ACTIONS(3057),
    [anon_sym_as] = ACTIONS(3059),
    [anon_sym_namespace] = ACTIONS(3061),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(3063),
    [anon_sym_var] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_const] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(3071),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_async] = ACTIONS(3075),
    [anon_sym_function] = ACTIONS(3077),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3079),
    [anon_sym_module] = ACTIONS(3081),
    [anon_sym_abstract] = ACTIONS(3083),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_interface] = ACTIONS(3085),
    [anon_sym_enum] = ACTIONS(3087),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [924] = {
    [sym__call_signature] = STATE(8248),
    [sym_comment] = STATE(924),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_export] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3091),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3091),
    [anon_sym_COMMA] = ACTIONS(1335),
    [anon_sym_RBRACE] = ACTIONS(1335),
    [anon_sym_from] = ACTIONS(3091),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_RPAREN] = ACTIONS(1335),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3091),
    [anon_sym_COLON] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3091),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3091),
    [anon_sym_readonly] = ACTIONS(3091),
    [anon_sym_get] = ACTIONS(3091),
    [anon_sym_set] = ACTIONS(3091),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_declare] = ACTIONS(3091),
    [anon_sym_public] = ACTIONS(3091),
    [anon_sym_private] = ACTIONS(3091),
    [anon_sym_protected] = ACTIONS(3091),
    [anon_sym_override] = ACTIONS(3091),
    [anon_sym_module] = ACTIONS(3091),
    [anon_sym_any] = ACTIONS(3091),
    [anon_sym_number] = ACTIONS(3091),
    [anon_sym_boolean] = ACTIONS(3091),
    [anon_sym_string] = ACTIONS(3091),
    [anon_sym_symbol] = ACTIONS(3091),
    [anon_sym_object] = ACTIONS(3091),
    [anon_sym_property] = ACTIONS(3091),
    [anon_sym_signal] = ACTIONS(3091),
    [anon_sym_on] = ACTIONS(3091),
    [anon_sym_required] = ACTIONS(3091),
    [anon_sym_component] = ACTIONS(3091),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [925] = {
    [sym_namespace_export] = STATE(8105),
    [sym_export_clause] = STATE(6336),
    [sym_declaration] = STATE(4325),
    [sym_variable_declaration] = STATE(4255),
    [sym_lexical_declaration] = STATE(4255),
    [sym_class_declaration] = STATE(4255),
    [sym_function_declaration] = STATE(4255),
    [sym_generator_function_declaration] = STATE(4255),
    [sym_comment] = STATE(925),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(4255),
    [sym_ambient_declaration] = STATE(4255),
    [sym_abstract_class_declaration] = STATE(4255),
    [sym_module] = STATE(4255),
    [sym_internal_module] = STATE(4326),
    [sym_import_alias] = STATE(4255),
    [sym_interface_declaration] = STATE(4255),
    [sym_enum_declaration] = STATE(4255),
    [sym_type_alias_declaration] = STATE(4255),
    [aux_sym_export_statement_repeat1] = STATE(6240),
    [anon_sym_STAR] = ACTIONS(3101),
    [anon_sym_default] = ACTIONS(3103),
    [anon_sym_type] = ACTIONS(3105),
    [anon_sym_EQ] = ACTIONS(3107),
    [anon_sym_as] = ACTIONS(3109),
    [anon_sym_namespace] = ACTIONS(3111),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(3113),
    [anon_sym_var] = ACTIONS(3115),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3123),
    [anon_sym_async] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3129),
    [anon_sym_module] = ACTIONS(3131),
    [anon_sym_abstract] = ACTIONS(3133),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_interface] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3137),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [926] = {
    [sym_namespace_export] = STATE(7908),
    [sym_export_clause] = STATE(6565),
    [sym_declaration] = STATE(8048),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_class_declaration] = STATE(8195),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_comment] = STATE(926),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(8195),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(8045),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [aux_sym_export_statement_repeat1] = STATE(6284),
    [anon_sym_STAR] = ACTIONS(3139),
    [anon_sym_default] = ACTIONS(3141),
    [anon_sym_type] = ACTIONS(3143),
    [anon_sym_EQ] = ACTIONS(3145),
    [anon_sym_as] = ACTIONS(3147),
    [anon_sym_namespace] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(3151),
    [anon_sym_var] = ACTIONS(3153),
    [anon_sym_let] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3161),
    [anon_sym_async] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3167),
    [anon_sym_module] = ACTIONS(3169),
    [anon_sym_abstract] = ACTIONS(3171),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_interface] = ACTIONS(3173),
    [anon_sym_enum] = ACTIONS(3175),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [927] = {
    [sym_namespace_export] = STATE(7916),
    [sym_export_clause] = STATE(6335),
    [sym_declaration] = STATE(1658),
    [sym_variable_declaration] = STATE(1587),
    [sym_lexical_declaration] = STATE(1587),
    [sym_class_declaration] = STATE(1587),
    [sym_function_declaration] = STATE(1587),
    [sym_generator_function_declaration] = STATE(1587),
    [sym_comment] = STATE(927),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1587),
    [sym_ambient_declaration] = STATE(1587),
    [sym_abstract_class_declaration] = STATE(1587),
    [sym_module] = STATE(1587),
    [sym_internal_module] = STATE(1487),
    [sym_import_alias] = STATE(1587),
    [sym_interface_declaration] = STATE(1587),
    [sym_enum_declaration] = STATE(1587),
    [sym_type_alias_declaration] = STATE(1587),
    [aux_sym_export_statement_repeat1] = STATE(6050),
    [anon_sym_STAR] = ACTIONS(3177),
    [anon_sym_default] = ACTIONS(3179),
    [anon_sym_type] = ACTIONS(3181),
    [anon_sym_EQ] = ACTIONS(3183),
    [anon_sym_as] = ACTIONS(3185),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(3189),
    [anon_sym_var] = ACTIONS(3191),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_async] = ACTIONS(3201),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3209),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_interface] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3213),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [928] = {
    [sym__call_signature] = STATE(8248),
    [sym_comment] = STATE(928),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_export] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3091),
    [anon_sym_EQ] = ACTIONS(128),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3091),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(3091),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3091),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3091),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3091),
    [anon_sym_readonly] = ACTIONS(3091),
    [anon_sym_get] = ACTIONS(3091),
    [anon_sym_set] = ACTIONS(3091),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_declare] = ACTIONS(3091),
    [anon_sym_public] = ACTIONS(3091),
    [anon_sym_private] = ACTIONS(3091),
    [anon_sym_protected] = ACTIONS(3091),
    [anon_sym_override] = ACTIONS(3091),
    [anon_sym_module] = ACTIONS(3091),
    [anon_sym_any] = ACTIONS(3091),
    [anon_sym_number] = ACTIONS(3091),
    [anon_sym_boolean] = ACTIONS(3091),
    [anon_sym_string] = ACTIONS(3091),
    [anon_sym_symbol] = ACTIONS(3091),
    [anon_sym_object] = ACTIONS(3091),
    [anon_sym_property] = ACTIONS(3091),
    [anon_sym_signal] = ACTIONS(3091),
    [anon_sym_on] = ACTIONS(3091),
    [anon_sym_required] = ACTIONS(3091),
    [anon_sym_component] = ACTIONS(3091),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [929] = {
    [sym_namespace_export] = STATE(7851),
    [sym_export_clause] = STATE(6392),
    [sym_declaration] = STATE(1299),
    [sym_variable_declaration] = STATE(1302),
    [sym_lexical_declaration] = STATE(1302),
    [sym_class_declaration] = STATE(1302),
    [sym_function_declaration] = STATE(1302),
    [sym_generator_function_declaration] = STATE(1302),
    [sym_comment] = STATE(929),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1302),
    [sym_ambient_declaration] = STATE(1302),
    [sym_abstract_class_declaration] = STATE(1302),
    [sym_module] = STATE(1302),
    [sym_internal_module] = STATE(1298),
    [sym_import_alias] = STATE(1302),
    [sym_interface_declaration] = STATE(1302),
    [sym_enum_declaration] = STATE(1302),
    [sym_type_alias_declaration] = STATE(1302),
    [aux_sym_export_statement_repeat1] = STATE(6249),
    [anon_sym_STAR] = ACTIONS(3215),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_type] = ACTIONS(3219),
    [anon_sym_EQ] = ACTIONS(3221),
    [anon_sym_as] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3229),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(3235),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3239),
    [anon_sym_function] = ACTIONS(3241),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3243),
    [anon_sym_module] = ACTIONS(3245),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_interface] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3251),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [930] = {
    [sym__call_signature] = STATE(8196),
    [sym_comment] = STATE(930),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_RBRACE] = ACTIONS(34),
    [anon_sym_from] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3255),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(34),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_property] = ACTIONS(3255),
    [anon_sym_signal] = ACTIONS(3255),
    [anon_sym_on] = ACTIONS(3255),
    [anon_sym_required] = ACTIONS(3255),
    [anon_sym_component] = ACTIONS(3255),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [931] = {
    [sym_namespace_export] = STATE(7754),
    [sym_export_clause] = STATE(6488),
    [sym_declaration] = STATE(1746),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_class_declaration] = STATE(1751),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_comment] = STATE(931),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1751),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(1743),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [aux_sym_export_statement_repeat1] = STATE(5967),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_type] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(3257),
    [anon_sym_as] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_async] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(2991),
    [anon_sym_module] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2995),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_interface] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2999),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [932] = {
    [sym__call_signature] = STATE(8329),
    [sym_comment] = STATE(932),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_ui_object_initializer] = STATE(4262),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3265),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_from] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(3267),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_property] = ACTIONS(3263),
    [anon_sym_signal] = ACTIONS(3263),
    [anon_sym_on] = ACTIONS(3263),
    [anon_sym_required] = ACTIONS(3263),
    [anon_sym_component] = ACTIONS(3263),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [933] = {
    [sym__call_signature] = STATE(8329),
    [sym_comment] = STATE(933),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_ui_object_initializer] = STATE(7553),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3272),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_from] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(3267),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_property] = ACTIONS(3263),
    [anon_sym_signal] = ACTIONS(3263),
    [anon_sym_on] = ACTIONS(3263),
    [anon_sym_required] = ACTIONS(3263),
    [anon_sym_component] = ACTIONS(3263),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [934] = {
    [sym__call_signature] = STATE(8196),
    [sym_comment] = STATE(934),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_EQ] = ACTIONS(1337),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(28),
    [anon_sym_from] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_RPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3255),
    [anon_sym_COLON] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_property] = ACTIONS(3255),
    [anon_sym_signal] = ACTIONS(3255),
    [anon_sym_on] = ACTIONS(3255),
    [anon_sym_required] = ACTIONS(3255),
    [anon_sym_component] = ACTIONS(3255),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [935] = {
    [sym__call_signature] = STATE(8196),
    [sym_comment] = STATE(935),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(28),
    [anon_sym_from] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_RPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3255),
    [anon_sym_COLON] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_property] = ACTIONS(3255),
    [anon_sym_signal] = ACTIONS(3255),
    [anon_sym_on] = ACTIONS(3255),
    [anon_sym_required] = ACTIONS(3255),
    [anon_sym_component] = ACTIONS(3255),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [936] = {
    [sym__call_signature] = STATE(8329),
    [sym_comment] = STATE(936),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(28),
    [anon_sym_from] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_property] = ACTIONS(3263),
    [anon_sym_signal] = ACTIONS(3263),
    [anon_sym_on] = ACTIONS(3263),
    [anon_sym_required] = ACTIONS(3263),
    [anon_sym_component] = ACTIONS(3263),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [937] = {
    [sym__call_signature] = STATE(8329),
    [sym_comment] = STATE(937),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_from] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3274),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_property] = ACTIONS(3263),
    [anon_sym_signal] = ACTIONS(3263),
    [anon_sym_on] = ACTIONS(3263),
    [anon_sym_required] = ACTIONS(3263),
    [anon_sym_component] = ACTIONS(3263),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [938] = {
    [sym__call_signature] = STATE(8329),
    [sym_comment] = STATE(938),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_from] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3276),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_property] = ACTIONS(3263),
    [anon_sym_signal] = ACTIONS(3263),
    [anon_sym_on] = ACTIONS(3263),
    [anon_sym_required] = ACTIONS(3263),
    [anon_sym_component] = ACTIONS(3263),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [939] = {
    [sym__call_signature] = STATE(8329),
    [sym_comment] = STATE(939),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_from] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3278),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_property] = ACTIONS(3263),
    [anon_sym_signal] = ACTIONS(3263),
    [anon_sym_on] = ACTIONS(3263),
    [anon_sym_required] = ACTIONS(3263),
    [anon_sym_component] = ACTIONS(3263),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [940] = {
    [sym__call_signature] = STATE(8196),
    [sym_comment] = STATE(940),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_ui_object_initializer] = STATE(6642),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_from] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(34),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(3267),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_property] = ACTIONS(3255),
    [anon_sym_signal] = ACTIONS(3255),
    [anon_sym_on] = ACTIONS(3255),
    [anon_sym_required] = ACTIONS(3255),
    [anon_sym_component] = ACTIONS(3255),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [941] = {
    [sym__call_signature] = STATE(8196),
    [sym_comment] = STATE(941),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3253),
    [anon_sym_export] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3255),
    [anon_sym_EQ] = ACTIONS(1337),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_COMMA] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [anon_sym_from] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3255),
    [anon_sym_COLON] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(1414),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_get] = ACTIONS(3255),
    [anon_sym_set] = ACTIONS(3255),
    [anon_sym_declare] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_module] = ACTIONS(3255),
    [anon_sym_any] = ACTIONS(3255),
    [anon_sym_number] = ACTIONS(3255),
    [anon_sym_boolean] = ACTIONS(3255),
    [anon_sym_string] = ACTIONS(3255),
    [anon_sym_symbol] = ACTIONS(3255),
    [anon_sym_object] = ACTIONS(3255),
    [anon_sym_property] = ACTIONS(3255),
    [anon_sym_signal] = ACTIONS(3255),
    [anon_sym_on] = ACTIONS(3255),
    [anon_sym_required] = ACTIONS(3255),
    [anon_sym_component] = ACTIONS(3255),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [942] = {
    [sym__call_signature] = STATE(8329),
    [sym_comment] = STATE(942),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_from] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(2924),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_property] = ACTIONS(3263),
    [anon_sym_signal] = ACTIONS(3263),
    [anon_sym_on] = ACTIONS(3263),
    [anon_sym_required] = ACTIONS(3263),
    [anon_sym_component] = ACTIONS(3263),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [943] = {
    [sym__call_signature] = STATE(8329),
    [sym_comment] = STATE(943),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_from] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3282),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_property] = ACTIONS(3263),
    [anon_sym_signal] = ACTIONS(3263),
    [anon_sym_on] = ACTIONS(3263),
    [anon_sym_required] = ACTIONS(3263),
    [anon_sym_component] = ACTIONS(3263),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [944] = {
    [sym__call_signature] = STATE(8329),
    [sym_comment] = STATE(944),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(28),
    [anon_sym_from] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_property] = ACTIONS(3263),
    [anon_sym_signal] = ACTIONS(3263),
    [anon_sym_on] = ACTIONS(3263),
    [anon_sym_required] = ACTIONS(3263),
    [anon_sym_component] = ACTIONS(3263),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [945] = {
    [sym__call_signature] = STATE(8329),
    [sym_comment] = STATE(945),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_from] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3284),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_property] = ACTIONS(3263),
    [anon_sym_signal] = ACTIONS(3263),
    [anon_sym_on] = ACTIONS(3263),
    [anon_sym_required] = ACTIONS(3263),
    [anon_sym_component] = ACTIONS(3263),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [946] = {
    [sym__call_signature] = STATE(8329),
    [sym_comment] = STATE(946),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_from] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3286),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_property] = ACTIONS(3263),
    [anon_sym_signal] = ACTIONS(3263),
    [anon_sym_on] = ACTIONS(3263),
    [anon_sym_required] = ACTIONS(3263),
    [anon_sym_component] = ACTIONS(3263),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [947] = {
    [sym__call_signature] = STATE(8223),
    [sym_comment] = STATE(947),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3290),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3290),
    [anon_sym_EQ] = ACTIONS(1428),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_from] = ACTIONS(3290),
    [anon_sym_let] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3292),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3290),
    [anon_sym_function] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(1417),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_readonly] = ACTIONS(3290),
    [anon_sym_get] = ACTIONS(3290),
    [anon_sym_set] = ACTIONS(3290),
    [anon_sym_declare] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3290),
    [anon_sym_module] = ACTIONS(3290),
    [anon_sym_any] = ACTIONS(3290),
    [anon_sym_number] = ACTIONS(3290),
    [anon_sym_boolean] = ACTIONS(3290),
    [anon_sym_string] = ACTIONS(3290),
    [anon_sym_symbol] = ACTIONS(3290),
    [anon_sym_object] = ACTIONS(3290),
    [anon_sym_property] = ACTIONS(3290),
    [anon_sym_signal] = ACTIONS(3290),
    [anon_sym_on] = ACTIONS(3290),
    [anon_sym_required] = ACTIONS(3290),
    [anon_sym_component] = ACTIONS(3290),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [948] = {
    [sym_declaration] = STATE(8007),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_class_declaration] = STATE(8195),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_comment] = STATE(948),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(8195),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(8045),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [aux_sym_export_statement_repeat1] = STATE(6284),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3295),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3149),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(3151),
    [anon_sym_var] = ACTIONS(3153),
    [anon_sym_let] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3161),
    [anon_sym_async] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3167),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3171),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3299),
    [anon_sym_interface] = ACTIONS(3173),
    [anon_sym_enum] = ACTIONS(3175),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [949] = {
    [sym__call_signature] = STATE(8329),
    [sym_comment] = STATE(949),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3261),
    [anon_sym_export] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3263),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_from] = ACTIONS(3263),
    [anon_sym_let] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(1419),
    [anon_sym_of] = ACTIONS(3301),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3263),
    [anon_sym_function] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3263),
    [anon_sym_get] = ACTIONS(3263),
    [anon_sym_set] = ACTIONS(3263),
    [anon_sym_declare] = ACTIONS(3263),
    [anon_sym_public] = ACTIONS(3263),
    [anon_sym_private] = ACTIONS(3263),
    [anon_sym_protected] = ACTIONS(3263),
    [anon_sym_override] = ACTIONS(3263),
    [anon_sym_module] = ACTIONS(3263),
    [anon_sym_any] = ACTIONS(3263),
    [anon_sym_number] = ACTIONS(3263),
    [anon_sym_boolean] = ACTIONS(3263),
    [anon_sym_string] = ACTIONS(3263),
    [anon_sym_symbol] = ACTIONS(3263),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_property] = ACTIONS(3263),
    [anon_sym_signal] = ACTIONS(3263),
    [anon_sym_on] = ACTIONS(3263),
    [anon_sym_required] = ACTIONS(3263),
    [anon_sym_component] = ACTIONS(3263),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [950] = {
    [sym__call_signature] = STATE(8647),
    [sym_comment] = STATE(950),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3303),
    [anon_sym_export] = ACTIONS(3305),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3305),
    [anon_sym_EQ] = ACTIONS(1477),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_from] = ACTIONS(3305),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3305),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(1471),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3305),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3305),
    [anon_sym_readonly] = ACTIONS(3305),
    [anon_sym_get] = ACTIONS(3305),
    [anon_sym_set] = ACTIONS(3305),
    [anon_sym_declare] = ACTIONS(3305),
    [anon_sym_public] = ACTIONS(3305),
    [anon_sym_private] = ACTIONS(3305),
    [anon_sym_protected] = ACTIONS(3305),
    [anon_sym_override] = ACTIONS(3305),
    [anon_sym_module] = ACTIONS(3305),
    [anon_sym_any] = ACTIONS(3305),
    [anon_sym_number] = ACTIONS(3305),
    [anon_sym_boolean] = ACTIONS(3305),
    [anon_sym_string] = ACTIONS(3305),
    [anon_sym_symbol] = ACTIONS(3305),
    [anon_sym_object] = ACTIONS(3305),
    [anon_sym_property] = ACTIONS(3305),
    [anon_sym_signal] = ACTIONS(3305),
    [anon_sym_on] = ACTIONS(3305),
    [anon_sym_required] = ACTIONS(3305),
    [anon_sym_component] = ACTIONS(3305),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_implements] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [951] = {
    [sym_declaration] = STATE(1667),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_class_declaration] = STATE(1751),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_comment] = STATE(951),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1751),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(1743),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [aux_sym_export_statement_repeat1] = STATE(5967),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3007),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_async] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(2991),
    [anon_sym_module] = ACTIONS(3009),
    [anon_sym_abstract] = ACTIONS(2995),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3011),
    [anon_sym_interface] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2999),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [952] = {
    [sym__call_signature] = STATE(8312),
    [sym_comment] = STATE(952),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3309),
    [anon_sym_EQ] = ACTIONS(1442),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3309),
    [anon_sym_COLON] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(34),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(1451),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_get] = ACTIONS(3309),
    [anon_sym_set] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_module] = ACTIONS(3309),
    [anon_sym_any] = ACTIONS(3309),
    [anon_sym_number] = ACTIONS(3309),
    [anon_sym_boolean] = ACTIONS(3309),
    [anon_sym_string] = ACTIONS(3309),
    [anon_sym_symbol] = ACTIONS(3309),
    [anon_sym_object] = ACTIONS(3309),
    [anon_sym_property] = ACTIONS(3309),
    [anon_sym_signal] = ACTIONS(3309),
    [anon_sym_on] = ACTIONS(3309),
    [anon_sym_required] = ACTIONS(3309),
    [anon_sym_component] = ACTIONS(3309),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [953] = {
    [sym_declaration] = STATE(1569),
    [sym_variable_declaration] = STATE(1587),
    [sym_lexical_declaration] = STATE(1587),
    [sym_class_declaration] = STATE(1587),
    [sym_function_declaration] = STATE(1587),
    [sym_generator_function_declaration] = STATE(1587),
    [sym_comment] = STATE(953),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1587),
    [sym_ambient_declaration] = STATE(1587),
    [sym_abstract_class_declaration] = STATE(1587),
    [sym_module] = STATE(1587),
    [sym_internal_module] = STATE(1487),
    [sym_import_alias] = STATE(1587),
    [sym_interface_declaration] = STATE(1587),
    [sym_enum_declaration] = STATE(1587),
    [sym_type_alias_declaration] = STATE(1587),
    [aux_sym_export_statement_repeat1] = STATE(6050),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3311),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(3189),
    [anon_sym_var] = ACTIONS(3191),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_async] = ACTIONS(3201),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3313),
    [anon_sym_abstract] = ACTIONS(3209),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3315),
    [anon_sym_interface] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3213),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [954] = {
    [sym_declaration] = STATE(4335),
    [sym_variable_declaration] = STATE(4255),
    [sym_lexical_declaration] = STATE(4255),
    [sym_class_declaration] = STATE(4255),
    [sym_function_declaration] = STATE(4255),
    [sym_generator_function_declaration] = STATE(4255),
    [sym_comment] = STATE(954),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(4255),
    [sym_ambient_declaration] = STATE(4255),
    [sym_abstract_class_declaration] = STATE(4255),
    [sym_module] = STATE(4255),
    [sym_internal_module] = STATE(4326),
    [sym_import_alias] = STATE(4255),
    [sym_interface_declaration] = STATE(4255),
    [sym_enum_declaration] = STATE(4255),
    [sym_type_alias_declaration] = STATE(4255),
    [aux_sym_export_statement_repeat1] = STATE(6240),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3317),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3111),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(3113),
    [anon_sym_var] = ACTIONS(3115),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3123),
    [anon_sym_async] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3129),
    [anon_sym_module] = ACTIONS(3319),
    [anon_sym_abstract] = ACTIONS(3133),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3321),
    [anon_sym_interface] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3137),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [955] = {
    [sym__call_signature] = STATE(8647),
    [sym_comment] = STATE(955),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3303),
    [anon_sym_export] = ACTIONS(3305),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3305),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_from] = ACTIONS(3305),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3305),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(1471),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3305),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3305),
    [anon_sym_readonly] = ACTIONS(3305),
    [anon_sym_get] = ACTIONS(3305),
    [anon_sym_set] = ACTIONS(3305),
    [anon_sym_declare] = ACTIONS(3305),
    [anon_sym_public] = ACTIONS(3305),
    [anon_sym_private] = ACTIONS(3305),
    [anon_sym_protected] = ACTIONS(3305),
    [anon_sym_override] = ACTIONS(3305),
    [anon_sym_module] = ACTIONS(3305),
    [anon_sym_any] = ACTIONS(3305),
    [anon_sym_number] = ACTIONS(3305),
    [anon_sym_boolean] = ACTIONS(3305),
    [anon_sym_string] = ACTIONS(3305),
    [anon_sym_symbol] = ACTIONS(3305),
    [anon_sym_object] = ACTIONS(3305),
    [anon_sym_property] = ACTIONS(3305),
    [anon_sym_signal] = ACTIONS(3305),
    [anon_sym_on] = ACTIONS(3305),
    [anon_sym_required] = ACTIONS(3305),
    [anon_sym_component] = ACTIONS(3305),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_implements] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [956] = {
    [sym_declaration] = STATE(1291),
    [sym_variable_declaration] = STATE(1302),
    [sym_lexical_declaration] = STATE(1302),
    [sym_class_declaration] = STATE(1302),
    [sym_function_declaration] = STATE(1302),
    [sym_generator_function_declaration] = STATE(1302),
    [sym_comment] = STATE(956),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1302),
    [sym_ambient_declaration] = STATE(1302),
    [sym_abstract_class_declaration] = STATE(1302),
    [sym_module] = STATE(1302),
    [sym_internal_module] = STATE(1298),
    [sym_import_alias] = STATE(1302),
    [sym_interface_declaration] = STATE(1302),
    [sym_enum_declaration] = STATE(1302),
    [sym_type_alias_declaration] = STATE(1302),
    [aux_sym_export_statement_repeat1] = STATE(6249),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3323),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3229),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(3235),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3239),
    [anon_sym_function] = ACTIONS(3241),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3243),
    [anon_sym_module] = ACTIONS(3325),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3251),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [957] = {
    [sym_declaration] = STATE(1078),
    [sym_variable_declaration] = STATE(1092),
    [sym_lexical_declaration] = STATE(1092),
    [sym_class_declaration] = STATE(1092),
    [sym_function_declaration] = STATE(1092),
    [sym_generator_function_declaration] = STATE(1092),
    [sym_comment] = STATE(957),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1092),
    [sym_ambient_declaration] = STATE(1092),
    [sym_abstract_class_declaration] = STATE(1092),
    [sym_module] = STATE(1092),
    [sym_internal_module] = STATE(1079),
    [sym_import_alias] = STATE(1092),
    [sym_interface_declaration] = STATE(1092),
    [sym_enum_declaration] = STATE(1092),
    [sym_type_alias_declaration] = STATE(1092),
    [aux_sym_export_statement_repeat1] = STATE(5961),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3329),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3023),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(3025),
    [anon_sym_var] = ACTIONS(3027),
    [anon_sym_let] = ACTIONS(3029),
    [anon_sym_const] = ACTIONS(3031),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3035),
    [anon_sym_async] = ACTIONS(3037),
    [anon_sym_function] = ACTIONS(3039),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3041),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_abstract] = ACTIONS(3045),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [958] = {
    [sym_declaration] = STATE(4140),
    [sym_variable_declaration] = STATE(4080),
    [sym_lexical_declaration] = STATE(4080),
    [sym_class_declaration] = STATE(4080),
    [sym_function_declaration] = STATE(4080),
    [sym_generator_function_declaration] = STATE(4080),
    [sym_comment] = STATE(958),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(4080),
    [sym_ambient_declaration] = STATE(4080),
    [sym_abstract_class_declaration] = STATE(4080),
    [sym_module] = STATE(4080),
    [sym_internal_module] = STATE(4134),
    [sym_import_alias] = STATE(4080),
    [sym_interface_declaration] = STATE(4080),
    [sym_enum_declaration] = STATE(4080),
    [sym_type_alias_declaration] = STATE(4080),
    [aux_sym_export_statement_repeat1] = STATE(6181),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3335),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3061),
    [anon_sym_COMMA] = ACTIONS(126),
    [anon_sym_import] = ACTIONS(3063),
    [anon_sym_var] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_const] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_COLON] = ACTIONS(3071),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_async] = ACTIONS(3075),
    [anon_sym_function] = ACTIONS(3077),
    [anon_sym_EQ_GT] = ACTIONS(2983),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3079),
    [anon_sym_module] = ACTIONS(3337),
    [anon_sym_abstract] = ACTIONS(3083),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3339),
    [anon_sym_interface] = ACTIONS(3085),
    [anon_sym_enum] = ACTIONS(3087),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [959] = {
    [sym__call_signature] = STATE(8223),
    [sym_comment] = STATE(959),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3288),
    [anon_sym_export] = ACTIONS(3290),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3290),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_from] = ACTIONS(3290),
    [anon_sym_let] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3292),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3290),
    [anon_sym_function] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(1417),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_readonly] = ACTIONS(3290),
    [anon_sym_get] = ACTIONS(3290),
    [anon_sym_set] = ACTIONS(3290),
    [anon_sym_declare] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_override] = ACTIONS(3290),
    [anon_sym_module] = ACTIONS(3290),
    [anon_sym_any] = ACTIONS(3290),
    [anon_sym_number] = ACTIONS(3290),
    [anon_sym_boolean] = ACTIONS(3290),
    [anon_sym_string] = ACTIONS(3290),
    [anon_sym_symbol] = ACTIONS(3290),
    [anon_sym_object] = ACTIONS(3290),
    [anon_sym_property] = ACTIONS(3290),
    [anon_sym_signal] = ACTIONS(3290),
    [anon_sym_on] = ACTIONS(3290),
    [anon_sym_required] = ACTIONS(3290),
    [anon_sym_component] = ACTIONS(3290),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [960] = {
    [sym__call_signature] = STATE(8535),
    [sym_comment] = STATE(960),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_from] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(2924),
    [anon_sym_EQ_GT] = ACTIONS(1455),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_property] = ACTIONS(3343),
    [anon_sym_signal] = ACTIONS(3343),
    [anon_sym_on] = ACTIONS(3343),
    [anon_sym_required] = ACTIONS(3343),
    [anon_sym_component] = ACTIONS(3343),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [961] = {
    [sym__call_signature] = STATE(8312),
    [sym_comment] = STATE(961),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3309),
    [anon_sym_EQ] = ACTIONS(1442),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_from] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(34),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(1451),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_get] = ACTIONS(3309),
    [anon_sym_set] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_module] = ACTIONS(3309),
    [anon_sym_any] = ACTIONS(3309),
    [anon_sym_number] = ACTIONS(3309),
    [anon_sym_boolean] = ACTIONS(3309),
    [anon_sym_string] = ACTIONS(3309),
    [anon_sym_symbol] = ACTIONS(3309),
    [anon_sym_object] = ACTIONS(3309),
    [anon_sym_property] = ACTIONS(3309),
    [anon_sym_signal] = ACTIONS(3309),
    [anon_sym_on] = ACTIONS(3309),
    [anon_sym_required] = ACTIONS(3309),
    [anon_sym_component] = ACTIONS(3309),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [962] = {
    [sym__call_signature] = STATE(8535),
    [sym_comment] = STATE(962),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_from] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3282),
    [anon_sym_EQ_GT] = ACTIONS(1455),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_property] = ACTIONS(3343),
    [anon_sym_signal] = ACTIONS(3343),
    [anon_sym_on] = ACTIONS(3343),
    [anon_sym_required] = ACTIONS(3343),
    [anon_sym_component] = ACTIONS(3343),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [963] = {
    [sym_catch_clause] = STATE(1011),
    [sym_finally_clause] = STATE(1111),
    [sym_comment] = STATE(963),
    [sym_identifier] = ACTIONS(3345),
    [anon_sym_export] = ACTIONS(3345),
    [anon_sym_default] = ACTIONS(3345),
    [anon_sym_type] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym_import] = ACTIONS(3345),
    [anon_sym_from] = ACTIONS(3345),
    [anon_sym_with] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_else] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_LPAREN] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_of] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_debugger] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym_case] = ACTIONS(3345),
    [anon_sym_catch] = ACTIONS(3347),
    [anon_sym_finally] = ACTIONS(3349),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_LTtemplate_GT] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_SLASH] = ACTIONS(3345),
    [anon_sym_LT] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_void] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3345),
    [sym_number] = ACTIONS(3345),
    [sym_private_property_identifier] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
    [sym_super] = ACTIONS(3345),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [sym_null] = ACTIONS(3345),
    [sym_undefined] = ACTIONS(3345),
    [anon_sym_AT] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_get] = ACTIONS(3345),
    [anon_sym_set] = ACTIONS(3345),
    [anon_sym_declare] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_module] = ACTIONS(3345),
    [anon_sym_any] = ACTIONS(3345),
    [anon_sym_number] = ACTIONS(3345),
    [anon_sym_boolean] = ACTIONS(3345),
    [anon_sym_string] = ACTIONS(3345),
    [anon_sym_symbol] = ACTIONS(3345),
    [anon_sym_object] = ACTIONS(3345),
    [anon_sym_property] = ACTIONS(3345),
    [anon_sym_signal] = ACTIONS(3345),
    [anon_sym_on] = ACTIONS(3345),
    [anon_sym_required] = ACTIONS(3345),
    [anon_sym_component] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_interface] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [sym_html_comment] = ACTIONS(5),
  },
  [964] = {
    [sym__call_signature] = STATE(8535),
    [sym_comment] = STATE(964),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_from] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(1455),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_property] = ACTIONS(3343),
    [anon_sym_signal] = ACTIONS(3343),
    [anon_sym_on] = ACTIONS(3343),
    [anon_sym_required] = ACTIONS(3343),
    [anon_sym_component] = ACTIONS(3343),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [965] = {
    [sym__call_signature] = STATE(8535),
    [sym_comment] = STATE(965),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_from] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(1455),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_property] = ACTIONS(3343),
    [anon_sym_signal] = ACTIONS(3343),
    [anon_sym_on] = ACTIONS(3343),
    [anon_sym_required] = ACTIONS(3343),
    [anon_sym_component] = ACTIONS(3343),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [966] = {
    [sym__call_signature] = STATE(8535),
    [sym_comment] = STATE(966),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_from] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3284),
    [anon_sym_EQ_GT] = ACTIONS(1455),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_property] = ACTIONS(3343),
    [anon_sym_signal] = ACTIONS(3343),
    [anon_sym_on] = ACTIONS(3343),
    [anon_sym_required] = ACTIONS(3343),
    [anon_sym_component] = ACTIONS(3343),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [967] = {
    [sym__call_signature] = STATE(8535),
    [sym_comment] = STATE(967),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_from] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3274),
    [anon_sym_EQ_GT] = ACTIONS(1455),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_property] = ACTIONS(3343),
    [anon_sym_signal] = ACTIONS(3343),
    [anon_sym_on] = ACTIONS(3343),
    [anon_sym_required] = ACTIONS(3343),
    [anon_sym_component] = ACTIONS(3343),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [968] = {
    [sym__call_signature] = STATE(8535),
    [sym_comment] = STATE(968),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_from] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3276),
    [anon_sym_EQ_GT] = ACTIONS(1455),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_property] = ACTIONS(3343),
    [anon_sym_signal] = ACTIONS(3343),
    [anon_sym_on] = ACTIONS(3343),
    [anon_sym_required] = ACTIONS(3343),
    [anon_sym_component] = ACTIONS(3343),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [969] = {
    [sym__call_signature] = STATE(8535),
    [sym_comment] = STATE(969),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_from] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3278),
    [anon_sym_EQ_GT] = ACTIONS(1455),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_property] = ACTIONS(3343),
    [anon_sym_signal] = ACTIONS(3343),
    [anon_sym_on] = ACTIONS(3343),
    [anon_sym_required] = ACTIONS(3343),
    [anon_sym_component] = ACTIONS(3343),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [970] = {
    [sym__call_signature] = STATE(8312),
    [sym_comment] = STATE(970),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3309),
    [anon_sym_EQ] = ACTIONS(1469),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_from] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3309),
    [anon_sym_COLON] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(1451),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_get] = ACTIONS(3309),
    [anon_sym_set] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_module] = ACTIONS(3309),
    [anon_sym_any] = ACTIONS(3309),
    [anon_sym_number] = ACTIONS(3309),
    [anon_sym_boolean] = ACTIONS(3309),
    [anon_sym_string] = ACTIONS(3309),
    [anon_sym_symbol] = ACTIONS(3309),
    [anon_sym_object] = ACTIONS(3309),
    [anon_sym_property] = ACTIONS(3309),
    [anon_sym_signal] = ACTIONS(3309),
    [anon_sym_on] = ACTIONS(3309),
    [anon_sym_required] = ACTIONS(3309),
    [anon_sym_component] = ACTIONS(3309),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [971] = {
    [sym__call_signature] = STATE(8535),
    [sym_comment] = STATE(971),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_from] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3351),
    [anon_sym_EQ_GT] = ACTIONS(1455),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_property] = ACTIONS(3343),
    [anon_sym_signal] = ACTIONS(3343),
    [anon_sym_on] = ACTIONS(3343),
    [anon_sym_required] = ACTIONS(3343),
    [anon_sym_component] = ACTIONS(3343),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [972] = {
    [sym__call_signature] = STATE(8535),
    [sym_comment] = STATE(972),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3341),
    [anon_sym_export] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3343),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_from] = ACTIONS(3343),
    [anon_sym_let] = ACTIONS(3343),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3343),
    [anon_sym_function] = ACTIONS(3286),
    [anon_sym_EQ_GT] = ACTIONS(1455),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_readonly] = ACTIONS(3343),
    [anon_sym_get] = ACTIONS(3343),
    [anon_sym_set] = ACTIONS(3343),
    [anon_sym_declare] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3343),
    [anon_sym_module] = ACTIONS(3343),
    [anon_sym_any] = ACTIONS(3343),
    [anon_sym_number] = ACTIONS(3343),
    [anon_sym_boolean] = ACTIONS(3343),
    [anon_sym_string] = ACTIONS(3343),
    [anon_sym_symbol] = ACTIONS(3343),
    [anon_sym_object] = ACTIONS(3343),
    [anon_sym_property] = ACTIONS(3343),
    [anon_sym_signal] = ACTIONS(3343),
    [anon_sym_on] = ACTIONS(3343),
    [anon_sym_required] = ACTIONS(3343),
    [anon_sym_component] = ACTIONS(3343),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [973] = {
    [sym__call_signature] = STATE(8312),
    [sym_comment] = STATE(973),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3309),
    [anon_sym_EQ] = ACTIONS(1469),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_from] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3309),
    [anon_sym_COLON] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(1451),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_get] = ACTIONS(3309),
    [anon_sym_set] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_module] = ACTIONS(3309),
    [anon_sym_any] = ACTIONS(3309),
    [anon_sym_number] = ACTIONS(3309),
    [anon_sym_boolean] = ACTIONS(3309),
    [anon_sym_string] = ACTIONS(3309),
    [anon_sym_symbol] = ACTIONS(3309),
    [anon_sym_object] = ACTIONS(3309),
    [anon_sym_property] = ACTIONS(3309),
    [anon_sym_signal] = ACTIONS(3309),
    [anon_sym_on] = ACTIONS(3309),
    [anon_sym_required] = ACTIONS(3309),
    [anon_sym_component] = ACTIONS(3309),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [974] = {
    [sym_comment] = STATE(974),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_default] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2287),
    [anon_sym_catch] = ACTIONS(2287),
    [anon_sym_finally] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(3353),
    [sym_html_comment] = ACTIONS(5),
  },
  [975] = {
    [sym_declaration] = STATE(4335),
    [sym_variable_declaration] = STATE(4255),
    [sym_lexical_declaration] = STATE(4255),
    [sym_class_declaration] = STATE(4255),
    [sym_function_declaration] = STATE(4255),
    [sym_generator_function_declaration] = STATE(4255),
    [sym_comment] = STATE(975),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(4255),
    [sym_ambient_declaration] = STATE(4255),
    [sym_abstract_class_declaration] = STATE(4255),
    [sym_module] = STATE(4255),
    [sym_internal_module] = STATE(4326),
    [sym_import_alias] = STATE(4255),
    [sym_interface_declaration] = STATE(4255),
    [sym_enum_declaration] = STATE(4255),
    [sym_type_alias_declaration] = STATE(4255),
    [aux_sym_export_statement_repeat1] = STATE(6240),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3317),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3111),
    [anon_sym_import] = ACTIONS(3113),
    [anon_sym_var] = ACTIONS(3115),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3119),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3123),
    [anon_sym_async] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_EQ_GT] = ACTIONS(3355),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3129),
    [anon_sym_module] = ACTIONS(3319),
    [anon_sym_abstract] = ACTIONS(3133),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3321),
    [anon_sym_interface] = ACTIONS(3135),
    [anon_sym_enum] = ACTIONS(3137),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [976] = {
    [sym_declaration] = STATE(1667),
    [sym_variable_declaration] = STATE(1751),
    [sym_lexical_declaration] = STATE(1751),
    [sym_class_declaration] = STATE(1751),
    [sym_function_declaration] = STATE(1751),
    [sym_generator_function_declaration] = STATE(1751),
    [sym_comment] = STATE(976),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1751),
    [sym_ambient_declaration] = STATE(1751),
    [sym_abstract_class_declaration] = STATE(1751),
    [sym_module] = STATE(1751),
    [sym_internal_module] = STATE(1743),
    [sym_import_alias] = STATE(1751),
    [sym_interface_declaration] = STATE(1751),
    [sym_enum_declaration] = STATE(1751),
    [sym_type_alias_declaration] = STATE(1751),
    [aux_sym_export_statement_repeat1] = STATE(5967),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3007),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2965),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_async] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_EQ_GT] = ACTIONS(3355),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(2991),
    [anon_sym_module] = ACTIONS(3009),
    [anon_sym_abstract] = ACTIONS(2995),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3011),
    [anon_sym_interface] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2999),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [977] = {
    [sym_declaration] = STATE(6251),
    [sym_variable_declaration] = STATE(6274),
    [sym_lexical_declaration] = STATE(6274),
    [sym_class_declaration] = STATE(6274),
    [sym_function_declaration] = STATE(6274),
    [sym_generator_function_declaration] = STATE(6274),
    [sym_comment] = STATE(977),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(6274),
    [sym_ambient_declaration] = STATE(6274),
    [sym_abstract_class_declaration] = STATE(6274),
    [sym_module] = STATE(6274),
    [sym_internal_module] = STATE(5916),
    [sym_import_alias] = STATE(6274),
    [sym_interface_declaration] = STATE(6274),
    [sym_enum_declaration] = STATE(6274),
    [sym_type_alias_declaration] = STATE(6274),
    [aux_sym_export_statement_repeat1] = STATE(6130),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3357),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_import] = ACTIONS(3361),
    [anon_sym_var] = ACTIONS(3363),
    [anon_sym_let] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3369),
    [anon_sym_async] = ACTIONS(3371),
    [anon_sym_function] = ACTIONS(3373),
    [anon_sym_EQ_GT] = ACTIONS(3355),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3375),
    [anon_sym_module] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3379),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3381),
    [anon_sym_interface] = ACTIONS(3383),
    [anon_sym_enum] = ACTIONS(3385),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [978] = {
    [sym__call_signature] = STATE(8200),
    [sym_comment] = STATE(978),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_export] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3389),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_from] = ACTIONS(3389),
    [anon_sym_let] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3389),
    [anon_sym_COLON] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(1489),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_readonly] = ACTIONS(3389),
    [anon_sym_get] = ACTIONS(3389),
    [anon_sym_set] = ACTIONS(3389),
    [anon_sym_declare] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_override] = ACTIONS(3389),
    [anon_sym_module] = ACTIONS(3389),
    [anon_sym_any] = ACTIONS(3389),
    [anon_sym_number] = ACTIONS(3389),
    [anon_sym_boolean] = ACTIONS(3389),
    [anon_sym_string] = ACTIONS(3389),
    [anon_sym_symbol] = ACTIONS(3389),
    [anon_sym_object] = ACTIONS(3389),
    [anon_sym_property] = ACTIONS(3389),
    [anon_sym_signal] = ACTIONS(3389),
    [anon_sym_on] = ACTIONS(3389),
    [anon_sym_required] = ACTIONS(3389),
    [anon_sym_component] = ACTIONS(3389),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [979] = {
    [sym_declaration] = STATE(1291),
    [sym_variable_declaration] = STATE(1302),
    [sym_lexical_declaration] = STATE(1302),
    [sym_class_declaration] = STATE(1302),
    [sym_function_declaration] = STATE(1302),
    [sym_generator_function_declaration] = STATE(1302),
    [sym_comment] = STATE(979),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1302),
    [sym_ambient_declaration] = STATE(1302),
    [sym_abstract_class_declaration] = STATE(1302),
    [sym_module] = STATE(1302),
    [sym_internal_module] = STATE(1298),
    [sym_import_alias] = STATE(1302),
    [sym_interface_declaration] = STATE(1302),
    [sym_enum_declaration] = STATE(1302),
    [sym_type_alias_declaration] = STATE(1302),
    [aux_sym_export_statement_repeat1] = STATE(6249),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3323),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_import] = ACTIONS(3227),
    [anon_sym_var] = ACTIONS(3229),
    [anon_sym_let] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3239),
    [anon_sym_function] = ACTIONS(3241),
    [anon_sym_EQ_GT] = ACTIONS(3355),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3243),
    [anon_sym_module] = ACTIONS(3325),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3251),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [980] = {
    [sym_declaration] = STATE(1078),
    [sym_variable_declaration] = STATE(1092),
    [sym_lexical_declaration] = STATE(1092),
    [sym_class_declaration] = STATE(1092),
    [sym_function_declaration] = STATE(1092),
    [sym_generator_function_declaration] = STATE(1092),
    [sym_comment] = STATE(980),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1092),
    [sym_ambient_declaration] = STATE(1092),
    [sym_abstract_class_declaration] = STATE(1092),
    [sym_module] = STATE(1092),
    [sym_internal_module] = STATE(1079),
    [sym_import_alias] = STATE(1092),
    [sym_interface_declaration] = STATE(1092),
    [sym_enum_declaration] = STATE(1092),
    [sym_type_alias_declaration] = STATE(1092),
    [aux_sym_export_statement_repeat1] = STATE(5961),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3329),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3023),
    [anon_sym_import] = ACTIONS(3025),
    [anon_sym_var] = ACTIONS(3027),
    [anon_sym_let] = ACTIONS(3029),
    [anon_sym_const] = ACTIONS(3031),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3035),
    [anon_sym_async] = ACTIONS(3037),
    [anon_sym_function] = ACTIONS(3039),
    [anon_sym_EQ_GT] = ACTIONS(3355),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3041),
    [anon_sym_module] = ACTIONS(3331),
    [anon_sym_abstract] = ACTIONS(3045),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3333),
    [anon_sym_interface] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [981] = {
    [sym_catch_clause] = STATE(1036),
    [sym_finally_clause] = STATE(1289),
    [sym_comment] = STATE(981),
    [sym_identifier] = ACTIONS(3345),
    [anon_sym_export] = ACTIONS(3345),
    [anon_sym_default] = ACTIONS(3345),
    [anon_sym_type] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym_import] = ACTIONS(3345),
    [anon_sym_from] = ACTIONS(3345),
    [anon_sym_with] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_LPAREN] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_of] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_debugger] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym_case] = ACTIONS(3345),
    [anon_sym_catch] = ACTIONS(3391),
    [anon_sym_finally] = ACTIONS(3393),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_LTtemplate_GT] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_SLASH] = ACTIONS(3345),
    [anon_sym_LT] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_void] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3345),
    [sym_number] = ACTIONS(3345),
    [sym_private_property_identifier] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
    [sym_super] = ACTIONS(3345),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [sym_null] = ACTIONS(3345),
    [sym_undefined] = ACTIONS(3345),
    [anon_sym_AT] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_get] = ACTIONS(3345),
    [anon_sym_set] = ACTIONS(3345),
    [anon_sym_declare] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_module] = ACTIONS(3345),
    [anon_sym_any] = ACTIONS(3345),
    [anon_sym_number] = ACTIONS(3345),
    [anon_sym_boolean] = ACTIONS(3345),
    [anon_sym_string] = ACTIONS(3345),
    [anon_sym_symbol] = ACTIONS(3345),
    [anon_sym_object] = ACTIONS(3345),
    [anon_sym_property] = ACTIONS(3345),
    [anon_sym_signal] = ACTIONS(3345),
    [anon_sym_on] = ACTIONS(3345),
    [anon_sym_required] = ACTIONS(3345),
    [anon_sym_component] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_interface] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [sym_html_comment] = ACTIONS(5),
  },
  [982] = {
    [sym__call_signature] = STATE(8200),
    [sym_comment] = STATE(982),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_export] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3389),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_from] = ACTIONS(3389),
    [anon_sym_let] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3389),
    [anon_sym_COLON] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(1489),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_readonly] = ACTIONS(3389),
    [anon_sym_get] = ACTIONS(3389),
    [anon_sym_set] = ACTIONS(3389),
    [anon_sym_declare] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_override] = ACTIONS(3389),
    [anon_sym_module] = ACTIONS(3389),
    [anon_sym_any] = ACTIONS(3389),
    [anon_sym_number] = ACTIONS(3389),
    [anon_sym_boolean] = ACTIONS(3389),
    [anon_sym_string] = ACTIONS(3389),
    [anon_sym_symbol] = ACTIONS(3389),
    [anon_sym_object] = ACTIONS(3389),
    [anon_sym_property] = ACTIONS(3389),
    [anon_sym_signal] = ACTIONS(3389),
    [anon_sym_on] = ACTIONS(3389),
    [anon_sym_required] = ACTIONS(3389),
    [anon_sym_component] = ACTIONS(3389),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [983] = {
    [sym_comment] = STATE(983),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_catch] = ACTIONS(2332),
    [anon_sym_finally] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(3395),
    [sym_html_comment] = ACTIONS(5),
  },
  [984] = {
    [sym_declaration] = STATE(8007),
    [sym_variable_declaration] = STATE(8195),
    [sym_lexical_declaration] = STATE(8195),
    [sym_class_declaration] = STATE(8195),
    [sym_function_declaration] = STATE(8195),
    [sym_generator_function_declaration] = STATE(8195),
    [sym_comment] = STATE(984),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(8195),
    [sym_ambient_declaration] = STATE(8195),
    [sym_abstract_class_declaration] = STATE(8195),
    [sym_module] = STATE(8195),
    [sym_internal_module] = STATE(8045),
    [sym_import_alias] = STATE(8195),
    [sym_interface_declaration] = STATE(8195),
    [sym_enum_declaration] = STATE(8195),
    [sym_type_alias_declaration] = STATE(8195),
    [aux_sym_export_statement_repeat1] = STATE(6284),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3295),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3149),
    [anon_sym_import] = ACTIONS(3151),
    [anon_sym_var] = ACTIONS(3153),
    [anon_sym_let] = ACTIONS(3155),
    [anon_sym_const] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3161),
    [anon_sym_async] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_EQ_GT] = ACTIONS(3355),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3167),
    [anon_sym_module] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3171),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3299),
    [anon_sym_interface] = ACTIONS(3173),
    [anon_sym_enum] = ACTIONS(3175),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [985] = {
    [sym__call_signature] = STATE(8312),
    [sym_comment] = STATE(985),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3309),
    [anon_sym_EQ] = ACTIONS(1469),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_from] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(1451),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_get] = ACTIONS(3309),
    [anon_sym_set] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_module] = ACTIONS(3309),
    [anon_sym_any] = ACTIONS(3309),
    [anon_sym_number] = ACTIONS(3309),
    [anon_sym_boolean] = ACTIONS(3309),
    [anon_sym_string] = ACTIONS(3309),
    [anon_sym_symbol] = ACTIONS(3309),
    [anon_sym_object] = ACTIONS(3309),
    [anon_sym_property] = ACTIONS(3309),
    [anon_sym_signal] = ACTIONS(3309),
    [anon_sym_on] = ACTIONS(3309),
    [anon_sym_required] = ACTIONS(3309),
    [anon_sym_component] = ACTIONS(3309),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [986] = {
    [sym__call_signature] = STATE(8312),
    [sym_comment] = STATE(986),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3307),
    [anon_sym_export] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3309),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_from] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(1451),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_get] = ACTIONS(3309),
    [anon_sym_set] = ACTIONS(3309),
    [anon_sym_declare] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_module] = ACTIONS(3309),
    [anon_sym_any] = ACTIONS(3309),
    [anon_sym_number] = ACTIONS(3309),
    [anon_sym_boolean] = ACTIONS(3309),
    [anon_sym_string] = ACTIONS(3309),
    [anon_sym_symbol] = ACTIONS(3309),
    [anon_sym_object] = ACTIONS(3309),
    [anon_sym_property] = ACTIONS(3309),
    [anon_sym_signal] = ACTIONS(3309),
    [anon_sym_on] = ACTIONS(3309),
    [anon_sym_required] = ACTIONS(3309),
    [anon_sym_component] = ACTIONS(3309),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [987] = {
    [sym_declaration] = STATE(1569),
    [sym_variable_declaration] = STATE(1587),
    [sym_lexical_declaration] = STATE(1587),
    [sym_class_declaration] = STATE(1587),
    [sym_function_declaration] = STATE(1587),
    [sym_generator_function_declaration] = STATE(1587),
    [sym_comment] = STATE(987),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(1587),
    [sym_ambient_declaration] = STATE(1587),
    [sym_abstract_class_declaration] = STATE(1587),
    [sym_module] = STATE(1587),
    [sym_internal_module] = STATE(1487),
    [sym_import_alias] = STATE(1587),
    [sym_interface_declaration] = STATE(1587),
    [sym_enum_declaration] = STATE(1587),
    [sym_type_alias_declaration] = STATE(1587),
    [aux_sym_export_statement_repeat1] = STATE(6050),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3311),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3187),
    [anon_sym_import] = ACTIONS(3189),
    [anon_sym_var] = ACTIONS(3191),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_async] = ACTIONS(3201),
    [anon_sym_function] = ACTIONS(3203),
    [anon_sym_EQ_GT] = ACTIONS(3355),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3205),
    [anon_sym_module] = ACTIONS(3313),
    [anon_sym_abstract] = ACTIONS(3209),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3315),
    [anon_sym_interface] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3213),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [988] = {
    [sym_declaration] = STATE(4140),
    [sym_variable_declaration] = STATE(4080),
    [sym_lexical_declaration] = STATE(4080),
    [sym_class_declaration] = STATE(4080),
    [sym_function_declaration] = STATE(4080),
    [sym_generator_function_declaration] = STATE(4080),
    [sym_comment] = STATE(988),
    [sym_decorator] = STATE(6589),
    [sym_function_signature] = STATE(4080),
    [sym_ambient_declaration] = STATE(4080),
    [sym_abstract_class_declaration] = STATE(4080),
    [sym_module] = STATE(4080),
    [sym_internal_module] = STATE(4134),
    [sym_import_alias] = STATE(4080),
    [sym_interface_declaration] = STATE(4080),
    [sym_enum_declaration] = STATE(4080),
    [sym_type_alias_declaration] = STATE(4080),
    [aux_sym_export_statement_repeat1] = STATE(6181),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3335),
    [anon_sym_EQ] = ACTIONS(1461),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3061),
    [anon_sym_import] = ACTIONS(3063),
    [anon_sym_var] = ACTIONS(3065),
    [anon_sym_let] = ACTIONS(3067),
    [anon_sym_const] = ACTIONS(3069),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(126),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(126),
    [anon_sym_LBRACK] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(126),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_async] = ACTIONS(3075),
    [anon_sym_function] = ACTIONS(3077),
    [anon_sym_EQ_GT] = ACTIONS(3355),
    [anon_sym_QMARK_DOT] = ACTIONS(126),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(126),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(126),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(126),
    [anon_sym_GT_EQ] = ACTIONS(126),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(126),
    [anon_sym_DASH_DASH] = ACTIONS(126),
    [aux_sym_comment_token1] = ACTIONS(2987),
    [anon_sym_BQUOTE] = ACTIONS(126),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_declare] = ACTIONS(3079),
    [anon_sym_module] = ACTIONS(3337),
    [anon_sym_abstract] = ACTIONS(3083),
    [anon_sym_satisfies] = ACTIONS(126),
    [anon_sym_global] = ACTIONS(3339),
    [anon_sym_interface] = ACTIONS(3085),
    [anon_sym_enum] = ACTIONS(3087),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [989] = {
    [sym_comment] = STATE(989),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_else] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_case] = ACTIONS(2350),
    [anon_sym_catch] = ACTIONS(2350),
    [anon_sym_finally] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym_html_comment] = ACTIONS(5),
  },
  [990] = {
    [sym_comment] = STATE(990),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_default] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2287),
    [anon_sym_finally] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(3397),
    [sym_html_comment] = ACTIONS(5),
  },
  [991] = {
    [sym__call_signature] = STATE(8566),
    [sym_comment] = STATE(991),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3399),
    [anon_sym_export] = ACTIONS(3401),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3401),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_from] = ACTIONS(3401),
    [anon_sym_let] = ACTIONS(3401),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(1571),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_readonly] = ACTIONS(3401),
    [anon_sym_get] = ACTIONS(3401),
    [anon_sym_set] = ACTIONS(3401),
    [anon_sym_declare] = ACTIONS(3401),
    [anon_sym_public] = ACTIONS(3401),
    [anon_sym_private] = ACTIONS(3401),
    [anon_sym_protected] = ACTIONS(3401),
    [anon_sym_override] = ACTIONS(3401),
    [anon_sym_module] = ACTIONS(3401),
    [anon_sym_any] = ACTIONS(3401),
    [anon_sym_number] = ACTIONS(3401),
    [anon_sym_boolean] = ACTIONS(3401),
    [anon_sym_string] = ACTIONS(3401),
    [anon_sym_symbol] = ACTIONS(3401),
    [anon_sym_object] = ACTIONS(3401),
    [anon_sym_property] = ACTIONS(3401),
    [anon_sym_signal] = ACTIONS(3401),
    [anon_sym_on] = ACTIONS(3401),
    [anon_sym_required] = ACTIONS(3401),
    [anon_sym_component] = ACTIONS(3401),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [992] = {
    [sym_comment] = STATE(992),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_catch] = ACTIONS(2332),
    [anon_sym_finally] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym_html_comment] = ACTIONS(5),
  },
  [993] = {
    [sym__call_signature] = STATE(8248),
    [sym_comment] = STATE(993),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_export] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3091),
    [anon_sym_EQ] = ACTIONS(1519),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3091),
    [anon_sym_from] = ACTIONS(3091),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3091),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3091),
    [anon_sym_readonly] = ACTIONS(3091),
    [anon_sym_get] = ACTIONS(3091),
    [anon_sym_set] = ACTIONS(3091),
    [anon_sym_declare] = ACTIONS(3091),
    [anon_sym_public] = ACTIONS(3091),
    [anon_sym_private] = ACTIONS(3091),
    [anon_sym_protected] = ACTIONS(3091),
    [anon_sym_override] = ACTIONS(3091),
    [anon_sym_module] = ACTIONS(3091),
    [anon_sym_any] = ACTIONS(3091),
    [anon_sym_number] = ACTIONS(3091),
    [anon_sym_boolean] = ACTIONS(3091),
    [anon_sym_string] = ACTIONS(3091),
    [anon_sym_symbol] = ACTIONS(3091),
    [anon_sym_object] = ACTIONS(3091),
    [anon_sym_property] = ACTIONS(3091),
    [anon_sym_signal] = ACTIONS(3091),
    [anon_sym_on] = ACTIONS(3091),
    [anon_sym_required] = ACTIONS(3091),
    [anon_sym_component] = ACTIONS(3091),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [994] = {
    [sym__call_signature] = STATE(8248),
    [sym_comment] = STATE(994),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_export] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3091),
    [anon_sym_EQ] = ACTIONS(1517),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3091),
    [anon_sym_from] = ACTIONS(3091),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3091),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3091),
    [anon_sym_readonly] = ACTIONS(3091),
    [anon_sym_get] = ACTIONS(3091),
    [anon_sym_set] = ACTIONS(3091),
    [anon_sym_declare] = ACTIONS(3091),
    [anon_sym_public] = ACTIONS(3091),
    [anon_sym_private] = ACTIONS(3091),
    [anon_sym_protected] = ACTIONS(3091),
    [anon_sym_override] = ACTIONS(3091),
    [anon_sym_module] = ACTIONS(3091),
    [anon_sym_any] = ACTIONS(3091),
    [anon_sym_number] = ACTIONS(3091),
    [anon_sym_boolean] = ACTIONS(3091),
    [anon_sym_string] = ACTIONS(3091),
    [anon_sym_symbol] = ACTIONS(3091),
    [anon_sym_object] = ACTIONS(3091),
    [anon_sym_property] = ACTIONS(3091),
    [anon_sym_signal] = ACTIONS(3091),
    [anon_sym_on] = ACTIONS(3091),
    [anon_sym_required] = ACTIONS(3091),
    [anon_sym_component] = ACTIONS(3091),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [995] = {
    [sym__call_signature] = STATE(8248),
    [sym_comment] = STATE(995),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_export] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3091),
    [anon_sym_EQ] = ACTIONS(1575),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3091),
    [anon_sym_from] = ACTIONS(3091),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3091),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3091),
    [anon_sym_readonly] = ACTIONS(3091),
    [anon_sym_get] = ACTIONS(3091),
    [anon_sym_set] = ACTIONS(3091),
    [anon_sym_declare] = ACTIONS(3091),
    [anon_sym_public] = ACTIONS(3091),
    [anon_sym_private] = ACTIONS(3091),
    [anon_sym_protected] = ACTIONS(3091),
    [anon_sym_override] = ACTIONS(3091),
    [anon_sym_module] = ACTIONS(3091),
    [anon_sym_any] = ACTIONS(3091),
    [anon_sym_number] = ACTIONS(3091),
    [anon_sym_boolean] = ACTIONS(3091),
    [anon_sym_string] = ACTIONS(3091),
    [anon_sym_symbol] = ACTIONS(3091),
    [anon_sym_object] = ACTIONS(3091),
    [anon_sym_property] = ACTIONS(3091),
    [anon_sym_signal] = ACTIONS(3091),
    [anon_sym_on] = ACTIONS(3091),
    [anon_sym_required] = ACTIONS(3091),
    [anon_sym_component] = ACTIONS(3091),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [996] = {
    [sym__call_signature] = STATE(8248),
    [sym_comment] = STATE(996),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_export] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3091),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3091),
    [anon_sym_from] = ACTIONS(3091),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3091),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3091),
    [anon_sym_readonly] = ACTIONS(3091),
    [anon_sym_get] = ACTIONS(3091),
    [anon_sym_set] = ACTIONS(3091),
    [anon_sym_declare] = ACTIONS(3091),
    [anon_sym_public] = ACTIONS(3091),
    [anon_sym_private] = ACTIONS(3091),
    [anon_sym_protected] = ACTIONS(3091),
    [anon_sym_override] = ACTIONS(3091),
    [anon_sym_module] = ACTIONS(3091),
    [anon_sym_any] = ACTIONS(3091),
    [anon_sym_number] = ACTIONS(3091),
    [anon_sym_boolean] = ACTIONS(3091),
    [anon_sym_string] = ACTIONS(3091),
    [anon_sym_symbol] = ACTIONS(3091),
    [anon_sym_object] = ACTIONS(3091),
    [anon_sym_property] = ACTIONS(3091),
    [anon_sym_signal] = ACTIONS(3091),
    [anon_sym_on] = ACTIONS(3091),
    [anon_sym_required] = ACTIONS(3091),
    [anon_sym_component] = ACTIONS(3091),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [997] = {
    [sym_comment] = STATE(997),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_finally] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(3406),
    [sym_html_comment] = ACTIONS(5),
  },
  [998] = {
    [sym_comment] = STATE(998),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_default] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2287),
    [anon_sym_catch] = ACTIONS(2287),
    [anon_sym_finally] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(3408),
    [sym_html_comment] = ACTIONS(5),
  },
  [999] = {
    [sym_comment] = STATE(999),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_catch] = ACTIONS(2332),
    [anon_sym_finally] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(3410),
    [sym_html_comment] = ACTIONS(5),
  },
  [1000] = {
    [sym__call_signature] = STATE(8248),
    [sym_comment] = STATE(1000),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_export] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3091),
    [anon_sym_EQ] = ACTIONS(1577),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3091),
    [anon_sym_from] = ACTIONS(3091),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3091),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3091),
    [anon_sym_readonly] = ACTIONS(3091),
    [anon_sym_get] = ACTIONS(3091),
    [anon_sym_set] = ACTIONS(3091),
    [anon_sym_declare] = ACTIONS(3091),
    [anon_sym_public] = ACTIONS(3091),
    [anon_sym_private] = ACTIONS(3091),
    [anon_sym_protected] = ACTIONS(3091),
    [anon_sym_override] = ACTIONS(3091),
    [anon_sym_module] = ACTIONS(3091),
    [anon_sym_any] = ACTIONS(3091),
    [anon_sym_number] = ACTIONS(3091),
    [anon_sym_boolean] = ACTIONS(3091),
    [anon_sym_string] = ACTIONS(3091),
    [anon_sym_symbol] = ACTIONS(3091),
    [anon_sym_object] = ACTIONS(3091),
    [anon_sym_property] = ACTIONS(3091),
    [anon_sym_signal] = ACTIONS(3091),
    [anon_sym_on] = ACTIONS(3091),
    [anon_sym_required] = ACTIONS(3091),
    [anon_sym_component] = ACTIONS(3091),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1001] = {
    [sym__call_signature] = STATE(8248),
    [sym_comment] = STATE(1001),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_export] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3091),
    [anon_sym_EQ] = ACTIONS(1511),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3091),
    [anon_sym_from] = ACTIONS(3091),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3091),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3091),
    [anon_sym_readonly] = ACTIONS(3091),
    [anon_sym_get] = ACTIONS(3091),
    [anon_sym_set] = ACTIONS(3091),
    [anon_sym_declare] = ACTIONS(3091),
    [anon_sym_public] = ACTIONS(3091),
    [anon_sym_private] = ACTIONS(3091),
    [anon_sym_protected] = ACTIONS(3091),
    [anon_sym_override] = ACTIONS(3091),
    [anon_sym_module] = ACTIONS(3091),
    [anon_sym_any] = ACTIONS(3091),
    [anon_sym_number] = ACTIONS(3091),
    [anon_sym_boolean] = ACTIONS(3091),
    [anon_sym_string] = ACTIONS(3091),
    [anon_sym_symbol] = ACTIONS(3091),
    [anon_sym_object] = ACTIONS(3091),
    [anon_sym_property] = ACTIONS(3091),
    [anon_sym_signal] = ACTIONS(3091),
    [anon_sym_on] = ACTIONS(3091),
    [anon_sym_required] = ACTIONS(3091),
    [anon_sym_component] = ACTIONS(3091),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1002] = {
    [sym_catch_clause] = STATE(1179),
    [sym_finally_clause] = STATE(1553),
    [sym_comment] = STATE(1002),
    [sym_identifier] = ACTIONS(3345),
    [anon_sym_export] = ACTIONS(3345),
    [anon_sym_type] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym_import] = ACTIONS(3345),
    [anon_sym_from] = ACTIONS(3345),
    [anon_sym_with] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_else] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_LPAREN] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_of] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_debugger] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym_catch] = ACTIONS(3412),
    [anon_sym_finally] = ACTIONS(3414),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_LTtemplate_GT] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_SLASH] = ACTIONS(3345),
    [anon_sym_LT] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_void] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3345),
    [sym_number] = ACTIONS(3345),
    [sym_private_property_identifier] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
    [sym_super] = ACTIONS(3345),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [sym_null] = ACTIONS(3345),
    [sym_undefined] = ACTIONS(3345),
    [anon_sym_AT] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_get] = ACTIONS(3345),
    [anon_sym_set] = ACTIONS(3345),
    [anon_sym_declare] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_module] = ACTIONS(3345),
    [anon_sym_any] = ACTIONS(3345),
    [anon_sym_number] = ACTIONS(3345),
    [anon_sym_boolean] = ACTIONS(3345),
    [anon_sym_string] = ACTIONS(3345),
    [anon_sym_symbol] = ACTIONS(3345),
    [anon_sym_object] = ACTIONS(3345),
    [anon_sym_property] = ACTIONS(3345),
    [anon_sym_signal] = ACTIONS(3345),
    [anon_sym_on] = ACTIONS(3345),
    [anon_sym_required] = ACTIONS(3345),
    [anon_sym_component] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_interface] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [sym_html_comment] = ACTIONS(5),
  },
  [1003] = {
    [sym__call_signature] = STATE(8566),
    [sym_comment] = STATE(1003),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3399),
    [anon_sym_export] = ACTIONS(3401),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3401),
    [anon_sym_EQ] = ACTIONS(1583),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_from] = ACTIONS(3401),
    [anon_sym_let] = ACTIONS(3401),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(1571),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_readonly] = ACTIONS(3401),
    [anon_sym_get] = ACTIONS(3401),
    [anon_sym_set] = ACTIONS(3401),
    [anon_sym_declare] = ACTIONS(3401),
    [anon_sym_public] = ACTIONS(3401),
    [anon_sym_private] = ACTIONS(3401),
    [anon_sym_protected] = ACTIONS(3401),
    [anon_sym_override] = ACTIONS(3401),
    [anon_sym_module] = ACTIONS(3401),
    [anon_sym_any] = ACTIONS(3401),
    [anon_sym_number] = ACTIONS(3401),
    [anon_sym_boolean] = ACTIONS(3401),
    [anon_sym_string] = ACTIONS(3401),
    [anon_sym_symbol] = ACTIONS(3401),
    [anon_sym_object] = ACTIONS(3401),
    [anon_sym_property] = ACTIONS(3401),
    [anon_sym_signal] = ACTIONS(3401),
    [anon_sym_on] = ACTIONS(3401),
    [anon_sym_required] = ACTIONS(3401),
    [anon_sym_component] = ACTIONS(3401),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1004] = {
    [sym__call_signature] = STATE(8248),
    [sym_comment] = STATE(1004),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_export] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3091),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3091),
    [anon_sym_from] = ACTIONS(3091),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(1419),
    [anon_sym_of] = ACTIONS(3416),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3091),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3091),
    [anon_sym_readonly] = ACTIONS(3091),
    [anon_sym_get] = ACTIONS(3091),
    [anon_sym_set] = ACTIONS(3091),
    [anon_sym_declare] = ACTIONS(3091),
    [anon_sym_public] = ACTIONS(3091),
    [anon_sym_private] = ACTIONS(3091),
    [anon_sym_protected] = ACTIONS(3091),
    [anon_sym_override] = ACTIONS(3091),
    [anon_sym_module] = ACTIONS(3091),
    [anon_sym_any] = ACTIONS(3091),
    [anon_sym_number] = ACTIONS(3091),
    [anon_sym_boolean] = ACTIONS(3091),
    [anon_sym_string] = ACTIONS(3091),
    [anon_sym_symbol] = ACTIONS(3091),
    [anon_sym_object] = ACTIONS(3091),
    [anon_sym_property] = ACTIONS(3091),
    [anon_sym_signal] = ACTIONS(3091),
    [anon_sym_on] = ACTIONS(3091),
    [anon_sym_required] = ACTIONS(3091),
    [anon_sym_component] = ACTIONS(3091),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1005] = {
    [sym_statement_block] = STATE(1096),
    [sym_comment] = STATE(1005),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(3418),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_else] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_case] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(3420),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1006] = {
    [sym__call_signature] = STATE(8248),
    [sym_comment] = STATE(1006),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_export] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3091),
    [anon_sym_EQ] = ACTIONS(1515),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3091),
    [anon_sym_from] = ACTIONS(3091),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3091),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3091),
    [anon_sym_readonly] = ACTIONS(3091),
    [anon_sym_get] = ACTIONS(3091),
    [anon_sym_set] = ACTIONS(3091),
    [anon_sym_declare] = ACTIONS(3091),
    [anon_sym_public] = ACTIONS(3091),
    [anon_sym_private] = ACTIONS(3091),
    [anon_sym_protected] = ACTIONS(3091),
    [anon_sym_override] = ACTIONS(3091),
    [anon_sym_module] = ACTIONS(3091),
    [anon_sym_any] = ACTIONS(3091),
    [anon_sym_number] = ACTIONS(3091),
    [anon_sym_boolean] = ACTIONS(3091),
    [anon_sym_string] = ACTIONS(3091),
    [anon_sym_symbol] = ACTIONS(3091),
    [anon_sym_object] = ACTIONS(3091),
    [anon_sym_property] = ACTIONS(3091),
    [anon_sym_signal] = ACTIONS(3091),
    [anon_sym_on] = ACTIONS(3091),
    [anon_sym_required] = ACTIONS(3091),
    [anon_sym_component] = ACTIONS(3091),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1007] = {
    [sym__call_signature] = STATE(8248),
    [sym_comment] = STATE(1007),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_export] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3091),
    [anon_sym_EQ] = ACTIONS(1509),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3091),
    [anon_sym_from] = ACTIONS(3091),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3091),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3091),
    [anon_sym_readonly] = ACTIONS(3091),
    [anon_sym_get] = ACTIONS(3091),
    [anon_sym_set] = ACTIONS(3091),
    [anon_sym_declare] = ACTIONS(3091),
    [anon_sym_public] = ACTIONS(3091),
    [anon_sym_private] = ACTIONS(3091),
    [anon_sym_protected] = ACTIONS(3091),
    [anon_sym_override] = ACTIONS(3091),
    [anon_sym_module] = ACTIONS(3091),
    [anon_sym_any] = ACTIONS(3091),
    [anon_sym_number] = ACTIONS(3091),
    [anon_sym_boolean] = ACTIONS(3091),
    [anon_sym_string] = ACTIONS(3091),
    [anon_sym_symbol] = ACTIONS(3091),
    [anon_sym_object] = ACTIONS(3091),
    [anon_sym_property] = ACTIONS(3091),
    [anon_sym_signal] = ACTIONS(3091),
    [anon_sym_on] = ACTIONS(3091),
    [anon_sym_required] = ACTIONS(3091),
    [anon_sym_component] = ACTIONS(3091),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1008] = {
    [sym_statement_block] = STATE(1096),
    [sym_comment] = STATE(1008),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(3418),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_else] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_case] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(3422),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1009] = {
    [sym__call_signature] = STATE(8248),
    [sym_comment] = STATE(1009),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_export] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3091),
    [anon_sym_EQ] = ACTIONS(1513),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3091),
    [anon_sym_from] = ACTIONS(3091),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3091),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3091),
    [anon_sym_readonly] = ACTIONS(3091),
    [anon_sym_get] = ACTIONS(3091),
    [anon_sym_set] = ACTIONS(3091),
    [anon_sym_declare] = ACTIONS(3091),
    [anon_sym_public] = ACTIONS(3091),
    [anon_sym_private] = ACTIONS(3091),
    [anon_sym_protected] = ACTIONS(3091),
    [anon_sym_override] = ACTIONS(3091),
    [anon_sym_module] = ACTIONS(3091),
    [anon_sym_any] = ACTIONS(3091),
    [anon_sym_number] = ACTIONS(3091),
    [anon_sym_boolean] = ACTIONS(3091),
    [anon_sym_string] = ACTIONS(3091),
    [anon_sym_symbol] = ACTIONS(3091),
    [anon_sym_object] = ACTIONS(3091),
    [anon_sym_property] = ACTIONS(3091),
    [anon_sym_signal] = ACTIONS(3091),
    [anon_sym_on] = ACTIONS(3091),
    [anon_sym_required] = ACTIONS(3091),
    [anon_sym_component] = ACTIONS(3091),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1010] = {
    [sym__call_signature] = STATE(8248),
    [sym_comment] = STATE(1010),
    [sym_formal_parameters] = STATE(5514),
    [sym_type_parameters] = STATE(8189),
    [sym_identifier] = ACTIONS(3089),
    [anon_sym_export] = ACTIONS(3091),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_type] = ACTIONS(3091),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_namespace] = ACTIONS(3091),
    [anon_sym_from] = ACTIONS(3091),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(3093),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(3091),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_async] = ACTIONS(3091),
    [anon_sym_function] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_new] = ACTIONS(3091),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_static] = ACTIONS(3091),
    [anon_sym_readonly] = ACTIONS(3091),
    [anon_sym_get] = ACTIONS(3091),
    [anon_sym_set] = ACTIONS(3091),
    [anon_sym_declare] = ACTIONS(3091),
    [anon_sym_public] = ACTIONS(3091),
    [anon_sym_private] = ACTIONS(3091),
    [anon_sym_protected] = ACTIONS(3091),
    [anon_sym_override] = ACTIONS(3091),
    [anon_sym_module] = ACTIONS(3091),
    [anon_sym_any] = ACTIONS(3091),
    [anon_sym_number] = ACTIONS(3091),
    [anon_sym_boolean] = ACTIONS(3091),
    [anon_sym_string] = ACTIONS(3091),
    [anon_sym_symbol] = ACTIONS(3091),
    [anon_sym_object] = ACTIONS(3091),
    [anon_sym_property] = ACTIONS(3091),
    [anon_sym_signal] = ACTIONS(3091),
    [anon_sym_on] = ACTIONS(3091),
    [anon_sym_required] = ACTIONS(3091),
    [anon_sym_component] = ACTIONS(3091),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1011] = {
    [sym_finally_clause] = STATE(1241),
    [sym_comment] = STATE(1011),
    [sym_identifier] = ACTIONS(3424),
    [anon_sym_export] = ACTIONS(3424),
    [anon_sym_default] = ACTIONS(3424),
    [anon_sym_type] = ACTIONS(3424),
    [anon_sym_namespace] = ACTIONS(3424),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_RBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3424),
    [anon_sym_import] = ACTIONS(3424),
    [anon_sym_from] = ACTIONS(3424),
    [anon_sym_with] = ACTIONS(3424),
    [anon_sym_var] = ACTIONS(3424),
    [anon_sym_let] = ACTIONS(3424),
    [anon_sym_const] = ACTIONS(3424),
    [anon_sym_BANG] = ACTIONS(3424),
    [anon_sym_else] = ACTIONS(3424),
    [anon_sym_if] = ACTIONS(3424),
    [anon_sym_switch] = ACTIONS(3424),
    [anon_sym_for] = ACTIONS(3424),
    [anon_sym_LPAREN] = ACTIONS(3424),
    [anon_sym_await] = ACTIONS(3424),
    [anon_sym_of] = ACTIONS(3424),
    [anon_sym_while] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(3424),
    [anon_sym_try] = ACTIONS(3424),
    [anon_sym_break] = ACTIONS(3424),
    [anon_sym_continue] = ACTIONS(3424),
    [anon_sym_debugger] = ACTIONS(3424),
    [anon_sym_return] = ACTIONS(3424),
    [anon_sym_throw] = ACTIONS(3424),
    [anon_sym_SEMI] = ACTIONS(3424),
    [anon_sym_case] = ACTIONS(3424),
    [anon_sym_finally] = ACTIONS(3349),
    [anon_sym_yield] = ACTIONS(3424),
    [anon_sym_LBRACK] = ACTIONS(3424),
    [anon_sym_LTtemplate_GT] = ACTIONS(3424),
    [anon_sym_DQUOTE] = ACTIONS(3424),
    [anon_sym_SQUOTE] = ACTIONS(3424),
    [anon_sym_class] = ACTIONS(3424),
    [anon_sym_async] = ACTIONS(3424),
    [anon_sym_function] = ACTIONS(3424),
    [anon_sym_new] = ACTIONS(3424),
    [anon_sym_using] = ACTIONS(3424),
    [anon_sym_PLUS] = ACTIONS(3424),
    [anon_sym_DASH] = ACTIONS(3424),
    [anon_sym_SLASH] = ACTIONS(3424),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_TILDE] = ACTIONS(3424),
    [anon_sym_void] = ACTIONS(3424),
    [anon_sym_delete] = ACTIONS(3424),
    [anon_sym_PLUS_PLUS] = ACTIONS(3424),
    [anon_sym_DASH_DASH] = ACTIONS(3424),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3424),
    [sym_number] = ACTIONS(3424),
    [sym_private_property_identifier] = ACTIONS(3424),
    [sym_this] = ACTIONS(3424),
    [sym_super] = ACTIONS(3424),
    [sym_true] = ACTIONS(3424),
    [sym_false] = ACTIONS(3424),
    [sym_null] = ACTIONS(3424),
    [sym_undefined] = ACTIONS(3424),
    [anon_sym_AT] = ACTIONS(3424),
    [anon_sym_static] = ACTIONS(3424),
    [anon_sym_readonly] = ACTIONS(3424),
    [anon_sym_get] = ACTIONS(3424),
    [anon_sym_set] = ACTIONS(3424),
    [anon_sym_declare] = ACTIONS(3424),
    [anon_sym_public] = ACTIONS(3424),
    [anon_sym_private] = ACTIONS(3424),
    [anon_sym_protected] = ACTIONS(3424),
    [anon_sym_override] = ACTIONS(3424),
    [anon_sym_module] = ACTIONS(3424),
    [anon_sym_any] = ACTIONS(3424),
    [anon_sym_number] = ACTIONS(3424),
    [anon_sym_boolean] = ACTIONS(3424),
    [anon_sym_string] = ACTIONS(3424),
    [anon_sym_symbol] = ACTIONS(3424),
    [anon_sym_object] = ACTIONS(3424),
    [anon_sym_property] = ACTIONS(3424),
    [anon_sym_signal] = ACTIONS(3424),
    [anon_sym_on] = ACTIONS(3424),
    [anon_sym_required] = ACTIONS(3424),
    [anon_sym_component] = ACTIONS(3424),
    [anon_sym_abstract] = ACTIONS(3424),
    [anon_sym_interface] = ACTIONS(3424),
    [anon_sym_enum] = ACTIONS(3424),
    [sym_html_comment] = ACTIONS(5),
  },
  [1012] = {
    [sym_comment] = STATE(1012),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_finally] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(3426),
    [sym_html_comment] = ACTIONS(5),
  },
  [1013] = {
    [sym_comment] = STATE(1013),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_else] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_case] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym__automatic_semicolon] = ACTIONS(2352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1014] = {
    [sym_comment] = STATE(1014),
    [sym_identifier] = ACTIONS(3428),
    [anon_sym_export] = ACTIONS(3428),
    [anon_sym_default] = ACTIONS(3428),
    [anon_sym_type] = ACTIONS(3428),
    [anon_sym_namespace] = ACTIONS(3428),
    [anon_sym_LBRACE] = ACTIONS(3428),
    [anon_sym_RBRACE] = ACTIONS(3428),
    [anon_sym_typeof] = ACTIONS(3428),
    [anon_sym_import] = ACTIONS(3428),
    [anon_sym_from] = ACTIONS(3428),
    [anon_sym_with] = ACTIONS(3428),
    [anon_sym_var] = ACTIONS(3428),
    [anon_sym_let] = ACTIONS(3428),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_BANG] = ACTIONS(3428),
    [anon_sym_else] = ACTIONS(3428),
    [anon_sym_if] = ACTIONS(3428),
    [anon_sym_switch] = ACTIONS(3428),
    [anon_sym_for] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3428),
    [anon_sym_await] = ACTIONS(3428),
    [anon_sym_of] = ACTIONS(3428),
    [anon_sym_while] = ACTIONS(3428),
    [anon_sym_do] = ACTIONS(3428),
    [anon_sym_try] = ACTIONS(3428),
    [anon_sym_break] = ACTIONS(3428),
    [anon_sym_continue] = ACTIONS(3428),
    [anon_sym_debugger] = ACTIONS(3428),
    [anon_sym_return] = ACTIONS(3428),
    [anon_sym_throw] = ACTIONS(3428),
    [anon_sym_SEMI] = ACTIONS(3428),
    [anon_sym_case] = ACTIONS(3428),
    [anon_sym_yield] = ACTIONS(3428),
    [anon_sym_LBRACK] = ACTIONS(3428),
    [anon_sym_LTtemplate_GT] = ACTIONS(3428),
    [anon_sym_DQUOTE] = ACTIONS(3428),
    [anon_sym_SQUOTE] = ACTIONS(3428),
    [anon_sym_class] = ACTIONS(3428),
    [anon_sym_async] = ACTIONS(3428),
    [anon_sym_function] = ACTIONS(3428),
    [anon_sym_new] = ACTIONS(3428),
    [anon_sym_using] = ACTIONS(3428),
    [anon_sym_PLUS] = ACTIONS(3428),
    [anon_sym_DASH] = ACTIONS(3428),
    [anon_sym_SLASH] = ACTIONS(3428),
    [anon_sym_LT] = ACTIONS(3428),
    [anon_sym_TILDE] = ACTIONS(3428),
    [anon_sym_void] = ACTIONS(3428),
    [anon_sym_delete] = ACTIONS(3428),
    [anon_sym_PLUS_PLUS] = ACTIONS(3428),
    [anon_sym_DASH_DASH] = ACTIONS(3428),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3428),
    [sym_number] = ACTIONS(3428),
    [sym_private_property_identifier] = ACTIONS(3428),
    [sym_this] = ACTIONS(3428),
    [sym_super] = ACTIONS(3428),
    [sym_true] = ACTIONS(3428),
    [sym_false] = ACTIONS(3428),
    [sym_null] = ACTIONS(3428),
    [sym_undefined] = ACTIONS(3428),
    [anon_sym_AT] = ACTIONS(3428),
    [anon_sym_static] = ACTIONS(3428),
    [anon_sym_readonly] = ACTIONS(3428),
    [anon_sym_get] = ACTIONS(3428),
    [anon_sym_set] = ACTIONS(3428),
    [anon_sym_declare] = ACTIONS(3428),
    [anon_sym_public] = ACTIONS(3428),
    [anon_sym_private] = ACTIONS(3428),
    [anon_sym_protected] = ACTIONS(3428),
    [anon_sym_override] = ACTIONS(3428),
    [anon_sym_module] = ACTIONS(3428),
    [anon_sym_any] = ACTIONS(3428),
    [anon_sym_number] = ACTIONS(3428),
    [anon_sym_boolean] = ACTIONS(3428),
    [anon_sym_string] = ACTIONS(3428),
    [anon_sym_symbol] = ACTIONS(3428),
    [anon_sym_object] = ACTIONS(3428),
    [anon_sym_property] = ACTIONS(3428),
    [anon_sym_signal] = ACTIONS(3428),
    [anon_sym_on] = ACTIONS(3428),
    [anon_sym_required] = ACTIONS(3428),
    [anon_sym_component] = ACTIONS(3428),
    [anon_sym_abstract] = ACTIONS(3428),
    [anon_sym_interface] = ACTIONS(3428),
    [anon_sym_enum] = ACTIONS(3428),
    [sym__automatic_semicolon] = ACTIONS(3430),
    [sym_html_comment] = ACTIONS(5),
  },
  [1015] = {
    [sym_comment] = STATE(1015),
    [sym_identifier] = ACTIONS(2374),
    [anon_sym_export] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_type] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [anon_sym_typeof] = ACTIONS(2374),
    [anon_sym_import] = ACTIONS(2374),
    [anon_sym_from] = ACTIONS(2374),
    [anon_sym_with] = ACTIONS(2374),
    [anon_sym_var] = ACTIONS(2374),
    [anon_sym_let] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_else] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [anon_sym_await] = ACTIONS(2374),
    [anon_sym_of] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_debugger] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_yield] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_LTtemplate_GT] = ACTIONS(2374),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_async] = ACTIONS(2374),
    [anon_sym_function] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_SLASH] = ACTIONS(2374),
    [anon_sym_LT] = ACTIONS(2374),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_void] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2374),
    [sym_number] = ACTIONS(2374),
    [sym_private_property_identifier] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [sym_super] = ACTIONS(2374),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [sym_null] = ACTIONS(2374),
    [sym_undefined] = ACTIONS(2374),
    [anon_sym_AT] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_readonly] = ACTIONS(2374),
    [anon_sym_get] = ACTIONS(2374),
    [anon_sym_set] = ACTIONS(2374),
    [anon_sym_declare] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_override] = ACTIONS(2374),
    [anon_sym_module] = ACTIONS(2374),
    [anon_sym_any] = ACTIONS(2374),
    [anon_sym_number] = ACTIONS(2374),
    [anon_sym_boolean] = ACTIONS(2374),
    [anon_sym_string] = ACTIONS(2374),
    [anon_sym_symbol] = ACTIONS(2374),
    [anon_sym_object] = ACTIONS(2374),
    [anon_sym_property] = ACTIONS(2374),
    [anon_sym_signal] = ACTIONS(2374),
    [anon_sym_on] = ACTIONS(2374),
    [anon_sym_required] = ACTIONS(2374),
    [anon_sym_component] = ACTIONS(2374),
    [anon_sym_abstract] = ACTIONS(2374),
    [anon_sym_interface] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [sym__automatic_semicolon] = ACTIONS(2378),
    [sym_html_comment] = ACTIONS(5),
  },
  [1016] = {
    [sym_statement_block] = STATE(1395),
    [sym_comment] = STATE(1016),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(3432),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_case] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(3434),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1017] = {
    [sym_statement_block] = STATE(1395),
    [sym_comment] = STATE(1017),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(3432),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_case] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(3436),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1018] = {
    [sym_comment] = STATE(1018),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(3438),
    [sym_html_comment] = ACTIONS(5),
  },
  [1019] = {
    [sym_comment] = STATE(1019),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_default] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(2293),
    [sym_html_comment] = ACTIONS(5),
  },
  [1020] = {
    [sym_comment] = STATE(1020),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_default] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(3440),
    [sym_html_comment] = ACTIONS(5),
  },
  [1021] = {
    [sym_comment] = STATE(1021),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_finally] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1022] = {
    [sym_comment] = STATE(1022),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_else] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_case] = ACTIONS(2350),
    [anon_sym_finally] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym_html_comment] = ACTIONS(5),
  },
  [1023] = {
    [sym_comment] = STATE(1023),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_catch] = ACTIONS(2287),
    [anon_sym_finally] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(3442),
    [sym_html_comment] = ACTIONS(5),
  },
  [1024] = {
    [sym_statement_block] = STATE(1096),
    [sym_comment] = STATE(1024),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(3418),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_else] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_case] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1025] = {
    [sym_comment] = STATE(1025),
    [sym_identifier] = ACTIONS(2478),
    [anon_sym_export] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_type] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_typeof] = ACTIONS(2478),
    [anon_sym_import] = ACTIONS(2478),
    [anon_sym_from] = ACTIONS(2478),
    [anon_sym_with] = ACTIONS(2478),
    [anon_sym_var] = ACTIONS(2478),
    [anon_sym_let] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_else] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_LPAREN] = ACTIONS(2478),
    [anon_sym_await] = ACTIONS(2478),
    [anon_sym_of] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_debugger] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_LTtemplate_GT] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_async] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_SLASH] = ACTIONS(2478),
    [anon_sym_LT] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [anon_sym_void] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2478),
    [sym_number] = ACTIONS(2478),
    [sym_private_property_identifier] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
    [sym_super] = ACTIONS(2478),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [sym_null] = ACTIONS(2478),
    [sym_undefined] = ACTIONS(2478),
    [anon_sym_AT] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_readonly] = ACTIONS(2478),
    [anon_sym_get] = ACTIONS(2478),
    [anon_sym_set] = ACTIONS(2478),
    [anon_sym_declare] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_override] = ACTIONS(2478),
    [anon_sym_module] = ACTIONS(2478),
    [anon_sym_any] = ACTIONS(2478),
    [anon_sym_number] = ACTIONS(2478),
    [anon_sym_boolean] = ACTIONS(2478),
    [anon_sym_string] = ACTIONS(2478),
    [anon_sym_symbol] = ACTIONS(2478),
    [anon_sym_object] = ACTIONS(2478),
    [anon_sym_property] = ACTIONS(2478),
    [anon_sym_signal] = ACTIONS(2478),
    [anon_sym_on] = ACTIONS(2478),
    [anon_sym_required] = ACTIONS(2478),
    [anon_sym_component] = ACTIONS(2478),
    [anon_sym_abstract] = ACTIONS(2478),
    [anon_sym_interface] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [sym__automatic_semicolon] = ACTIONS(2482),
    [sym_html_comment] = ACTIONS(5),
  },
  [1026] = {
    [sym_comment] = STATE(1026),
    [sym_identifier] = ACTIONS(2426),
    [anon_sym_export] = ACTIONS(2426),
    [anon_sym_default] = ACTIONS(2426),
    [anon_sym_type] = ACTIONS(2426),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_RBRACE] = ACTIONS(2426),
    [anon_sym_typeof] = ACTIONS(2426),
    [anon_sym_import] = ACTIONS(2426),
    [anon_sym_from] = ACTIONS(2426),
    [anon_sym_with] = ACTIONS(2426),
    [anon_sym_var] = ACTIONS(2426),
    [anon_sym_let] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_else] = ACTIONS(2426),
    [anon_sym_if] = ACTIONS(2426),
    [anon_sym_switch] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_await] = ACTIONS(2426),
    [anon_sym_of] = ACTIONS(2426),
    [anon_sym_while] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2426),
    [anon_sym_break] = ACTIONS(2426),
    [anon_sym_continue] = ACTIONS(2426),
    [anon_sym_debugger] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym_case] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_LTtemplate_GT] = ACTIONS(2426),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_async] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_void] = ACTIONS(2426),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2426),
    [sym_number] = ACTIONS(2426),
    [sym_private_property_identifier] = ACTIONS(2426),
    [sym_this] = ACTIONS(2426),
    [sym_super] = ACTIONS(2426),
    [sym_true] = ACTIONS(2426),
    [sym_false] = ACTIONS(2426),
    [sym_null] = ACTIONS(2426),
    [sym_undefined] = ACTIONS(2426),
    [anon_sym_AT] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_readonly] = ACTIONS(2426),
    [anon_sym_get] = ACTIONS(2426),
    [anon_sym_set] = ACTIONS(2426),
    [anon_sym_declare] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_override] = ACTIONS(2426),
    [anon_sym_module] = ACTIONS(2426),
    [anon_sym_any] = ACTIONS(2426),
    [anon_sym_number] = ACTIONS(2426),
    [anon_sym_boolean] = ACTIONS(2426),
    [anon_sym_string] = ACTIONS(2426),
    [anon_sym_symbol] = ACTIONS(2426),
    [anon_sym_object] = ACTIONS(2426),
    [anon_sym_property] = ACTIONS(2426),
    [anon_sym_signal] = ACTIONS(2426),
    [anon_sym_on] = ACTIONS(2426),
    [anon_sym_required] = ACTIONS(2426),
    [anon_sym_component] = ACTIONS(2426),
    [anon_sym_abstract] = ACTIONS(2426),
    [anon_sym_interface] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [sym__automatic_semicolon] = ACTIONS(2430),
    [sym_html_comment] = ACTIONS(5),
  },
  [1027] = {
    [sym_comment] = STATE(1027),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_export] = ACTIONS(2410),
    [anon_sym_default] = ACTIONS(2410),
    [anon_sym_type] = ACTIONS(2410),
    [anon_sym_namespace] = ACTIONS(2410),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(2410),
    [anon_sym_typeof] = ACTIONS(2410),
    [anon_sym_import] = ACTIONS(2410),
    [anon_sym_from] = ACTIONS(2410),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_var] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_const] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_else] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_switch] = ACTIONS(2410),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_await] = ACTIONS(2410),
    [anon_sym_of] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_break] = ACTIONS(2410),
    [anon_sym_continue] = ACTIONS(2410),
    [anon_sym_debugger] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_throw] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym_case] = ACTIONS(2410),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LTtemplate_GT] = ACTIONS(2410),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_class] = ACTIONS(2410),
    [anon_sym_async] = ACTIONS(2410),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_using] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_SLASH] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_void] = ACTIONS(2410),
    [anon_sym_delete] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2410),
    [sym_number] = ACTIONS(2410),
    [sym_private_property_identifier] = ACTIONS(2410),
    [sym_this] = ACTIONS(2410),
    [sym_super] = ACTIONS(2410),
    [sym_true] = ACTIONS(2410),
    [sym_false] = ACTIONS(2410),
    [sym_null] = ACTIONS(2410),
    [sym_undefined] = ACTIONS(2410),
    [anon_sym_AT] = ACTIONS(2410),
    [anon_sym_static] = ACTIONS(2410),
    [anon_sym_readonly] = ACTIONS(2410),
    [anon_sym_get] = ACTIONS(2410),
    [anon_sym_set] = ACTIONS(2410),
    [anon_sym_declare] = ACTIONS(2410),
    [anon_sym_public] = ACTIONS(2410),
    [anon_sym_private] = ACTIONS(2410),
    [anon_sym_protected] = ACTIONS(2410),
    [anon_sym_override] = ACTIONS(2410),
    [anon_sym_module] = ACTIONS(2410),
    [anon_sym_any] = ACTIONS(2410),
    [anon_sym_number] = ACTIONS(2410),
    [anon_sym_boolean] = ACTIONS(2410),
    [anon_sym_string] = ACTIONS(2410),
    [anon_sym_symbol] = ACTIONS(2410),
    [anon_sym_object] = ACTIONS(2410),
    [anon_sym_property] = ACTIONS(2410),
    [anon_sym_signal] = ACTIONS(2410),
    [anon_sym_on] = ACTIONS(2410),
    [anon_sym_required] = ACTIONS(2410),
    [anon_sym_component] = ACTIONS(2410),
    [anon_sym_abstract] = ACTIONS(2410),
    [anon_sym_interface] = ACTIONS(2410),
    [anon_sym_enum] = ACTIONS(2410),
    [sym_html_comment] = ACTIONS(5),
  },
  [1028] = {
    [sym_comment] = STATE(1028),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_default] = ACTIONS(2362),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_RBRACE] = ACTIONS(2362),
    [anon_sym_typeof] = ACTIONS(2362),
    [anon_sym_import] = ACTIONS(2362),
    [anon_sym_from] = ACTIONS(2362),
    [anon_sym_with] = ACTIONS(2362),
    [anon_sym_var] = ACTIONS(2362),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_const] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_else] = ACTIONS(2362),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_switch] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2362),
    [anon_sym_LPAREN] = ACTIONS(2362),
    [anon_sym_await] = ACTIONS(2362),
    [anon_sym_of] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_do] = ACTIONS(2362),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_break] = ACTIONS(2362),
    [anon_sym_continue] = ACTIONS(2362),
    [anon_sym_debugger] = ACTIONS(2362),
    [anon_sym_return] = ACTIONS(2362),
    [anon_sym_throw] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym_case] = ACTIONS(2362),
    [anon_sym_yield] = ACTIONS(2362),
    [anon_sym_LBRACK] = ACTIONS(2362),
    [anon_sym_LTtemplate_GT] = ACTIONS(2362),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_class] = ACTIONS(2362),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(2362),
    [anon_sym_using] = ACTIONS(2362),
    [anon_sym_PLUS] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2362),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_void] = ACTIONS(2362),
    [anon_sym_delete] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2362),
    [sym_number] = ACTIONS(2362),
    [sym_private_property_identifier] = ACTIONS(2362),
    [sym_this] = ACTIONS(2362),
    [sym_super] = ACTIONS(2362),
    [sym_true] = ACTIONS(2362),
    [sym_false] = ACTIONS(2362),
    [sym_null] = ACTIONS(2362),
    [sym_undefined] = ACTIONS(2362),
    [anon_sym_AT] = ACTIONS(2362),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2362),
    [anon_sym_get] = ACTIONS(2362),
    [anon_sym_set] = ACTIONS(2362),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_property] = ACTIONS(2362),
    [anon_sym_signal] = ACTIONS(2362),
    [anon_sym_on] = ACTIONS(2362),
    [anon_sym_required] = ACTIONS(2362),
    [anon_sym_component] = ACTIONS(2362),
    [anon_sym_abstract] = ACTIONS(2362),
    [anon_sym_interface] = ACTIONS(2362),
    [anon_sym_enum] = ACTIONS(2362),
    [sym__automatic_semicolon] = ACTIONS(2366),
    [sym_html_comment] = ACTIONS(5),
  },
  [1029] = {
    [sym_comment] = STATE(1029),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_export] = ACTIONS(2370),
    [anon_sym_default] = ACTIONS(2370),
    [anon_sym_type] = ACTIONS(2370),
    [anon_sym_namespace] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_import] = ACTIONS(2370),
    [anon_sym_from] = ACTIONS(2370),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_var] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_const] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_else] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_switch] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_await] = ACTIONS(2370),
    [anon_sym_of] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_debugger] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_case] = ACTIONS(2370),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LTtemplate_GT] = ACTIONS(2370),
    [anon_sym_DOT] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_async] = ACTIONS(2370),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_using] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_SLASH] = ACTIONS(2370),
    [anon_sym_LT] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2370),
    [sym_number] = ACTIONS(2370),
    [sym_private_property_identifier] = ACTIONS(2370),
    [sym_this] = ACTIONS(2370),
    [sym_super] = ACTIONS(2370),
    [sym_true] = ACTIONS(2370),
    [sym_false] = ACTIONS(2370),
    [sym_null] = ACTIONS(2370),
    [sym_undefined] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2370),
    [anon_sym_readonly] = ACTIONS(2370),
    [anon_sym_get] = ACTIONS(2370),
    [anon_sym_set] = ACTIONS(2370),
    [anon_sym_declare] = ACTIONS(2370),
    [anon_sym_public] = ACTIONS(2370),
    [anon_sym_private] = ACTIONS(2370),
    [anon_sym_protected] = ACTIONS(2370),
    [anon_sym_override] = ACTIONS(2370),
    [anon_sym_module] = ACTIONS(2370),
    [anon_sym_any] = ACTIONS(2370),
    [anon_sym_number] = ACTIONS(2370),
    [anon_sym_boolean] = ACTIONS(2370),
    [anon_sym_string] = ACTIONS(2370),
    [anon_sym_symbol] = ACTIONS(2370),
    [anon_sym_object] = ACTIONS(2370),
    [anon_sym_property] = ACTIONS(2370),
    [anon_sym_signal] = ACTIONS(2370),
    [anon_sym_on] = ACTIONS(2370),
    [anon_sym_required] = ACTIONS(2370),
    [anon_sym_component] = ACTIONS(2370),
    [anon_sym_abstract] = ACTIONS(2370),
    [anon_sym_interface] = ACTIONS(2370),
    [anon_sym_enum] = ACTIONS(2370),
    [sym_html_comment] = ACTIONS(5),
  },
  [1030] = {
    [sym_else_clause] = STATE(1256),
    [sym_comment] = STATE(1030),
    [sym_identifier] = ACTIONS(3444),
    [anon_sym_export] = ACTIONS(3444),
    [anon_sym_default] = ACTIONS(3444),
    [anon_sym_type] = ACTIONS(3444),
    [anon_sym_namespace] = ACTIONS(3444),
    [anon_sym_LBRACE] = ACTIONS(3444),
    [anon_sym_RBRACE] = ACTIONS(3444),
    [anon_sym_typeof] = ACTIONS(3444),
    [anon_sym_import] = ACTIONS(3444),
    [anon_sym_from] = ACTIONS(3444),
    [anon_sym_with] = ACTIONS(3444),
    [anon_sym_var] = ACTIONS(3444),
    [anon_sym_let] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3444),
    [anon_sym_BANG] = ACTIONS(3444),
    [anon_sym_else] = ACTIONS(3446),
    [anon_sym_if] = ACTIONS(3444),
    [anon_sym_switch] = ACTIONS(3444),
    [anon_sym_for] = ACTIONS(3444),
    [anon_sym_LPAREN] = ACTIONS(3444),
    [anon_sym_await] = ACTIONS(3444),
    [anon_sym_of] = ACTIONS(3444),
    [anon_sym_while] = ACTIONS(3444),
    [anon_sym_do] = ACTIONS(3444),
    [anon_sym_try] = ACTIONS(3444),
    [anon_sym_break] = ACTIONS(3444),
    [anon_sym_continue] = ACTIONS(3444),
    [anon_sym_debugger] = ACTIONS(3444),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_throw] = ACTIONS(3444),
    [anon_sym_SEMI] = ACTIONS(3444),
    [anon_sym_case] = ACTIONS(3444),
    [anon_sym_yield] = ACTIONS(3444),
    [anon_sym_LBRACK] = ACTIONS(3444),
    [anon_sym_LTtemplate_GT] = ACTIONS(3444),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3444),
    [anon_sym_class] = ACTIONS(3444),
    [anon_sym_async] = ACTIONS(3444),
    [anon_sym_function] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3444),
    [anon_sym_using] = ACTIONS(3444),
    [anon_sym_PLUS] = ACTIONS(3444),
    [anon_sym_DASH] = ACTIONS(3444),
    [anon_sym_SLASH] = ACTIONS(3444),
    [anon_sym_LT] = ACTIONS(3444),
    [anon_sym_TILDE] = ACTIONS(3444),
    [anon_sym_void] = ACTIONS(3444),
    [anon_sym_delete] = ACTIONS(3444),
    [anon_sym_PLUS_PLUS] = ACTIONS(3444),
    [anon_sym_DASH_DASH] = ACTIONS(3444),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3444),
    [sym_number] = ACTIONS(3444),
    [sym_private_property_identifier] = ACTIONS(3444),
    [sym_this] = ACTIONS(3444),
    [sym_super] = ACTIONS(3444),
    [sym_true] = ACTIONS(3444),
    [sym_false] = ACTIONS(3444),
    [sym_null] = ACTIONS(3444),
    [sym_undefined] = ACTIONS(3444),
    [anon_sym_AT] = ACTIONS(3444),
    [anon_sym_static] = ACTIONS(3444),
    [anon_sym_readonly] = ACTIONS(3444),
    [anon_sym_get] = ACTIONS(3444),
    [anon_sym_set] = ACTIONS(3444),
    [anon_sym_declare] = ACTIONS(3444),
    [anon_sym_public] = ACTIONS(3444),
    [anon_sym_private] = ACTIONS(3444),
    [anon_sym_protected] = ACTIONS(3444),
    [anon_sym_override] = ACTIONS(3444),
    [anon_sym_module] = ACTIONS(3444),
    [anon_sym_any] = ACTIONS(3444),
    [anon_sym_number] = ACTIONS(3444),
    [anon_sym_boolean] = ACTIONS(3444),
    [anon_sym_string] = ACTIONS(3444),
    [anon_sym_symbol] = ACTIONS(3444),
    [anon_sym_object] = ACTIONS(3444),
    [anon_sym_property] = ACTIONS(3444),
    [anon_sym_signal] = ACTIONS(3444),
    [anon_sym_on] = ACTIONS(3444),
    [anon_sym_required] = ACTIONS(3444),
    [anon_sym_component] = ACTIONS(3444),
    [anon_sym_abstract] = ACTIONS(3444),
    [anon_sym_interface] = ACTIONS(3444),
    [anon_sym_enum] = ACTIONS(3444),
    [sym_html_comment] = ACTIONS(5),
  },
  [1031] = {
    [sym_comment] = STATE(1031),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_catch] = ACTIONS(2332),
    [anon_sym_finally] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(3448),
    [sym_html_comment] = ACTIONS(5),
  },
  [1032] = {
    [sym_comment] = STATE(1032),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(2336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1033] = {
    [sym_comment] = STATE(1033),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_default] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2287),
    [anon_sym_finally] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(3450),
    [sym_html_comment] = ACTIONS(5),
  },
  [1034] = {
    [sym_comment] = STATE(1034),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(3452),
    [sym_html_comment] = ACTIONS(5),
  },
  [1035] = {
    [sym_comment] = STATE(1035),
    [sym_identifier] = ACTIONS(3454),
    [anon_sym_export] = ACTIONS(3454),
    [anon_sym_default] = ACTIONS(3454),
    [anon_sym_type] = ACTIONS(3454),
    [anon_sym_namespace] = ACTIONS(3454),
    [anon_sym_LBRACE] = ACTIONS(3454),
    [anon_sym_RBRACE] = ACTIONS(3454),
    [anon_sym_typeof] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3454),
    [anon_sym_from] = ACTIONS(3454),
    [anon_sym_with] = ACTIONS(3454),
    [anon_sym_var] = ACTIONS(3454),
    [anon_sym_let] = ACTIONS(3454),
    [anon_sym_const] = ACTIONS(3454),
    [anon_sym_BANG] = ACTIONS(3454),
    [anon_sym_else] = ACTIONS(3454),
    [anon_sym_if] = ACTIONS(3454),
    [anon_sym_switch] = ACTIONS(3454),
    [anon_sym_for] = ACTIONS(3454),
    [anon_sym_LPAREN] = ACTIONS(3454),
    [anon_sym_await] = ACTIONS(3454),
    [anon_sym_of] = ACTIONS(3454),
    [anon_sym_while] = ACTIONS(3454),
    [anon_sym_do] = ACTIONS(3454),
    [anon_sym_try] = ACTIONS(3454),
    [anon_sym_break] = ACTIONS(3454),
    [anon_sym_continue] = ACTIONS(3454),
    [anon_sym_debugger] = ACTIONS(3454),
    [anon_sym_return] = ACTIONS(3454),
    [anon_sym_throw] = ACTIONS(3454),
    [anon_sym_SEMI] = ACTIONS(3456),
    [anon_sym_case] = ACTIONS(3454),
    [anon_sym_yield] = ACTIONS(3454),
    [anon_sym_LBRACK] = ACTIONS(3454),
    [anon_sym_LTtemplate_GT] = ACTIONS(3454),
    [anon_sym_DQUOTE] = ACTIONS(3454),
    [anon_sym_SQUOTE] = ACTIONS(3454),
    [anon_sym_class] = ACTIONS(3454),
    [anon_sym_async] = ACTIONS(3454),
    [anon_sym_function] = ACTIONS(3454),
    [anon_sym_new] = ACTIONS(3454),
    [anon_sym_using] = ACTIONS(3454),
    [anon_sym_PLUS] = ACTIONS(3454),
    [anon_sym_DASH] = ACTIONS(3454),
    [anon_sym_SLASH] = ACTIONS(3454),
    [anon_sym_LT] = ACTIONS(3454),
    [anon_sym_TILDE] = ACTIONS(3454),
    [anon_sym_void] = ACTIONS(3454),
    [anon_sym_delete] = ACTIONS(3454),
    [anon_sym_PLUS_PLUS] = ACTIONS(3454),
    [anon_sym_DASH_DASH] = ACTIONS(3454),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3454),
    [sym_number] = ACTIONS(3454),
    [sym_private_property_identifier] = ACTIONS(3454),
    [sym_this] = ACTIONS(3454),
    [sym_super] = ACTIONS(3454),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_AT] = ACTIONS(3454),
    [anon_sym_static] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3454),
    [anon_sym_get] = ACTIONS(3454),
    [anon_sym_set] = ACTIONS(3454),
    [anon_sym_declare] = ACTIONS(3454),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_private] = ACTIONS(3454),
    [anon_sym_protected] = ACTIONS(3454),
    [anon_sym_override] = ACTIONS(3454),
    [anon_sym_module] = ACTIONS(3454),
    [anon_sym_any] = ACTIONS(3454),
    [anon_sym_number] = ACTIONS(3454),
    [anon_sym_boolean] = ACTIONS(3454),
    [anon_sym_string] = ACTIONS(3454),
    [anon_sym_symbol] = ACTIONS(3454),
    [anon_sym_object] = ACTIONS(3454),
    [anon_sym_property] = ACTIONS(3454),
    [anon_sym_signal] = ACTIONS(3454),
    [anon_sym_on] = ACTIONS(3454),
    [anon_sym_required] = ACTIONS(3454),
    [anon_sym_component] = ACTIONS(3454),
    [anon_sym_abstract] = ACTIONS(3454),
    [anon_sym_interface] = ACTIONS(3454),
    [anon_sym_enum] = ACTIONS(3454),
    [sym__automatic_semicolon] = ACTIONS(3458),
    [sym_html_comment] = ACTIONS(5),
  },
  [1036] = {
    [sym_finally_clause] = STATE(1452),
    [sym_comment] = STATE(1036),
    [sym_identifier] = ACTIONS(3424),
    [anon_sym_export] = ACTIONS(3424),
    [anon_sym_default] = ACTIONS(3424),
    [anon_sym_type] = ACTIONS(3424),
    [anon_sym_namespace] = ACTIONS(3424),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_RBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3424),
    [anon_sym_import] = ACTIONS(3424),
    [anon_sym_from] = ACTIONS(3424),
    [anon_sym_with] = ACTIONS(3424),
    [anon_sym_var] = ACTIONS(3424),
    [anon_sym_let] = ACTIONS(3424),
    [anon_sym_const] = ACTIONS(3424),
    [anon_sym_BANG] = ACTIONS(3424),
    [anon_sym_if] = ACTIONS(3424),
    [anon_sym_switch] = ACTIONS(3424),
    [anon_sym_for] = ACTIONS(3424),
    [anon_sym_LPAREN] = ACTIONS(3424),
    [anon_sym_await] = ACTIONS(3424),
    [anon_sym_of] = ACTIONS(3424),
    [anon_sym_while] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(3424),
    [anon_sym_try] = ACTIONS(3424),
    [anon_sym_break] = ACTIONS(3424),
    [anon_sym_continue] = ACTIONS(3424),
    [anon_sym_debugger] = ACTIONS(3424),
    [anon_sym_return] = ACTIONS(3424),
    [anon_sym_throw] = ACTIONS(3424),
    [anon_sym_SEMI] = ACTIONS(3424),
    [anon_sym_case] = ACTIONS(3424),
    [anon_sym_finally] = ACTIONS(3393),
    [anon_sym_yield] = ACTIONS(3424),
    [anon_sym_LBRACK] = ACTIONS(3424),
    [anon_sym_LTtemplate_GT] = ACTIONS(3424),
    [anon_sym_DQUOTE] = ACTIONS(3424),
    [anon_sym_SQUOTE] = ACTIONS(3424),
    [anon_sym_class] = ACTIONS(3424),
    [anon_sym_async] = ACTIONS(3424),
    [anon_sym_function] = ACTIONS(3424),
    [anon_sym_new] = ACTIONS(3424),
    [anon_sym_using] = ACTIONS(3424),
    [anon_sym_PLUS] = ACTIONS(3424),
    [anon_sym_DASH] = ACTIONS(3424),
    [anon_sym_SLASH] = ACTIONS(3424),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_TILDE] = ACTIONS(3424),
    [anon_sym_void] = ACTIONS(3424),
    [anon_sym_delete] = ACTIONS(3424),
    [anon_sym_PLUS_PLUS] = ACTIONS(3424),
    [anon_sym_DASH_DASH] = ACTIONS(3424),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3424),
    [sym_number] = ACTIONS(3424),
    [sym_private_property_identifier] = ACTIONS(3424),
    [sym_this] = ACTIONS(3424),
    [sym_super] = ACTIONS(3424),
    [sym_true] = ACTIONS(3424),
    [sym_false] = ACTIONS(3424),
    [sym_null] = ACTIONS(3424),
    [sym_undefined] = ACTIONS(3424),
    [anon_sym_AT] = ACTIONS(3424),
    [anon_sym_static] = ACTIONS(3424),
    [anon_sym_readonly] = ACTIONS(3424),
    [anon_sym_get] = ACTIONS(3424),
    [anon_sym_set] = ACTIONS(3424),
    [anon_sym_declare] = ACTIONS(3424),
    [anon_sym_public] = ACTIONS(3424),
    [anon_sym_private] = ACTIONS(3424),
    [anon_sym_protected] = ACTIONS(3424),
    [anon_sym_override] = ACTIONS(3424),
    [anon_sym_module] = ACTIONS(3424),
    [anon_sym_any] = ACTIONS(3424),
    [anon_sym_number] = ACTIONS(3424),
    [anon_sym_boolean] = ACTIONS(3424),
    [anon_sym_string] = ACTIONS(3424),
    [anon_sym_symbol] = ACTIONS(3424),
    [anon_sym_object] = ACTIONS(3424),
    [anon_sym_property] = ACTIONS(3424),
    [anon_sym_signal] = ACTIONS(3424),
    [anon_sym_on] = ACTIONS(3424),
    [anon_sym_required] = ACTIONS(3424),
    [anon_sym_component] = ACTIONS(3424),
    [anon_sym_abstract] = ACTIONS(3424),
    [anon_sym_interface] = ACTIONS(3424),
    [anon_sym_enum] = ACTIONS(3424),
    [sym_html_comment] = ACTIONS(5),
  },
  [1037] = {
    [sym_comment] = STATE(1037),
    [sym_identifier] = ACTIONS(3460),
    [anon_sym_export] = ACTIONS(3460),
    [anon_sym_default] = ACTIONS(3460),
    [anon_sym_type] = ACTIONS(3460),
    [anon_sym_namespace] = ACTIONS(3460),
    [anon_sym_LBRACE] = ACTIONS(3460),
    [anon_sym_RBRACE] = ACTIONS(3460),
    [anon_sym_typeof] = ACTIONS(3460),
    [anon_sym_import] = ACTIONS(3460),
    [anon_sym_from] = ACTIONS(3460),
    [anon_sym_with] = ACTIONS(3460),
    [anon_sym_var] = ACTIONS(3460),
    [anon_sym_let] = ACTIONS(3460),
    [anon_sym_const] = ACTIONS(3460),
    [anon_sym_BANG] = ACTIONS(3460),
    [anon_sym_else] = ACTIONS(3460),
    [anon_sym_if] = ACTIONS(3460),
    [anon_sym_switch] = ACTIONS(3460),
    [anon_sym_for] = ACTIONS(3460),
    [anon_sym_LPAREN] = ACTIONS(3460),
    [anon_sym_await] = ACTIONS(3460),
    [anon_sym_of] = ACTIONS(3460),
    [anon_sym_while] = ACTIONS(3460),
    [anon_sym_do] = ACTIONS(3460),
    [anon_sym_try] = ACTIONS(3460),
    [anon_sym_break] = ACTIONS(3460),
    [anon_sym_continue] = ACTIONS(3460),
    [anon_sym_debugger] = ACTIONS(3460),
    [anon_sym_return] = ACTIONS(3460),
    [anon_sym_throw] = ACTIONS(3460),
    [anon_sym_SEMI] = ACTIONS(3460),
    [anon_sym_case] = ACTIONS(3460),
    [anon_sym_finally] = ACTIONS(3460),
    [anon_sym_yield] = ACTIONS(3460),
    [anon_sym_LBRACK] = ACTIONS(3460),
    [anon_sym_LTtemplate_GT] = ACTIONS(3460),
    [anon_sym_DQUOTE] = ACTIONS(3460),
    [anon_sym_SQUOTE] = ACTIONS(3460),
    [anon_sym_class] = ACTIONS(3460),
    [anon_sym_async] = ACTIONS(3460),
    [anon_sym_function] = ACTIONS(3460),
    [anon_sym_new] = ACTIONS(3460),
    [anon_sym_using] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_SLASH] = ACTIONS(3460),
    [anon_sym_LT] = ACTIONS(3460),
    [anon_sym_TILDE] = ACTIONS(3460),
    [anon_sym_void] = ACTIONS(3460),
    [anon_sym_delete] = ACTIONS(3460),
    [anon_sym_PLUS_PLUS] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3460),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3460),
    [sym_number] = ACTIONS(3460),
    [sym_private_property_identifier] = ACTIONS(3460),
    [sym_this] = ACTIONS(3460),
    [sym_super] = ACTIONS(3460),
    [sym_true] = ACTIONS(3460),
    [sym_false] = ACTIONS(3460),
    [sym_null] = ACTIONS(3460),
    [sym_undefined] = ACTIONS(3460),
    [anon_sym_AT] = ACTIONS(3460),
    [anon_sym_static] = ACTIONS(3460),
    [anon_sym_readonly] = ACTIONS(3460),
    [anon_sym_get] = ACTIONS(3460),
    [anon_sym_set] = ACTIONS(3460),
    [anon_sym_declare] = ACTIONS(3460),
    [anon_sym_public] = ACTIONS(3460),
    [anon_sym_private] = ACTIONS(3460),
    [anon_sym_protected] = ACTIONS(3460),
    [anon_sym_override] = ACTIONS(3460),
    [anon_sym_module] = ACTIONS(3460),
    [anon_sym_any] = ACTIONS(3460),
    [anon_sym_number] = ACTIONS(3460),
    [anon_sym_boolean] = ACTIONS(3460),
    [anon_sym_string] = ACTIONS(3460),
    [anon_sym_symbol] = ACTIONS(3460),
    [anon_sym_object] = ACTIONS(3460),
    [anon_sym_property] = ACTIONS(3460),
    [anon_sym_signal] = ACTIONS(3460),
    [anon_sym_on] = ACTIONS(3460),
    [anon_sym_required] = ACTIONS(3460),
    [anon_sym_component] = ACTIONS(3460),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_interface] = ACTIONS(3460),
    [anon_sym_enum] = ACTIONS(3460),
    [sym_html_comment] = ACTIONS(5),
  },
  [1038] = {
    [sym_comment] = STATE(1038),
    [sym_identifier] = ACTIONS(3462),
    [anon_sym_export] = ACTIONS(3462),
    [anon_sym_default] = ACTIONS(3462),
    [anon_sym_type] = ACTIONS(3462),
    [anon_sym_namespace] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(3462),
    [anon_sym_RBRACE] = ACTIONS(3462),
    [anon_sym_typeof] = ACTIONS(3462),
    [anon_sym_import] = ACTIONS(3462),
    [anon_sym_from] = ACTIONS(3462),
    [anon_sym_with] = ACTIONS(3462),
    [anon_sym_var] = ACTIONS(3462),
    [anon_sym_let] = ACTIONS(3462),
    [anon_sym_const] = ACTIONS(3462),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_else] = ACTIONS(3462),
    [anon_sym_if] = ACTIONS(3462),
    [anon_sym_switch] = ACTIONS(3462),
    [anon_sym_for] = ACTIONS(3462),
    [anon_sym_LPAREN] = ACTIONS(3462),
    [anon_sym_await] = ACTIONS(3462),
    [anon_sym_of] = ACTIONS(3462),
    [anon_sym_while] = ACTIONS(3462),
    [anon_sym_do] = ACTIONS(3462),
    [anon_sym_try] = ACTIONS(3462),
    [anon_sym_break] = ACTIONS(3462),
    [anon_sym_continue] = ACTIONS(3462),
    [anon_sym_debugger] = ACTIONS(3462),
    [anon_sym_return] = ACTIONS(3462),
    [anon_sym_throw] = ACTIONS(3462),
    [anon_sym_SEMI] = ACTIONS(3462),
    [anon_sym_case] = ACTIONS(3462),
    [anon_sym_finally] = ACTIONS(3462),
    [anon_sym_yield] = ACTIONS(3462),
    [anon_sym_LBRACK] = ACTIONS(3462),
    [anon_sym_LTtemplate_GT] = ACTIONS(3462),
    [anon_sym_DQUOTE] = ACTIONS(3462),
    [anon_sym_SQUOTE] = ACTIONS(3462),
    [anon_sym_class] = ACTIONS(3462),
    [anon_sym_async] = ACTIONS(3462),
    [anon_sym_function] = ACTIONS(3462),
    [anon_sym_new] = ACTIONS(3462),
    [anon_sym_using] = ACTIONS(3462),
    [anon_sym_PLUS] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3462),
    [anon_sym_SLASH] = ACTIONS(3462),
    [anon_sym_LT] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_void] = ACTIONS(3462),
    [anon_sym_delete] = ACTIONS(3462),
    [anon_sym_PLUS_PLUS] = ACTIONS(3462),
    [anon_sym_DASH_DASH] = ACTIONS(3462),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3462),
    [sym_number] = ACTIONS(3462),
    [sym_private_property_identifier] = ACTIONS(3462),
    [sym_this] = ACTIONS(3462),
    [sym_super] = ACTIONS(3462),
    [sym_true] = ACTIONS(3462),
    [sym_false] = ACTIONS(3462),
    [sym_null] = ACTIONS(3462),
    [sym_undefined] = ACTIONS(3462),
    [anon_sym_AT] = ACTIONS(3462),
    [anon_sym_static] = ACTIONS(3462),
    [anon_sym_readonly] = ACTIONS(3462),
    [anon_sym_get] = ACTIONS(3462),
    [anon_sym_set] = ACTIONS(3462),
    [anon_sym_declare] = ACTIONS(3462),
    [anon_sym_public] = ACTIONS(3462),
    [anon_sym_private] = ACTIONS(3462),
    [anon_sym_protected] = ACTIONS(3462),
    [anon_sym_override] = ACTIONS(3462),
    [anon_sym_module] = ACTIONS(3462),
    [anon_sym_any] = ACTIONS(3462),
    [anon_sym_number] = ACTIONS(3462),
    [anon_sym_boolean] = ACTIONS(3462),
    [anon_sym_string] = ACTIONS(3462),
    [anon_sym_symbol] = ACTIONS(3462),
    [anon_sym_object] = ACTIONS(3462),
    [anon_sym_property] = ACTIONS(3462),
    [anon_sym_signal] = ACTIONS(3462),
    [anon_sym_on] = ACTIONS(3462),
    [anon_sym_required] = ACTIONS(3462),
    [anon_sym_component] = ACTIONS(3462),
    [anon_sym_abstract] = ACTIONS(3462),
    [anon_sym_interface] = ACTIONS(3462),
    [anon_sym_enum] = ACTIONS(3462),
    [sym_html_comment] = ACTIONS(5),
  },
  [1039] = {
    [sym_comment] = STATE(1039),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_catch] = ACTIONS(2332),
    [anon_sym_finally] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1040] = {
    [sym_comment] = STATE(1040),
    [sym_identifier] = ACTIONS(2354),
    [anon_sym_export] = ACTIONS(2354),
    [anon_sym_default] = ACTIONS(2354),
    [anon_sym_type] = ACTIONS(2354),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2354),
    [anon_sym_RBRACE] = ACTIONS(2354),
    [anon_sym_typeof] = ACTIONS(2354),
    [anon_sym_import] = ACTIONS(2354),
    [anon_sym_from] = ACTIONS(2354),
    [anon_sym_with] = ACTIONS(2354),
    [anon_sym_var] = ACTIONS(2354),
    [anon_sym_let] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2354),
    [anon_sym_else] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_LPAREN] = ACTIONS(2354),
    [anon_sym_await] = ACTIONS(2354),
    [anon_sym_of] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_debugger] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2354),
    [anon_sym_case] = ACTIONS(2354),
    [anon_sym_yield] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_LTtemplate_GT] = ACTIONS(2354),
    [anon_sym_DQUOTE] = ACTIONS(2354),
    [anon_sym_SQUOTE] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_async] = ACTIONS(2354),
    [anon_sym_function] = ACTIONS(2354),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_SLASH] = ACTIONS(2354),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_void] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_PLUS_PLUS] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2354),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2354),
    [sym_number] = ACTIONS(2354),
    [sym_private_property_identifier] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [sym_super] = ACTIONS(2354),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [sym_null] = ACTIONS(2354),
    [sym_undefined] = ACTIONS(2354),
    [anon_sym_AT] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_readonly] = ACTIONS(2354),
    [anon_sym_get] = ACTIONS(2354),
    [anon_sym_set] = ACTIONS(2354),
    [anon_sym_declare] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_override] = ACTIONS(2354),
    [anon_sym_module] = ACTIONS(2354),
    [anon_sym_any] = ACTIONS(2354),
    [anon_sym_number] = ACTIONS(2354),
    [anon_sym_boolean] = ACTIONS(2354),
    [anon_sym_string] = ACTIONS(2354),
    [anon_sym_symbol] = ACTIONS(2354),
    [anon_sym_object] = ACTIONS(2354),
    [anon_sym_property] = ACTIONS(2354),
    [anon_sym_signal] = ACTIONS(2354),
    [anon_sym_on] = ACTIONS(2354),
    [anon_sym_required] = ACTIONS(2354),
    [anon_sym_component] = ACTIONS(2354),
    [anon_sym_abstract] = ACTIONS(2354),
    [anon_sym_interface] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [sym__automatic_semicolon] = ACTIONS(2358),
    [sym_html_comment] = ACTIONS(5),
  },
  [1041] = {
    [sym_comment] = STATE(1041),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_export] = ACTIONS(2442),
    [anon_sym_default] = ACTIONS(2442),
    [anon_sym_type] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_typeof] = ACTIONS(2442),
    [anon_sym_import] = ACTIONS(2442),
    [anon_sym_from] = ACTIONS(2442),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_var] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_else] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_switch] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_await] = ACTIONS(2442),
    [anon_sym_of] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_break] = ACTIONS(2442),
    [anon_sym_continue] = ACTIONS(2442),
    [anon_sym_debugger] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_case] = ACTIONS(2442),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LTtemplate_GT] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_async] = ACTIONS(2442),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_void] = ACTIONS(2442),
    [anon_sym_delete] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2442),
    [sym_number] = ACTIONS(2442),
    [sym_private_property_identifier] = ACTIONS(2442),
    [sym_this] = ACTIONS(2442),
    [sym_super] = ACTIONS(2442),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [sym_null] = ACTIONS(2442),
    [sym_undefined] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_readonly] = ACTIONS(2442),
    [anon_sym_get] = ACTIONS(2442),
    [anon_sym_set] = ACTIONS(2442),
    [anon_sym_declare] = ACTIONS(2442),
    [anon_sym_public] = ACTIONS(2442),
    [anon_sym_private] = ACTIONS(2442),
    [anon_sym_protected] = ACTIONS(2442),
    [anon_sym_override] = ACTIONS(2442),
    [anon_sym_module] = ACTIONS(2442),
    [anon_sym_any] = ACTIONS(2442),
    [anon_sym_number] = ACTIONS(2442),
    [anon_sym_boolean] = ACTIONS(2442),
    [anon_sym_string] = ACTIONS(2442),
    [anon_sym_symbol] = ACTIONS(2442),
    [anon_sym_object] = ACTIONS(2442),
    [anon_sym_property] = ACTIONS(2442),
    [anon_sym_signal] = ACTIONS(2442),
    [anon_sym_on] = ACTIONS(2442),
    [anon_sym_required] = ACTIONS(2442),
    [anon_sym_component] = ACTIONS(2442),
    [anon_sym_abstract] = ACTIONS(2442),
    [anon_sym_interface] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [sym__automatic_semicolon] = ACTIONS(2444),
    [sym_html_comment] = ACTIONS(5),
  },
  [1042] = {
    [sym_comment] = STATE(1042),
    [sym_identifier] = ACTIONS(3464),
    [anon_sym_export] = ACTIONS(3464),
    [anon_sym_default] = ACTIONS(3464),
    [anon_sym_type] = ACTIONS(3464),
    [anon_sym_namespace] = ACTIONS(3464),
    [anon_sym_LBRACE] = ACTIONS(3464),
    [anon_sym_RBRACE] = ACTIONS(3464),
    [anon_sym_typeof] = ACTIONS(3464),
    [anon_sym_import] = ACTIONS(3464),
    [anon_sym_from] = ACTIONS(3464),
    [anon_sym_with] = ACTIONS(3464),
    [anon_sym_var] = ACTIONS(3464),
    [anon_sym_let] = ACTIONS(3464),
    [anon_sym_const] = ACTIONS(3464),
    [anon_sym_BANG] = ACTIONS(3464),
    [anon_sym_else] = ACTIONS(3464),
    [anon_sym_if] = ACTIONS(3464),
    [anon_sym_switch] = ACTIONS(3464),
    [anon_sym_for] = ACTIONS(3464),
    [anon_sym_LPAREN] = ACTIONS(3464),
    [anon_sym_await] = ACTIONS(3464),
    [anon_sym_of] = ACTIONS(3464),
    [anon_sym_while] = ACTIONS(3464),
    [anon_sym_do] = ACTIONS(3464),
    [anon_sym_try] = ACTIONS(3464),
    [anon_sym_break] = ACTIONS(3464),
    [anon_sym_continue] = ACTIONS(3464),
    [anon_sym_debugger] = ACTIONS(3464),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_throw] = ACTIONS(3464),
    [anon_sym_SEMI] = ACTIONS(3464),
    [anon_sym_case] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3464),
    [anon_sym_LBRACK] = ACTIONS(3464),
    [anon_sym_LTtemplate_GT] = ACTIONS(3464),
    [anon_sym_DQUOTE] = ACTIONS(3464),
    [anon_sym_SQUOTE] = ACTIONS(3464),
    [anon_sym_class] = ACTIONS(3464),
    [anon_sym_async] = ACTIONS(3464),
    [anon_sym_function] = ACTIONS(3464),
    [anon_sym_new] = ACTIONS(3464),
    [anon_sym_using] = ACTIONS(3464),
    [anon_sym_PLUS] = ACTIONS(3464),
    [anon_sym_DASH] = ACTIONS(3464),
    [anon_sym_SLASH] = ACTIONS(3464),
    [anon_sym_LT] = ACTIONS(3464),
    [anon_sym_TILDE] = ACTIONS(3464),
    [anon_sym_void] = ACTIONS(3464),
    [anon_sym_delete] = ACTIONS(3464),
    [anon_sym_PLUS_PLUS] = ACTIONS(3464),
    [anon_sym_DASH_DASH] = ACTIONS(3464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3464),
    [sym_number] = ACTIONS(3464),
    [sym_private_property_identifier] = ACTIONS(3464),
    [sym_this] = ACTIONS(3464),
    [sym_super] = ACTIONS(3464),
    [sym_true] = ACTIONS(3464),
    [sym_false] = ACTIONS(3464),
    [sym_null] = ACTIONS(3464),
    [sym_undefined] = ACTIONS(3464),
    [anon_sym_AT] = ACTIONS(3464),
    [anon_sym_static] = ACTIONS(3464),
    [anon_sym_readonly] = ACTIONS(3464),
    [anon_sym_get] = ACTIONS(3464),
    [anon_sym_set] = ACTIONS(3464),
    [anon_sym_declare] = ACTIONS(3464),
    [anon_sym_public] = ACTIONS(3464),
    [anon_sym_private] = ACTIONS(3464),
    [anon_sym_protected] = ACTIONS(3464),
    [anon_sym_override] = ACTIONS(3464),
    [anon_sym_module] = ACTIONS(3464),
    [anon_sym_any] = ACTIONS(3464),
    [anon_sym_number] = ACTIONS(3464),
    [anon_sym_boolean] = ACTIONS(3464),
    [anon_sym_string] = ACTIONS(3464),
    [anon_sym_symbol] = ACTIONS(3464),
    [anon_sym_object] = ACTIONS(3464),
    [anon_sym_property] = ACTIONS(3464),
    [anon_sym_signal] = ACTIONS(3464),
    [anon_sym_on] = ACTIONS(3464),
    [anon_sym_required] = ACTIONS(3464),
    [anon_sym_component] = ACTIONS(3464),
    [anon_sym_abstract] = ACTIONS(3464),
    [anon_sym_interface] = ACTIONS(3464),
    [anon_sym_enum] = ACTIONS(3464),
    [sym__automatic_semicolon] = ACTIONS(3466),
    [sym_html_comment] = ACTIONS(5),
  },
  [1043] = {
    [sym_comment] = STATE(1043),
    [sym_identifier] = ACTIONS(2382),
    [anon_sym_export] = ACTIONS(2382),
    [anon_sym_default] = ACTIONS(2382),
    [anon_sym_type] = ACTIONS(2382),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_typeof] = ACTIONS(2382),
    [anon_sym_import] = ACTIONS(2382),
    [anon_sym_from] = ACTIONS(2382),
    [anon_sym_with] = ACTIONS(2382),
    [anon_sym_var] = ACTIONS(2382),
    [anon_sym_let] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_else] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_switch] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_await] = ACTIONS(2382),
    [anon_sym_of] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2382),
    [anon_sym_break] = ACTIONS(2382),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_debugger] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2382),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym_case] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_LTtemplate_GT] = ACTIONS(2382),
    [anon_sym_DQUOTE] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_SLASH] = ACTIONS(2382),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_void] = ACTIONS(2382),
    [anon_sym_delete] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2382),
    [sym_number] = ACTIONS(2382),
    [sym_private_property_identifier] = ACTIONS(2382),
    [sym_this] = ACTIONS(2382),
    [sym_super] = ACTIONS(2382),
    [sym_true] = ACTIONS(2382),
    [sym_false] = ACTIONS(2382),
    [sym_null] = ACTIONS(2382),
    [sym_undefined] = ACTIONS(2382),
    [anon_sym_AT] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_readonly] = ACTIONS(2382),
    [anon_sym_get] = ACTIONS(2382),
    [anon_sym_set] = ACTIONS(2382),
    [anon_sym_declare] = ACTIONS(2382),
    [anon_sym_public] = ACTIONS(2382),
    [anon_sym_private] = ACTIONS(2382),
    [anon_sym_protected] = ACTIONS(2382),
    [anon_sym_override] = ACTIONS(2382),
    [anon_sym_module] = ACTIONS(2382),
    [anon_sym_any] = ACTIONS(2382),
    [anon_sym_number] = ACTIONS(2382),
    [anon_sym_boolean] = ACTIONS(2382),
    [anon_sym_string] = ACTIONS(2382),
    [anon_sym_symbol] = ACTIONS(2382),
    [anon_sym_object] = ACTIONS(2382),
    [anon_sym_property] = ACTIONS(2382),
    [anon_sym_signal] = ACTIONS(2382),
    [anon_sym_on] = ACTIONS(2382),
    [anon_sym_required] = ACTIONS(2382),
    [anon_sym_component] = ACTIONS(2382),
    [anon_sym_abstract] = ACTIONS(2382),
    [anon_sym_interface] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [sym__automatic_semicolon] = ACTIONS(2386),
    [sym_html_comment] = ACTIONS(5),
  },
  [1044] = {
    [sym_comment] = STATE(1044),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_export] = ACTIONS(2328),
    [anon_sym_default] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2328),
    [anon_sym_namespace] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [anon_sym_typeof] = ACTIONS(2328),
    [anon_sym_import] = ACTIONS(2328),
    [anon_sym_from] = ACTIONS(2328),
    [anon_sym_with] = ACTIONS(2328),
    [anon_sym_var] = ACTIONS(2328),
    [anon_sym_let] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_else] = ACTIONS(2328),
    [anon_sym_if] = ACTIONS(2328),
    [anon_sym_switch] = ACTIONS(2328),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_of] = ACTIONS(2328),
    [anon_sym_while] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2328),
    [anon_sym_break] = ACTIONS(2328),
    [anon_sym_continue] = ACTIONS(2328),
    [anon_sym_debugger] = ACTIONS(2328),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym_case] = ACTIONS(2328),
    [anon_sym_yield] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_LTtemplate_GT] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_class] = ACTIONS(2328),
    [anon_sym_async] = ACTIONS(2328),
    [anon_sym_function] = ACTIONS(2328),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_using] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_void] = ACTIONS(2328),
    [anon_sym_delete] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2328),
    [sym_number] = ACTIONS(2328),
    [sym_private_property_identifier] = ACTIONS(2328),
    [sym_this] = ACTIONS(2328),
    [sym_super] = ACTIONS(2328),
    [sym_true] = ACTIONS(2328),
    [sym_false] = ACTIONS(2328),
    [sym_null] = ACTIONS(2328),
    [sym_undefined] = ACTIONS(2328),
    [anon_sym_AT] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2328),
    [anon_sym_readonly] = ACTIONS(2328),
    [anon_sym_get] = ACTIONS(2328),
    [anon_sym_set] = ACTIONS(2328),
    [anon_sym_declare] = ACTIONS(2328),
    [anon_sym_public] = ACTIONS(2328),
    [anon_sym_private] = ACTIONS(2328),
    [anon_sym_protected] = ACTIONS(2328),
    [anon_sym_override] = ACTIONS(2328),
    [anon_sym_module] = ACTIONS(2328),
    [anon_sym_any] = ACTIONS(2328),
    [anon_sym_number] = ACTIONS(2328),
    [anon_sym_boolean] = ACTIONS(2328),
    [anon_sym_string] = ACTIONS(2328),
    [anon_sym_symbol] = ACTIONS(2328),
    [anon_sym_object] = ACTIONS(2328),
    [anon_sym_property] = ACTIONS(2328),
    [anon_sym_signal] = ACTIONS(2328),
    [anon_sym_on] = ACTIONS(2328),
    [anon_sym_required] = ACTIONS(2328),
    [anon_sym_component] = ACTIONS(2328),
    [anon_sym_abstract] = ACTIONS(2328),
    [anon_sym_interface] = ACTIONS(2328),
    [anon_sym_enum] = ACTIONS(2328),
    [sym__automatic_semicolon] = ACTIONS(2330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1045] = {
    [sym_comment] = STATE(1045),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_case] = ACTIONS(2350),
    [anon_sym_catch] = ACTIONS(2350),
    [anon_sym_finally] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym_html_comment] = ACTIONS(5),
  },
  [1046] = {
    [sym_comment] = STATE(1046),
    [sym_identifier] = ACTIONS(2416),
    [anon_sym_export] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_type] = ACTIONS(2416),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_RBRACE] = ACTIONS(2416),
    [anon_sym_typeof] = ACTIONS(2416),
    [anon_sym_import] = ACTIONS(2416),
    [anon_sym_from] = ACTIONS(2416),
    [anon_sym_with] = ACTIONS(2416),
    [anon_sym_var] = ACTIONS(2416),
    [anon_sym_let] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_BANG] = ACTIONS(2416),
    [anon_sym_else] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_await] = ACTIONS(2416),
    [anon_sym_of] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_debugger] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_yield] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_LTtemplate_GT] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2416),
    [anon_sym_SQUOTE] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_async] = ACTIONS(2416),
    [anon_sym_function] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(2416),
    [anon_sym_using] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_SLASH] = ACTIONS(2416),
    [anon_sym_LT] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_void] = ACTIONS(2416),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_PLUS_PLUS] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2416),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2416),
    [sym_number] = ACTIONS(2416),
    [sym_private_property_identifier] = ACTIONS(2416),
    [sym_this] = ACTIONS(2416),
    [sym_super] = ACTIONS(2416),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [sym_null] = ACTIONS(2416),
    [sym_undefined] = ACTIONS(2416),
    [anon_sym_AT] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_readonly] = ACTIONS(2416),
    [anon_sym_get] = ACTIONS(2416),
    [anon_sym_set] = ACTIONS(2416),
    [anon_sym_declare] = ACTIONS(2416),
    [anon_sym_public] = ACTIONS(2416),
    [anon_sym_private] = ACTIONS(2416),
    [anon_sym_protected] = ACTIONS(2416),
    [anon_sym_override] = ACTIONS(2416),
    [anon_sym_module] = ACTIONS(2416),
    [anon_sym_any] = ACTIONS(2416),
    [anon_sym_number] = ACTIONS(2416),
    [anon_sym_boolean] = ACTIONS(2416),
    [anon_sym_string] = ACTIONS(2416),
    [anon_sym_symbol] = ACTIONS(2416),
    [anon_sym_object] = ACTIONS(2416),
    [anon_sym_property] = ACTIONS(2416),
    [anon_sym_signal] = ACTIONS(2416),
    [anon_sym_on] = ACTIONS(2416),
    [anon_sym_required] = ACTIONS(2416),
    [anon_sym_component] = ACTIONS(2416),
    [anon_sym_abstract] = ACTIONS(2416),
    [anon_sym_interface] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [sym__automatic_semicolon] = ACTIONS(2420),
    [sym_html_comment] = ACTIONS(5),
  },
  [1047] = {
    [sym_catch_clause] = STATE(1275),
    [sym_finally_clause] = STATE(1678),
    [sym_comment] = STATE(1047),
    [sym_identifier] = ACTIONS(3345),
    [anon_sym_export] = ACTIONS(3345),
    [anon_sym_type] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym_import] = ACTIONS(3345),
    [anon_sym_from] = ACTIONS(3345),
    [anon_sym_with] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_LPAREN] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_of] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_debugger] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym_catch] = ACTIONS(3468),
    [anon_sym_finally] = ACTIONS(3470),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_LTtemplate_GT] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_SLASH] = ACTIONS(3345),
    [anon_sym_LT] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_void] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3345),
    [sym_number] = ACTIONS(3345),
    [sym_private_property_identifier] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
    [sym_super] = ACTIONS(3345),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [sym_null] = ACTIONS(3345),
    [sym_undefined] = ACTIONS(3345),
    [anon_sym_AT] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_get] = ACTIONS(3345),
    [anon_sym_set] = ACTIONS(3345),
    [anon_sym_declare] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_module] = ACTIONS(3345),
    [anon_sym_any] = ACTIONS(3345),
    [anon_sym_number] = ACTIONS(3345),
    [anon_sym_boolean] = ACTIONS(3345),
    [anon_sym_string] = ACTIONS(3345),
    [anon_sym_symbol] = ACTIONS(3345),
    [anon_sym_object] = ACTIONS(3345),
    [anon_sym_property] = ACTIONS(3345),
    [anon_sym_signal] = ACTIONS(3345),
    [anon_sym_on] = ACTIONS(3345),
    [anon_sym_required] = ACTIONS(3345),
    [anon_sym_component] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_interface] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [sym_html_comment] = ACTIONS(5),
  },
  [1048] = {
    [sym_else_clause] = STATE(1410),
    [sym_comment] = STATE(1048),
    [sym_identifier] = ACTIONS(3444),
    [anon_sym_export] = ACTIONS(3444),
    [anon_sym_default] = ACTIONS(3444),
    [anon_sym_type] = ACTIONS(3444),
    [anon_sym_namespace] = ACTIONS(3444),
    [anon_sym_LBRACE] = ACTIONS(3444),
    [anon_sym_RBRACE] = ACTIONS(3444),
    [anon_sym_typeof] = ACTIONS(3444),
    [anon_sym_import] = ACTIONS(3444),
    [anon_sym_from] = ACTIONS(3444),
    [anon_sym_with] = ACTIONS(3444),
    [anon_sym_var] = ACTIONS(3444),
    [anon_sym_let] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3444),
    [anon_sym_BANG] = ACTIONS(3444),
    [anon_sym_else] = ACTIONS(3472),
    [anon_sym_if] = ACTIONS(3444),
    [anon_sym_switch] = ACTIONS(3444),
    [anon_sym_for] = ACTIONS(3444),
    [anon_sym_LPAREN] = ACTIONS(3444),
    [anon_sym_await] = ACTIONS(3444),
    [anon_sym_of] = ACTIONS(3444),
    [anon_sym_while] = ACTIONS(3444),
    [anon_sym_do] = ACTIONS(3444),
    [anon_sym_try] = ACTIONS(3444),
    [anon_sym_break] = ACTIONS(3444),
    [anon_sym_continue] = ACTIONS(3444),
    [anon_sym_debugger] = ACTIONS(3444),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_throw] = ACTIONS(3444),
    [anon_sym_SEMI] = ACTIONS(3444),
    [anon_sym_case] = ACTIONS(3444),
    [anon_sym_yield] = ACTIONS(3444),
    [anon_sym_LBRACK] = ACTIONS(3444),
    [anon_sym_LTtemplate_GT] = ACTIONS(3444),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3444),
    [anon_sym_class] = ACTIONS(3444),
    [anon_sym_async] = ACTIONS(3444),
    [anon_sym_function] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3444),
    [anon_sym_using] = ACTIONS(3444),
    [anon_sym_PLUS] = ACTIONS(3444),
    [anon_sym_DASH] = ACTIONS(3444),
    [anon_sym_SLASH] = ACTIONS(3444),
    [anon_sym_LT] = ACTIONS(3444),
    [anon_sym_TILDE] = ACTIONS(3444),
    [anon_sym_void] = ACTIONS(3444),
    [anon_sym_delete] = ACTIONS(3444),
    [anon_sym_PLUS_PLUS] = ACTIONS(3444),
    [anon_sym_DASH_DASH] = ACTIONS(3444),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3444),
    [sym_number] = ACTIONS(3444),
    [sym_private_property_identifier] = ACTIONS(3444),
    [sym_this] = ACTIONS(3444),
    [sym_super] = ACTIONS(3444),
    [sym_true] = ACTIONS(3444),
    [sym_false] = ACTIONS(3444),
    [sym_null] = ACTIONS(3444),
    [sym_undefined] = ACTIONS(3444),
    [anon_sym_AT] = ACTIONS(3444),
    [anon_sym_static] = ACTIONS(3444),
    [anon_sym_readonly] = ACTIONS(3444),
    [anon_sym_get] = ACTIONS(3444),
    [anon_sym_set] = ACTIONS(3444),
    [anon_sym_declare] = ACTIONS(3444),
    [anon_sym_public] = ACTIONS(3444),
    [anon_sym_private] = ACTIONS(3444),
    [anon_sym_protected] = ACTIONS(3444),
    [anon_sym_override] = ACTIONS(3444),
    [anon_sym_module] = ACTIONS(3444),
    [anon_sym_any] = ACTIONS(3444),
    [anon_sym_number] = ACTIONS(3444),
    [anon_sym_boolean] = ACTIONS(3444),
    [anon_sym_string] = ACTIONS(3444),
    [anon_sym_symbol] = ACTIONS(3444),
    [anon_sym_object] = ACTIONS(3444),
    [anon_sym_property] = ACTIONS(3444),
    [anon_sym_signal] = ACTIONS(3444),
    [anon_sym_on] = ACTIONS(3444),
    [anon_sym_required] = ACTIONS(3444),
    [anon_sym_component] = ACTIONS(3444),
    [anon_sym_abstract] = ACTIONS(3444),
    [anon_sym_interface] = ACTIONS(3444),
    [anon_sym_enum] = ACTIONS(3444),
    [sym_html_comment] = ACTIONS(5),
  },
  [1049] = {
    [sym_comment] = STATE(1049),
    [sym_identifier] = ACTIONS(2342),
    [anon_sym_export] = ACTIONS(2342),
    [anon_sym_default] = ACTIONS(2342),
    [anon_sym_type] = ACTIONS(2342),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_RBRACE] = ACTIONS(2342),
    [anon_sym_typeof] = ACTIONS(2342),
    [anon_sym_import] = ACTIONS(2342),
    [anon_sym_from] = ACTIONS(2342),
    [anon_sym_with] = ACTIONS(2342),
    [anon_sym_var] = ACTIONS(2342),
    [anon_sym_let] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_BANG] = ACTIONS(2342),
    [anon_sym_else] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(2342),
    [anon_sym_await] = ACTIONS(2342),
    [anon_sym_of] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_debugger] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2342),
    [anon_sym_case] = ACTIONS(2342),
    [anon_sym_yield] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_LTtemplate_GT] = ACTIONS(2342),
    [anon_sym_DQUOTE] = ACTIONS(2342),
    [anon_sym_SQUOTE] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_async] = ACTIONS(2342),
    [anon_sym_function] = ACTIONS(2342),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_using] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_SLASH] = ACTIONS(2342),
    [anon_sym_LT] = ACTIONS(2342),
    [anon_sym_TILDE] = ACTIONS(2342),
    [anon_sym_void] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2342),
    [sym_number] = ACTIONS(2342),
    [sym_private_property_identifier] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [sym_super] = ACTIONS(2342),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [sym_null] = ACTIONS(2342),
    [sym_undefined] = ACTIONS(2342),
    [anon_sym_AT] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_readonly] = ACTIONS(2342),
    [anon_sym_get] = ACTIONS(2342),
    [anon_sym_set] = ACTIONS(2342),
    [anon_sym_declare] = ACTIONS(2342),
    [anon_sym_public] = ACTIONS(2342),
    [anon_sym_private] = ACTIONS(2342),
    [anon_sym_protected] = ACTIONS(2342),
    [anon_sym_override] = ACTIONS(2342),
    [anon_sym_module] = ACTIONS(2342),
    [anon_sym_any] = ACTIONS(2342),
    [anon_sym_number] = ACTIONS(2342),
    [anon_sym_boolean] = ACTIONS(2342),
    [anon_sym_string] = ACTIONS(2342),
    [anon_sym_symbol] = ACTIONS(2342),
    [anon_sym_object] = ACTIONS(2342),
    [anon_sym_property] = ACTIONS(2342),
    [anon_sym_signal] = ACTIONS(2342),
    [anon_sym_on] = ACTIONS(2342),
    [anon_sym_required] = ACTIONS(2342),
    [anon_sym_component] = ACTIONS(2342),
    [anon_sym_abstract] = ACTIONS(2342),
    [anon_sym_interface] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [sym__automatic_semicolon] = ACTIONS(2346),
    [sym_html_comment] = ACTIONS(5),
  },
  [1050] = {
    [sym_comment] = STATE(1050),
    [sym_identifier] = ACTIONS(2394),
    [anon_sym_export] = ACTIONS(2394),
    [anon_sym_default] = ACTIONS(2394),
    [anon_sym_type] = ACTIONS(2394),
    [anon_sym_namespace] = ACTIONS(2394),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_typeof] = ACTIONS(2394),
    [anon_sym_import] = ACTIONS(2394),
    [anon_sym_from] = ACTIONS(2394),
    [anon_sym_with] = ACTIONS(2394),
    [anon_sym_var] = ACTIONS(2394),
    [anon_sym_let] = ACTIONS(2394),
    [anon_sym_const] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_else] = ACTIONS(2394),
    [anon_sym_if] = ACTIONS(2394),
    [anon_sym_switch] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_LPAREN] = ACTIONS(2394),
    [anon_sym_await] = ACTIONS(2394),
    [anon_sym_of] = ACTIONS(2394),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_do] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2394),
    [anon_sym_break] = ACTIONS(2394),
    [anon_sym_continue] = ACTIONS(2394),
    [anon_sym_debugger] = ACTIONS(2394),
    [anon_sym_return] = ACTIONS(2394),
    [anon_sym_throw] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym_case] = ACTIONS(2394),
    [anon_sym_yield] = ACTIONS(2394),
    [anon_sym_LBRACK] = ACTIONS(2394),
    [anon_sym_LTtemplate_GT] = ACTIONS(2394),
    [anon_sym_DQUOTE] = ACTIONS(2394),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_class] = ACTIONS(2394),
    [anon_sym_async] = ACTIONS(2394),
    [anon_sym_function] = ACTIONS(2394),
    [anon_sym_new] = ACTIONS(2394),
    [anon_sym_using] = ACTIONS(2394),
    [anon_sym_PLUS] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2394),
    [anon_sym_SLASH] = ACTIONS(2394),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_void] = ACTIONS(2394),
    [anon_sym_delete] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2394),
    [sym_number] = ACTIONS(2394),
    [sym_private_property_identifier] = ACTIONS(2394),
    [sym_this] = ACTIONS(2394),
    [sym_super] = ACTIONS(2394),
    [sym_true] = ACTIONS(2394),
    [sym_false] = ACTIONS(2394),
    [sym_null] = ACTIONS(2394),
    [sym_undefined] = ACTIONS(2394),
    [anon_sym_AT] = ACTIONS(2394),
    [anon_sym_static] = ACTIONS(2394),
    [anon_sym_readonly] = ACTIONS(2394),
    [anon_sym_get] = ACTIONS(2394),
    [anon_sym_set] = ACTIONS(2394),
    [anon_sym_declare] = ACTIONS(2394),
    [anon_sym_public] = ACTIONS(2394),
    [anon_sym_private] = ACTIONS(2394),
    [anon_sym_protected] = ACTIONS(2394),
    [anon_sym_override] = ACTIONS(2394),
    [anon_sym_module] = ACTIONS(2394),
    [anon_sym_any] = ACTIONS(2394),
    [anon_sym_number] = ACTIONS(2394),
    [anon_sym_boolean] = ACTIONS(2394),
    [anon_sym_string] = ACTIONS(2394),
    [anon_sym_symbol] = ACTIONS(2394),
    [anon_sym_object] = ACTIONS(2394),
    [anon_sym_property] = ACTIONS(2394),
    [anon_sym_signal] = ACTIONS(2394),
    [anon_sym_on] = ACTIONS(2394),
    [anon_sym_required] = ACTIONS(2394),
    [anon_sym_component] = ACTIONS(2394),
    [anon_sym_abstract] = ACTIONS(2394),
    [anon_sym_interface] = ACTIONS(2394),
    [anon_sym_enum] = ACTIONS(2394),
    [sym__automatic_semicolon] = ACTIONS(2398),
    [sym_html_comment] = ACTIONS(5),
  },
  [1051] = {
    [sym_comment] = STATE(1051),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_export] = ACTIONS(2450),
    [anon_sym_default] = ACTIONS(2450),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_typeof] = ACTIONS(2450),
    [anon_sym_import] = ACTIONS(2450),
    [anon_sym_from] = ACTIONS(2450),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_var] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_const] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_else] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_switch] = ACTIONS(2450),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_await] = ACTIONS(2450),
    [anon_sym_of] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_break] = ACTIONS(2450),
    [anon_sym_continue] = ACTIONS(2450),
    [anon_sym_debugger] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_throw] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_case] = ACTIONS(2450),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LTtemplate_GT] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_class] = ACTIONS(2450),
    [anon_sym_async] = ACTIONS(2450),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_using] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_void] = ACTIONS(2450),
    [anon_sym_delete] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2450),
    [sym_number] = ACTIONS(2450),
    [sym_private_property_identifier] = ACTIONS(2450),
    [sym_this] = ACTIONS(2450),
    [sym_super] = ACTIONS(2450),
    [sym_true] = ACTIONS(2450),
    [sym_false] = ACTIONS(2450),
    [sym_null] = ACTIONS(2450),
    [sym_undefined] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2450),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_readonly] = ACTIONS(2450),
    [anon_sym_get] = ACTIONS(2450),
    [anon_sym_set] = ACTIONS(2450),
    [anon_sym_declare] = ACTIONS(2450),
    [anon_sym_public] = ACTIONS(2450),
    [anon_sym_private] = ACTIONS(2450),
    [anon_sym_protected] = ACTIONS(2450),
    [anon_sym_override] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_any] = ACTIONS(2450),
    [anon_sym_number] = ACTIONS(2450),
    [anon_sym_boolean] = ACTIONS(2450),
    [anon_sym_string] = ACTIONS(2450),
    [anon_sym_symbol] = ACTIONS(2450),
    [anon_sym_object] = ACTIONS(2450),
    [anon_sym_property] = ACTIONS(2450),
    [anon_sym_signal] = ACTIONS(2450),
    [anon_sym_on] = ACTIONS(2450),
    [anon_sym_required] = ACTIONS(2450),
    [anon_sym_component] = ACTIONS(2450),
    [anon_sym_abstract] = ACTIONS(2450),
    [anon_sym_interface] = ACTIONS(2450),
    [anon_sym_enum] = ACTIONS(2450),
    [sym__automatic_semicolon] = ACTIONS(2454),
    [sym_html_comment] = ACTIONS(5),
  },
  [1052] = {
    [sym_comment] = STATE(1052),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2458),
    [anon_sym_default] = ACTIONS(2458),
    [anon_sym_type] = ACTIONS(2458),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_typeof] = ACTIONS(2458),
    [anon_sym_import] = ACTIONS(2458),
    [anon_sym_from] = ACTIONS(2458),
    [anon_sym_with] = ACTIONS(2458),
    [anon_sym_var] = ACTIONS(2458),
    [anon_sym_let] = ACTIONS(2458),
    [anon_sym_const] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_else] = ACTIONS(2458),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_switch] = ACTIONS(2458),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_LPAREN] = ACTIONS(2458),
    [anon_sym_await] = ACTIONS(2458),
    [anon_sym_of] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(2458),
    [anon_sym_do] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2458),
    [anon_sym_break] = ACTIONS(2458),
    [anon_sym_continue] = ACTIONS(2458),
    [anon_sym_debugger] = ACTIONS(2458),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym_case] = ACTIONS(2458),
    [anon_sym_yield] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_LTtemplate_GT] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_class] = ACTIONS(2458),
    [anon_sym_async] = ACTIONS(2458),
    [anon_sym_function] = ACTIONS(2458),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_using] = ACTIONS(2458),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_SLASH] = ACTIONS(2458),
    [anon_sym_LT] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_void] = ACTIONS(2458),
    [anon_sym_delete] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2458),
    [sym_number] = ACTIONS(2458),
    [sym_private_property_identifier] = ACTIONS(2458),
    [sym_this] = ACTIONS(2458),
    [sym_super] = ACTIONS(2458),
    [sym_true] = ACTIONS(2458),
    [sym_false] = ACTIONS(2458),
    [sym_null] = ACTIONS(2458),
    [sym_undefined] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_readonly] = ACTIONS(2458),
    [anon_sym_get] = ACTIONS(2458),
    [anon_sym_set] = ACTIONS(2458),
    [anon_sym_declare] = ACTIONS(2458),
    [anon_sym_public] = ACTIONS(2458),
    [anon_sym_private] = ACTIONS(2458),
    [anon_sym_protected] = ACTIONS(2458),
    [anon_sym_override] = ACTIONS(2458),
    [anon_sym_module] = ACTIONS(2458),
    [anon_sym_any] = ACTIONS(2458),
    [anon_sym_number] = ACTIONS(2458),
    [anon_sym_boolean] = ACTIONS(2458),
    [anon_sym_string] = ACTIONS(2458),
    [anon_sym_symbol] = ACTIONS(2458),
    [anon_sym_object] = ACTIONS(2458),
    [anon_sym_property] = ACTIONS(2458),
    [anon_sym_signal] = ACTIONS(2458),
    [anon_sym_on] = ACTIONS(2458),
    [anon_sym_required] = ACTIONS(2458),
    [anon_sym_component] = ACTIONS(2458),
    [anon_sym_abstract] = ACTIONS(2458),
    [anon_sym_interface] = ACTIONS(2458),
    [anon_sym_enum] = ACTIONS(2458),
    [sym__automatic_semicolon] = ACTIONS(2462),
    [sym_html_comment] = ACTIONS(5),
  },
  [1053] = {
    [sym_comment] = STATE(1053),
    [sym_identifier] = ACTIONS(3474),
    [anon_sym_export] = ACTIONS(3474),
    [anon_sym_default] = ACTIONS(3474),
    [anon_sym_type] = ACTIONS(3474),
    [anon_sym_namespace] = ACTIONS(3474),
    [anon_sym_LBRACE] = ACTIONS(3474),
    [anon_sym_RBRACE] = ACTIONS(3474),
    [anon_sym_typeof] = ACTIONS(3474),
    [anon_sym_import] = ACTIONS(3474),
    [anon_sym_from] = ACTIONS(3474),
    [anon_sym_with] = ACTIONS(3474),
    [anon_sym_var] = ACTIONS(3474),
    [anon_sym_let] = ACTIONS(3474),
    [anon_sym_const] = ACTIONS(3474),
    [anon_sym_BANG] = ACTIONS(3474),
    [anon_sym_else] = ACTIONS(3474),
    [anon_sym_if] = ACTIONS(3474),
    [anon_sym_switch] = ACTIONS(3474),
    [anon_sym_for] = ACTIONS(3474),
    [anon_sym_LPAREN] = ACTIONS(3474),
    [anon_sym_await] = ACTIONS(3474),
    [anon_sym_of] = ACTIONS(3474),
    [anon_sym_while] = ACTIONS(3474),
    [anon_sym_do] = ACTIONS(3474),
    [anon_sym_try] = ACTIONS(3474),
    [anon_sym_break] = ACTIONS(3474),
    [anon_sym_continue] = ACTIONS(3474),
    [anon_sym_debugger] = ACTIONS(3474),
    [anon_sym_return] = ACTIONS(3474),
    [anon_sym_throw] = ACTIONS(3474),
    [anon_sym_SEMI] = ACTIONS(3474),
    [anon_sym_case] = ACTIONS(3474),
    [anon_sym_finally] = ACTIONS(3474),
    [anon_sym_yield] = ACTIONS(3474),
    [anon_sym_LBRACK] = ACTIONS(3474),
    [anon_sym_LTtemplate_GT] = ACTIONS(3474),
    [anon_sym_DQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_class] = ACTIONS(3474),
    [anon_sym_async] = ACTIONS(3474),
    [anon_sym_function] = ACTIONS(3474),
    [anon_sym_new] = ACTIONS(3474),
    [anon_sym_using] = ACTIONS(3474),
    [anon_sym_PLUS] = ACTIONS(3474),
    [anon_sym_DASH] = ACTIONS(3474),
    [anon_sym_SLASH] = ACTIONS(3474),
    [anon_sym_LT] = ACTIONS(3474),
    [anon_sym_TILDE] = ACTIONS(3474),
    [anon_sym_void] = ACTIONS(3474),
    [anon_sym_delete] = ACTIONS(3474),
    [anon_sym_PLUS_PLUS] = ACTIONS(3474),
    [anon_sym_DASH_DASH] = ACTIONS(3474),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3474),
    [sym_number] = ACTIONS(3474),
    [sym_private_property_identifier] = ACTIONS(3474),
    [sym_this] = ACTIONS(3474),
    [sym_super] = ACTIONS(3474),
    [sym_true] = ACTIONS(3474),
    [sym_false] = ACTIONS(3474),
    [sym_null] = ACTIONS(3474),
    [sym_undefined] = ACTIONS(3474),
    [anon_sym_AT] = ACTIONS(3474),
    [anon_sym_static] = ACTIONS(3474),
    [anon_sym_readonly] = ACTIONS(3474),
    [anon_sym_get] = ACTIONS(3474),
    [anon_sym_set] = ACTIONS(3474),
    [anon_sym_declare] = ACTIONS(3474),
    [anon_sym_public] = ACTIONS(3474),
    [anon_sym_private] = ACTIONS(3474),
    [anon_sym_protected] = ACTIONS(3474),
    [anon_sym_override] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(3474),
    [anon_sym_any] = ACTIONS(3474),
    [anon_sym_number] = ACTIONS(3474),
    [anon_sym_boolean] = ACTIONS(3474),
    [anon_sym_string] = ACTIONS(3474),
    [anon_sym_symbol] = ACTIONS(3474),
    [anon_sym_object] = ACTIONS(3474),
    [anon_sym_property] = ACTIONS(3474),
    [anon_sym_signal] = ACTIONS(3474),
    [anon_sym_on] = ACTIONS(3474),
    [anon_sym_required] = ACTIONS(3474),
    [anon_sym_component] = ACTIONS(3474),
    [anon_sym_abstract] = ACTIONS(3474),
    [anon_sym_interface] = ACTIONS(3474),
    [anon_sym_enum] = ACTIONS(3474),
    [sym_html_comment] = ACTIONS(5),
  },
  [1054] = {
    [sym_comment] = STATE(1054),
    [sym_identifier] = ACTIONS(2402),
    [anon_sym_export] = ACTIONS(2402),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_type] = ACTIONS(2402),
    [anon_sym_namespace] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [anon_sym_typeof] = ACTIONS(2402),
    [anon_sym_import] = ACTIONS(2402),
    [anon_sym_from] = ACTIONS(2402),
    [anon_sym_with] = ACTIONS(2402),
    [anon_sym_var] = ACTIONS(2402),
    [anon_sym_let] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2402),
    [anon_sym_else] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(2402),
    [anon_sym_await] = ACTIONS(2402),
    [anon_sym_of] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_try] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_debugger] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym_case] = ACTIONS(2402),
    [anon_sym_yield] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_LTtemplate_GT] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2402),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_async] = ACTIONS(2402),
    [anon_sym_function] = ACTIONS(2402),
    [anon_sym_new] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_SLASH] = ACTIONS(2402),
    [anon_sym_LT] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_void] = ACTIONS(2402),
    [anon_sym_delete] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2402),
    [sym_number] = ACTIONS(2402),
    [sym_private_property_identifier] = ACTIONS(2402),
    [sym_this] = ACTIONS(2402),
    [sym_super] = ACTIONS(2402),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [sym_null] = ACTIONS(2402),
    [sym_undefined] = ACTIONS(2402),
    [anon_sym_AT] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_readonly] = ACTIONS(2402),
    [anon_sym_get] = ACTIONS(2402),
    [anon_sym_set] = ACTIONS(2402),
    [anon_sym_declare] = ACTIONS(2402),
    [anon_sym_public] = ACTIONS(2402),
    [anon_sym_private] = ACTIONS(2402),
    [anon_sym_protected] = ACTIONS(2402),
    [anon_sym_override] = ACTIONS(2402),
    [anon_sym_module] = ACTIONS(2402),
    [anon_sym_any] = ACTIONS(2402),
    [anon_sym_number] = ACTIONS(2402),
    [anon_sym_boolean] = ACTIONS(2402),
    [anon_sym_string] = ACTIONS(2402),
    [anon_sym_symbol] = ACTIONS(2402),
    [anon_sym_object] = ACTIONS(2402),
    [anon_sym_property] = ACTIONS(2402),
    [anon_sym_signal] = ACTIONS(2402),
    [anon_sym_on] = ACTIONS(2402),
    [anon_sym_required] = ACTIONS(2402),
    [anon_sym_component] = ACTIONS(2402),
    [anon_sym_abstract] = ACTIONS(2402),
    [anon_sym_interface] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [sym__automatic_semicolon] = ACTIONS(2406),
    [sym_html_comment] = ACTIONS(5),
  },
  [1055] = {
    [sym_comment] = STATE(1055),
    [sym_identifier] = ACTIONS(3454),
    [anon_sym_export] = ACTIONS(3454),
    [anon_sym_default] = ACTIONS(3454),
    [anon_sym_type] = ACTIONS(3454),
    [anon_sym_namespace] = ACTIONS(3454),
    [anon_sym_LBRACE] = ACTIONS(3454),
    [anon_sym_RBRACE] = ACTIONS(3454),
    [anon_sym_typeof] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3454),
    [anon_sym_from] = ACTIONS(3454),
    [anon_sym_with] = ACTIONS(3454),
    [anon_sym_var] = ACTIONS(3454),
    [anon_sym_let] = ACTIONS(3454),
    [anon_sym_const] = ACTIONS(3454),
    [anon_sym_BANG] = ACTIONS(3454),
    [anon_sym_if] = ACTIONS(3454),
    [anon_sym_switch] = ACTIONS(3454),
    [anon_sym_for] = ACTIONS(3454),
    [anon_sym_LPAREN] = ACTIONS(3454),
    [anon_sym_await] = ACTIONS(3454),
    [anon_sym_of] = ACTIONS(3454),
    [anon_sym_while] = ACTIONS(3454),
    [anon_sym_do] = ACTIONS(3454),
    [anon_sym_try] = ACTIONS(3454),
    [anon_sym_break] = ACTIONS(3454),
    [anon_sym_continue] = ACTIONS(3454),
    [anon_sym_debugger] = ACTIONS(3454),
    [anon_sym_return] = ACTIONS(3454),
    [anon_sym_throw] = ACTIONS(3454),
    [anon_sym_SEMI] = ACTIONS(3476),
    [anon_sym_case] = ACTIONS(3454),
    [anon_sym_yield] = ACTIONS(3454),
    [anon_sym_LBRACK] = ACTIONS(3454),
    [anon_sym_LTtemplate_GT] = ACTIONS(3454),
    [anon_sym_DQUOTE] = ACTIONS(3454),
    [anon_sym_SQUOTE] = ACTIONS(3454),
    [anon_sym_class] = ACTIONS(3454),
    [anon_sym_async] = ACTIONS(3454),
    [anon_sym_function] = ACTIONS(3454),
    [anon_sym_new] = ACTIONS(3454),
    [anon_sym_using] = ACTIONS(3454),
    [anon_sym_PLUS] = ACTIONS(3454),
    [anon_sym_DASH] = ACTIONS(3454),
    [anon_sym_SLASH] = ACTIONS(3454),
    [anon_sym_LT] = ACTIONS(3454),
    [anon_sym_TILDE] = ACTIONS(3454),
    [anon_sym_void] = ACTIONS(3454),
    [anon_sym_delete] = ACTIONS(3454),
    [anon_sym_PLUS_PLUS] = ACTIONS(3454),
    [anon_sym_DASH_DASH] = ACTIONS(3454),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3454),
    [sym_number] = ACTIONS(3454),
    [sym_private_property_identifier] = ACTIONS(3454),
    [sym_this] = ACTIONS(3454),
    [sym_super] = ACTIONS(3454),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_AT] = ACTIONS(3454),
    [anon_sym_static] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3454),
    [anon_sym_get] = ACTIONS(3454),
    [anon_sym_set] = ACTIONS(3454),
    [anon_sym_declare] = ACTIONS(3454),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_private] = ACTIONS(3454),
    [anon_sym_protected] = ACTIONS(3454),
    [anon_sym_override] = ACTIONS(3454),
    [anon_sym_module] = ACTIONS(3454),
    [anon_sym_any] = ACTIONS(3454),
    [anon_sym_number] = ACTIONS(3454),
    [anon_sym_boolean] = ACTIONS(3454),
    [anon_sym_string] = ACTIONS(3454),
    [anon_sym_symbol] = ACTIONS(3454),
    [anon_sym_object] = ACTIONS(3454),
    [anon_sym_property] = ACTIONS(3454),
    [anon_sym_signal] = ACTIONS(3454),
    [anon_sym_on] = ACTIONS(3454),
    [anon_sym_required] = ACTIONS(3454),
    [anon_sym_component] = ACTIONS(3454),
    [anon_sym_abstract] = ACTIONS(3454),
    [anon_sym_interface] = ACTIONS(3454),
    [anon_sym_enum] = ACTIONS(3454),
    [sym__automatic_semicolon] = ACTIONS(3478),
    [sym_html_comment] = ACTIONS(5),
  },
  [1056] = {
    [sym_comment] = STATE(1056),
    [sym_identifier] = ACTIONS(3480),
    [anon_sym_export] = ACTIONS(3480),
    [anon_sym_default] = ACTIONS(3480),
    [anon_sym_type] = ACTIONS(3480),
    [anon_sym_namespace] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3480),
    [anon_sym_RBRACE] = ACTIONS(3480),
    [anon_sym_typeof] = ACTIONS(3480),
    [anon_sym_import] = ACTIONS(3480),
    [anon_sym_from] = ACTIONS(3480),
    [anon_sym_with] = ACTIONS(3480),
    [anon_sym_var] = ACTIONS(3480),
    [anon_sym_let] = ACTIONS(3480),
    [anon_sym_const] = ACTIONS(3480),
    [anon_sym_BANG] = ACTIONS(3480),
    [anon_sym_else] = ACTIONS(3480),
    [anon_sym_if] = ACTIONS(3480),
    [anon_sym_switch] = ACTIONS(3480),
    [anon_sym_for] = ACTIONS(3480),
    [anon_sym_LPAREN] = ACTIONS(3480),
    [anon_sym_await] = ACTIONS(3480),
    [anon_sym_of] = ACTIONS(3480),
    [anon_sym_while] = ACTIONS(3480),
    [anon_sym_do] = ACTIONS(3480),
    [anon_sym_try] = ACTIONS(3480),
    [anon_sym_break] = ACTIONS(3480),
    [anon_sym_continue] = ACTIONS(3480),
    [anon_sym_debugger] = ACTIONS(3480),
    [anon_sym_return] = ACTIONS(3480),
    [anon_sym_throw] = ACTIONS(3480),
    [anon_sym_SEMI] = ACTIONS(3480),
    [anon_sym_case] = ACTIONS(3480),
    [anon_sym_yield] = ACTIONS(3480),
    [anon_sym_LBRACK] = ACTIONS(3480),
    [anon_sym_LTtemplate_GT] = ACTIONS(3480),
    [anon_sym_DQUOTE] = ACTIONS(3480),
    [anon_sym_SQUOTE] = ACTIONS(3480),
    [anon_sym_class] = ACTIONS(3480),
    [anon_sym_async] = ACTIONS(3480),
    [anon_sym_function] = ACTIONS(3480),
    [anon_sym_new] = ACTIONS(3480),
    [anon_sym_using] = ACTIONS(3480),
    [anon_sym_PLUS] = ACTIONS(3480),
    [anon_sym_DASH] = ACTIONS(3480),
    [anon_sym_SLASH] = ACTIONS(3480),
    [anon_sym_LT] = ACTIONS(3480),
    [anon_sym_TILDE] = ACTIONS(3480),
    [anon_sym_void] = ACTIONS(3480),
    [anon_sym_delete] = ACTIONS(3480),
    [anon_sym_PLUS_PLUS] = ACTIONS(3480),
    [anon_sym_DASH_DASH] = ACTIONS(3480),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3480),
    [sym_number] = ACTIONS(3480),
    [sym_private_property_identifier] = ACTIONS(3480),
    [sym_this] = ACTIONS(3480),
    [sym_super] = ACTIONS(3480),
    [sym_true] = ACTIONS(3480),
    [sym_false] = ACTIONS(3480),
    [sym_null] = ACTIONS(3480),
    [sym_undefined] = ACTIONS(3480),
    [anon_sym_AT] = ACTIONS(3480),
    [anon_sym_static] = ACTIONS(3480),
    [anon_sym_readonly] = ACTIONS(3480),
    [anon_sym_get] = ACTIONS(3480),
    [anon_sym_set] = ACTIONS(3480),
    [anon_sym_declare] = ACTIONS(3480),
    [anon_sym_public] = ACTIONS(3480),
    [anon_sym_private] = ACTIONS(3480),
    [anon_sym_protected] = ACTIONS(3480),
    [anon_sym_override] = ACTIONS(3480),
    [anon_sym_module] = ACTIONS(3480),
    [anon_sym_any] = ACTIONS(3480),
    [anon_sym_number] = ACTIONS(3480),
    [anon_sym_boolean] = ACTIONS(3480),
    [anon_sym_string] = ACTIONS(3480),
    [anon_sym_symbol] = ACTIONS(3480),
    [anon_sym_object] = ACTIONS(3480),
    [anon_sym_property] = ACTIONS(3480),
    [anon_sym_signal] = ACTIONS(3480),
    [anon_sym_on] = ACTIONS(3480),
    [anon_sym_required] = ACTIONS(3480),
    [anon_sym_component] = ACTIONS(3480),
    [anon_sym_abstract] = ACTIONS(3480),
    [anon_sym_interface] = ACTIONS(3480),
    [anon_sym_enum] = ACTIONS(3480),
    [sym_html_comment] = ACTIONS(5),
  },
  [1057] = {
    [sym_comment] = STATE(1057),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_export] = ACTIONS(2442),
    [anon_sym_default] = ACTIONS(2442),
    [anon_sym_type] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_typeof] = ACTIONS(2442),
    [anon_sym_import] = ACTIONS(2442),
    [anon_sym_from] = ACTIONS(2442),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_var] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_switch] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_await] = ACTIONS(2442),
    [anon_sym_of] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_break] = ACTIONS(2442),
    [anon_sym_continue] = ACTIONS(2442),
    [anon_sym_debugger] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_case] = ACTIONS(2442),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LTtemplate_GT] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_async] = ACTIONS(2442),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_void] = ACTIONS(2442),
    [anon_sym_delete] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2442),
    [sym_number] = ACTIONS(2442),
    [sym_private_property_identifier] = ACTIONS(2442),
    [sym_this] = ACTIONS(2442),
    [sym_super] = ACTIONS(2442),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [sym_null] = ACTIONS(2442),
    [sym_undefined] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_readonly] = ACTIONS(2442),
    [anon_sym_get] = ACTIONS(2442),
    [anon_sym_set] = ACTIONS(2442),
    [anon_sym_declare] = ACTIONS(2442),
    [anon_sym_public] = ACTIONS(2442),
    [anon_sym_private] = ACTIONS(2442),
    [anon_sym_protected] = ACTIONS(2442),
    [anon_sym_override] = ACTIONS(2442),
    [anon_sym_module] = ACTIONS(2442),
    [anon_sym_any] = ACTIONS(2442),
    [anon_sym_number] = ACTIONS(2442),
    [anon_sym_boolean] = ACTIONS(2442),
    [anon_sym_string] = ACTIONS(2442),
    [anon_sym_symbol] = ACTIONS(2442),
    [anon_sym_object] = ACTIONS(2442),
    [anon_sym_property] = ACTIONS(2442),
    [anon_sym_signal] = ACTIONS(2442),
    [anon_sym_on] = ACTIONS(2442),
    [anon_sym_required] = ACTIONS(2442),
    [anon_sym_component] = ACTIONS(2442),
    [anon_sym_abstract] = ACTIONS(2442),
    [anon_sym_interface] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [sym__automatic_semicolon] = ACTIONS(2444),
    [sym_html_comment] = ACTIONS(5),
  },
  [1058] = {
    [sym_comment] = STATE(1058),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_catch] = ACTIONS(2332),
    [anon_sym_finally] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(3482),
    [sym_html_comment] = ACTIONS(5),
  },
  [1059] = {
    [sym_comment] = STATE(1059),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_default] = ACTIONS(3484),
    [anon_sym_type] = ACTIONS(3484),
    [anon_sym_namespace] = ACTIONS(3484),
    [anon_sym_LBRACE] = ACTIONS(3484),
    [anon_sym_RBRACE] = ACTIONS(3484),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(3484),
    [anon_sym_from] = ACTIONS(3484),
    [anon_sym_with] = ACTIONS(3484),
    [anon_sym_var] = ACTIONS(3484),
    [anon_sym_let] = ACTIONS(3484),
    [anon_sym_const] = ACTIONS(3484),
    [anon_sym_BANG] = ACTIONS(3484),
    [anon_sym_else] = ACTIONS(3484),
    [anon_sym_if] = ACTIONS(3484),
    [anon_sym_switch] = ACTIONS(3484),
    [anon_sym_for] = ACTIONS(3484),
    [anon_sym_LPAREN] = ACTIONS(3484),
    [anon_sym_await] = ACTIONS(3484),
    [anon_sym_of] = ACTIONS(3484),
    [anon_sym_while] = ACTIONS(3484),
    [anon_sym_do] = ACTIONS(3484),
    [anon_sym_try] = ACTIONS(3484),
    [anon_sym_break] = ACTIONS(3484),
    [anon_sym_continue] = ACTIONS(3484),
    [anon_sym_debugger] = ACTIONS(3484),
    [anon_sym_return] = ACTIONS(3484),
    [anon_sym_throw] = ACTIONS(3484),
    [anon_sym_SEMI] = ACTIONS(3484),
    [anon_sym_case] = ACTIONS(3484),
    [anon_sym_yield] = ACTIONS(3484),
    [anon_sym_LBRACK] = ACTIONS(3484),
    [anon_sym_LTtemplate_GT] = ACTIONS(3484),
    [anon_sym_DQUOTE] = ACTIONS(3484),
    [anon_sym_SQUOTE] = ACTIONS(3484),
    [anon_sym_class] = ACTIONS(3484),
    [anon_sym_async] = ACTIONS(3484),
    [anon_sym_function] = ACTIONS(3484),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_using] = ACTIONS(3484),
    [anon_sym_PLUS] = ACTIONS(3484),
    [anon_sym_DASH] = ACTIONS(3484),
    [anon_sym_SLASH] = ACTIONS(3484),
    [anon_sym_LT] = ACTIONS(3484),
    [anon_sym_TILDE] = ACTIONS(3484),
    [anon_sym_void] = ACTIONS(3484),
    [anon_sym_delete] = ACTIONS(3484),
    [anon_sym_PLUS_PLUS] = ACTIONS(3484),
    [anon_sym_DASH_DASH] = ACTIONS(3484),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3484),
    [sym_number] = ACTIONS(3484),
    [sym_private_property_identifier] = ACTIONS(3484),
    [sym_this] = ACTIONS(3484),
    [sym_super] = ACTIONS(3484),
    [sym_true] = ACTIONS(3484),
    [sym_false] = ACTIONS(3484),
    [sym_null] = ACTIONS(3484),
    [sym_undefined] = ACTIONS(3484),
    [anon_sym_AT] = ACTIONS(3484),
    [anon_sym_static] = ACTIONS(3484),
    [anon_sym_readonly] = ACTIONS(3484),
    [anon_sym_get] = ACTIONS(3484),
    [anon_sym_set] = ACTIONS(3484),
    [anon_sym_declare] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3484),
    [anon_sym_private] = ACTIONS(3484),
    [anon_sym_protected] = ACTIONS(3484),
    [anon_sym_override] = ACTIONS(3484),
    [anon_sym_module] = ACTIONS(3484),
    [anon_sym_any] = ACTIONS(3484),
    [anon_sym_number] = ACTIONS(3484),
    [anon_sym_boolean] = ACTIONS(3484),
    [anon_sym_string] = ACTIONS(3484),
    [anon_sym_symbol] = ACTIONS(3484),
    [anon_sym_object] = ACTIONS(3484),
    [anon_sym_property] = ACTIONS(3484),
    [anon_sym_signal] = ACTIONS(3484),
    [anon_sym_on] = ACTIONS(3484),
    [anon_sym_required] = ACTIONS(3484),
    [anon_sym_component] = ACTIONS(3484),
    [anon_sym_abstract] = ACTIONS(3484),
    [anon_sym_interface] = ACTIONS(3484),
    [anon_sym_enum] = ACTIONS(3484),
    [sym_html_comment] = ACTIONS(5),
  },
  [1060] = {
    [sym_comment] = STATE(1060),
    [sym_identifier] = ACTIONS(3486),
    [anon_sym_export] = ACTIONS(3486),
    [anon_sym_default] = ACTIONS(3486),
    [anon_sym_type] = ACTIONS(3486),
    [anon_sym_namespace] = ACTIONS(3486),
    [anon_sym_LBRACE] = ACTIONS(3486),
    [anon_sym_RBRACE] = ACTIONS(3486),
    [anon_sym_typeof] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3486),
    [anon_sym_from] = ACTIONS(3486),
    [anon_sym_with] = ACTIONS(3486),
    [anon_sym_var] = ACTIONS(3486),
    [anon_sym_let] = ACTIONS(3486),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_BANG] = ACTIONS(3486),
    [anon_sym_else] = ACTIONS(3486),
    [anon_sym_if] = ACTIONS(3486),
    [anon_sym_switch] = ACTIONS(3486),
    [anon_sym_for] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3486),
    [anon_sym_await] = ACTIONS(3486),
    [anon_sym_of] = ACTIONS(3486),
    [anon_sym_while] = ACTIONS(3486),
    [anon_sym_do] = ACTIONS(3486),
    [anon_sym_try] = ACTIONS(3486),
    [anon_sym_break] = ACTIONS(3486),
    [anon_sym_continue] = ACTIONS(3486),
    [anon_sym_debugger] = ACTIONS(3486),
    [anon_sym_return] = ACTIONS(3486),
    [anon_sym_throw] = ACTIONS(3486),
    [anon_sym_SEMI] = ACTIONS(3486),
    [anon_sym_case] = ACTIONS(3486),
    [anon_sym_yield] = ACTIONS(3486),
    [anon_sym_LBRACK] = ACTIONS(3486),
    [anon_sym_LTtemplate_GT] = ACTIONS(3486),
    [anon_sym_DQUOTE] = ACTIONS(3486),
    [anon_sym_SQUOTE] = ACTIONS(3486),
    [anon_sym_class] = ACTIONS(3486),
    [anon_sym_async] = ACTIONS(3486),
    [anon_sym_function] = ACTIONS(3486),
    [anon_sym_new] = ACTIONS(3486),
    [anon_sym_using] = ACTIONS(3486),
    [anon_sym_PLUS] = ACTIONS(3486),
    [anon_sym_DASH] = ACTIONS(3486),
    [anon_sym_SLASH] = ACTIONS(3486),
    [anon_sym_LT] = ACTIONS(3486),
    [anon_sym_TILDE] = ACTIONS(3486),
    [anon_sym_void] = ACTIONS(3486),
    [anon_sym_delete] = ACTIONS(3486),
    [anon_sym_PLUS_PLUS] = ACTIONS(3486),
    [anon_sym_DASH_DASH] = ACTIONS(3486),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3486),
    [sym_number] = ACTIONS(3486),
    [sym_private_property_identifier] = ACTIONS(3486),
    [sym_this] = ACTIONS(3486),
    [sym_super] = ACTIONS(3486),
    [sym_true] = ACTIONS(3486),
    [sym_false] = ACTIONS(3486),
    [sym_null] = ACTIONS(3486),
    [sym_undefined] = ACTIONS(3486),
    [anon_sym_AT] = ACTIONS(3486),
    [anon_sym_static] = ACTIONS(3486),
    [anon_sym_readonly] = ACTIONS(3486),
    [anon_sym_get] = ACTIONS(3486),
    [anon_sym_set] = ACTIONS(3486),
    [anon_sym_declare] = ACTIONS(3486),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_private] = ACTIONS(3486),
    [anon_sym_protected] = ACTIONS(3486),
    [anon_sym_override] = ACTIONS(3486),
    [anon_sym_module] = ACTIONS(3486),
    [anon_sym_any] = ACTIONS(3486),
    [anon_sym_number] = ACTIONS(3486),
    [anon_sym_boolean] = ACTIONS(3486),
    [anon_sym_string] = ACTIONS(3486),
    [anon_sym_symbol] = ACTIONS(3486),
    [anon_sym_object] = ACTIONS(3486),
    [anon_sym_property] = ACTIONS(3486),
    [anon_sym_signal] = ACTIONS(3486),
    [anon_sym_on] = ACTIONS(3486),
    [anon_sym_required] = ACTIONS(3486),
    [anon_sym_component] = ACTIONS(3486),
    [anon_sym_abstract] = ACTIONS(3486),
    [anon_sym_interface] = ACTIONS(3486),
    [anon_sym_enum] = ACTIONS(3486),
    [sym_html_comment] = ACTIONS(5),
  },
  [1061] = {
    [sym_comment] = STATE(1061),
    [sym_identifier] = ACTIONS(3488),
    [anon_sym_export] = ACTIONS(3488),
    [anon_sym_default] = ACTIONS(3488),
    [anon_sym_type] = ACTIONS(3488),
    [anon_sym_namespace] = ACTIONS(3488),
    [anon_sym_LBRACE] = ACTIONS(3488),
    [anon_sym_RBRACE] = ACTIONS(3488),
    [anon_sym_typeof] = ACTIONS(3488),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_from] = ACTIONS(3488),
    [anon_sym_with] = ACTIONS(3488),
    [anon_sym_var] = ACTIONS(3488),
    [anon_sym_let] = ACTIONS(3488),
    [anon_sym_const] = ACTIONS(3488),
    [anon_sym_BANG] = ACTIONS(3488),
    [anon_sym_else] = ACTIONS(3488),
    [anon_sym_if] = ACTIONS(3488),
    [anon_sym_switch] = ACTIONS(3488),
    [anon_sym_for] = ACTIONS(3488),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_await] = ACTIONS(3488),
    [anon_sym_of] = ACTIONS(3488),
    [anon_sym_while] = ACTIONS(3488),
    [anon_sym_do] = ACTIONS(3488),
    [anon_sym_try] = ACTIONS(3488),
    [anon_sym_break] = ACTIONS(3488),
    [anon_sym_continue] = ACTIONS(3488),
    [anon_sym_debugger] = ACTIONS(3488),
    [anon_sym_return] = ACTIONS(3488),
    [anon_sym_throw] = ACTIONS(3488),
    [anon_sym_SEMI] = ACTIONS(3488),
    [anon_sym_case] = ACTIONS(3488),
    [anon_sym_yield] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3488),
    [anon_sym_LTtemplate_GT] = ACTIONS(3488),
    [anon_sym_DQUOTE] = ACTIONS(3488),
    [anon_sym_SQUOTE] = ACTIONS(3488),
    [anon_sym_class] = ACTIONS(3488),
    [anon_sym_async] = ACTIONS(3488),
    [anon_sym_function] = ACTIONS(3488),
    [anon_sym_new] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3488),
    [anon_sym_PLUS] = ACTIONS(3488),
    [anon_sym_DASH] = ACTIONS(3488),
    [anon_sym_SLASH] = ACTIONS(3488),
    [anon_sym_LT] = ACTIONS(3488),
    [anon_sym_TILDE] = ACTIONS(3488),
    [anon_sym_void] = ACTIONS(3488),
    [anon_sym_delete] = ACTIONS(3488),
    [anon_sym_PLUS_PLUS] = ACTIONS(3488),
    [anon_sym_DASH_DASH] = ACTIONS(3488),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3488),
    [sym_number] = ACTIONS(3488),
    [sym_private_property_identifier] = ACTIONS(3488),
    [sym_this] = ACTIONS(3488),
    [sym_super] = ACTIONS(3488),
    [sym_true] = ACTIONS(3488),
    [sym_false] = ACTIONS(3488),
    [sym_null] = ACTIONS(3488),
    [sym_undefined] = ACTIONS(3488),
    [anon_sym_AT] = ACTIONS(3488),
    [anon_sym_static] = ACTIONS(3488),
    [anon_sym_readonly] = ACTIONS(3488),
    [anon_sym_get] = ACTIONS(3488),
    [anon_sym_set] = ACTIONS(3488),
    [anon_sym_declare] = ACTIONS(3488),
    [anon_sym_public] = ACTIONS(3488),
    [anon_sym_private] = ACTIONS(3488),
    [anon_sym_protected] = ACTIONS(3488),
    [anon_sym_override] = ACTIONS(3488),
    [anon_sym_module] = ACTIONS(3488),
    [anon_sym_any] = ACTIONS(3488),
    [anon_sym_number] = ACTIONS(3488),
    [anon_sym_boolean] = ACTIONS(3488),
    [anon_sym_string] = ACTIONS(3488),
    [anon_sym_symbol] = ACTIONS(3488),
    [anon_sym_object] = ACTIONS(3488),
    [anon_sym_property] = ACTIONS(3488),
    [anon_sym_signal] = ACTIONS(3488),
    [anon_sym_on] = ACTIONS(3488),
    [anon_sym_required] = ACTIONS(3488),
    [anon_sym_component] = ACTIONS(3488),
    [anon_sym_abstract] = ACTIONS(3488),
    [anon_sym_interface] = ACTIONS(3488),
    [anon_sym_enum] = ACTIONS(3488),
    [sym_html_comment] = ACTIONS(5),
  },
  [1062] = {
    [sym_comment] = STATE(1062),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_export] = ACTIONS(2328),
    [anon_sym_default] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2328),
    [anon_sym_namespace] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [anon_sym_typeof] = ACTIONS(2328),
    [anon_sym_import] = ACTIONS(2328),
    [anon_sym_from] = ACTIONS(2328),
    [anon_sym_with] = ACTIONS(2328),
    [anon_sym_var] = ACTIONS(2328),
    [anon_sym_let] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_if] = ACTIONS(2328),
    [anon_sym_switch] = ACTIONS(2328),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_of] = ACTIONS(2328),
    [anon_sym_while] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2328),
    [anon_sym_break] = ACTIONS(2328),
    [anon_sym_continue] = ACTIONS(2328),
    [anon_sym_debugger] = ACTIONS(2328),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym_case] = ACTIONS(2328),
    [anon_sym_yield] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_LTtemplate_GT] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_class] = ACTIONS(2328),
    [anon_sym_async] = ACTIONS(2328),
    [anon_sym_function] = ACTIONS(2328),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_using] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_void] = ACTIONS(2328),
    [anon_sym_delete] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2328),
    [sym_number] = ACTIONS(2328),
    [sym_private_property_identifier] = ACTIONS(2328),
    [sym_this] = ACTIONS(2328),
    [sym_super] = ACTIONS(2328),
    [sym_true] = ACTIONS(2328),
    [sym_false] = ACTIONS(2328),
    [sym_null] = ACTIONS(2328),
    [sym_undefined] = ACTIONS(2328),
    [anon_sym_AT] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2328),
    [anon_sym_readonly] = ACTIONS(2328),
    [anon_sym_get] = ACTIONS(2328),
    [anon_sym_set] = ACTIONS(2328),
    [anon_sym_declare] = ACTIONS(2328),
    [anon_sym_public] = ACTIONS(2328),
    [anon_sym_private] = ACTIONS(2328),
    [anon_sym_protected] = ACTIONS(2328),
    [anon_sym_override] = ACTIONS(2328),
    [anon_sym_module] = ACTIONS(2328),
    [anon_sym_any] = ACTIONS(2328),
    [anon_sym_number] = ACTIONS(2328),
    [anon_sym_boolean] = ACTIONS(2328),
    [anon_sym_string] = ACTIONS(2328),
    [anon_sym_symbol] = ACTIONS(2328),
    [anon_sym_object] = ACTIONS(2328),
    [anon_sym_property] = ACTIONS(2328),
    [anon_sym_signal] = ACTIONS(2328),
    [anon_sym_on] = ACTIONS(2328),
    [anon_sym_required] = ACTIONS(2328),
    [anon_sym_component] = ACTIONS(2328),
    [anon_sym_abstract] = ACTIONS(2328),
    [anon_sym_interface] = ACTIONS(2328),
    [anon_sym_enum] = ACTIONS(2328),
    [sym__automatic_semicolon] = ACTIONS(2330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1063] = {
    [sym_comment] = STATE(1063),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(3490),
    [sym_html_comment] = ACTIONS(5),
  },
  [1064] = {
    [sym_comment] = STATE(1064),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_finally] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(3492),
    [sym_html_comment] = ACTIONS(5),
  },
  [1065] = {
    [sym_comment] = STATE(1065),
    [sym_identifier] = ACTIONS(2354),
    [anon_sym_export] = ACTIONS(2354),
    [anon_sym_default] = ACTIONS(2354),
    [anon_sym_type] = ACTIONS(2354),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2354),
    [anon_sym_RBRACE] = ACTIONS(2354),
    [anon_sym_typeof] = ACTIONS(2354),
    [anon_sym_import] = ACTIONS(2354),
    [anon_sym_from] = ACTIONS(2354),
    [anon_sym_with] = ACTIONS(2354),
    [anon_sym_var] = ACTIONS(2354),
    [anon_sym_let] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_LPAREN] = ACTIONS(2354),
    [anon_sym_await] = ACTIONS(2354),
    [anon_sym_of] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_debugger] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2354),
    [anon_sym_case] = ACTIONS(2354),
    [anon_sym_yield] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_LTtemplate_GT] = ACTIONS(2354),
    [anon_sym_DQUOTE] = ACTIONS(2354),
    [anon_sym_SQUOTE] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_async] = ACTIONS(2354),
    [anon_sym_function] = ACTIONS(2354),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_SLASH] = ACTIONS(2354),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_void] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_PLUS_PLUS] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2354),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2354),
    [sym_number] = ACTIONS(2354),
    [sym_private_property_identifier] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [sym_super] = ACTIONS(2354),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [sym_null] = ACTIONS(2354),
    [sym_undefined] = ACTIONS(2354),
    [anon_sym_AT] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_readonly] = ACTIONS(2354),
    [anon_sym_get] = ACTIONS(2354),
    [anon_sym_set] = ACTIONS(2354),
    [anon_sym_declare] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_override] = ACTIONS(2354),
    [anon_sym_module] = ACTIONS(2354),
    [anon_sym_any] = ACTIONS(2354),
    [anon_sym_number] = ACTIONS(2354),
    [anon_sym_boolean] = ACTIONS(2354),
    [anon_sym_string] = ACTIONS(2354),
    [anon_sym_symbol] = ACTIONS(2354),
    [anon_sym_object] = ACTIONS(2354),
    [anon_sym_property] = ACTIONS(2354),
    [anon_sym_signal] = ACTIONS(2354),
    [anon_sym_on] = ACTIONS(2354),
    [anon_sym_required] = ACTIONS(2354),
    [anon_sym_component] = ACTIONS(2354),
    [anon_sym_abstract] = ACTIONS(2354),
    [anon_sym_interface] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [sym__automatic_semicolon] = ACTIONS(2542),
    [sym_html_comment] = ACTIONS(5),
  },
  [1066] = {
    [sym_comment] = STATE(1066),
    [sym_identifier] = ACTIONS(3474),
    [anon_sym_export] = ACTIONS(3474),
    [anon_sym_default] = ACTIONS(3474),
    [anon_sym_type] = ACTIONS(3474),
    [anon_sym_namespace] = ACTIONS(3474),
    [anon_sym_LBRACE] = ACTIONS(3474),
    [anon_sym_RBRACE] = ACTIONS(3474),
    [anon_sym_typeof] = ACTIONS(3474),
    [anon_sym_import] = ACTIONS(3474),
    [anon_sym_from] = ACTIONS(3474),
    [anon_sym_with] = ACTIONS(3474),
    [anon_sym_var] = ACTIONS(3474),
    [anon_sym_let] = ACTIONS(3474),
    [anon_sym_const] = ACTIONS(3474),
    [anon_sym_BANG] = ACTIONS(3474),
    [anon_sym_if] = ACTIONS(3474),
    [anon_sym_switch] = ACTIONS(3474),
    [anon_sym_for] = ACTIONS(3474),
    [anon_sym_LPAREN] = ACTIONS(3474),
    [anon_sym_await] = ACTIONS(3474),
    [anon_sym_of] = ACTIONS(3474),
    [anon_sym_while] = ACTIONS(3474),
    [anon_sym_do] = ACTIONS(3474),
    [anon_sym_try] = ACTIONS(3474),
    [anon_sym_break] = ACTIONS(3474),
    [anon_sym_continue] = ACTIONS(3474),
    [anon_sym_debugger] = ACTIONS(3474),
    [anon_sym_return] = ACTIONS(3474),
    [anon_sym_throw] = ACTIONS(3474),
    [anon_sym_SEMI] = ACTIONS(3474),
    [anon_sym_case] = ACTIONS(3474),
    [anon_sym_finally] = ACTIONS(3474),
    [anon_sym_yield] = ACTIONS(3474),
    [anon_sym_LBRACK] = ACTIONS(3474),
    [anon_sym_LTtemplate_GT] = ACTIONS(3474),
    [anon_sym_DQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_class] = ACTIONS(3474),
    [anon_sym_async] = ACTIONS(3474),
    [anon_sym_function] = ACTIONS(3474),
    [anon_sym_new] = ACTIONS(3474),
    [anon_sym_using] = ACTIONS(3474),
    [anon_sym_PLUS] = ACTIONS(3474),
    [anon_sym_DASH] = ACTIONS(3474),
    [anon_sym_SLASH] = ACTIONS(3474),
    [anon_sym_LT] = ACTIONS(3474),
    [anon_sym_TILDE] = ACTIONS(3474),
    [anon_sym_void] = ACTIONS(3474),
    [anon_sym_delete] = ACTIONS(3474),
    [anon_sym_PLUS_PLUS] = ACTIONS(3474),
    [anon_sym_DASH_DASH] = ACTIONS(3474),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3474),
    [sym_number] = ACTIONS(3474),
    [sym_private_property_identifier] = ACTIONS(3474),
    [sym_this] = ACTIONS(3474),
    [sym_super] = ACTIONS(3474),
    [sym_true] = ACTIONS(3474),
    [sym_false] = ACTIONS(3474),
    [sym_null] = ACTIONS(3474),
    [sym_undefined] = ACTIONS(3474),
    [anon_sym_AT] = ACTIONS(3474),
    [anon_sym_static] = ACTIONS(3474),
    [anon_sym_readonly] = ACTIONS(3474),
    [anon_sym_get] = ACTIONS(3474),
    [anon_sym_set] = ACTIONS(3474),
    [anon_sym_declare] = ACTIONS(3474),
    [anon_sym_public] = ACTIONS(3474),
    [anon_sym_private] = ACTIONS(3474),
    [anon_sym_protected] = ACTIONS(3474),
    [anon_sym_override] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(3474),
    [anon_sym_any] = ACTIONS(3474),
    [anon_sym_number] = ACTIONS(3474),
    [anon_sym_boolean] = ACTIONS(3474),
    [anon_sym_string] = ACTIONS(3474),
    [anon_sym_symbol] = ACTIONS(3474),
    [anon_sym_object] = ACTIONS(3474),
    [anon_sym_property] = ACTIONS(3474),
    [anon_sym_signal] = ACTIONS(3474),
    [anon_sym_on] = ACTIONS(3474),
    [anon_sym_required] = ACTIONS(3474),
    [anon_sym_component] = ACTIONS(3474),
    [anon_sym_abstract] = ACTIONS(3474),
    [anon_sym_interface] = ACTIONS(3474),
    [anon_sym_enum] = ACTIONS(3474),
    [sym_html_comment] = ACTIONS(5),
  },
  [1067] = {
    [sym_comment] = STATE(1067),
    [sym_identifier] = ACTIONS(2342),
    [anon_sym_export] = ACTIONS(2342),
    [anon_sym_default] = ACTIONS(2342),
    [anon_sym_type] = ACTIONS(2342),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_RBRACE] = ACTIONS(2342),
    [anon_sym_typeof] = ACTIONS(2342),
    [anon_sym_import] = ACTIONS(2342),
    [anon_sym_from] = ACTIONS(2342),
    [anon_sym_with] = ACTIONS(2342),
    [anon_sym_var] = ACTIONS(2342),
    [anon_sym_let] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_BANG] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(2342),
    [anon_sym_await] = ACTIONS(2342),
    [anon_sym_of] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_debugger] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2342),
    [anon_sym_case] = ACTIONS(2342),
    [anon_sym_yield] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_LTtemplate_GT] = ACTIONS(2342),
    [anon_sym_DQUOTE] = ACTIONS(2342),
    [anon_sym_SQUOTE] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_async] = ACTIONS(2342),
    [anon_sym_function] = ACTIONS(2342),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_using] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_SLASH] = ACTIONS(2342),
    [anon_sym_LT] = ACTIONS(2342),
    [anon_sym_TILDE] = ACTIONS(2342),
    [anon_sym_void] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2342),
    [sym_number] = ACTIONS(2342),
    [sym_private_property_identifier] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [sym_super] = ACTIONS(2342),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [sym_null] = ACTIONS(2342),
    [sym_undefined] = ACTIONS(2342),
    [anon_sym_AT] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_readonly] = ACTIONS(2342),
    [anon_sym_get] = ACTIONS(2342),
    [anon_sym_set] = ACTIONS(2342),
    [anon_sym_declare] = ACTIONS(2342),
    [anon_sym_public] = ACTIONS(2342),
    [anon_sym_private] = ACTIONS(2342),
    [anon_sym_protected] = ACTIONS(2342),
    [anon_sym_override] = ACTIONS(2342),
    [anon_sym_module] = ACTIONS(2342),
    [anon_sym_any] = ACTIONS(2342),
    [anon_sym_number] = ACTIONS(2342),
    [anon_sym_boolean] = ACTIONS(2342),
    [anon_sym_string] = ACTIONS(2342),
    [anon_sym_symbol] = ACTIONS(2342),
    [anon_sym_object] = ACTIONS(2342),
    [anon_sym_property] = ACTIONS(2342),
    [anon_sym_signal] = ACTIONS(2342),
    [anon_sym_on] = ACTIONS(2342),
    [anon_sym_required] = ACTIONS(2342),
    [anon_sym_component] = ACTIONS(2342),
    [anon_sym_abstract] = ACTIONS(2342),
    [anon_sym_interface] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [sym__automatic_semicolon] = ACTIONS(2568),
    [sym_html_comment] = ACTIONS(5),
  },
  [1068] = {
    [sym_comment] = STATE(1068),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_catch] = ACTIONS(2332),
    [anon_sym_finally] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1069] = {
    [sym_comment] = STATE(1069),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_export] = ACTIONS(3494),
    [anon_sym_default] = ACTIONS(3494),
    [anon_sym_type] = ACTIONS(3494),
    [anon_sym_namespace] = ACTIONS(3494),
    [anon_sym_LBRACE] = ACTIONS(3494),
    [anon_sym_RBRACE] = ACTIONS(3494),
    [anon_sym_typeof] = ACTIONS(3494),
    [anon_sym_import] = ACTIONS(3494),
    [anon_sym_from] = ACTIONS(3494),
    [anon_sym_with] = ACTIONS(3494),
    [anon_sym_var] = ACTIONS(3494),
    [anon_sym_let] = ACTIONS(3494),
    [anon_sym_const] = ACTIONS(3494),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_else] = ACTIONS(3494),
    [anon_sym_if] = ACTIONS(3494),
    [anon_sym_switch] = ACTIONS(3494),
    [anon_sym_for] = ACTIONS(3494),
    [anon_sym_LPAREN] = ACTIONS(3494),
    [anon_sym_await] = ACTIONS(3494),
    [anon_sym_of] = ACTIONS(3494),
    [anon_sym_while] = ACTIONS(3494),
    [anon_sym_do] = ACTIONS(3494),
    [anon_sym_try] = ACTIONS(3494),
    [anon_sym_break] = ACTIONS(3494),
    [anon_sym_continue] = ACTIONS(3494),
    [anon_sym_debugger] = ACTIONS(3494),
    [anon_sym_return] = ACTIONS(3494),
    [anon_sym_throw] = ACTIONS(3494),
    [anon_sym_SEMI] = ACTIONS(3494),
    [anon_sym_case] = ACTIONS(3494),
    [anon_sym_yield] = ACTIONS(3494),
    [anon_sym_LBRACK] = ACTIONS(3494),
    [anon_sym_LTtemplate_GT] = ACTIONS(3494),
    [anon_sym_DQUOTE] = ACTIONS(3494),
    [anon_sym_SQUOTE] = ACTIONS(3494),
    [anon_sym_class] = ACTIONS(3494),
    [anon_sym_async] = ACTIONS(3494),
    [anon_sym_function] = ACTIONS(3494),
    [anon_sym_new] = ACTIONS(3494),
    [anon_sym_using] = ACTIONS(3494),
    [anon_sym_PLUS] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3494),
    [anon_sym_SLASH] = ACTIONS(3494),
    [anon_sym_LT] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_void] = ACTIONS(3494),
    [anon_sym_delete] = ACTIONS(3494),
    [anon_sym_PLUS_PLUS] = ACTIONS(3494),
    [anon_sym_DASH_DASH] = ACTIONS(3494),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3494),
    [sym_number] = ACTIONS(3494),
    [sym_private_property_identifier] = ACTIONS(3494),
    [sym_this] = ACTIONS(3494),
    [sym_super] = ACTIONS(3494),
    [sym_true] = ACTIONS(3494),
    [sym_false] = ACTIONS(3494),
    [sym_null] = ACTIONS(3494),
    [sym_undefined] = ACTIONS(3494),
    [anon_sym_AT] = ACTIONS(3494),
    [anon_sym_static] = ACTIONS(3494),
    [anon_sym_readonly] = ACTIONS(3494),
    [anon_sym_get] = ACTIONS(3494),
    [anon_sym_set] = ACTIONS(3494),
    [anon_sym_declare] = ACTIONS(3494),
    [anon_sym_public] = ACTIONS(3494),
    [anon_sym_private] = ACTIONS(3494),
    [anon_sym_protected] = ACTIONS(3494),
    [anon_sym_override] = ACTIONS(3494),
    [anon_sym_module] = ACTIONS(3494),
    [anon_sym_any] = ACTIONS(3494),
    [anon_sym_number] = ACTIONS(3494),
    [anon_sym_boolean] = ACTIONS(3494),
    [anon_sym_string] = ACTIONS(3494),
    [anon_sym_symbol] = ACTIONS(3494),
    [anon_sym_object] = ACTIONS(3494),
    [anon_sym_property] = ACTIONS(3494),
    [anon_sym_signal] = ACTIONS(3494),
    [anon_sym_on] = ACTIONS(3494),
    [anon_sym_required] = ACTIONS(3494),
    [anon_sym_component] = ACTIONS(3494),
    [anon_sym_abstract] = ACTIONS(3494),
    [anon_sym_interface] = ACTIONS(3494),
    [anon_sym_enum] = ACTIONS(3494),
    [sym_html_comment] = ACTIONS(5),
  },
  [1070] = {
    [sym_comment] = STATE(1070),
    [sym_identifier] = ACTIONS(2382),
    [anon_sym_export] = ACTIONS(2382),
    [anon_sym_default] = ACTIONS(2382),
    [anon_sym_type] = ACTIONS(2382),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_typeof] = ACTIONS(2382),
    [anon_sym_import] = ACTIONS(2382),
    [anon_sym_from] = ACTIONS(2382),
    [anon_sym_with] = ACTIONS(2382),
    [anon_sym_var] = ACTIONS(2382),
    [anon_sym_let] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_switch] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_await] = ACTIONS(2382),
    [anon_sym_of] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2382),
    [anon_sym_break] = ACTIONS(2382),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_debugger] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2382),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym_case] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_LTtemplate_GT] = ACTIONS(2382),
    [anon_sym_DQUOTE] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_SLASH] = ACTIONS(2382),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_void] = ACTIONS(2382),
    [anon_sym_delete] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2382),
    [sym_number] = ACTIONS(2382),
    [sym_private_property_identifier] = ACTIONS(2382),
    [sym_this] = ACTIONS(2382),
    [sym_super] = ACTIONS(2382),
    [sym_true] = ACTIONS(2382),
    [sym_false] = ACTIONS(2382),
    [sym_null] = ACTIONS(2382),
    [sym_undefined] = ACTIONS(2382),
    [anon_sym_AT] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_readonly] = ACTIONS(2382),
    [anon_sym_get] = ACTIONS(2382),
    [anon_sym_set] = ACTIONS(2382),
    [anon_sym_declare] = ACTIONS(2382),
    [anon_sym_public] = ACTIONS(2382),
    [anon_sym_private] = ACTIONS(2382),
    [anon_sym_protected] = ACTIONS(2382),
    [anon_sym_override] = ACTIONS(2382),
    [anon_sym_module] = ACTIONS(2382),
    [anon_sym_any] = ACTIONS(2382),
    [anon_sym_number] = ACTIONS(2382),
    [anon_sym_boolean] = ACTIONS(2382),
    [anon_sym_string] = ACTIONS(2382),
    [anon_sym_symbol] = ACTIONS(2382),
    [anon_sym_object] = ACTIONS(2382),
    [anon_sym_property] = ACTIONS(2382),
    [anon_sym_signal] = ACTIONS(2382),
    [anon_sym_on] = ACTIONS(2382),
    [anon_sym_required] = ACTIONS(2382),
    [anon_sym_component] = ACTIONS(2382),
    [anon_sym_abstract] = ACTIONS(2382),
    [anon_sym_interface] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [sym__automatic_semicolon] = ACTIONS(2544),
    [sym_html_comment] = ACTIONS(5),
  },
  [1071] = {
    [sym_comment] = STATE(1071),
    [sym_identifier] = ACTIONS(3496),
    [anon_sym_export] = ACTIONS(3496),
    [anon_sym_default] = ACTIONS(3496),
    [anon_sym_type] = ACTIONS(3496),
    [anon_sym_namespace] = ACTIONS(3496),
    [anon_sym_LBRACE] = ACTIONS(3496),
    [anon_sym_RBRACE] = ACTIONS(3496),
    [anon_sym_typeof] = ACTIONS(3496),
    [anon_sym_import] = ACTIONS(3496),
    [anon_sym_from] = ACTIONS(3496),
    [anon_sym_with] = ACTIONS(3496),
    [anon_sym_var] = ACTIONS(3496),
    [anon_sym_let] = ACTIONS(3496),
    [anon_sym_const] = ACTIONS(3496),
    [anon_sym_BANG] = ACTIONS(3496),
    [anon_sym_else] = ACTIONS(3496),
    [anon_sym_if] = ACTIONS(3496),
    [anon_sym_switch] = ACTIONS(3496),
    [anon_sym_for] = ACTIONS(3496),
    [anon_sym_LPAREN] = ACTIONS(3496),
    [anon_sym_await] = ACTIONS(3496),
    [anon_sym_of] = ACTIONS(3496),
    [anon_sym_while] = ACTIONS(3496),
    [anon_sym_do] = ACTIONS(3496),
    [anon_sym_try] = ACTIONS(3496),
    [anon_sym_break] = ACTIONS(3496),
    [anon_sym_continue] = ACTIONS(3496),
    [anon_sym_debugger] = ACTIONS(3496),
    [anon_sym_return] = ACTIONS(3496),
    [anon_sym_throw] = ACTIONS(3496),
    [anon_sym_SEMI] = ACTIONS(3496),
    [anon_sym_case] = ACTIONS(3496),
    [anon_sym_yield] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(3496),
    [anon_sym_LTtemplate_GT] = ACTIONS(3496),
    [anon_sym_DQUOTE] = ACTIONS(3496),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_class] = ACTIONS(3496),
    [anon_sym_async] = ACTIONS(3496),
    [anon_sym_function] = ACTIONS(3496),
    [anon_sym_new] = ACTIONS(3496),
    [anon_sym_using] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_SLASH] = ACTIONS(3496),
    [anon_sym_LT] = ACTIONS(3496),
    [anon_sym_TILDE] = ACTIONS(3496),
    [anon_sym_void] = ACTIONS(3496),
    [anon_sym_delete] = ACTIONS(3496),
    [anon_sym_PLUS_PLUS] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3496),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3496),
    [sym_number] = ACTIONS(3496),
    [sym_private_property_identifier] = ACTIONS(3496),
    [sym_this] = ACTIONS(3496),
    [sym_super] = ACTIONS(3496),
    [sym_true] = ACTIONS(3496),
    [sym_false] = ACTIONS(3496),
    [sym_null] = ACTIONS(3496),
    [sym_undefined] = ACTIONS(3496),
    [anon_sym_AT] = ACTIONS(3496),
    [anon_sym_static] = ACTIONS(3496),
    [anon_sym_readonly] = ACTIONS(3496),
    [anon_sym_get] = ACTIONS(3496),
    [anon_sym_set] = ACTIONS(3496),
    [anon_sym_declare] = ACTIONS(3496),
    [anon_sym_public] = ACTIONS(3496),
    [anon_sym_private] = ACTIONS(3496),
    [anon_sym_protected] = ACTIONS(3496),
    [anon_sym_override] = ACTIONS(3496),
    [anon_sym_module] = ACTIONS(3496),
    [anon_sym_any] = ACTIONS(3496),
    [anon_sym_number] = ACTIONS(3496),
    [anon_sym_boolean] = ACTIONS(3496),
    [anon_sym_string] = ACTIONS(3496),
    [anon_sym_symbol] = ACTIONS(3496),
    [anon_sym_object] = ACTIONS(3496),
    [anon_sym_property] = ACTIONS(3496),
    [anon_sym_signal] = ACTIONS(3496),
    [anon_sym_on] = ACTIONS(3496),
    [anon_sym_required] = ACTIONS(3496),
    [anon_sym_component] = ACTIONS(3496),
    [anon_sym_abstract] = ACTIONS(3496),
    [anon_sym_interface] = ACTIONS(3496),
    [anon_sym_enum] = ACTIONS(3496),
    [sym_html_comment] = ACTIONS(5),
  },
  [1072] = {
    [sym_comment] = STATE(1072),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_export] = ACTIONS(3498),
    [anon_sym_default] = ACTIONS(3498),
    [anon_sym_type] = ACTIONS(3498),
    [anon_sym_namespace] = ACTIONS(3498),
    [anon_sym_LBRACE] = ACTIONS(3498),
    [anon_sym_RBRACE] = ACTIONS(3498),
    [anon_sym_typeof] = ACTIONS(3498),
    [anon_sym_import] = ACTIONS(3498),
    [anon_sym_from] = ACTIONS(3498),
    [anon_sym_with] = ACTIONS(3498),
    [anon_sym_var] = ACTIONS(3498),
    [anon_sym_let] = ACTIONS(3498),
    [anon_sym_const] = ACTIONS(3498),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_else] = ACTIONS(3498),
    [anon_sym_if] = ACTIONS(3498),
    [anon_sym_switch] = ACTIONS(3498),
    [anon_sym_for] = ACTIONS(3498),
    [anon_sym_LPAREN] = ACTIONS(3498),
    [anon_sym_await] = ACTIONS(3498),
    [anon_sym_of] = ACTIONS(3498),
    [anon_sym_while] = ACTIONS(3498),
    [anon_sym_do] = ACTIONS(3498),
    [anon_sym_try] = ACTIONS(3498),
    [anon_sym_break] = ACTIONS(3498),
    [anon_sym_continue] = ACTIONS(3498),
    [anon_sym_debugger] = ACTIONS(3498),
    [anon_sym_return] = ACTIONS(3498),
    [anon_sym_throw] = ACTIONS(3498),
    [anon_sym_SEMI] = ACTIONS(3498),
    [anon_sym_case] = ACTIONS(3498),
    [anon_sym_yield] = ACTIONS(3498),
    [anon_sym_LBRACK] = ACTIONS(3498),
    [anon_sym_LTtemplate_GT] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3498),
    [anon_sym_SQUOTE] = ACTIONS(3498),
    [anon_sym_class] = ACTIONS(3498),
    [anon_sym_async] = ACTIONS(3498),
    [anon_sym_function] = ACTIONS(3498),
    [anon_sym_new] = ACTIONS(3498),
    [anon_sym_using] = ACTIONS(3498),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_SLASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_void] = ACTIONS(3498),
    [anon_sym_delete] = ACTIONS(3498),
    [anon_sym_PLUS_PLUS] = ACTIONS(3498),
    [anon_sym_DASH_DASH] = ACTIONS(3498),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3498),
    [sym_number] = ACTIONS(3498),
    [sym_private_property_identifier] = ACTIONS(3498),
    [sym_this] = ACTIONS(3498),
    [sym_super] = ACTIONS(3498),
    [sym_true] = ACTIONS(3498),
    [sym_false] = ACTIONS(3498),
    [sym_null] = ACTIONS(3498),
    [sym_undefined] = ACTIONS(3498),
    [anon_sym_AT] = ACTIONS(3498),
    [anon_sym_static] = ACTIONS(3498),
    [anon_sym_readonly] = ACTIONS(3498),
    [anon_sym_get] = ACTIONS(3498),
    [anon_sym_set] = ACTIONS(3498),
    [anon_sym_declare] = ACTIONS(3498),
    [anon_sym_public] = ACTIONS(3498),
    [anon_sym_private] = ACTIONS(3498),
    [anon_sym_protected] = ACTIONS(3498),
    [anon_sym_override] = ACTIONS(3498),
    [anon_sym_module] = ACTIONS(3498),
    [anon_sym_any] = ACTIONS(3498),
    [anon_sym_number] = ACTIONS(3498),
    [anon_sym_boolean] = ACTIONS(3498),
    [anon_sym_string] = ACTIONS(3498),
    [anon_sym_symbol] = ACTIONS(3498),
    [anon_sym_object] = ACTIONS(3498),
    [anon_sym_property] = ACTIONS(3498),
    [anon_sym_signal] = ACTIONS(3498),
    [anon_sym_on] = ACTIONS(3498),
    [anon_sym_required] = ACTIONS(3498),
    [anon_sym_component] = ACTIONS(3498),
    [anon_sym_abstract] = ACTIONS(3498),
    [anon_sym_interface] = ACTIONS(3498),
    [anon_sym_enum] = ACTIONS(3498),
    [sym_html_comment] = ACTIONS(5),
  },
  [1073] = {
    [sym_comment] = STATE(1073),
    [sym_identifier] = ACTIONS(3500),
    [anon_sym_export] = ACTIONS(3500),
    [anon_sym_default] = ACTIONS(3500),
    [anon_sym_type] = ACTIONS(3500),
    [anon_sym_namespace] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3500),
    [anon_sym_RBRACE] = ACTIONS(3500),
    [anon_sym_typeof] = ACTIONS(3500),
    [anon_sym_import] = ACTIONS(3500),
    [anon_sym_from] = ACTIONS(3500),
    [anon_sym_with] = ACTIONS(3500),
    [anon_sym_var] = ACTIONS(3500),
    [anon_sym_let] = ACTIONS(3500),
    [anon_sym_const] = ACTIONS(3500),
    [anon_sym_BANG] = ACTIONS(3500),
    [anon_sym_else] = ACTIONS(3500),
    [anon_sym_if] = ACTIONS(3500),
    [anon_sym_switch] = ACTIONS(3500),
    [anon_sym_for] = ACTIONS(3500),
    [anon_sym_LPAREN] = ACTIONS(3500),
    [anon_sym_await] = ACTIONS(3500),
    [anon_sym_of] = ACTIONS(3500),
    [anon_sym_while] = ACTIONS(3500),
    [anon_sym_do] = ACTIONS(3500),
    [anon_sym_try] = ACTIONS(3500),
    [anon_sym_break] = ACTIONS(3500),
    [anon_sym_continue] = ACTIONS(3500),
    [anon_sym_debugger] = ACTIONS(3500),
    [anon_sym_return] = ACTIONS(3500),
    [anon_sym_throw] = ACTIONS(3500),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_case] = ACTIONS(3500),
    [anon_sym_yield] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(3500),
    [anon_sym_LTtemplate_GT] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_SQUOTE] = ACTIONS(3500),
    [anon_sym_class] = ACTIONS(3500),
    [anon_sym_async] = ACTIONS(3500),
    [anon_sym_function] = ACTIONS(3500),
    [anon_sym_new] = ACTIONS(3500),
    [anon_sym_using] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_SLASH] = ACTIONS(3500),
    [anon_sym_LT] = ACTIONS(3500),
    [anon_sym_TILDE] = ACTIONS(3500),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_PLUS_PLUS] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(3500),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3500),
    [sym_number] = ACTIONS(3500),
    [sym_private_property_identifier] = ACTIONS(3500),
    [sym_this] = ACTIONS(3500),
    [sym_super] = ACTIONS(3500),
    [sym_true] = ACTIONS(3500),
    [sym_false] = ACTIONS(3500),
    [sym_null] = ACTIONS(3500),
    [sym_undefined] = ACTIONS(3500),
    [anon_sym_AT] = ACTIONS(3500),
    [anon_sym_static] = ACTIONS(3500),
    [anon_sym_readonly] = ACTIONS(3500),
    [anon_sym_get] = ACTIONS(3500),
    [anon_sym_set] = ACTIONS(3500),
    [anon_sym_declare] = ACTIONS(3500),
    [anon_sym_public] = ACTIONS(3500),
    [anon_sym_private] = ACTIONS(3500),
    [anon_sym_protected] = ACTIONS(3500),
    [anon_sym_override] = ACTIONS(3500),
    [anon_sym_module] = ACTIONS(3500),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_property] = ACTIONS(3500),
    [anon_sym_signal] = ACTIONS(3500),
    [anon_sym_on] = ACTIONS(3500),
    [anon_sym_required] = ACTIONS(3500),
    [anon_sym_component] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3500),
    [anon_sym_interface] = ACTIONS(3500),
    [anon_sym_enum] = ACTIONS(3500),
    [sym_html_comment] = ACTIONS(5),
  },
  [1074] = {
    [sym_comment] = STATE(1074),
    [sym_identifier] = ACTIONS(3462),
    [anon_sym_export] = ACTIONS(3462),
    [anon_sym_default] = ACTIONS(3462),
    [anon_sym_type] = ACTIONS(3462),
    [anon_sym_namespace] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(3462),
    [anon_sym_RBRACE] = ACTIONS(3462),
    [anon_sym_typeof] = ACTIONS(3462),
    [anon_sym_import] = ACTIONS(3462),
    [anon_sym_from] = ACTIONS(3462),
    [anon_sym_with] = ACTIONS(3462),
    [anon_sym_var] = ACTIONS(3462),
    [anon_sym_let] = ACTIONS(3462),
    [anon_sym_const] = ACTIONS(3462),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_if] = ACTIONS(3462),
    [anon_sym_switch] = ACTIONS(3462),
    [anon_sym_for] = ACTIONS(3462),
    [anon_sym_LPAREN] = ACTIONS(3462),
    [anon_sym_await] = ACTIONS(3462),
    [anon_sym_of] = ACTIONS(3462),
    [anon_sym_while] = ACTIONS(3462),
    [anon_sym_do] = ACTIONS(3462),
    [anon_sym_try] = ACTIONS(3462),
    [anon_sym_break] = ACTIONS(3462),
    [anon_sym_continue] = ACTIONS(3462),
    [anon_sym_debugger] = ACTIONS(3462),
    [anon_sym_return] = ACTIONS(3462),
    [anon_sym_throw] = ACTIONS(3462),
    [anon_sym_SEMI] = ACTIONS(3462),
    [anon_sym_case] = ACTIONS(3462),
    [anon_sym_finally] = ACTIONS(3462),
    [anon_sym_yield] = ACTIONS(3462),
    [anon_sym_LBRACK] = ACTIONS(3462),
    [anon_sym_LTtemplate_GT] = ACTIONS(3462),
    [anon_sym_DQUOTE] = ACTIONS(3462),
    [anon_sym_SQUOTE] = ACTIONS(3462),
    [anon_sym_class] = ACTIONS(3462),
    [anon_sym_async] = ACTIONS(3462),
    [anon_sym_function] = ACTIONS(3462),
    [anon_sym_new] = ACTIONS(3462),
    [anon_sym_using] = ACTIONS(3462),
    [anon_sym_PLUS] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3462),
    [anon_sym_SLASH] = ACTIONS(3462),
    [anon_sym_LT] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_void] = ACTIONS(3462),
    [anon_sym_delete] = ACTIONS(3462),
    [anon_sym_PLUS_PLUS] = ACTIONS(3462),
    [anon_sym_DASH_DASH] = ACTIONS(3462),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3462),
    [sym_number] = ACTIONS(3462),
    [sym_private_property_identifier] = ACTIONS(3462),
    [sym_this] = ACTIONS(3462),
    [sym_super] = ACTIONS(3462),
    [sym_true] = ACTIONS(3462),
    [sym_false] = ACTIONS(3462),
    [sym_null] = ACTIONS(3462),
    [sym_undefined] = ACTIONS(3462),
    [anon_sym_AT] = ACTIONS(3462),
    [anon_sym_static] = ACTIONS(3462),
    [anon_sym_readonly] = ACTIONS(3462),
    [anon_sym_get] = ACTIONS(3462),
    [anon_sym_set] = ACTIONS(3462),
    [anon_sym_declare] = ACTIONS(3462),
    [anon_sym_public] = ACTIONS(3462),
    [anon_sym_private] = ACTIONS(3462),
    [anon_sym_protected] = ACTIONS(3462),
    [anon_sym_override] = ACTIONS(3462),
    [anon_sym_module] = ACTIONS(3462),
    [anon_sym_any] = ACTIONS(3462),
    [anon_sym_number] = ACTIONS(3462),
    [anon_sym_boolean] = ACTIONS(3462),
    [anon_sym_string] = ACTIONS(3462),
    [anon_sym_symbol] = ACTIONS(3462),
    [anon_sym_object] = ACTIONS(3462),
    [anon_sym_property] = ACTIONS(3462),
    [anon_sym_signal] = ACTIONS(3462),
    [anon_sym_on] = ACTIONS(3462),
    [anon_sym_required] = ACTIONS(3462),
    [anon_sym_component] = ACTIONS(3462),
    [anon_sym_abstract] = ACTIONS(3462),
    [anon_sym_interface] = ACTIONS(3462),
    [anon_sym_enum] = ACTIONS(3462),
    [sym_html_comment] = ACTIONS(5),
  },
  [1075] = {
    [sym_comment] = STATE(1075),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_type] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_typeof] = ACTIONS(2438),
    [anon_sym_import] = ACTIONS(2438),
    [anon_sym_from] = ACTIONS(2438),
    [anon_sym_with] = ACTIONS(2438),
    [anon_sym_var] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_else] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_await] = ACTIONS(2438),
    [anon_sym_of] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_debugger] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LTtemplate_GT] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_async] = ACTIONS(2438),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_SLASH] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_void] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2438),
    [sym_number] = ACTIONS(2438),
    [sym_private_property_identifier] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [sym_super] = ACTIONS(2438),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [sym_null] = ACTIONS(2438),
    [sym_undefined] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_readonly] = ACTIONS(2438),
    [anon_sym_get] = ACTIONS(2438),
    [anon_sym_set] = ACTIONS(2438),
    [anon_sym_declare] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_override] = ACTIONS(2438),
    [anon_sym_module] = ACTIONS(2438),
    [anon_sym_any] = ACTIONS(2438),
    [anon_sym_number] = ACTIONS(2438),
    [anon_sym_boolean] = ACTIONS(2438),
    [anon_sym_string] = ACTIONS(2438),
    [anon_sym_symbol] = ACTIONS(2438),
    [anon_sym_object] = ACTIONS(2438),
    [anon_sym_property] = ACTIONS(2438),
    [anon_sym_signal] = ACTIONS(2438),
    [anon_sym_on] = ACTIONS(2438),
    [anon_sym_required] = ACTIONS(2438),
    [anon_sym_component] = ACTIONS(2438),
    [anon_sym_abstract] = ACTIONS(2438),
    [anon_sym_interface] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [sym_html_comment] = ACTIONS(5),
  },
  [1076] = {
    [sym_comment] = STATE(1076),
    [sym_identifier] = ACTIONS(3460),
    [anon_sym_export] = ACTIONS(3460),
    [anon_sym_default] = ACTIONS(3460),
    [anon_sym_type] = ACTIONS(3460),
    [anon_sym_namespace] = ACTIONS(3460),
    [anon_sym_LBRACE] = ACTIONS(3460),
    [anon_sym_RBRACE] = ACTIONS(3460),
    [anon_sym_typeof] = ACTIONS(3460),
    [anon_sym_import] = ACTIONS(3460),
    [anon_sym_from] = ACTIONS(3460),
    [anon_sym_with] = ACTIONS(3460),
    [anon_sym_var] = ACTIONS(3460),
    [anon_sym_let] = ACTIONS(3460),
    [anon_sym_const] = ACTIONS(3460),
    [anon_sym_BANG] = ACTIONS(3460),
    [anon_sym_if] = ACTIONS(3460),
    [anon_sym_switch] = ACTIONS(3460),
    [anon_sym_for] = ACTIONS(3460),
    [anon_sym_LPAREN] = ACTIONS(3460),
    [anon_sym_await] = ACTIONS(3460),
    [anon_sym_of] = ACTIONS(3460),
    [anon_sym_while] = ACTIONS(3460),
    [anon_sym_do] = ACTIONS(3460),
    [anon_sym_try] = ACTIONS(3460),
    [anon_sym_break] = ACTIONS(3460),
    [anon_sym_continue] = ACTIONS(3460),
    [anon_sym_debugger] = ACTIONS(3460),
    [anon_sym_return] = ACTIONS(3460),
    [anon_sym_throw] = ACTIONS(3460),
    [anon_sym_SEMI] = ACTIONS(3460),
    [anon_sym_case] = ACTIONS(3460),
    [anon_sym_finally] = ACTIONS(3460),
    [anon_sym_yield] = ACTIONS(3460),
    [anon_sym_LBRACK] = ACTIONS(3460),
    [anon_sym_LTtemplate_GT] = ACTIONS(3460),
    [anon_sym_DQUOTE] = ACTIONS(3460),
    [anon_sym_SQUOTE] = ACTIONS(3460),
    [anon_sym_class] = ACTIONS(3460),
    [anon_sym_async] = ACTIONS(3460),
    [anon_sym_function] = ACTIONS(3460),
    [anon_sym_new] = ACTIONS(3460),
    [anon_sym_using] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_SLASH] = ACTIONS(3460),
    [anon_sym_LT] = ACTIONS(3460),
    [anon_sym_TILDE] = ACTIONS(3460),
    [anon_sym_void] = ACTIONS(3460),
    [anon_sym_delete] = ACTIONS(3460),
    [anon_sym_PLUS_PLUS] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3460),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3460),
    [sym_number] = ACTIONS(3460),
    [sym_private_property_identifier] = ACTIONS(3460),
    [sym_this] = ACTIONS(3460),
    [sym_super] = ACTIONS(3460),
    [sym_true] = ACTIONS(3460),
    [sym_false] = ACTIONS(3460),
    [sym_null] = ACTIONS(3460),
    [sym_undefined] = ACTIONS(3460),
    [anon_sym_AT] = ACTIONS(3460),
    [anon_sym_static] = ACTIONS(3460),
    [anon_sym_readonly] = ACTIONS(3460),
    [anon_sym_get] = ACTIONS(3460),
    [anon_sym_set] = ACTIONS(3460),
    [anon_sym_declare] = ACTIONS(3460),
    [anon_sym_public] = ACTIONS(3460),
    [anon_sym_private] = ACTIONS(3460),
    [anon_sym_protected] = ACTIONS(3460),
    [anon_sym_override] = ACTIONS(3460),
    [anon_sym_module] = ACTIONS(3460),
    [anon_sym_any] = ACTIONS(3460),
    [anon_sym_number] = ACTIONS(3460),
    [anon_sym_boolean] = ACTIONS(3460),
    [anon_sym_string] = ACTIONS(3460),
    [anon_sym_symbol] = ACTIONS(3460),
    [anon_sym_object] = ACTIONS(3460),
    [anon_sym_property] = ACTIONS(3460),
    [anon_sym_signal] = ACTIONS(3460),
    [anon_sym_on] = ACTIONS(3460),
    [anon_sym_required] = ACTIONS(3460),
    [anon_sym_component] = ACTIONS(3460),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_interface] = ACTIONS(3460),
    [anon_sym_enum] = ACTIONS(3460),
    [sym_html_comment] = ACTIONS(5),
  },
  [1077] = {
    [sym_comment] = STATE(1077),
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_import] = ACTIONS(2474),
    [anon_sym_from] = ACTIONS(2474),
    [anon_sym_with] = ACTIONS(2474),
    [anon_sym_var] = ACTIONS(2474),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_await] = ACTIONS(2474),
    [anon_sym_of] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_debugger] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_LTtemplate_GT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_SLASH] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_void] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2474),
    [sym_number] = ACTIONS(2474),
    [sym_private_property_identifier] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
    [sym_super] = ACTIONS(2474),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [sym_null] = ACTIONS(2474),
    [sym_undefined] = ACTIONS(2474),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_property] = ACTIONS(2474),
    [anon_sym_signal] = ACTIONS(2474),
    [anon_sym_on] = ACTIONS(2474),
    [anon_sym_required] = ACTIONS(2474),
    [anon_sym_component] = ACTIONS(2474),
    [anon_sym_abstract] = ACTIONS(2474),
    [anon_sym_interface] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [sym_html_comment] = ACTIONS(5),
  },
  [1078] = {
    [sym_comment] = STATE(1078),
    [sym_identifier] = ACTIONS(3502),
    [anon_sym_export] = ACTIONS(3502),
    [anon_sym_default] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_namespace] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(3502),
    [anon_sym_RBRACE] = ACTIONS(3502),
    [anon_sym_typeof] = ACTIONS(3502),
    [anon_sym_import] = ACTIONS(3502),
    [anon_sym_from] = ACTIONS(3502),
    [anon_sym_with] = ACTIONS(3502),
    [anon_sym_var] = ACTIONS(3502),
    [anon_sym_let] = ACTIONS(3502),
    [anon_sym_const] = ACTIONS(3502),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_else] = ACTIONS(3502),
    [anon_sym_if] = ACTIONS(3502),
    [anon_sym_switch] = ACTIONS(3502),
    [anon_sym_for] = ACTIONS(3502),
    [anon_sym_LPAREN] = ACTIONS(3502),
    [anon_sym_await] = ACTIONS(3502),
    [anon_sym_of] = ACTIONS(3502),
    [anon_sym_while] = ACTIONS(3502),
    [anon_sym_do] = ACTIONS(3502),
    [anon_sym_try] = ACTIONS(3502),
    [anon_sym_break] = ACTIONS(3502),
    [anon_sym_continue] = ACTIONS(3502),
    [anon_sym_debugger] = ACTIONS(3502),
    [anon_sym_return] = ACTIONS(3502),
    [anon_sym_throw] = ACTIONS(3502),
    [anon_sym_SEMI] = ACTIONS(3502),
    [anon_sym_case] = ACTIONS(3502),
    [anon_sym_yield] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(3502),
    [anon_sym_LTtemplate_GT] = ACTIONS(3502),
    [anon_sym_DQUOTE] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_async] = ACTIONS(3502),
    [anon_sym_function] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3502),
    [anon_sym_using] = ACTIONS(3502),
    [anon_sym_PLUS] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3502),
    [anon_sym_SLASH] = ACTIONS(3502),
    [anon_sym_LT] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_void] = ACTIONS(3502),
    [anon_sym_delete] = ACTIONS(3502),
    [anon_sym_PLUS_PLUS] = ACTIONS(3502),
    [anon_sym_DASH_DASH] = ACTIONS(3502),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3502),
    [sym_private_property_identifier] = ACTIONS(3502),
    [sym_this] = ACTIONS(3502),
    [sym_super] = ACTIONS(3502),
    [sym_true] = ACTIONS(3502),
    [sym_false] = ACTIONS(3502),
    [sym_null] = ACTIONS(3502),
    [sym_undefined] = ACTIONS(3502),
    [anon_sym_AT] = ACTIONS(3502),
    [anon_sym_static] = ACTIONS(3502),
    [anon_sym_readonly] = ACTIONS(3502),
    [anon_sym_get] = ACTIONS(3502),
    [anon_sym_set] = ACTIONS(3502),
    [anon_sym_declare] = ACTIONS(3502),
    [anon_sym_public] = ACTIONS(3502),
    [anon_sym_private] = ACTIONS(3502),
    [anon_sym_protected] = ACTIONS(3502),
    [anon_sym_override] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_any] = ACTIONS(3502),
    [anon_sym_number] = ACTIONS(3502),
    [anon_sym_boolean] = ACTIONS(3502),
    [anon_sym_string] = ACTIONS(3502),
    [anon_sym_symbol] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(3502),
    [anon_sym_property] = ACTIONS(3502),
    [anon_sym_signal] = ACTIONS(3502),
    [anon_sym_on] = ACTIONS(3502),
    [anon_sym_required] = ACTIONS(3502),
    [anon_sym_component] = ACTIONS(3502),
    [anon_sym_abstract] = ACTIONS(3502),
    [anon_sym_interface] = ACTIONS(3502),
    [anon_sym_enum] = ACTIONS(3502),
    [sym_html_comment] = ACTIONS(5),
  },
  [1079] = {
    [sym_comment] = STATE(1079),
    [sym_identifier] = ACTIONS(2466),
    [anon_sym_export] = ACTIONS(2466),
    [anon_sym_default] = ACTIONS(2466),
    [anon_sym_type] = ACTIONS(2466),
    [anon_sym_namespace] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_typeof] = ACTIONS(2466),
    [anon_sym_import] = ACTIONS(2466),
    [anon_sym_from] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2466),
    [anon_sym_var] = ACTIONS(2466),
    [anon_sym_let] = ACTIONS(2466),
    [anon_sym_const] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_else] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_switch] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2466),
    [anon_sym_of] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2466),
    [anon_sym_do] = ACTIONS(2466),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_break] = ACTIONS(2466),
    [anon_sym_continue] = ACTIONS(2466),
    [anon_sym_debugger] = ACTIONS(2466),
    [anon_sym_return] = ACTIONS(2466),
    [anon_sym_throw] = ACTIONS(2466),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_case] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2466),
    [anon_sym_LTtemplate_GT] = ACTIONS(2466),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_class] = ACTIONS(2466),
    [anon_sym_async] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_using] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_void] = ACTIONS(2466),
    [anon_sym_delete] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2466),
    [sym_number] = ACTIONS(2466),
    [sym_private_property_identifier] = ACTIONS(2466),
    [sym_this] = ACTIONS(2466),
    [sym_super] = ACTIONS(2466),
    [sym_true] = ACTIONS(2466),
    [sym_false] = ACTIONS(2466),
    [sym_null] = ACTIONS(2466),
    [sym_undefined] = ACTIONS(2466),
    [anon_sym_AT] = ACTIONS(2466),
    [anon_sym_static] = ACTIONS(2466),
    [anon_sym_readonly] = ACTIONS(2466),
    [anon_sym_get] = ACTIONS(2466),
    [anon_sym_set] = ACTIONS(2466),
    [anon_sym_declare] = ACTIONS(2466),
    [anon_sym_public] = ACTIONS(2466),
    [anon_sym_private] = ACTIONS(2466),
    [anon_sym_protected] = ACTIONS(2466),
    [anon_sym_override] = ACTIONS(2466),
    [anon_sym_module] = ACTIONS(2466),
    [anon_sym_any] = ACTIONS(2466),
    [anon_sym_number] = ACTIONS(2466),
    [anon_sym_boolean] = ACTIONS(2466),
    [anon_sym_string] = ACTIONS(2466),
    [anon_sym_symbol] = ACTIONS(2466),
    [anon_sym_object] = ACTIONS(2466),
    [anon_sym_property] = ACTIONS(2466),
    [anon_sym_signal] = ACTIONS(2466),
    [anon_sym_on] = ACTIONS(2466),
    [anon_sym_required] = ACTIONS(2466),
    [anon_sym_component] = ACTIONS(2466),
    [anon_sym_abstract] = ACTIONS(2466),
    [anon_sym_interface] = ACTIONS(2466),
    [anon_sym_enum] = ACTIONS(2466),
    [sym_html_comment] = ACTIONS(5),
  },
  [1080] = {
    [sym_comment] = STATE(1080),
    [sym_identifier] = ACTIONS(3504),
    [anon_sym_export] = ACTIONS(3504),
    [anon_sym_default] = ACTIONS(3504),
    [anon_sym_type] = ACTIONS(3504),
    [anon_sym_namespace] = ACTIONS(3504),
    [anon_sym_LBRACE] = ACTIONS(3504),
    [anon_sym_RBRACE] = ACTIONS(3504),
    [anon_sym_typeof] = ACTIONS(3504),
    [anon_sym_import] = ACTIONS(3504),
    [anon_sym_from] = ACTIONS(3504),
    [anon_sym_with] = ACTIONS(3504),
    [anon_sym_var] = ACTIONS(3504),
    [anon_sym_let] = ACTIONS(3504),
    [anon_sym_const] = ACTIONS(3504),
    [anon_sym_BANG] = ACTIONS(3504),
    [anon_sym_else] = ACTIONS(3504),
    [anon_sym_if] = ACTIONS(3504),
    [anon_sym_switch] = ACTIONS(3504),
    [anon_sym_for] = ACTIONS(3504),
    [anon_sym_LPAREN] = ACTIONS(3504),
    [anon_sym_await] = ACTIONS(3504),
    [anon_sym_of] = ACTIONS(3504),
    [anon_sym_while] = ACTIONS(3504),
    [anon_sym_do] = ACTIONS(3504),
    [anon_sym_try] = ACTIONS(3504),
    [anon_sym_break] = ACTIONS(3504),
    [anon_sym_continue] = ACTIONS(3504),
    [anon_sym_debugger] = ACTIONS(3504),
    [anon_sym_return] = ACTIONS(3504),
    [anon_sym_throw] = ACTIONS(3504),
    [anon_sym_SEMI] = ACTIONS(3504),
    [anon_sym_case] = ACTIONS(3504),
    [anon_sym_yield] = ACTIONS(3504),
    [anon_sym_LBRACK] = ACTIONS(3504),
    [anon_sym_LTtemplate_GT] = ACTIONS(3504),
    [anon_sym_DQUOTE] = ACTIONS(3504),
    [anon_sym_SQUOTE] = ACTIONS(3504),
    [anon_sym_class] = ACTIONS(3504),
    [anon_sym_async] = ACTIONS(3504),
    [anon_sym_function] = ACTIONS(3504),
    [anon_sym_new] = ACTIONS(3504),
    [anon_sym_using] = ACTIONS(3504),
    [anon_sym_PLUS] = ACTIONS(3504),
    [anon_sym_DASH] = ACTIONS(3504),
    [anon_sym_SLASH] = ACTIONS(3504),
    [anon_sym_LT] = ACTIONS(3504),
    [anon_sym_TILDE] = ACTIONS(3504),
    [anon_sym_void] = ACTIONS(3504),
    [anon_sym_delete] = ACTIONS(3504),
    [anon_sym_PLUS_PLUS] = ACTIONS(3504),
    [anon_sym_DASH_DASH] = ACTIONS(3504),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3504),
    [sym_number] = ACTIONS(3504),
    [sym_private_property_identifier] = ACTIONS(3504),
    [sym_this] = ACTIONS(3504),
    [sym_super] = ACTIONS(3504),
    [sym_true] = ACTIONS(3504),
    [sym_false] = ACTIONS(3504),
    [sym_null] = ACTIONS(3504),
    [sym_undefined] = ACTIONS(3504),
    [anon_sym_AT] = ACTIONS(3504),
    [anon_sym_static] = ACTIONS(3504),
    [anon_sym_readonly] = ACTIONS(3504),
    [anon_sym_get] = ACTIONS(3504),
    [anon_sym_set] = ACTIONS(3504),
    [anon_sym_declare] = ACTIONS(3504),
    [anon_sym_public] = ACTIONS(3504),
    [anon_sym_private] = ACTIONS(3504),
    [anon_sym_protected] = ACTIONS(3504),
    [anon_sym_override] = ACTIONS(3504),
    [anon_sym_module] = ACTIONS(3504),
    [anon_sym_any] = ACTIONS(3504),
    [anon_sym_number] = ACTIONS(3504),
    [anon_sym_boolean] = ACTIONS(3504),
    [anon_sym_string] = ACTIONS(3504),
    [anon_sym_symbol] = ACTIONS(3504),
    [anon_sym_object] = ACTIONS(3504),
    [anon_sym_property] = ACTIONS(3504),
    [anon_sym_signal] = ACTIONS(3504),
    [anon_sym_on] = ACTIONS(3504),
    [anon_sym_required] = ACTIONS(3504),
    [anon_sym_component] = ACTIONS(3504),
    [anon_sym_abstract] = ACTIONS(3504),
    [anon_sym_interface] = ACTIONS(3504),
    [anon_sym_enum] = ACTIONS(3504),
    [sym_html_comment] = ACTIONS(5),
  },
  [1081] = {
    [sym_comment] = STATE(1081),
    [sym_identifier] = ACTIONS(3506),
    [anon_sym_export] = ACTIONS(3506),
    [anon_sym_default] = ACTIONS(3506),
    [anon_sym_type] = ACTIONS(3506),
    [anon_sym_namespace] = ACTIONS(3506),
    [anon_sym_LBRACE] = ACTIONS(3506),
    [anon_sym_RBRACE] = ACTIONS(3506),
    [anon_sym_typeof] = ACTIONS(3506),
    [anon_sym_import] = ACTIONS(3506),
    [anon_sym_from] = ACTIONS(3506),
    [anon_sym_with] = ACTIONS(3506),
    [anon_sym_var] = ACTIONS(3506),
    [anon_sym_let] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3506),
    [anon_sym_else] = ACTIONS(3506),
    [anon_sym_if] = ACTIONS(3506),
    [anon_sym_switch] = ACTIONS(3506),
    [anon_sym_for] = ACTIONS(3506),
    [anon_sym_LPAREN] = ACTIONS(3506),
    [anon_sym_await] = ACTIONS(3506),
    [anon_sym_of] = ACTIONS(3506),
    [anon_sym_while] = ACTIONS(3506),
    [anon_sym_do] = ACTIONS(3506),
    [anon_sym_try] = ACTIONS(3506),
    [anon_sym_break] = ACTIONS(3506),
    [anon_sym_continue] = ACTIONS(3506),
    [anon_sym_debugger] = ACTIONS(3506),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_throw] = ACTIONS(3506),
    [anon_sym_SEMI] = ACTIONS(3506),
    [anon_sym_case] = ACTIONS(3506),
    [anon_sym_yield] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(3506),
    [anon_sym_LTtemplate_GT] = ACTIONS(3506),
    [anon_sym_DQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_class] = ACTIONS(3506),
    [anon_sym_async] = ACTIONS(3506),
    [anon_sym_function] = ACTIONS(3506),
    [anon_sym_new] = ACTIONS(3506),
    [anon_sym_using] = ACTIONS(3506),
    [anon_sym_PLUS] = ACTIONS(3506),
    [anon_sym_DASH] = ACTIONS(3506),
    [anon_sym_SLASH] = ACTIONS(3506),
    [anon_sym_LT] = ACTIONS(3506),
    [anon_sym_TILDE] = ACTIONS(3506),
    [anon_sym_void] = ACTIONS(3506),
    [anon_sym_delete] = ACTIONS(3506),
    [anon_sym_PLUS_PLUS] = ACTIONS(3506),
    [anon_sym_DASH_DASH] = ACTIONS(3506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3506),
    [sym_number] = ACTIONS(3506),
    [sym_private_property_identifier] = ACTIONS(3506),
    [sym_this] = ACTIONS(3506),
    [sym_super] = ACTIONS(3506),
    [sym_true] = ACTIONS(3506),
    [sym_false] = ACTIONS(3506),
    [sym_null] = ACTIONS(3506),
    [sym_undefined] = ACTIONS(3506),
    [anon_sym_AT] = ACTIONS(3506),
    [anon_sym_static] = ACTIONS(3506),
    [anon_sym_readonly] = ACTIONS(3506),
    [anon_sym_get] = ACTIONS(3506),
    [anon_sym_set] = ACTIONS(3506),
    [anon_sym_declare] = ACTIONS(3506),
    [anon_sym_public] = ACTIONS(3506),
    [anon_sym_private] = ACTIONS(3506),
    [anon_sym_protected] = ACTIONS(3506),
    [anon_sym_override] = ACTIONS(3506),
    [anon_sym_module] = ACTIONS(3506),
    [anon_sym_any] = ACTIONS(3506),
    [anon_sym_number] = ACTIONS(3506),
    [anon_sym_boolean] = ACTIONS(3506),
    [anon_sym_string] = ACTIONS(3506),
    [anon_sym_symbol] = ACTIONS(3506),
    [anon_sym_object] = ACTIONS(3506),
    [anon_sym_property] = ACTIONS(3506),
    [anon_sym_signal] = ACTIONS(3506),
    [anon_sym_on] = ACTIONS(3506),
    [anon_sym_required] = ACTIONS(3506),
    [anon_sym_component] = ACTIONS(3506),
    [anon_sym_abstract] = ACTIONS(3506),
    [anon_sym_interface] = ACTIONS(3506),
    [anon_sym_enum] = ACTIONS(3506),
    [sym_html_comment] = ACTIONS(5),
  },
  [1082] = {
    [sym_comment] = STATE(1082),
    [sym_identifier] = ACTIONS(3508),
    [anon_sym_export] = ACTIONS(3508),
    [anon_sym_default] = ACTIONS(3508),
    [anon_sym_type] = ACTIONS(3508),
    [anon_sym_namespace] = ACTIONS(3508),
    [anon_sym_LBRACE] = ACTIONS(3508),
    [anon_sym_RBRACE] = ACTIONS(3508),
    [anon_sym_typeof] = ACTIONS(3508),
    [anon_sym_import] = ACTIONS(3508),
    [anon_sym_from] = ACTIONS(3508),
    [anon_sym_with] = ACTIONS(3508),
    [anon_sym_var] = ACTIONS(3508),
    [anon_sym_let] = ACTIONS(3508),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_else] = ACTIONS(3508),
    [anon_sym_if] = ACTIONS(3508),
    [anon_sym_switch] = ACTIONS(3508),
    [anon_sym_for] = ACTIONS(3508),
    [anon_sym_LPAREN] = ACTIONS(3508),
    [anon_sym_await] = ACTIONS(3508),
    [anon_sym_of] = ACTIONS(3508),
    [anon_sym_while] = ACTIONS(3508),
    [anon_sym_do] = ACTIONS(3508),
    [anon_sym_try] = ACTIONS(3508),
    [anon_sym_break] = ACTIONS(3508),
    [anon_sym_continue] = ACTIONS(3508),
    [anon_sym_debugger] = ACTIONS(3508),
    [anon_sym_return] = ACTIONS(3508),
    [anon_sym_throw] = ACTIONS(3508),
    [anon_sym_SEMI] = ACTIONS(3508),
    [anon_sym_case] = ACTIONS(3508),
    [anon_sym_yield] = ACTIONS(3508),
    [anon_sym_LBRACK] = ACTIONS(3508),
    [anon_sym_LTtemplate_GT] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_class] = ACTIONS(3508),
    [anon_sym_async] = ACTIONS(3508),
    [anon_sym_function] = ACTIONS(3508),
    [anon_sym_new] = ACTIONS(3508),
    [anon_sym_using] = ACTIONS(3508),
    [anon_sym_PLUS] = ACTIONS(3508),
    [anon_sym_DASH] = ACTIONS(3508),
    [anon_sym_SLASH] = ACTIONS(3508),
    [anon_sym_LT] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3508),
    [anon_sym_void] = ACTIONS(3508),
    [anon_sym_delete] = ACTIONS(3508),
    [anon_sym_PLUS_PLUS] = ACTIONS(3508),
    [anon_sym_DASH_DASH] = ACTIONS(3508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3508),
    [sym_number] = ACTIONS(3508),
    [sym_private_property_identifier] = ACTIONS(3508),
    [sym_this] = ACTIONS(3508),
    [sym_super] = ACTIONS(3508),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_AT] = ACTIONS(3508),
    [anon_sym_static] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3508),
    [anon_sym_get] = ACTIONS(3508),
    [anon_sym_set] = ACTIONS(3508),
    [anon_sym_declare] = ACTIONS(3508),
    [anon_sym_public] = ACTIONS(3508),
    [anon_sym_private] = ACTIONS(3508),
    [anon_sym_protected] = ACTIONS(3508),
    [anon_sym_override] = ACTIONS(3508),
    [anon_sym_module] = ACTIONS(3508),
    [anon_sym_any] = ACTIONS(3508),
    [anon_sym_number] = ACTIONS(3508),
    [anon_sym_boolean] = ACTIONS(3508),
    [anon_sym_string] = ACTIONS(3508),
    [anon_sym_symbol] = ACTIONS(3508),
    [anon_sym_object] = ACTIONS(3508),
    [anon_sym_property] = ACTIONS(3508),
    [anon_sym_signal] = ACTIONS(3508),
    [anon_sym_on] = ACTIONS(3508),
    [anon_sym_required] = ACTIONS(3508),
    [anon_sym_component] = ACTIONS(3508),
    [anon_sym_abstract] = ACTIONS(3508),
    [anon_sym_interface] = ACTIONS(3508),
    [anon_sym_enum] = ACTIONS(3508),
    [sym_html_comment] = ACTIONS(5),
  },
  [1083] = {
    [sym_comment] = STATE(1083),
    [sym_identifier] = ACTIONS(3510),
    [anon_sym_export] = ACTIONS(3510),
    [anon_sym_default] = ACTIONS(3510),
    [anon_sym_type] = ACTIONS(3510),
    [anon_sym_namespace] = ACTIONS(3510),
    [anon_sym_LBRACE] = ACTIONS(3510),
    [anon_sym_RBRACE] = ACTIONS(3510),
    [anon_sym_typeof] = ACTIONS(3510),
    [anon_sym_import] = ACTIONS(3510),
    [anon_sym_from] = ACTIONS(3510),
    [anon_sym_with] = ACTIONS(3510),
    [anon_sym_var] = ACTIONS(3510),
    [anon_sym_let] = ACTIONS(3510),
    [anon_sym_const] = ACTIONS(3510),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_else] = ACTIONS(3510),
    [anon_sym_if] = ACTIONS(3510),
    [anon_sym_switch] = ACTIONS(3510),
    [anon_sym_for] = ACTIONS(3510),
    [anon_sym_LPAREN] = ACTIONS(3510),
    [anon_sym_await] = ACTIONS(3510),
    [anon_sym_of] = ACTIONS(3510),
    [anon_sym_while] = ACTIONS(3510),
    [anon_sym_do] = ACTIONS(3510),
    [anon_sym_try] = ACTIONS(3510),
    [anon_sym_break] = ACTIONS(3510),
    [anon_sym_continue] = ACTIONS(3510),
    [anon_sym_debugger] = ACTIONS(3510),
    [anon_sym_return] = ACTIONS(3510),
    [anon_sym_throw] = ACTIONS(3510),
    [anon_sym_SEMI] = ACTIONS(3510),
    [anon_sym_case] = ACTIONS(3510),
    [anon_sym_yield] = ACTIONS(3510),
    [anon_sym_LBRACK] = ACTIONS(3510),
    [anon_sym_LTtemplate_GT] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [anon_sym_SQUOTE] = ACTIONS(3510),
    [anon_sym_class] = ACTIONS(3510),
    [anon_sym_async] = ACTIONS(3510),
    [anon_sym_function] = ACTIONS(3510),
    [anon_sym_new] = ACTIONS(3510),
    [anon_sym_using] = ACTIONS(3510),
    [anon_sym_PLUS] = ACTIONS(3510),
    [anon_sym_DASH] = ACTIONS(3510),
    [anon_sym_SLASH] = ACTIONS(3510),
    [anon_sym_LT] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [anon_sym_void] = ACTIONS(3510),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_PLUS_PLUS] = ACTIONS(3510),
    [anon_sym_DASH_DASH] = ACTIONS(3510),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3510),
    [sym_number] = ACTIONS(3510),
    [sym_private_property_identifier] = ACTIONS(3510),
    [sym_this] = ACTIONS(3510),
    [sym_super] = ACTIONS(3510),
    [sym_true] = ACTIONS(3510),
    [sym_false] = ACTIONS(3510),
    [sym_null] = ACTIONS(3510),
    [sym_undefined] = ACTIONS(3510),
    [anon_sym_AT] = ACTIONS(3510),
    [anon_sym_static] = ACTIONS(3510),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_get] = ACTIONS(3510),
    [anon_sym_set] = ACTIONS(3510),
    [anon_sym_declare] = ACTIONS(3510),
    [anon_sym_public] = ACTIONS(3510),
    [anon_sym_private] = ACTIONS(3510),
    [anon_sym_protected] = ACTIONS(3510),
    [anon_sym_override] = ACTIONS(3510),
    [anon_sym_module] = ACTIONS(3510),
    [anon_sym_any] = ACTIONS(3510),
    [anon_sym_number] = ACTIONS(3510),
    [anon_sym_boolean] = ACTIONS(3510),
    [anon_sym_string] = ACTIONS(3510),
    [anon_sym_symbol] = ACTIONS(3510),
    [anon_sym_object] = ACTIONS(3510),
    [anon_sym_property] = ACTIONS(3510),
    [anon_sym_signal] = ACTIONS(3510),
    [anon_sym_on] = ACTIONS(3510),
    [anon_sym_required] = ACTIONS(3510),
    [anon_sym_component] = ACTIONS(3510),
    [anon_sym_abstract] = ACTIONS(3510),
    [anon_sym_interface] = ACTIONS(3510),
    [anon_sym_enum] = ACTIONS(3510),
    [sym_html_comment] = ACTIONS(5),
  },
  [1084] = {
    [sym_comment] = STATE(1084),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_finally] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(3512),
    [sym_html_comment] = ACTIONS(5),
  },
  [1085] = {
    [sym_comment] = STATE(1085),
    [sym_identifier] = ACTIONS(3508),
    [anon_sym_export] = ACTIONS(3508),
    [anon_sym_default] = ACTIONS(3508),
    [anon_sym_type] = ACTIONS(3508),
    [anon_sym_namespace] = ACTIONS(3508),
    [anon_sym_LBRACE] = ACTIONS(3508),
    [anon_sym_RBRACE] = ACTIONS(3508),
    [anon_sym_typeof] = ACTIONS(3508),
    [anon_sym_import] = ACTIONS(3508),
    [anon_sym_from] = ACTIONS(3508),
    [anon_sym_with] = ACTIONS(3508),
    [anon_sym_var] = ACTIONS(3508),
    [anon_sym_let] = ACTIONS(3508),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_else] = ACTIONS(3508),
    [anon_sym_if] = ACTIONS(3508),
    [anon_sym_switch] = ACTIONS(3508),
    [anon_sym_for] = ACTIONS(3508),
    [anon_sym_LPAREN] = ACTIONS(3508),
    [anon_sym_await] = ACTIONS(3508),
    [anon_sym_of] = ACTIONS(3508),
    [anon_sym_while] = ACTIONS(3508),
    [anon_sym_do] = ACTIONS(3508),
    [anon_sym_try] = ACTIONS(3508),
    [anon_sym_break] = ACTIONS(3508),
    [anon_sym_continue] = ACTIONS(3508),
    [anon_sym_debugger] = ACTIONS(3508),
    [anon_sym_return] = ACTIONS(3508),
    [anon_sym_throw] = ACTIONS(3508),
    [anon_sym_SEMI] = ACTIONS(3508),
    [anon_sym_case] = ACTIONS(3508),
    [anon_sym_yield] = ACTIONS(3508),
    [anon_sym_LBRACK] = ACTIONS(3508),
    [anon_sym_LTtemplate_GT] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_class] = ACTIONS(3508),
    [anon_sym_async] = ACTIONS(3508),
    [anon_sym_function] = ACTIONS(3508),
    [anon_sym_new] = ACTIONS(3508),
    [anon_sym_using] = ACTIONS(3508),
    [anon_sym_PLUS] = ACTIONS(3508),
    [anon_sym_DASH] = ACTIONS(3508),
    [anon_sym_SLASH] = ACTIONS(3508),
    [anon_sym_LT] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3508),
    [anon_sym_void] = ACTIONS(3508),
    [anon_sym_delete] = ACTIONS(3508),
    [anon_sym_PLUS_PLUS] = ACTIONS(3508),
    [anon_sym_DASH_DASH] = ACTIONS(3508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3508),
    [sym_number] = ACTIONS(3508),
    [sym_private_property_identifier] = ACTIONS(3508),
    [sym_this] = ACTIONS(3508),
    [sym_super] = ACTIONS(3508),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_AT] = ACTIONS(3508),
    [anon_sym_static] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3508),
    [anon_sym_get] = ACTIONS(3508),
    [anon_sym_set] = ACTIONS(3508),
    [anon_sym_declare] = ACTIONS(3508),
    [anon_sym_public] = ACTIONS(3508),
    [anon_sym_private] = ACTIONS(3508),
    [anon_sym_protected] = ACTIONS(3508),
    [anon_sym_override] = ACTIONS(3508),
    [anon_sym_module] = ACTIONS(3508),
    [anon_sym_any] = ACTIONS(3508),
    [anon_sym_number] = ACTIONS(3508),
    [anon_sym_boolean] = ACTIONS(3508),
    [anon_sym_string] = ACTIONS(3508),
    [anon_sym_symbol] = ACTIONS(3508),
    [anon_sym_object] = ACTIONS(3508),
    [anon_sym_property] = ACTIONS(3508),
    [anon_sym_signal] = ACTIONS(3508),
    [anon_sym_on] = ACTIONS(3508),
    [anon_sym_required] = ACTIONS(3508),
    [anon_sym_component] = ACTIONS(3508),
    [anon_sym_abstract] = ACTIONS(3508),
    [anon_sym_interface] = ACTIONS(3508),
    [anon_sym_enum] = ACTIONS(3508),
    [sym_html_comment] = ACTIONS(5),
  },
  [1086] = {
    [sym_comment] = STATE(1086),
    [sym_identifier] = ACTIONS(3514),
    [anon_sym_export] = ACTIONS(3514),
    [anon_sym_default] = ACTIONS(3514),
    [anon_sym_type] = ACTIONS(3514),
    [anon_sym_namespace] = ACTIONS(3514),
    [anon_sym_LBRACE] = ACTIONS(3514),
    [anon_sym_RBRACE] = ACTIONS(3514),
    [anon_sym_typeof] = ACTIONS(3514),
    [anon_sym_import] = ACTIONS(3514),
    [anon_sym_from] = ACTIONS(3514),
    [anon_sym_with] = ACTIONS(3514),
    [anon_sym_var] = ACTIONS(3514),
    [anon_sym_let] = ACTIONS(3514),
    [anon_sym_const] = ACTIONS(3514),
    [anon_sym_BANG] = ACTIONS(3514),
    [anon_sym_else] = ACTIONS(3514),
    [anon_sym_if] = ACTIONS(3514),
    [anon_sym_switch] = ACTIONS(3514),
    [anon_sym_for] = ACTIONS(3514),
    [anon_sym_LPAREN] = ACTIONS(3514),
    [anon_sym_await] = ACTIONS(3514),
    [anon_sym_of] = ACTIONS(3514),
    [anon_sym_while] = ACTIONS(3514),
    [anon_sym_do] = ACTIONS(3514),
    [anon_sym_try] = ACTIONS(3514),
    [anon_sym_break] = ACTIONS(3514),
    [anon_sym_continue] = ACTIONS(3514),
    [anon_sym_debugger] = ACTIONS(3514),
    [anon_sym_return] = ACTIONS(3514),
    [anon_sym_throw] = ACTIONS(3514),
    [anon_sym_SEMI] = ACTIONS(3514),
    [anon_sym_case] = ACTIONS(3514),
    [anon_sym_yield] = ACTIONS(3514),
    [anon_sym_LBRACK] = ACTIONS(3514),
    [anon_sym_LTtemplate_GT] = ACTIONS(3514),
    [anon_sym_DQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_class] = ACTIONS(3514),
    [anon_sym_async] = ACTIONS(3514),
    [anon_sym_function] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(3514),
    [anon_sym_using] = ACTIONS(3514),
    [anon_sym_PLUS] = ACTIONS(3514),
    [anon_sym_DASH] = ACTIONS(3514),
    [anon_sym_SLASH] = ACTIONS(3514),
    [anon_sym_LT] = ACTIONS(3514),
    [anon_sym_TILDE] = ACTIONS(3514),
    [anon_sym_void] = ACTIONS(3514),
    [anon_sym_delete] = ACTIONS(3514),
    [anon_sym_PLUS_PLUS] = ACTIONS(3514),
    [anon_sym_DASH_DASH] = ACTIONS(3514),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3514),
    [sym_number] = ACTIONS(3514),
    [sym_private_property_identifier] = ACTIONS(3514),
    [sym_this] = ACTIONS(3514),
    [sym_super] = ACTIONS(3514),
    [sym_true] = ACTIONS(3514),
    [sym_false] = ACTIONS(3514),
    [sym_null] = ACTIONS(3514),
    [sym_undefined] = ACTIONS(3514),
    [anon_sym_AT] = ACTIONS(3514),
    [anon_sym_static] = ACTIONS(3514),
    [anon_sym_readonly] = ACTIONS(3514),
    [anon_sym_get] = ACTIONS(3514),
    [anon_sym_set] = ACTIONS(3514),
    [anon_sym_declare] = ACTIONS(3514),
    [anon_sym_public] = ACTIONS(3514),
    [anon_sym_private] = ACTIONS(3514),
    [anon_sym_protected] = ACTIONS(3514),
    [anon_sym_override] = ACTIONS(3514),
    [anon_sym_module] = ACTIONS(3514),
    [anon_sym_any] = ACTIONS(3514),
    [anon_sym_number] = ACTIONS(3514),
    [anon_sym_boolean] = ACTIONS(3514),
    [anon_sym_string] = ACTIONS(3514),
    [anon_sym_symbol] = ACTIONS(3514),
    [anon_sym_object] = ACTIONS(3514),
    [anon_sym_property] = ACTIONS(3514),
    [anon_sym_signal] = ACTIONS(3514),
    [anon_sym_on] = ACTIONS(3514),
    [anon_sym_required] = ACTIONS(3514),
    [anon_sym_component] = ACTIONS(3514),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_interface] = ACTIONS(3514),
    [anon_sym_enum] = ACTIONS(3514),
    [sym_html_comment] = ACTIONS(5),
  },
  [1087] = {
    [sym_comment] = STATE(1087),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_export] = ACTIONS(3516),
    [anon_sym_default] = ACTIONS(3516),
    [anon_sym_type] = ACTIONS(3516),
    [anon_sym_namespace] = ACTIONS(3516),
    [anon_sym_LBRACE] = ACTIONS(3516),
    [anon_sym_RBRACE] = ACTIONS(3516),
    [anon_sym_typeof] = ACTIONS(3516),
    [anon_sym_import] = ACTIONS(3516),
    [anon_sym_from] = ACTIONS(3516),
    [anon_sym_with] = ACTIONS(3516),
    [anon_sym_var] = ACTIONS(3516),
    [anon_sym_let] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3516),
    [anon_sym_BANG] = ACTIONS(3516),
    [anon_sym_else] = ACTIONS(3516),
    [anon_sym_if] = ACTIONS(3516),
    [anon_sym_switch] = ACTIONS(3516),
    [anon_sym_for] = ACTIONS(3516),
    [anon_sym_LPAREN] = ACTIONS(3516),
    [anon_sym_await] = ACTIONS(3516),
    [anon_sym_of] = ACTIONS(3516),
    [anon_sym_while] = ACTIONS(3516),
    [anon_sym_do] = ACTIONS(3516),
    [anon_sym_try] = ACTIONS(3516),
    [anon_sym_break] = ACTIONS(3516),
    [anon_sym_continue] = ACTIONS(3516),
    [anon_sym_debugger] = ACTIONS(3516),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_throw] = ACTIONS(3516),
    [anon_sym_SEMI] = ACTIONS(3516),
    [anon_sym_case] = ACTIONS(3516),
    [anon_sym_yield] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(3516),
    [anon_sym_LTtemplate_GT] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [anon_sym_SQUOTE] = ACTIONS(3516),
    [anon_sym_class] = ACTIONS(3516),
    [anon_sym_async] = ACTIONS(3516),
    [anon_sym_function] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(3516),
    [anon_sym_using] = ACTIONS(3516),
    [anon_sym_PLUS] = ACTIONS(3516),
    [anon_sym_DASH] = ACTIONS(3516),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_LT] = ACTIONS(3516),
    [anon_sym_TILDE] = ACTIONS(3516),
    [anon_sym_void] = ACTIONS(3516),
    [anon_sym_delete] = ACTIONS(3516),
    [anon_sym_PLUS_PLUS] = ACTIONS(3516),
    [anon_sym_DASH_DASH] = ACTIONS(3516),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3516),
    [sym_number] = ACTIONS(3516),
    [sym_private_property_identifier] = ACTIONS(3516),
    [sym_this] = ACTIONS(3516),
    [sym_super] = ACTIONS(3516),
    [sym_true] = ACTIONS(3516),
    [sym_false] = ACTIONS(3516),
    [sym_null] = ACTIONS(3516),
    [sym_undefined] = ACTIONS(3516),
    [anon_sym_AT] = ACTIONS(3516),
    [anon_sym_static] = ACTIONS(3516),
    [anon_sym_readonly] = ACTIONS(3516),
    [anon_sym_get] = ACTIONS(3516),
    [anon_sym_set] = ACTIONS(3516),
    [anon_sym_declare] = ACTIONS(3516),
    [anon_sym_public] = ACTIONS(3516),
    [anon_sym_private] = ACTIONS(3516),
    [anon_sym_protected] = ACTIONS(3516),
    [anon_sym_override] = ACTIONS(3516),
    [anon_sym_module] = ACTIONS(3516),
    [anon_sym_any] = ACTIONS(3516),
    [anon_sym_number] = ACTIONS(3516),
    [anon_sym_boolean] = ACTIONS(3516),
    [anon_sym_string] = ACTIONS(3516),
    [anon_sym_symbol] = ACTIONS(3516),
    [anon_sym_object] = ACTIONS(3516),
    [anon_sym_property] = ACTIONS(3516),
    [anon_sym_signal] = ACTIONS(3516),
    [anon_sym_on] = ACTIONS(3516),
    [anon_sym_required] = ACTIONS(3516),
    [anon_sym_component] = ACTIONS(3516),
    [anon_sym_abstract] = ACTIONS(3516),
    [anon_sym_interface] = ACTIONS(3516),
    [anon_sym_enum] = ACTIONS(3516),
    [sym_html_comment] = ACTIONS(5),
  },
  [1088] = {
    [sym_comment] = STATE(1088),
    [sym_identifier] = ACTIONS(3518),
    [anon_sym_export] = ACTIONS(3518),
    [anon_sym_default] = ACTIONS(3518),
    [anon_sym_type] = ACTIONS(3518),
    [anon_sym_namespace] = ACTIONS(3518),
    [anon_sym_LBRACE] = ACTIONS(3518),
    [anon_sym_RBRACE] = ACTIONS(3518),
    [anon_sym_typeof] = ACTIONS(3518),
    [anon_sym_import] = ACTIONS(3518),
    [anon_sym_from] = ACTIONS(3518),
    [anon_sym_with] = ACTIONS(3518),
    [anon_sym_var] = ACTIONS(3518),
    [anon_sym_let] = ACTIONS(3518),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_BANG] = ACTIONS(3518),
    [anon_sym_else] = ACTIONS(3518),
    [anon_sym_if] = ACTIONS(3518),
    [anon_sym_switch] = ACTIONS(3518),
    [anon_sym_for] = ACTIONS(3518),
    [anon_sym_LPAREN] = ACTIONS(3518),
    [anon_sym_await] = ACTIONS(3518),
    [anon_sym_of] = ACTIONS(3518),
    [anon_sym_while] = ACTIONS(3518),
    [anon_sym_do] = ACTIONS(3518),
    [anon_sym_try] = ACTIONS(3518),
    [anon_sym_break] = ACTIONS(3518),
    [anon_sym_continue] = ACTIONS(3518),
    [anon_sym_debugger] = ACTIONS(3518),
    [anon_sym_return] = ACTIONS(3518),
    [anon_sym_throw] = ACTIONS(3518),
    [anon_sym_SEMI] = ACTIONS(3518),
    [anon_sym_case] = ACTIONS(3518),
    [anon_sym_yield] = ACTIONS(3518),
    [anon_sym_LBRACK] = ACTIONS(3518),
    [anon_sym_LTtemplate_GT] = ACTIONS(3518),
    [anon_sym_DQUOTE] = ACTIONS(3518),
    [anon_sym_SQUOTE] = ACTIONS(3518),
    [anon_sym_class] = ACTIONS(3518),
    [anon_sym_async] = ACTIONS(3518),
    [anon_sym_function] = ACTIONS(3518),
    [anon_sym_new] = ACTIONS(3518),
    [anon_sym_using] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_SLASH] = ACTIONS(3518),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_TILDE] = ACTIONS(3518),
    [anon_sym_void] = ACTIONS(3518),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_PLUS_PLUS] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3518),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3518),
    [sym_number] = ACTIONS(3518),
    [sym_private_property_identifier] = ACTIONS(3518),
    [sym_this] = ACTIONS(3518),
    [sym_super] = ACTIONS(3518),
    [sym_true] = ACTIONS(3518),
    [sym_false] = ACTIONS(3518),
    [sym_null] = ACTIONS(3518),
    [sym_undefined] = ACTIONS(3518),
    [anon_sym_AT] = ACTIONS(3518),
    [anon_sym_static] = ACTIONS(3518),
    [anon_sym_readonly] = ACTIONS(3518),
    [anon_sym_get] = ACTIONS(3518),
    [anon_sym_set] = ACTIONS(3518),
    [anon_sym_declare] = ACTIONS(3518),
    [anon_sym_public] = ACTIONS(3518),
    [anon_sym_private] = ACTIONS(3518),
    [anon_sym_protected] = ACTIONS(3518),
    [anon_sym_override] = ACTIONS(3518),
    [anon_sym_module] = ACTIONS(3518),
    [anon_sym_any] = ACTIONS(3518),
    [anon_sym_number] = ACTIONS(3518),
    [anon_sym_boolean] = ACTIONS(3518),
    [anon_sym_string] = ACTIONS(3518),
    [anon_sym_symbol] = ACTIONS(3518),
    [anon_sym_object] = ACTIONS(3518),
    [anon_sym_property] = ACTIONS(3518),
    [anon_sym_signal] = ACTIONS(3518),
    [anon_sym_on] = ACTIONS(3518),
    [anon_sym_required] = ACTIONS(3518),
    [anon_sym_component] = ACTIONS(3518),
    [anon_sym_abstract] = ACTIONS(3518),
    [anon_sym_interface] = ACTIONS(3518),
    [anon_sym_enum] = ACTIONS(3518),
    [sym_html_comment] = ACTIONS(5),
  },
  [1089] = {
    [sym_comment] = STATE(1089),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_else] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_catch] = ACTIONS(2350),
    [anon_sym_finally] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym_html_comment] = ACTIONS(5),
  },
  [1090] = {
    [sym_comment] = STATE(1090),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_export] = ACTIONS(2434),
    [anon_sym_default] = ACTIONS(2434),
    [anon_sym_type] = ACTIONS(2434),
    [anon_sym_namespace] = ACTIONS(2434),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_typeof] = ACTIONS(2434),
    [anon_sym_import] = ACTIONS(2434),
    [anon_sym_from] = ACTIONS(2434),
    [anon_sym_with] = ACTIONS(2434),
    [anon_sym_var] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_const] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_else] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_switch] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_await] = ACTIONS(2434),
    [anon_sym_of] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_break] = ACTIONS(2434),
    [anon_sym_continue] = ACTIONS(2434),
    [anon_sym_debugger] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_case] = ACTIONS(2434),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LTtemplate_GT] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_class] = ACTIONS(2434),
    [anon_sym_async] = ACTIONS(2434),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_using] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_SLASH] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_void] = ACTIONS(2434),
    [anon_sym_delete] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2434),
    [sym_number] = ACTIONS(2434),
    [sym_private_property_identifier] = ACTIONS(2434),
    [sym_this] = ACTIONS(2434),
    [sym_super] = ACTIONS(2434),
    [sym_true] = ACTIONS(2434),
    [sym_false] = ACTIONS(2434),
    [sym_null] = ACTIONS(2434),
    [sym_undefined] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2434),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_readonly] = ACTIONS(2434),
    [anon_sym_get] = ACTIONS(2434),
    [anon_sym_set] = ACTIONS(2434),
    [anon_sym_declare] = ACTIONS(2434),
    [anon_sym_public] = ACTIONS(2434),
    [anon_sym_private] = ACTIONS(2434),
    [anon_sym_protected] = ACTIONS(2434),
    [anon_sym_override] = ACTIONS(2434),
    [anon_sym_module] = ACTIONS(2434),
    [anon_sym_any] = ACTIONS(2434),
    [anon_sym_number] = ACTIONS(2434),
    [anon_sym_boolean] = ACTIONS(2434),
    [anon_sym_string] = ACTIONS(2434),
    [anon_sym_symbol] = ACTIONS(2434),
    [anon_sym_object] = ACTIONS(2434),
    [anon_sym_property] = ACTIONS(2434),
    [anon_sym_signal] = ACTIONS(2434),
    [anon_sym_on] = ACTIONS(2434),
    [anon_sym_required] = ACTIONS(2434),
    [anon_sym_component] = ACTIONS(2434),
    [anon_sym_abstract] = ACTIONS(2434),
    [anon_sym_interface] = ACTIONS(2434),
    [anon_sym_enum] = ACTIONS(2434),
    [sym_html_comment] = ACTIONS(5),
  },
  [1091] = {
    [sym_comment] = STATE(1091),
    [sym_identifier] = ACTIONS(3520),
    [anon_sym_export] = ACTIONS(3520),
    [anon_sym_default] = ACTIONS(3520),
    [anon_sym_type] = ACTIONS(3520),
    [anon_sym_namespace] = ACTIONS(3520),
    [anon_sym_LBRACE] = ACTIONS(3520),
    [anon_sym_RBRACE] = ACTIONS(3520),
    [anon_sym_typeof] = ACTIONS(3520),
    [anon_sym_import] = ACTIONS(3520),
    [anon_sym_from] = ACTIONS(3520),
    [anon_sym_with] = ACTIONS(3520),
    [anon_sym_var] = ACTIONS(3520),
    [anon_sym_let] = ACTIONS(3520),
    [anon_sym_const] = ACTIONS(3520),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_else] = ACTIONS(3520),
    [anon_sym_if] = ACTIONS(3520),
    [anon_sym_switch] = ACTIONS(3520),
    [anon_sym_for] = ACTIONS(3520),
    [anon_sym_LPAREN] = ACTIONS(3520),
    [anon_sym_await] = ACTIONS(3520),
    [anon_sym_of] = ACTIONS(3520),
    [anon_sym_while] = ACTIONS(3520),
    [anon_sym_do] = ACTIONS(3520),
    [anon_sym_try] = ACTIONS(3520),
    [anon_sym_break] = ACTIONS(3520),
    [anon_sym_continue] = ACTIONS(3520),
    [anon_sym_debugger] = ACTIONS(3520),
    [anon_sym_return] = ACTIONS(3520),
    [anon_sym_throw] = ACTIONS(3520),
    [anon_sym_SEMI] = ACTIONS(3520),
    [anon_sym_case] = ACTIONS(3520),
    [anon_sym_yield] = ACTIONS(3520),
    [anon_sym_LBRACK] = ACTIONS(3520),
    [anon_sym_LTtemplate_GT] = ACTIONS(3520),
    [anon_sym_DQUOTE] = ACTIONS(3520),
    [anon_sym_SQUOTE] = ACTIONS(3520),
    [anon_sym_class] = ACTIONS(3520),
    [anon_sym_async] = ACTIONS(3520),
    [anon_sym_function] = ACTIONS(3520),
    [anon_sym_new] = ACTIONS(3520),
    [anon_sym_using] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3520),
    [anon_sym_SLASH] = ACTIONS(3520),
    [anon_sym_LT] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_void] = ACTIONS(3520),
    [anon_sym_delete] = ACTIONS(3520),
    [anon_sym_PLUS_PLUS] = ACTIONS(3520),
    [anon_sym_DASH_DASH] = ACTIONS(3520),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3520),
    [sym_number] = ACTIONS(3520),
    [sym_private_property_identifier] = ACTIONS(3520),
    [sym_this] = ACTIONS(3520),
    [sym_super] = ACTIONS(3520),
    [sym_true] = ACTIONS(3520),
    [sym_false] = ACTIONS(3520),
    [sym_null] = ACTIONS(3520),
    [sym_undefined] = ACTIONS(3520),
    [anon_sym_AT] = ACTIONS(3520),
    [anon_sym_static] = ACTIONS(3520),
    [anon_sym_readonly] = ACTIONS(3520),
    [anon_sym_get] = ACTIONS(3520),
    [anon_sym_set] = ACTIONS(3520),
    [anon_sym_declare] = ACTIONS(3520),
    [anon_sym_public] = ACTIONS(3520),
    [anon_sym_private] = ACTIONS(3520),
    [anon_sym_protected] = ACTIONS(3520),
    [anon_sym_override] = ACTIONS(3520),
    [anon_sym_module] = ACTIONS(3520),
    [anon_sym_any] = ACTIONS(3520),
    [anon_sym_number] = ACTIONS(3520),
    [anon_sym_boolean] = ACTIONS(3520),
    [anon_sym_string] = ACTIONS(3520),
    [anon_sym_symbol] = ACTIONS(3520),
    [anon_sym_object] = ACTIONS(3520),
    [anon_sym_property] = ACTIONS(3520),
    [anon_sym_signal] = ACTIONS(3520),
    [anon_sym_on] = ACTIONS(3520),
    [anon_sym_required] = ACTIONS(3520),
    [anon_sym_component] = ACTIONS(3520),
    [anon_sym_abstract] = ACTIONS(3520),
    [anon_sym_interface] = ACTIONS(3520),
    [anon_sym_enum] = ACTIONS(3520),
    [sym_html_comment] = ACTIONS(5),
  },
  [1092] = {
    [sym_comment] = STATE(1092),
    [sym_identifier] = ACTIONS(2466),
    [anon_sym_export] = ACTIONS(2466),
    [anon_sym_default] = ACTIONS(2466),
    [anon_sym_type] = ACTIONS(2466),
    [anon_sym_namespace] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_typeof] = ACTIONS(2466),
    [anon_sym_import] = ACTIONS(2466),
    [anon_sym_from] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2466),
    [anon_sym_var] = ACTIONS(2466),
    [anon_sym_let] = ACTIONS(2466),
    [anon_sym_const] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_else] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_switch] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2466),
    [anon_sym_of] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2466),
    [anon_sym_do] = ACTIONS(2466),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_break] = ACTIONS(2466),
    [anon_sym_continue] = ACTIONS(2466),
    [anon_sym_debugger] = ACTIONS(2466),
    [anon_sym_return] = ACTIONS(2466),
    [anon_sym_throw] = ACTIONS(2466),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_case] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2466),
    [anon_sym_LTtemplate_GT] = ACTIONS(2466),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_class] = ACTIONS(2466),
    [anon_sym_async] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_using] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_void] = ACTIONS(2466),
    [anon_sym_delete] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2466),
    [sym_number] = ACTIONS(2466),
    [sym_private_property_identifier] = ACTIONS(2466),
    [sym_this] = ACTIONS(2466),
    [sym_super] = ACTIONS(2466),
    [sym_true] = ACTIONS(2466),
    [sym_false] = ACTIONS(2466),
    [sym_null] = ACTIONS(2466),
    [sym_undefined] = ACTIONS(2466),
    [anon_sym_AT] = ACTIONS(2466),
    [anon_sym_static] = ACTIONS(2466),
    [anon_sym_readonly] = ACTIONS(2466),
    [anon_sym_get] = ACTIONS(2466),
    [anon_sym_set] = ACTIONS(2466),
    [anon_sym_declare] = ACTIONS(2466),
    [anon_sym_public] = ACTIONS(2466),
    [anon_sym_private] = ACTIONS(2466),
    [anon_sym_protected] = ACTIONS(2466),
    [anon_sym_override] = ACTIONS(2466),
    [anon_sym_module] = ACTIONS(2466),
    [anon_sym_any] = ACTIONS(2466),
    [anon_sym_number] = ACTIONS(2466),
    [anon_sym_boolean] = ACTIONS(2466),
    [anon_sym_string] = ACTIONS(2466),
    [anon_sym_symbol] = ACTIONS(2466),
    [anon_sym_object] = ACTIONS(2466),
    [anon_sym_property] = ACTIONS(2466),
    [anon_sym_signal] = ACTIONS(2466),
    [anon_sym_on] = ACTIONS(2466),
    [anon_sym_required] = ACTIONS(2466),
    [anon_sym_component] = ACTIONS(2466),
    [anon_sym_abstract] = ACTIONS(2466),
    [anon_sym_interface] = ACTIONS(2466),
    [anon_sym_enum] = ACTIONS(2466),
    [sym_html_comment] = ACTIONS(5),
  },
  [1093] = {
    [sym_comment] = STATE(1093),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_export] = ACTIONS(3522),
    [anon_sym_default] = ACTIONS(3522),
    [anon_sym_type] = ACTIONS(3522),
    [anon_sym_namespace] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(3522),
    [anon_sym_RBRACE] = ACTIONS(3522),
    [anon_sym_typeof] = ACTIONS(3522),
    [anon_sym_import] = ACTIONS(3522),
    [anon_sym_from] = ACTIONS(3522),
    [anon_sym_with] = ACTIONS(3522),
    [anon_sym_var] = ACTIONS(3522),
    [anon_sym_let] = ACTIONS(3522),
    [anon_sym_const] = ACTIONS(3522),
    [anon_sym_BANG] = ACTIONS(3522),
    [anon_sym_else] = ACTIONS(3522),
    [anon_sym_if] = ACTIONS(3522),
    [anon_sym_switch] = ACTIONS(3522),
    [anon_sym_for] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(3522),
    [anon_sym_await] = ACTIONS(3522),
    [anon_sym_of] = ACTIONS(3522),
    [anon_sym_while] = ACTIONS(3522),
    [anon_sym_do] = ACTIONS(3522),
    [anon_sym_try] = ACTIONS(3522),
    [anon_sym_break] = ACTIONS(3522),
    [anon_sym_continue] = ACTIONS(3522),
    [anon_sym_debugger] = ACTIONS(3522),
    [anon_sym_return] = ACTIONS(3522),
    [anon_sym_throw] = ACTIONS(3522),
    [anon_sym_SEMI] = ACTIONS(3522),
    [anon_sym_case] = ACTIONS(3522),
    [anon_sym_yield] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(3522),
    [anon_sym_LTtemplate_GT] = ACTIONS(3522),
    [anon_sym_DQUOTE] = ACTIONS(3522),
    [anon_sym_SQUOTE] = ACTIONS(3522),
    [anon_sym_class] = ACTIONS(3522),
    [anon_sym_async] = ACTIONS(3522),
    [anon_sym_function] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(3522),
    [anon_sym_using] = ACTIONS(3522),
    [anon_sym_PLUS] = ACTIONS(3522),
    [anon_sym_DASH] = ACTIONS(3522),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_LT] = ACTIONS(3522),
    [anon_sym_TILDE] = ACTIONS(3522),
    [anon_sym_void] = ACTIONS(3522),
    [anon_sym_delete] = ACTIONS(3522),
    [anon_sym_PLUS_PLUS] = ACTIONS(3522),
    [anon_sym_DASH_DASH] = ACTIONS(3522),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3522),
    [sym_number] = ACTIONS(3522),
    [sym_private_property_identifier] = ACTIONS(3522),
    [sym_this] = ACTIONS(3522),
    [sym_super] = ACTIONS(3522),
    [sym_true] = ACTIONS(3522),
    [sym_false] = ACTIONS(3522),
    [sym_null] = ACTIONS(3522),
    [sym_undefined] = ACTIONS(3522),
    [anon_sym_AT] = ACTIONS(3522),
    [anon_sym_static] = ACTIONS(3522),
    [anon_sym_readonly] = ACTIONS(3522),
    [anon_sym_get] = ACTIONS(3522),
    [anon_sym_set] = ACTIONS(3522),
    [anon_sym_declare] = ACTIONS(3522),
    [anon_sym_public] = ACTIONS(3522),
    [anon_sym_private] = ACTIONS(3522),
    [anon_sym_protected] = ACTIONS(3522),
    [anon_sym_override] = ACTIONS(3522),
    [anon_sym_module] = ACTIONS(3522),
    [anon_sym_any] = ACTIONS(3522),
    [anon_sym_number] = ACTIONS(3522),
    [anon_sym_boolean] = ACTIONS(3522),
    [anon_sym_string] = ACTIONS(3522),
    [anon_sym_symbol] = ACTIONS(3522),
    [anon_sym_object] = ACTIONS(3522),
    [anon_sym_property] = ACTIONS(3522),
    [anon_sym_signal] = ACTIONS(3522),
    [anon_sym_on] = ACTIONS(3522),
    [anon_sym_required] = ACTIONS(3522),
    [anon_sym_component] = ACTIONS(3522),
    [anon_sym_abstract] = ACTIONS(3522),
    [anon_sym_interface] = ACTIONS(3522),
    [anon_sym_enum] = ACTIONS(3522),
    [sym_html_comment] = ACTIONS(5),
  },
  [1094] = {
    [sym_comment] = STATE(1094),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_export] = ACTIONS(2442),
    [anon_sym_default] = ACTIONS(2442),
    [anon_sym_type] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_typeof] = ACTIONS(2442),
    [anon_sym_import] = ACTIONS(2442),
    [anon_sym_from] = ACTIONS(2442),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_var] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_else] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_switch] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_await] = ACTIONS(2442),
    [anon_sym_of] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_break] = ACTIONS(2442),
    [anon_sym_continue] = ACTIONS(2442),
    [anon_sym_debugger] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_case] = ACTIONS(2442),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LTtemplate_GT] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_async] = ACTIONS(2442),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_void] = ACTIONS(2442),
    [anon_sym_delete] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2442),
    [sym_number] = ACTIONS(2442),
    [sym_private_property_identifier] = ACTIONS(2442),
    [sym_this] = ACTIONS(2442),
    [sym_super] = ACTIONS(2442),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [sym_null] = ACTIONS(2442),
    [sym_undefined] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_readonly] = ACTIONS(2442),
    [anon_sym_get] = ACTIONS(2442),
    [anon_sym_set] = ACTIONS(2442),
    [anon_sym_declare] = ACTIONS(2442),
    [anon_sym_public] = ACTIONS(2442),
    [anon_sym_private] = ACTIONS(2442),
    [anon_sym_protected] = ACTIONS(2442),
    [anon_sym_override] = ACTIONS(2442),
    [anon_sym_module] = ACTIONS(2442),
    [anon_sym_any] = ACTIONS(2442),
    [anon_sym_number] = ACTIONS(2442),
    [anon_sym_boolean] = ACTIONS(2442),
    [anon_sym_string] = ACTIONS(2442),
    [anon_sym_symbol] = ACTIONS(2442),
    [anon_sym_object] = ACTIONS(2442),
    [anon_sym_property] = ACTIONS(2442),
    [anon_sym_signal] = ACTIONS(2442),
    [anon_sym_on] = ACTIONS(2442),
    [anon_sym_required] = ACTIONS(2442),
    [anon_sym_component] = ACTIONS(2442),
    [anon_sym_abstract] = ACTIONS(2442),
    [anon_sym_interface] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [sym_html_comment] = ACTIONS(5),
  },
  [1095] = {
    [sym_comment] = STATE(1095),
    [sym_identifier] = ACTIONS(2402),
    [anon_sym_export] = ACTIONS(2402),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_type] = ACTIONS(2402),
    [anon_sym_namespace] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [anon_sym_typeof] = ACTIONS(2402),
    [anon_sym_import] = ACTIONS(2402),
    [anon_sym_from] = ACTIONS(2402),
    [anon_sym_with] = ACTIONS(2402),
    [anon_sym_var] = ACTIONS(2402),
    [anon_sym_let] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(2402),
    [anon_sym_await] = ACTIONS(2402),
    [anon_sym_of] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_try] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_debugger] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym_case] = ACTIONS(2402),
    [anon_sym_yield] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_LTtemplate_GT] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2402),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_async] = ACTIONS(2402),
    [anon_sym_function] = ACTIONS(2402),
    [anon_sym_new] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_SLASH] = ACTIONS(2402),
    [anon_sym_LT] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_void] = ACTIONS(2402),
    [anon_sym_delete] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2402),
    [sym_number] = ACTIONS(2402),
    [sym_private_property_identifier] = ACTIONS(2402),
    [sym_this] = ACTIONS(2402),
    [sym_super] = ACTIONS(2402),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [sym_null] = ACTIONS(2402),
    [sym_undefined] = ACTIONS(2402),
    [anon_sym_AT] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_readonly] = ACTIONS(2402),
    [anon_sym_get] = ACTIONS(2402),
    [anon_sym_set] = ACTIONS(2402),
    [anon_sym_declare] = ACTIONS(2402),
    [anon_sym_public] = ACTIONS(2402),
    [anon_sym_private] = ACTIONS(2402),
    [anon_sym_protected] = ACTIONS(2402),
    [anon_sym_override] = ACTIONS(2402),
    [anon_sym_module] = ACTIONS(2402),
    [anon_sym_any] = ACTIONS(2402),
    [anon_sym_number] = ACTIONS(2402),
    [anon_sym_boolean] = ACTIONS(2402),
    [anon_sym_string] = ACTIONS(2402),
    [anon_sym_symbol] = ACTIONS(2402),
    [anon_sym_object] = ACTIONS(2402),
    [anon_sym_property] = ACTIONS(2402),
    [anon_sym_signal] = ACTIONS(2402),
    [anon_sym_on] = ACTIONS(2402),
    [anon_sym_required] = ACTIONS(2402),
    [anon_sym_component] = ACTIONS(2402),
    [anon_sym_abstract] = ACTIONS(2402),
    [anon_sym_interface] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [sym__automatic_semicolon] = ACTIONS(2494),
    [sym_html_comment] = ACTIONS(5),
  },
  [1096] = {
    [sym_comment] = STATE(1096),
    [sym_identifier] = ACTIONS(2338),
    [anon_sym_export] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2338),
    [anon_sym_type] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2338),
    [anon_sym_RBRACE] = ACTIONS(2338),
    [anon_sym_typeof] = ACTIONS(2338),
    [anon_sym_import] = ACTIONS(2338),
    [anon_sym_from] = ACTIONS(2338),
    [anon_sym_with] = ACTIONS(2338),
    [anon_sym_var] = ACTIONS(2338),
    [anon_sym_let] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_BANG] = ACTIONS(2338),
    [anon_sym_else] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_LPAREN] = ACTIONS(2338),
    [anon_sym_await] = ACTIONS(2338),
    [anon_sym_of] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_debugger] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2338),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_yield] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_LTtemplate_GT] = ACTIONS(2338),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_async] = ACTIONS(2338),
    [anon_sym_function] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_using] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_SLASH] = ACTIONS(2338),
    [anon_sym_LT] = ACTIONS(2338),
    [anon_sym_TILDE] = ACTIONS(2338),
    [anon_sym_void] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2338),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [sym_super] = ACTIONS(2338),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [sym_null] = ACTIONS(2338),
    [sym_undefined] = ACTIONS(2338),
    [anon_sym_AT] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_readonly] = ACTIONS(2338),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
    [anon_sym_declare] = ACTIONS(2338),
    [anon_sym_public] = ACTIONS(2338),
    [anon_sym_private] = ACTIONS(2338),
    [anon_sym_protected] = ACTIONS(2338),
    [anon_sym_override] = ACTIONS(2338),
    [anon_sym_module] = ACTIONS(2338),
    [anon_sym_any] = ACTIONS(2338),
    [anon_sym_number] = ACTIONS(2338),
    [anon_sym_boolean] = ACTIONS(2338),
    [anon_sym_string] = ACTIONS(2338),
    [anon_sym_symbol] = ACTIONS(2338),
    [anon_sym_object] = ACTIONS(2338),
    [anon_sym_property] = ACTIONS(2338),
    [anon_sym_signal] = ACTIONS(2338),
    [anon_sym_on] = ACTIONS(2338),
    [anon_sym_required] = ACTIONS(2338),
    [anon_sym_component] = ACTIONS(2338),
    [anon_sym_abstract] = ACTIONS(2338),
    [anon_sym_interface] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [sym_html_comment] = ACTIONS(5),
  },
  [1097] = {
    [sym_comment] = STATE(1097),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_export] = ACTIONS(2450),
    [anon_sym_default] = ACTIONS(2450),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_typeof] = ACTIONS(2450),
    [anon_sym_import] = ACTIONS(2450),
    [anon_sym_from] = ACTIONS(2450),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_var] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_const] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_switch] = ACTIONS(2450),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_await] = ACTIONS(2450),
    [anon_sym_of] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_break] = ACTIONS(2450),
    [anon_sym_continue] = ACTIONS(2450),
    [anon_sym_debugger] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_throw] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_case] = ACTIONS(2450),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LTtemplate_GT] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_class] = ACTIONS(2450),
    [anon_sym_async] = ACTIONS(2450),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_using] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_void] = ACTIONS(2450),
    [anon_sym_delete] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2450),
    [sym_number] = ACTIONS(2450),
    [sym_private_property_identifier] = ACTIONS(2450),
    [sym_this] = ACTIONS(2450),
    [sym_super] = ACTIONS(2450),
    [sym_true] = ACTIONS(2450),
    [sym_false] = ACTIONS(2450),
    [sym_null] = ACTIONS(2450),
    [sym_undefined] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2450),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_readonly] = ACTIONS(2450),
    [anon_sym_get] = ACTIONS(2450),
    [anon_sym_set] = ACTIONS(2450),
    [anon_sym_declare] = ACTIONS(2450),
    [anon_sym_public] = ACTIONS(2450),
    [anon_sym_private] = ACTIONS(2450),
    [anon_sym_protected] = ACTIONS(2450),
    [anon_sym_override] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_any] = ACTIONS(2450),
    [anon_sym_number] = ACTIONS(2450),
    [anon_sym_boolean] = ACTIONS(2450),
    [anon_sym_string] = ACTIONS(2450),
    [anon_sym_symbol] = ACTIONS(2450),
    [anon_sym_object] = ACTIONS(2450),
    [anon_sym_property] = ACTIONS(2450),
    [anon_sym_signal] = ACTIONS(2450),
    [anon_sym_on] = ACTIONS(2450),
    [anon_sym_required] = ACTIONS(2450),
    [anon_sym_component] = ACTIONS(2450),
    [anon_sym_abstract] = ACTIONS(2450),
    [anon_sym_interface] = ACTIONS(2450),
    [anon_sym_enum] = ACTIONS(2450),
    [sym__automatic_semicolon] = ACTIONS(2502),
    [sym_html_comment] = ACTIONS(5),
  },
  [1098] = {
    [sym_comment] = STATE(1098),
    [sym_identifier] = ACTIONS(2394),
    [anon_sym_export] = ACTIONS(2394),
    [anon_sym_default] = ACTIONS(2394),
    [anon_sym_type] = ACTIONS(2394),
    [anon_sym_namespace] = ACTIONS(2394),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_typeof] = ACTIONS(2394),
    [anon_sym_import] = ACTIONS(2394),
    [anon_sym_from] = ACTIONS(2394),
    [anon_sym_with] = ACTIONS(2394),
    [anon_sym_var] = ACTIONS(2394),
    [anon_sym_let] = ACTIONS(2394),
    [anon_sym_const] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_if] = ACTIONS(2394),
    [anon_sym_switch] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_LPAREN] = ACTIONS(2394),
    [anon_sym_await] = ACTIONS(2394),
    [anon_sym_of] = ACTIONS(2394),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_do] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2394),
    [anon_sym_break] = ACTIONS(2394),
    [anon_sym_continue] = ACTIONS(2394),
    [anon_sym_debugger] = ACTIONS(2394),
    [anon_sym_return] = ACTIONS(2394),
    [anon_sym_throw] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym_case] = ACTIONS(2394),
    [anon_sym_yield] = ACTIONS(2394),
    [anon_sym_LBRACK] = ACTIONS(2394),
    [anon_sym_LTtemplate_GT] = ACTIONS(2394),
    [anon_sym_DQUOTE] = ACTIONS(2394),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_class] = ACTIONS(2394),
    [anon_sym_async] = ACTIONS(2394),
    [anon_sym_function] = ACTIONS(2394),
    [anon_sym_new] = ACTIONS(2394),
    [anon_sym_using] = ACTIONS(2394),
    [anon_sym_PLUS] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2394),
    [anon_sym_SLASH] = ACTIONS(2394),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_void] = ACTIONS(2394),
    [anon_sym_delete] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2394),
    [sym_number] = ACTIONS(2394),
    [sym_private_property_identifier] = ACTIONS(2394),
    [sym_this] = ACTIONS(2394),
    [sym_super] = ACTIONS(2394),
    [sym_true] = ACTIONS(2394),
    [sym_false] = ACTIONS(2394),
    [sym_null] = ACTIONS(2394),
    [sym_undefined] = ACTIONS(2394),
    [anon_sym_AT] = ACTIONS(2394),
    [anon_sym_static] = ACTIONS(2394),
    [anon_sym_readonly] = ACTIONS(2394),
    [anon_sym_get] = ACTIONS(2394),
    [anon_sym_set] = ACTIONS(2394),
    [anon_sym_declare] = ACTIONS(2394),
    [anon_sym_public] = ACTIONS(2394),
    [anon_sym_private] = ACTIONS(2394),
    [anon_sym_protected] = ACTIONS(2394),
    [anon_sym_override] = ACTIONS(2394),
    [anon_sym_module] = ACTIONS(2394),
    [anon_sym_any] = ACTIONS(2394),
    [anon_sym_number] = ACTIONS(2394),
    [anon_sym_boolean] = ACTIONS(2394),
    [anon_sym_string] = ACTIONS(2394),
    [anon_sym_symbol] = ACTIONS(2394),
    [anon_sym_object] = ACTIONS(2394),
    [anon_sym_property] = ACTIONS(2394),
    [anon_sym_signal] = ACTIONS(2394),
    [anon_sym_on] = ACTIONS(2394),
    [anon_sym_required] = ACTIONS(2394),
    [anon_sym_component] = ACTIONS(2394),
    [anon_sym_abstract] = ACTIONS(2394),
    [anon_sym_interface] = ACTIONS(2394),
    [anon_sym_enum] = ACTIONS(2394),
    [sym__automatic_semicolon] = ACTIONS(2540),
    [sym_html_comment] = ACTIONS(5),
  },
  [1099] = {
    [sym_comment] = STATE(1099),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_export] = ACTIONS(2328),
    [anon_sym_default] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2328),
    [anon_sym_namespace] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [anon_sym_typeof] = ACTIONS(2328),
    [anon_sym_import] = ACTIONS(2328),
    [anon_sym_from] = ACTIONS(2328),
    [anon_sym_with] = ACTIONS(2328),
    [anon_sym_var] = ACTIONS(2328),
    [anon_sym_let] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_else] = ACTIONS(2328),
    [anon_sym_if] = ACTIONS(2328),
    [anon_sym_switch] = ACTIONS(2328),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_of] = ACTIONS(2328),
    [anon_sym_while] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2328),
    [anon_sym_break] = ACTIONS(2328),
    [anon_sym_continue] = ACTIONS(2328),
    [anon_sym_debugger] = ACTIONS(2328),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym_case] = ACTIONS(2328),
    [anon_sym_yield] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_LTtemplate_GT] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_class] = ACTIONS(2328),
    [anon_sym_async] = ACTIONS(2328),
    [anon_sym_function] = ACTIONS(2328),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_using] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_void] = ACTIONS(2328),
    [anon_sym_delete] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2328),
    [sym_number] = ACTIONS(2328),
    [sym_private_property_identifier] = ACTIONS(2328),
    [sym_this] = ACTIONS(2328),
    [sym_super] = ACTIONS(2328),
    [sym_true] = ACTIONS(2328),
    [sym_false] = ACTIONS(2328),
    [sym_null] = ACTIONS(2328),
    [sym_undefined] = ACTIONS(2328),
    [anon_sym_AT] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2328),
    [anon_sym_readonly] = ACTIONS(2328),
    [anon_sym_get] = ACTIONS(2328),
    [anon_sym_set] = ACTIONS(2328),
    [anon_sym_declare] = ACTIONS(2328),
    [anon_sym_public] = ACTIONS(2328),
    [anon_sym_private] = ACTIONS(2328),
    [anon_sym_protected] = ACTIONS(2328),
    [anon_sym_override] = ACTIONS(2328),
    [anon_sym_module] = ACTIONS(2328),
    [anon_sym_any] = ACTIONS(2328),
    [anon_sym_number] = ACTIONS(2328),
    [anon_sym_boolean] = ACTIONS(2328),
    [anon_sym_string] = ACTIONS(2328),
    [anon_sym_symbol] = ACTIONS(2328),
    [anon_sym_object] = ACTIONS(2328),
    [anon_sym_property] = ACTIONS(2328),
    [anon_sym_signal] = ACTIONS(2328),
    [anon_sym_on] = ACTIONS(2328),
    [anon_sym_required] = ACTIONS(2328),
    [anon_sym_component] = ACTIONS(2328),
    [anon_sym_abstract] = ACTIONS(2328),
    [anon_sym_interface] = ACTIONS(2328),
    [anon_sym_enum] = ACTIONS(2328),
    [sym_html_comment] = ACTIONS(5),
  },
  [1100] = {
    [sym_comment] = STATE(1100),
    [sym_identifier] = ACTIONS(2416),
    [anon_sym_export] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_type] = ACTIONS(2416),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_RBRACE] = ACTIONS(2416),
    [anon_sym_typeof] = ACTIONS(2416),
    [anon_sym_import] = ACTIONS(2416),
    [anon_sym_from] = ACTIONS(2416),
    [anon_sym_with] = ACTIONS(2416),
    [anon_sym_var] = ACTIONS(2416),
    [anon_sym_let] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_BANG] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_await] = ACTIONS(2416),
    [anon_sym_of] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_debugger] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_yield] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_LTtemplate_GT] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2416),
    [anon_sym_SQUOTE] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_async] = ACTIONS(2416),
    [anon_sym_function] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(2416),
    [anon_sym_using] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_SLASH] = ACTIONS(2416),
    [anon_sym_LT] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_void] = ACTIONS(2416),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_PLUS_PLUS] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2416),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2416),
    [sym_number] = ACTIONS(2416),
    [sym_private_property_identifier] = ACTIONS(2416),
    [sym_this] = ACTIONS(2416),
    [sym_super] = ACTIONS(2416),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [sym_null] = ACTIONS(2416),
    [sym_undefined] = ACTIONS(2416),
    [anon_sym_AT] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_readonly] = ACTIONS(2416),
    [anon_sym_get] = ACTIONS(2416),
    [anon_sym_set] = ACTIONS(2416),
    [anon_sym_declare] = ACTIONS(2416),
    [anon_sym_public] = ACTIONS(2416),
    [anon_sym_private] = ACTIONS(2416),
    [anon_sym_protected] = ACTIONS(2416),
    [anon_sym_override] = ACTIONS(2416),
    [anon_sym_module] = ACTIONS(2416),
    [anon_sym_any] = ACTIONS(2416),
    [anon_sym_number] = ACTIONS(2416),
    [anon_sym_boolean] = ACTIONS(2416),
    [anon_sym_string] = ACTIONS(2416),
    [anon_sym_symbol] = ACTIONS(2416),
    [anon_sym_object] = ACTIONS(2416),
    [anon_sym_property] = ACTIONS(2416),
    [anon_sym_signal] = ACTIONS(2416),
    [anon_sym_on] = ACTIONS(2416),
    [anon_sym_required] = ACTIONS(2416),
    [anon_sym_component] = ACTIONS(2416),
    [anon_sym_abstract] = ACTIONS(2416),
    [anon_sym_interface] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [sym__automatic_semicolon] = ACTIONS(2498),
    [sym_html_comment] = ACTIONS(5),
  },
  [1101] = {
    [sym_comment] = STATE(1101),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_default] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_else] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_case] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1102] = {
    [sym_comment] = STATE(1102),
    [sym_identifier] = ACTIONS(3526),
    [anon_sym_export] = ACTIONS(3526),
    [anon_sym_default] = ACTIONS(3526),
    [anon_sym_type] = ACTIONS(3526),
    [anon_sym_namespace] = ACTIONS(3526),
    [anon_sym_LBRACE] = ACTIONS(3526),
    [anon_sym_RBRACE] = ACTIONS(3526),
    [anon_sym_typeof] = ACTIONS(3526),
    [anon_sym_import] = ACTIONS(3526),
    [anon_sym_from] = ACTIONS(3526),
    [anon_sym_with] = ACTIONS(3526),
    [anon_sym_var] = ACTIONS(3526),
    [anon_sym_let] = ACTIONS(3526),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_else] = ACTIONS(3526),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(3526),
    [anon_sym_for] = ACTIONS(3526),
    [anon_sym_LPAREN] = ACTIONS(3526),
    [anon_sym_await] = ACTIONS(3526),
    [anon_sym_of] = ACTIONS(3526),
    [anon_sym_while] = ACTIONS(3526),
    [anon_sym_do] = ACTIONS(3526),
    [anon_sym_try] = ACTIONS(3526),
    [anon_sym_break] = ACTIONS(3526),
    [anon_sym_continue] = ACTIONS(3526),
    [anon_sym_debugger] = ACTIONS(3526),
    [anon_sym_return] = ACTIONS(3526),
    [anon_sym_throw] = ACTIONS(3526),
    [anon_sym_SEMI] = ACTIONS(3526),
    [anon_sym_case] = ACTIONS(3526),
    [anon_sym_yield] = ACTIONS(3526),
    [anon_sym_LBRACK] = ACTIONS(3526),
    [anon_sym_LTtemplate_GT] = ACTIONS(3526),
    [anon_sym_DQUOTE] = ACTIONS(3526),
    [anon_sym_SQUOTE] = ACTIONS(3526),
    [anon_sym_class] = ACTIONS(3526),
    [anon_sym_async] = ACTIONS(3526),
    [anon_sym_function] = ACTIONS(3526),
    [anon_sym_new] = ACTIONS(3526),
    [anon_sym_using] = ACTIONS(3526),
    [anon_sym_PLUS] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3526),
    [anon_sym_SLASH] = ACTIONS(3526),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_void] = ACTIONS(3526),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_PLUS_PLUS] = ACTIONS(3526),
    [anon_sym_DASH_DASH] = ACTIONS(3526),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3526),
    [sym_number] = ACTIONS(3526),
    [sym_private_property_identifier] = ACTIONS(3526),
    [sym_this] = ACTIONS(3526),
    [sym_super] = ACTIONS(3526),
    [sym_true] = ACTIONS(3526),
    [sym_false] = ACTIONS(3526),
    [sym_null] = ACTIONS(3526),
    [sym_undefined] = ACTIONS(3526),
    [anon_sym_AT] = ACTIONS(3526),
    [anon_sym_static] = ACTIONS(3526),
    [anon_sym_readonly] = ACTIONS(3526),
    [anon_sym_get] = ACTIONS(3526),
    [anon_sym_set] = ACTIONS(3526),
    [anon_sym_declare] = ACTIONS(3526),
    [anon_sym_public] = ACTIONS(3526),
    [anon_sym_private] = ACTIONS(3526),
    [anon_sym_protected] = ACTIONS(3526),
    [anon_sym_override] = ACTIONS(3526),
    [anon_sym_module] = ACTIONS(3526),
    [anon_sym_any] = ACTIONS(3526),
    [anon_sym_number] = ACTIONS(3526),
    [anon_sym_boolean] = ACTIONS(3526),
    [anon_sym_string] = ACTIONS(3526),
    [anon_sym_symbol] = ACTIONS(3526),
    [anon_sym_object] = ACTIONS(3526),
    [anon_sym_property] = ACTIONS(3526),
    [anon_sym_signal] = ACTIONS(3526),
    [anon_sym_on] = ACTIONS(3526),
    [anon_sym_required] = ACTIONS(3526),
    [anon_sym_component] = ACTIONS(3526),
    [anon_sym_abstract] = ACTIONS(3526),
    [anon_sym_interface] = ACTIONS(3526),
    [anon_sym_enum] = ACTIONS(3526),
    [sym_html_comment] = ACTIONS(5),
  },
  [1103] = {
    [sym_comment] = STATE(1103),
    [sym_identifier] = ACTIONS(3528),
    [anon_sym_export] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3528),
    [anon_sym_type] = ACTIONS(3528),
    [anon_sym_namespace] = ACTIONS(3528),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_RBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3528),
    [anon_sym_import] = ACTIONS(3528),
    [anon_sym_from] = ACTIONS(3528),
    [anon_sym_with] = ACTIONS(3528),
    [anon_sym_var] = ACTIONS(3528),
    [anon_sym_let] = ACTIONS(3528),
    [anon_sym_const] = ACTIONS(3528),
    [anon_sym_BANG] = ACTIONS(3528),
    [anon_sym_else] = ACTIONS(3528),
    [anon_sym_if] = ACTIONS(3528),
    [anon_sym_switch] = ACTIONS(3528),
    [anon_sym_for] = ACTIONS(3528),
    [anon_sym_LPAREN] = ACTIONS(3528),
    [anon_sym_await] = ACTIONS(3528),
    [anon_sym_of] = ACTIONS(3528),
    [anon_sym_while] = ACTIONS(3528),
    [anon_sym_do] = ACTIONS(3528),
    [anon_sym_try] = ACTIONS(3528),
    [anon_sym_break] = ACTIONS(3528),
    [anon_sym_continue] = ACTIONS(3528),
    [anon_sym_debugger] = ACTIONS(3528),
    [anon_sym_return] = ACTIONS(3528),
    [anon_sym_throw] = ACTIONS(3528),
    [anon_sym_SEMI] = ACTIONS(3528),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_yield] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(3528),
    [anon_sym_LTtemplate_GT] = ACTIONS(3528),
    [anon_sym_DQUOTE] = ACTIONS(3528),
    [anon_sym_SQUOTE] = ACTIONS(3528),
    [anon_sym_class] = ACTIONS(3528),
    [anon_sym_async] = ACTIONS(3528),
    [anon_sym_function] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3528),
    [anon_sym_using] = ACTIONS(3528),
    [anon_sym_PLUS] = ACTIONS(3528),
    [anon_sym_DASH] = ACTIONS(3528),
    [anon_sym_SLASH] = ACTIONS(3528),
    [anon_sym_LT] = ACTIONS(3528),
    [anon_sym_TILDE] = ACTIONS(3528),
    [anon_sym_void] = ACTIONS(3528),
    [anon_sym_delete] = ACTIONS(3528),
    [anon_sym_PLUS_PLUS] = ACTIONS(3528),
    [anon_sym_DASH_DASH] = ACTIONS(3528),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3528),
    [sym_number] = ACTIONS(3528),
    [sym_private_property_identifier] = ACTIONS(3528),
    [sym_this] = ACTIONS(3528),
    [sym_super] = ACTIONS(3528),
    [sym_true] = ACTIONS(3528),
    [sym_false] = ACTIONS(3528),
    [sym_null] = ACTIONS(3528),
    [sym_undefined] = ACTIONS(3528),
    [anon_sym_AT] = ACTIONS(3528),
    [anon_sym_static] = ACTIONS(3528),
    [anon_sym_readonly] = ACTIONS(3528),
    [anon_sym_get] = ACTIONS(3528),
    [anon_sym_set] = ACTIONS(3528),
    [anon_sym_declare] = ACTIONS(3528),
    [anon_sym_public] = ACTIONS(3528),
    [anon_sym_private] = ACTIONS(3528),
    [anon_sym_protected] = ACTIONS(3528),
    [anon_sym_override] = ACTIONS(3528),
    [anon_sym_module] = ACTIONS(3528),
    [anon_sym_any] = ACTIONS(3528),
    [anon_sym_number] = ACTIONS(3528),
    [anon_sym_boolean] = ACTIONS(3528),
    [anon_sym_string] = ACTIONS(3528),
    [anon_sym_symbol] = ACTIONS(3528),
    [anon_sym_object] = ACTIONS(3528),
    [anon_sym_property] = ACTIONS(3528),
    [anon_sym_signal] = ACTIONS(3528),
    [anon_sym_on] = ACTIONS(3528),
    [anon_sym_required] = ACTIONS(3528),
    [anon_sym_component] = ACTIONS(3528),
    [anon_sym_abstract] = ACTIONS(3528),
    [anon_sym_interface] = ACTIONS(3528),
    [anon_sym_enum] = ACTIONS(3528),
    [sym_html_comment] = ACTIONS(5),
  },
  [1104] = {
    [sym_comment] = STATE(1104),
    [sym_identifier] = ACTIONS(3530),
    [anon_sym_export] = ACTIONS(3530),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_type] = ACTIONS(3530),
    [anon_sym_namespace] = ACTIONS(3530),
    [anon_sym_LBRACE] = ACTIONS(3530),
    [anon_sym_RBRACE] = ACTIONS(3530),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(3530),
    [anon_sym_from] = ACTIONS(3530),
    [anon_sym_with] = ACTIONS(3530),
    [anon_sym_var] = ACTIONS(3530),
    [anon_sym_let] = ACTIONS(3530),
    [anon_sym_const] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3530),
    [anon_sym_else] = ACTIONS(3530),
    [anon_sym_if] = ACTIONS(3530),
    [anon_sym_switch] = ACTIONS(3530),
    [anon_sym_for] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(3530),
    [anon_sym_await] = ACTIONS(3530),
    [anon_sym_of] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3530),
    [anon_sym_do] = ACTIONS(3530),
    [anon_sym_try] = ACTIONS(3530),
    [anon_sym_break] = ACTIONS(3530),
    [anon_sym_continue] = ACTIONS(3530),
    [anon_sym_debugger] = ACTIONS(3530),
    [anon_sym_return] = ACTIONS(3530),
    [anon_sym_throw] = ACTIONS(3530),
    [anon_sym_SEMI] = ACTIONS(3530),
    [anon_sym_case] = ACTIONS(3530),
    [anon_sym_yield] = ACTIONS(3530),
    [anon_sym_LBRACK] = ACTIONS(3530),
    [anon_sym_LTtemplate_GT] = ACTIONS(3530),
    [anon_sym_DQUOTE] = ACTIONS(3530),
    [anon_sym_SQUOTE] = ACTIONS(3530),
    [anon_sym_class] = ACTIONS(3530),
    [anon_sym_async] = ACTIONS(3530),
    [anon_sym_function] = ACTIONS(3530),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_using] = ACTIONS(3530),
    [anon_sym_PLUS] = ACTIONS(3530),
    [anon_sym_DASH] = ACTIONS(3530),
    [anon_sym_SLASH] = ACTIONS(3530),
    [anon_sym_LT] = ACTIONS(3530),
    [anon_sym_TILDE] = ACTIONS(3530),
    [anon_sym_void] = ACTIONS(3530),
    [anon_sym_delete] = ACTIONS(3530),
    [anon_sym_PLUS_PLUS] = ACTIONS(3530),
    [anon_sym_DASH_DASH] = ACTIONS(3530),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3530),
    [sym_number] = ACTIONS(3530),
    [sym_private_property_identifier] = ACTIONS(3530),
    [sym_this] = ACTIONS(3530),
    [sym_super] = ACTIONS(3530),
    [sym_true] = ACTIONS(3530),
    [sym_false] = ACTIONS(3530),
    [sym_null] = ACTIONS(3530),
    [sym_undefined] = ACTIONS(3530),
    [anon_sym_AT] = ACTIONS(3530),
    [anon_sym_static] = ACTIONS(3530),
    [anon_sym_readonly] = ACTIONS(3530),
    [anon_sym_get] = ACTIONS(3530),
    [anon_sym_set] = ACTIONS(3530),
    [anon_sym_declare] = ACTIONS(3530),
    [anon_sym_public] = ACTIONS(3530),
    [anon_sym_private] = ACTIONS(3530),
    [anon_sym_protected] = ACTIONS(3530),
    [anon_sym_override] = ACTIONS(3530),
    [anon_sym_module] = ACTIONS(3530),
    [anon_sym_any] = ACTIONS(3530),
    [anon_sym_number] = ACTIONS(3530),
    [anon_sym_boolean] = ACTIONS(3530),
    [anon_sym_string] = ACTIONS(3530),
    [anon_sym_symbol] = ACTIONS(3530),
    [anon_sym_object] = ACTIONS(3530),
    [anon_sym_property] = ACTIONS(3530),
    [anon_sym_signal] = ACTIONS(3530),
    [anon_sym_on] = ACTIONS(3530),
    [anon_sym_required] = ACTIONS(3530),
    [anon_sym_component] = ACTIONS(3530),
    [anon_sym_abstract] = ACTIONS(3530),
    [anon_sym_interface] = ACTIONS(3530),
    [anon_sym_enum] = ACTIONS(3530),
    [sym_html_comment] = ACTIONS(5),
  },
  [1105] = {
    [sym_comment] = STATE(1105),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_default] = ACTIONS(3532),
    [anon_sym_type] = ACTIONS(3532),
    [anon_sym_namespace] = ACTIONS(3532),
    [anon_sym_LBRACE] = ACTIONS(3532),
    [anon_sym_RBRACE] = ACTIONS(3532),
    [anon_sym_typeof] = ACTIONS(3532),
    [anon_sym_import] = ACTIONS(3532),
    [anon_sym_from] = ACTIONS(3532),
    [anon_sym_with] = ACTIONS(3532),
    [anon_sym_var] = ACTIONS(3532),
    [anon_sym_let] = ACTIONS(3532),
    [anon_sym_const] = ACTIONS(3532),
    [anon_sym_BANG] = ACTIONS(3532),
    [anon_sym_else] = ACTIONS(3532),
    [anon_sym_if] = ACTIONS(3532),
    [anon_sym_switch] = ACTIONS(3532),
    [anon_sym_for] = ACTIONS(3532),
    [anon_sym_LPAREN] = ACTIONS(3532),
    [anon_sym_await] = ACTIONS(3532),
    [anon_sym_of] = ACTIONS(3532),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(3532),
    [anon_sym_try] = ACTIONS(3532),
    [anon_sym_break] = ACTIONS(3532),
    [anon_sym_continue] = ACTIONS(3532),
    [anon_sym_debugger] = ACTIONS(3532),
    [anon_sym_return] = ACTIONS(3532),
    [anon_sym_throw] = ACTIONS(3532),
    [anon_sym_SEMI] = ACTIONS(3532),
    [anon_sym_case] = ACTIONS(3532),
    [anon_sym_yield] = ACTIONS(3532),
    [anon_sym_LBRACK] = ACTIONS(3532),
    [anon_sym_LTtemplate_GT] = ACTIONS(3532),
    [anon_sym_DQUOTE] = ACTIONS(3532),
    [anon_sym_SQUOTE] = ACTIONS(3532),
    [anon_sym_class] = ACTIONS(3532),
    [anon_sym_async] = ACTIONS(3532),
    [anon_sym_function] = ACTIONS(3532),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_using] = ACTIONS(3532),
    [anon_sym_PLUS] = ACTIONS(3532),
    [anon_sym_DASH] = ACTIONS(3532),
    [anon_sym_SLASH] = ACTIONS(3532),
    [anon_sym_LT] = ACTIONS(3532),
    [anon_sym_TILDE] = ACTIONS(3532),
    [anon_sym_void] = ACTIONS(3532),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_PLUS_PLUS] = ACTIONS(3532),
    [anon_sym_DASH_DASH] = ACTIONS(3532),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3532),
    [sym_number] = ACTIONS(3532),
    [sym_private_property_identifier] = ACTIONS(3532),
    [sym_this] = ACTIONS(3532),
    [sym_super] = ACTIONS(3532),
    [sym_true] = ACTIONS(3532),
    [sym_false] = ACTIONS(3532),
    [sym_null] = ACTIONS(3532),
    [sym_undefined] = ACTIONS(3532),
    [anon_sym_AT] = ACTIONS(3532),
    [anon_sym_static] = ACTIONS(3532),
    [anon_sym_readonly] = ACTIONS(3532),
    [anon_sym_get] = ACTIONS(3532),
    [anon_sym_set] = ACTIONS(3532),
    [anon_sym_declare] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3532),
    [anon_sym_private] = ACTIONS(3532),
    [anon_sym_protected] = ACTIONS(3532),
    [anon_sym_override] = ACTIONS(3532),
    [anon_sym_module] = ACTIONS(3532),
    [anon_sym_any] = ACTIONS(3532),
    [anon_sym_number] = ACTIONS(3532),
    [anon_sym_boolean] = ACTIONS(3532),
    [anon_sym_string] = ACTIONS(3532),
    [anon_sym_symbol] = ACTIONS(3532),
    [anon_sym_object] = ACTIONS(3532),
    [anon_sym_property] = ACTIONS(3532),
    [anon_sym_signal] = ACTIONS(3532),
    [anon_sym_on] = ACTIONS(3532),
    [anon_sym_required] = ACTIONS(3532),
    [anon_sym_component] = ACTIONS(3532),
    [anon_sym_abstract] = ACTIONS(3532),
    [anon_sym_interface] = ACTIONS(3532),
    [anon_sym_enum] = ACTIONS(3532),
    [sym_html_comment] = ACTIONS(5),
  },
  [1106] = {
    [sym_comment] = STATE(1106),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_export] = ACTIONS(2370),
    [anon_sym_default] = ACTIONS(2370),
    [anon_sym_type] = ACTIONS(2370),
    [anon_sym_namespace] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_import] = ACTIONS(2370),
    [anon_sym_from] = ACTIONS(2370),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_var] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_const] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_switch] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_await] = ACTIONS(2370),
    [anon_sym_of] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_debugger] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_case] = ACTIONS(2370),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LTtemplate_GT] = ACTIONS(2370),
    [anon_sym_DOT] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_async] = ACTIONS(2370),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_using] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_SLASH] = ACTIONS(2370),
    [anon_sym_LT] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2370),
    [sym_number] = ACTIONS(2370),
    [sym_private_property_identifier] = ACTIONS(2370),
    [sym_this] = ACTIONS(2370),
    [sym_super] = ACTIONS(2370),
    [sym_true] = ACTIONS(2370),
    [sym_false] = ACTIONS(2370),
    [sym_null] = ACTIONS(2370),
    [sym_undefined] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2370),
    [anon_sym_readonly] = ACTIONS(2370),
    [anon_sym_get] = ACTIONS(2370),
    [anon_sym_set] = ACTIONS(2370),
    [anon_sym_declare] = ACTIONS(2370),
    [anon_sym_public] = ACTIONS(2370),
    [anon_sym_private] = ACTIONS(2370),
    [anon_sym_protected] = ACTIONS(2370),
    [anon_sym_override] = ACTIONS(2370),
    [anon_sym_module] = ACTIONS(2370),
    [anon_sym_any] = ACTIONS(2370),
    [anon_sym_number] = ACTIONS(2370),
    [anon_sym_boolean] = ACTIONS(2370),
    [anon_sym_string] = ACTIONS(2370),
    [anon_sym_symbol] = ACTIONS(2370),
    [anon_sym_object] = ACTIONS(2370),
    [anon_sym_property] = ACTIONS(2370),
    [anon_sym_signal] = ACTIONS(2370),
    [anon_sym_on] = ACTIONS(2370),
    [anon_sym_required] = ACTIONS(2370),
    [anon_sym_component] = ACTIONS(2370),
    [anon_sym_abstract] = ACTIONS(2370),
    [anon_sym_interface] = ACTIONS(2370),
    [anon_sym_enum] = ACTIONS(2370),
    [sym_html_comment] = ACTIONS(5),
  },
  [1107] = {
    [sym_comment] = STATE(1107),
    [sym_identifier] = ACTIONS(3534),
    [anon_sym_export] = ACTIONS(3534),
    [anon_sym_default] = ACTIONS(3534),
    [anon_sym_type] = ACTIONS(3534),
    [anon_sym_namespace] = ACTIONS(3534),
    [anon_sym_LBRACE] = ACTIONS(3534),
    [anon_sym_RBRACE] = ACTIONS(3534),
    [anon_sym_typeof] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3534),
    [anon_sym_from] = ACTIONS(3534),
    [anon_sym_with] = ACTIONS(3534),
    [anon_sym_var] = ACTIONS(3534),
    [anon_sym_let] = ACTIONS(3534),
    [anon_sym_const] = ACTIONS(3534),
    [anon_sym_BANG] = ACTIONS(3534),
    [anon_sym_else] = ACTIONS(3534),
    [anon_sym_if] = ACTIONS(3534),
    [anon_sym_switch] = ACTIONS(3534),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_LPAREN] = ACTIONS(3534),
    [anon_sym_await] = ACTIONS(3534),
    [anon_sym_of] = ACTIONS(3534),
    [anon_sym_while] = ACTIONS(3534),
    [anon_sym_do] = ACTIONS(3534),
    [anon_sym_try] = ACTIONS(3534),
    [anon_sym_break] = ACTIONS(3534),
    [anon_sym_continue] = ACTIONS(3534),
    [anon_sym_debugger] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(3534),
    [anon_sym_throw] = ACTIONS(3534),
    [anon_sym_SEMI] = ACTIONS(3534),
    [anon_sym_case] = ACTIONS(3534),
    [anon_sym_yield] = ACTIONS(3534),
    [anon_sym_LBRACK] = ACTIONS(3534),
    [anon_sym_LTtemplate_GT] = ACTIONS(3534),
    [anon_sym_DQUOTE] = ACTIONS(3534),
    [anon_sym_SQUOTE] = ACTIONS(3534),
    [anon_sym_class] = ACTIONS(3534),
    [anon_sym_async] = ACTIONS(3534),
    [anon_sym_function] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3534),
    [anon_sym_using] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_SLASH] = ACTIONS(3534),
    [anon_sym_LT] = ACTIONS(3534),
    [anon_sym_TILDE] = ACTIONS(3534),
    [anon_sym_void] = ACTIONS(3534),
    [anon_sym_delete] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3534),
    [sym_number] = ACTIONS(3534),
    [sym_private_property_identifier] = ACTIONS(3534),
    [sym_this] = ACTIONS(3534),
    [sym_super] = ACTIONS(3534),
    [sym_true] = ACTIONS(3534),
    [sym_false] = ACTIONS(3534),
    [sym_null] = ACTIONS(3534),
    [sym_undefined] = ACTIONS(3534),
    [anon_sym_AT] = ACTIONS(3534),
    [anon_sym_static] = ACTIONS(3534),
    [anon_sym_readonly] = ACTIONS(3534),
    [anon_sym_get] = ACTIONS(3534),
    [anon_sym_set] = ACTIONS(3534),
    [anon_sym_declare] = ACTIONS(3534),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_private] = ACTIONS(3534),
    [anon_sym_protected] = ACTIONS(3534),
    [anon_sym_override] = ACTIONS(3534),
    [anon_sym_module] = ACTIONS(3534),
    [anon_sym_any] = ACTIONS(3534),
    [anon_sym_number] = ACTIONS(3534),
    [anon_sym_boolean] = ACTIONS(3534),
    [anon_sym_string] = ACTIONS(3534),
    [anon_sym_symbol] = ACTIONS(3534),
    [anon_sym_object] = ACTIONS(3534),
    [anon_sym_property] = ACTIONS(3534),
    [anon_sym_signal] = ACTIONS(3534),
    [anon_sym_on] = ACTIONS(3534),
    [anon_sym_required] = ACTIONS(3534),
    [anon_sym_component] = ACTIONS(3534),
    [anon_sym_abstract] = ACTIONS(3534),
    [anon_sym_interface] = ACTIONS(3534),
    [anon_sym_enum] = ACTIONS(3534),
    [sym_html_comment] = ACTIONS(5),
  },
  [1108] = {
    [sym_comment] = STATE(1108),
    [sym_identifier] = ACTIONS(3536),
    [anon_sym_export] = ACTIONS(3536),
    [anon_sym_default] = ACTIONS(3536),
    [anon_sym_type] = ACTIONS(3536),
    [anon_sym_namespace] = ACTIONS(3536),
    [anon_sym_LBRACE] = ACTIONS(3536),
    [anon_sym_RBRACE] = ACTIONS(3536),
    [anon_sym_typeof] = ACTIONS(3536),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_from] = ACTIONS(3536),
    [anon_sym_with] = ACTIONS(3536),
    [anon_sym_var] = ACTIONS(3536),
    [anon_sym_let] = ACTIONS(3536),
    [anon_sym_const] = ACTIONS(3536),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_else] = ACTIONS(3536),
    [anon_sym_if] = ACTIONS(3536),
    [anon_sym_switch] = ACTIONS(3536),
    [anon_sym_for] = ACTIONS(3536),
    [anon_sym_LPAREN] = ACTIONS(3536),
    [anon_sym_await] = ACTIONS(3536),
    [anon_sym_of] = ACTIONS(3536),
    [anon_sym_while] = ACTIONS(3536),
    [anon_sym_do] = ACTIONS(3536),
    [anon_sym_try] = ACTIONS(3536),
    [anon_sym_break] = ACTIONS(3536),
    [anon_sym_continue] = ACTIONS(3536),
    [anon_sym_debugger] = ACTIONS(3536),
    [anon_sym_return] = ACTIONS(3536),
    [anon_sym_throw] = ACTIONS(3536),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_case] = ACTIONS(3536),
    [anon_sym_yield] = ACTIONS(3536),
    [anon_sym_LBRACK] = ACTIONS(3536),
    [anon_sym_LTtemplate_GT] = ACTIONS(3536),
    [anon_sym_DQUOTE] = ACTIONS(3536),
    [anon_sym_SQUOTE] = ACTIONS(3536),
    [anon_sym_class] = ACTIONS(3536),
    [anon_sym_async] = ACTIONS(3536),
    [anon_sym_function] = ACTIONS(3536),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3536),
    [anon_sym_LT] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_void] = ACTIONS(3536),
    [anon_sym_delete] = ACTIONS(3536),
    [anon_sym_PLUS_PLUS] = ACTIONS(3536),
    [anon_sym_DASH_DASH] = ACTIONS(3536),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3536),
    [sym_number] = ACTIONS(3536),
    [sym_private_property_identifier] = ACTIONS(3536),
    [sym_this] = ACTIONS(3536),
    [sym_super] = ACTIONS(3536),
    [sym_true] = ACTIONS(3536),
    [sym_false] = ACTIONS(3536),
    [sym_null] = ACTIONS(3536),
    [sym_undefined] = ACTIONS(3536),
    [anon_sym_AT] = ACTIONS(3536),
    [anon_sym_static] = ACTIONS(3536),
    [anon_sym_readonly] = ACTIONS(3536),
    [anon_sym_get] = ACTIONS(3536),
    [anon_sym_set] = ACTIONS(3536),
    [anon_sym_declare] = ACTIONS(3536),
    [anon_sym_public] = ACTIONS(3536),
    [anon_sym_private] = ACTIONS(3536),
    [anon_sym_protected] = ACTIONS(3536),
    [anon_sym_override] = ACTIONS(3536),
    [anon_sym_module] = ACTIONS(3536),
    [anon_sym_any] = ACTIONS(3536),
    [anon_sym_number] = ACTIONS(3536),
    [anon_sym_boolean] = ACTIONS(3536),
    [anon_sym_string] = ACTIONS(3536),
    [anon_sym_symbol] = ACTIONS(3536),
    [anon_sym_object] = ACTIONS(3536),
    [anon_sym_property] = ACTIONS(3536),
    [anon_sym_signal] = ACTIONS(3536),
    [anon_sym_on] = ACTIONS(3536),
    [anon_sym_required] = ACTIONS(3536),
    [anon_sym_component] = ACTIONS(3536),
    [anon_sym_abstract] = ACTIONS(3536),
    [anon_sym_interface] = ACTIONS(3536),
    [anon_sym_enum] = ACTIONS(3536),
    [sym_html_comment] = ACTIONS(5),
  },
  [1109] = {
    [sym_comment] = STATE(1109),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_export] = ACTIONS(2410),
    [anon_sym_default] = ACTIONS(2410),
    [anon_sym_type] = ACTIONS(2410),
    [anon_sym_namespace] = ACTIONS(2410),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(2410),
    [anon_sym_typeof] = ACTIONS(2410),
    [anon_sym_import] = ACTIONS(2410),
    [anon_sym_from] = ACTIONS(2410),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_var] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_const] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_switch] = ACTIONS(2410),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_await] = ACTIONS(2410),
    [anon_sym_of] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_break] = ACTIONS(2410),
    [anon_sym_continue] = ACTIONS(2410),
    [anon_sym_debugger] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_throw] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym_case] = ACTIONS(2410),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LTtemplate_GT] = ACTIONS(2410),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_class] = ACTIONS(2410),
    [anon_sym_async] = ACTIONS(2410),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_using] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_SLASH] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_void] = ACTIONS(2410),
    [anon_sym_delete] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2410),
    [sym_number] = ACTIONS(2410),
    [sym_private_property_identifier] = ACTIONS(2410),
    [sym_this] = ACTIONS(2410),
    [sym_super] = ACTIONS(2410),
    [sym_true] = ACTIONS(2410),
    [sym_false] = ACTIONS(2410),
    [sym_null] = ACTIONS(2410),
    [sym_undefined] = ACTIONS(2410),
    [anon_sym_AT] = ACTIONS(2410),
    [anon_sym_static] = ACTIONS(2410),
    [anon_sym_readonly] = ACTIONS(2410),
    [anon_sym_get] = ACTIONS(2410),
    [anon_sym_set] = ACTIONS(2410),
    [anon_sym_declare] = ACTIONS(2410),
    [anon_sym_public] = ACTIONS(2410),
    [anon_sym_private] = ACTIONS(2410),
    [anon_sym_protected] = ACTIONS(2410),
    [anon_sym_override] = ACTIONS(2410),
    [anon_sym_module] = ACTIONS(2410),
    [anon_sym_any] = ACTIONS(2410),
    [anon_sym_number] = ACTIONS(2410),
    [anon_sym_boolean] = ACTIONS(2410),
    [anon_sym_string] = ACTIONS(2410),
    [anon_sym_symbol] = ACTIONS(2410),
    [anon_sym_object] = ACTIONS(2410),
    [anon_sym_property] = ACTIONS(2410),
    [anon_sym_signal] = ACTIONS(2410),
    [anon_sym_on] = ACTIONS(2410),
    [anon_sym_required] = ACTIONS(2410),
    [anon_sym_component] = ACTIONS(2410),
    [anon_sym_abstract] = ACTIONS(2410),
    [anon_sym_interface] = ACTIONS(2410),
    [anon_sym_enum] = ACTIONS(2410),
    [sym_html_comment] = ACTIONS(5),
  },
  [1110] = {
    [sym_comment] = STATE(1110),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_default] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_else] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_case] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1111] = {
    [sym_comment] = STATE(1111),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_export] = ACTIONS(3538),
    [anon_sym_default] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_namespace] = ACTIONS(3538),
    [anon_sym_LBRACE] = ACTIONS(3538),
    [anon_sym_RBRACE] = ACTIONS(3538),
    [anon_sym_typeof] = ACTIONS(3538),
    [anon_sym_import] = ACTIONS(3538),
    [anon_sym_from] = ACTIONS(3538),
    [anon_sym_with] = ACTIONS(3538),
    [anon_sym_var] = ACTIONS(3538),
    [anon_sym_let] = ACTIONS(3538),
    [anon_sym_const] = ACTIONS(3538),
    [anon_sym_BANG] = ACTIONS(3538),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_if] = ACTIONS(3538),
    [anon_sym_switch] = ACTIONS(3538),
    [anon_sym_for] = ACTIONS(3538),
    [anon_sym_LPAREN] = ACTIONS(3538),
    [anon_sym_await] = ACTIONS(3538),
    [anon_sym_of] = ACTIONS(3538),
    [anon_sym_while] = ACTIONS(3538),
    [anon_sym_do] = ACTIONS(3538),
    [anon_sym_try] = ACTIONS(3538),
    [anon_sym_break] = ACTIONS(3538),
    [anon_sym_continue] = ACTIONS(3538),
    [anon_sym_debugger] = ACTIONS(3538),
    [anon_sym_return] = ACTIONS(3538),
    [anon_sym_throw] = ACTIONS(3538),
    [anon_sym_SEMI] = ACTIONS(3538),
    [anon_sym_case] = ACTIONS(3538),
    [anon_sym_yield] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(3538),
    [anon_sym_LTtemplate_GT] = ACTIONS(3538),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_async] = ACTIONS(3538),
    [anon_sym_function] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(3538),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_PLUS] = ACTIONS(3538),
    [anon_sym_DASH] = ACTIONS(3538),
    [anon_sym_SLASH] = ACTIONS(3538),
    [anon_sym_LT] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(3538),
    [anon_sym_void] = ACTIONS(3538),
    [anon_sym_delete] = ACTIONS(3538),
    [anon_sym_PLUS_PLUS] = ACTIONS(3538),
    [anon_sym_DASH_DASH] = ACTIONS(3538),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3538),
    [sym_number] = ACTIONS(3538),
    [sym_private_property_identifier] = ACTIONS(3538),
    [sym_this] = ACTIONS(3538),
    [sym_super] = ACTIONS(3538),
    [sym_true] = ACTIONS(3538),
    [sym_false] = ACTIONS(3538),
    [sym_null] = ACTIONS(3538),
    [sym_undefined] = ACTIONS(3538),
    [anon_sym_AT] = ACTIONS(3538),
    [anon_sym_static] = ACTIONS(3538),
    [anon_sym_readonly] = ACTIONS(3538),
    [anon_sym_get] = ACTIONS(3538),
    [anon_sym_set] = ACTIONS(3538),
    [anon_sym_declare] = ACTIONS(3538),
    [anon_sym_public] = ACTIONS(3538),
    [anon_sym_private] = ACTIONS(3538),
    [anon_sym_protected] = ACTIONS(3538),
    [anon_sym_override] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_any] = ACTIONS(3538),
    [anon_sym_number] = ACTIONS(3538),
    [anon_sym_boolean] = ACTIONS(3538),
    [anon_sym_string] = ACTIONS(3538),
    [anon_sym_symbol] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(3538),
    [anon_sym_property] = ACTIONS(3538),
    [anon_sym_signal] = ACTIONS(3538),
    [anon_sym_on] = ACTIONS(3538),
    [anon_sym_required] = ACTIONS(3538),
    [anon_sym_component] = ACTIONS(3538),
    [anon_sym_abstract] = ACTIONS(3538),
    [anon_sym_interface] = ACTIONS(3538),
    [anon_sym_enum] = ACTIONS(3538),
    [sym_html_comment] = ACTIONS(5),
  },
  [1112] = {
    [sym_statement_block] = STATE(1395),
    [sym_comment] = STATE(1112),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(3432),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_case] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1113] = {
    [sym_comment] = STATE(1113),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_default] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_else] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_case] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1114] = {
    [sym_comment] = STATE(1114),
    [sym_identifier] = ACTIONS(3540),
    [anon_sym_export] = ACTIONS(3540),
    [anon_sym_default] = ACTIONS(3540),
    [anon_sym_type] = ACTIONS(3540),
    [anon_sym_namespace] = ACTIONS(3540),
    [anon_sym_LBRACE] = ACTIONS(3540),
    [anon_sym_RBRACE] = ACTIONS(3540),
    [anon_sym_typeof] = ACTIONS(3540),
    [anon_sym_import] = ACTIONS(3540),
    [anon_sym_from] = ACTIONS(3540),
    [anon_sym_with] = ACTIONS(3540),
    [anon_sym_var] = ACTIONS(3540),
    [anon_sym_let] = ACTIONS(3540),
    [anon_sym_const] = ACTIONS(3540),
    [anon_sym_BANG] = ACTIONS(3540),
    [anon_sym_else] = ACTIONS(3540),
    [anon_sym_if] = ACTIONS(3540),
    [anon_sym_switch] = ACTIONS(3540),
    [anon_sym_for] = ACTIONS(3540),
    [anon_sym_LPAREN] = ACTIONS(3540),
    [anon_sym_await] = ACTIONS(3540),
    [anon_sym_of] = ACTIONS(3540),
    [anon_sym_while] = ACTIONS(3540),
    [anon_sym_do] = ACTIONS(3540),
    [anon_sym_try] = ACTIONS(3540),
    [anon_sym_break] = ACTIONS(3540),
    [anon_sym_continue] = ACTIONS(3540),
    [anon_sym_debugger] = ACTIONS(3540),
    [anon_sym_return] = ACTIONS(3540),
    [anon_sym_throw] = ACTIONS(3540),
    [anon_sym_SEMI] = ACTIONS(3540),
    [anon_sym_case] = ACTIONS(3540),
    [anon_sym_yield] = ACTIONS(3540),
    [anon_sym_LBRACK] = ACTIONS(3540),
    [anon_sym_LTtemplate_GT] = ACTIONS(3540),
    [anon_sym_DQUOTE] = ACTIONS(3540),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [anon_sym_class] = ACTIONS(3540),
    [anon_sym_async] = ACTIONS(3540),
    [anon_sym_function] = ACTIONS(3540),
    [anon_sym_new] = ACTIONS(3540),
    [anon_sym_using] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_SLASH] = ACTIONS(3540),
    [anon_sym_LT] = ACTIONS(3540),
    [anon_sym_TILDE] = ACTIONS(3540),
    [anon_sym_void] = ACTIONS(3540),
    [anon_sym_delete] = ACTIONS(3540),
    [anon_sym_PLUS_PLUS] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(3540),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3540),
    [sym_number] = ACTIONS(3540),
    [sym_private_property_identifier] = ACTIONS(3540),
    [sym_this] = ACTIONS(3540),
    [sym_super] = ACTIONS(3540),
    [sym_true] = ACTIONS(3540),
    [sym_false] = ACTIONS(3540),
    [sym_null] = ACTIONS(3540),
    [sym_undefined] = ACTIONS(3540),
    [anon_sym_AT] = ACTIONS(3540),
    [anon_sym_static] = ACTIONS(3540),
    [anon_sym_readonly] = ACTIONS(3540),
    [anon_sym_get] = ACTIONS(3540),
    [anon_sym_set] = ACTIONS(3540),
    [anon_sym_declare] = ACTIONS(3540),
    [anon_sym_public] = ACTIONS(3540),
    [anon_sym_private] = ACTIONS(3540),
    [anon_sym_protected] = ACTIONS(3540),
    [anon_sym_override] = ACTIONS(3540),
    [anon_sym_module] = ACTIONS(3540),
    [anon_sym_any] = ACTIONS(3540),
    [anon_sym_number] = ACTIONS(3540),
    [anon_sym_boolean] = ACTIONS(3540),
    [anon_sym_string] = ACTIONS(3540),
    [anon_sym_symbol] = ACTIONS(3540),
    [anon_sym_object] = ACTIONS(3540),
    [anon_sym_property] = ACTIONS(3540),
    [anon_sym_signal] = ACTIONS(3540),
    [anon_sym_on] = ACTIONS(3540),
    [anon_sym_required] = ACTIONS(3540),
    [anon_sym_component] = ACTIONS(3540),
    [anon_sym_abstract] = ACTIONS(3540),
    [anon_sym_interface] = ACTIONS(3540),
    [anon_sym_enum] = ACTIONS(3540),
    [sym_html_comment] = ACTIONS(5),
  },
  [1115] = {
    [sym_comment] = STATE(1115),
    [sym_identifier] = ACTIONS(3542),
    [anon_sym_export] = ACTIONS(3542),
    [anon_sym_default] = ACTIONS(3542),
    [anon_sym_type] = ACTIONS(3542),
    [anon_sym_namespace] = ACTIONS(3542),
    [anon_sym_LBRACE] = ACTIONS(3542),
    [anon_sym_RBRACE] = ACTIONS(3542),
    [anon_sym_typeof] = ACTIONS(3542),
    [anon_sym_import] = ACTIONS(3542),
    [anon_sym_from] = ACTIONS(3542),
    [anon_sym_with] = ACTIONS(3542),
    [anon_sym_var] = ACTIONS(3542),
    [anon_sym_let] = ACTIONS(3542),
    [anon_sym_const] = ACTIONS(3542),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_else] = ACTIONS(3542),
    [anon_sym_if] = ACTIONS(3542),
    [anon_sym_switch] = ACTIONS(3542),
    [anon_sym_for] = ACTIONS(3542),
    [anon_sym_LPAREN] = ACTIONS(3542),
    [anon_sym_await] = ACTIONS(3542),
    [anon_sym_of] = ACTIONS(3542),
    [anon_sym_while] = ACTIONS(3542),
    [anon_sym_do] = ACTIONS(3542),
    [anon_sym_try] = ACTIONS(3542),
    [anon_sym_break] = ACTIONS(3542),
    [anon_sym_continue] = ACTIONS(3542),
    [anon_sym_debugger] = ACTIONS(3542),
    [anon_sym_return] = ACTIONS(3542),
    [anon_sym_throw] = ACTIONS(3542),
    [anon_sym_SEMI] = ACTIONS(3542),
    [anon_sym_case] = ACTIONS(3542),
    [anon_sym_yield] = ACTIONS(3542),
    [anon_sym_LBRACK] = ACTIONS(3542),
    [anon_sym_LTtemplate_GT] = ACTIONS(3542),
    [anon_sym_DQUOTE] = ACTIONS(3542),
    [anon_sym_SQUOTE] = ACTIONS(3542),
    [anon_sym_class] = ACTIONS(3542),
    [anon_sym_async] = ACTIONS(3542),
    [anon_sym_function] = ACTIONS(3542),
    [anon_sym_new] = ACTIONS(3542),
    [anon_sym_using] = ACTIONS(3542),
    [anon_sym_PLUS] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3542),
    [anon_sym_SLASH] = ACTIONS(3542),
    [anon_sym_LT] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_void] = ACTIONS(3542),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_PLUS_PLUS] = ACTIONS(3542),
    [anon_sym_DASH_DASH] = ACTIONS(3542),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3542),
    [sym_number] = ACTIONS(3542),
    [sym_private_property_identifier] = ACTIONS(3542),
    [sym_this] = ACTIONS(3542),
    [sym_super] = ACTIONS(3542),
    [sym_true] = ACTIONS(3542),
    [sym_false] = ACTIONS(3542),
    [sym_null] = ACTIONS(3542),
    [sym_undefined] = ACTIONS(3542),
    [anon_sym_AT] = ACTIONS(3542),
    [anon_sym_static] = ACTIONS(3542),
    [anon_sym_readonly] = ACTIONS(3542),
    [anon_sym_get] = ACTIONS(3542),
    [anon_sym_set] = ACTIONS(3542),
    [anon_sym_declare] = ACTIONS(3542),
    [anon_sym_public] = ACTIONS(3542),
    [anon_sym_private] = ACTIONS(3542),
    [anon_sym_protected] = ACTIONS(3542),
    [anon_sym_override] = ACTIONS(3542),
    [anon_sym_module] = ACTIONS(3542),
    [anon_sym_any] = ACTIONS(3542),
    [anon_sym_number] = ACTIONS(3542),
    [anon_sym_boolean] = ACTIONS(3542),
    [anon_sym_string] = ACTIONS(3542),
    [anon_sym_symbol] = ACTIONS(3542),
    [anon_sym_object] = ACTIONS(3542),
    [anon_sym_property] = ACTIONS(3542),
    [anon_sym_signal] = ACTIONS(3542),
    [anon_sym_on] = ACTIONS(3542),
    [anon_sym_required] = ACTIONS(3542),
    [anon_sym_component] = ACTIONS(3542),
    [anon_sym_abstract] = ACTIONS(3542),
    [anon_sym_interface] = ACTIONS(3542),
    [anon_sym_enum] = ACTIONS(3542),
    [sym_html_comment] = ACTIONS(5),
  },
  [1116] = {
    [sym_comment] = STATE(1116),
    [sym_identifier] = ACTIONS(3544),
    [anon_sym_export] = ACTIONS(3544),
    [anon_sym_default] = ACTIONS(3544),
    [anon_sym_type] = ACTIONS(3544),
    [anon_sym_namespace] = ACTIONS(3544),
    [anon_sym_LBRACE] = ACTIONS(3544),
    [anon_sym_RBRACE] = ACTIONS(3544),
    [anon_sym_typeof] = ACTIONS(3544),
    [anon_sym_import] = ACTIONS(3544),
    [anon_sym_from] = ACTIONS(3544),
    [anon_sym_with] = ACTIONS(3544),
    [anon_sym_var] = ACTIONS(3544),
    [anon_sym_let] = ACTIONS(3544),
    [anon_sym_const] = ACTIONS(3544),
    [anon_sym_BANG] = ACTIONS(3544),
    [anon_sym_else] = ACTIONS(3544),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_switch] = ACTIONS(3544),
    [anon_sym_for] = ACTIONS(3544),
    [anon_sym_LPAREN] = ACTIONS(3544),
    [anon_sym_await] = ACTIONS(3544),
    [anon_sym_of] = ACTIONS(3544),
    [anon_sym_while] = ACTIONS(3544),
    [anon_sym_do] = ACTIONS(3544),
    [anon_sym_try] = ACTIONS(3544),
    [anon_sym_break] = ACTIONS(3544),
    [anon_sym_continue] = ACTIONS(3544),
    [anon_sym_debugger] = ACTIONS(3544),
    [anon_sym_return] = ACTIONS(3544),
    [anon_sym_throw] = ACTIONS(3544),
    [anon_sym_SEMI] = ACTIONS(3544),
    [anon_sym_case] = ACTIONS(3544),
    [anon_sym_yield] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(3544),
    [anon_sym_LTtemplate_GT] = ACTIONS(3544),
    [anon_sym_DQUOTE] = ACTIONS(3544),
    [anon_sym_SQUOTE] = ACTIONS(3544),
    [anon_sym_class] = ACTIONS(3544),
    [anon_sym_async] = ACTIONS(3544),
    [anon_sym_function] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3544),
    [anon_sym_using] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3544),
    [anon_sym_DASH] = ACTIONS(3544),
    [anon_sym_SLASH] = ACTIONS(3544),
    [anon_sym_LT] = ACTIONS(3544),
    [anon_sym_TILDE] = ACTIONS(3544),
    [anon_sym_void] = ACTIONS(3544),
    [anon_sym_delete] = ACTIONS(3544),
    [anon_sym_PLUS_PLUS] = ACTIONS(3544),
    [anon_sym_DASH_DASH] = ACTIONS(3544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3544),
    [sym_number] = ACTIONS(3544),
    [sym_private_property_identifier] = ACTIONS(3544),
    [sym_this] = ACTIONS(3544),
    [sym_super] = ACTIONS(3544),
    [sym_true] = ACTIONS(3544),
    [sym_false] = ACTIONS(3544),
    [sym_null] = ACTIONS(3544),
    [sym_undefined] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(3544),
    [anon_sym_static] = ACTIONS(3544),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_get] = ACTIONS(3544),
    [anon_sym_set] = ACTIONS(3544),
    [anon_sym_declare] = ACTIONS(3544),
    [anon_sym_public] = ACTIONS(3544),
    [anon_sym_private] = ACTIONS(3544),
    [anon_sym_protected] = ACTIONS(3544),
    [anon_sym_override] = ACTIONS(3544),
    [anon_sym_module] = ACTIONS(3544),
    [anon_sym_any] = ACTIONS(3544),
    [anon_sym_number] = ACTIONS(3544),
    [anon_sym_boolean] = ACTIONS(3544),
    [anon_sym_string] = ACTIONS(3544),
    [anon_sym_symbol] = ACTIONS(3544),
    [anon_sym_object] = ACTIONS(3544),
    [anon_sym_property] = ACTIONS(3544),
    [anon_sym_signal] = ACTIONS(3544),
    [anon_sym_on] = ACTIONS(3544),
    [anon_sym_required] = ACTIONS(3544),
    [anon_sym_component] = ACTIONS(3544),
    [anon_sym_abstract] = ACTIONS(3544),
    [anon_sym_interface] = ACTIONS(3544),
    [anon_sym_enum] = ACTIONS(3544),
    [sym_html_comment] = ACTIONS(5),
  },
  [1117] = {
    [sym_comment] = STATE(1117),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_export] = ACTIONS(3546),
    [anon_sym_default] = ACTIONS(3546),
    [anon_sym_type] = ACTIONS(3546),
    [anon_sym_namespace] = ACTIONS(3546),
    [anon_sym_LBRACE] = ACTIONS(3546),
    [anon_sym_RBRACE] = ACTIONS(3546),
    [anon_sym_typeof] = ACTIONS(3546),
    [anon_sym_import] = ACTIONS(3546),
    [anon_sym_from] = ACTIONS(3546),
    [anon_sym_with] = ACTIONS(3546),
    [anon_sym_var] = ACTIONS(3546),
    [anon_sym_let] = ACTIONS(3546),
    [anon_sym_const] = ACTIONS(3546),
    [anon_sym_BANG] = ACTIONS(3546),
    [anon_sym_else] = ACTIONS(3546),
    [anon_sym_if] = ACTIONS(3546),
    [anon_sym_switch] = ACTIONS(3546),
    [anon_sym_for] = ACTIONS(3546),
    [anon_sym_LPAREN] = ACTIONS(3546),
    [anon_sym_await] = ACTIONS(3546),
    [anon_sym_of] = ACTIONS(3546),
    [anon_sym_while] = ACTIONS(3546),
    [anon_sym_do] = ACTIONS(3546),
    [anon_sym_try] = ACTIONS(3546),
    [anon_sym_break] = ACTIONS(3546),
    [anon_sym_continue] = ACTIONS(3546),
    [anon_sym_debugger] = ACTIONS(3546),
    [anon_sym_return] = ACTIONS(3546),
    [anon_sym_throw] = ACTIONS(3546),
    [anon_sym_SEMI] = ACTIONS(3546),
    [anon_sym_case] = ACTIONS(3546),
    [anon_sym_yield] = ACTIONS(3546),
    [anon_sym_LBRACK] = ACTIONS(3546),
    [anon_sym_LTtemplate_GT] = ACTIONS(3546),
    [anon_sym_DQUOTE] = ACTIONS(3546),
    [anon_sym_SQUOTE] = ACTIONS(3546),
    [anon_sym_class] = ACTIONS(3546),
    [anon_sym_async] = ACTIONS(3546),
    [anon_sym_function] = ACTIONS(3546),
    [anon_sym_new] = ACTIONS(3546),
    [anon_sym_using] = ACTIONS(3546),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_DASH] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3546),
    [anon_sym_LT] = ACTIONS(3546),
    [anon_sym_TILDE] = ACTIONS(3546),
    [anon_sym_void] = ACTIONS(3546),
    [anon_sym_delete] = ACTIONS(3546),
    [anon_sym_PLUS_PLUS] = ACTIONS(3546),
    [anon_sym_DASH_DASH] = ACTIONS(3546),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3546),
    [sym_number] = ACTIONS(3546),
    [sym_private_property_identifier] = ACTIONS(3546),
    [sym_this] = ACTIONS(3546),
    [sym_super] = ACTIONS(3546),
    [sym_true] = ACTIONS(3546),
    [sym_false] = ACTIONS(3546),
    [sym_null] = ACTIONS(3546),
    [sym_undefined] = ACTIONS(3546),
    [anon_sym_AT] = ACTIONS(3546),
    [anon_sym_static] = ACTIONS(3546),
    [anon_sym_readonly] = ACTIONS(3546),
    [anon_sym_get] = ACTIONS(3546),
    [anon_sym_set] = ACTIONS(3546),
    [anon_sym_declare] = ACTIONS(3546),
    [anon_sym_public] = ACTIONS(3546),
    [anon_sym_private] = ACTIONS(3546),
    [anon_sym_protected] = ACTIONS(3546),
    [anon_sym_override] = ACTIONS(3546),
    [anon_sym_module] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(3546),
    [anon_sym_number] = ACTIONS(3546),
    [anon_sym_boolean] = ACTIONS(3546),
    [anon_sym_string] = ACTIONS(3546),
    [anon_sym_symbol] = ACTIONS(3546),
    [anon_sym_object] = ACTIONS(3546),
    [anon_sym_property] = ACTIONS(3546),
    [anon_sym_signal] = ACTIONS(3546),
    [anon_sym_on] = ACTIONS(3546),
    [anon_sym_required] = ACTIONS(3546),
    [anon_sym_component] = ACTIONS(3546),
    [anon_sym_abstract] = ACTIONS(3546),
    [anon_sym_interface] = ACTIONS(3546),
    [anon_sym_enum] = ACTIONS(3546),
    [sym_html_comment] = ACTIONS(5),
  },
  [1118] = {
    [sym_comment] = STATE(1118),
    [sym_identifier] = ACTIONS(3548),
    [anon_sym_export] = ACTIONS(3548),
    [anon_sym_default] = ACTIONS(3548),
    [anon_sym_type] = ACTIONS(3548),
    [anon_sym_namespace] = ACTIONS(3548),
    [anon_sym_LBRACE] = ACTIONS(3548),
    [anon_sym_RBRACE] = ACTIONS(3548),
    [anon_sym_typeof] = ACTIONS(3548),
    [anon_sym_import] = ACTIONS(3548),
    [anon_sym_from] = ACTIONS(3548),
    [anon_sym_with] = ACTIONS(3548),
    [anon_sym_var] = ACTIONS(3548),
    [anon_sym_let] = ACTIONS(3548),
    [anon_sym_const] = ACTIONS(3548),
    [anon_sym_BANG] = ACTIONS(3548),
    [anon_sym_else] = ACTIONS(3548),
    [anon_sym_if] = ACTIONS(3548),
    [anon_sym_switch] = ACTIONS(3548),
    [anon_sym_for] = ACTIONS(3548),
    [anon_sym_LPAREN] = ACTIONS(3548),
    [anon_sym_await] = ACTIONS(3548),
    [anon_sym_of] = ACTIONS(3548),
    [anon_sym_while] = ACTIONS(3548),
    [anon_sym_do] = ACTIONS(3548),
    [anon_sym_try] = ACTIONS(3548),
    [anon_sym_break] = ACTIONS(3548),
    [anon_sym_continue] = ACTIONS(3548),
    [anon_sym_debugger] = ACTIONS(3548),
    [anon_sym_return] = ACTIONS(3548),
    [anon_sym_throw] = ACTIONS(3548),
    [anon_sym_SEMI] = ACTIONS(3548),
    [anon_sym_case] = ACTIONS(3548),
    [anon_sym_yield] = ACTIONS(3548),
    [anon_sym_LBRACK] = ACTIONS(3548),
    [anon_sym_LTtemplate_GT] = ACTIONS(3548),
    [anon_sym_DQUOTE] = ACTIONS(3548),
    [anon_sym_SQUOTE] = ACTIONS(3548),
    [anon_sym_class] = ACTIONS(3548),
    [anon_sym_async] = ACTIONS(3548),
    [anon_sym_function] = ACTIONS(3548),
    [anon_sym_new] = ACTIONS(3548),
    [anon_sym_using] = ACTIONS(3548),
    [anon_sym_PLUS] = ACTIONS(3548),
    [anon_sym_DASH] = ACTIONS(3548),
    [anon_sym_SLASH] = ACTIONS(3548),
    [anon_sym_LT] = ACTIONS(3548),
    [anon_sym_TILDE] = ACTIONS(3548),
    [anon_sym_void] = ACTIONS(3548),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_PLUS_PLUS] = ACTIONS(3548),
    [anon_sym_DASH_DASH] = ACTIONS(3548),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3548),
    [sym_number] = ACTIONS(3548),
    [sym_private_property_identifier] = ACTIONS(3548),
    [sym_this] = ACTIONS(3548),
    [sym_super] = ACTIONS(3548),
    [sym_true] = ACTIONS(3548),
    [sym_false] = ACTIONS(3548),
    [sym_null] = ACTIONS(3548),
    [sym_undefined] = ACTIONS(3548),
    [anon_sym_AT] = ACTIONS(3548),
    [anon_sym_static] = ACTIONS(3548),
    [anon_sym_readonly] = ACTIONS(3548),
    [anon_sym_get] = ACTIONS(3548),
    [anon_sym_set] = ACTIONS(3548),
    [anon_sym_declare] = ACTIONS(3548),
    [anon_sym_public] = ACTIONS(3548),
    [anon_sym_private] = ACTIONS(3548),
    [anon_sym_protected] = ACTIONS(3548),
    [anon_sym_override] = ACTIONS(3548),
    [anon_sym_module] = ACTIONS(3548),
    [anon_sym_any] = ACTIONS(3548),
    [anon_sym_number] = ACTIONS(3548),
    [anon_sym_boolean] = ACTIONS(3548),
    [anon_sym_string] = ACTIONS(3548),
    [anon_sym_symbol] = ACTIONS(3548),
    [anon_sym_object] = ACTIONS(3548),
    [anon_sym_property] = ACTIONS(3548),
    [anon_sym_signal] = ACTIONS(3548),
    [anon_sym_on] = ACTIONS(3548),
    [anon_sym_required] = ACTIONS(3548),
    [anon_sym_component] = ACTIONS(3548),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_interface] = ACTIONS(3548),
    [anon_sym_enum] = ACTIONS(3548),
    [sym_html_comment] = ACTIONS(5),
  },
  [1119] = {
    [sym_comment] = STATE(1119),
    [sym_identifier] = ACTIONS(3550),
    [anon_sym_export] = ACTIONS(3550),
    [anon_sym_default] = ACTIONS(3550),
    [anon_sym_type] = ACTIONS(3550),
    [anon_sym_namespace] = ACTIONS(3550),
    [anon_sym_LBRACE] = ACTIONS(3550),
    [anon_sym_RBRACE] = ACTIONS(3550),
    [anon_sym_typeof] = ACTIONS(3550),
    [anon_sym_import] = ACTIONS(3550),
    [anon_sym_from] = ACTIONS(3550),
    [anon_sym_with] = ACTIONS(3550),
    [anon_sym_var] = ACTIONS(3550),
    [anon_sym_let] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3550),
    [anon_sym_BANG] = ACTIONS(3550),
    [anon_sym_else] = ACTIONS(3550),
    [anon_sym_if] = ACTIONS(3550),
    [anon_sym_switch] = ACTIONS(3550),
    [anon_sym_for] = ACTIONS(3550),
    [anon_sym_LPAREN] = ACTIONS(3550),
    [anon_sym_await] = ACTIONS(3550),
    [anon_sym_of] = ACTIONS(3550),
    [anon_sym_while] = ACTIONS(3550),
    [anon_sym_do] = ACTIONS(3550),
    [anon_sym_try] = ACTIONS(3550),
    [anon_sym_break] = ACTIONS(3550),
    [anon_sym_continue] = ACTIONS(3550),
    [anon_sym_debugger] = ACTIONS(3550),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_throw] = ACTIONS(3550),
    [anon_sym_SEMI] = ACTIONS(3550),
    [anon_sym_case] = ACTIONS(3550),
    [anon_sym_yield] = ACTIONS(3550),
    [anon_sym_LBRACK] = ACTIONS(3550),
    [anon_sym_LTtemplate_GT] = ACTIONS(3550),
    [anon_sym_DQUOTE] = ACTIONS(3550),
    [anon_sym_SQUOTE] = ACTIONS(3550),
    [anon_sym_class] = ACTIONS(3550),
    [anon_sym_async] = ACTIONS(3550),
    [anon_sym_function] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3550),
    [anon_sym_using] = ACTIONS(3550),
    [anon_sym_PLUS] = ACTIONS(3550),
    [anon_sym_DASH] = ACTIONS(3550),
    [anon_sym_SLASH] = ACTIONS(3550),
    [anon_sym_LT] = ACTIONS(3550),
    [anon_sym_TILDE] = ACTIONS(3550),
    [anon_sym_void] = ACTIONS(3550),
    [anon_sym_delete] = ACTIONS(3550),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3550),
    [sym_number] = ACTIONS(3550),
    [sym_private_property_identifier] = ACTIONS(3550),
    [sym_this] = ACTIONS(3550),
    [sym_super] = ACTIONS(3550),
    [sym_true] = ACTIONS(3550),
    [sym_false] = ACTIONS(3550),
    [sym_null] = ACTIONS(3550),
    [sym_undefined] = ACTIONS(3550),
    [anon_sym_AT] = ACTIONS(3550),
    [anon_sym_static] = ACTIONS(3550),
    [anon_sym_readonly] = ACTIONS(3550),
    [anon_sym_get] = ACTIONS(3550),
    [anon_sym_set] = ACTIONS(3550),
    [anon_sym_declare] = ACTIONS(3550),
    [anon_sym_public] = ACTIONS(3550),
    [anon_sym_private] = ACTIONS(3550),
    [anon_sym_protected] = ACTIONS(3550),
    [anon_sym_override] = ACTIONS(3550),
    [anon_sym_module] = ACTIONS(3550),
    [anon_sym_any] = ACTIONS(3550),
    [anon_sym_number] = ACTIONS(3550),
    [anon_sym_boolean] = ACTIONS(3550),
    [anon_sym_string] = ACTIONS(3550),
    [anon_sym_symbol] = ACTIONS(3550),
    [anon_sym_object] = ACTIONS(3550),
    [anon_sym_property] = ACTIONS(3550),
    [anon_sym_signal] = ACTIONS(3550),
    [anon_sym_on] = ACTIONS(3550),
    [anon_sym_required] = ACTIONS(3550),
    [anon_sym_component] = ACTIONS(3550),
    [anon_sym_abstract] = ACTIONS(3550),
    [anon_sym_interface] = ACTIONS(3550),
    [anon_sym_enum] = ACTIONS(3550),
    [sym_html_comment] = ACTIONS(5),
  },
  [1120] = {
    [sym_comment] = STATE(1120),
    [sym_identifier] = ACTIONS(3552),
    [anon_sym_export] = ACTIONS(3552),
    [anon_sym_default] = ACTIONS(3552),
    [anon_sym_type] = ACTIONS(3552),
    [anon_sym_namespace] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3552),
    [anon_sym_RBRACE] = ACTIONS(3552),
    [anon_sym_typeof] = ACTIONS(3552),
    [anon_sym_import] = ACTIONS(3552),
    [anon_sym_from] = ACTIONS(3552),
    [anon_sym_with] = ACTIONS(3552),
    [anon_sym_var] = ACTIONS(3552),
    [anon_sym_let] = ACTIONS(3552),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_BANG] = ACTIONS(3552),
    [anon_sym_else] = ACTIONS(3552),
    [anon_sym_if] = ACTIONS(3552),
    [anon_sym_switch] = ACTIONS(3552),
    [anon_sym_for] = ACTIONS(3552),
    [anon_sym_LPAREN] = ACTIONS(3552),
    [anon_sym_await] = ACTIONS(3552),
    [anon_sym_of] = ACTIONS(3552),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(3552),
    [anon_sym_try] = ACTIONS(3552),
    [anon_sym_break] = ACTIONS(3552),
    [anon_sym_continue] = ACTIONS(3552),
    [anon_sym_debugger] = ACTIONS(3552),
    [anon_sym_return] = ACTIONS(3552),
    [anon_sym_throw] = ACTIONS(3552),
    [anon_sym_SEMI] = ACTIONS(3552),
    [anon_sym_case] = ACTIONS(3552),
    [anon_sym_yield] = ACTIONS(3552),
    [anon_sym_LBRACK] = ACTIONS(3552),
    [anon_sym_LTtemplate_GT] = ACTIONS(3552),
    [anon_sym_DQUOTE] = ACTIONS(3552),
    [anon_sym_SQUOTE] = ACTIONS(3552),
    [anon_sym_class] = ACTIONS(3552),
    [anon_sym_async] = ACTIONS(3552),
    [anon_sym_function] = ACTIONS(3552),
    [anon_sym_new] = ACTIONS(3552),
    [anon_sym_using] = ACTIONS(3552),
    [anon_sym_PLUS] = ACTIONS(3552),
    [anon_sym_DASH] = ACTIONS(3552),
    [anon_sym_SLASH] = ACTIONS(3552),
    [anon_sym_LT] = ACTIONS(3552),
    [anon_sym_TILDE] = ACTIONS(3552),
    [anon_sym_void] = ACTIONS(3552),
    [anon_sym_delete] = ACTIONS(3552),
    [anon_sym_PLUS_PLUS] = ACTIONS(3552),
    [anon_sym_DASH_DASH] = ACTIONS(3552),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3552),
    [sym_number] = ACTIONS(3552),
    [sym_private_property_identifier] = ACTIONS(3552),
    [sym_this] = ACTIONS(3552),
    [sym_super] = ACTIONS(3552),
    [sym_true] = ACTIONS(3552),
    [sym_false] = ACTIONS(3552),
    [sym_null] = ACTIONS(3552),
    [sym_undefined] = ACTIONS(3552),
    [anon_sym_AT] = ACTIONS(3552),
    [anon_sym_static] = ACTIONS(3552),
    [anon_sym_readonly] = ACTIONS(3552),
    [anon_sym_get] = ACTIONS(3552),
    [anon_sym_set] = ACTIONS(3552),
    [anon_sym_declare] = ACTIONS(3552),
    [anon_sym_public] = ACTIONS(3552),
    [anon_sym_private] = ACTIONS(3552),
    [anon_sym_protected] = ACTIONS(3552),
    [anon_sym_override] = ACTIONS(3552),
    [anon_sym_module] = ACTIONS(3552),
    [anon_sym_any] = ACTIONS(3552),
    [anon_sym_number] = ACTIONS(3552),
    [anon_sym_boolean] = ACTIONS(3552),
    [anon_sym_string] = ACTIONS(3552),
    [anon_sym_symbol] = ACTIONS(3552),
    [anon_sym_object] = ACTIONS(3552),
    [anon_sym_property] = ACTIONS(3552),
    [anon_sym_signal] = ACTIONS(3552),
    [anon_sym_on] = ACTIONS(3552),
    [anon_sym_required] = ACTIONS(3552),
    [anon_sym_component] = ACTIONS(3552),
    [anon_sym_abstract] = ACTIONS(3552),
    [anon_sym_interface] = ACTIONS(3552),
    [anon_sym_enum] = ACTIONS(3552),
    [sym_html_comment] = ACTIONS(5),
  },
  [1121] = {
    [sym_comment] = STATE(1121),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_default] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_else] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_case] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1122] = {
    [sym_comment] = STATE(1122),
    [sym_identifier] = ACTIONS(3554),
    [anon_sym_export] = ACTIONS(3554),
    [anon_sym_default] = ACTIONS(3554),
    [anon_sym_type] = ACTIONS(3554),
    [anon_sym_namespace] = ACTIONS(3554),
    [anon_sym_LBRACE] = ACTIONS(3554),
    [anon_sym_RBRACE] = ACTIONS(3554),
    [anon_sym_typeof] = ACTIONS(3554),
    [anon_sym_import] = ACTIONS(3554),
    [anon_sym_from] = ACTIONS(3554),
    [anon_sym_with] = ACTIONS(3554),
    [anon_sym_var] = ACTIONS(3554),
    [anon_sym_let] = ACTIONS(3554),
    [anon_sym_const] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3554),
    [anon_sym_else] = ACTIONS(3554),
    [anon_sym_if] = ACTIONS(3554),
    [anon_sym_switch] = ACTIONS(3554),
    [anon_sym_for] = ACTIONS(3554),
    [anon_sym_LPAREN] = ACTIONS(3554),
    [anon_sym_await] = ACTIONS(3554),
    [anon_sym_of] = ACTIONS(3554),
    [anon_sym_while] = ACTIONS(3554),
    [anon_sym_do] = ACTIONS(3554),
    [anon_sym_try] = ACTIONS(3554),
    [anon_sym_break] = ACTIONS(3554),
    [anon_sym_continue] = ACTIONS(3554),
    [anon_sym_debugger] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(3554),
    [anon_sym_throw] = ACTIONS(3554),
    [anon_sym_SEMI] = ACTIONS(3554),
    [anon_sym_case] = ACTIONS(3554),
    [anon_sym_yield] = ACTIONS(3554),
    [anon_sym_LBRACK] = ACTIONS(3554),
    [anon_sym_LTtemplate_GT] = ACTIONS(3554),
    [anon_sym_DQUOTE] = ACTIONS(3554),
    [anon_sym_SQUOTE] = ACTIONS(3554),
    [anon_sym_class] = ACTIONS(3554),
    [anon_sym_async] = ACTIONS(3554),
    [anon_sym_function] = ACTIONS(3554),
    [anon_sym_new] = ACTIONS(3554),
    [anon_sym_using] = ACTIONS(3554),
    [anon_sym_PLUS] = ACTIONS(3554),
    [anon_sym_DASH] = ACTIONS(3554),
    [anon_sym_SLASH] = ACTIONS(3554),
    [anon_sym_LT] = ACTIONS(3554),
    [anon_sym_TILDE] = ACTIONS(3554),
    [anon_sym_void] = ACTIONS(3554),
    [anon_sym_delete] = ACTIONS(3554),
    [anon_sym_PLUS_PLUS] = ACTIONS(3554),
    [anon_sym_DASH_DASH] = ACTIONS(3554),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3554),
    [sym_number] = ACTIONS(3554),
    [sym_private_property_identifier] = ACTIONS(3554),
    [sym_this] = ACTIONS(3554),
    [sym_super] = ACTIONS(3554),
    [sym_true] = ACTIONS(3554),
    [sym_false] = ACTIONS(3554),
    [sym_null] = ACTIONS(3554),
    [sym_undefined] = ACTIONS(3554),
    [anon_sym_AT] = ACTIONS(3554),
    [anon_sym_static] = ACTIONS(3554),
    [anon_sym_readonly] = ACTIONS(3554),
    [anon_sym_get] = ACTIONS(3554),
    [anon_sym_set] = ACTIONS(3554),
    [anon_sym_declare] = ACTIONS(3554),
    [anon_sym_public] = ACTIONS(3554),
    [anon_sym_private] = ACTIONS(3554),
    [anon_sym_protected] = ACTIONS(3554),
    [anon_sym_override] = ACTIONS(3554),
    [anon_sym_module] = ACTIONS(3554),
    [anon_sym_any] = ACTIONS(3554),
    [anon_sym_number] = ACTIONS(3554),
    [anon_sym_boolean] = ACTIONS(3554),
    [anon_sym_string] = ACTIONS(3554),
    [anon_sym_symbol] = ACTIONS(3554),
    [anon_sym_object] = ACTIONS(3554),
    [anon_sym_property] = ACTIONS(3554),
    [anon_sym_signal] = ACTIONS(3554),
    [anon_sym_on] = ACTIONS(3554),
    [anon_sym_required] = ACTIONS(3554),
    [anon_sym_component] = ACTIONS(3554),
    [anon_sym_abstract] = ACTIONS(3554),
    [anon_sym_interface] = ACTIONS(3554),
    [anon_sym_enum] = ACTIONS(3554),
    [sym_html_comment] = ACTIONS(5),
  },
  [1123] = {
    [sym_comment] = STATE(1123),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_default] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_else] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_case] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1124] = {
    [sym_comment] = STATE(1124),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(3556),
    [sym_html_comment] = ACTIONS(5),
  },
  [1125] = {
    [sym_comment] = STATE(1125),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_export] = ACTIONS(3558),
    [anon_sym_default] = ACTIONS(3558),
    [anon_sym_type] = ACTIONS(3558),
    [anon_sym_namespace] = ACTIONS(3558),
    [anon_sym_LBRACE] = ACTIONS(3558),
    [anon_sym_RBRACE] = ACTIONS(3558),
    [anon_sym_typeof] = ACTIONS(3558),
    [anon_sym_import] = ACTIONS(3558),
    [anon_sym_from] = ACTIONS(3558),
    [anon_sym_with] = ACTIONS(3558),
    [anon_sym_var] = ACTIONS(3558),
    [anon_sym_let] = ACTIONS(3558),
    [anon_sym_const] = ACTIONS(3558),
    [anon_sym_BANG] = ACTIONS(3558),
    [anon_sym_else] = ACTIONS(3558),
    [anon_sym_if] = ACTIONS(3558),
    [anon_sym_switch] = ACTIONS(3558),
    [anon_sym_for] = ACTIONS(3558),
    [anon_sym_LPAREN] = ACTIONS(3558),
    [anon_sym_await] = ACTIONS(3558),
    [anon_sym_of] = ACTIONS(3558),
    [anon_sym_while] = ACTIONS(3558),
    [anon_sym_do] = ACTIONS(3558),
    [anon_sym_try] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3558),
    [anon_sym_continue] = ACTIONS(3558),
    [anon_sym_debugger] = ACTIONS(3558),
    [anon_sym_return] = ACTIONS(3558),
    [anon_sym_throw] = ACTIONS(3558),
    [anon_sym_SEMI] = ACTIONS(3558),
    [anon_sym_case] = ACTIONS(3558),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_LBRACK] = ACTIONS(3558),
    [anon_sym_LTtemplate_GT] = ACTIONS(3558),
    [anon_sym_DQUOTE] = ACTIONS(3558),
    [anon_sym_SQUOTE] = ACTIONS(3558),
    [anon_sym_class] = ACTIONS(3558),
    [anon_sym_async] = ACTIONS(3558),
    [anon_sym_function] = ACTIONS(3558),
    [anon_sym_new] = ACTIONS(3558),
    [anon_sym_using] = ACTIONS(3558),
    [anon_sym_PLUS] = ACTIONS(3558),
    [anon_sym_DASH] = ACTIONS(3558),
    [anon_sym_SLASH] = ACTIONS(3558),
    [anon_sym_LT] = ACTIONS(3558),
    [anon_sym_TILDE] = ACTIONS(3558),
    [anon_sym_void] = ACTIONS(3558),
    [anon_sym_delete] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3558),
    [sym_number] = ACTIONS(3558),
    [sym_private_property_identifier] = ACTIONS(3558),
    [sym_this] = ACTIONS(3558),
    [sym_super] = ACTIONS(3558),
    [sym_true] = ACTIONS(3558),
    [sym_false] = ACTIONS(3558),
    [sym_null] = ACTIONS(3558),
    [sym_undefined] = ACTIONS(3558),
    [anon_sym_AT] = ACTIONS(3558),
    [anon_sym_static] = ACTIONS(3558),
    [anon_sym_readonly] = ACTIONS(3558),
    [anon_sym_get] = ACTIONS(3558),
    [anon_sym_set] = ACTIONS(3558),
    [anon_sym_declare] = ACTIONS(3558),
    [anon_sym_public] = ACTIONS(3558),
    [anon_sym_private] = ACTIONS(3558),
    [anon_sym_protected] = ACTIONS(3558),
    [anon_sym_override] = ACTIONS(3558),
    [anon_sym_module] = ACTIONS(3558),
    [anon_sym_any] = ACTIONS(3558),
    [anon_sym_number] = ACTIONS(3558),
    [anon_sym_boolean] = ACTIONS(3558),
    [anon_sym_string] = ACTIONS(3558),
    [anon_sym_symbol] = ACTIONS(3558),
    [anon_sym_object] = ACTIONS(3558),
    [anon_sym_property] = ACTIONS(3558),
    [anon_sym_signal] = ACTIONS(3558),
    [anon_sym_on] = ACTIONS(3558),
    [anon_sym_required] = ACTIONS(3558),
    [anon_sym_component] = ACTIONS(3558),
    [anon_sym_abstract] = ACTIONS(3558),
    [anon_sym_interface] = ACTIONS(3558),
    [anon_sym_enum] = ACTIONS(3558),
    [sym_html_comment] = ACTIONS(5),
  },
  [1126] = {
    [sym_comment] = STATE(1126),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_default] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(2472),
    [sym_html_comment] = ACTIONS(5),
  },
  [1127] = {
    [sym_comment] = STATE(1127),
    [sym_identifier] = ACTIONS(3560),
    [anon_sym_export] = ACTIONS(3560),
    [anon_sym_default] = ACTIONS(3560),
    [anon_sym_type] = ACTIONS(3560),
    [anon_sym_namespace] = ACTIONS(3560),
    [anon_sym_LBRACE] = ACTIONS(3560),
    [anon_sym_RBRACE] = ACTIONS(3560),
    [anon_sym_typeof] = ACTIONS(3560),
    [anon_sym_import] = ACTIONS(3560),
    [anon_sym_from] = ACTIONS(3560),
    [anon_sym_with] = ACTIONS(3560),
    [anon_sym_var] = ACTIONS(3560),
    [anon_sym_let] = ACTIONS(3560),
    [anon_sym_const] = ACTIONS(3560),
    [anon_sym_BANG] = ACTIONS(3560),
    [anon_sym_else] = ACTIONS(3560),
    [anon_sym_if] = ACTIONS(3560),
    [anon_sym_switch] = ACTIONS(3560),
    [anon_sym_for] = ACTIONS(3560),
    [anon_sym_LPAREN] = ACTIONS(3560),
    [anon_sym_await] = ACTIONS(3560),
    [anon_sym_of] = ACTIONS(3560),
    [anon_sym_while] = ACTIONS(3560),
    [anon_sym_do] = ACTIONS(3560),
    [anon_sym_try] = ACTIONS(3560),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_continue] = ACTIONS(3560),
    [anon_sym_debugger] = ACTIONS(3560),
    [anon_sym_return] = ACTIONS(3560),
    [anon_sym_throw] = ACTIONS(3560),
    [anon_sym_SEMI] = ACTIONS(3560),
    [anon_sym_case] = ACTIONS(3560),
    [anon_sym_yield] = ACTIONS(3560),
    [anon_sym_LBRACK] = ACTIONS(3560),
    [anon_sym_LTtemplate_GT] = ACTIONS(3560),
    [anon_sym_DQUOTE] = ACTIONS(3560),
    [anon_sym_SQUOTE] = ACTIONS(3560),
    [anon_sym_class] = ACTIONS(3560),
    [anon_sym_async] = ACTIONS(3560),
    [anon_sym_function] = ACTIONS(3560),
    [anon_sym_new] = ACTIONS(3560),
    [anon_sym_using] = ACTIONS(3560),
    [anon_sym_PLUS] = ACTIONS(3560),
    [anon_sym_DASH] = ACTIONS(3560),
    [anon_sym_SLASH] = ACTIONS(3560),
    [anon_sym_LT] = ACTIONS(3560),
    [anon_sym_TILDE] = ACTIONS(3560),
    [anon_sym_void] = ACTIONS(3560),
    [anon_sym_delete] = ACTIONS(3560),
    [anon_sym_PLUS_PLUS] = ACTIONS(3560),
    [anon_sym_DASH_DASH] = ACTIONS(3560),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3560),
    [sym_number] = ACTIONS(3560),
    [sym_private_property_identifier] = ACTIONS(3560),
    [sym_this] = ACTIONS(3560),
    [sym_super] = ACTIONS(3560),
    [sym_true] = ACTIONS(3560),
    [sym_false] = ACTIONS(3560),
    [sym_null] = ACTIONS(3560),
    [sym_undefined] = ACTIONS(3560),
    [anon_sym_AT] = ACTIONS(3560),
    [anon_sym_static] = ACTIONS(3560),
    [anon_sym_readonly] = ACTIONS(3560),
    [anon_sym_get] = ACTIONS(3560),
    [anon_sym_set] = ACTIONS(3560),
    [anon_sym_declare] = ACTIONS(3560),
    [anon_sym_public] = ACTIONS(3560),
    [anon_sym_private] = ACTIONS(3560),
    [anon_sym_protected] = ACTIONS(3560),
    [anon_sym_override] = ACTIONS(3560),
    [anon_sym_module] = ACTIONS(3560),
    [anon_sym_any] = ACTIONS(3560),
    [anon_sym_number] = ACTIONS(3560),
    [anon_sym_boolean] = ACTIONS(3560),
    [anon_sym_string] = ACTIONS(3560),
    [anon_sym_symbol] = ACTIONS(3560),
    [anon_sym_object] = ACTIONS(3560),
    [anon_sym_property] = ACTIONS(3560),
    [anon_sym_signal] = ACTIONS(3560),
    [anon_sym_on] = ACTIONS(3560),
    [anon_sym_required] = ACTIONS(3560),
    [anon_sym_component] = ACTIONS(3560),
    [anon_sym_abstract] = ACTIONS(3560),
    [anon_sym_interface] = ACTIONS(3560),
    [anon_sym_enum] = ACTIONS(3560),
    [sym_html_comment] = ACTIONS(5),
  },
  [1128] = {
    [sym_comment] = STATE(1128),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_default] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_else] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_case] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1129] = {
    [sym_statement_block] = STATE(1576),
    [sym_comment] = STATE(1129),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(3562),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_else] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(3564),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1130] = {
    [sym_statement_block] = STATE(1576),
    [sym_comment] = STATE(1130),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(3562),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_else] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(3566),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1131] = {
    [sym_comment] = STATE(1131),
    [sym_identifier] = ACTIONS(3568),
    [anon_sym_export] = ACTIONS(3568),
    [anon_sym_default] = ACTIONS(3568),
    [anon_sym_type] = ACTIONS(3568),
    [anon_sym_namespace] = ACTIONS(3568),
    [anon_sym_LBRACE] = ACTIONS(3568),
    [anon_sym_RBRACE] = ACTIONS(3568),
    [anon_sym_typeof] = ACTIONS(3568),
    [anon_sym_import] = ACTIONS(3568),
    [anon_sym_from] = ACTIONS(3568),
    [anon_sym_with] = ACTIONS(3568),
    [anon_sym_var] = ACTIONS(3568),
    [anon_sym_let] = ACTIONS(3568),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_BANG] = ACTIONS(3568),
    [anon_sym_else] = ACTIONS(3568),
    [anon_sym_if] = ACTIONS(3568),
    [anon_sym_switch] = ACTIONS(3568),
    [anon_sym_for] = ACTIONS(3568),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_await] = ACTIONS(3568),
    [anon_sym_of] = ACTIONS(3568),
    [anon_sym_while] = ACTIONS(3568),
    [anon_sym_do] = ACTIONS(3568),
    [anon_sym_try] = ACTIONS(3568),
    [anon_sym_break] = ACTIONS(3568),
    [anon_sym_continue] = ACTIONS(3568),
    [anon_sym_debugger] = ACTIONS(3568),
    [anon_sym_return] = ACTIONS(3568),
    [anon_sym_throw] = ACTIONS(3568),
    [anon_sym_SEMI] = ACTIONS(3568),
    [anon_sym_case] = ACTIONS(3568),
    [anon_sym_yield] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3568),
    [anon_sym_LTtemplate_GT] = ACTIONS(3568),
    [anon_sym_DQUOTE] = ACTIONS(3568),
    [anon_sym_SQUOTE] = ACTIONS(3568),
    [anon_sym_class] = ACTIONS(3568),
    [anon_sym_async] = ACTIONS(3568),
    [anon_sym_function] = ACTIONS(3568),
    [anon_sym_new] = ACTIONS(3568),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_PLUS] = ACTIONS(3568),
    [anon_sym_DASH] = ACTIONS(3568),
    [anon_sym_SLASH] = ACTIONS(3568),
    [anon_sym_LT] = ACTIONS(3568),
    [anon_sym_TILDE] = ACTIONS(3568),
    [anon_sym_void] = ACTIONS(3568),
    [anon_sym_delete] = ACTIONS(3568),
    [anon_sym_PLUS_PLUS] = ACTIONS(3568),
    [anon_sym_DASH_DASH] = ACTIONS(3568),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3568),
    [sym_number] = ACTIONS(3568),
    [sym_private_property_identifier] = ACTIONS(3568),
    [sym_this] = ACTIONS(3568),
    [sym_super] = ACTIONS(3568),
    [sym_true] = ACTIONS(3568),
    [sym_false] = ACTIONS(3568),
    [sym_null] = ACTIONS(3568),
    [sym_undefined] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(3568),
    [anon_sym_static] = ACTIONS(3568),
    [anon_sym_readonly] = ACTIONS(3568),
    [anon_sym_get] = ACTIONS(3568),
    [anon_sym_set] = ACTIONS(3568),
    [anon_sym_declare] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3568),
    [anon_sym_private] = ACTIONS(3568),
    [anon_sym_protected] = ACTIONS(3568),
    [anon_sym_override] = ACTIONS(3568),
    [anon_sym_module] = ACTIONS(3568),
    [anon_sym_any] = ACTIONS(3568),
    [anon_sym_number] = ACTIONS(3568),
    [anon_sym_boolean] = ACTIONS(3568),
    [anon_sym_string] = ACTIONS(3568),
    [anon_sym_symbol] = ACTIONS(3568),
    [anon_sym_object] = ACTIONS(3568),
    [anon_sym_property] = ACTIONS(3568),
    [anon_sym_signal] = ACTIONS(3568),
    [anon_sym_on] = ACTIONS(3568),
    [anon_sym_required] = ACTIONS(3568),
    [anon_sym_component] = ACTIONS(3568),
    [anon_sym_abstract] = ACTIONS(3568),
    [anon_sym_interface] = ACTIONS(3568),
    [anon_sym_enum] = ACTIONS(3568),
    [sym_html_comment] = ACTIONS(5),
  },
  [1132] = {
    [sym_comment] = STATE(1132),
    [sym_identifier] = ACTIONS(3570),
    [anon_sym_export] = ACTIONS(3570),
    [anon_sym_default] = ACTIONS(3570),
    [anon_sym_type] = ACTIONS(3570),
    [anon_sym_namespace] = ACTIONS(3570),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_RBRACE] = ACTIONS(3570),
    [anon_sym_typeof] = ACTIONS(3570),
    [anon_sym_import] = ACTIONS(3570),
    [anon_sym_from] = ACTIONS(3570),
    [anon_sym_with] = ACTIONS(3570),
    [anon_sym_var] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3570),
    [anon_sym_const] = ACTIONS(3570),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_else] = ACTIONS(3570),
    [anon_sym_if] = ACTIONS(3570),
    [anon_sym_switch] = ACTIONS(3570),
    [anon_sym_for] = ACTIONS(3570),
    [anon_sym_LPAREN] = ACTIONS(3570),
    [anon_sym_await] = ACTIONS(3570),
    [anon_sym_of] = ACTIONS(3570),
    [anon_sym_while] = ACTIONS(3570),
    [anon_sym_do] = ACTIONS(3570),
    [anon_sym_try] = ACTIONS(3570),
    [anon_sym_break] = ACTIONS(3570),
    [anon_sym_continue] = ACTIONS(3570),
    [anon_sym_debugger] = ACTIONS(3570),
    [anon_sym_return] = ACTIONS(3570),
    [anon_sym_throw] = ACTIONS(3570),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_case] = ACTIONS(3570),
    [anon_sym_yield] = ACTIONS(3570),
    [anon_sym_LBRACK] = ACTIONS(3570),
    [anon_sym_LTtemplate_GT] = ACTIONS(3570),
    [anon_sym_DQUOTE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3570),
    [anon_sym_class] = ACTIONS(3570),
    [anon_sym_async] = ACTIONS(3570),
    [anon_sym_function] = ACTIONS(3570),
    [anon_sym_new] = ACTIONS(3570),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_SLASH] = ACTIONS(3570),
    [anon_sym_LT] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [anon_sym_void] = ACTIONS(3570),
    [anon_sym_delete] = ACTIONS(3570),
    [anon_sym_PLUS_PLUS] = ACTIONS(3570),
    [anon_sym_DASH_DASH] = ACTIONS(3570),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3570),
    [sym_number] = ACTIONS(3570),
    [sym_private_property_identifier] = ACTIONS(3570),
    [sym_this] = ACTIONS(3570),
    [sym_super] = ACTIONS(3570),
    [sym_true] = ACTIONS(3570),
    [sym_false] = ACTIONS(3570),
    [sym_null] = ACTIONS(3570),
    [sym_undefined] = ACTIONS(3570),
    [anon_sym_AT] = ACTIONS(3570),
    [anon_sym_static] = ACTIONS(3570),
    [anon_sym_readonly] = ACTIONS(3570),
    [anon_sym_get] = ACTIONS(3570),
    [anon_sym_set] = ACTIONS(3570),
    [anon_sym_declare] = ACTIONS(3570),
    [anon_sym_public] = ACTIONS(3570),
    [anon_sym_private] = ACTIONS(3570),
    [anon_sym_protected] = ACTIONS(3570),
    [anon_sym_override] = ACTIONS(3570),
    [anon_sym_module] = ACTIONS(3570),
    [anon_sym_any] = ACTIONS(3570),
    [anon_sym_number] = ACTIONS(3570),
    [anon_sym_boolean] = ACTIONS(3570),
    [anon_sym_string] = ACTIONS(3570),
    [anon_sym_symbol] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(3570),
    [anon_sym_property] = ACTIONS(3570),
    [anon_sym_signal] = ACTIONS(3570),
    [anon_sym_on] = ACTIONS(3570),
    [anon_sym_required] = ACTIONS(3570),
    [anon_sym_component] = ACTIONS(3570),
    [anon_sym_abstract] = ACTIONS(3570),
    [anon_sym_interface] = ACTIONS(3570),
    [anon_sym_enum] = ACTIONS(3570),
    [sym_html_comment] = ACTIONS(5),
  },
  [1133] = {
    [sym_comment] = STATE(1133),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_export] = ACTIONS(3572),
    [anon_sym_default] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_namespace] = ACTIONS(3572),
    [anon_sym_LBRACE] = ACTIONS(3572),
    [anon_sym_RBRACE] = ACTIONS(3572),
    [anon_sym_typeof] = ACTIONS(3572),
    [anon_sym_import] = ACTIONS(3572),
    [anon_sym_from] = ACTIONS(3572),
    [anon_sym_with] = ACTIONS(3572),
    [anon_sym_var] = ACTIONS(3572),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_const] = ACTIONS(3572),
    [anon_sym_BANG] = ACTIONS(3572),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_if] = ACTIONS(3572),
    [anon_sym_switch] = ACTIONS(3572),
    [anon_sym_for] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(3572),
    [anon_sym_await] = ACTIONS(3572),
    [anon_sym_of] = ACTIONS(3572),
    [anon_sym_while] = ACTIONS(3572),
    [anon_sym_do] = ACTIONS(3572),
    [anon_sym_try] = ACTIONS(3572),
    [anon_sym_break] = ACTIONS(3572),
    [anon_sym_continue] = ACTIONS(3572),
    [anon_sym_debugger] = ACTIONS(3572),
    [anon_sym_return] = ACTIONS(3572),
    [anon_sym_throw] = ACTIONS(3572),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_case] = ACTIONS(3572),
    [anon_sym_yield] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(3572),
    [anon_sym_LTtemplate_GT] = ACTIONS(3572),
    [anon_sym_DQUOTE] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_async] = ACTIONS(3572),
    [anon_sym_function] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(3572),
    [anon_sym_using] = ACTIONS(3572),
    [anon_sym_PLUS] = ACTIONS(3572),
    [anon_sym_DASH] = ACTIONS(3572),
    [anon_sym_SLASH] = ACTIONS(3572),
    [anon_sym_LT] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(3572),
    [anon_sym_void] = ACTIONS(3572),
    [anon_sym_delete] = ACTIONS(3572),
    [anon_sym_PLUS_PLUS] = ACTIONS(3572),
    [anon_sym_DASH_DASH] = ACTIONS(3572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3572),
    [sym_number] = ACTIONS(3572),
    [sym_private_property_identifier] = ACTIONS(3572),
    [sym_this] = ACTIONS(3572),
    [sym_super] = ACTIONS(3572),
    [sym_true] = ACTIONS(3572),
    [sym_false] = ACTIONS(3572),
    [sym_null] = ACTIONS(3572),
    [sym_undefined] = ACTIONS(3572),
    [anon_sym_AT] = ACTIONS(3572),
    [anon_sym_static] = ACTIONS(3572),
    [anon_sym_readonly] = ACTIONS(3572),
    [anon_sym_get] = ACTIONS(3572),
    [anon_sym_set] = ACTIONS(3572),
    [anon_sym_declare] = ACTIONS(3572),
    [anon_sym_public] = ACTIONS(3572),
    [anon_sym_private] = ACTIONS(3572),
    [anon_sym_protected] = ACTIONS(3572),
    [anon_sym_override] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_any] = ACTIONS(3572),
    [anon_sym_number] = ACTIONS(3572),
    [anon_sym_boolean] = ACTIONS(3572),
    [anon_sym_string] = ACTIONS(3572),
    [anon_sym_symbol] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(3572),
    [anon_sym_property] = ACTIONS(3572),
    [anon_sym_signal] = ACTIONS(3572),
    [anon_sym_on] = ACTIONS(3572),
    [anon_sym_required] = ACTIONS(3572),
    [anon_sym_component] = ACTIONS(3572),
    [anon_sym_abstract] = ACTIONS(3572),
    [anon_sym_interface] = ACTIONS(3572),
    [anon_sym_enum] = ACTIONS(3572),
    [sym_html_comment] = ACTIONS(5),
  },
  [1134] = {
    [sym_comment] = STATE(1134),
    [sym_identifier] = ACTIONS(3574),
    [anon_sym_export] = ACTIONS(3574),
    [anon_sym_default] = ACTIONS(3574),
    [anon_sym_type] = ACTIONS(3574),
    [anon_sym_namespace] = ACTIONS(3574),
    [anon_sym_LBRACE] = ACTIONS(3574),
    [anon_sym_RBRACE] = ACTIONS(3574),
    [anon_sym_typeof] = ACTIONS(3574),
    [anon_sym_import] = ACTIONS(3574),
    [anon_sym_from] = ACTIONS(3574),
    [anon_sym_with] = ACTIONS(3574),
    [anon_sym_var] = ACTIONS(3574),
    [anon_sym_let] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3574),
    [anon_sym_BANG] = ACTIONS(3574),
    [anon_sym_else] = ACTIONS(3574),
    [anon_sym_if] = ACTIONS(3574),
    [anon_sym_switch] = ACTIONS(3574),
    [anon_sym_for] = ACTIONS(3574),
    [anon_sym_LPAREN] = ACTIONS(3574),
    [anon_sym_await] = ACTIONS(3574),
    [anon_sym_of] = ACTIONS(3574),
    [anon_sym_while] = ACTIONS(3574),
    [anon_sym_do] = ACTIONS(3574),
    [anon_sym_try] = ACTIONS(3574),
    [anon_sym_break] = ACTIONS(3574),
    [anon_sym_continue] = ACTIONS(3574),
    [anon_sym_debugger] = ACTIONS(3574),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_throw] = ACTIONS(3574),
    [anon_sym_SEMI] = ACTIONS(3574),
    [anon_sym_case] = ACTIONS(3574),
    [anon_sym_yield] = ACTIONS(3574),
    [anon_sym_LBRACK] = ACTIONS(3574),
    [anon_sym_LTtemplate_GT] = ACTIONS(3574),
    [anon_sym_DQUOTE] = ACTIONS(3574),
    [anon_sym_SQUOTE] = ACTIONS(3574),
    [anon_sym_class] = ACTIONS(3574),
    [anon_sym_async] = ACTIONS(3574),
    [anon_sym_function] = ACTIONS(3574),
    [anon_sym_new] = ACTIONS(3574),
    [anon_sym_using] = ACTIONS(3574),
    [anon_sym_PLUS] = ACTIONS(3574),
    [anon_sym_DASH] = ACTIONS(3574),
    [anon_sym_SLASH] = ACTIONS(3574),
    [anon_sym_LT] = ACTIONS(3574),
    [anon_sym_TILDE] = ACTIONS(3574),
    [anon_sym_void] = ACTIONS(3574),
    [anon_sym_delete] = ACTIONS(3574),
    [anon_sym_PLUS_PLUS] = ACTIONS(3574),
    [anon_sym_DASH_DASH] = ACTIONS(3574),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3574),
    [sym_number] = ACTIONS(3574),
    [sym_private_property_identifier] = ACTIONS(3574),
    [sym_this] = ACTIONS(3574),
    [sym_super] = ACTIONS(3574),
    [sym_true] = ACTIONS(3574),
    [sym_false] = ACTIONS(3574),
    [sym_null] = ACTIONS(3574),
    [sym_undefined] = ACTIONS(3574),
    [anon_sym_AT] = ACTIONS(3574),
    [anon_sym_static] = ACTIONS(3574),
    [anon_sym_readonly] = ACTIONS(3574),
    [anon_sym_get] = ACTIONS(3574),
    [anon_sym_set] = ACTIONS(3574),
    [anon_sym_declare] = ACTIONS(3574),
    [anon_sym_public] = ACTIONS(3574),
    [anon_sym_private] = ACTIONS(3574),
    [anon_sym_protected] = ACTIONS(3574),
    [anon_sym_override] = ACTIONS(3574),
    [anon_sym_module] = ACTIONS(3574),
    [anon_sym_any] = ACTIONS(3574),
    [anon_sym_number] = ACTIONS(3574),
    [anon_sym_boolean] = ACTIONS(3574),
    [anon_sym_string] = ACTIONS(3574),
    [anon_sym_symbol] = ACTIONS(3574),
    [anon_sym_object] = ACTIONS(3574),
    [anon_sym_property] = ACTIONS(3574),
    [anon_sym_signal] = ACTIONS(3574),
    [anon_sym_on] = ACTIONS(3574),
    [anon_sym_required] = ACTIONS(3574),
    [anon_sym_component] = ACTIONS(3574),
    [anon_sym_abstract] = ACTIONS(3574),
    [anon_sym_interface] = ACTIONS(3574),
    [anon_sym_enum] = ACTIONS(3574),
    [sym_html_comment] = ACTIONS(5),
  },
  [1135] = {
    [sym_comment] = STATE(1135),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1136] = {
    [sym_comment] = STATE(1136),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1137] = {
    [sym_comment] = STATE(1137),
    [sym_identifier] = ACTIONS(3578),
    [anon_sym_export] = ACTIONS(3578),
    [anon_sym_default] = ACTIONS(3578),
    [anon_sym_type] = ACTIONS(3578),
    [anon_sym_namespace] = ACTIONS(3578),
    [anon_sym_LBRACE] = ACTIONS(3578),
    [anon_sym_RBRACE] = ACTIONS(3578),
    [anon_sym_typeof] = ACTIONS(3578),
    [anon_sym_import] = ACTIONS(3578),
    [anon_sym_from] = ACTIONS(3578),
    [anon_sym_with] = ACTIONS(3578),
    [anon_sym_var] = ACTIONS(3578),
    [anon_sym_let] = ACTIONS(3578),
    [anon_sym_const] = ACTIONS(3578),
    [anon_sym_BANG] = ACTIONS(3578),
    [anon_sym_else] = ACTIONS(3578),
    [anon_sym_if] = ACTIONS(3578),
    [anon_sym_switch] = ACTIONS(3578),
    [anon_sym_for] = ACTIONS(3578),
    [anon_sym_LPAREN] = ACTIONS(3578),
    [anon_sym_await] = ACTIONS(3578),
    [anon_sym_of] = ACTIONS(3578),
    [anon_sym_while] = ACTIONS(3578),
    [anon_sym_do] = ACTIONS(3578),
    [anon_sym_try] = ACTIONS(3578),
    [anon_sym_break] = ACTIONS(3578),
    [anon_sym_continue] = ACTIONS(3578),
    [anon_sym_debugger] = ACTIONS(3578),
    [anon_sym_return] = ACTIONS(3578),
    [anon_sym_throw] = ACTIONS(3578),
    [anon_sym_SEMI] = ACTIONS(3578),
    [anon_sym_case] = ACTIONS(3578),
    [anon_sym_yield] = ACTIONS(3578),
    [anon_sym_LBRACK] = ACTIONS(3578),
    [anon_sym_LTtemplate_GT] = ACTIONS(3578),
    [anon_sym_DQUOTE] = ACTIONS(3578),
    [anon_sym_SQUOTE] = ACTIONS(3578),
    [anon_sym_class] = ACTIONS(3578),
    [anon_sym_async] = ACTIONS(3578),
    [anon_sym_function] = ACTIONS(3578),
    [anon_sym_new] = ACTIONS(3578),
    [anon_sym_using] = ACTIONS(3578),
    [anon_sym_PLUS] = ACTIONS(3578),
    [anon_sym_DASH] = ACTIONS(3578),
    [anon_sym_SLASH] = ACTIONS(3578),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_TILDE] = ACTIONS(3578),
    [anon_sym_void] = ACTIONS(3578),
    [anon_sym_delete] = ACTIONS(3578),
    [anon_sym_PLUS_PLUS] = ACTIONS(3578),
    [anon_sym_DASH_DASH] = ACTIONS(3578),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3578),
    [sym_number] = ACTIONS(3578),
    [sym_private_property_identifier] = ACTIONS(3578),
    [sym_this] = ACTIONS(3578),
    [sym_super] = ACTIONS(3578),
    [sym_true] = ACTIONS(3578),
    [sym_false] = ACTIONS(3578),
    [sym_null] = ACTIONS(3578),
    [sym_undefined] = ACTIONS(3578),
    [anon_sym_AT] = ACTIONS(3578),
    [anon_sym_static] = ACTIONS(3578),
    [anon_sym_readonly] = ACTIONS(3578),
    [anon_sym_get] = ACTIONS(3578),
    [anon_sym_set] = ACTIONS(3578),
    [anon_sym_declare] = ACTIONS(3578),
    [anon_sym_public] = ACTIONS(3578),
    [anon_sym_private] = ACTIONS(3578),
    [anon_sym_protected] = ACTIONS(3578),
    [anon_sym_override] = ACTIONS(3578),
    [anon_sym_module] = ACTIONS(3578),
    [anon_sym_any] = ACTIONS(3578),
    [anon_sym_number] = ACTIONS(3578),
    [anon_sym_boolean] = ACTIONS(3578),
    [anon_sym_string] = ACTIONS(3578),
    [anon_sym_symbol] = ACTIONS(3578),
    [anon_sym_object] = ACTIONS(3578),
    [anon_sym_property] = ACTIONS(3578),
    [anon_sym_signal] = ACTIONS(3578),
    [anon_sym_on] = ACTIONS(3578),
    [anon_sym_required] = ACTIONS(3578),
    [anon_sym_component] = ACTIONS(3578),
    [anon_sym_abstract] = ACTIONS(3578),
    [anon_sym_interface] = ACTIONS(3578),
    [anon_sym_enum] = ACTIONS(3578),
    [sym_html_comment] = ACTIONS(5),
  },
  [1138] = {
    [sym_comment] = STATE(1138),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_default] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(3580),
    [sym_html_comment] = ACTIONS(5),
  },
  [1139] = {
    [sym_comment] = STATE(1139),
    [sym_identifier] = ACTIONS(3582),
    [anon_sym_export] = ACTIONS(3582),
    [anon_sym_default] = ACTIONS(3582),
    [anon_sym_type] = ACTIONS(3582),
    [anon_sym_namespace] = ACTIONS(3582),
    [anon_sym_LBRACE] = ACTIONS(3582),
    [anon_sym_RBRACE] = ACTIONS(3582),
    [anon_sym_typeof] = ACTIONS(3582),
    [anon_sym_import] = ACTIONS(3582),
    [anon_sym_from] = ACTIONS(3582),
    [anon_sym_with] = ACTIONS(3582),
    [anon_sym_var] = ACTIONS(3582),
    [anon_sym_let] = ACTIONS(3582),
    [anon_sym_const] = ACTIONS(3582),
    [anon_sym_BANG] = ACTIONS(3582),
    [anon_sym_else] = ACTIONS(3582),
    [anon_sym_if] = ACTIONS(3582),
    [anon_sym_switch] = ACTIONS(3582),
    [anon_sym_for] = ACTIONS(3582),
    [anon_sym_LPAREN] = ACTIONS(3582),
    [anon_sym_await] = ACTIONS(3582),
    [anon_sym_of] = ACTIONS(3582),
    [anon_sym_while] = ACTIONS(3582),
    [anon_sym_do] = ACTIONS(3582),
    [anon_sym_try] = ACTIONS(3582),
    [anon_sym_break] = ACTIONS(3582),
    [anon_sym_continue] = ACTIONS(3582),
    [anon_sym_debugger] = ACTIONS(3582),
    [anon_sym_return] = ACTIONS(3582),
    [anon_sym_throw] = ACTIONS(3582),
    [anon_sym_SEMI] = ACTIONS(3582),
    [anon_sym_case] = ACTIONS(3582),
    [anon_sym_yield] = ACTIONS(3582),
    [anon_sym_LBRACK] = ACTIONS(3582),
    [anon_sym_LTtemplate_GT] = ACTIONS(3582),
    [anon_sym_DQUOTE] = ACTIONS(3582),
    [anon_sym_SQUOTE] = ACTIONS(3582),
    [anon_sym_class] = ACTIONS(3582),
    [anon_sym_async] = ACTIONS(3582),
    [anon_sym_function] = ACTIONS(3582),
    [anon_sym_new] = ACTIONS(3582),
    [anon_sym_using] = ACTIONS(3582),
    [anon_sym_PLUS] = ACTIONS(3582),
    [anon_sym_DASH] = ACTIONS(3582),
    [anon_sym_SLASH] = ACTIONS(3582),
    [anon_sym_LT] = ACTIONS(3582),
    [anon_sym_TILDE] = ACTIONS(3582),
    [anon_sym_void] = ACTIONS(3582),
    [anon_sym_delete] = ACTIONS(3582),
    [anon_sym_PLUS_PLUS] = ACTIONS(3582),
    [anon_sym_DASH_DASH] = ACTIONS(3582),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3582),
    [sym_number] = ACTIONS(3582),
    [sym_private_property_identifier] = ACTIONS(3582),
    [sym_this] = ACTIONS(3582),
    [sym_super] = ACTIONS(3582),
    [sym_true] = ACTIONS(3582),
    [sym_false] = ACTIONS(3582),
    [sym_null] = ACTIONS(3582),
    [sym_undefined] = ACTIONS(3582),
    [anon_sym_AT] = ACTIONS(3582),
    [anon_sym_static] = ACTIONS(3582),
    [anon_sym_readonly] = ACTIONS(3582),
    [anon_sym_get] = ACTIONS(3582),
    [anon_sym_set] = ACTIONS(3582),
    [anon_sym_declare] = ACTIONS(3582),
    [anon_sym_public] = ACTIONS(3582),
    [anon_sym_private] = ACTIONS(3582),
    [anon_sym_protected] = ACTIONS(3582),
    [anon_sym_override] = ACTIONS(3582),
    [anon_sym_module] = ACTIONS(3582),
    [anon_sym_any] = ACTIONS(3582),
    [anon_sym_number] = ACTIONS(3582),
    [anon_sym_boolean] = ACTIONS(3582),
    [anon_sym_string] = ACTIONS(3582),
    [anon_sym_symbol] = ACTIONS(3582),
    [anon_sym_object] = ACTIONS(3582),
    [anon_sym_property] = ACTIONS(3582),
    [anon_sym_signal] = ACTIONS(3582),
    [anon_sym_on] = ACTIONS(3582),
    [anon_sym_required] = ACTIONS(3582),
    [anon_sym_component] = ACTIONS(3582),
    [anon_sym_abstract] = ACTIONS(3582),
    [anon_sym_interface] = ACTIONS(3582),
    [anon_sym_enum] = ACTIONS(3582),
    [sym_html_comment] = ACTIONS(5),
  },
  [1140] = {
    [sym_comment] = STATE(1140),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_else] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_case] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym_html_comment] = ACTIONS(5),
  },
  [1141] = {
    [sym_comment] = STATE(1141),
    [sym_identifier] = ACTIONS(3582),
    [anon_sym_export] = ACTIONS(3582),
    [anon_sym_default] = ACTIONS(3582),
    [anon_sym_type] = ACTIONS(3582),
    [anon_sym_namespace] = ACTIONS(3582),
    [anon_sym_LBRACE] = ACTIONS(3582),
    [anon_sym_RBRACE] = ACTIONS(3582),
    [anon_sym_typeof] = ACTIONS(3582),
    [anon_sym_import] = ACTIONS(3582),
    [anon_sym_from] = ACTIONS(3582),
    [anon_sym_with] = ACTIONS(3582),
    [anon_sym_var] = ACTIONS(3582),
    [anon_sym_let] = ACTIONS(3582),
    [anon_sym_const] = ACTIONS(3582),
    [anon_sym_BANG] = ACTIONS(3582),
    [anon_sym_else] = ACTIONS(3582),
    [anon_sym_if] = ACTIONS(3582),
    [anon_sym_switch] = ACTIONS(3582),
    [anon_sym_for] = ACTIONS(3582),
    [anon_sym_LPAREN] = ACTIONS(3582),
    [anon_sym_await] = ACTIONS(3582),
    [anon_sym_of] = ACTIONS(3582),
    [anon_sym_while] = ACTIONS(3582),
    [anon_sym_do] = ACTIONS(3582),
    [anon_sym_try] = ACTIONS(3582),
    [anon_sym_break] = ACTIONS(3582),
    [anon_sym_continue] = ACTIONS(3582),
    [anon_sym_debugger] = ACTIONS(3582),
    [anon_sym_return] = ACTIONS(3582),
    [anon_sym_throw] = ACTIONS(3582),
    [anon_sym_SEMI] = ACTIONS(3582),
    [anon_sym_case] = ACTIONS(3582),
    [anon_sym_yield] = ACTIONS(3582),
    [anon_sym_LBRACK] = ACTIONS(3582),
    [anon_sym_LTtemplate_GT] = ACTIONS(3582),
    [anon_sym_DQUOTE] = ACTIONS(3582),
    [anon_sym_SQUOTE] = ACTIONS(3582),
    [anon_sym_class] = ACTIONS(3582),
    [anon_sym_async] = ACTIONS(3582),
    [anon_sym_function] = ACTIONS(3582),
    [anon_sym_new] = ACTIONS(3582),
    [anon_sym_using] = ACTIONS(3582),
    [anon_sym_PLUS] = ACTIONS(3582),
    [anon_sym_DASH] = ACTIONS(3582),
    [anon_sym_SLASH] = ACTIONS(3582),
    [anon_sym_LT] = ACTIONS(3582),
    [anon_sym_TILDE] = ACTIONS(3582),
    [anon_sym_void] = ACTIONS(3582),
    [anon_sym_delete] = ACTIONS(3582),
    [anon_sym_PLUS_PLUS] = ACTIONS(3582),
    [anon_sym_DASH_DASH] = ACTIONS(3582),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3582),
    [sym_number] = ACTIONS(3582),
    [sym_private_property_identifier] = ACTIONS(3582),
    [sym_this] = ACTIONS(3582),
    [sym_super] = ACTIONS(3582),
    [sym_true] = ACTIONS(3582),
    [sym_false] = ACTIONS(3582),
    [sym_null] = ACTIONS(3582),
    [sym_undefined] = ACTIONS(3582),
    [anon_sym_AT] = ACTIONS(3582),
    [anon_sym_static] = ACTIONS(3582),
    [anon_sym_readonly] = ACTIONS(3582),
    [anon_sym_get] = ACTIONS(3582),
    [anon_sym_set] = ACTIONS(3582),
    [anon_sym_declare] = ACTIONS(3582),
    [anon_sym_public] = ACTIONS(3582),
    [anon_sym_private] = ACTIONS(3582),
    [anon_sym_protected] = ACTIONS(3582),
    [anon_sym_override] = ACTIONS(3582),
    [anon_sym_module] = ACTIONS(3582),
    [anon_sym_any] = ACTIONS(3582),
    [anon_sym_number] = ACTIONS(3582),
    [anon_sym_boolean] = ACTIONS(3582),
    [anon_sym_string] = ACTIONS(3582),
    [anon_sym_symbol] = ACTIONS(3582),
    [anon_sym_object] = ACTIONS(3582),
    [anon_sym_property] = ACTIONS(3582),
    [anon_sym_signal] = ACTIONS(3582),
    [anon_sym_on] = ACTIONS(3582),
    [anon_sym_required] = ACTIONS(3582),
    [anon_sym_component] = ACTIONS(3582),
    [anon_sym_abstract] = ACTIONS(3582),
    [anon_sym_interface] = ACTIONS(3582),
    [anon_sym_enum] = ACTIONS(3582),
    [sym_html_comment] = ACTIONS(5),
  },
  [1142] = {
    [sym_comment] = STATE(1142),
    [sym_identifier] = ACTIONS(3582),
    [anon_sym_export] = ACTIONS(3582),
    [anon_sym_default] = ACTIONS(3582),
    [anon_sym_type] = ACTIONS(3582),
    [anon_sym_namespace] = ACTIONS(3582),
    [anon_sym_LBRACE] = ACTIONS(3582),
    [anon_sym_RBRACE] = ACTIONS(3582),
    [anon_sym_typeof] = ACTIONS(3582),
    [anon_sym_import] = ACTIONS(3582),
    [anon_sym_from] = ACTIONS(3582),
    [anon_sym_with] = ACTIONS(3582),
    [anon_sym_var] = ACTIONS(3582),
    [anon_sym_let] = ACTIONS(3582),
    [anon_sym_const] = ACTIONS(3582),
    [anon_sym_BANG] = ACTIONS(3582),
    [anon_sym_else] = ACTIONS(3582),
    [anon_sym_if] = ACTIONS(3582),
    [anon_sym_switch] = ACTIONS(3582),
    [anon_sym_for] = ACTIONS(3582),
    [anon_sym_LPAREN] = ACTIONS(3582),
    [anon_sym_await] = ACTIONS(3582),
    [anon_sym_of] = ACTIONS(3582),
    [anon_sym_while] = ACTIONS(3582),
    [anon_sym_do] = ACTIONS(3582),
    [anon_sym_try] = ACTIONS(3582),
    [anon_sym_break] = ACTIONS(3582),
    [anon_sym_continue] = ACTIONS(3582),
    [anon_sym_debugger] = ACTIONS(3582),
    [anon_sym_return] = ACTIONS(3582),
    [anon_sym_throw] = ACTIONS(3582),
    [anon_sym_SEMI] = ACTIONS(3582),
    [anon_sym_case] = ACTIONS(3582),
    [anon_sym_yield] = ACTIONS(3582),
    [anon_sym_LBRACK] = ACTIONS(3582),
    [anon_sym_LTtemplate_GT] = ACTIONS(3582),
    [anon_sym_DQUOTE] = ACTIONS(3582),
    [anon_sym_SQUOTE] = ACTIONS(3582),
    [anon_sym_class] = ACTIONS(3582),
    [anon_sym_async] = ACTIONS(3582),
    [anon_sym_function] = ACTIONS(3582),
    [anon_sym_new] = ACTIONS(3582),
    [anon_sym_using] = ACTIONS(3582),
    [anon_sym_PLUS] = ACTIONS(3582),
    [anon_sym_DASH] = ACTIONS(3582),
    [anon_sym_SLASH] = ACTIONS(3582),
    [anon_sym_LT] = ACTIONS(3582),
    [anon_sym_TILDE] = ACTIONS(3582),
    [anon_sym_void] = ACTIONS(3582),
    [anon_sym_delete] = ACTIONS(3582),
    [anon_sym_PLUS_PLUS] = ACTIONS(3582),
    [anon_sym_DASH_DASH] = ACTIONS(3582),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3582),
    [sym_number] = ACTIONS(3582),
    [sym_private_property_identifier] = ACTIONS(3582),
    [sym_this] = ACTIONS(3582),
    [sym_super] = ACTIONS(3582),
    [sym_true] = ACTIONS(3582),
    [sym_false] = ACTIONS(3582),
    [sym_null] = ACTIONS(3582),
    [sym_undefined] = ACTIONS(3582),
    [anon_sym_AT] = ACTIONS(3582),
    [anon_sym_static] = ACTIONS(3582),
    [anon_sym_readonly] = ACTIONS(3582),
    [anon_sym_get] = ACTIONS(3582),
    [anon_sym_set] = ACTIONS(3582),
    [anon_sym_declare] = ACTIONS(3582),
    [anon_sym_public] = ACTIONS(3582),
    [anon_sym_private] = ACTIONS(3582),
    [anon_sym_protected] = ACTIONS(3582),
    [anon_sym_override] = ACTIONS(3582),
    [anon_sym_module] = ACTIONS(3582),
    [anon_sym_any] = ACTIONS(3582),
    [anon_sym_number] = ACTIONS(3582),
    [anon_sym_boolean] = ACTIONS(3582),
    [anon_sym_string] = ACTIONS(3582),
    [anon_sym_symbol] = ACTIONS(3582),
    [anon_sym_object] = ACTIONS(3582),
    [anon_sym_property] = ACTIONS(3582),
    [anon_sym_signal] = ACTIONS(3582),
    [anon_sym_on] = ACTIONS(3582),
    [anon_sym_required] = ACTIONS(3582),
    [anon_sym_component] = ACTIONS(3582),
    [anon_sym_abstract] = ACTIONS(3582),
    [anon_sym_interface] = ACTIONS(3582),
    [anon_sym_enum] = ACTIONS(3582),
    [sym_html_comment] = ACTIONS(5),
  },
  [1143] = {
    [sym_comment] = STATE(1143),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_export] = ACTIONS(3584),
    [anon_sym_default] = ACTIONS(3584),
    [anon_sym_type] = ACTIONS(3584),
    [anon_sym_namespace] = ACTIONS(3584),
    [anon_sym_LBRACE] = ACTIONS(3584),
    [anon_sym_RBRACE] = ACTIONS(3584),
    [anon_sym_typeof] = ACTIONS(3584),
    [anon_sym_import] = ACTIONS(3584),
    [anon_sym_from] = ACTIONS(3584),
    [anon_sym_with] = ACTIONS(3584),
    [anon_sym_var] = ACTIONS(3584),
    [anon_sym_let] = ACTIONS(3584),
    [anon_sym_const] = ACTIONS(3584),
    [anon_sym_BANG] = ACTIONS(3584),
    [anon_sym_else] = ACTIONS(3584),
    [anon_sym_if] = ACTIONS(3584),
    [anon_sym_switch] = ACTIONS(3584),
    [anon_sym_for] = ACTIONS(3584),
    [anon_sym_LPAREN] = ACTIONS(3584),
    [anon_sym_await] = ACTIONS(3584),
    [anon_sym_of] = ACTIONS(3584),
    [anon_sym_while] = ACTIONS(3584),
    [anon_sym_do] = ACTIONS(3584),
    [anon_sym_try] = ACTIONS(3584),
    [anon_sym_break] = ACTIONS(3584),
    [anon_sym_continue] = ACTIONS(3584),
    [anon_sym_debugger] = ACTIONS(3584),
    [anon_sym_return] = ACTIONS(3584),
    [anon_sym_throw] = ACTIONS(3584),
    [anon_sym_SEMI] = ACTIONS(3584),
    [anon_sym_case] = ACTIONS(3584),
    [anon_sym_yield] = ACTIONS(3584),
    [anon_sym_LBRACK] = ACTIONS(3584),
    [anon_sym_LTtemplate_GT] = ACTIONS(3584),
    [anon_sym_DQUOTE] = ACTIONS(3584),
    [anon_sym_SQUOTE] = ACTIONS(3584),
    [anon_sym_class] = ACTIONS(3584),
    [anon_sym_async] = ACTIONS(3584),
    [anon_sym_function] = ACTIONS(3584),
    [anon_sym_new] = ACTIONS(3584),
    [anon_sym_using] = ACTIONS(3584),
    [anon_sym_PLUS] = ACTIONS(3584),
    [anon_sym_DASH] = ACTIONS(3584),
    [anon_sym_SLASH] = ACTIONS(3584),
    [anon_sym_LT] = ACTIONS(3584),
    [anon_sym_TILDE] = ACTIONS(3584),
    [anon_sym_void] = ACTIONS(3584),
    [anon_sym_delete] = ACTIONS(3584),
    [anon_sym_PLUS_PLUS] = ACTIONS(3584),
    [anon_sym_DASH_DASH] = ACTIONS(3584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3584),
    [sym_number] = ACTIONS(3584),
    [sym_private_property_identifier] = ACTIONS(3584),
    [sym_this] = ACTIONS(3584),
    [sym_super] = ACTIONS(3584),
    [sym_true] = ACTIONS(3584),
    [sym_false] = ACTIONS(3584),
    [sym_null] = ACTIONS(3584),
    [sym_undefined] = ACTIONS(3584),
    [anon_sym_AT] = ACTIONS(3584),
    [anon_sym_static] = ACTIONS(3584),
    [anon_sym_readonly] = ACTIONS(3584),
    [anon_sym_get] = ACTIONS(3584),
    [anon_sym_set] = ACTIONS(3584),
    [anon_sym_declare] = ACTIONS(3584),
    [anon_sym_public] = ACTIONS(3584),
    [anon_sym_private] = ACTIONS(3584),
    [anon_sym_protected] = ACTIONS(3584),
    [anon_sym_override] = ACTIONS(3584),
    [anon_sym_module] = ACTIONS(3584),
    [anon_sym_any] = ACTIONS(3584),
    [anon_sym_number] = ACTIONS(3584),
    [anon_sym_boolean] = ACTIONS(3584),
    [anon_sym_string] = ACTIONS(3584),
    [anon_sym_symbol] = ACTIONS(3584),
    [anon_sym_object] = ACTIONS(3584),
    [anon_sym_property] = ACTIONS(3584),
    [anon_sym_signal] = ACTIONS(3584),
    [anon_sym_on] = ACTIONS(3584),
    [anon_sym_required] = ACTIONS(3584),
    [anon_sym_component] = ACTIONS(3584),
    [anon_sym_abstract] = ACTIONS(3584),
    [anon_sym_interface] = ACTIONS(3584),
    [anon_sym_enum] = ACTIONS(3584),
    [sym_html_comment] = ACTIONS(5),
  },
  [1144] = {
    [sym_comment] = STATE(1144),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_finally] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1145] = {
    [sym_comment] = STATE(1145),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_export] = ACTIONS(3586),
    [anon_sym_default] = ACTIONS(3586),
    [anon_sym_type] = ACTIONS(3586),
    [anon_sym_namespace] = ACTIONS(3586),
    [anon_sym_LBRACE] = ACTIONS(3586),
    [anon_sym_RBRACE] = ACTIONS(3586),
    [anon_sym_typeof] = ACTIONS(3586),
    [anon_sym_import] = ACTIONS(3586),
    [anon_sym_from] = ACTIONS(3586),
    [anon_sym_with] = ACTIONS(3586),
    [anon_sym_var] = ACTIONS(3586),
    [anon_sym_let] = ACTIONS(3586),
    [anon_sym_const] = ACTIONS(3586),
    [anon_sym_BANG] = ACTIONS(3586),
    [anon_sym_else] = ACTIONS(3586),
    [anon_sym_if] = ACTIONS(3586),
    [anon_sym_switch] = ACTIONS(3586),
    [anon_sym_for] = ACTIONS(3586),
    [anon_sym_LPAREN] = ACTIONS(3586),
    [anon_sym_await] = ACTIONS(3586),
    [anon_sym_of] = ACTIONS(3586),
    [anon_sym_while] = ACTIONS(3586),
    [anon_sym_do] = ACTIONS(3586),
    [anon_sym_try] = ACTIONS(3586),
    [anon_sym_break] = ACTIONS(3586),
    [anon_sym_continue] = ACTIONS(3586),
    [anon_sym_debugger] = ACTIONS(3586),
    [anon_sym_return] = ACTIONS(3586),
    [anon_sym_throw] = ACTIONS(3586),
    [anon_sym_SEMI] = ACTIONS(3586),
    [anon_sym_case] = ACTIONS(3586),
    [anon_sym_yield] = ACTIONS(3586),
    [anon_sym_LBRACK] = ACTIONS(3586),
    [anon_sym_LTtemplate_GT] = ACTIONS(3586),
    [anon_sym_DQUOTE] = ACTIONS(3586),
    [anon_sym_SQUOTE] = ACTIONS(3586),
    [anon_sym_class] = ACTIONS(3586),
    [anon_sym_async] = ACTIONS(3586),
    [anon_sym_function] = ACTIONS(3586),
    [anon_sym_new] = ACTIONS(3586),
    [anon_sym_using] = ACTIONS(3586),
    [anon_sym_PLUS] = ACTIONS(3586),
    [anon_sym_DASH] = ACTIONS(3586),
    [anon_sym_SLASH] = ACTIONS(3586),
    [anon_sym_LT] = ACTIONS(3586),
    [anon_sym_TILDE] = ACTIONS(3586),
    [anon_sym_void] = ACTIONS(3586),
    [anon_sym_delete] = ACTIONS(3586),
    [anon_sym_PLUS_PLUS] = ACTIONS(3586),
    [anon_sym_DASH_DASH] = ACTIONS(3586),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3586),
    [sym_number] = ACTIONS(3586),
    [sym_private_property_identifier] = ACTIONS(3586),
    [sym_this] = ACTIONS(3586),
    [sym_super] = ACTIONS(3586),
    [sym_true] = ACTIONS(3586),
    [sym_false] = ACTIONS(3586),
    [sym_null] = ACTIONS(3586),
    [sym_undefined] = ACTIONS(3586),
    [anon_sym_AT] = ACTIONS(3586),
    [anon_sym_static] = ACTIONS(3586),
    [anon_sym_readonly] = ACTIONS(3586),
    [anon_sym_get] = ACTIONS(3586),
    [anon_sym_set] = ACTIONS(3586),
    [anon_sym_declare] = ACTIONS(3586),
    [anon_sym_public] = ACTIONS(3586),
    [anon_sym_private] = ACTIONS(3586),
    [anon_sym_protected] = ACTIONS(3586),
    [anon_sym_override] = ACTIONS(3586),
    [anon_sym_module] = ACTIONS(3586),
    [anon_sym_any] = ACTIONS(3586),
    [anon_sym_number] = ACTIONS(3586),
    [anon_sym_boolean] = ACTIONS(3586),
    [anon_sym_string] = ACTIONS(3586),
    [anon_sym_symbol] = ACTIONS(3586),
    [anon_sym_object] = ACTIONS(3586),
    [anon_sym_property] = ACTIONS(3586),
    [anon_sym_signal] = ACTIONS(3586),
    [anon_sym_on] = ACTIONS(3586),
    [anon_sym_required] = ACTIONS(3586),
    [anon_sym_component] = ACTIONS(3586),
    [anon_sym_abstract] = ACTIONS(3586),
    [anon_sym_interface] = ACTIONS(3586),
    [anon_sym_enum] = ACTIONS(3586),
    [sym_html_comment] = ACTIONS(5),
  },
  [1146] = {
    [sym_comment] = STATE(1146),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_case] = ACTIONS(2350),
    [anon_sym_finally] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym_html_comment] = ACTIONS(5),
  },
  [1147] = {
    [sym_comment] = STATE(1147),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(2336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1148] = {
    [sym_comment] = STATE(1148),
    [sym_identifier] = ACTIONS(3588),
    [anon_sym_export] = ACTIONS(3588),
    [anon_sym_default] = ACTIONS(3588),
    [anon_sym_type] = ACTIONS(3588),
    [anon_sym_namespace] = ACTIONS(3588),
    [anon_sym_LBRACE] = ACTIONS(3588),
    [anon_sym_RBRACE] = ACTIONS(3588),
    [anon_sym_typeof] = ACTIONS(3588),
    [anon_sym_import] = ACTIONS(3588),
    [anon_sym_from] = ACTIONS(3588),
    [anon_sym_with] = ACTIONS(3588),
    [anon_sym_var] = ACTIONS(3588),
    [anon_sym_let] = ACTIONS(3588),
    [anon_sym_const] = ACTIONS(3588),
    [anon_sym_BANG] = ACTIONS(3588),
    [anon_sym_else] = ACTIONS(3588),
    [anon_sym_if] = ACTIONS(3588),
    [anon_sym_switch] = ACTIONS(3588),
    [anon_sym_for] = ACTIONS(3588),
    [anon_sym_LPAREN] = ACTIONS(3588),
    [anon_sym_await] = ACTIONS(3588),
    [anon_sym_of] = ACTIONS(3588),
    [anon_sym_while] = ACTIONS(3588),
    [anon_sym_do] = ACTIONS(3588),
    [anon_sym_try] = ACTIONS(3588),
    [anon_sym_break] = ACTIONS(3588),
    [anon_sym_continue] = ACTIONS(3588),
    [anon_sym_debugger] = ACTIONS(3588),
    [anon_sym_return] = ACTIONS(3588),
    [anon_sym_throw] = ACTIONS(3588),
    [anon_sym_SEMI] = ACTIONS(3588),
    [anon_sym_case] = ACTIONS(3588),
    [anon_sym_yield] = ACTIONS(3588),
    [anon_sym_LBRACK] = ACTIONS(3588),
    [anon_sym_LTtemplate_GT] = ACTIONS(3588),
    [anon_sym_DQUOTE] = ACTIONS(3588),
    [anon_sym_SQUOTE] = ACTIONS(3588),
    [anon_sym_class] = ACTIONS(3588),
    [anon_sym_async] = ACTIONS(3588),
    [anon_sym_function] = ACTIONS(3588),
    [anon_sym_new] = ACTIONS(3588),
    [anon_sym_using] = ACTIONS(3588),
    [anon_sym_PLUS] = ACTIONS(3588),
    [anon_sym_DASH] = ACTIONS(3588),
    [anon_sym_SLASH] = ACTIONS(3588),
    [anon_sym_LT] = ACTIONS(3588),
    [anon_sym_TILDE] = ACTIONS(3588),
    [anon_sym_void] = ACTIONS(3588),
    [anon_sym_delete] = ACTIONS(3588),
    [anon_sym_PLUS_PLUS] = ACTIONS(3588),
    [anon_sym_DASH_DASH] = ACTIONS(3588),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3588),
    [sym_number] = ACTIONS(3588),
    [sym_private_property_identifier] = ACTIONS(3588),
    [sym_this] = ACTIONS(3588),
    [sym_super] = ACTIONS(3588),
    [sym_true] = ACTIONS(3588),
    [sym_false] = ACTIONS(3588),
    [sym_null] = ACTIONS(3588),
    [sym_undefined] = ACTIONS(3588),
    [anon_sym_AT] = ACTIONS(3588),
    [anon_sym_static] = ACTIONS(3588),
    [anon_sym_readonly] = ACTIONS(3588),
    [anon_sym_get] = ACTIONS(3588),
    [anon_sym_set] = ACTIONS(3588),
    [anon_sym_declare] = ACTIONS(3588),
    [anon_sym_public] = ACTIONS(3588),
    [anon_sym_private] = ACTIONS(3588),
    [anon_sym_protected] = ACTIONS(3588),
    [anon_sym_override] = ACTIONS(3588),
    [anon_sym_module] = ACTIONS(3588),
    [anon_sym_any] = ACTIONS(3588),
    [anon_sym_number] = ACTIONS(3588),
    [anon_sym_boolean] = ACTIONS(3588),
    [anon_sym_string] = ACTIONS(3588),
    [anon_sym_symbol] = ACTIONS(3588),
    [anon_sym_object] = ACTIONS(3588),
    [anon_sym_property] = ACTIONS(3588),
    [anon_sym_signal] = ACTIONS(3588),
    [anon_sym_on] = ACTIONS(3588),
    [anon_sym_required] = ACTIONS(3588),
    [anon_sym_component] = ACTIONS(3588),
    [anon_sym_abstract] = ACTIONS(3588),
    [anon_sym_interface] = ACTIONS(3588),
    [anon_sym_enum] = ACTIONS(3588),
    [sym_html_comment] = ACTIONS(5),
  },
  [1149] = {
    [sym_comment] = STATE(1149),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_case] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym__automatic_semicolon] = ACTIONS(2352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1150] = {
    [sym_comment] = STATE(1150),
    [sym_identifier] = ACTIONS(3590),
    [anon_sym_export] = ACTIONS(3590),
    [anon_sym_default] = ACTIONS(3590),
    [anon_sym_type] = ACTIONS(3590),
    [anon_sym_namespace] = ACTIONS(3590),
    [anon_sym_LBRACE] = ACTIONS(3590),
    [anon_sym_RBRACE] = ACTIONS(3590),
    [anon_sym_typeof] = ACTIONS(3590),
    [anon_sym_import] = ACTIONS(3590),
    [anon_sym_from] = ACTIONS(3590),
    [anon_sym_with] = ACTIONS(3590),
    [anon_sym_var] = ACTIONS(3590),
    [anon_sym_let] = ACTIONS(3590),
    [anon_sym_const] = ACTIONS(3590),
    [anon_sym_BANG] = ACTIONS(3590),
    [anon_sym_else] = ACTIONS(3590),
    [anon_sym_if] = ACTIONS(3590),
    [anon_sym_switch] = ACTIONS(3590),
    [anon_sym_for] = ACTIONS(3590),
    [anon_sym_LPAREN] = ACTIONS(3590),
    [anon_sym_await] = ACTIONS(3590),
    [anon_sym_of] = ACTIONS(3590),
    [anon_sym_while] = ACTIONS(3590),
    [anon_sym_do] = ACTIONS(3590),
    [anon_sym_try] = ACTIONS(3590),
    [anon_sym_break] = ACTIONS(3590),
    [anon_sym_continue] = ACTIONS(3590),
    [anon_sym_debugger] = ACTIONS(3590),
    [anon_sym_return] = ACTIONS(3590),
    [anon_sym_throw] = ACTIONS(3590),
    [anon_sym_SEMI] = ACTIONS(3590),
    [anon_sym_case] = ACTIONS(3590),
    [anon_sym_yield] = ACTIONS(3590),
    [anon_sym_LBRACK] = ACTIONS(3590),
    [anon_sym_LTtemplate_GT] = ACTIONS(3590),
    [anon_sym_DQUOTE] = ACTIONS(3590),
    [anon_sym_SQUOTE] = ACTIONS(3590),
    [anon_sym_class] = ACTIONS(3590),
    [anon_sym_async] = ACTIONS(3590),
    [anon_sym_function] = ACTIONS(3590),
    [anon_sym_new] = ACTIONS(3590),
    [anon_sym_using] = ACTIONS(3590),
    [anon_sym_PLUS] = ACTIONS(3590),
    [anon_sym_DASH] = ACTIONS(3590),
    [anon_sym_SLASH] = ACTIONS(3590),
    [anon_sym_LT] = ACTIONS(3590),
    [anon_sym_TILDE] = ACTIONS(3590),
    [anon_sym_void] = ACTIONS(3590),
    [anon_sym_delete] = ACTIONS(3590),
    [anon_sym_PLUS_PLUS] = ACTIONS(3590),
    [anon_sym_DASH_DASH] = ACTIONS(3590),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3590),
    [sym_number] = ACTIONS(3590),
    [sym_private_property_identifier] = ACTIONS(3590),
    [sym_this] = ACTIONS(3590),
    [sym_super] = ACTIONS(3590),
    [sym_true] = ACTIONS(3590),
    [sym_false] = ACTIONS(3590),
    [sym_null] = ACTIONS(3590),
    [sym_undefined] = ACTIONS(3590),
    [anon_sym_AT] = ACTIONS(3590),
    [anon_sym_static] = ACTIONS(3590),
    [anon_sym_readonly] = ACTIONS(3590),
    [anon_sym_get] = ACTIONS(3590),
    [anon_sym_set] = ACTIONS(3590),
    [anon_sym_declare] = ACTIONS(3590),
    [anon_sym_public] = ACTIONS(3590),
    [anon_sym_private] = ACTIONS(3590),
    [anon_sym_protected] = ACTIONS(3590),
    [anon_sym_override] = ACTIONS(3590),
    [anon_sym_module] = ACTIONS(3590),
    [anon_sym_any] = ACTIONS(3590),
    [anon_sym_number] = ACTIONS(3590),
    [anon_sym_boolean] = ACTIONS(3590),
    [anon_sym_string] = ACTIONS(3590),
    [anon_sym_symbol] = ACTIONS(3590),
    [anon_sym_object] = ACTIONS(3590),
    [anon_sym_property] = ACTIONS(3590),
    [anon_sym_signal] = ACTIONS(3590),
    [anon_sym_on] = ACTIONS(3590),
    [anon_sym_required] = ACTIONS(3590),
    [anon_sym_component] = ACTIONS(3590),
    [anon_sym_abstract] = ACTIONS(3590),
    [anon_sym_interface] = ACTIONS(3590),
    [anon_sym_enum] = ACTIONS(3590),
    [sym_html_comment] = ACTIONS(5),
  },
  [1151] = {
    [sym_comment] = STATE(1151),
    [sym_identifier] = ACTIONS(3592),
    [anon_sym_export] = ACTIONS(3592),
    [anon_sym_default] = ACTIONS(3592),
    [anon_sym_type] = ACTIONS(3592),
    [anon_sym_namespace] = ACTIONS(3592),
    [anon_sym_LBRACE] = ACTIONS(3592),
    [anon_sym_RBRACE] = ACTIONS(3592),
    [anon_sym_typeof] = ACTIONS(3592),
    [anon_sym_import] = ACTIONS(3592),
    [anon_sym_from] = ACTIONS(3592),
    [anon_sym_with] = ACTIONS(3592),
    [anon_sym_var] = ACTIONS(3592),
    [anon_sym_let] = ACTIONS(3592),
    [anon_sym_const] = ACTIONS(3592),
    [anon_sym_BANG] = ACTIONS(3592),
    [anon_sym_else] = ACTIONS(3592),
    [anon_sym_if] = ACTIONS(3592),
    [anon_sym_switch] = ACTIONS(3592),
    [anon_sym_for] = ACTIONS(3592),
    [anon_sym_LPAREN] = ACTIONS(3592),
    [anon_sym_await] = ACTIONS(3592),
    [anon_sym_of] = ACTIONS(3592),
    [anon_sym_while] = ACTIONS(3592),
    [anon_sym_do] = ACTIONS(3592),
    [anon_sym_try] = ACTIONS(3592),
    [anon_sym_break] = ACTIONS(3592),
    [anon_sym_continue] = ACTIONS(3592),
    [anon_sym_debugger] = ACTIONS(3592),
    [anon_sym_return] = ACTIONS(3592),
    [anon_sym_throw] = ACTIONS(3592),
    [anon_sym_SEMI] = ACTIONS(3592),
    [anon_sym_case] = ACTIONS(3592),
    [anon_sym_yield] = ACTIONS(3592),
    [anon_sym_LBRACK] = ACTIONS(3592),
    [anon_sym_LTtemplate_GT] = ACTIONS(3592),
    [anon_sym_DQUOTE] = ACTIONS(3592),
    [anon_sym_SQUOTE] = ACTIONS(3592),
    [anon_sym_class] = ACTIONS(3592),
    [anon_sym_async] = ACTIONS(3592),
    [anon_sym_function] = ACTIONS(3592),
    [anon_sym_new] = ACTIONS(3592),
    [anon_sym_using] = ACTIONS(3592),
    [anon_sym_PLUS] = ACTIONS(3592),
    [anon_sym_DASH] = ACTIONS(3592),
    [anon_sym_SLASH] = ACTIONS(3592),
    [anon_sym_LT] = ACTIONS(3592),
    [anon_sym_TILDE] = ACTIONS(3592),
    [anon_sym_void] = ACTIONS(3592),
    [anon_sym_delete] = ACTIONS(3592),
    [anon_sym_PLUS_PLUS] = ACTIONS(3592),
    [anon_sym_DASH_DASH] = ACTIONS(3592),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3592),
    [sym_number] = ACTIONS(3592),
    [sym_private_property_identifier] = ACTIONS(3592),
    [sym_this] = ACTIONS(3592),
    [sym_super] = ACTIONS(3592),
    [sym_true] = ACTIONS(3592),
    [sym_false] = ACTIONS(3592),
    [sym_null] = ACTIONS(3592),
    [sym_undefined] = ACTIONS(3592),
    [anon_sym_AT] = ACTIONS(3592),
    [anon_sym_static] = ACTIONS(3592),
    [anon_sym_readonly] = ACTIONS(3592),
    [anon_sym_get] = ACTIONS(3592),
    [anon_sym_set] = ACTIONS(3592),
    [anon_sym_declare] = ACTIONS(3592),
    [anon_sym_public] = ACTIONS(3592),
    [anon_sym_private] = ACTIONS(3592),
    [anon_sym_protected] = ACTIONS(3592),
    [anon_sym_override] = ACTIONS(3592),
    [anon_sym_module] = ACTIONS(3592),
    [anon_sym_any] = ACTIONS(3592),
    [anon_sym_number] = ACTIONS(3592),
    [anon_sym_boolean] = ACTIONS(3592),
    [anon_sym_string] = ACTIONS(3592),
    [anon_sym_symbol] = ACTIONS(3592),
    [anon_sym_object] = ACTIONS(3592),
    [anon_sym_property] = ACTIONS(3592),
    [anon_sym_signal] = ACTIONS(3592),
    [anon_sym_on] = ACTIONS(3592),
    [anon_sym_required] = ACTIONS(3592),
    [anon_sym_component] = ACTIONS(3592),
    [anon_sym_abstract] = ACTIONS(3592),
    [anon_sym_interface] = ACTIONS(3592),
    [anon_sym_enum] = ACTIONS(3592),
    [sym_html_comment] = ACTIONS(5),
  },
  [1152] = {
    [sym_comment] = STATE(1152),
    [sym_identifier] = ACTIONS(3594),
    [anon_sym_export] = ACTIONS(3594),
    [anon_sym_default] = ACTIONS(3594),
    [anon_sym_type] = ACTIONS(3594),
    [anon_sym_namespace] = ACTIONS(3594),
    [anon_sym_LBRACE] = ACTIONS(3594),
    [anon_sym_RBRACE] = ACTIONS(3594),
    [anon_sym_typeof] = ACTIONS(3594),
    [anon_sym_import] = ACTIONS(3594),
    [anon_sym_from] = ACTIONS(3594),
    [anon_sym_with] = ACTIONS(3594),
    [anon_sym_var] = ACTIONS(3594),
    [anon_sym_let] = ACTIONS(3594),
    [anon_sym_const] = ACTIONS(3594),
    [anon_sym_BANG] = ACTIONS(3594),
    [anon_sym_else] = ACTIONS(3594),
    [anon_sym_if] = ACTIONS(3594),
    [anon_sym_switch] = ACTIONS(3594),
    [anon_sym_for] = ACTIONS(3594),
    [anon_sym_LPAREN] = ACTIONS(3594),
    [anon_sym_await] = ACTIONS(3594),
    [anon_sym_of] = ACTIONS(3594),
    [anon_sym_while] = ACTIONS(3594),
    [anon_sym_do] = ACTIONS(3594),
    [anon_sym_try] = ACTIONS(3594),
    [anon_sym_break] = ACTIONS(3594),
    [anon_sym_continue] = ACTIONS(3594),
    [anon_sym_debugger] = ACTIONS(3594),
    [anon_sym_return] = ACTIONS(3594),
    [anon_sym_throw] = ACTIONS(3594),
    [anon_sym_SEMI] = ACTIONS(3594),
    [anon_sym_case] = ACTIONS(3594),
    [anon_sym_yield] = ACTIONS(3594),
    [anon_sym_LBRACK] = ACTIONS(3594),
    [anon_sym_LTtemplate_GT] = ACTIONS(3594),
    [anon_sym_DQUOTE] = ACTIONS(3594),
    [anon_sym_SQUOTE] = ACTIONS(3594),
    [anon_sym_class] = ACTIONS(3594),
    [anon_sym_async] = ACTIONS(3594),
    [anon_sym_function] = ACTIONS(3594),
    [anon_sym_new] = ACTIONS(3594),
    [anon_sym_using] = ACTIONS(3594),
    [anon_sym_PLUS] = ACTIONS(3594),
    [anon_sym_DASH] = ACTIONS(3594),
    [anon_sym_SLASH] = ACTIONS(3594),
    [anon_sym_LT] = ACTIONS(3594),
    [anon_sym_TILDE] = ACTIONS(3594),
    [anon_sym_void] = ACTIONS(3594),
    [anon_sym_delete] = ACTIONS(3594),
    [anon_sym_PLUS_PLUS] = ACTIONS(3594),
    [anon_sym_DASH_DASH] = ACTIONS(3594),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3594),
    [sym_number] = ACTIONS(3594),
    [sym_private_property_identifier] = ACTIONS(3594),
    [sym_this] = ACTIONS(3594),
    [sym_super] = ACTIONS(3594),
    [sym_true] = ACTIONS(3594),
    [sym_false] = ACTIONS(3594),
    [sym_null] = ACTIONS(3594),
    [sym_undefined] = ACTIONS(3594),
    [anon_sym_AT] = ACTIONS(3594),
    [anon_sym_static] = ACTIONS(3594),
    [anon_sym_readonly] = ACTIONS(3594),
    [anon_sym_get] = ACTIONS(3594),
    [anon_sym_set] = ACTIONS(3594),
    [anon_sym_declare] = ACTIONS(3594),
    [anon_sym_public] = ACTIONS(3594),
    [anon_sym_private] = ACTIONS(3594),
    [anon_sym_protected] = ACTIONS(3594),
    [anon_sym_override] = ACTIONS(3594),
    [anon_sym_module] = ACTIONS(3594),
    [anon_sym_any] = ACTIONS(3594),
    [anon_sym_number] = ACTIONS(3594),
    [anon_sym_boolean] = ACTIONS(3594),
    [anon_sym_string] = ACTIONS(3594),
    [anon_sym_symbol] = ACTIONS(3594),
    [anon_sym_object] = ACTIONS(3594),
    [anon_sym_property] = ACTIONS(3594),
    [anon_sym_signal] = ACTIONS(3594),
    [anon_sym_on] = ACTIONS(3594),
    [anon_sym_required] = ACTIONS(3594),
    [anon_sym_component] = ACTIONS(3594),
    [anon_sym_abstract] = ACTIONS(3594),
    [anon_sym_interface] = ACTIONS(3594),
    [anon_sym_enum] = ACTIONS(3594),
    [sym_html_comment] = ACTIONS(5),
  },
  [1153] = {
    [sym_comment] = STATE(1153),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_export] = ACTIONS(3596),
    [anon_sym_default] = ACTIONS(3596),
    [anon_sym_type] = ACTIONS(3596),
    [anon_sym_namespace] = ACTIONS(3596),
    [anon_sym_LBRACE] = ACTIONS(3596),
    [anon_sym_RBRACE] = ACTIONS(3596),
    [anon_sym_typeof] = ACTIONS(3596),
    [anon_sym_import] = ACTIONS(3596),
    [anon_sym_from] = ACTIONS(3596),
    [anon_sym_with] = ACTIONS(3596),
    [anon_sym_var] = ACTIONS(3596),
    [anon_sym_let] = ACTIONS(3596),
    [anon_sym_const] = ACTIONS(3596),
    [anon_sym_BANG] = ACTIONS(3596),
    [anon_sym_else] = ACTIONS(3596),
    [anon_sym_if] = ACTIONS(3596),
    [anon_sym_switch] = ACTIONS(3596),
    [anon_sym_for] = ACTIONS(3596),
    [anon_sym_LPAREN] = ACTIONS(3596),
    [anon_sym_await] = ACTIONS(3596),
    [anon_sym_of] = ACTIONS(3596),
    [anon_sym_while] = ACTIONS(3596),
    [anon_sym_do] = ACTIONS(3596),
    [anon_sym_try] = ACTIONS(3596),
    [anon_sym_break] = ACTIONS(3596),
    [anon_sym_continue] = ACTIONS(3596),
    [anon_sym_debugger] = ACTIONS(3596),
    [anon_sym_return] = ACTIONS(3596),
    [anon_sym_throw] = ACTIONS(3596),
    [anon_sym_SEMI] = ACTIONS(3596),
    [anon_sym_case] = ACTIONS(3596),
    [anon_sym_yield] = ACTIONS(3596),
    [anon_sym_LBRACK] = ACTIONS(3596),
    [anon_sym_LTtemplate_GT] = ACTIONS(3596),
    [anon_sym_DQUOTE] = ACTIONS(3596),
    [anon_sym_SQUOTE] = ACTIONS(3596),
    [anon_sym_class] = ACTIONS(3596),
    [anon_sym_async] = ACTIONS(3596),
    [anon_sym_function] = ACTIONS(3596),
    [anon_sym_new] = ACTIONS(3596),
    [anon_sym_using] = ACTIONS(3596),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3596),
    [anon_sym_LT] = ACTIONS(3596),
    [anon_sym_TILDE] = ACTIONS(3596),
    [anon_sym_void] = ACTIONS(3596),
    [anon_sym_delete] = ACTIONS(3596),
    [anon_sym_PLUS_PLUS] = ACTIONS(3596),
    [anon_sym_DASH_DASH] = ACTIONS(3596),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3596),
    [sym_number] = ACTIONS(3596),
    [sym_private_property_identifier] = ACTIONS(3596),
    [sym_this] = ACTIONS(3596),
    [sym_super] = ACTIONS(3596),
    [sym_true] = ACTIONS(3596),
    [sym_false] = ACTIONS(3596),
    [sym_null] = ACTIONS(3596),
    [sym_undefined] = ACTIONS(3596),
    [anon_sym_AT] = ACTIONS(3596),
    [anon_sym_static] = ACTIONS(3596),
    [anon_sym_readonly] = ACTIONS(3596),
    [anon_sym_get] = ACTIONS(3596),
    [anon_sym_set] = ACTIONS(3596),
    [anon_sym_declare] = ACTIONS(3596),
    [anon_sym_public] = ACTIONS(3596),
    [anon_sym_private] = ACTIONS(3596),
    [anon_sym_protected] = ACTIONS(3596),
    [anon_sym_override] = ACTIONS(3596),
    [anon_sym_module] = ACTIONS(3596),
    [anon_sym_any] = ACTIONS(3596),
    [anon_sym_number] = ACTIONS(3596),
    [anon_sym_boolean] = ACTIONS(3596),
    [anon_sym_string] = ACTIONS(3596),
    [anon_sym_symbol] = ACTIONS(3596),
    [anon_sym_object] = ACTIONS(3596),
    [anon_sym_property] = ACTIONS(3596),
    [anon_sym_signal] = ACTIONS(3596),
    [anon_sym_on] = ACTIONS(3596),
    [anon_sym_required] = ACTIONS(3596),
    [anon_sym_component] = ACTIONS(3596),
    [anon_sym_abstract] = ACTIONS(3596),
    [anon_sym_interface] = ACTIONS(3596),
    [anon_sym_enum] = ACTIONS(3596),
    [sym_html_comment] = ACTIONS(5),
  },
  [1154] = {
    [sym_comment] = STATE(1154),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1155] = {
    [sym_comment] = STATE(1155),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_export] = ACTIONS(3596),
    [anon_sym_default] = ACTIONS(3596),
    [anon_sym_type] = ACTIONS(3596),
    [anon_sym_namespace] = ACTIONS(3596),
    [anon_sym_LBRACE] = ACTIONS(3596),
    [anon_sym_RBRACE] = ACTIONS(3596),
    [anon_sym_typeof] = ACTIONS(3596),
    [anon_sym_import] = ACTIONS(3596),
    [anon_sym_from] = ACTIONS(3596),
    [anon_sym_with] = ACTIONS(3596),
    [anon_sym_var] = ACTIONS(3596),
    [anon_sym_let] = ACTIONS(3596),
    [anon_sym_const] = ACTIONS(3596),
    [anon_sym_BANG] = ACTIONS(3596),
    [anon_sym_else] = ACTIONS(3596),
    [anon_sym_if] = ACTIONS(3596),
    [anon_sym_switch] = ACTIONS(3596),
    [anon_sym_for] = ACTIONS(3596),
    [anon_sym_LPAREN] = ACTIONS(3596),
    [anon_sym_await] = ACTIONS(3596),
    [anon_sym_of] = ACTIONS(3596),
    [anon_sym_while] = ACTIONS(3596),
    [anon_sym_do] = ACTIONS(3596),
    [anon_sym_try] = ACTIONS(3596),
    [anon_sym_break] = ACTIONS(3596),
    [anon_sym_continue] = ACTIONS(3596),
    [anon_sym_debugger] = ACTIONS(3596),
    [anon_sym_return] = ACTIONS(3596),
    [anon_sym_throw] = ACTIONS(3596),
    [anon_sym_SEMI] = ACTIONS(3596),
    [anon_sym_case] = ACTIONS(3596),
    [anon_sym_yield] = ACTIONS(3596),
    [anon_sym_LBRACK] = ACTIONS(3596),
    [anon_sym_LTtemplate_GT] = ACTIONS(3596),
    [anon_sym_DQUOTE] = ACTIONS(3596),
    [anon_sym_SQUOTE] = ACTIONS(3596),
    [anon_sym_class] = ACTIONS(3596),
    [anon_sym_async] = ACTIONS(3596),
    [anon_sym_function] = ACTIONS(3596),
    [anon_sym_new] = ACTIONS(3596),
    [anon_sym_using] = ACTIONS(3596),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3596),
    [anon_sym_LT] = ACTIONS(3596),
    [anon_sym_TILDE] = ACTIONS(3596),
    [anon_sym_void] = ACTIONS(3596),
    [anon_sym_delete] = ACTIONS(3596),
    [anon_sym_PLUS_PLUS] = ACTIONS(3596),
    [anon_sym_DASH_DASH] = ACTIONS(3596),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3596),
    [sym_number] = ACTIONS(3596),
    [sym_private_property_identifier] = ACTIONS(3596),
    [sym_this] = ACTIONS(3596),
    [sym_super] = ACTIONS(3596),
    [sym_true] = ACTIONS(3596),
    [sym_false] = ACTIONS(3596),
    [sym_null] = ACTIONS(3596),
    [sym_undefined] = ACTIONS(3596),
    [anon_sym_AT] = ACTIONS(3596),
    [anon_sym_static] = ACTIONS(3596),
    [anon_sym_readonly] = ACTIONS(3596),
    [anon_sym_get] = ACTIONS(3596),
    [anon_sym_set] = ACTIONS(3596),
    [anon_sym_declare] = ACTIONS(3596),
    [anon_sym_public] = ACTIONS(3596),
    [anon_sym_private] = ACTIONS(3596),
    [anon_sym_protected] = ACTIONS(3596),
    [anon_sym_override] = ACTIONS(3596),
    [anon_sym_module] = ACTIONS(3596),
    [anon_sym_any] = ACTIONS(3596),
    [anon_sym_number] = ACTIONS(3596),
    [anon_sym_boolean] = ACTIONS(3596),
    [anon_sym_string] = ACTIONS(3596),
    [anon_sym_symbol] = ACTIONS(3596),
    [anon_sym_object] = ACTIONS(3596),
    [anon_sym_property] = ACTIONS(3596),
    [anon_sym_signal] = ACTIONS(3596),
    [anon_sym_on] = ACTIONS(3596),
    [anon_sym_required] = ACTIONS(3596),
    [anon_sym_component] = ACTIONS(3596),
    [anon_sym_abstract] = ACTIONS(3596),
    [anon_sym_interface] = ACTIONS(3596),
    [anon_sym_enum] = ACTIONS(3596),
    [sym_html_comment] = ACTIONS(5),
  },
  [1156] = {
    [sym_comment] = STATE(1156),
    [sym_identifier] = ACTIONS(3598),
    [anon_sym_export] = ACTIONS(3598),
    [anon_sym_default] = ACTIONS(3598),
    [anon_sym_type] = ACTIONS(3598),
    [anon_sym_namespace] = ACTIONS(3598),
    [anon_sym_LBRACE] = ACTIONS(3598),
    [anon_sym_RBRACE] = ACTIONS(3598),
    [anon_sym_typeof] = ACTIONS(3598),
    [anon_sym_import] = ACTIONS(3598),
    [anon_sym_from] = ACTIONS(3598),
    [anon_sym_with] = ACTIONS(3598),
    [anon_sym_var] = ACTIONS(3598),
    [anon_sym_let] = ACTIONS(3598),
    [anon_sym_const] = ACTIONS(3598),
    [anon_sym_BANG] = ACTIONS(3598),
    [anon_sym_else] = ACTIONS(3598),
    [anon_sym_if] = ACTIONS(3598),
    [anon_sym_switch] = ACTIONS(3598),
    [anon_sym_for] = ACTIONS(3598),
    [anon_sym_LPAREN] = ACTIONS(3598),
    [anon_sym_await] = ACTIONS(3598),
    [anon_sym_of] = ACTIONS(3598),
    [anon_sym_while] = ACTIONS(3598),
    [anon_sym_do] = ACTIONS(3598),
    [anon_sym_try] = ACTIONS(3598),
    [anon_sym_break] = ACTIONS(3598),
    [anon_sym_continue] = ACTIONS(3598),
    [anon_sym_debugger] = ACTIONS(3598),
    [anon_sym_return] = ACTIONS(3598),
    [anon_sym_throw] = ACTIONS(3598),
    [anon_sym_SEMI] = ACTIONS(3598),
    [anon_sym_case] = ACTIONS(3598),
    [anon_sym_yield] = ACTIONS(3598),
    [anon_sym_LBRACK] = ACTIONS(3598),
    [anon_sym_LTtemplate_GT] = ACTIONS(3598),
    [anon_sym_DQUOTE] = ACTIONS(3598),
    [anon_sym_SQUOTE] = ACTIONS(3598),
    [anon_sym_class] = ACTIONS(3598),
    [anon_sym_async] = ACTIONS(3598),
    [anon_sym_function] = ACTIONS(3598),
    [anon_sym_new] = ACTIONS(3598),
    [anon_sym_using] = ACTIONS(3598),
    [anon_sym_PLUS] = ACTIONS(3598),
    [anon_sym_DASH] = ACTIONS(3598),
    [anon_sym_SLASH] = ACTIONS(3598),
    [anon_sym_LT] = ACTIONS(3598),
    [anon_sym_TILDE] = ACTIONS(3598),
    [anon_sym_void] = ACTIONS(3598),
    [anon_sym_delete] = ACTIONS(3598),
    [anon_sym_PLUS_PLUS] = ACTIONS(3598),
    [anon_sym_DASH_DASH] = ACTIONS(3598),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3598),
    [sym_number] = ACTIONS(3598),
    [sym_private_property_identifier] = ACTIONS(3598),
    [sym_this] = ACTIONS(3598),
    [sym_super] = ACTIONS(3598),
    [sym_true] = ACTIONS(3598),
    [sym_false] = ACTIONS(3598),
    [sym_null] = ACTIONS(3598),
    [sym_undefined] = ACTIONS(3598),
    [anon_sym_AT] = ACTIONS(3598),
    [anon_sym_static] = ACTIONS(3598),
    [anon_sym_readonly] = ACTIONS(3598),
    [anon_sym_get] = ACTIONS(3598),
    [anon_sym_set] = ACTIONS(3598),
    [anon_sym_declare] = ACTIONS(3598),
    [anon_sym_public] = ACTIONS(3598),
    [anon_sym_private] = ACTIONS(3598),
    [anon_sym_protected] = ACTIONS(3598),
    [anon_sym_override] = ACTIONS(3598),
    [anon_sym_module] = ACTIONS(3598),
    [anon_sym_any] = ACTIONS(3598),
    [anon_sym_number] = ACTIONS(3598),
    [anon_sym_boolean] = ACTIONS(3598),
    [anon_sym_string] = ACTIONS(3598),
    [anon_sym_symbol] = ACTIONS(3598),
    [anon_sym_object] = ACTIONS(3598),
    [anon_sym_property] = ACTIONS(3598),
    [anon_sym_signal] = ACTIONS(3598),
    [anon_sym_on] = ACTIONS(3598),
    [anon_sym_required] = ACTIONS(3598),
    [anon_sym_component] = ACTIONS(3598),
    [anon_sym_abstract] = ACTIONS(3598),
    [anon_sym_interface] = ACTIONS(3598),
    [anon_sym_enum] = ACTIONS(3598),
    [sym_html_comment] = ACTIONS(5),
  },
  [1157] = {
    [sym_comment] = STATE(1157),
    [sym_identifier] = ACTIONS(3600),
    [anon_sym_export] = ACTIONS(3600),
    [anon_sym_default] = ACTIONS(3600),
    [anon_sym_type] = ACTIONS(3600),
    [anon_sym_namespace] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3600),
    [anon_sym_RBRACE] = ACTIONS(3600),
    [anon_sym_typeof] = ACTIONS(3600),
    [anon_sym_import] = ACTIONS(3600),
    [anon_sym_from] = ACTIONS(3600),
    [anon_sym_with] = ACTIONS(3600),
    [anon_sym_var] = ACTIONS(3600),
    [anon_sym_let] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3600),
    [anon_sym_BANG] = ACTIONS(3600),
    [anon_sym_else] = ACTIONS(3600),
    [anon_sym_if] = ACTIONS(3600),
    [anon_sym_switch] = ACTIONS(3600),
    [anon_sym_for] = ACTIONS(3600),
    [anon_sym_LPAREN] = ACTIONS(3600),
    [anon_sym_await] = ACTIONS(3600),
    [anon_sym_of] = ACTIONS(3600),
    [anon_sym_while] = ACTIONS(3600),
    [anon_sym_do] = ACTIONS(3600),
    [anon_sym_try] = ACTIONS(3600),
    [anon_sym_break] = ACTIONS(3600),
    [anon_sym_continue] = ACTIONS(3600),
    [anon_sym_debugger] = ACTIONS(3600),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_throw] = ACTIONS(3600),
    [anon_sym_SEMI] = ACTIONS(3600),
    [anon_sym_case] = ACTIONS(3600),
    [anon_sym_yield] = ACTIONS(3600),
    [anon_sym_LBRACK] = ACTIONS(3600),
    [anon_sym_LTtemplate_GT] = ACTIONS(3600),
    [anon_sym_DQUOTE] = ACTIONS(3600),
    [anon_sym_SQUOTE] = ACTIONS(3600),
    [anon_sym_class] = ACTIONS(3600),
    [anon_sym_async] = ACTIONS(3600),
    [anon_sym_function] = ACTIONS(3600),
    [anon_sym_new] = ACTIONS(3600),
    [anon_sym_using] = ACTIONS(3600),
    [anon_sym_PLUS] = ACTIONS(3600),
    [anon_sym_DASH] = ACTIONS(3600),
    [anon_sym_SLASH] = ACTIONS(3600),
    [anon_sym_LT] = ACTIONS(3600),
    [anon_sym_TILDE] = ACTIONS(3600),
    [anon_sym_void] = ACTIONS(3600),
    [anon_sym_delete] = ACTIONS(3600),
    [anon_sym_PLUS_PLUS] = ACTIONS(3600),
    [anon_sym_DASH_DASH] = ACTIONS(3600),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3600),
    [sym_number] = ACTIONS(3600),
    [sym_private_property_identifier] = ACTIONS(3600),
    [sym_this] = ACTIONS(3600),
    [sym_super] = ACTIONS(3600),
    [sym_true] = ACTIONS(3600),
    [sym_false] = ACTIONS(3600),
    [sym_null] = ACTIONS(3600),
    [sym_undefined] = ACTIONS(3600),
    [anon_sym_AT] = ACTIONS(3600),
    [anon_sym_static] = ACTIONS(3600),
    [anon_sym_readonly] = ACTIONS(3600),
    [anon_sym_get] = ACTIONS(3600),
    [anon_sym_set] = ACTIONS(3600),
    [anon_sym_declare] = ACTIONS(3600),
    [anon_sym_public] = ACTIONS(3600),
    [anon_sym_private] = ACTIONS(3600),
    [anon_sym_protected] = ACTIONS(3600),
    [anon_sym_override] = ACTIONS(3600),
    [anon_sym_module] = ACTIONS(3600),
    [anon_sym_any] = ACTIONS(3600),
    [anon_sym_number] = ACTIONS(3600),
    [anon_sym_boolean] = ACTIONS(3600),
    [anon_sym_string] = ACTIONS(3600),
    [anon_sym_symbol] = ACTIONS(3600),
    [anon_sym_object] = ACTIONS(3600),
    [anon_sym_property] = ACTIONS(3600),
    [anon_sym_signal] = ACTIONS(3600),
    [anon_sym_on] = ACTIONS(3600),
    [anon_sym_required] = ACTIONS(3600),
    [anon_sym_component] = ACTIONS(3600),
    [anon_sym_abstract] = ACTIONS(3600),
    [anon_sym_interface] = ACTIONS(3600),
    [anon_sym_enum] = ACTIONS(3600),
    [sym_html_comment] = ACTIONS(5),
  },
  [1158] = {
    [sym_comment] = STATE(1158),
    [sym_identifier] = ACTIONS(3602),
    [anon_sym_export] = ACTIONS(3602),
    [anon_sym_default] = ACTIONS(3602),
    [anon_sym_type] = ACTIONS(3602),
    [anon_sym_namespace] = ACTIONS(3602),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_RBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3602),
    [anon_sym_import] = ACTIONS(3602),
    [anon_sym_from] = ACTIONS(3602),
    [anon_sym_with] = ACTIONS(3602),
    [anon_sym_var] = ACTIONS(3602),
    [anon_sym_let] = ACTIONS(3602),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_BANG] = ACTIONS(3602),
    [anon_sym_else] = ACTIONS(3602),
    [anon_sym_if] = ACTIONS(3602),
    [anon_sym_switch] = ACTIONS(3602),
    [anon_sym_for] = ACTIONS(3602),
    [anon_sym_LPAREN] = ACTIONS(3602),
    [anon_sym_await] = ACTIONS(3602),
    [anon_sym_of] = ACTIONS(3602),
    [anon_sym_while] = ACTIONS(3602),
    [anon_sym_do] = ACTIONS(3602),
    [anon_sym_try] = ACTIONS(3602),
    [anon_sym_break] = ACTIONS(3602),
    [anon_sym_continue] = ACTIONS(3602),
    [anon_sym_debugger] = ACTIONS(3602),
    [anon_sym_return] = ACTIONS(3602),
    [anon_sym_throw] = ACTIONS(3602),
    [anon_sym_SEMI] = ACTIONS(3602),
    [anon_sym_case] = ACTIONS(3602),
    [anon_sym_yield] = ACTIONS(3602),
    [anon_sym_LBRACK] = ACTIONS(3602),
    [anon_sym_LTtemplate_GT] = ACTIONS(3602),
    [anon_sym_DQUOTE] = ACTIONS(3602),
    [anon_sym_SQUOTE] = ACTIONS(3602),
    [anon_sym_class] = ACTIONS(3602),
    [anon_sym_async] = ACTIONS(3602),
    [anon_sym_function] = ACTIONS(3602),
    [anon_sym_new] = ACTIONS(3602),
    [anon_sym_using] = ACTIONS(3602),
    [anon_sym_PLUS] = ACTIONS(3602),
    [anon_sym_DASH] = ACTIONS(3602),
    [anon_sym_SLASH] = ACTIONS(3602),
    [anon_sym_LT] = ACTIONS(3602),
    [anon_sym_TILDE] = ACTIONS(3602),
    [anon_sym_void] = ACTIONS(3602),
    [anon_sym_delete] = ACTIONS(3602),
    [anon_sym_PLUS_PLUS] = ACTIONS(3602),
    [anon_sym_DASH_DASH] = ACTIONS(3602),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3602),
    [sym_number] = ACTIONS(3602),
    [sym_private_property_identifier] = ACTIONS(3602),
    [sym_this] = ACTIONS(3602),
    [sym_super] = ACTIONS(3602),
    [sym_true] = ACTIONS(3602),
    [sym_false] = ACTIONS(3602),
    [sym_null] = ACTIONS(3602),
    [sym_undefined] = ACTIONS(3602),
    [anon_sym_AT] = ACTIONS(3602),
    [anon_sym_static] = ACTIONS(3602),
    [anon_sym_readonly] = ACTIONS(3602),
    [anon_sym_get] = ACTIONS(3602),
    [anon_sym_set] = ACTIONS(3602),
    [anon_sym_declare] = ACTIONS(3602),
    [anon_sym_public] = ACTIONS(3602),
    [anon_sym_private] = ACTIONS(3602),
    [anon_sym_protected] = ACTIONS(3602),
    [anon_sym_override] = ACTIONS(3602),
    [anon_sym_module] = ACTIONS(3602),
    [anon_sym_any] = ACTIONS(3602),
    [anon_sym_number] = ACTIONS(3602),
    [anon_sym_boolean] = ACTIONS(3602),
    [anon_sym_string] = ACTIONS(3602),
    [anon_sym_symbol] = ACTIONS(3602),
    [anon_sym_object] = ACTIONS(3602),
    [anon_sym_property] = ACTIONS(3602),
    [anon_sym_signal] = ACTIONS(3602),
    [anon_sym_on] = ACTIONS(3602),
    [anon_sym_required] = ACTIONS(3602),
    [anon_sym_component] = ACTIONS(3602),
    [anon_sym_abstract] = ACTIONS(3602),
    [anon_sym_interface] = ACTIONS(3602),
    [anon_sym_enum] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1159] = {
    [sym_comment] = STATE(1159),
    [sym_identifier] = ACTIONS(3604),
    [anon_sym_export] = ACTIONS(3604),
    [anon_sym_default] = ACTIONS(3604),
    [anon_sym_type] = ACTIONS(3604),
    [anon_sym_namespace] = ACTIONS(3604),
    [anon_sym_LBRACE] = ACTIONS(3604),
    [anon_sym_RBRACE] = ACTIONS(3604),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_import] = ACTIONS(3604),
    [anon_sym_from] = ACTIONS(3604),
    [anon_sym_with] = ACTIONS(3604),
    [anon_sym_var] = ACTIONS(3604),
    [anon_sym_let] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3604),
    [anon_sym_BANG] = ACTIONS(3604),
    [anon_sym_else] = ACTIONS(3604),
    [anon_sym_if] = ACTIONS(3604),
    [anon_sym_switch] = ACTIONS(3604),
    [anon_sym_for] = ACTIONS(3604),
    [anon_sym_LPAREN] = ACTIONS(3604),
    [anon_sym_await] = ACTIONS(3604),
    [anon_sym_of] = ACTIONS(3604),
    [anon_sym_while] = ACTIONS(3604),
    [anon_sym_do] = ACTIONS(3604),
    [anon_sym_try] = ACTIONS(3604),
    [anon_sym_break] = ACTIONS(3604),
    [anon_sym_continue] = ACTIONS(3604),
    [anon_sym_debugger] = ACTIONS(3604),
    [anon_sym_return] = ACTIONS(3604),
    [anon_sym_throw] = ACTIONS(3604),
    [anon_sym_SEMI] = ACTIONS(3604),
    [anon_sym_case] = ACTIONS(3604),
    [anon_sym_yield] = ACTIONS(3604),
    [anon_sym_LBRACK] = ACTIONS(3604),
    [anon_sym_LTtemplate_GT] = ACTIONS(3604),
    [anon_sym_DQUOTE] = ACTIONS(3604),
    [anon_sym_SQUOTE] = ACTIONS(3604),
    [anon_sym_class] = ACTIONS(3604),
    [anon_sym_async] = ACTIONS(3604),
    [anon_sym_function] = ACTIONS(3604),
    [anon_sym_new] = ACTIONS(3604),
    [anon_sym_using] = ACTIONS(3604),
    [anon_sym_PLUS] = ACTIONS(3604),
    [anon_sym_DASH] = ACTIONS(3604),
    [anon_sym_SLASH] = ACTIONS(3604),
    [anon_sym_LT] = ACTIONS(3604),
    [anon_sym_TILDE] = ACTIONS(3604),
    [anon_sym_void] = ACTIONS(3604),
    [anon_sym_delete] = ACTIONS(3604),
    [anon_sym_PLUS_PLUS] = ACTIONS(3604),
    [anon_sym_DASH_DASH] = ACTIONS(3604),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3604),
    [sym_number] = ACTIONS(3604),
    [sym_private_property_identifier] = ACTIONS(3604),
    [sym_this] = ACTIONS(3604),
    [sym_super] = ACTIONS(3604),
    [sym_true] = ACTIONS(3604),
    [sym_false] = ACTIONS(3604),
    [sym_null] = ACTIONS(3604),
    [sym_undefined] = ACTIONS(3604),
    [anon_sym_AT] = ACTIONS(3604),
    [anon_sym_static] = ACTIONS(3604),
    [anon_sym_readonly] = ACTIONS(3604),
    [anon_sym_get] = ACTIONS(3604),
    [anon_sym_set] = ACTIONS(3604),
    [anon_sym_declare] = ACTIONS(3604),
    [anon_sym_public] = ACTIONS(3604),
    [anon_sym_private] = ACTIONS(3604),
    [anon_sym_protected] = ACTIONS(3604),
    [anon_sym_override] = ACTIONS(3604),
    [anon_sym_module] = ACTIONS(3604),
    [anon_sym_any] = ACTIONS(3604),
    [anon_sym_number] = ACTIONS(3604),
    [anon_sym_boolean] = ACTIONS(3604),
    [anon_sym_string] = ACTIONS(3604),
    [anon_sym_symbol] = ACTIONS(3604),
    [anon_sym_object] = ACTIONS(3604),
    [anon_sym_property] = ACTIONS(3604),
    [anon_sym_signal] = ACTIONS(3604),
    [anon_sym_on] = ACTIONS(3604),
    [anon_sym_required] = ACTIONS(3604),
    [anon_sym_component] = ACTIONS(3604),
    [anon_sym_abstract] = ACTIONS(3604),
    [anon_sym_interface] = ACTIONS(3604),
    [anon_sym_enum] = ACTIONS(3604),
    [sym_html_comment] = ACTIONS(5),
  },
  [1160] = {
    [sym_comment] = STATE(1160),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_export] = ACTIONS(3572),
    [anon_sym_default] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_namespace] = ACTIONS(3572),
    [anon_sym_LBRACE] = ACTIONS(3572),
    [anon_sym_RBRACE] = ACTIONS(3572),
    [anon_sym_typeof] = ACTIONS(3572),
    [anon_sym_import] = ACTIONS(3572),
    [anon_sym_from] = ACTIONS(3572),
    [anon_sym_with] = ACTIONS(3572),
    [anon_sym_var] = ACTIONS(3572),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_const] = ACTIONS(3572),
    [anon_sym_BANG] = ACTIONS(3572),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_if] = ACTIONS(3572),
    [anon_sym_switch] = ACTIONS(3572),
    [anon_sym_for] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(3572),
    [anon_sym_await] = ACTIONS(3572),
    [anon_sym_of] = ACTIONS(3572),
    [anon_sym_while] = ACTIONS(3572),
    [anon_sym_do] = ACTIONS(3572),
    [anon_sym_try] = ACTIONS(3572),
    [anon_sym_break] = ACTIONS(3572),
    [anon_sym_continue] = ACTIONS(3572),
    [anon_sym_debugger] = ACTIONS(3572),
    [anon_sym_return] = ACTIONS(3572),
    [anon_sym_throw] = ACTIONS(3572),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_case] = ACTIONS(3572),
    [anon_sym_yield] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(3572),
    [anon_sym_LTtemplate_GT] = ACTIONS(3572),
    [anon_sym_DQUOTE] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_async] = ACTIONS(3572),
    [anon_sym_function] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(3572),
    [anon_sym_using] = ACTIONS(3572),
    [anon_sym_PLUS] = ACTIONS(3572),
    [anon_sym_DASH] = ACTIONS(3572),
    [anon_sym_SLASH] = ACTIONS(3572),
    [anon_sym_LT] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(3572),
    [anon_sym_void] = ACTIONS(3572),
    [anon_sym_delete] = ACTIONS(3572),
    [anon_sym_PLUS_PLUS] = ACTIONS(3572),
    [anon_sym_DASH_DASH] = ACTIONS(3572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3572),
    [sym_number] = ACTIONS(3572),
    [sym_private_property_identifier] = ACTIONS(3572),
    [sym_this] = ACTIONS(3572),
    [sym_super] = ACTIONS(3572),
    [sym_true] = ACTIONS(3572),
    [sym_false] = ACTIONS(3572),
    [sym_null] = ACTIONS(3572),
    [sym_undefined] = ACTIONS(3572),
    [anon_sym_AT] = ACTIONS(3572),
    [anon_sym_static] = ACTIONS(3572),
    [anon_sym_readonly] = ACTIONS(3572),
    [anon_sym_get] = ACTIONS(3572),
    [anon_sym_set] = ACTIONS(3572),
    [anon_sym_declare] = ACTIONS(3572),
    [anon_sym_public] = ACTIONS(3572),
    [anon_sym_private] = ACTIONS(3572),
    [anon_sym_protected] = ACTIONS(3572),
    [anon_sym_override] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_any] = ACTIONS(3572),
    [anon_sym_number] = ACTIONS(3572),
    [anon_sym_boolean] = ACTIONS(3572),
    [anon_sym_string] = ACTIONS(3572),
    [anon_sym_symbol] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(3572),
    [anon_sym_property] = ACTIONS(3572),
    [anon_sym_signal] = ACTIONS(3572),
    [anon_sym_on] = ACTIONS(3572),
    [anon_sym_required] = ACTIONS(3572),
    [anon_sym_component] = ACTIONS(3572),
    [anon_sym_abstract] = ACTIONS(3572),
    [anon_sym_interface] = ACTIONS(3572),
    [anon_sym_enum] = ACTIONS(3572),
    [sym_html_comment] = ACTIONS(5),
  },
  [1161] = {
    [sym_comment] = STATE(1161),
    [sym_identifier] = ACTIONS(3606),
    [anon_sym_export] = ACTIONS(3606),
    [anon_sym_default] = ACTIONS(3606),
    [anon_sym_type] = ACTIONS(3606),
    [anon_sym_namespace] = ACTIONS(3606),
    [anon_sym_LBRACE] = ACTIONS(3606),
    [anon_sym_RBRACE] = ACTIONS(3606),
    [anon_sym_typeof] = ACTIONS(3606),
    [anon_sym_import] = ACTIONS(3606),
    [anon_sym_from] = ACTIONS(3606),
    [anon_sym_with] = ACTIONS(3606),
    [anon_sym_var] = ACTIONS(3606),
    [anon_sym_let] = ACTIONS(3606),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_BANG] = ACTIONS(3606),
    [anon_sym_else] = ACTIONS(3606),
    [anon_sym_if] = ACTIONS(3606),
    [anon_sym_switch] = ACTIONS(3606),
    [anon_sym_for] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3606),
    [anon_sym_await] = ACTIONS(3606),
    [anon_sym_of] = ACTIONS(3606),
    [anon_sym_while] = ACTIONS(3606),
    [anon_sym_do] = ACTIONS(3606),
    [anon_sym_try] = ACTIONS(3606),
    [anon_sym_break] = ACTIONS(3606),
    [anon_sym_continue] = ACTIONS(3606),
    [anon_sym_debugger] = ACTIONS(3606),
    [anon_sym_return] = ACTIONS(3606),
    [anon_sym_throw] = ACTIONS(3606),
    [anon_sym_SEMI] = ACTIONS(3606),
    [anon_sym_case] = ACTIONS(3606),
    [anon_sym_yield] = ACTIONS(3606),
    [anon_sym_LBRACK] = ACTIONS(3606),
    [anon_sym_LTtemplate_GT] = ACTIONS(3606),
    [anon_sym_DQUOTE] = ACTIONS(3606),
    [anon_sym_SQUOTE] = ACTIONS(3606),
    [anon_sym_class] = ACTIONS(3606),
    [anon_sym_async] = ACTIONS(3606),
    [anon_sym_function] = ACTIONS(3606),
    [anon_sym_new] = ACTIONS(3606),
    [anon_sym_using] = ACTIONS(3606),
    [anon_sym_PLUS] = ACTIONS(3606),
    [anon_sym_DASH] = ACTIONS(3606),
    [anon_sym_SLASH] = ACTIONS(3606),
    [anon_sym_LT] = ACTIONS(3606),
    [anon_sym_TILDE] = ACTIONS(3606),
    [anon_sym_void] = ACTIONS(3606),
    [anon_sym_delete] = ACTIONS(3606),
    [anon_sym_PLUS_PLUS] = ACTIONS(3606),
    [anon_sym_DASH_DASH] = ACTIONS(3606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3606),
    [sym_number] = ACTIONS(3606),
    [sym_private_property_identifier] = ACTIONS(3606),
    [sym_this] = ACTIONS(3606),
    [sym_super] = ACTIONS(3606),
    [sym_true] = ACTIONS(3606),
    [sym_false] = ACTIONS(3606),
    [sym_null] = ACTIONS(3606),
    [sym_undefined] = ACTIONS(3606),
    [anon_sym_AT] = ACTIONS(3606),
    [anon_sym_static] = ACTIONS(3606),
    [anon_sym_readonly] = ACTIONS(3606),
    [anon_sym_get] = ACTIONS(3606),
    [anon_sym_set] = ACTIONS(3606),
    [anon_sym_declare] = ACTIONS(3606),
    [anon_sym_public] = ACTIONS(3606),
    [anon_sym_private] = ACTIONS(3606),
    [anon_sym_protected] = ACTIONS(3606),
    [anon_sym_override] = ACTIONS(3606),
    [anon_sym_module] = ACTIONS(3606),
    [anon_sym_any] = ACTIONS(3606),
    [anon_sym_number] = ACTIONS(3606),
    [anon_sym_boolean] = ACTIONS(3606),
    [anon_sym_string] = ACTIONS(3606),
    [anon_sym_symbol] = ACTIONS(3606),
    [anon_sym_object] = ACTIONS(3606),
    [anon_sym_property] = ACTIONS(3606),
    [anon_sym_signal] = ACTIONS(3606),
    [anon_sym_on] = ACTIONS(3606),
    [anon_sym_required] = ACTIONS(3606),
    [anon_sym_component] = ACTIONS(3606),
    [anon_sym_abstract] = ACTIONS(3606),
    [anon_sym_interface] = ACTIONS(3606),
    [anon_sym_enum] = ACTIONS(3606),
    [sym_html_comment] = ACTIONS(5),
  },
  [1162] = {
    [sym_comment] = STATE(1162),
    [sym_identifier] = ACTIONS(3608),
    [anon_sym_export] = ACTIONS(3608),
    [anon_sym_default] = ACTIONS(3608),
    [anon_sym_type] = ACTIONS(3608),
    [anon_sym_namespace] = ACTIONS(3608),
    [anon_sym_LBRACE] = ACTIONS(3608),
    [anon_sym_RBRACE] = ACTIONS(3608),
    [anon_sym_typeof] = ACTIONS(3608),
    [anon_sym_import] = ACTIONS(3608),
    [anon_sym_from] = ACTIONS(3608),
    [anon_sym_with] = ACTIONS(3608),
    [anon_sym_var] = ACTIONS(3608),
    [anon_sym_let] = ACTIONS(3608),
    [anon_sym_const] = ACTIONS(3608),
    [anon_sym_BANG] = ACTIONS(3608),
    [anon_sym_else] = ACTIONS(3608),
    [anon_sym_if] = ACTIONS(3608),
    [anon_sym_switch] = ACTIONS(3608),
    [anon_sym_for] = ACTIONS(3608),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_await] = ACTIONS(3608),
    [anon_sym_of] = ACTIONS(3608),
    [anon_sym_while] = ACTIONS(3608),
    [anon_sym_do] = ACTIONS(3608),
    [anon_sym_try] = ACTIONS(3608),
    [anon_sym_break] = ACTIONS(3608),
    [anon_sym_continue] = ACTIONS(3608),
    [anon_sym_debugger] = ACTIONS(3608),
    [anon_sym_return] = ACTIONS(3608),
    [anon_sym_throw] = ACTIONS(3608),
    [anon_sym_SEMI] = ACTIONS(3608),
    [anon_sym_case] = ACTIONS(3608),
    [anon_sym_yield] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3608),
    [anon_sym_LTtemplate_GT] = ACTIONS(3608),
    [anon_sym_DQUOTE] = ACTIONS(3608),
    [anon_sym_SQUOTE] = ACTIONS(3608),
    [anon_sym_class] = ACTIONS(3608),
    [anon_sym_async] = ACTIONS(3608),
    [anon_sym_function] = ACTIONS(3608),
    [anon_sym_new] = ACTIONS(3608),
    [anon_sym_using] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3608),
    [anon_sym_TILDE] = ACTIONS(3608),
    [anon_sym_void] = ACTIONS(3608),
    [anon_sym_delete] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(3608),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3608),
    [sym_number] = ACTIONS(3608),
    [sym_private_property_identifier] = ACTIONS(3608),
    [sym_this] = ACTIONS(3608),
    [sym_super] = ACTIONS(3608),
    [sym_true] = ACTIONS(3608),
    [sym_false] = ACTIONS(3608),
    [sym_null] = ACTIONS(3608),
    [sym_undefined] = ACTIONS(3608),
    [anon_sym_AT] = ACTIONS(3608),
    [anon_sym_static] = ACTIONS(3608),
    [anon_sym_readonly] = ACTIONS(3608),
    [anon_sym_get] = ACTIONS(3608),
    [anon_sym_set] = ACTIONS(3608),
    [anon_sym_declare] = ACTIONS(3608),
    [anon_sym_public] = ACTIONS(3608),
    [anon_sym_private] = ACTIONS(3608),
    [anon_sym_protected] = ACTIONS(3608),
    [anon_sym_override] = ACTIONS(3608),
    [anon_sym_module] = ACTIONS(3608),
    [anon_sym_any] = ACTIONS(3608),
    [anon_sym_number] = ACTIONS(3608),
    [anon_sym_boolean] = ACTIONS(3608),
    [anon_sym_string] = ACTIONS(3608),
    [anon_sym_symbol] = ACTIONS(3608),
    [anon_sym_object] = ACTIONS(3608),
    [anon_sym_property] = ACTIONS(3608),
    [anon_sym_signal] = ACTIONS(3608),
    [anon_sym_on] = ACTIONS(3608),
    [anon_sym_required] = ACTIONS(3608),
    [anon_sym_component] = ACTIONS(3608),
    [anon_sym_abstract] = ACTIONS(3608),
    [anon_sym_interface] = ACTIONS(3608),
    [anon_sym_enum] = ACTIONS(3608),
    [sym_html_comment] = ACTIONS(5),
  },
  [1163] = {
    [sym_comment] = STATE(1163),
    [sym_identifier] = ACTIONS(3610),
    [anon_sym_export] = ACTIONS(3610),
    [anon_sym_default] = ACTIONS(3610),
    [anon_sym_type] = ACTIONS(3610),
    [anon_sym_namespace] = ACTIONS(3610),
    [anon_sym_LBRACE] = ACTIONS(3610),
    [anon_sym_RBRACE] = ACTIONS(3610),
    [anon_sym_typeof] = ACTIONS(3610),
    [anon_sym_import] = ACTIONS(3610),
    [anon_sym_from] = ACTIONS(3610),
    [anon_sym_with] = ACTIONS(3610),
    [anon_sym_var] = ACTIONS(3610),
    [anon_sym_let] = ACTIONS(3610),
    [anon_sym_const] = ACTIONS(3610),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_else] = ACTIONS(3610),
    [anon_sym_if] = ACTIONS(3610),
    [anon_sym_switch] = ACTIONS(3610),
    [anon_sym_for] = ACTIONS(3610),
    [anon_sym_LPAREN] = ACTIONS(3610),
    [anon_sym_await] = ACTIONS(3610),
    [anon_sym_of] = ACTIONS(3610),
    [anon_sym_while] = ACTIONS(3610),
    [anon_sym_do] = ACTIONS(3610),
    [anon_sym_try] = ACTIONS(3610),
    [anon_sym_break] = ACTIONS(3610),
    [anon_sym_continue] = ACTIONS(3610),
    [anon_sym_debugger] = ACTIONS(3610),
    [anon_sym_return] = ACTIONS(3610),
    [anon_sym_throw] = ACTIONS(3610),
    [anon_sym_SEMI] = ACTIONS(3610),
    [anon_sym_case] = ACTIONS(3610),
    [anon_sym_yield] = ACTIONS(3610),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_LTtemplate_GT] = ACTIONS(3610),
    [anon_sym_DQUOTE] = ACTIONS(3610),
    [anon_sym_SQUOTE] = ACTIONS(3610),
    [anon_sym_class] = ACTIONS(3610),
    [anon_sym_async] = ACTIONS(3610),
    [anon_sym_function] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3610),
    [anon_sym_using] = ACTIONS(3610),
    [anon_sym_PLUS] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3610),
    [anon_sym_SLASH] = ACTIONS(3610),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_void] = ACTIONS(3610),
    [anon_sym_delete] = ACTIONS(3610),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3610),
    [sym_number] = ACTIONS(3610),
    [sym_private_property_identifier] = ACTIONS(3610),
    [sym_this] = ACTIONS(3610),
    [sym_super] = ACTIONS(3610),
    [sym_true] = ACTIONS(3610),
    [sym_false] = ACTIONS(3610),
    [sym_null] = ACTIONS(3610),
    [sym_undefined] = ACTIONS(3610),
    [anon_sym_AT] = ACTIONS(3610),
    [anon_sym_static] = ACTIONS(3610),
    [anon_sym_readonly] = ACTIONS(3610),
    [anon_sym_get] = ACTIONS(3610),
    [anon_sym_set] = ACTIONS(3610),
    [anon_sym_declare] = ACTIONS(3610),
    [anon_sym_public] = ACTIONS(3610),
    [anon_sym_private] = ACTIONS(3610),
    [anon_sym_protected] = ACTIONS(3610),
    [anon_sym_override] = ACTIONS(3610),
    [anon_sym_module] = ACTIONS(3610),
    [anon_sym_any] = ACTIONS(3610),
    [anon_sym_number] = ACTIONS(3610),
    [anon_sym_boolean] = ACTIONS(3610),
    [anon_sym_string] = ACTIONS(3610),
    [anon_sym_symbol] = ACTIONS(3610),
    [anon_sym_object] = ACTIONS(3610),
    [anon_sym_property] = ACTIONS(3610),
    [anon_sym_signal] = ACTIONS(3610),
    [anon_sym_on] = ACTIONS(3610),
    [anon_sym_required] = ACTIONS(3610),
    [anon_sym_component] = ACTIONS(3610),
    [anon_sym_abstract] = ACTIONS(3610),
    [anon_sym_interface] = ACTIONS(3610),
    [anon_sym_enum] = ACTIONS(3610),
    [sym_html_comment] = ACTIONS(5),
  },
  [1164] = {
    [sym_comment] = STATE(1164),
    [sym_identifier] = ACTIONS(3610),
    [anon_sym_export] = ACTIONS(3610),
    [anon_sym_default] = ACTIONS(3610),
    [anon_sym_type] = ACTIONS(3610),
    [anon_sym_namespace] = ACTIONS(3610),
    [anon_sym_LBRACE] = ACTIONS(3610),
    [anon_sym_RBRACE] = ACTIONS(3610),
    [anon_sym_typeof] = ACTIONS(3610),
    [anon_sym_import] = ACTIONS(3610),
    [anon_sym_from] = ACTIONS(3610),
    [anon_sym_with] = ACTIONS(3610),
    [anon_sym_var] = ACTIONS(3610),
    [anon_sym_let] = ACTIONS(3610),
    [anon_sym_const] = ACTIONS(3610),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_else] = ACTIONS(3610),
    [anon_sym_if] = ACTIONS(3610),
    [anon_sym_switch] = ACTIONS(3610),
    [anon_sym_for] = ACTIONS(3610),
    [anon_sym_LPAREN] = ACTIONS(3610),
    [anon_sym_await] = ACTIONS(3610),
    [anon_sym_of] = ACTIONS(3610),
    [anon_sym_while] = ACTIONS(3610),
    [anon_sym_do] = ACTIONS(3610),
    [anon_sym_try] = ACTIONS(3610),
    [anon_sym_break] = ACTIONS(3610),
    [anon_sym_continue] = ACTIONS(3610),
    [anon_sym_debugger] = ACTIONS(3610),
    [anon_sym_return] = ACTIONS(3610),
    [anon_sym_throw] = ACTIONS(3610),
    [anon_sym_SEMI] = ACTIONS(3610),
    [anon_sym_case] = ACTIONS(3610),
    [anon_sym_yield] = ACTIONS(3610),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_LTtemplate_GT] = ACTIONS(3610),
    [anon_sym_DQUOTE] = ACTIONS(3610),
    [anon_sym_SQUOTE] = ACTIONS(3610),
    [anon_sym_class] = ACTIONS(3610),
    [anon_sym_async] = ACTIONS(3610),
    [anon_sym_function] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3610),
    [anon_sym_using] = ACTIONS(3610),
    [anon_sym_PLUS] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3610),
    [anon_sym_SLASH] = ACTIONS(3610),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_void] = ACTIONS(3610),
    [anon_sym_delete] = ACTIONS(3610),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3610),
    [sym_number] = ACTIONS(3610),
    [sym_private_property_identifier] = ACTIONS(3610),
    [sym_this] = ACTIONS(3610),
    [sym_super] = ACTIONS(3610),
    [sym_true] = ACTIONS(3610),
    [sym_false] = ACTIONS(3610),
    [sym_null] = ACTIONS(3610),
    [sym_undefined] = ACTIONS(3610),
    [anon_sym_AT] = ACTIONS(3610),
    [anon_sym_static] = ACTIONS(3610),
    [anon_sym_readonly] = ACTIONS(3610),
    [anon_sym_get] = ACTIONS(3610),
    [anon_sym_set] = ACTIONS(3610),
    [anon_sym_declare] = ACTIONS(3610),
    [anon_sym_public] = ACTIONS(3610),
    [anon_sym_private] = ACTIONS(3610),
    [anon_sym_protected] = ACTIONS(3610),
    [anon_sym_override] = ACTIONS(3610),
    [anon_sym_module] = ACTIONS(3610),
    [anon_sym_any] = ACTIONS(3610),
    [anon_sym_number] = ACTIONS(3610),
    [anon_sym_boolean] = ACTIONS(3610),
    [anon_sym_string] = ACTIONS(3610),
    [anon_sym_symbol] = ACTIONS(3610),
    [anon_sym_object] = ACTIONS(3610),
    [anon_sym_property] = ACTIONS(3610),
    [anon_sym_signal] = ACTIONS(3610),
    [anon_sym_on] = ACTIONS(3610),
    [anon_sym_required] = ACTIONS(3610),
    [anon_sym_component] = ACTIONS(3610),
    [anon_sym_abstract] = ACTIONS(3610),
    [anon_sym_interface] = ACTIONS(3610),
    [anon_sym_enum] = ACTIONS(3610),
    [sym_html_comment] = ACTIONS(5),
  },
  [1165] = {
    [sym_comment] = STATE(1165),
    [sym_identifier] = ACTIONS(3428),
    [anon_sym_export] = ACTIONS(3428),
    [anon_sym_default] = ACTIONS(3428),
    [anon_sym_type] = ACTIONS(3428),
    [anon_sym_namespace] = ACTIONS(3428),
    [anon_sym_LBRACE] = ACTIONS(3428),
    [anon_sym_RBRACE] = ACTIONS(3428),
    [anon_sym_typeof] = ACTIONS(3428),
    [anon_sym_import] = ACTIONS(3428),
    [anon_sym_from] = ACTIONS(3428),
    [anon_sym_with] = ACTIONS(3428),
    [anon_sym_var] = ACTIONS(3428),
    [anon_sym_let] = ACTIONS(3428),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_BANG] = ACTIONS(3428),
    [anon_sym_if] = ACTIONS(3428),
    [anon_sym_switch] = ACTIONS(3428),
    [anon_sym_for] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3428),
    [anon_sym_await] = ACTIONS(3428),
    [anon_sym_of] = ACTIONS(3428),
    [anon_sym_while] = ACTIONS(3428),
    [anon_sym_do] = ACTIONS(3428),
    [anon_sym_try] = ACTIONS(3428),
    [anon_sym_break] = ACTIONS(3428),
    [anon_sym_continue] = ACTIONS(3428),
    [anon_sym_debugger] = ACTIONS(3428),
    [anon_sym_return] = ACTIONS(3428),
    [anon_sym_throw] = ACTIONS(3428),
    [anon_sym_SEMI] = ACTIONS(3428),
    [anon_sym_case] = ACTIONS(3428),
    [anon_sym_yield] = ACTIONS(3428),
    [anon_sym_LBRACK] = ACTIONS(3428),
    [anon_sym_LTtemplate_GT] = ACTIONS(3428),
    [anon_sym_DQUOTE] = ACTIONS(3428),
    [anon_sym_SQUOTE] = ACTIONS(3428),
    [anon_sym_class] = ACTIONS(3428),
    [anon_sym_async] = ACTIONS(3428),
    [anon_sym_function] = ACTIONS(3428),
    [anon_sym_new] = ACTIONS(3428),
    [anon_sym_using] = ACTIONS(3428),
    [anon_sym_PLUS] = ACTIONS(3428),
    [anon_sym_DASH] = ACTIONS(3428),
    [anon_sym_SLASH] = ACTIONS(3428),
    [anon_sym_LT] = ACTIONS(3428),
    [anon_sym_TILDE] = ACTIONS(3428),
    [anon_sym_void] = ACTIONS(3428),
    [anon_sym_delete] = ACTIONS(3428),
    [anon_sym_PLUS_PLUS] = ACTIONS(3428),
    [anon_sym_DASH_DASH] = ACTIONS(3428),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3428),
    [sym_number] = ACTIONS(3428),
    [sym_private_property_identifier] = ACTIONS(3428),
    [sym_this] = ACTIONS(3428),
    [sym_super] = ACTIONS(3428),
    [sym_true] = ACTIONS(3428),
    [sym_false] = ACTIONS(3428),
    [sym_null] = ACTIONS(3428),
    [sym_undefined] = ACTIONS(3428),
    [anon_sym_AT] = ACTIONS(3428),
    [anon_sym_static] = ACTIONS(3428),
    [anon_sym_readonly] = ACTIONS(3428),
    [anon_sym_get] = ACTIONS(3428),
    [anon_sym_set] = ACTIONS(3428),
    [anon_sym_declare] = ACTIONS(3428),
    [anon_sym_public] = ACTIONS(3428),
    [anon_sym_private] = ACTIONS(3428),
    [anon_sym_protected] = ACTIONS(3428),
    [anon_sym_override] = ACTIONS(3428),
    [anon_sym_module] = ACTIONS(3428),
    [anon_sym_any] = ACTIONS(3428),
    [anon_sym_number] = ACTIONS(3428),
    [anon_sym_boolean] = ACTIONS(3428),
    [anon_sym_string] = ACTIONS(3428),
    [anon_sym_symbol] = ACTIONS(3428),
    [anon_sym_object] = ACTIONS(3428),
    [anon_sym_property] = ACTIONS(3428),
    [anon_sym_signal] = ACTIONS(3428),
    [anon_sym_on] = ACTIONS(3428),
    [anon_sym_required] = ACTIONS(3428),
    [anon_sym_component] = ACTIONS(3428),
    [anon_sym_abstract] = ACTIONS(3428),
    [anon_sym_interface] = ACTIONS(3428),
    [anon_sym_enum] = ACTIONS(3428),
    [sym__automatic_semicolon] = ACTIONS(3430),
    [sym_html_comment] = ACTIONS(5),
  },
  [1166] = {
    [sym_comment] = STATE(1166),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1167] = {
    [sym_comment] = STATE(1167),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1168] = {
    [sym_comment] = STATE(1168),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_default] = ACTIONS(2362),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_RBRACE] = ACTIONS(2362),
    [anon_sym_typeof] = ACTIONS(2362),
    [anon_sym_import] = ACTIONS(2362),
    [anon_sym_from] = ACTIONS(2362),
    [anon_sym_with] = ACTIONS(2362),
    [anon_sym_var] = ACTIONS(2362),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_const] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_switch] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2362),
    [anon_sym_LPAREN] = ACTIONS(2362),
    [anon_sym_await] = ACTIONS(2362),
    [anon_sym_of] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_do] = ACTIONS(2362),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_break] = ACTIONS(2362),
    [anon_sym_continue] = ACTIONS(2362),
    [anon_sym_debugger] = ACTIONS(2362),
    [anon_sym_return] = ACTIONS(2362),
    [anon_sym_throw] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym_case] = ACTIONS(2362),
    [anon_sym_yield] = ACTIONS(2362),
    [anon_sym_LBRACK] = ACTIONS(2362),
    [anon_sym_LTtemplate_GT] = ACTIONS(2362),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_class] = ACTIONS(2362),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(2362),
    [anon_sym_using] = ACTIONS(2362),
    [anon_sym_PLUS] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2362),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_void] = ACTIONS(2362),
    [anon_sym_delete] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2362),
    [sym_number] = ACTIONS(2362),
    [sym_private_property_identifier] = ACTIONS(2362),
    [sym_this] = ACTIONS(2362),
    [sym_super] = ACTIONS(2362),
    [sym_true] = ACTIONS(2362),
    [sym_false] = ACTIONS(2362),
    [sym_null] = ACTIONS(2362),
    [sym_undefined] = ACTIONS(2362),
    [anon_sym_AT] = ACTIONS(2362),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2362),
    [anon_sym_get] = ACTIONS(2362),
    [anon_sym_set] = ACTIONS(2362),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_property] = ACTIONS(2362),
    [anon_sym_signal] = ACTIONS(2362),
    [anon_sym_on] = ACTIONS(2362),
    [anon_sym_required] = ACTIONS(2362),
    [anon_sym_component] = ACTIONS(2362),
    [anon_sym_abstract] = ACTIONS(2362),
    [anon_sym_interface] = ACTIONS(2362),
    [anon_sym_enum] = ACTIONS(2362),
    [sym__automatic_semicolon] = ACTIONS(2492),
    [sym_html_comment] = ACTIONS(5),
  },
  [1169] = {
    [sym_comment] = STATE(1169),
    [sym_identifier] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(3612),
    [anon_sym_default] = ACTIONS(3612),
    [anon_sym_type] = ACTIONS(3612),
    [anon_sym_namespace] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(3612),
    [anon_sym_RBRACE] = ACTIONS(3612),
    [anon_sym_typeof] = ACTIONS(3612),
    [anon_sym_import] = ACTIONS(3612),
    [anon_sym_from] = ACTIONS(3612),
    [anon_sym_with] = ACTIONS(3612),
    [anon_sym_var] = ACTIONS(3612),
    [anon_sym_let] = ACTIONS(3612),
    [anon_sym_const] = ACTIONS(3612),
    [anon_sym_BANG] = ACTIONS(3612),
    [anon_sym_else] = ACTIONS(3612),
    [anon_sym_if] = ACTIONS(3612),
    [anon_sym_switch] = ACTIONS(3612),
    [anon_sym_for] = ACTIONS(3612),
    [anon_sym_LPAREN] = ACTIONS(3612),
    [anon_sym_await] = ACTIONS(3612),
    [anon_sym_of] = ACTIONS(3612),
    [anon_sym_while] = ACTIONS(3612),
    [anon_sym_do] = ACTIONS(3612),
    [anon_sym_try] = ACTIONS(3612),
    [anon_sym_break] = ACTIONS(3612),
    [anon_sym_continue] = ACTIONS(3612),
    [anon_sym_debugger] = ACTIONS(3612),
    [anon_sym_return] = ACTIONS(3612),
    [anon_sym_throw] = ACTIONS(3612),
    [anon_sym_SEMI] = ACTIONS(3612),
    [anon_sym_case] = ACTIONS(3612),
    [anon_sym_yield] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(3612),
    [anon_sym_LTtemplate_GT] = ACTIONS(3612),
    [anon_sym_DQUOTE] = ACTIONS(3612),
    [anon_sym_SQUOTE] = ACTIONS(3612),
    [anon_sym_class] = ACTIONS(3612),
    [anon_sym_async] = ACTIONS(3612),
    [anon_sym_function] = ACTIONS(3612),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_using] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3612),
    [anon_sym_DASH] = ACTIONS(3612),
    [anon_sym_SLASH] = ACTIONS(3612),
    [anon_sym_LT] = ACTIONS(3612),
    [anon_sym_TILDE] = ACTIONS(3612),
    [anon_sym_void] = ACTIONS(3612),
    [anon_sym_delete] = ACTIONS(3612),
    [anon_sym_PLUS_PLUS] = ACTIONS(3612),
    [anon_sym_DASH_DASH] = ACTIONS(3612),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3612),
    [sym_number] = ACTIONS(3612),
    [sym_private_property_identifier] = ACTIONS(3612),
    [sym_this] = ACTIONS(3612),
    [sym_super] = ACTIONS(3612),
    [sym_true] = ACTIONS(3612),
    [sym_false] = ACTIONS(3612),
    [sym_null] = ACTIONS(3612),
    [sym_undefined] = ACTIONS(3612),
    [anon_sym_AT] = ACTIONS(3612),
    [anon_sym_static] = ACTIONS(3612),
    [anon_sym_readonly] = ACTIONS(3612),
    [anon_sym_get] = ACTIONS(3612),
    [anon_sym_set] = ACTIONS(3612),
    [anon_sym_declare] = ACTIONS(3612),
    [anon_sym_public] = ACTIONS(3612),
    [anon_sym_private] = ACTIONS(3612),
    [anon_sym_protected] = ACTIONS(3612),
    [anon_sym_override] = ACTIONS(3612),
    [anon_sym_module] = ACTIONS(3612),
    [anon_sym_any] = ACTIONS(3612),
    [anon_sym_number] = ACTIONS(3612),
    [anon_sym_boolean] = ACTIONS(3612),
    [anon_sym_string] = ACTIONS(3612),
    [anon_sym_symbol] = ACTIONS(3612),
    [anon_sym_object] = ACTIONS(3612),
    [anon_sym_property] = ACTIONS(3612),
    [anon_sym_signal] = ACTIONS(3612),
    [anon_sym_on] = ACTIONS(3612),
    [anon_sym_required] = ACTIONS(3612),
    [anon_sym_component] = ACTIONS(3612),
    [anon_sym_abstract] = ACTIONS(3612),
    [anon_sym_interface] = ACTIONS(3612),
    [anon_sym_enum] = ACTIONS(3612),
    [sym_html_comment] = ACTIONS(5),
  },
  [1170] = {
    [sym_comment] = STATE(1170),
    [sym_identifier] = ACTIONS(2426),
    [anon_sym_export] = ACTIONS(2426),
    [anon_sym_default] = ACTIONS(2426),
    [anon_sym_type] = ACTIONS(2426),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_RBRACE] = ACTIONS(2426),
    [anon_sym_typeof] = ACTIONS(2426),
    [anon_sym_import] = ACTIONS(2426),
    [anon_sym_from] = ACTIONS(2426),
    [anon_sym_with] = ACTIONS(2426),
    [anon_sym_var] = ACTIONS(2426),
    [anon_sym_let] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_if] = ACTIONS(2426),
    [anon_sym_switch] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_await] = ACTIONS(2426),
    [anon_sym_of] = ACTIONS(2426),
    [anon_sym_while] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2426),
    [anon_sym_break] = ACTIONS(2426),
    [anon_sym_continue] = ACTIONS(2426),
    [anon_sym_debugger] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym_case] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_LTtemplate_GT] = ACTIONS(2426),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_async] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_void] = ACTIONS(2426),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2426),
    [sym_number] = ACTIONS(2426),
    [sym_private_property_identifier] = ACTIONS(2426),
    [sym_this] = ACTIONS(2426),
    [sym_super] = ACTIONS(2426),
    [sym_true] = ACTIONS(2426),
    [sym_false] = ACTIONS(2426),
    [sym_null] = ACTIONS(2426),
    [sym_undefined] = ACTIONS(2426),
    [anon_sym_AT] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_readonly] = ACTIONS(2426),
    [anon_sym_get] = ACTIONS(2426),
    [anon_sym_set] = ACTIONS(2426),
    [anon_sym_declare] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_override] = ACTIONS(2426),
    [anon_sym_module] = ACTIONS(2426),
    [anon_sym_any] = ACTIONS(2426),
    [anon_sym_number] = ACTIONS(2426),
    [anon_sym_boolean] = ACTIONS(2426),
    [anon_sym_string] = ACTIONS(2426),
    [anon_sym_symbol] = ACTIONS(2426),
    [anon_sym_object] = ACTIONS(2426),
    [anon_sym_property] = ACTIONS(2426),
    [anon_sym_signal] = ACTIONS(2426),
    [anon_sym_on] = ACTIONS(2426),
    [anon_sym_required] = ACTIONS(2426),
    [anon_sym_component] = ACTIONS(2426),
    [anon_sym_abstract] = ACTIONS(2426),
    [anon_sym_interface] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [sym__automatic_semicolon] = ACTIONS(2514),
    [sym_html_comment] = ACTIONS(5),
  },
  [1171] = {
    [sym_comment] = STATE(1171),
    [sym_identifier] = ACTIONS(2478),
    [anon_sym_export] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_type] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_typeof] = ACTIONS(2478),
    [anon_sym_import] = ACTIONS(2478),
    [anon_sym_from] = ACTIONS(2478),
    [anon_sym_with] = ACTIONS(2478),
    [anon_sym_var] = ACTIONS(2478),
    [anon_sym_let] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_LPAREN] = ACTIONS(2478),
    [anon_sym_await] = ACTIONS(2478),
    [anon_sym_of] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_debugger] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_LTtemplate_GT] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_async] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_SLASH] = ACTIONS(2478),
    [anon_sym_LT] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [anon_sym_void] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2478),
    [sym_number] = ACTIONS(2478),
    [sym_private_property_identifier] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
    [sym_super] = ACTIONS(2478),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [sym_null] = ACTIONS(2478),
    [sym_undefined] = ACTIONS(2478),
    [anon_sym_AT] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_readonly] = ACTIONS(2478),
    [anon_sym_get] = ACTIONS(2478),
    [anon_sym_set] = ACTIONS(2478),
    [anon_sym_declare] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_override] = ACTIONS(2478),
    [anon_sym_module] = ACTIONS(2478),
    [anon_sym_any] = ACTIONS(2478),
    [anon_sym_number] = ACTIONS(2478),
    [anon_sym_boolean] = ACTIONS(2478),
    [anon_sym_string] = ACTIONS(2478),
    [anon_sym_symbol] = ACTIONS(2478),
    [anon_sym_object] = ACTIONS(2478),
    [anon_sym_property] = ACTIONS(2478),
    [anon_sym_signal] = ACTIONS(2478),
    [anon_sym_on] = ACTIONS(2478),
    [anon_sym_required] = ACTIONS(2478),
    [anon_sym_component] = ACTIONS(2478),
    [anon_sym_abstract] = ACTIONS(2478),
    [anon_sym_interface] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [sym__automatic_semicolon] = ACTIONS(2546),
    [sym_html_comment] = ACTIONS(5),
  },
  [1172] = {
    [sym_comment] = STATE(1172),
    [sym_identifier] = ACTIONS(3614),
    [anon_sym_export] = ACTIONS(3614),
    [anon_sym_default] = ACTIONS(3614),
    [anon_sym_type] = ACTIONS(3614),
    [anon_sym_namespace] = ACTIONS(3614),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(3614),
    [anon_sym_typeof] = ACTIONS(3614),
    [anon_sym_import] = ACTIONS(3614),
    [anon_sym_from] = ACTIONS(3614),
    [anon_sym_with] = ACTIONS(3614),
    [anon_sym_var] = ACTIONS(3614),
    [anon_sym_let] = ACTIONS(3614),
    [anon_sym_const] = ACTIONS(3614),
    [anon_sym_BANG] = ACTIONS(3614),
    [anon_sym_else] = ACTIONS(3614),
    [anon_sym_if] = ACTIONS(3614),
    [anon_sym_switch] = ACTIONS(3614),
    [anon_sym_for] = ACTIONS(3614),
    [anon_sym_LPAREN] = ACTIONS(3614),
    [anon_sym_await] = ACTIONS(3614),
    [anon_sym_of] = ACTIONS(3614),
    [anon_sym_while] = ACTIONS(3614),
    [anon_sym_do] = ACTIONS(3614),
    [anon_sym_try] = ACTIONS(3614),
    [anon_sym_break] = ACTIONS(3614),
    [anon_sym_continue] = ACTIONS(3614),
    [anon_sym_debugger] = ACTIONS(3614),
    [anon_sym_return] = ACTIONS(3614),
    [anon_sym_throw] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(3614),
    [anon_sym_case] = ACTIONS(3614),
    [anon_sym_yield] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(3614),
    [anon_sym_LTtemplate_GT] = ACTIONS(3614),
    [anon_sym_DQUOTE] = ACTIONS(3614),
    [anon_sym_SQUOTE] = ACTIONS(3614),
    [anon_sym_class] = ACTIONS(3614),
    [anon_sym_async] = ACTIONS(3614),
    [anon_sym_function] = ACTIONS(3614),
    [anon_sym_new] = ACTIONS(3614),
    [anon_sym_using] = ACTIONS(3614),
    [anon_sym_PLUS] = ACTIONS(3614),
    [anon_sym_DASH] = ACTIONS(3614),
    [anon_sym_SLASH] = ACTIONS(3614),
    [anon_sym_LT] = ACTIONS(3614),
    [anon_sym_TILDE] = ACTIONS(3614),
    [anon_sym_void] = ACTIONS(3614),
    [anon_sym_delete] = ACTIONS(3614),
    [anon_sym_PLUS_PLUS] = ACTIONS(3614),
    [anon_sym_DASH_DASH] = ACTIONS(3614),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3614),
    [sym_number] = ACTIONS(3614),
    [sym_private_property_identifier] = ACTIONS(3614),
    [sym_this] = ACTIONS(3614),
    [sym_super] = ACTIONS(3614),
    [sym_true] = ACTIONS(3614),
    [sym_false] = ACTIONS(3614),
    [sym_null] = ACTIONS(3614),
    [sym_undefined] = ACTIONS(3614),
    [anon_sym_AT] = ACTIONS(3614),
    [anon_sym_static] = ACTIONS(3614),
    [anon_sym_readonly] = ACTIONS(3614),
    [anon_sym_get] = ACTIONS(3614),
    [anon_sym_set] = ACTIONS(3614),
    [anon_sym_declare] = ACTIONS(3614),
    [anon_sym_public] = ACTIONS(3614),
    [anon_sym_private] = ACTIONS(3614),
    [anon_sym_protected] = ACTIONS(3614),
    [anon_sym_override] = ACTIONS(3614),
    [anon_sym_module] = ACTIONS(3614),
    [anon_sym_any] = ACTIONS(3614),
    [anon_sym_number] = ACTIONS(3614),
    [anon_sym_boolean] = ACTIONS(3614),
    [anon_sym_string] = ACTIONS(3614),
    [anon_sym_symbol] = ACTIONS(3614),
    [anon_sym_object] = ACTIONS(3614),
    [anon_sym_property] = ACTIONS(3614),
    [anon_sym_signal] = ACTIONS(3614),
    [anon_sym_on] = ACTIONS(3614),
    [anon_sym_required] = ACTIONS(3614),
    [anon_sym_component] = ACTIONS(3614),
    [anon_sym_abstract] = ACTIONS(3614),
    [anon_sym_interface] = ACTIONS(3614),
    [anon_sym_enum] = ACTIONS(3614),
    [sym_html_comment] = ACTIONS(5),
  },
  [1173] = {
    [sym_comment] = STATE(1173),
    [sym_identifier] = ACTIONS(3616),
    [anon_sym_export] = ACTIONS(3616),
    [anon_sym_default] = ACTIONS(3616),
    [anon_sym_type] = ACTIONS(3616),
    [anon_sym_namespace] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3616),
    [anon_sym_RBRACE] = ACTIONS(3616),
    [anon_sym_typeof] = ACTIONS(3616),
    [anon_sym_import] = ACTIONS(3616),
    [anon_sym_from] = ACTIONS(3616),
    [anon_sym_with] = ACTIONS(3616),
    [anon_sym_var] = ACTIONS(3616),
    [anon_sym_let] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_BANG] = ACTIONS(3616),
    [anon_sym_else] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_LPAREN] = ACTIONS(3616),
    [anon_sym_await] = ACTIONS(3616),
    [anon_sym_of] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_try] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_debugger] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_throw] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_case] = ACTIONS(3616),
    [anon_sym_yield] = ACTIONS(3616),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_LTtemplate_GT] = ACTIONS(3616),
    [anon_sym_DQUOTE] = ACTIONS(3616),
    [anon_sym_SQUOTE] = ACTIONS(3616),
    [anon_sym_class] = ACTIONS(3616),
    [anon_sym_async] = ACTIONS(3616),
    [anon_sym_function] = ACTIONS(3616),
    [anon_sym_new] = ACTIONS(3616),
    [anon_sym_using] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_SLASH] = ACTIONS(3616),
    [anon_sym_LT] = ACTIONS(3616),
    [anon_sym_TILDE] = ACTIONS(3616),
    [anon_sym_void] = ACTIONS(3616),
    [anon_sym_delete] = ACTIONS(3616),
    [anon_sym_PLUS_PLUS] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3616),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3616),
    [sym_number] = ACTIONS(3616),
    [sym_private_property_identifier] = ACTIONS(3616),
    [sym_this] = ACTIONS(3616),
    [sym_super] = ACTIONS(3616),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [sym_null] = ACTIONS(3616),
    [sym_undefined] = ACTIONS(3616),
    [anon_sym_AT] = ACTIONS(3616),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_readonly] = ACTIONS(3616),
    [anon_sym_get] = ACTIONS(3616),
    [anon_sym_set] = ACTIONS(3616),
    [anon_sym_declare] = ACTIONS(3616),
    [anon_sym_public] = ACTIONS(3616),
    [anon_sym_private] = ACTIONS(3616),
    [anon_sym_protected] = ACTIONS(3616),
    [anon_sym_override] = ACTIONS(3616),
    [anon_sym_module] = ACTIONS(3616),
    [anon_sym_any] = ACTIONS(3616),
    [anon_sym_number] = ACTIONS(3616),
    [anon_sym_boolean] = ACTIONS(3616),
    [anon_sym_string] = ACTIONS(3616),
    [anon_sym_symbol] = ACTIONS(3616),
    [anon_sym_object] = ACTIONS(3616),
    [anon_sym_property] = ACTIONS(3616),
    [anon_sym_signal] = ACTIONS(3616),
    [anon_sym_on] = ACTIONS(3616),
    [anon_sym_required] = ACTIONS(3616),
    [anon_sym_component] = ACTIONS(3616),
    [anon_sym_abstract] = ACTIONS(3616),
    [anon_sym_interface] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [sym_html_comment] = ACTIONS(5),
  },
  [1174] = {
    [sym_comment] = STATE(1174),
    [sym_identifier] = ACTIONS(3616),
    [anon_sym_export] = ACTIONS(3616),
    [anon_sym_default] = ACTIONS(3616),
    [anon_sym_type] = ACTIONS(3616),
    [anon_sym_namespace] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3616),
    [anon_sym_RBRACE] = ACTIONS(3616),
    [anon_sym_typeof] = ACTIONS(3616),
    [anon_sym_import] = ACTIONS(3616),
    [anon_sym_from] = ACTIONS(3616),
    [anon_sym_with] = ACTIONS(3616),
    [anon_sym_var] = ACTIONS(3616),
    [anon_sym_let] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_BANG] = ACTIONS(3616),
    [anon_sym_else] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_LPAREN] = ACTIONS(3616),
    [anon_sym_await] = ACTIONS(3616),
    [anon_sym_of] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_try] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_debugger] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_throw] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_case] = ACTIONS(3616),
    [anon_sym_yield] = ACTIONS(3616),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_LTtemplate_GT] = ACTIONS(3616),
    [anon_sym_DQUOTE] = ACTIONS(3616),
    [anon_sym_SQUOTE] = ACTIONS(3616),
    [anon_sym_class] = ACTIONS(3616),
    [anon_sym_async] = ACTIONS(3616),
    [anon_sym_function] = ACTIONS(3616),
    [anon_sym_new] = ACTIONS(3616),
    [anon_sym_using] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_SLASH] = ACTIONS(3616),
    [anon_sym_LT] = ACTIONS(3616),
    [anon_sym_TILDE] = ACTIONS(3616),
    [anon_sym_void] = ACTIONS(3616),
    [anon_sym_delete] = ACTIONS(3616),
    [anon_sym_PLUS_PLUS] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3616),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3616),
    [sym_number] = ACTIONS(3616),
    [sym_private_property_identifier] = ACTIONS(3616),
    [sym_this] = ACTIONS(3616),
    [sym_super] = ACTIONS(3616),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [sym_null] = ACTIONS(3616),
    [sym_undefined] = ACTIONS(3616),
    [anon_sym_AT] = ACTIONS(3616),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_readonly] = ACTIONS(3616),
    [anon_sym_get] = ACTIONS(3616),
    [anon_sym_set] = ACTIONS(3616),
    [anon_sym_declare] = ACTIONS(3616),
    [anon_sym_public] = ACTIONS(3616),
    [anon_sym_private] = ACTIONS(3616),
    [anon_sym_protected] = ACTIONS(3616),
    [anon_sym_override] = ACTIONS(3616),
    [anon_sym_module] = ACTIONS(3616),
    [anon_sym_any] = ACTIONS(3616),
    [anon_sym_number] = ACTIONS(3616),
    [anon_sym_boolean] = ACTIONS(3616),
    [anon_sym_string] = ACTIONS(3616),
    [anon_sym_symbol] = ACTIONS(3616),
    [anon_sym_object] = ACTIONS(3616),
    [anon_sym_property] = ACTIONS(3616),
    [anon_sym_signal] = ACTIONS(3616),
    [anon_sym_on] = ACTIONS(3616),
    [anon_sym_required] = ACTIONS(3616),
    [anon_sym_component] = ACTIONS(3616),
    [anon_sym_abstract] = ACTIONS(3616),
    [anon_sym_interface] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [sym_html_comment] = ACTIONS(5),
  },
  [1175] = {
    [sym_comment] = STATE(1175),
    [sym_identifier] = ACTIONS(3616),
    [anon_sym_export] = ACTIONS(3616),
    [anon_sym_default] = ACTIONS(3616),
    [anon_sym_type] = ACTIONS(3616),
    [anon_sym_namespace] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3616),
    [anon_sym_RBRACE] = ACTIONS(3616),
    [anon_sym_typeof] = ACTIONS(3616),
    [anon_sym_import] = ACTIONS(3616),
    [anon_sym_from] = ACTIONS(3616),
    [anon_sym_with] = ACTIONS(3616),
    [anon_sym_var] = ACTIONS(3616),
    [anon_sym_let] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_BANG] = ACTIONS(3616),
    [anon_sym_else] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_LPAREN] = ACTIONS(3616),
    [anon_sym_await] = ACTIONS(3616),
    [anon_sym_of] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_try] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_debugger] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_throw] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_case] = ACTIONS(3616),
    [anon_sym_yield] = ACTIONS(3616),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_LTtemplate_GT] = ACTIONS(3616),
    [anon_sym_DQUOTE] = ACTIONS(3616),
    [anon_sym_SQUOTE] = ACTIONS(3616),
    [anon_sym_class] = ACTIONS(3616),
    [anon_sym_async] = ACTIONS(3616),
    [anon_sym_function] = ACTIONS(3616),
    [anon_sym_new] = ACTIONS(3616),
    [anon_sym_using] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_SLASH] = ACTIONS(3616),
    [anon_sym_LT] = ACTIONS(3616),
    [anon_sym_TILDE] = ACTIONS(3616),
    [anon_sym_void] = ACTIONS(3616),
    [anon_sym_delete] = ACTIONS(3616),
    [anon_sym_PLUS_PLUS] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3616),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3616),
    [sym_number] = ACTIONS(3616),
    [sym_private_property_identifier] = ACTIONS(3616),
    [sym_this] = ACTIONS(3616),
    [sym_super] = ACTIONS(3616),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [sym_null] = ACTIONS(3616),
    [sym_undefined] = ACTIONS(3616),
    [anon_sym_AT] = ACTIONS(3616),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_readonly] = ACTIONS(3616),
    [anon_sym_get] = ACTIONS(3616),
    [anon_sym_set] = ACTIONS(3616),
    [anon_sym_declare] = ACTIONS(3616),
    [anon_sym_public] = ACTIONS(3616),
    [anon_sym_private] = ACTIONS(3616),
    [anon_sym_protected] = ACTIONS(3616),
    [anon_sym_override] = ACTIONS(3616),
    [anon_sym_module] = ACTIONS(3616),
    [anon_sym_any] = ACTIONS(3616),
    [anon_sym_number] = ACTIONS(3616),
    [anon_sym_boolean] = ACTIONS(3616),
    [anon_sym_string] = ACTIONS(3616),
    [anon_sym_symbol] = ACTIONS(3616),
    [anon_sym_object] = ACTIONS(3616),
    [anon_sym_property] = ACTIONS(3616),
    [anon_sym_signal] = ACTIONS(3616),
    [anon_sym_on] = ACTIONS(3616),
    [anon_sym_required] = ACTIONS(3616),
    [anon_sym_component] = ACTIONS(3616),
    [anon_sym_abstract] = ACTIONS(3616),
    [anon_sym_interface] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [sym_html_comment] = ACTIONS(5),
  },
  [1176] = {
    [sym_comment] = STATE(1176),
    [sym_identifier] = ACTIONS(3618),
    [anon_sym_export] = ACTIONS(3618),
    [anon_sym_default] = ACTIONS(3618),
    [anon_sym_type] = ACTIONS(3618),
    [anon_sym_namespace] = ACTIONS(3618),
    [anon_sym_LBRACE] = ACTIONS(3618),
    [anon_sym_RBRACE] = ACTIONS(3618),
    [anon_sym_typeof] = ACTIONS(3618),
    [anon_sym_import] = ACTIONS(3618),
    [anon_sym_from] = ACTIONS(3618),
    [anon_sym_with] = ACTIONS(3618),
    [anon_sym_var] = ACTIONS(3618),
    [anon_sym_let] = ACTIONS(3618),
    [anon_sym_const] = ACTIONS(3618),
    [anon_sym_BANG] = ACTIONS(3618),
    [anon_sym_else] = ACTIONS(3618),
    [anon_sym_if] = ACTIONS(3618),
    [anon_sym_switch] = ACTIONS(3618),
    [anon_sym_for] = ACTIONS(3618),
    [anon_sym_LPAREN] = ACTIONS(3618),
    [anon_sym_await] = ACTIONS(3618),
    [anon_sym_of] = ACTIONS(3618),
    [anon_sym_while] = ACTIONS(3618),
    [anon_sym_do] = ACTIONS(3618),
    [anon_sym_try] = ACTIONS(3618),
    [anon_sym_break] = ACTIONS(3618),
    [anon_sym_continue] = ACTIONS(3618),
    [anon_sym_debugger] = ACTIONS(3618),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_throw] = ACTIONS(3618),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym_case] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3618),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_LTtemplate_GT] = ACTIONS(3618),
    [anon_sym_DQUOTE] = ACTIONS(3618),
    [anon_sym_SQUOTE] = ACTIONS(3618),
    [anon_sym_class] = ACTIONS(3618),
    [anon_sym_async] = ACTIONS(3618),
    [anon_sym_function] = ACTIONS(3618),
    [anon_sym_new] = ACTIONS(3618),
    [anon_sym_using] = ACTIONS(3618),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_SLASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(3618),
    [anon_sym_TILDE] = ACTIONS(3618),
    [anon_sym_void] = ACTIONS(3618),
    [anon_sym_delete] = ACTIONS(3618),
    [anon_sym_PLUS_PLUS] = ACTIONS(3618),
    [anon_sym_DASH_DASH] = ACTIONS(3618),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3618),
    [sym_number] = ACTIONS(3618),
    [sym_private_property_identifier] = ACTIONS(3618),
    [sym_this] = ACTIONS(3618),
    [sym_super] = ACTIONS(3618),
    [sym_true] = ACTIONS(3618),
    [sym_false] = ACTIONS(3618),
    [sym_null] = ACTIONS(3618),
    [sym_undefined] = ACTIONS(3618),
    [anon_sym_AT] = ACTIONS(3618),
    [anon_sym_static] = ACTIONS(3618),
    [anon_sym_readonly] = ACTIONS(3618),
    [anon_sym_get] = ACTIONS(3618),
    [anon_sym_set] = ACTIONS(3618),
    [anon_sym_declare] = ACTIONS(3618),
    [anon_sym_public] = ACTIONS(3618),
    [anon_sym_private] = ACTIONS(3618),
    [anon_sym_protected] = ACTIONS(3618),
    [anon_sym_override] = ACTIONS(3618),
    [anon_sym_module] = ACTIONS(3618),
    [anon_sym_any] = ACTIONS(3618),
    [anon_sym_number] = ACTIONS(3618),
    [anon_sym_boolean] = ACTIONS(3618),
    [anon_sym_string] = ACTIONS(3618),
    [anon_sym_symbol] = ACTIONS(3618),
    [anon_sym_object] = ACTIONS(3618),
    [anon_sym_property] = ACTIONS(3618),
    [anon_sym_signal] = ACTIONS(3618),
    [anon_sym_on] = ACTIONS(3618),
    [anon_sym_required] = ACTIONS(3618),
    [anon_sym_component] = ACTIONS(3618),
    [anon_sym_abstract] = ACTIONS(3618),
    [anon_sym_interface] = ACTIONS(3618),
    [anon_sym_enum] = ACTIONS(3618),
    [sym_html_comment] = ACTIONS(5),
  },
  [1177] = {
    [sym_comment] = STATE(1177),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1178] = {
    [sym_comment] = STATE(1178),
    [sym_identifier] = ACTIONS(3464),
    [anon_sym_export] = ACTIONS(3464),
    [anon_sym_default] = ACTIONS(3464),
    [anon_sym_type] = ACTIONS(3464),
    [anon_sym_namespace] = ACTIONS(3464),
    [anon_sym_LBRACE] = ACTIONS(3464),
    [anon_sym_RBRACE] = ACTIONS(3464),
    [anon_sym_typeof] = ACTIONS(3464),
    [anon_sym_import] = ACTIONS(3464),
    [anon_sym_from] = ACTIONS(3464),
    [anon_sym_with] = ACTIONS(3464),
    [anon_sym_var] = ACTIONS(3464),
    [anon_sym_let] = ACTIONS(3464),
    [anon_sym_const] = ACTIONS(3464),
    [anon_sym_BANG] = ACTIONS(3464),
    [anon_sym_if] = ACTIONS(3464),
    [anon_sym_switch] = ACTIONS(3464),
    [anon_sym_for] = ACTIONS(3464),
    [anon_sym_LPAREN] = ACTIONS(3464),
    [anon_sym_await] = ACTIONS(3464),
    [anon_sym_of] = ACTIONS(3464),
    [anon_sym_while] = ACTIONS(3464),
    [anon_sym_do] = ACTIONS(3464),
    [anon_sym_try] = ACTIONS(3464),
    [anon_sym_break] = ACTIONS(3464),
    [anon_sym_continue] = ACTIONS(3464),
    [anon_sym_debugger] = ACTIONS(3464),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_throw] = ACTIONS(3464),
    [anon_sym_SEMI] = ACTIONS(3464),
    [anon_sym_case] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3464),
    [anon_sym_LBRACK] = ACTIONS(3464),
    [anon_sym_LTtemplate_GT] = ACTIONS(3464),
    [anon_sym_DQUOTE] = ACTIONS(3464),
    [anon_sym_SQUOTE] = ACTIONS(3464),
    [anon_sym_class] = ACTIONS(3464),
    [anon_sym_async] = ACTIONS(3464),
    [anon_sym_function] = ACTIONS(3464),
    [anon_sym_new] = ACTIONS(3464),
    [anon_sym_using] = ACTIONS(3464),
    [anon_sym_PLUS] = ACTIONS(3464),
    [anon_sym_DASH] = ACTIONS(3464),
    [anon_sym_SLASH] = ACTIONS(3464),
    [anon_sym_LT] = ACTIONS(3464),
    [anon_sym_TILDE] = ACTIONS(3464),
    [anon_sym_void] = ACTIONS(3464),
    [anon_sym_delete] = ACTIONS(3464),
    [anon_sym_PLUS_PLUS] = ACTIONS(3464),
    [anon_sym_DASH_DASH] = ACTIONS(3464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3464),
    [sym_number] = ACTIONS(3464),
    [sym_private_property_identifier] = ACTIONS(3464),
    [sym_this] = ACTIONS(3464),
    [sym_super] = ACTIONS(3464),
    [sym_true] = ACTIONS(3464),
    [sym_false] = ACTIONS(3464),
    [sym_null] = ACTIONS(3464),
    [sym_undefined] = ACTIONS(3464),
    [anon_sym_AT] = ACTIONS(3464),
    [anon_sym_static] = ACTIONS(3464),
    [anon_sym_readonly] = ACTIONS(3464),
    [anon_sym_get] = ACTIONS(3464),
    [anon_sym_set] = ACTIONS(3464),
    [anon_sym_declare] = ACTIONS(3464),
    [anon_sym_public] = ACTIONS(3464),
    [anon_sym_private] = ACTIONS(3464),
    [anon_sym_protected] = ACTIONS(3464),
    [anon_sym_override] = ACTIONS(3464),
    [anon_sym_module] = ACTIONS(3464),
    [anon_sym_any] = ACTIONS(3464),
    [anon_sym_number] = ACTIONS(3464),
    [anon_sym_boolean] = ACTIONS(3464),
    [anon_sym_string] = ACTIONS(3464),
    [anon_sym_symbol] = ACTIONS(3464),
    [anon_sym_object] = ACTIONS(3464),
    [anon_sym_property] = ACTIONS(3464),
    [anon_sym_signal] = ACTIONS(3464),
    [anon_sym_on] = ACTIONS(3464),
    [anon_sym_required] = ACTIONS(3464),
    [anon_sym_component] = ACTIONS(3464),
    [anon_sym_abstract] = ACTIONS(3464),
    [anon_sym_interface] = ACTIONS(3464),
    [anon_sym_enum] = ACTIONS(3464),
    [sym__automatic_semicolon] = ACTIONS(3466),
    [sym_html_comment] = ACTIONS(5),
  },
  [1179] = {
    [sym_finally_clause] = STATE(1489),
    [sym_comment] = STATE(1179),
    [sym_identifier] = ACTIONS(3424),
    [anon_sym_export] = ACTIONS(3424),
    [anon_sym_type] = ACTIONS(3424),
    [anon_sym_namespace] = ACTIONS(3424),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_RBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3424),
    [anon_sym_import] = ACTIONS(3424),
    [anon_sym_from] = ACTIONS(3424),
    [anon_sym_with] = ACTIONS(3424),
    [anon_sym_var] = ACTIONS(3424),
    [anon_sym_let] = ACTIONS(3424),
    [anon_sym_const] = ACTIONS(3424),
    [anon_sym_BANG] = ACTIONS(3424),
    [anon_sym_else] = ACTIONS(3424),
    [anon_sym_if] = ACTIONS(3424),
    [anon_sym_switch] = ACTIONS(3424),
    [anon_sym_for] = ACTIONS(3424),
    [anon_sym_LPAREN] = ACTIONS(3424),
    [anon_sym_await] = ACTIONS(3424),
    [anon_sym_of] = ACTIONS(3424),
    [anon_sym_while] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(3424),
    [anon_sym_try] = ACTIONS(3424),
    [anon_sym_break] = ACTIONS(3424),
    [anon_sym_continue] = ACTIONS(3424),
    [anon_sym_debugger] = ACTIONS(3424),
    [anon_sym_return] = ACTIONS(3424),
    [anon_sym_throw] = ACTIONS(3424),
    [anon_sym_SEMI] = ACTIONS(3424),
    [anon_sym_finally] = ACTIONS(3414),
    [anon_sym_yield] = ACTIONS(3424),
    [anon_sym_LBRACK] = ACTIONS(3424),
    [anon_sym_LTtemplate_GT] = ACTIONS(3424),
    [anon_sym_DQUOTE] = ACTIONS(3424),
    [anon_sym_SQUOTE] = ACTIONS(3424),
    [anon_sym_class] = ACTIONS(3424),
    [anon_sym_async] = ACTIONS(3424),
    [anon_sym_function] = ACTIONS(3424),
    [anon_sym_new] = ACTIONS(3424),
    [anon_sym_using] = ACTIONS(3424),
    [anon_sym_PLUS] = ACTIONS(3424),
    [anon_sym_DASH] = ACTIONS(3424),
    [anon_sym_SLASH] = ACTIONS(3424),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_TILDE] = ACTIONS(3424),
    [anon_sym_void] = ACTIONS(3424),
    [anon_sym_delete] = ACTIONS(3424),
    [anon_sym_PLUS_PLUS] = ACTIONS(3424),
    [anon_sym_DASH_DASH] = ACTIONS(3424),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3424),
    [sym_number] = ACTIONS(3424),
    [sym_private_property_identifier] = ACTIONS(3424),
    [sym_this] = ACTIONS(3424),
    [sym_super] = ACTIONS(3424),
    [sym_true] = ACTIONS(3424),
    [sym_false] = ACTIONS(3424),
    [sym_null] = ACTIONS(3424),
    [sym_undefined] = ACTIONS(3424),
    [anon_sym_AT] = ACTIONS(3424),
    [anon_sym_static] = ACTIONS(3424),
    [anon_sym_readonly] = ACTIONS(3424),
    [anon_sym_get] = ACTIONS(3424),
    [anon_sym_set] = ACTIONS(3424),
    [anon_sym_declare] = ACTIONS(3424),
    [anon_sym_public] = ACTIONS(3424),
    [anon_sym_private] = ACTIONS(3424),
    [anon_sym_protected] = ACTIONS(3424),
    [anon_sym_override] = ACTIONS(3424),
    [anon_sym_module] = ACTIONS(3424),
    [anon_sym_any] = ACTIONS(3424),
    [anon_sym_number] = ACTIONS(3424),
    [anon_sym_boolean] = ACTIONS(3424),
    [anon_sym_string] = ACTIONS(3424),
    [anon_sym_symbol] = ACTIONS(3424),
    [anon_sym_object] = ACTIONS(3424),
    [anon_sym_property] = ACTIONS(3424),
    [anon_sym_signal] = ACTIONS(3424),
    [anon_sym_on] = ACTIONS(3424),
    [anon_sym_required] = ACTIONS(3424),
    [anon_sym_component] = ACTIONS(3424),
    [anon_sym_abstract] = ACTIONS(3424),
    [anon_sym_interface] = ACTIONS(3424),
    [anon_sym_enum] = ACTIONS(3424),
    [sym_html_comment] = ACTIONS(5),
  },
  [1180] = {
    [sym_comment] = STATE(1180),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1181] = {
    [sym_comment] = STATE(1181),
    [sym_identifier] = ACTIONS(3620),
    [anon_sym_export] = ACTIONS(3620),
    [anon_sym_default] = ACTIONS(3620),
    [anon_sym_type] = ACTIONS(3620),
    [anon_sym_namespace] = ACTIONS(3620),
    [anon_sym_LBRACE] = ACTIONS(3620),
    [anon_sym_RBRACE] = ACTIONS(3620),
    [anon_sym_typeof] = ACTIONS(3620),
    [anon_sym_import] = ACTIONS(3620),
    [anon_sym_from] = ACTIONS(3620),
    [anon_sym_with] = ACTIONS(3620),
    [anon_sym_var] = ACTIONS(3620),
    [anon_sym_let] = ACTIONS(3620),
    [anon_sym_const] = ACTIONS(3620),
    [anon_sym_BANG] = ACTIONS(3620),
    [anon_sym_else] = ACTIONS(3620),
    [anon_sym_if] = ACTIONS(3620),
    [anon_sym_switch] = ACTIONS(3620),
    [anon_sym_for] = ACTIONS(3620),
    [anon_sym_LPAREN] = ACTIONS(3620),
    [anon_sym_await] = ACTIONS(3620),
    [anon_sym_of] = ACTIONS(3620),
    [anon_sym_while] = ACTIONS(3620),
    [anon_sym_do] = ACTIONS(3620),
    [anon_sym_try] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3620),
    [anon_sym_continue] = ACTIONS(3620),
    [anon_sym_debugger] = ACTIONS(3620),
    [anon_sym_return] = ACTIONS(3620),
    [anon_sym_throw] = ACTIONS(3620),
    [anon_sym_SEMI] = ACTIONS(3620),
    [anon_sym_case] = ACTIONS(3620),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_LBRACK] = ACTIONS(3620),
    [anon_sym_LTtemplate_GT] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_class] = ACTIONS(3620),
    [anon_sym_async] = ACTIONS(3620),
    [anon_sym_function] = ACTIONS(3620),
    [anon_sym_new] = ACTIONS(3620),
    [anon_sym_using] = ACTIONS(3620),
    [anon_sym_PLUS] = ACTIONS(3620),
    [anon_sym_DASH] = ACTIONS(3620),
    [anon_sym_SLASH] = ACTIONS(3620),
    [anon_sym_LT] = ACTIONS(3620),
    [anon_sym_TILDE] = ACTIONS(3620),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_delete] = ACTIONS(3620),
    [anon_sym_PLUS_PLUS] = ACTIONS(3620),
    [anon_sym_DASH_DASH] = ACTIONS(3620),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3620),
    [sym_number] = ACTIONS(3620),
    [sym_private_property_identifier] = ACTIONS(3620),
    [sym_this] = ACTIONS(3620),
    [sym_super] = ACTIONS(3620),
    [sym_true] = ACTIONS(3620),
    [sym_false] = ACTIONS(3620),
    [sym_null] = ACTIONS(3620),
    [sym_undefined] = ACTIONS(3620),
    [anon_sym_AT] = ACTIONS(3620),
    [anon_sym_static] = ACTIONS(3620),
    [anon_sym_readonly] = ACTIONS(3620),
    [anon_sym_get] = ACTIONS(3620),
    [anon_sym_set] = ACTIONS(3620),
    [anon_sym_declare] = ACTIONS(3620),
    [anon_sym_public] = ACTIONS(3620),
    [anon_sym_private] = ACTIONS(3620),
    [anon_sym_protected] = ACTIONS(3620),
    [anon_sym_override] = ACTIONS(3620),
    [anon_sym_module] = ACTIONS(3620),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_property] = ACTIONS(3620),
    [anon_sym_signal] = ACTIONS(3620),
    [anon_sym_on] = ACTIONS(3620),
    [anon_sym_required] = ACTIONS(3620),
    [anon_sym_component] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3620),
    [anon_sym_interface] = ACTIONS(3620),
    [anon_sym_enum] = ACTIONS(3620),
    [sym_html_comment] = ACTIONS(5),
  },
  [1182] = {
    [sym_comment] = STATE(1182),
    [sym_identifier] = ACTIONS(3622),
    [anon_sym_export] = ACTIONS(3622),
    [anon_sym_default] = ACTIONS(3622),
    [anon_sym_type] = ACTIONS(3622),
    [anon_sym_namespace] = ACTIONS(3622),
    [anon_sym_LBRACE] = ACTIONS(3622),
    [anon_sym_RBRACE] = ACTIONS(3622),
    [anon_sym_typeof] = ACTIONS(3622),
    [anon_sym_import] = ACTIONS(3622),
    [anon_sym_from] = ACTIONS(3622),
    [anon_sym_with] = ACTIONS(3622),
    [anon_sym_var] = ACTIONS(3622),
    [anon_sym_let] = ACTIONS(3622),
    [anon_sym_const] = ACTIONS(3622),
    [anon_sym_BANG] = ACTIONS(3622),
    [anon_sym_else] = ACTIONS(3622),
    [anon_sym_if] = ACTIONS(3622),
    [anon_sym_switch] = ACTIONS(3622),
    [anon_sym_for] = ACTIONS(3622),
    [anon_sym_LPAREN] = ACTIONS(3622),
    [anon_sym_await] = ACTIONS(3622),
    [anon_sym_of] = ACTIONS(3622),
    [anon_sym_while] = ACTIONS(3622),
    [anon_sym_do] = ACTIONS(3622),
    [anon_sym_try] = ACTIONS(3622),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_continue] = ACTIONS(3622),
    [anon_sym_debugger] = ACTIONS(3622),
    [anon_sym_return] = ACTIONS(3622),
    [anon_sym_throw] = ACTIONS(3622),
    [anon_sym_SEMI] = ACTIONS(3622),
    [anon_sym_case] = ACTIONS(3622),
    [anon_sym_yield] = ACTIONS(3622),
    [anon_sym_LBRACK] = ACTIONS(3622),
    [anon_sym_LTtemplate_GT] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3622),
    [anon_sym_class] = ACTIONS(3622),
    [anon_sym_async] = ACTIONS(3622),
    [anon_sym_function] = ACTIONS(3622),
    [anon_sym_new] = ACTIONS(3622),
    [anon_sym_using] = ACTIONS(3622),
    [anon_sym_PLUS] = ACTIONS(3622),
    [anon_sym_DASH] = ACTIONS(3622),
    [anon_sym_SLASH] = ACTIONS(3622),
    [anon_sym_LT] = ACTIONS(3622),
    [anon_sym_TILDE] = ACTIONS(3622),
    [anon_sym_void] = ACTIONS(3622),
    [anon_sym_delete] = ACTIONS(3622),
    [anon_sym_PLUS_PLUS] = ACTIONS(3622),
    [anon_sym_DASH_DASH] = ACTIONS(3622),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3622),
    [sym_number] = ACTIONS(3622),
    [sym_private_property_identifier] = ACTIONS(3622),
    [sym_this] = ACTIONS(3622),
    [sym_super] = ACTIONS(3622),
    [sym_true] = ACTIONS(3622),
    [sym_false] = ACTIONS(3622),
    [sym_null] = ACTIONS(3622),
    [sym_undefined] = ACTIONS(3622),
    [anon_sym_AT] = ACTIONS(3622),
    [anon_sym_static] = ACTIONS(3622),
    [anon_sym_readonly] = ACTIONS(3622),
    [anon_sym_get] = ACTIONS(3622),
    [anon_sym_set] = ACTIONS(3622),
    [anon_sym_declare] = ACTIONS(3622),
    [anon_sym_public] = ACTIONS(3622),
    [anon_sym_private] = ACTIONS(3622),
    [anon_sym_protected] = ACTIONS(3622),
    [anon_sym_override] = ACTIONS(3622),
    [anon_sym_module] = ACTIONS(3622),
    [anon_sym_any] = ACTIONS(3622),
    [anon_sym_number] = ACTIONS(3622),
    [anon_sym_boolean] = ACTIONS(3622),
    [anon_sym_string] = ACTIONS(3622),
    [anon_sym_symbol] = ACTIONS(3622),
    [anon_sym_object] = ACTIONS(3622),
    [anon_sym_property] = ACTIONS(3622),
    [anon_sym_signal] = ACTIONS(3622),
    [anon_sym_on] = ACTIONS(3622),
    [anon_sym_required] = ACTIONS(3622),
    [anon_sym_component] = ACTIONS(3622),
    [anon_sym_abstract] = ACTIONS(3622),
    [anon_sym_interface] = ACTIONS(3622),
    [anon_sym_enum] = ACTIONS(3622),
    [sym_html_comment] = ACTIONS(5),
  },
  [1183] = {
    [sym_comment] = STATE(1183),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1184] = {
    [sym_comment] = STATE(1184),
    [sym_identifier] = ACTIONS(3624),
    [anon_sym_export] = ACTIONS(3624),
    [anon_sym_default] = ACTIONS(3624),
    [anon_sym_type] = ACTIONS(3624),
    [anon_sym_namespace] = ACTIONS(3624),
    [anon_sym_LBRACE] = ACTIONS(3624),
    [anon_sym_RBRACE] = ACTIONS(3624),
    [anon_sym_typeof] = ACTIONS(3624),
    [anon_sym_import] = ACTIONS(3624),
    [anon_sym_from] = ACTIONS(3624),
    [anon_sym_with] = ACTIONS(3624),
    [anon_sym_var] = ACTIONS(3624),
    [anon_sym_let] = ACTIONS(3624),
    [anon_sym_const] = ACTIONS(3624),
    [anon_sym_BANG] = ACTIONS(3624),
    [anon_sym_else] = ACTIONS(3624),
    [anon_sym_if] = ACTIONS(3624),
    [anon_sym_switch] = ACTIONS(3624),
    [anon_sym_for] = ACTIONS(3624),
    [anon_sym_LPAREN] = ACTIONS(3624),
    [anon_sym_await] = ACTIONS(3624),
    [anon_sym_of] = ACTIONS(3624),
    [anon_sym_while] = ACTIONS(3624),
    [anon_sym_do] = ACTIONS(3624),
    [anon_sym_try] = ACTIONS(3624),
    [anon_sym_break] = ACTIONS(3624),
    [anon_sym_continue] = ACTIONS(3624),
    [anon_sym_debugger] = ACTIONS(3624),
    [anon_sym_return] = ACTIONS(3624),
    [anon_sym_throw] = ACTIONS(3624),
    [anon_sym_SEMI] = ACTIONS(3624),
    [anon_sym_case] = ACTIONS(3624),
    [anon_sym_yield] = ACTIONS(3624),
    [anon_sym_LBRACK] = ACTIONS(3624),
    [anon_sym_LTtemplate_GT] = ACTIONS(3624),
    [anon_sym_DQUOTE] = ACTIONS(3624),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [anon_sym_class] = ACTIONS(3624),
    [anon_sym_async] = ACTIONS(3624),
    [anon_sym_function] = ACTIONS(3624),
    [anon_sym_new] = ACTIONS(3624),
    [anon_sym_using] = ACTIONS(3624),
    [anon_sym_PLUS] = ACTIONS(3624),
    [anon_sym_DASH] = ACTIONS(3624),
    [anon_sym_SLASH] = ACTIONS(3624),
    [anon_sym_LT] = ACTIONS(3624),
    [anon_sym_TILDE] = ACTIONS(3624),
    [anon_sym_void] = ACTIONS(3624),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_PLUS_PLUS] = ACTIONS(3624),
    [anon_sym_DASH_DASH] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3624),
    [sym_number] = ACTIONS(3624),
    [sym_private_property_identifier] = ACTIONS(3624),
    [sym_this] = ACTIONS(3624),
    [sym_super] = ACTIONS(3624),
    [sym_true] = ACTIONS(3624),
    [sym_false] = ACTIONS(3624),
    [sym_null] = ACTIONS(3624),
    [sym_undefined] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(3624),
    [anon_sym_static] = ACTIONS(3624),
    [anon_sym_readonly] = ACTIONS(3624),
    [anon_sym_get] = ACTIONS(3624),
    [anon_sym_set] = ACTIONS(3624),
    [anon_sym_declare] = ACTIONS(3624),
    [anon_sym_public] = ACTIONS(3624),
    [anon_sym_private] = ACTIONS(3624),
    [anon_sym_protected] = ACTIONS(3624),
    [anon_sym_override] = ACTIONS(3624),
    [anon_sym_module] = ACTIONS(3624),
    [anon_sym_any] = ACTIONS(3624),
    [anon_sym_number] = ACTIONS(3624),
    [anon_sym_boolean] = ACTIONS(3624),
    [anon_sym_string] = ACTIONS(3624),
    [anon_sym_symbol] = ACTIONS(3624),
    [anon_sym_object] = ACTIONS(3624),
    [anon_sym_property] = ACTIONS(3624),
    [anon_sym_signal] = ACTIONS(3624),
    [anon_sym_on] = ACTIONS(3624),
    [anon_sym_required] = ACTIONS(3624),
    [anon_sym_component] = ACTIONS(3624),
    [anon_sym_abstract] = ACTIONS(3624),
    [anon_sym_interface] = ACTIONS(3624),
    [anon_sym_enum] = ACTIONS(3624),
    [sym_html_comment] = ACTIONS(5),
  },
  [1185] = {
    [sym_comment] = STATE(1185),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1186] = {
    [sym_comment] = STATE(1186),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1187] = {
    [sym_comment] = STATE(1187),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1188] = {
    [sym_comment] = STATE(1188),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1189] = {
    [sym_comment] = STATE(1189),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1190] = {
    [sym_comment] = STATE(1190),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1191] = {
    [sym_comment] = STATE(1191),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1192] = {
    [sym_comment] = STATE(1192),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1193] = {
    [sym_comment] = STATE(1193),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1194] = {
    [sym_comment] = STATE(1194),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1195] = {
    [sym_comment] = STATE(1195),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1196] = {
    [sym_comment] = STATE(1196),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1197] = {
    [sym_comment] = STATE(1197),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1198] = {
    [sym_comment] = STATE(1198),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1199] = {
    [sym_comment] = STATE(1199),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1200] = {
    [sym_comment] = STATE(1200),
    [sym_identifier] = ACTIONS(3628),
    [anon_sym_export] = ACTIONS(3628),
    [anon_sym_default] = ACTIONS(3628),
    [anon_sym_type] = ACTIONS(3628),
    [anon_sym_namespace] = ACTIONS(3628),
    [anon_sym_LBRACE] = ACTIONS(3628),
    [anon_sym_RBRACE] = ACTIONS(3628),
    [anon_sym_typeof] = ACTIONS(3628),
    [anon_sym_import] = ACTIONS(3628),
    [anon_sym_from] = ACTIONS(3628),
    [anon_sym_with] = ACTIONS(3628),
    [anon_sym_var] = ACTIONS(3628),
    [anon_sym_let] = ACTIONS(3628),
    [anon_sym_const] = ACTIONS(3628),
    [anon_sym_BANG] = ACTIONS(3628),
    [anon_sym_else] = ACTIONS(3628),
    [anon_sym_if] = ACTIONS(3628),
    [anon_sym_switch] = ACTIONS(3628),
    [anon_sym_for] = ACTIONS(3628),
    [anon_sym_LPAREN] = ACTIONS(3628),
    [anon_sym_await] = ACTIONS(3628),
    [anon_sym_of] = ACTIONS(3628),
    [anon_sym_while] = ACTIONS(3628),
    [anon_sym_do] = ACTIONS(3628),
    [anon_sym_try] = ACTIONS(3628),
    [anon_sym_break] = ACTIONS(3628),
    [anon_sym_continue] = ACTIONS(3628),
    [anon_sym_debugger] = ACTIONS(3628),
    [anon_sym_return] = ACTIONS(3628),
    [anon_sym_throw] = ACTIONS(3628),
    [anon_sym_SEMI] = ACTIONS(3628),
    [anon_sym_case] = ACTIONS(3628),
    [anon_sym_yield] = ACTIONS(3628),
    [anon_sym_LBRACK] = ACTIONS(3628),
    [anon_sym_LTtemplate_GT] = ACTIONS(3628),
    [anon_sym_DQUOTE] = ACTIONS(3628),
    [anon_sym_SQUOTE] = ACTIONS(3628),
    [anon_sym_class] = ACTIONS(3628),
    [anon_sym_async] = ACTIONS(3628),
    [anon_sym_function] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3628),
    [anon_sym_using] = ACTIONS(3628),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_SLASH] = ACTIONS(3628),
    [anon_sym_LT] = ACTIONS(3628),
    [anon_sym_TILDE] = ACTIONS(3628),
    [anon_sym_void] = ACTIONS(3628),
    [anon_sym_delete] = ACTIONS(3628),
    [anon_sym_PLUS_PLUS] = ACTIONS(3628),
    [anon_sym_DASH_DASH] = ACTIONS(3628),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3628),
    [sym_number] = ACTIONS(3628),
    [sym_private_property_identifier] = ACTIONS(3628),
    [sym_this] = ACTIONS(3628),
    [sym_super] = ACTIONS(3628),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_AT] = ACTIONS(3628),
    [anon_sym_static] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3628),
    [anon_sym_get] = ACTIONS(3628),
    [anon_sym_set] = ACTIONS(3628),
    [anon_sym_declare] = ACTIONS(3628),
    [anon_sym_public] = ACTIONS(3628),
    [anon_sym_private] = ACTIONS(3628),
    [anon_sym_protected] = ACTIONS(3628),
    [anon_sym_override] = ACTIONS(3628),
    [anon_sym_module] = ACTIONS(3628),
    [anon_sym_any] = ACTIONS(3628),
    [anon_sym_number] = ACTIONS(3628),
    [anon_sym_boolean] = ACTIONS(3628),
    [anon_sym_string] = ACTIONS(3628),
    [anon_sym_symbol] = ACTIONS(3628),
    [anon_sym_object] = ACTIONS(3628),
    [anon_sym_property] = ACTIONS(3628),
    [anon_sym_signal] = ACTIONS(3628),
    [anon_sym_on] = ACTIONS(3628),
    [anon_sym_required] = ACTIONS(3628),
    [anon_sym_component] = ACTIONS(3628),
    [anon_sym_abstract] = ACTIONS(3628),
    [anon_sym_interface] = ACTIONS(3628),
    [anon_sym_enum] = ACTIONS(3628),
    [sym_html_comment] = ACTIONS(5),
  },
  [1201] = {
    [sym_comment] = STATE(1201),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1202] = {
    [sym_comment] = STATE(1202),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1203] = {
    [sym_comment] = STATE(1203),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1204] = {
    [sym_comment] = STATE(1204),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1205] = {
    [sym_comment] = STATE(1205),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1206] = {
    [sym_comment] = STATE(1206),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1207] = {
    [sym_comment] = STATE(1207),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1208] = {
    [sym_comment] = STATE(1208),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1209] = {
    [sym_comment] = STATE(1209),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1210] = {
    [sym_comment] = STATE(1210),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1211] = {
    [sym_comment] = STATE(1211),
    [sym_identifier] = ACTIONS(3630),
    [anon_sym_export] = ACTIONS(3630),
    [anon_sym_default] = ACTIONS(3630),
    [anon_sym_type] = ACTIONS(3630),
    [anon_sym_namespace] = ACTIONS(3630),
    [anon_sym_LBRACE] = ACTIONS(3630),
    [anon_sym_RBRACE] = ACTIONS(3630),
    [anon_sym_typeof] = ACTIONS(3630),
    [anon_sym_import] = ACTIONS(3630),
    [anon_sym_from] = ACTIONS(3630),
    [anon_sym_with] = ACTIONS(3630),
    [anon_sym_var] = ACTIONS(3630),
    [anon_sym_let] = ACTIONS(3630),
    [anon_sym_const] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3630),
    [anon_sym_else] = ACTIONS(3630),
    [anon_sym_if] = ACTIONS(3630),
    [anon_sym_switch] = ACTIONS(3630),
    [anon_sym_for] = ACTIONS(3630),
    [anon_sym_LPAREN] = ACTIONS(3630),
    [anon_sym_await] = ACTIONS(3630),
    [anon_sym_of] = ACTIONS(3630),
    [anon_sym_while] = ACTIONS(3630),
    [anon_sym_do] = ACTIONS(3630),
    [anon_sym_try] = ACTIONS(3630),
    [anon_sym_break] = ACTIONS(3630),
    [anon_sym_continue] = ACTIONS(3630),
    [anon_sym_debugger] = ACTIONS(3630),
    [anon_sym_return] = ACTIONS(3630),
    [anon_sym_throw] = ACTIONS(3630),
    [anon_sym_SEMI] = ACTIONS(3630),
    [anon_sym_case] = ACTIONS(3630),
    [anon_sym_yield] = ACTIONS(3630),
    [anon_sym_LBRACK] = ACTIONS(3630),
    [anon_sym_LTtemplate_GT] = ACTIONS(3630),
    [anon_sym_DQUOTE] = ACTIONS(3630),
    [anon_sym_SQUOTE] = ACTIONS(3630),
    [anon_sym_class] = ACTIONS(3630),
    [anon_sym_async] = ACTIONS(3630),
    [anon_sym_function] = ACTIONS(3630),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_using] = ACTIONS(3630),
    [anon_sym_PLUS] = ACTIONS(3630),
    [anon_sym_DASH] = ACTIONS(3630),
    [anon_sym_SLASH] = ACTIONS(3630),
    [anon_sym_LT] = ACTIONS(3630),
    [anon_sym_TILDE] = ACTIONS(3630),
    [anon_sym_void] = ACTIONS(3630),
    [anon_sym_delete] = ACTIONS(3630),
    [anon_sym_PLUS_PLUS] = ACTIONS(3630),
    [anon_sym_DASH_DASH] = ACTIONS(3630),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3630),
    [sym_number] = ACTIONS(3630),
    [sym_private_property_identifier] = ACTIONS(3630),
    [sym_this] = ACTIONS(3630),
    [sym_super] = ACTIONS(3630),
    [sym_true] = ACTIONS(3630),
    [sym_false] = ACTIONS(3630),
    [sym_null] = ACTIONS(3630),
    [sym_undefined] = ACTIONS(3630),
    [anon_sym_AT] = ACTIONS(3630),
    [anon_sym_static] = ACTIONS(3630),
    [anon_sym_readonly] = ACTIONS(3630),
    [anon_sym_get] = ACTIONS(3630),
    [anon_sym_set] = ACTIONS(3630),
    [anon_sym_declare] = ACTIONS(3630),
    [anon_sym_public] = ACTIONS(3630),
    [anon_sym_private] = ACTIONS(3630),
    [anon_sym_protected] = ACTIONS(3630),
    [anon_sym_override] = ACTIONS(3630),
    [anon_sym_module] = ACTIONS(3630),
    [anon_sym_any] = ACTIONS(3630),
    [anon_sym_number] = ACTIONS(3630),
    [anon_sym_boolean] = ACTIONS(3630),
    [anon_sym_string] = ACTIONS(3630),
    [anon_sym_symbol] = ACTIONS(3630),
    [anon_sym_object] = ACTIONS(3630),
    [anon_sym_property] = ACTIONS(3630),
    [anon_sym_signal] = ACTIONS(3630),
    [anon_sym_on] = ACTIONS(3630),
    [anon_sym_required] = ACTIONS(3630),
    [anon_sym_component] = ACTIONS(3630),
    [anon_sym_abstract] = ACTIONS(3630),
    [anon_sym_interface] = ACTIONS(3630),
    [anon_sym_enum] = ACTIONS(3630),
    [sym_html_comment] = ACTIONS(5),
  },
  [1212] = {
    [sym_comment] = STATE(1212),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1213] = {
    [sym_comment] = STATE(1213),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1214] = {
    [sym_comment] = STATE(1214),
    [sym_identifier] = ACTIONS(3632),
    [anon_sym_export] = ACTIONS(3632),
    [anon_sym_default] = ACTIONS(3632),
    [anon_sym_type] = ACTIONS(3632),
    [anon_sym_namespace] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3632),
    [anon_sym_RBRACE] = ACTIONS(3632),
    [anon_sym_typeof] = ACTIONS(3632),
    [anon_sym_import] = ACTIONS(3632),
    [anon_sym_from] = ACTIONS(3632),
    [anon_sym_with] = ACTIONS(3632),
    [anon_sym_var] = ACTIONS(3632),
    [anon_sym_let] = ACTIONS(3632),
    [anon_sym_const] = ACTIONS(3632),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_else] = ACTIONS(3632),
    [anon_sym_if] = ACTIONS(3632),
    [anon_sym_switch] = ACTIONS(3632),
    [anon_sym_for] = ACTIONS(3632),
    [anon_sym_LPAREN] = ACTIONS(3632),
    [anon_sym_await] = ACTIONS(3632),
    [anon_sym_of] = ACTIONS(3632),
    [anon_sym_while] = ACTIONS(3632),
    [anon_sym_do] = ACTIONS(3632),
    [anon_sym_try] = ACTIONS(3632),
    [anon_sym_break] = ACTIONS(3632),
    [anon_sym_continue] = ACTIONS(3632),
    [anon_sym_debugger] = ACTIONS(3632),
    [anon_sym_return] = ACTIONS(3632),
    [anon_sym_throw] = ACTIONS(3632),
    [anon_sym_SEMI] = ACTIONS(3632),
    [anon_sym_case] = ACTIONS(3632),
    [anon_sym_yield] = ACTIONS(3632),
    [anon_sym_LBRACK] = ACTIONS(3632),
    [anon_sym_LTtemplate_GT] = ACTIONS(3632),
    [anon_sym_DQUOTE] = ACTIONS(3632),
    [anon_sym_SQUOTE] = ACTIONS(3632),
    [anon_sym_class] = ACTIONS(3632),
    [anon_sym_async] = ACTIONS(3632),
    [anon_sym_function] = ACTIONS(3632),
    [anon_sym_new] = ACTIONS(3632),
    [anon_sym_using] = ACTIONS(3632),
    [anon_sym_PLUS] = ACTIONS(3632),
    [anon_sym_DASH] = ACTIONS(3632),
    [anon_sym_SLASH] = ACTIONS(3632),
    [anon_sym_LT] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [anon_sym_void] = ACTIONS(3632),
    [anon_sym_delete] = ACTIONS(3632),
    [anon_sym_PLUS_PLUS] = ACTIONS(3632),
    [anon_sym_DASH_DASH] = ACTIONS(3632),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3632),
    [sym_number] = ACTIONS(3632),
    [sym_private_property_identifier] = ACTIONS(3632),
    [sym_this] = ACTIONS(3632),
    [sym_super] = ACTIONS(3632),
    [sym_true] = ACTIONS(3632),
    [sym_false] = ACTIONS(3632),
    [sym_null] = ACTIONS(3632),
    [sym_undefined] = ACTIONS(3632),
    [anon_sym_AT] = ACTIONS(3632),
    [anon_sym_static] = ACTIONS(3632),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_get] = ACTIONS(3632),
    [anon_sym_set] = ACTIONS(3632),
    [anon_sym_declare] = ACTIONS(3632),
    [anon_sym_public] = ACTIONS(3632),
    [anon_sym_private] = ACTIONS(3632),
    [anon_sym_protected] = ACTIONS(3632),
    [anon_sym_override] = ACTIONS(3632),
    [anon_sym_module] = ACTIONS(3632),
    [anon_sym_any] = ACTIONS(3632),
    [anon_sym_number] = ACTIONS(3632),
    [anon_sym_boolean] = ACTIONS(3632),
    [anon_sym_string] = ACTIONS(3632),
    [anon_sym_symbol] = ACTIONS(3632),
    [anon_sym_object] = ACTIONS(3632),
    [anon_sym_property] = ACTIONS(3632),
    [anon_sym_signal] = ACTIONS(3632),
    [anon_sym_on] = ACTIONS(3632),
    [anon_sym_required] = ACTIONS(3632),
    [anon_sym_component] = ACTIONS(3632),
    [anon_sym_abstract] = ACTIONS(3632),
    [anon_sym_interface] = ACTIONS(3632),
    [anon_sym_enum] = ACTIONS(3632),
    [sym_html_comment] = ACTIONS(5),
  },
  [1215] = {
    [sym_comment] = STATE(1215),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1216] = {
    [sym_comment] = STATE(1216),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1217] = {
    [sym_comment] = STATE(1217),
    [sym_identifier] = ACTIONS(3634),
    [anon_sym_export] = ACTIONS(3634),
    [anon_sym_default] = ACTIONS(3634),
    [anon_sym_type] = ACTIONS(3634),
    [anon_sym_namespace] = ACTIONS(3634),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_RBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3634),
    [anon_sym_import] = ACTIONS(3634),
    [anon_sym_from] = ACTIONS(3634),
    [anon_sym_with] = ACTIONS(3634),
    [anon_sym_var] = ACTIONS(3634),
    [anon_sym_let] = ACTIONS(3634),
    [anon_sym_const] = ACTIONS(3634),
    [anon_sym_BANG] = ACTIONS(3634),
    [anon_sym_else] = ACTIONS(3634),
    [anon_sym_if] = ACTIONS(3634),
    [anon_sym_switch] = ACTIONS(3634),
    [anon_sym_for] = ACTIONS(3634),
    [anon_sym_LPAREN] = ACTIONS(3634),
    [anon_sym_await] = ACTIONS(3634),
    [anon_sym_of] = ACTIONS(3634),
    [anon_sym_while] = ACTIONS(3634),
    [anon_sym_do] = ACTIONS(3634),
    [anon_sym_try] = ACTIONS(3634),
    [anon_sym_break] = ACTIONS(3634),
    [anon_sym_continue] = ACTIONS(3634),
    [anon_sym_debugger] = ACTIONS(3634),
    [anon_sym_return] = ACTIONS(3634),
    [anon_sym_throw] = ACTIONS(3634),
    [anon_sym_SEMI] = ACTIONS(3634),
    [anon_sym_case] = ACTIONS(3634),
    [anon_sym_yield] = ACTIONS(3634),
    [anon_sym_LBRACK] = ACTIONS(3634),
    [anon_sym_LTtemplate_GT] = ACTIONS(3634),
    [anon_sym_DQUOTE] = ACTIONS(3634),
    [anon_sym_SQUOTE] = ACTIONS(3634),
    [anon_sym_class] = ACTIONS(3634),
    [anon_sym_async] = ACTIONS(3634),
    [anon_sym_function] = ACTIONS(3634),
    [anon_sym_new] = ACTIONS(3634),
    [anon_sym_using] = ACTIONS(3634),
    [anon_sym_PLUS] = ACTIONS(3634),
    [anon_sym_DASH] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_LT] = ACTIONS(3634),
    [anon_sym_TILDE] = ACTIONS(3634),
    [anon_sym_void] = ACTIONS(3634),
    [anon_sym_delete] = ACTIONS(3634),
    [anon_sym_PLUS_PLUS] = ACTIONS(3634),
    [anon_sym_DASH_DASH] = ACTIONS(3634),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3634),
    [sym_number] = ACTIONS(3634),
    [sym_private_property_identifier] = ACTIONS(3634),
    [sym_this] = ACTIONS(3634),
    [sym_super] = ACTIONS(3634),
    [sym_true] = ACTIONS(3634),
    [sym_false] = ACTIONS(3634),
    [sym_null] = ACTIONS(3634),
    [sym_undefined] = ACTIONS(3634),
    [anon_sym_AT] = ACTIONS(3634),
    [anon_sym_static] = ACTIONS(3634),
    [anon_sym_readonly] = ACTIONS(3634),
    [anon_sym_get] = ACTIONS(3634),
    [anon_sym_set] = ACTIONS(3634),
    [anon_sym_declare] = ACTIONS(3634),
    [anon_sym_public] = ACTIONS(3634),
    [anon_sym_private] = ACTIONS(3634),
    [anon_sym_protected] = ACTIONS(3634),
    [anon_sym_override] = ACTIONS(3634),
    [anon_sym_module] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3634),
    [anon_sym_number] = ACTIONS(3634),
    [anon_sym_boolean] = ACTIONS(3634),
    [anon_sym_string] = ACTIONS(3634),
    [anon_sym_symbol] = ACTIONS(3634),
    [anon_sym_object] = ACTIONS(3634),
    [anon_sym_property] = ACTIONS(3634),
    [anon_sym_signal] = ACTIONS(3634),
    [anon_sym_on] = ACTIONS(3634),
    [anon_sym_required] = ACTIONS(3634),
    [anon_sym_component] = ACTIONS(3634),
    [anon_sym_abstract] = ACTIONS(3634),
    [anon_sym_interface] = ACTIONS(3634),
    [anon_sym_enum] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1218] = {
    [sym_comment] = STATE(1218),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_export] = ACTIONS(3636),
    [anon_sym_default] = ACTIONS(3636),
    [anon_sym_type] = ACTIONS(3636),
    [anon_sym_namespace] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3636),
    [anon_sym_RBRACE] = ACTIONS(3636),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_import] = ACTIONS(3636),
    [anon_sym_from] = ACTIONS(3636),
    [anon_sym_with] = ACTIONS(3636),
    [anon_sym_var] = ACTIONS(3636),
    [anon_sym_let] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_BANG] = ACTIONS(3636),
    [anon_sym_else] = ACTIONS(3636),
    [anon_sym_if] = ACTIONS(3636),
    [anon_sym_switch] = ACTIONS(3636),
    [anon_sym_for] = ACTIONS(3636),
    [anon_sym_LPAREN] = ACTIONS(3636),
    [anon_sym_await] = ACTIONS(3636),
    [anon_sym_of] = ACTIONS(3636),
    [anon_sym_while] = ACTIONS(3636),
    [anon_sym_do] = ACTIONS(3636),
    [anon_sym_try] = ACTIONS(3636),
    [anon_sym_break] = ACTIONS(3636),
    [anon_sym_continue] = ACTIONS(3636),
    [anon_sym_debugger] = ACTIONS(3636),
    [anon_sym_return] = ACTIONS(3636),
    [anon_sym_throw] = ACTIONS(3636),
    [anon_sym_SEMI] = ACTIONS(3636),
    [anon_sym_case] = ACTIONS(3636),
    [anon_sym_yield] = ACTIONS(3636),
    [anon_sym_LBRACK] = ACTIONS(3636),
    [anon_sym_LTtemplate_GT] = ACTIONS(3636),
    [anon_sym_DQUOTE] = ACTIONS(3636),
    [anon_sym_SQUOTE] = ACTIONS(3636),
    [anon_sym_class] = ACTIONS(3636),
    [anon_sym_async] = ACTIONS(3636),
    [anon_sym_function] = ACTIONS(3636),
    [anon_sym_new] = ACTIONS(3636),
    [anon_sym_using] = ACTIONS(3636),
    [anon_sym_PLUS] = ACTIONS(3636),
    [anon_sym_DASH] = ACTIONS(3636),
    [anon_sym_SLASH] = ACTIONS(3636),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_TILDE] = ACTIONS(3636),
    [anon_sym_void] = ACTIONS(3636),
    [anon_sym_delete] = ACTIONS(3636),
    [anon_sym_PLUS_PLUS] = ACTIONS(3636),
    [anon_sym_DASH_DASH] = ACTIONS(3636),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3636),
    [sym_number] = ACTIONS(3636),
    [sym_private_property_identifier] = ACTIONS(3636),
    [sym_this] = ACTIONS(3636),
    [sym_super] = ACTIONS(3636),
    [sym_true] = ACTIONS(3636),
    [sym_false] = ACTIONS(3636),
    [sym_null] = ACTIONS(3636),
    [sym_undefined] = ACTIONS(3636),
    [anon_sym_AT] = ACTIONS(3636),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_readonly] = ACTIONS(3636),
    [anon_sym_get] = ACTIONS(3636),
    [anon_sym_set] = ACTIONS(3636),
    [anon_sym_declare] = ACTIONS(3636),
    [anon_sym_public] = ACTIONS(3636),
    [anon_sym_private] = ACTIONS(3636),
    [anon_sym_protected] = ACTIONS(3636),
    [anon_sym_override] = ACTIONS(3636),
    [anon_sym_module] = ACTIONS(3636),
    [anon_sym_any] = ACTIONS(3636),
    [anon_sym_number] = ACTIONS(3636),
    [anon_sym_boolean] = ACTIONS(3636),
    [anon_sym_string] = ACTIONS(3636),
    [anon_sym_symbol] = ACTIONS(3636),
    [anon_sym_object] = ACTIONS(3636),
    [anon_sym_property] = ACTIONS(3636),
    [anon_sym_signal] = ACTIONS(3636),
    [anon_sym_on] = ACTIONS(3636),
    [anon_sym_required] = ACTIONS(3636),
    [anon_sym_component] = ACTIONS(3636),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_interface] = ACTIONS(3636),
    [anon_sym_enum] = ACTIONS(3636),
    [sym_html_comment] = ACTIONS(5),
  },
  [1219] = {
    [sym_comment] = STATE(1219),
    [sym_identifier] = ACTIONS(3638),
    [anon_sym_export] = ACTIONS(3638),
    [anon_sym_default] = ACTIONS(3638),
    [anon_sym_type] = ACTIONS(3638),
    [anon_sym_namespace] = ACTIONS(3638),
    [anon_sym_LBRACE] = ACTIONS(3638),
    [anon_sym_RBRACE] = ACTIONS(3638),
    [anon_sym_typeof] = ACTIONS(3638),
    [anon_sym_import] = ACTIONS(3638),
    [anon_sym_from] = ACTIONS(3638),
    [anon_sym_with] = ACTIONS(3638),
    [anon_sym_var] = ACTIONS(3638),
    [anon_sym_let] = ACTIONS(3638),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_BANG] = ACTIONS(3638),
    [anon_sym_else] = ACTIONS(3638),
    [anon_sym_if] = ACTIONS(3638),
    [anon_sym_switch] = ACTIONS(3638),
    [anon_sym_for] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3638),
    [anon_sym_await] = ACTIONS(3638),
    [anon_sym_of] = ACTIONS(3638),
    [anon_sym_while] = ACTIONS(3638),
    [anon_sym_do] = ACTIONS(3638),
    [anon_sym_try] = ACTIONS(3638),
    [anon_sym_break] = ACTIONS(3638),
    [anon_sym_continue] = ACTIONS(3638),
    [anon_sym_debugger] = ACTIONS(3638),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_throw] = ACTIONS(3638),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_case] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3638),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_LTtemplate_GT] = ACTIONS(3638),
    [anon_sym_DQUOTE] = ACTIONS(3638),
    [anon_sym_SQUOTE] = ACTIONS(3638),
    [anon_sym_class] = ACTIONS(3638),
    [anon_sym_async] = ACTIONS(3638),
    [anon_sym_function] = ACTIONS(3638),
    [anon_sym_new] = ACTIONS(3638),
    [anon_sym_using] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3638),
    [anon_sym_SLASH] = ACTIONS(3638),
    [anon_sym_LT] = ACTIONS(3638),
    [anon_sym_TILDE] = ACTIONS(3638),
    [anon_sym_void] = ACTIONS(3638),
    [anon_sym_delete] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3638),
    [sym_number] = ACTIONS(3638),
    [sym_private_property_identifier] = ACTIONS(3638),
    [sym_this] = ACTIONS(3638),
    [sym_super] = ACTIONS(3638),
    [sym_true] = ACTIONS(3638),
    [sym_false] = ACTIONS(3638),
    [sym_null] = ACTIONS(3638),
    [sym_undefined] = ACTIONS(3638),
    [anon_sym_AT] = ACTIONS(3638),
    [anon_sym_static] = ACTIONS(3638),
    [anon_sym_readonly] = ACTIONS(3638),
    [anon_sym_get] = ACTIONS(3638),
    [anon_sym_set] = ACTIONS(3638),
    [anon_sym_declare] = ACTIONS(3638),
    [anon_sym_public] = ACTIONS(3638),
    [anon_sym_private] = ACTIONS(3638),
    [anon_sym_protected] = ACTIONS(3638),
    [anon_sym_override] = ACTIONS(3638),
    [anon_sym_module] = ACTIONS(3638),
    [anon_sym_any] = ACTIONS(3638),
    [anon_sym_number] = ACTIONS(3638),
    [anon_sym_boolean] = ACTIONS(3638),
    [anon_sym_string] = ACTIONS(3638),
    [anon_sym_symbol] = ACTIONS(3638),
    [anon_sym_object] = ACTIONS(3638),
    [anon_sym_property] = ACTIONS(3638),
    [anon_sym_signal] = ACTIONS(3638),
    [anon_sym_on] = ACTIONS(3638),
    [anon_sym_required] = ACTIONS(3638),
    [anon_sym_component] = ACTIONS(3638),
    [anon_sym_abstract] = ACTIONS(3638),
    [anon_sym_interface] = ACTIONS(3638),
    [anon_sym_enum] = ACTIONS(3638),
    [sym_html_comment] = ACTIONS(5),
  },
  [1220] = {
    [sym_comment] = STATE(1220),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1221] = {
    [sym_comment] = STATE(1221),
    [sym_identifier] = ACTIONS(3640),
    [anon_sym_export] = ACTIONS(3640),
    [anon_sym_default] = ACTIONS(3640),
    [anon_sym_type] = ACTIONS(3640),
    [anon_sym_namespace] = ACTIONS(3640),
    [anon_sym_LBRACE] = ACTIONS(3640),
    [anon_sym_RBRACE] = ACTIONS(3640),
    [anon_sym_typeof] = ACTIONS(3640),
    [anon_sym_import] = ACTIONS(3640),
    [anon_sym_from] = ACTIONS(3640),
    [anon_sym_with] = ACTIONS(3640),
    [anon_sym_var] = ACTIONS(3640),
    [anon_sym_let] = ACTIONS(3640),
    [anon_sym_const] = ACTIONS(3640),
    [anon_sym_BANG] = ACTIONS(3640),
    [anon_sym_else] = ACTIONS(3640),
    [anon_sym_if] = ACTIONS(3640),
    [anon_sym_switch] = ACTIONS(3640),
    [anon_sym_for] = ACTIONS(3640),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_await] = ACTIONS(3640),
    [anon_sym_of] = ACTIONS(3640),
    [anon_sym_while] = ACTIONS(3640),
    [anon_sym_do] = ACTIONS(3640),
    [anon_sym_try] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3640),
    [anon_sym_continue] = ACTIONS(3640),
    [anon_sym_debugger] = ACTIONS(3640),
    [anon_sym_return] = ACTIONS(3640),
    [anon_sym_throw] = ACTIONS(3640),
    [anon_sym_SEMI] = ACTIONS(3640),
    [anon_sym_case] = ACTIONS(3640),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3640),
    [anon_sym_LTtemplate_GT] = ACTIONS(3640),
    [anon_sym_DQUOTE] = ACTIONS(3640),
    [anon_sym_SQUOTE] = ACTIONS(3640),
    [anon_sym_class] = ACTIONS(3640),
    [anon_sym_async] = ACTIONS(3640),
    [anon_sym_function] = ACTIONS(3640),
    [anon_sym_new] = ACTIONS(3640),
    [anon_sym_using] = ACTIONS(3640),
    [anon_sym_PLUS] = ACTIONS(3640),
    [anon_sym_DASH] = ACTIONS(3640),
    [anon_sym_SLASH] = ACTIONS(3640),
    [anon_sym_LT] = ACTIONS(3640),
    [anon_sym_TILDE] = ACTIONS(3640),
    [anon_sym_void] = ACTIONS(3640),
    [anon_sym_delete] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3640),
    [anon_sym_DASH_DASH] = ACTIONS(3640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3640),
    [sym_number] = ACTIONS(3640),
    [sym_private_property_identifier] = ACTIONS(3640),
    [sym_this] = ACTIONS(3640),
    [sym_super] = ACTIONS(3640),
    [sym_true] = ACTIONS(3640),
    [sym_false] = ACTIONS(3640),
    [sym_null] = ACTIONS(3640),
    [sym_undefined] = ACTIONS(3640),
    [anon_sym_AT] = ACTIONS(3640),
    [anon_sym_static] = ACTIONS(3640),
    [anon_sym_readonly] = ACTIONS(3640),
    [anon_sym_get] = ACTIONS(3640),
    [anon_sym_set] = ACTIONS(3640),
    [anon_sym_declare] = ACTIONS(3640),
    [anon_sym_public] = ACTIONS(3640),
    [anon_sym_private] = ACTIONS(3640),
    [anon_sym_protected] = ACTIONS(3640),
    [anon_sym_override] = ACTIONS(3640),
    [anon_sym_module] = ACTIONS(3640),
    [anon_sym_any] = ACTIONS(3640),
    [anon_sym_number] = ACTIONS(3640),
    [anon_sym_boolean] = ACTIONS(3640),
    [anon_sym_string] = ACTIONS(3640),
    [anon_sym_symbol] = ACTIONS(3640),
    [anon_sym_object] = ACTIONS(3640),
    [anon_sym_property] = ACTIONS(3640),
    [anon_sym_signal] = ACTIONS(3640),
    [anon_sym_on] = ACTIONS(3640),
    [anon_sym_required] = ACTIONS(3640),
    [anon_sym_component] = ACTIONS(3640),
    [anon_sym_abstract] = ACTIONS(3640),
    [anon_sym_interface] = ACTIONS(3640),
    [anon_sym_enum] = ACTIONS(3640),
    [sym_html_comment] = ACTIONS(5),
  },
  [1222] = {
    [sym_comment] = STATE(1222),
    [sym_identifier] = ACTIONS(3642),
    [anon_sym_export] = ACTIONS(3642),
    [anon_sym_default] = ACTIONS(3642),
    [anon_sym_type] = ACTIONS(3642),
    [anon_sym_namespace] = ACTIONS(3642),
    [anon_sym_LBRACE] = ACTIONS(3642),
    [anon_sym_RBRACE] = ACTIONS(3642),
    [anon_sym_typeof] = ACTIONS(3642),
    [anon_sym_import] = ACTIONS(3642),
    [anon_sym_from] = ACTIONS(3642),
    [anon_sym_with] = ACTIONS(3642),
    [anon_sym_var] = ACTIONS(3642),
    [anon_sym_let] = ACTIONS(3642),
    [anon_sym_const] = ACTIONS(3642),
    [anon_sym_BANG] = ACTIONS(3642),
    [anon_sym_else] = ACTIONS(3642),
    [anon_sym_if] = ACTIONS(3642),
    [anon_sym_switch] = ACTIONS(3642),
    [anon_sym_for] = ACTIONS(3642),
    [anon_sym_LPAREN] = ACTIONS(3642),
    [anon_sym_await] = ACTIONS(3642),
    [anon_sym_of] = ACTIONS(3642),
    [anon_sym_while] = ACTIONS(3642),
    [anon_sym_do] = ACTIONS(3642),
    [anon_sym_try] = ACTIONS(3642),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_continue] = ACTIONS(3642),
    [anon_sym_debugger] = ACTIONS(3642),
    [anon_sym_return] = ACTIONS(3642),
    [anon_sym_throw] = ACTIONS(3642),
    [anon_sym_SEMI] = ACTIONS(3642),
    [anon_sym_case] = ACTIONS(3642),
    [anon_sym_yield] = ACTIONS(3642),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_LTtemplate_GT] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3642),
    [anon_sym_SQUOTE] = ACTIONS(3642),
    [anon_sym_class] = ACTIONS(3642),
    [anon_sym_async] = ACTIONS(3642),
    [anon_sym_function] = ACTIONS(3642),
    [anon_sym_new] = ACTIONS(3642),
    [anon_sym_using] = ACTIONS(3642),
    [anon_sym_PLUS] = ACTIONS(3642),
    [anon_sym_DASH] = ACTIONS(3642),
    [anon_sym_SLASH] = ACTIONS(3642),
    [anon_sym_LT] = ACTIONS(3642),
    [anon_sym_TILDE] = ACTIONS(3642),
    [anon_sym_void] = ACTIONS(3642),
    [anon_sym_delete] = ACTIONS(3642),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3642),
    [sym_number] = ACTIONS(3642),
    [sym_private_property_identifier] = ACTIONS(3642),
    [sym_this] = ACTIONS(3642),
    [sym_super] = ACTIONS(3642),
    [sym_true] = ACTIONS(3642),
    [sym_false] = ACTIONS(3642),
    [sym_null] = ACTIONS(3642),
    [sym_undefined] = ACTIONS(3642),
    [anon_sym_AT] = ACTIONS(3642),
    [anon_sym_static] = ACTIONS(3642),
    [anon_sym_readonly] = ACTIONS(3642),
    [anon_sym_get] = ACTIONS(3642),
    [anon_sym_set] = ACTIONS(3642),
    [anon_sym_declare] = ACTIONS(3642),
    [anon_sym_public] = ACTIONS(3642),
    [anon_sym_private] = ACTIONS(3642),
    [anon_sym_protected] = ACTIONS(3642),
    [anon_sym_override] = ACTIONS(3642),
    [anon_sym_module] = ACTIONS(3642),
    [anon_sym_any] = ACTIONS(3642),
    [anon_sym_number] = ACTIONS(3642),
    [anon_sym_boolean] = ACTIONS(3642),
    [anon_sym_string] = ACTIONS(3642),
    [anon_sym_symbol] = ACTIONS(3642),
    [anon_sym_object] = ACTIONS(3642),
    [anon_sym_property] = ACTIONS(3642),
    [anon_sym_signal] = ACTIONS(3642),
    [anon_sym_on] = ACTIONS(3642),
    [anon_sym_required] = ACTIONS(3642),
    [anon_sym_component] = ACTIONS(3642),
    [anon_sym_abstract] = ACTIONS(3642),
    [anon_sym_interface] = ACTIONS(3642),
    [anon_sym_enum] = ACTIONS(3642),
    [sym_html_comment] = ACTIONS(5),
  },
  [1223] = {
    [sym_comment] = STATE(1223),
    [sym_identifier] = ACTIONS(3644),
    [anon_sym_export] = ACTIONS(3644),
    [anon_sym_default] = ACTIONS(3644),
    [anon_sym_type] = ACTIONS(3644),
    [anon_sym_namespace] = ACTIONS(3644),
    [anon_sym_LBRACE] = ACTIONS(3644),
    [anon_sym_RBRACE] = ACTIONS(3644),
    [anon_sym_typeof] = ACTIONS(3644),
    [anon_sym_import] = ACTIONS(3644),
    [anon_sym_from] = ACTIONS(3644),
    [anon_sym_with] = ACTIONS(3644),
    [anon_sym_var] = ACTIONS(3644),
    [anon_sym_let] = ACTIONS(3644),
    [anon_sym_const] = ACTIONS(3644),
    [anon_sym_BANG] = ACTIONS(3644),
    [anon_sym_else] = ACTIONS(3644),
    [anon_sym_if] = ACTIONS(3644),
    [anon_sym_switch] = ACTIONS(3644),
    [anon_sym_for] = ACTIONS(3644),
    [anon_sym_LPAREN] = ACTIONS(3644),
    [anon_sym_await] = ACTIONS(3644),
    [anon_sym_of] = ACTIONS(3644),
    [anon_sym_while] = ACTIONS(3644),
    [anon_sym_do] = ACTIONS(3644),
    [anon_sym_try] = ACTIONS(3644),
    [anon_sym_break] = ACTIONS(3644),
    [anon_sym_continue] = ACTIONS(3644),
    [anon_sym_debugger] = ACTIONS(3644),
    [anon_sym_return] = ACTIONS(3644),
    [anon_sym_throw] = ACTIONS(3644),
    [anon_sym_SEMI] = ACTIONS(3644),
    [anon_sym_case] = ACTIONS(3644),
    [anon_sym_yield] = ACTIONS(3644),
    [anon_sym_LBRACK] = ACTIONS(3644),
    [anon_sym_LTtemplate_GT] = ACTIONS(3644),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3644),
    [anon_sym_class] = ACTIONS(3644),
    [anon_sym_async] = ACTIONS(3644),
    [anon_sym_function] = ACTIONS(3644),
    [anon_sym_new] = ACTIONS(3644),
    [anon_sym_using] = ACTIONS(3644),
    [anon_sym_PLUS] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3644),
    [anon_sym_SLASH] = ACTIONS(3644),
    [anon_sym_LT] = ACTIONS(3644),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_void] = ACTIONS(3644),
    [anon_sym_delete] = ACTIONS(3644),
    [anon_sym_PLUS_PLUS] = ACTIONS(3644),
    [anon_sym_DASH_DASH] = ACTIONS(3644),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3644),
    [sym_number] = ACTIONS(3644),
    [sym_private_property_identifier] = ACTIONS(3644),
    [sym_this] = ACTIONS(3644),
    [sym_super] = ACTIONS(3644),
    [sym_true] = ACTIONS(3644),
    [sym_false] = ACTIONS(3644),
    [sym_null] = ACTIONS(3644),
    [sym_undefined] = ACTIONS(3644),
    [anon_sym_AT] = ACTIONS(3644),
    [anon_sym_static] = ACTIONS(3644),
    [anon_sym_readonly] = ACTIONS(3644),
    [anon_sym_get] = ACTIONS(3644),
    [anon_sym_set] = ACTIONS(3644),
    [anon_sym_declare] = ACTIONS(3644),
    [anon_sym_public] = ACTIONS(3644),
    [anon_sym_private] = ACTIONS(3644),
    [anon_sym_protected] = ACTIONS(3644),
    [anon_sym_override] = ACTIONS(3644),
    [anon_sym_module] = ACTIONS(3644),
    [anon_sym_any] = ACTIONS(3644),
    [anon_sym_number] = ACTIONS(3644),
    [anon_sym_boolean] = ACTIONS(3644),
    [anon_sym_string] = ACTIONS(3644),
    [anon_sym_symbol] = ACTIONS(3644),
    [anon_sym_object] = ACTIONS(3644),
    [anon_sym_property] = ACTIONS(3644),
    [anon_sym_signal] = ACTIONS(3644),
    [anon_sym_on] = ACTIONS(3644),
    [anon_sym_required] = ACTIONS(3644),
    [anon_sym_component] = ACTIONS(3644),
    [anon_sym_abstract] = ACTIONS(3644),
    [anon_sym_interface] = ACTIONS(3644),
    [anon_sym_enum] = ACTIONS(3644),
    [sym_html_comment] = ACTIONS(5),
  },
  [1224] = {
    [sym_comment] = STATE(1224),
    [sym_identifier] = ACTIONS(3646),
    [anon_sym_export] = ACTIONS(3646),
    [anon_sym_default] = ACTIONS(3646),
    [anon_sym_type] = ACTIONS(3646),
    [anon_sym_namespace] = ACTIONS(3646),
    [anon_sym_LBRACE] = ACTIONS(3646),
    [anon_sym_RBRACE] = ACTIONS(3646),
    [anon_sym_typeof] = ACTIONS(3646),
    [anon_sym_import] = ACTIONS(3646),
    [anon_sym_from] = ACTIONS(3646),
    [anon_sym_with] = ACTIONS(3646),
    [anon_sym_var] = ACTIONS(3646),
    [anon_sym_let] = ACTIONS(3646),
    [anon_sym_const] = ACTIONS(3646),
    [anon_sym_BANG] = ACTIONS(3646),
    [anon_sym_else] = ACTIONS(3646),
    [anon_sym_if] = ACTIONS(3646),
    [anon_sym_switch] = ACTIONS(3646),
    [anon_sym_for] = ACTIONS(3646),
    [anon_sym_LPAREN] = ACTIONS(3646),
    [anon_sym_await] = ACTIONS(3646),
    [anon_sym_of] = ACTIONS(3646),
    [anon_sym_while] = ACTIONS(3646),
    [anon_sym_do] = ACTIONS(3646),
    [anon_sym_try] = ACTIONS(3646),
    [anon_sym_break] = ACTIONS(3646),
    [anon_sym_continue] = ACTIONS(3646),
    [anon_sym_debugger] = ACTIONS(3646),
    [anon_sym_return] = ACTIONS(3646),
    [anon_sym_throw] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3646),
    [anon_sym_case] = ACTIONS(3646),
    [anon_sym_yield] = ACTIONS(3646),
    [anon_sym_LBRACK] = ACTIONS(3646),
    [anon_sym_LTtemplate_GT] = ACTIONS(3646),
    [anon_sym_DQUOTE] = ACTIONS(3646),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_class] = ACTIONS(3646),
    [anon_sym_async] = ACTIONS(3646),
    [anon_sym_function] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3646),
    [anon_sym_using] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3646),
    [anon_sym_TILDE] = ACTIONS(3646),
    [anon_sym_void] = ACTIONS(3646),
    [anon_sym_delete] = ACTIONS(3646),
    [anon_sym_PLUS_PLUS] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3646),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3646),
    [sym_number] = ACTIONS(3646),
    [sym_private_property_identifier] = ACTIONS(3646),
    [sym_this] = ACTIONS(3646),
    [sym_super] = ACTIONS(3646),
    [sym_true] = ACTIONS(3646),
    [sym_false] = ACTIONS(3646),
    [sym_null] = ACTIONS(3646),
    [sym_undefined] = ACTIONS(3646),
    [anon_sym_AT] = ACTIONS(3646),
    [anon_sym_static] = ACTIONS(3646),
    [anon_sym_readonly] = ACTIONS(3646),
    [anon_sym_get] = ACTIONS(3646),
    [anon_sym_set] = ACTIONS(3646),
    [anon_sym_declare] = ACTIONS(3646),
    [anon_sym_public] = ACTIONS(3646),
    [anon_sym_private] = ACTIONS(3646),
    [anon_sym_protected] = ACTIONS(3646),
    [anon_sym_override] = ACTIONS(3646),
    [anon_sym_module] = ACTIONS(3646),
    [anon_sym_any] = ACTIONS(3646),
    [anon_sym_number] = ACTIONS(3646),
    [anon_sym_boolean] = ACTIONS(3646),
    [anon_sym_string] = ACTIONS(3646),
    [anon_sym_symbol] = ACTIONS(3646),
    [anon_sym_object] = ACTIONS(3646),
    [anon_sym_property] = ACTIONS(3646),
    [anon_sym_signal] = ACTIONS(3646),
    [anon_sym_on] = ACTIONS(3646),
    [anon_sym_required] = ACTIONS(3646),
    [anon_sym_component] = ACTIONS(3646),
    [anon_sym_abstract] = ACTIONS(3646),
    [anon_sym_interface] = ACTIONS(3646),
    [anon_sym_enum] = ACTIONS(3646),
    [sym_html_comment] = ACTIONS(5),
  },
  [1225] = {
    [sym_comment] = STATE(1225),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1226] = {
    [sym_comment] = STATE(1226),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1227] = {
    [sym_comment] = STATE(1227),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1228] = {
    [sym_comment] = STATE(1228),
    [sym_identifier] = ACTIONS(3648),
    [anon_sym_export] = ACTIONS(3648),
    [anon_sym_default] = ACTIONS(3648),
    [anon_sym_type] = ACTIONS(3648),
    [anon_sym_namespace] = ACTIONS(3648),
    [anon_sym_LBRACE] = ACTIONS(3648),
    [anon_sym_RBRACE] = ACTIONS(3648),
    [anon_sym_typeof] = ACTIONS(3648),
    [anon_sym_import] = ACTIONS(3648),
    [anon_sym_from] = ACTIONS(3648),
    [anon_sym_with] = ACTIONS(3648),
    [anon_sym_var] = ACTIONS(3648),
    [anon_sym_let] = ACTIONS(3648),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_BANG] = ACTIONS(3648),
    [anon_sym_else] = ACTIONS(3648),
    [anon_sym_if] = ACTIONS(3648),
    [anon_sym_switch] = ACTIONS(3648),
    [anon_sym_for] = ACTIONS(3648),
    [anon_sym_LPAREN] = ACTIONS(3648),
    [anon_sym_await] = ACTIONS(3648),
    [anon_sym_of] = ACTIONS(3648),
    [anon_sym_while] = ACTIONS(3648),
    [anon_sym_do] = ACTIONS(3648),
    [anon_sym_try] = ACTIONS(3648),
    [anon_sym_break] = ACTIONS(3648),
    [anon_sym_continue] = ACTIONS(3648),
    [anon_sym_debugger] = ACTIONS(3648),
    [anon_sym_return] = ACTIONS(3648),
    [anon_sym_throw] = ACTIONS(3648),
    [anon_sym_SEMI] = ACTIONS(3648),
    [anon_sym_case] = ACTIONS(3648),
    [anon_sym_yield] = ACTIONS(3648),
    [anon_sym_LBRACK] = ACTIONS(3648),
    [anon_sym_LTtemplate_GT] = ACTIONS(3648),
    [anon_sym_DQUOTE] = ACTIONS(3648),
    [anon_sym_SQUOTE] = ACTIONS(3648),
    [anon_sym_class] = ACTIONS(3648),
    [anon_sym_async] = ACTIONS(3648),
    [anon_sym_function] = ACTIONS(3648),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_using] = ACTIONS(3648),
    [anon_sym_PLUS] = ACTIONS(3648),
    [anon_sym_DASH] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3648),
    [anon_sym_LT] = ACTIONS(3648),
    [anon_sym_TILDE] = ACTIONS(3648),
    [anon_sym_void] = ACTIONS(3648),
    [anon_sym_delete] = ACTIONS(3648),
    [anon_sym_PLUS_PLUS] = ACTIONS(3648),
    [anon_sym_DASH_DASH] = ACTIONS(3648),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3648),
    [sym_number] = ACTIONS(3648),
    [sym_private_property_identifier] = ACTIONS(3648),
    [sym_this] = ACTIONS(3648),
    [sym_super] = ACTIONS(3648),
    [sym_true] = ACTIONS(3648),
    [sym_false] = ACTIONS(3648),
    [sym_null] = ACTIONS(3648),
    [sym_undefined] = ACTIONS(3648),
    [anon_sym_AT] = ACTIONS(3648),
    [anon_sym_static] = ACTIONS(3648),
    [anon_sym_readonly] = ACTIONS(3648),
    [anon_sym_get] = ACTIONS(3648),
    [anon_sym_set] = ACTIONS(3648),
    [anon_sym_declare] = ACTIONS(3648),
    [anon_sym_public] = ACTIONS(3648),
    [anon_sym_private] = ACTIONS(3648),
    [anon_sym_protected] = ACTIONS(3648),
    [anon_sym_override] = ACTIONS(3648),
    [anon_sym_module] = ACTIONS(3648),
    [anon_sym_any] = ACTIONS(3648),
    [anon_sym_number] = ACTIONS(3648),
    [anon_sym_boolean] = ACTIONS(3648),
    [anon_sym_string] = ACTIONS(3648),
    [anon_sym_symbol] = ACTIONS(3648),
    [anon_sym_object] = ACTIONS(3648),
    [anon_sym_property] = ACTIONS(3648),
    [anon_sym_signal] = ACTIONS(3648),
    [anon_sym_on] = ACTIONS(3648),
    [anon_sym_required] = ACTIONS(3648),
    [anon_sym_component] = ACTIONS(3648),
    [anon_sym_abstract] = ACTIONS(3648),
    [anon_sym_interface] = ACTIONS(3648),
    [anon_sym_enum] = ACTIONS(3648),
    [sym_html_comment] = ACTIONS(5),
  },
  [1229] = {
    [sym_comment] = STATE(1229),
    [sym_identifier] = ACTIONS(3650),
    [anon_sym_export] = ACTIONS(3650),
    [anon_sym_default] = ACTIONS(3650),
    [anon_sym_type] = ACTIONS(3650),
    [anon_sym_namespace] = ACTIONS(3650),
    [anon_sym_LBRACE] = ACTIONS(3650),
    [anon_sym_RBRACE] = ACTIONS(3650),
    [anon_sym_typeof] = ACTIONS(3650),
    [anon_sym_import] = ACTIONS(3650),
    [anon_sym_from] = ACTIONS(3650),
    [anon_sym_with] = ACTIONS(3650),
    [anon_sym_var] = ACTIONS(3650),
    [anon_sym_let] = ACTIONS(3650),
    [anon_sym_const] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3650),
    [anon_sym_else] = ACTIONS(3650),
    [anon_sym_if] = ACTIONS(3650),
    [anon_sym_switch] = ACTIONS(3650),
    [anon_sym_for] = ACTIONS(3650),
    [anon_sym_LPAREN] = ACTIONS(3650),
    [anon_sym_await] = ACTIONS(3650),
    [anon_sym_of] = ACTIONS(3650),
    [anon_sym_while] = ACTIONS(3650),
    [anon_sym_do] = ACTIONS(3650),
    [anon_sym_try] = ACTIONS(3650),
    [anon_sym_break] = ACTIONS(3650),
    [anon_sym_continue] = ACTIONS(3650),
    [anon_sym_debugger] = ACTIONS(3650),
    [anon_sym_return] = ACTIONS(3650),
    [anon_sym_throw] = ACTIONS(3650),
    [anon_sym_SEMI] = ACTIONS(3650),
    [anon_sym_case] = ACTIONS(3650),
    [anon_sym_yield] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(3650),
    [anon_sym_LTtemplate_GT] = ACTIONS(3650),
    [anon_sym_DQUOTE] = ACTIONS(3650),
    [anon_sym_SQUOTE] = ACTIONS(3650),
    [anon_sym_class] = ACTIONS(3650),
    [anon_sym_async] = ACTIONS(3650),
    [anon_sym_function] = ACTIONS(3650),
    [anon_sym_new] = ACTIONS(3650),
    [anon_sym_using] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3650),
    [anon_sym_DASH] = ACTIONS(3650),
    [anon_sym_SLASH] = ACTIONS(3650),
    [anon_sym_LT] = ACTIONS(3650),
    [anon_sym_TILDE] = ACTIONS(3650),
    [anon_sym_void] = ACTIONS(3650),
    [anon_sym_delete] = ACTIONS(3650),
    [anon_sym_PLUS_PLUS] = ACTIONS(3650),
    [anon_sym_DASH_DASH] = ACTIONS(3650),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3650),
    [sym_number] = ACTIONS(3650),
    [sym_private_property_identifier] = ACTIONS(3650),
    [sym_this] = ACTIONS(3650),
    [sym_super] = ACTIONS(3650),
    [sym_true] = ACTIONS(3650),
    [sym_false] = ACTIONS(3650),
    [sym_null] = ACTIONS(3650),
    [sym_undefined] = ACTIONS(3650),
    [anon_sym_AT] = ACTIONS(3650),
    [anon_sym_static] = ACTIONS(3650),
    [anon_sym_readonly] = ACTIONS(3650),
    [anon_sym_get] = ACTIONS(3650),
    [anon_sym_set] = ACTIONS(3650),
    [anon_sym_declare] = ACTIONS(3650),
    [anon_sym_public] = ACTIONS(3650),
    [anon_sym_private] = ACTIONS(3650),
    [anon_sym_protected] = ACTIONS(3650),
    [anon_sym_override] = ACTIONS(3650),
    [anon_sym_module] = ACTIONS(3650),
    [anon_sym_any] = ACTIONS(3650),
    [anon_sym_number] = ACTIONS(3650),
    [anon_sym_boolean] = ACTIONS(3650),
    [anon_sym_string] = ACTIONS(3650),
    [anon_sym_symbol] = ACTIONS(3650),
    [anon_sym_object] = ACTIONS(3650),
    [anon_sym_property] = ACTIONS(3650),
    [anon_sym_signal] = ACTIONS(3650),
    [anon_sym_on] = ACTIONS(3650),
    [anon_sym_required] = ACTIONS(3650),
    [anon_sym_component] = ACTIONS(3650),
    [anon_sym_abstract] = ACTIONS(3650),
    [anon_sym_interface] = ACTIONS(3650),
    [anon_sym_enum] = ACTIONS(3650),
    [sym_html_comment] = ACTIONS(5),
  },
  [1230] = {
    [sym_comment] = STATE(1230),
    [sym_identifier] = ACTIONS(3652),
    [anon_sym_export] = ACTIONS(3652),
    [anon_sym_default] = ACTIONS(3652),
    [anon_sym_type] = ACTIONS(3652),
    [anon_sym_namespace] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3652),
    [anon_sym_RBRACE] = ACTIONS(3652),
    [anon_sym_typeof] = ACTIONS(3652),
    [anon_sym_import] = ACTIONS(3652),
    [anon_sym_from] = ACTIONS(3652),
    [anon_sym_with] = ACTIONS(3652),
    [anon_sym_var] = ACTIONS(3652),
    [anon_sym_let] = ACTIONS(3652),
    [anon_sym_const] = ACTIONS(3652),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_else] = ACTIONS(3652),
    [anon_sym_if] = ACTIONS(3652),
    [anon_sym_switch] = ACTIONS(3652),
    [anon_sym_for] = ACTIONS(3652),
    [anon_sym_LPAREN] = ACTIONS(3652),
    [anon_sym_await] = ACTIONS(3652),
    [anon_sym_of] = ACTIONS(3652),
    [anon_sym_while] = ACTIONS(3652),
    [anon_sym_do] = ACTIONS(3652),
    [anon_sym_try] = ACTIONS(3652),
    [anon_sym_break] = ACTIONS(3652),
    [anon_sym_continue] = ACTIONS(3652),
    [anon_sym_debugger] = ACTIONS(3652),
    [anon_sym_return] = ACTIONS(3652),
    [anon_sym_throw] = ACTIONS(3652),
    [anon_sym_SEMI] = ACTIONS(3652),
    [anon_sym_case] = ACTIONS(3652),
    [anon_sym_yield] = ACTIONS(3652),
    [anon_sym_LBRACK] = ACTIONS(3652),
    [anon_sym_LTtemplate_GT] = ACTIONS(3652),
    [anon_sym_DQUOTE] = ACTIONS(3652),
    [anon_sym_SQUOTE] = ACTIONS(3652),
    [anon_sym_class] = ACTIONS(3652),
    [anon_sym_async] = ACTIONS(3652),
    [anon_sym_function] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(3652),
    [anon_sym_using] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3652),
    [anon_sym_DASH] = ACTIONS(3652),
    [anon_sym_SLASH] = ACTIONS(3652),
    [anon_sym_LT] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [anon_sym_void] = ACTIONS(3652),
    [anon_sym_delete] = ACTIONS(3652),
    [anon_sym_PLUS_PLUS] = ACTIONS(3652),
    [anon_sym_DASH_DASH] = ACTIONS(3652),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3652),
    [sym_number] = ACTIONS(3652),
    [sym_private_property_identifier] = ACTIONS(3652),
    [sym_this] = ACTIONS(3652),
    [sym_super] = ACTIONS(3652),
    [sym_true] = ACTIONS(3652),
    [sym_false] = ACTIONS(3652),
    [sym_null] = ACTIONS(3652),
    [sym_undefined] = ACTIONS(3652),
    [anon_sym_AT] = ACTIONS(3652),
    [anon_sym_static] = ACTIONS(3652),
    [anon_sym_readonly] = ACTIONS(3652),
    [anon_sym_get] = ACTIONS(3652),
    [anon_sym_set] = ACTIONS(3652),
    [anon_sym_declare] = ACTIONS(3652),
    [anon_sym_public] = ACTIONS(3652),
    [anon_sym_private] = ACTIONS(3652),
    [anon_sym_protected] = ACTIONS(3652),
    [anon_sym_override] = ACTIONS(3652),
    [anon_sym_module] = ACTIONS(3652),
    [anon_sym_any] = ACTIONS(3652),
    [anon_sym_number] = ACTIONS(3652),
    [anon_sym_boolean] = ACTIONS(3652),
    [anon_sym_string] = ACTIONS(3652),
    [anon_sym_symbol] = ACTIONS(3652),
    [anon_sym_object] = ACTIONS(3652),
    [anon_sym_property] = ACTIONS(3652),
    [anon_sym_signal] = ACTIONS(3652),
    [anon_sym_on] = ACTIONS(3652),
    [anon_sym_required] = ACTIONS(3652),
    [anon_sym_component] = ACTIONS(3652),
    [anon_sym_abstract] = ACTIONS(3652),
    [anon_sym_interface] = ACTIONS(3652),
    [anon_sym_enum] = ACTIONS(3652),
    [sym_html_comment] = ACTIONS(5),
  },
  [1231] = {
    [sym_comment] = STATE(1231),
    [sym_identifier] = ACTIONS(3654),
    [anon_sym_export] = ACTIONS(3654),
    [anon_sym_default] = ACTIONS(3654),
    [anon_sym_type] = ACTIONS(3654),
    [anon_sym_namespace] = ACTIONS(3654),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_RBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3654),
    [anon_sym_import] = ACTIONS(3654),
    [anon_sym_from] = ACTIONS(3654),
    [anon_sym_with] = ACTIONS(3654),
    [anon_sym_var] = ACTIONS(3654),
    [anon_sym_let] = ACTIONS(3654),
    [anon_sym_const] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_else] = ACTIONS(3654),
    [anon_sym_if] = ACTIONS(3654),
    [anon_sym_switch] = ACTIONS(3654),
    [anon_sym_for] = ACTIONS(3654),
    [anon_sym_LPAREN] = ACTIONS(3654),
    [anon_sym_await] = ACTIONS(3654),
    [anon_sym_of] = ACTIONS(3654),
    [anon_sym_while] = ACTIONS(3654),
    [anon_sym_do] = ACTIONS(3654),
    [anon_sym_try] = ACTIONS(3654),
    [anon_sym_break] = ACTIONS(3654),
    [anon_sym_continue] = ACTIONS(3654),
    [anon_sym_debugger] = ACTIONS(3654),
    [anon_sym_return] = ACTIONS(3654),
    [anon_sym_throw] = ACTIONS(3654),
    [anon_sym_SEMI] = ACTIONS(3654),
    [anon_sym_case] = ACTIONS(3654),
    [anon_sym_yield] = ACTIONS(3654),
    [anon_sym_LBRACK] = ACTIONS(3654),
    [anon_sym_LTtemplate_GT] = ACTIONS(3654),
    [anon_sym_DQUOTE] = ACTIONS(3654),
    [anon_sym_SQUOTE] = ACTIONS(3654),
    [anon_sym_class] = ACTIONS(3654),
    [anon_sym_async] = ACTIONS(3654),
    [anon_sym_function] = ACTIONS(3654),
    [anon_sym_new] = ACTIONS(3654),
    [anon_sym_using] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_SLASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_TILDE] = ACTIONS(3654),
    [anon_sym_void] = ACTIONS(3654),
    [anon_sym_delete] = ACTIONS(3654),
    [anon_sym_PLUS_PLUS] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(3654),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3654),
    [sym_number] = ACTIONS(3654),
    [sym_private_property_identifier] = ACTIONS(3654),
    [sym_this] = ACTIONS(3654),
    [sym_super] = ACTIONS(3654),
    [sym_true] = ACTIONS(3654),
    [sym_false] = ACTIONS(3654),
    [sym_null] = ACTIONS(3654),
    [sym_undefined] = ACTIONS(3654),
    [anon_sym_AT] = ACTIONS(3654),
    [anon_sym_static] = ACTIONS(3654),
    [anon_sym_readonly] = ACTIONS(3654),
    [anon_sym_get] = ACTIONS(3654),
    [anon_sym_set] = ACTIONS(3654),
    [anon_sym_declare] = ACTIONS(3654),
    [anon_sym_public] = ACTIONS(3654),
    [anon_sym_private] = ACTIONS(3654),
    [anon_sym_protected] = ACTIONS(3654),
    [anon_sym_override] = ACTIONS(3654),
    [anon_sym_module] = ACTIONS(3654),
    [anon_sym_any] = ACTIONS(3654),
    [anon_sym_number] = ACTIONS(3654),
    [anon_sym_boolean] = ACTIONS(3654),
    [anon_sym_string] = ACTIONS(3654),
    [anon_sym_symbol] = ACTIONS(3654),
    [anon_sym_object] = ACTIONS(3654),
    [anon_sym_property] = ACTIONS(3654),
    [anon_sym_signal] = ACTIONS(3654),
    [anon_sym_on] = ACTIONS(3654),
    [anon_sym_required] = ACTIONS(3654),
    [anon_sym_component] = ACTIONS(3654),
    [anon_sym_abstract] = ACTIONS(3654),
    [anon_sym_interface] = ACTIONS(3654),
    [anon_sym_enum] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1232] = {
    [sym_comment] = STATE(1232),
    [sym_identifier] = ACTIONS(3654),
    [anon_sym_export] = ACTIONS(3654),
    [anon_sym_default] = ACTIONS(3654),
    [anon_sym_type] = ACTIONS(3654),
    [anon_sym_namespace] = ACTIONS(3654),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_RBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3654),
    [anon_sym_import] = ACTIONS(3654),
    [anon_sym_from] = ACTIONS(3654),
    [anon_sym_with] = ACTIONS(3654),
    [anon_sym_var] = ACTIONS(3654),
    [anon_sym_let] = ACTIONS(3654),
    [anon_sym_const] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_else] = ACTIONS(3654),
    [anon_sym_if] = ACTIONS(3654),
    [anon_sym_switch] = ACTIONS(3654),
    [anon_sym_for] = ACTIONS(3654),
    [anon_sym_LPAREN] = ACTIONS(3654),
    [anon_sym_await] = ACTIONS(3654),
    [anon_sym_of] = ACTIONS(3654),
    [anon_sym_while] = ACTIONS(3654),
    [anon_sym_do] = ACTIONS(3654),
    [anon_sym_try] = ACTIONS(3654),
    [anon_sym_break] = ACTIONS(3654),
    [anon_sym_continue] = ACTIONS(3654),
    [anon_sym_debugger] = ACTIONS(3654),
    [anon_sym_return] = ACTIONS(3654),
    [anon_sym_throw] = ACTIONS(3654),
    [anon_sym_SEMI] = ACTIONS(3654),
    [anon_sym_case] = ACTIONS(3654),
    [anon_sym_yield] = ACTIONS(3654),
    [anon_sym_LBRACK] = ACTIONS(3654),
    [anon_sym_LTtemplate_GT] = ACTIONS(3654),
    [anon_sym_DQUOTE] = ACTIONS(3654),
    [anon_sym_SQUOTE] = ACTIONS(3654),
    [anon_sym_class] = ACTIONS(3654),
    [anon_sym_async] = ACTIONS(3654),
    [anon_sym_function] = ACTIONS(3654),
    [anon_sym_new] = ACTIONS(3654),
    [anon_sym_using] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_SLASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_TILDE] = ACTIONS(3654),
    [anon_sym_void] = ACTIONS(3654),
    [anon_sym_delete] = ACTIONS(3654),
    [anon_sym_PLUS_PLUS] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(3654),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3654),
    [sym_number] = ACTIONS(3654),
    [sym_private_property_identifier] = ACTIONS(3654),
    [sym_this] = ACTIONS(3654),
    [sym_super] = ACTIONS(3654),
    [sym_true] = ACTIONS(3654),
    [sym_false] = ACTIONS(3654),
    [sym_null] = ACTIONS(3654),
    [sym_undefined] = ACTIONS(3654),
    [anon_sym_AT] = ACTIONS(3654),
    [anon_sym_static] = ACTIONS(3654),
    [anon_sym_readonly] = ACTIONS(3654),
    [anon_sym_get] = ACTIONS(3654),
    [anon_sym_set] = ACTIONS(3654),
    [anon_sym_declare] = ACTIONS(3654),
    [anon_sym_public] = ACTIONS(3654),
    [anon_sym_private] = ACTIONS(3654),
    [anon_sym_protected] = ACTIONS(3654),
    [anon_sym_override] = ACTIONS(3654),
    [anon_sym_module] = ACTIONS(3654),
    [anon_sym_any] = ACTIONS(3654),
    [anon_sym_number] = ACTIONS(3654),
    [anon_sym_boolean] = ACTIONS(3654),
    [anon_sym_string] = ACTIONS(3654),
    [anon_sym_symbol] = ACTIONS(3654),
    [anon_sym_object] = ACTIONS(3654),
    [anon_sym_property] = ACTIONS(3654),
    [anon_sym_signal] = ACTIONS(3654),
    [anon_sym_on] = ACTIONS(3654),
    [anon_sym_required] = ACTIONS(3654),
    [anon_sym_component] = ACTIONS(3654),
    [anon_sym_abstract] = ACTIONS(3654),
    [anon_sym_interface] = ACTIONS(3654),
    [anon_sym_enum] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1233] = {
    [sym_comment] = STATE(1233),
    [sym_identifier] = ACTIONS(3656),
    [anon_sym_export] = ACTIONS(3656),
    [anon_sym_default] = ACTIONS(3656),
    [anon_sym_type] = ACTIONS(3656),
    [anon_sym_namespace] = ACTIONS(3656),
    [anon_sym_LBRACE] = ACTIONS(3656),
    [anon_sym_RBRACE] = ACTIONS(3656),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_import] = ACTIONS(3656),
    [anon_sym_from] = ACTIONS(3656),
    [anon_sym_with] = ACTIONS(3656),
    [anon_sym_var] = ACTIONS(3656),
    [anon_sym_let] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3656),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_else] = ACTIONS(3656),
    [anon_sym_if] = ACTIONS(3656),
    [anon_sym_switch] = ACTIONS(3656),
    [anon_sym_for] = ACTIONS(3656),
    [anon_sym_LPAREN] = ACTIONS(3656),
    [anon_sym_await] = ACTIONS(3656),
    [anon_sym_of] = ACTIONS(3656),
    [anon_sym_while] = ACTIONS(3656),
    [anon_sym_do] = ACTIONS(3656),
    [anon_sym_try] = ACTIONS(3656),
    [anon_sym_break] = ACTIONS(3656),
    [anon_sym_continue] = ACTIONS(3656),
    [anon_sym_debugger] = ACTIONS(3656),
    [anon_sym_return] = ACTIONS(3656),
    [anon_sym_throw] = ACTIONS(3656),
    [anon_sym_SEMI] = ACTIONS(3656),
    [anon_sym_case] = ACTIONS(3656),
    [anon_sym_yield] = ACTIONS(3656),
    [anon_sym_LBRACK] = ACTIONS(3656),
    [anon_sym_LTtemplate_GT] = ACTIONS(3656),
    [anon_sym_DQUOTE] = ACTIONS(3656),
    [anon_sym_SQUOTE] = ACTIONS(3656),
    [anon_sym_class] = ACTIONS(3656),
    [anon_sym_async] = ACTIONS(3656),
    [anon_sym_function] = ACTIONS(3656),
    [anon_sym_new] = ACTIONS(3656),
    [anon_sym_using] = ACTIONS(3656),
    [anon_sym_PLUS] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3656),
    [anon_sym_SLASH] = ACTIONS(3656),
    [anon_sym_LT] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_void] = ACTIONS(3656),
    [anon_sym_delete] = ACTIONS(3656),
    [anon_sym_PLUS_PLUS] = ACTIONS(3656),
    [anon_sym_DASH_DASH] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3656),
    [sym_number] = ACTIONS(3656),
    [sym_private_property_identifier] = ACTIONS(3656),
    [sym_this] = ACTIONS(3656),
    [sym_super] = ACTIONS(3656),
    [sym_true] = ACTIONS(3656),
    [sym_false] = ACTIONS(3656),
    [sym_null] = ACTIONS(3656),
    [sym_undefined] = ACTIONS(3656),
    [anon_sym_AT] = ACTIONS(3656),
    [anon_sym_static] = ACTIONS(3656),
    [anon_sym_readonly] = ACTIONS(3656),
    [anon_sym_get] = ACTIONS(3656),
    [anon_sym_set] = ACTIONS(3656),
    [anon_sym_declare] = ACTIONS(3656),
    [anon_sym_public] = ACTIONS(3656),
    [anon_sym_private] = ACTIONS(3656),
    [anon_sym_protected] = ACTIONS(3656),
    [anon_sym_override] = ACTIONS(3656),
    [anon_sym_module] = ACTIONS(3656),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_property] = ACTIONS(3656),
    [anon_sym_signal] = ACTIONS(3656),
    [anon_sym_on] = ACTIONS(3656),
    [anon_sym_required] = ACTIONS(3656),
    [anon_sym_component] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3656),
    [anon_sym_interface] = ACTIONS(3656),
    [anon_sym_enum] = ACTIONS(3656),
    [sym_html_comment] = ACTIONS(5),
  },
  [1234] = {
    [sym_comment] = STATE(1234),
    [sym_identifier] = ACTIONS(3658),
    [anon_sym_export] = ACTIONS(3658),
    [anon_sym_default] = ACTIONS(3658),
    [anon_sym_type] = ACTIONS(3658),
    [anon_sym_namespace] = ACTIONS(3658),
    [anon_sym_LBRACE] = ACTIONS(3658),
    [anon_sym_RBRACE] = ACTIONS(3658),
    [anon_sym_typeof] = ACTIONS(3658),
    [anon_sym_import] = ACTIONS(3658),
    [anon_sym_from] = ACTIONS(3658),
    [anon_sym_with] = ACTIONS(3658),
    [anon_sym_var] = ACTIONS(3658),
    [anon_sym_let] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_BANG] = ACTIONS(3658),
    [anon_sym_else] = ACTIONS(3658),
    [anon_sym_if] = ACTIONS(3658),
    [anon_sym_switch] = ACTIONS(3658),
    [anon_sym_for] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3658),
    [anon_sym_await] = ACTIONS(3658),
    [anon_sym_of] = ACTIONS(3658),
    [anon_sym_while] = ACTIONS(3658),
    [anon_sym_do] = ACTIONS(3658),
    [anon_sym_try] = ACTIONS(3658),
    [anon_sym_break] = ACTIONS(3658),
    [anon_sym_continue] = ACTIONS(3658),
    [anon_sym_debugger] = ACTIONS(3658),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_throw] = ACTIONS(3658),
    [anon_sym_SEMI] = ACTIONS(3658),
    [anon_sym_case] = ACTIONS(3658),
    [anon_sym_yield] = ACTIONS(3658),
    [anon_sym_LBRACK] = ACTIONS(3658),
    [anon_sym_LTtemplate_GT] = ACTIONS(3658),
    [anon_sym_DQUOTE] = ACTIONS(3658),
    [anon_sym_SQUOTE] = ACTIONS(3658),
    [anon_sym_class] = ACTIONS(3658),
    [anon_sym_async] = ACTIONS(3658),
    [anon_sym_function] = ACTIONS(3658),
    [anon_sym_new] = ACTIONS(3658),
    [anon_sym_using] = ACTIONS(3658),
    [anon_sym_PLUS] = ACTIONS(3658),
    [anon_sym_DASH] = ACTIONS(3658),
    [anon_sym_SLASH] = ACTIONS(3658),
    [anon_sym_LT] = ACTIONS(3658),
    [anon_sym_TILDE] = ACTIONS(3658),
    [anon_sym_void] = ACTIONS(3658),
    [anon_sym_delete] = ACTIONS(3658),
    [anon_sym_PLUS_PLUS] = ACTIONS(3658),
    [anon_sym_DASH_DASH] = ACTIONS(3658),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3658),
    [sym_private_property_identifier] = ACTIONS(3658),
    [sym_this] = ACTIONS(3658),
    [sym_super] = ACTIONS(3658),
    [sym_true] = ACTIONS(3658),
    [sym_false] = ACTIONS(3658),
    [sym_null] = ACTIONS(3658),
    [sym_undefined] = ACTIONS(3658),
    [anon_sym_AT] = ACTIONS(3658),
    [anon_sym_static] = ACTIONS(3658),
    [anon_sym_readonly] = ACTIONS(3658),
    [anon_sym_get] = ACTIONS(3658),
    [anon_sym_set] = ACTIONS(3658),
    [anon_sym_declare] = ACTIONS(3658),
    [anon_sym_public] = ACTIONS(3658),
    [anon_sym_private] = ACTIONS(3658),
    [anon_sym_protected] = ACTIONS(3658),
    [anon_sym_override] = ACTIONS(3658),
    [anon_sym_module] = ACTIONS(3658),
    [anon_sym_any] = ACTIONS(3658),
    [anon_sym_number] = ACTIONS(3658),
    [anon_sym_boolean] = ACTIONS(3658),
    [anon_sym_string] = ACTIONS(3658),
    [anon_sym_symbol] = ACTIONS(3658),
    [anon_sym_object] = ACTIONS(3658),
    [anon_sym_property] = ACTIONS(3658),
    [anon_sym_signal] = ACTIONS(3658),
    [anon_sym_on] = ACTIONS(3658),
    [anon_sym_required] = ACTIONS(3658),
    [anon_sym_component] = ACTIONS(3658),
    [anon_sym_abstract] = ACTIONS(3658),
    [anon_sym_interface] = ACTIONS(3658),
    [anon_sym_enum] = ACTIONS(3658),
    [sym_html_comment] = ACTIONS(5),
  },
  [1235] = {
    [sym_comment] = STATE(1235),
    [sym_identifier] = ACTIONS(3660),
    [anon_sym_export] = ACTIONS(3660),
    [anon_sym_default] = ACTIONS(3660),
    [anon_sym_type] = ACTIONS(3660),
    [anon_sym_namespace] = ACTIONS(3660),
    [anon_sym_LBRACE] = ACTIONS(3660),
    [anon_sym_RBRACE] = ACTIONS(3660),
    [anon_sym_typeof] = ACTIONS(3660),
    [anon_sym_import] = ACTIONS(3660),
    [anon_sym_from] = ACTIONS(3660),
    [anon_sym_with] = ACTIONS(3660),
    [anon_sym_var] = ACTIONS(3660),
    [anon_sym_let] = ACTIONS(3660),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_BANG] = ACTIONS(3660),
    [anon_sym_else] = ACTIONS(3660),
    [anon_sym_if] = ACTIONS(3660),
    [anon_sym_switch] = ACTIONS(3660),
    [anon_sym_for] = ACTIONS(3660),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_await] = ACTIONS(3660),
    [anon_sym_of] = ACTIONS(3660),
    [anon_sym_while] = ACTIONS(3660),
    [anon_sym_do] = ACTIONS(3660),
    [anon_sym_try] = ACTIONS(3660),
    [anon_sym_break] = ACTIONS(3660),
    [anon_sym_continue] = ACTIONS(3660),
    [anon_sym_debugger] = ACTIONS(3660),
    [anon_sym_return] = ACTIONS(3660),
    [anon_sym_throw] = ACTIONS(3660),
    [anon_sym_SEMI] = ACTIONS(3660),
    [anon_sym_case] = ACTIONS(3660),
    [anon_sym_yield] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3660),
    [anon_sym_LTtemplate_GT] = ACTIONS(3660),
    [anon_sym_DQUOTE] = ACTIONS(3660),
    [anon_sym_SQUOTE] = ACTIONS(3660),
    [anon_sym_class] = ACTIONS(3660),
    [anon_sym_async] = ACTIONS(3660),
    [anon_sym_function] = ACTIONS(3660),
    [anon_sym_new] = ACTIONS(3660),
    [anon_sym_using] = ACTIONS(3660),
    [anon_sym_PLUS] = ACTIONS(3660),
    [anon_sym_DASH] = ACTIONS(3660),
    [anon_sym_SLASH] = ACTIONS(3660),
    [anon_sym_LT] = ACTIONS(3660),
    [anon_sym_TILDE] = ACTIONS(3660),
    [anon_sym_void] = ACTIONS(3660),
    [anon_sym_delete] = ACTIONS(3660),
    [anon_sym_PLUS_PLUS] = ACTIONS(3660),
    [anon_sym_DASH_DASH] = ACTIONS(3660),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3660),
    [sym_number] = ACTIONS(3660),
    [sym_private_property_identifier] = ACTIONS(3660),
    [sym_this] = ACTIONS(3660),
    [sym_super] = ACTIONS(3660),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_AT] = ACTIONS(3660),
    [anon_sym_static] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3660),
    [anon_sym_get] = ACTIONS(3660),
    [anon_sym_set] = ACTIONS(3660),
    [anon_sym_declare] = ACTIONS(3660),
    [anon_sym_public] = ACTIONS(3660),
    [anon_sym_private] = ACTIONS(3660),
    [anon_sym_protected] = ACTIONS(3660),
    [anon_sym_override] = ACTIONS(3660),
    [anon_sym_module] = ACTIONS(3660),
    [anon_sym_any] = ACTIONS(3660),
    [anon_sym_number] = ACTIONS(3660),
    [anon_sym_boolean] = ACTIONS(3660),
    [anon_sym_string] = ACTIONS(3660),
    [anon_sym_symbol] = ACTIONS(3660),
    [anon_sym_object] = ACTIONS(3660),
    [anon_sym_property] = ACTIONS(3660),
    [anon_sym_signal] = ACTIONS(3660),
    [anon_sym_on] = ACTIONS(3660),
    [anon_sym_required] = ACTIONS(3660),
    [anon_sym_component] = ACTIONS(3660),
    [anon_sym_abstract] = ACTIONS(3660),
    [anon_sym_interface] = ACTIONS(3660),
    [anon_sym_enum] = ACTIONS(3660),
    [sym_html_comment] = ACTIONS(5),
  },
  [1236] = {
    [sym_comment] = STATE(1236),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2458),
    [anon_sym_default] = ACTIONS(2458),
    [anon_sym_type] = ACTIONS(2458),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_typeof] = ACTIONS(2458),
    [anon_sym_import] = ACTIONS(2458),
    [anon_sym_from] = ACTIONS(2458),
    [anon_sym_with] = ACTIONS(2458),
    [anon_sym_var] = ACTIONS(2458),
    [anon_sym_let] = ACTIONS(2458),
    [anon_sym_const] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_switch] = ACTIONS(2458),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_LPAREN] = ACTIONS(2458),
    [anon_sym_await] = ACTIONS(2458),
    [anon_sym_of] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(2458),
    [anon_sym_do] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2458),
    [anon_sym_break] = ACTIONS(2458),
    [anon_sym_continue] = ACTIONS(2458),
    [anon_sym_debugger] = ACTIONS(2458),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym_case] = ACTIONS(2458),
    [anon_sym_yield] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_LTtemplate_GT] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_class] = ACTIONS(2458),
    [anon_sym_async] = ACTIONS(2458),
    [anon_sym_function] = ACTIONS(2458),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_using] = ACTIONS(2458),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_SLASH] = ACTIONS(2458),
    [anon_sym_LT] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_void] = ACTIONS(2458),
    [anon_sym_delete] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2458),
    [sym_number] = ACTIONS(2458),
    [sym_private_property_identifier] = ACTIONS(2458),
    [sym_this] = ACTIONS(2458),
    [sym_super] = ACTIONS(2458),
    [sym_true] = ACTIONS(2458),
    [sym_false] = ACTIONS(2458),
    [sym_null] = ACTIONS(2458),
    [sym_undefined] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_readonly] = ACTIONS(2458),
    [anon_sym_get] = ACTIONS(2458),
    [anon_sym_set] = ACTIONS(2458),
    [anon_sym_declare] = ACTIONS(2458),
    [anon_sym_public] = ACTIONS(2458),
    [anon_sym_private] = ACTIONS(2458),
    [anon_sym_protected] = ACTIONS(2458),
    [anon_sym_override] = ACTIONS(2458),
    [anon_sym_module] = ACTIONS(2458),
    [anon_sym_any] = ACTIONS(2458),
    [anon_sym_number] = ACTIONS(2458),
    [anon_sym_boolean] = ACTIONS(2458),
    [anon_sym_string] = ACTIONS(2458),
    [anon_sym_symbol] = ACTIONS(2458),
    [anon_sym_object] = ACTIONS(2458),
    [anon_sym_property] = ACTIONS(2458),
    [anon_sym_signal] = ACTIONS(2458),
    [anon_sym_on] = ACTIONS(2458),
    [anon_sym_required] = ACTIONS(2458),
    [anon_sym_component] = ACTIONS(2458),
    [anon_sym_abstract] = ACTIONS(2458),
    [anon_sym_interface] = ACTIONS(2458),
    [anon_sym_enum] = ACTIONS(2458),
    [sym__automatic_semicolon] = ACTIONS(2558),
    [sym_html_comment] = ACTIONS(5),
  },
  [1237] = {
    [sym_comment] = STATE(1237),
    [sym_identifier] = ACTIONS(3662),
    [anon_sym_export] = ACTIONS(3662),
    [anon_sym_default] = ACTIONS(3662),
    [anon_sym_type] = ACTIONS(3662),
    [anon_sym_namespace] = ACTIONS(3662),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(3662),
    [anon_sym_typeof] = ACTIONS(3662),
    [anon_sym_import] = ACTIONS(3662),
    [anon_sym_from] = ACTIONS(3662),
    [anon_sym_with] = ACTIONS(3662),
    [anon_sym_var] = ACTIONS(3662),
    [anon_sym_let] = ACTIONS(3662),
    [anon_sym_const] = ACTIONS(3662),
    [anon_sym_BANG] = ACTIONS(3662),
    [anon_sym_else] = ACTIONS(3662),
    [anon_sym_if] = ACTIONS(3662),
    [anon_sym_switch] = ACTIONS(3662),
    [anon_sym_for] = ACTIONS(3662),
    [anon_sym_LPAREN] = ACTIONS(3662),
    [anon_sym_await] = ACTIONS(3662),
    [anon_sym_of] = ACTIONS(3662),
    [anon_sym_while] = ACTIONS(3662),
    [anon_sym_do] = ACTIONS(3662),
    [anon_sym_try] = ACTIONS(3662),
    [anon_sym_break] = ACTIONS(3662),
    [anon_sym_continue] = ACTIONS(3662),
    [anon_sym_debugger] = ACTIONS(3662),
    [anon_sym_return] = ACTIONS(3662),
    [anon_sym_throw] = ACTIONS(3662),
    [anon_sym_SEMI] = ACTIONS(3662),
    [anon_sym_case] = ACTIONS(3662),
    [anon_sym_yield] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_LTtemplate_GT] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3662),
    [anon_sym_SQUOTE] = ACTIONS(3662),
    [anon_sym_class] = ACTIONS(3662),
    [anon_sym_async] = ACTIONS(3662),
    [anon_sym_function] = ACTIONS(3662),
    [anon_sym_new] = ACTIONS(3662),
    [anon_sym_using] = ACTIONS(3662),
    [anon_sym_PLUS] = ACTIONS(3662),
    [anon_sym_DASH] = ACTIONS(3662),
    [anon_sym_SLASH] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3662),
    [anon_sym_TILDE] = ACTIONS(3662),
    [anon_sym_void] = ACTIONS(3662),
    [anon_sym_delete] = ACTIONS(3662),
    [anon_sym_PLUS_PLUS] = ACTIONS(3662),
    [anon_sym_DASH_DASH] = ACTIONS(3662),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3662),
    [sym_number] = ACTIONS(3662),
    [sym_private_property_identifier] = ACTIONS(3662),
    [sym_this] = ACTIONS(3662),
    [sym_super] = ACTIONS(3662),
    [sym_true] = ACTIONS(3662),
    [sym_false] = ACTIONS(3662),
    [sym_null] = ACTIONS(3662),
    [sym_undefined] = ACTIONS(3662),
    [anon_sym_AT] = ACTIONS(3662),
    [anon_sym_static] = ACTIONS(3662),
    [anon_sym_readonly] = ACTIONS(3662),
    [anon_sym_get] = ACTIONS(3662),
    [anon_sym_set] = ACTIONS(3662),
    [anon_sym_declare] = ACTIONS(3662),
    [anon_sym_public] = ACTIONS(3662),
    [anon_sym_private] = ACTIONS(3662),
    [anon_sym_protected] = ACTIONS(3662),
    [anon_sym_override] = ACTIONS(3662),
    [anon_sym_module] = ACTIONS(3662),
    [anon_sym_any] = ACTIONS(3662),
    [anon_sym_number] = ACTIONS(3662),
    [anon_sym_boolean] = ACTIONS(3662),
    [anon_sym_string] = ACTIONS(3662),
    [anon_sym_symbol] = ACTIONS(3662),
    [anon_sym_object] = ACTIONS(3662),
    [anon_sym_property] = ACTIONS(3662),
    [anon_sym_signal] = ACTIONS(3662),
    [anon_sym_on] = ACTIONS(3662),
    [anon_sym_required] = ACTIONS(3662),
    [anon_sym_component] = ACTIONS(3662),
    [anon_sym_abstract] = ACTIONS(3662),
    [anon_sym_interface] = ACTIONS(3662),
    [anon_sym_enum] = ACTIONS(3662),
    [sym_html_comment] = ACTIONS(5),
  },
  [1238] = {
    [sym_comment] = STATE(1238),
    [sym_identifier] = ACTIONS(3664),
    [anon_sym_export] = ACTIONS(3664),
    [anon_sym_default] = ACTIONS(3664),
    [anon_sym_type] = ACTIONS(3664),
    [anon_sym_namespace] = ACTIONS(3664),
    [anon_sym_LBRACE] = ACTIONS(3664),
    [anon_sym_RBRACE] = ACTIONS(3664),
    [anon_sym_typeof] = ACTIONS(3664),
    [anon_sym_import] = ACTIONS(3664),
    [anon_sym_from] = ACTIONS(3664),
    [anon_sym_with] = ACTIONS(3664),
    [anon_sym_var] = ACTIONS(3664),
    [anon_sym_let] = ACTIONS(3664),
    [anon_sym_const] = ACTIONS(3664),
    [anon_sym_BANG] = ACTIONS(3664),
    [anon_sym_else] = ACTIONS(3664),
    [anon_sym_if] = ACTIONS(3664),
    [anon_sym_switch] = ACTIONS(3664),
    [anon_sym_for] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(3664),
    [anon_sym_await] = ACTIONS(3664),
    [anon_sym_of] = ACTIONS(3664),
    [anon_sym_while] = ACTIONS(3664),
    [anon_sym_do] = ACTIONS(3664),
    [anon_sym_try] = ACTIONS(3664),
    [anon_sym_break] = ACTIONS(3664),
    [anon_sym_continue] = ACTIONS(3664),
    [anon_sym_debugger] = ACTIONS(3664),
    [anon_sym_return] = ACTIONS(3664),
    [anon_sym_throw] = ACTIONS(3664),
    [anon_sym_SEMI] = ACTIONS(3664),
    [anon_sym_case] = ACTIONS(3664),
    [anon_sym_yield] = ACTIONS(3664),
    [anon_sym_LBRACK] = ACTIONS(3664),
    [anon_sym_LTtemplate_GT] = ACTIONS(3664),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3664),
    [anon_sym_class] = ACTIONS(3664),
    [anon_sym_async] = ACTIONS(3664),
    [anon_sym_function] = ACTIONS(3664),
    [anon_sym_new] = ACTIONS(3664),
    [anon_sym_using] = ACTIONS(3664),
    [anon_sym_PLUS] = ACTIONS(3664),
    [anon_sym_DASH] = ACTIONS(3664),
    [anon_sym_SLASH] = ACTIONS(3664),
    [anon_sym_LT] = ACTIONS(3664),
    [anon_sym_TILDE] = ACTIONS(3664),
    [anon_sym_void] = ACTIONS(3664),
    [anon_sym_delete] = ACTIONS(3664),
    [anon_sym_PLUS_PLUS] = ACTIONS(3664),
    [anon_sym_DASH_DASH] = ACTIONS(3664),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3664),
    [sym_number] = ACTIONS(3664),
    [sym_private_property_identifier] = ACTIONS(3664),
    [sym_this] = ACTIONS(3664),
    [sym_super] = ACTIONS(3664),
    [sym_true] = ACTIONS(3664),
    [sym_false] = ACTIONS(3664),
    [sym_null] = ACTIONS(3664),
    [sym_undefined] = ACTIONS(3664),
    [anon_sym_AT] = ACTIONS(3664),
    [anon_sym_static] = ACTIONS(3664),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_get] = ACTIONS(3664),
    [anon_sym_set] = ACTIONS(3664),
    [anon_sym_declare] = ACTIONS(3664),
    [anon_sym_public] = ACTIONS(3664),
    [anon_sym_private] = ACTIONS(3664),
    [anon_sym_protected] = ACTIONS(3664),
    [anon_sym_override] = ACTIONS(3664),
    [anon_sym_module] = ACTIONS(3664),
    [anon_sym_any] = ACTIONS(3664),
    [anon_sym_number] = ACTIONS(3664),
    [anon_sym_boolean] = ACTIONS(3664),
    [anon_sym_string] = ACTIONS(3664),
    [anon_sym_symbol] = ACTIONS(3664),
    [anon_sym_object] = ACTIONS(3664),
    [anon_sym_property] = ACTIONS(3664),
    [anon_sym_signal] = ACTIONS(3664),
    [anon_sym_on] = ACTIONS(3664),
    [anon_sym_required] = ACTIONS(3664),
    [anon_sym_component] = ACTIONS(3664),
    [anon_sym_abstract] = ACTIONS(3664),
    [anon_sym_interface] = ACTIONS(3664),
    [anon_sym_enum] = ACTIONS(3664),
    [sym_html_comment] = ACTIONS(5),
  },
  [1239] = {
    [sym_comment] = STATE(1239),
    [sym_identifier] = ACTIONS(3662),
    [anon_sym_export] = ACTIONS(3662),
    [anon_sym_default] = ACTIONS(3662),
    [anon_sym_type] = ACTIONS(3662),
    [anon_sym_namespace] = ACTIONS(3662),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(3662),
    [anon_sym_typeof] = ACTIONS(3662),
    [anon_sym_import] = ACTIONS(3662),
    [anon_sym_from] = ACTIONS(3662),
    [anon_sym_with] = ACTIONS(3662),
    [anon_sym_var] = ACTIONS(3662),
    [anon_sym_let] = ACTIONS(3662),
    [anon_sym_const] = ACTIONS(3662),
    [anon_sym_BANG] = ACTIONS(3662),
    [anon_sym_else] = ACTIONS(3662),
    [anon_sym_if] = ACTIONS(3662),
    [anon_sym_switch] = ACTIONS(3662),
    [anon_sym_for] = ACTIONS(3662),
    [anon_sym_LPAREN] = ACTIONS(3662),
    [anon_sym_await] = ACTIONS(3662),
    [anon_sym_of] = ACTIONS(3662),
    [anon_sym_while] = ACTIONS(3662),
    [anon_sym_do] = ACTIONS(3662),
    [anon_sym_try] = ACTIONS(3662),
    [anon_sym_break] = ACTIONS(3662),
    [anon_sym_continue] = ACTIONS(3662),
    [anon_sym_debugger] = ACTIONS(3662),
    [anon_sym_return] = ACTIONS(3662),
    [anon_sym_throw] = ACTIONS(3662),
    [anon_sym_SEMI] = ACTIONS(3662),
    [anon_sym_case] = ACTIONS(3662),
    [anon_sym_yield] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_LTtemplate_GT] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3662),
    [anon_sym_SQUOTE] = ACTIONS(3662),
    [anon_sym_class] = ACTIONS(3662),
    [anon_sym_async] = ACTIONS(3662),
    [anon_sym_function] = ACTIONS(3662),
    [anon_sym_new] = ACTIONS(3662),
    [anon_sym_using] = ACTIONS(3662),
    [anon_sym_PLUS] = ACTIONS(3662),
    [anon_sym_DASH] = ACTIONS(3662),
    [anon_sym_SLASH] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3662),
    [anon_sym_TILDE] = ACTIONS(3662),
    [anon_sym_void] = ACTIONS(3662),
    [anon_sym_delete] = ACTIONS(3662),
    [anon_sym_PLUS_PLUS] = ACTIONS(3662),
    [anon_sym_DASH_DASH] = ACTIONS(3662),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3662),
    [sym_number] = ACTIONS(3662),
    [sym_private_property_identifier] = ACTIONS(3662),
    [sym_this] = ACTIONS(3662),
    [sym_super] = ACTIONS(3662),
    [sym_true] = ACTIONS(3662),
    [sym_false] = ACTIONS(3662),
    [sym_null] = ACTIONS(3662),
    [sym_undefined] = ACTIONS(3662),
    [anon_sym_AT] = ACTIONS(3662),
    [anon_sym_static] = ACTIONS(3662),
    [anon_sym_readonly] = ACTIONS(3662),
    [anon_sym_get] = ACTIONS(3662),
    [anon_sym_set] = ACTIONS(3662),
    [anon_sym_declare] = ACTIONS(3662),
    [anon_sym_public] = ACTIONS(3662),
    [anon_sym_private] = ACTIONS(3662),
    [anon_sym_protected] = ACTIONS(3662),
    [anon_sym_override] = ACTIONS(3662),
    [anon_sym_module] = ACTIONS(3662),
    [anon_sym_any] = ACTIONS(3662),
    [anon_sym_number] = ACTIONS(3662),
    [anon_sym_boolean] = ACTIONS(3662),
    [anon_sym_string] = ACTIONS(3662),
    [anon_sym_symbol] = ACTIONS(3662),
    [anon_sym_object] = ACTIONS(3662),
    [anon_sym_property] = ACTIONS(3662),
    [anon_sym_signal] = ACTIONS(3662),
    [anon_sym_on] = ACTIONS(3662),
    [anon_sym_required] = ACTIONS(3662),
    [anon_sym_component] = ACTIONS(3662),
    [anon_sym_abstract] = ACTIONS(3662),
    [anon_sym_interface] = ACTIONS(3662),
    [anon_sym_enum] = ACTIONS(3662),
    [sym_html_comment] = ACTIONS(5),
  },
  [1240] = {
    [sym_comment] = STATE(1240),
    [sym_identifier] = ACTIONS(3666),
    [anon_sym_export] = ACTIONS(3666),
    [anon_sym_default] = ACTIONS(3666),
    [anon_sym_type] = ACTIONS(3666),
    [anon_sym_namespace] = ACTIONS(3666),
    [anon_sym_LBRACE] = ACTIONS(3666),
    [anon_sym_RBRACE] = ACTIONS(3666),
    [anon_sym_typeof] = ACTIONS(3666),
    [anon_sym_import] = ACTIONS(3666),
    [anon_sym_from] = ACTIONS(3666),
    [anon_sym_with] = ACTIONS(3666),
    [anon_sym_var] = ACTIONS(3666),
    [anon_sym_let] = ACTIONS(3666),
    [anon_sym_const] = ACTIONS(3666),
    [anon_sym_BANG] = ACTIONS(3666),
    [anon_sym_else] = ACTIONS(3666),
    [anon_sym_if] = ACTIONS(3666),
    [anon_sym_switch] = ACTIONS(3666),
    [anon_sym_for] = ACTIONS(3666),
    [anon_sym_LPAREN] = ACTIONS(3666),
    [anon_sym_await] = ACTIONS(3666),
    [anon_sym_of] = ACTIONS(3666),
    [anon_sym_while] = ACTIONS(3666),
    [anon_sym_do] = ACTIONS(3666),
    [anon_sym_try] = ACTIONS(3666),
    [anon_sym_break] = ACTIONS(3666),
    [anon_sym_continue] = ACTIONS(3666),
    [anon_sym_debugger] = ACTIONS(3666),
    [anon_sym_return] = ACTIONS(3666),
    [anon_sym_throw] = ACTIONS(3666),
    [anon_sym_SEMI] = ACTIONS(3666),
    [anon_sym_case] = ACTIONS(3666),
    [anon_sym_yield] = ACTIONS(3666),
    [anon_sym_LBRACK] = ACTIONS(3666),
    [anon_sym_LTtemplate_GT] = ACTIONS(3666),
    [anon_sym_DQUOTE] = ACTIONS(3666),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_class] = ACTIONS(3666),
    [anon_sym_async] = ACTIONS(3666),
    [anon_sym_function] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3666),
    [anon_sym_using] = ACTIONS(3666),
    [anon_sym_PLUS] = ACTIONS(3666),
    [anon_sym_DASH] = ACTIONS(3666),
    [anon_sym_SLASH] = ACTIONS(3666),
    [anon_sym_LT] = ACTIONS(3666),
    [anon_sym_TILDE] = ACTIONS(3666),
    [anon_sym_void] = ACTIONS(3666),
    [anon_sym_delete] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3666),
    [anon_sym_DASH_DASH] = ACTIONS(3666),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3666),
    [sym_number] = ACTIONS(3666),
    [sym_private_property_identifier] = ACTIONS(3666),
    [sym_this] = ACTIONS(3666),
    [sym_super] = ACTIONS(3666),
    [sym_true] = ACTIONS(3666),
    [sym_false] = ACTIONS(3666),
    [sym_null] = ACTIONS(3666),
    [sym_undefined] = ACTIONS(3666),
    [anon_sym_AT] = ACTIONS(3666),
    [anon_sym_static] = ACTIONS(3666),
    [anon_sym_readonly] = ACTIONS(3666),
    [anon_sym_get] = ACTIONS(3666),
    [anon_sym_set] = ACTIONS(3666),
    [anon_sym_declare] = ACTIONS(3666),
    [anon_sym_public] = ACTIONS(3666),
    [anon_sym_private] = ACTIONS(3666),
    [anon_sym_protected] = ACTIONS(3666),
    [anon_sym_override] = ACTIONS(3666),
    [anon_sym_module] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3666),
    [anon_sym_number] = ACTIONS(3666),
    [anon_sym_boolean] = ACTIONS(3666),
    [anon_sym_string] = ACTIONS(3666),
    [anon_sym_symbol] = ACTIONS(3666),
    [anon_sym_object] = ACTIONS(3666),
    [anon_sym_property] = ACTIONS(3666),
    [anon_sym_signal] = ACTIONS(3666),
    [anon_sym_on] = ACTIONS(3666),
    [anon_sym_required] = ACTIONS(3666),
    [anon_sym_component] = ACTIONS(3666),
    [anon_sym_abstract] = ACTIONS(3666),
    [anon_sym_interface] = ACTIONS(3666),
    [anon_sym_enum] = ACTIONS(3666),
    [sym_html_comment] = ACTIONS(5),
  },
  [1241] = {
    [sym_comment] = STATE(1241),
    [sym_identifier] = ACTIONS(3668),
    [anon_sym_export] = ACTIONS(3668),
    [anon_sym_default] = ACTIONS(3668),
    [anon_sym_type] = ACTIONS(3668),
    [anon_sym_namespace] = ACTIONS(3668),
    [anon_sym_LBRACE] = ACTIONS(3668),
    [anon_sym_RBRACE] = ACTIONS(3668),
    [anon_sym_typeof] = ACTIONS(3668),
    [anon_sym_import] = ACTIONS(3668),
    [anon_sym_from] = ACTIONS(3668),
    [anon_sym_with] = ACTIONS(3668),
    [anon_sym_var] = ACTIONS(3668),
    [anon_sym_let] = ACTIONS(3668),
    [anon_sym_const] = ACTIONS(3668),
    [anon_sym_BANG] = ACTIONS(3668),
    [anon_sym_else] = ACTIONS(3668),
    [anon_sym_if] = ACTIONS(3668),
    [anon_sym_switch] = ACTIONS(3668),
    [anon_sym_for] = ACTIONS(3668),
    [anon_sym_LPAREN] = ACTIONS(3668),
    [anon_sym_await] = ACTIONS(3668),
    [anon_sym_of] = ACTIONS(3668),
    [anon_sym_while] = ACTIONS(3668),
    [anon_sym_do] = ACTIONS(3668),
    [anon_sym_try] = ACTIONS(3668),
    [anon_sym_break] = ACTIONS(3668),
    [anon_sym_continue] = ACTIONS(3668),
    [anon_sym_debugger] = ACTIONS(3668),
    [anon_sym_return] = ACTIONS(3668),
    [anon_sym_throw] = ACTIONS(3668),
    [anon_sym_SEMI] = ACTIONS(3668),
    [anon_sym_case] = ACTIONS(3668),
    [anon_sym_yield] = ACTIONS(3668),
    [anon_sym_LBRACK] = ACTIONS(3668),
    [anon_sym_LTtemplate_GT] = ACTIONS(3668),
    [anon_sym_DQUOTE] = ACTIONS(3668),
    [anon_sym_SQUOTE] = ACTIONS(3668),
    [anon_sym_class] = ACTIONS(3668),
    [anon_sym_async] = ACTIONS(3668),
    [anon_sym_function] = ACTIONS(3668),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_using] = ACTIONS(3668),
    [anon_sym_PLUS] = ACTIONS(3668),
    [anon_sym_DASH] = ACTIONS(3668),
    [anon_sym_SLASH] = ACTIONS(3668),
    [anon_sym_LT] = ACTIONS(3668),
    [anon_sym_TILDE] = ACTIONS(3668),
    [anon_sym_void] = ACTIONS(3668),
    [anon_sym_delete] = ACTIONS(3668),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3668),
    [sym_number] = ACTIONS(3668),
    [sym_private_property_identifier] = ACTIONS(3668),
    [sym_this] = ACTIONS(3668),
    [sym_super] = ACTIONS(3668),
    [sym_true] = ACTIONS(3668),
    [sym_false] = ACTIONS(3668),
    [sym_null] = ACTIONS(3668),
    [sym_undefined] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(3668),
    [anon_sym_static] = ACTIONS(3668),
    [anon_sym_readonly] = ACTIONS(3668),
    [anon_sym_get] = ACTIONS(3668),
    [anon_sym_set] = ACTIONS(3668),
    [anon_sym_declare] = ACTIONS(3668),
    [anon_sym_public] = ACTIONS(3668),
    [anon_sym_private] = ACTIONS(3668),
    [anon_sym_protected] = ACTIONS(3668),
    [anon_sym_override] = ACTIONS(3668),
    [anon_sym_module] = ACTIONS(3668),
    [anon_sym_any] = ACTIONS(3668),
    [anon_sym_number] = ACTIONS(3668),
    [anon_sym_boolean] = ACTIONS(3668),
    [anon_sym_string] = ACTIONS(3668),
    [anon_sym_symbol] = ACTIONS(3668),
    [anon_sym_object] = ACTIONS(3668),
    [anon_sym_property] = ACTIONS(3668),
    [anon_sym_signal] = ACTIONS(3668),
    [anon_sym_on] = ACTIONS(3668),
    [anon_sym_required] = ACTIONS(3668),
    [anon_sym_component] = ACTIONS(3668),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_interface] = ACTIONS(3668),
    [anon_sym_enum] = ACTIONS(3668),
    [sym_html_comment] = ACTIONS(5),
  },
  [1242] = {
    [sym_comment] = STATE(1242),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_catch] = ACTIONS(2287),
    [anon_sym_finally] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(3670),
    [sym_html_comment] = ACTIONS(5),
  },
  [1243] = {
    [sym_comment] = STATE(1243),
    [sym_identifier] = ACTIONS(3672),
    [anon_sym_export] = ACTIONS(3672),
    [anon_sym_default] = ACTIONS(3672),
    [anon_sym_type] = ACTIONS(3672),
    [anon_sym_namespace] = ACTIONS(3672),
    [anon_sym_LBRACE] = ACTIONS(3672),
    [anon_sym_RBRACE] = ACTIONS(3672),
    [anon_sym_typeof] = ACTIONS(3672),
    [anon_sym_import] = ACTIONS(3672),
    [anon_sym_from] = ACTIONS(3672),
    [anon_sym_with] = ACTIONS(3672),
    [anon_sym_var] = ACTIONS(3672),
    [anon_sym_let] = ACTIONS(3672),
    [anon_sym_const] = ACTIONS(3672),
    [anon_sym_BANG] = ACTIONS(3672),
    [anon_sym_else] = ACTIONS(3672),
    [anon_sym_if] = ACTIONS(3672),
    [anon_sym_switch] = ACTIONS(3672),
    [anon_sym_for] = ACTIONS(3672),
    [anon_sym_LPAREN] = ACTIONS(3672),
    [anon_sym_await] = ACTIONS(3672),
    [anon_sym_of] = ACTIONS(3672),
    [anon_sym_while] = ACTIONS(3672),
    [anon_sym_do] = ACTIONS(3672),
    [anon_sym_try] = ACTIONS(3672),
    [anon_sym_break] = ACTIONS(3672),
    [anon_sym_continue] = ACTIONS(3672),
    [anon_sym_debugger] = ACTIONS(3672),
    [anon_sym_return] = ACTIONS(3672),
    [anon_sym_throw] = ACTIONS(3672),
    [anon_sym_SEMI] = ACTIONS(3672),
    [anon_sym_case] = ACTIONS(3672),
    [anon_sym_yield] = ACTIONS(3672),
    [anon_sym_LBRACK] = ACTIONS(3672),
    [anon_sym_LTtemplate_GT] = ACTIONS(3672),
    [anon_sym_DQUOTE] = ACTIONS(3672),
    [anon_sym_SQUOTE] = ACTIONS(3672),
    [anon_sym_class] = ACTIONS(3672),
    [anon_sym_async] = ACTIONS(3672),
    [anon_sym_function] = ACTIONS(3672),
    [anon_sym_new] = ACTIONS(3672),
    [anon_sym_using] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3672),
    [anon_sym_DASH] = ACTIONS(3672),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_LT] = ACTIONS(3672),
    [anon_sym_TILDE] = ACTIONS(3672),
    [anon_sym_void] = ACTIONS(3672),
    [anon_sym_delete] = ACTIONS(3672),
    [anon_sym_PLUS_PLUS] = ACTIONS(3672),
    [anon_sym_DASH_DASH] = ACTIONS(3672),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3672),
    [sym_number] = ACTIONS(3672),
    [sym_private_property_identifier] = ACTIONS(3672),
    [sym_this] = ACTIONS(3672),
    [sym_super] = ACTIONS(3672),
    [sym_true] = ACTIONS(3672),
    [sym_false] = ACTIONS(3672),
    [sym_null] = ACTIONS(3672),
    [sym_undefined] = ACTIONS(3672),
    [anon_sym_AT] = ACTIONS(3672),
    [anon_sym_static] = ACTIONS(3672),
    [anon_sym_readonly] = ACTIONS(3672),
    [anon_sym_get] = ACTIONS(3672),
    [anon_sym_set] = ACTIONS(3672),
    [anon_sym_declare] = ACTIONS(3672),
    [anon_sym_public] = ACTIONS(3672),
    [anon_sym_private] = ACTIONS(3672),
    [anon_sym_protected] = ACTIONS(3672),
    [anon_sym_override] = ACTIONS(3672),
    [anon_sym_module] = ACTIONS(3672),
    [anon_sym_any] = ACTIONS(3672),
    [anon_sym_number] = ACTIONS(3672),
    [anon_sym_boolean] = ACTIONS(3672),
    [anon_sym_string] = ACTIONS(3672),
    [anon_sym_symbol] = ACTIONS(3672),
    [anon_sym_object] = ACTIONS(3672),
    [anon_sym_property] = ACTIONS(3672),
    [anon_sym_signal] = ACTIONS(3672),
    [anon_sym_on] = ACTIONS(3672),
    [anon_sym_required] = ACTIONS(3672),
    [anon_sym_component] = ACTIONS(3672),
    [anon_sym_abstract] = ACTIONS(3672),
    [anon_sym_interface] = ACTIONS(3672),
    [anon_sym_enum] = ACTIONS(3672),
    [sym_html_comment] = ACTIONS(5),
  },
  [1244] = {
    [sym_comment] = STATE(1244),
    [sym_identifier] = ACTIONS(3674),
    [anon_sym_export] = ACTIONS(3674),
    [anon_sym_default] = ACTIONS(3674),
    [anon_sym_type] = ACTIONS(3674),
    [anon_sym_namespace] = ACTIONS(3674),
    [anon_sym_LBRACE] = ACTIONS(3674),
    [anon_sym_RBRACE] = ACTIONS(3674),
    [anon_sym_typeof] = ACTIONS(3674),
    [anon_sym_import] = ACTIONS(3674),
    [anon_sym_from] = ACTIONS(3674),
    [anon_sym_with] = ACTIONS(3674),
    [anon_sym_var] = ACTIONS(3674),
    [anon_sym_let] = ACTIONS(3674),
    [anon_sym_const] = ACTIONS(3674),
    [anon_sym_BANG] = ACTIONS(3674),
    [anon_sym_else] = ACTIONS(3674),
    [anon_sym_if] = ACTIONS(3674),
    [anon_sym_switch] = ACTIONS(3674),
    [anon_sym_for] = ACTIONS(3674),
    [anon_sym_LPAREN] = ACTIONS(3674),
    [anon_sym_await] = ACTIONS(3674),
    [anon_sym_of] = ACTIONS(3674),
    [anon_sym_while] = ACTIONS(3674),
    [anon_sym_do] = ACTIONS(3674),
    [anon_sym_try] = ACTIONS(3674),
    [anon_sym_break] = ACTIONS(3674),
    [anon_sym_continue] = ACTIONS(3674),
    [anon_sym_debugger] = ACTIONS(3674),
    [anon_sym_return] = ACTIONS(3674),
    [anon_sym_throw] = ACTIONS(3674),
    [anon_sym_SEMI] = ACTIONS(3674),
    [anon_sym_case] = ACTIONS(3674),
    [anon_sym_yield] = ACTIONS(3674),
    [anon_sym_LBRACK] = ACTIONS(3674),
    [anon_sym_LTtemplate_GT] = ACTIONS(3674),
    [anon_sym_DQUOTE] = ACTIONS(3674),
    [anon_sym_SQUOTE] = ACTIONS(3674),
    [anon_sym_class] = ACTIONS(3674),
    [anon_sym_async] = ACTIONS(3674),
    [anon_sym_function] = ACTIONS(3674),
    [anon_sym_new] = ACTIONS(3674),
    [anon_sym_using] = ACTIONS(3674),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_SLASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3674),
    [anon_sym_TILDE] = ACTIONS(3674),
    [anon_sym_void] = ACTIONS(3674),
    [anon_sym_delete] = ACTIONS(3674),
    [anon_sym_PLUS_PLUS] = ACTIONS(3674),
    [anon_sym_DASH_DASH] = ACTIONS(3674),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3674),
    [sym_number] = ACTIONS(3674),
    [sym_private_property_identifier] = ACTIONS(3674),
    [sym_this] = ACTIONS(3674),
    [sym_super] = ACTIONS(3674),
    [sym_true] = ACTIONS(3674),
    [sym_false] = ACTIONS(3674),
    [sym_null] = ACTIONS(3674),
    [sym_undefined] = ACTIONS(3674),
    [anon_sym_AT] = ACTIONS(3674),
    [anon_sym_static] = ACTIONS(3674),
    [anon_sym_readonly] = ACTIONS(3674),
    [anon_sym_get] = ACTIONS(3674),
    [anon_sym_set] = ACTIONS(3674),
    [anon_sym_declare] = ACTIONS(3674),
    [anon_sym_public] = ACTIONS(3674),
    [anon_sym_private] = ACTIONS(3674),
    [anon_sym_protected] = ACTIONS(3674),
    [anon_sym_override] = ACTIONS(3674),
    [anon_sym_module] = ACTIONS(3674),
    [anon_sym_any] = ACTIONS(3674),
    [anon_sym_number] = ACTIONS(3674),
    [anon_sym_boolean] = ACTIONS(3674),
    [anon_sym_string] = ACTIONS(3674),
    [anon_sym_symbol] = ACTIONS(3674),
    [anon_sym_object] = ACTIONS(3674),
    [anon_sym_property] = ACTIONS(3674),
    [anon_sym_signal] = ACTIONS(3674),
    [anon_sym_on] = ACTIONS(3674),
    [anon_sym_required] = ACTIONS(3674),
    [anon_sym_component] = ACTIONS(3674),
    [anon_sym_abstract] = ACTIONS(3674),
    [anon_sym_interface] = ACTIONS(3674),
    [anon_sym_enum] = ACTIONS(3674),
    [sym_html_comment] = ACTIONS(5),
  },
  [1245] = {
    [sym_comment] = STATE(1245),
    [sym_identifier] = ACTIONS(3676),
    [anon_sym_export] = ACTIONS(3676),
    [anon_sym_default] = ACTIONS(3676),
    [anon_sym_type] = ACTIONS(3676),
    [anon_sym_namespace] = ACTIONS(3676),
    [anon_sym_LBRACE] = ACTIONS(3676),
    [anon_sym_RBRACE] = ACTIONS(3676),
    [anon_sym_typeof] = ACTIONS(3676),
    [anon_sym_import] = ACTIONS(3676),
    [anon_sym_from] = ACTIONS(3676),
    [anon_sym_with] = ACTIONS(3676),
    [anon_sym_var] = ACTIONS(3676),
    [anon_sym_let] = ACTIONS(3676),
    [anon_sym_const] = ACTIONS(3676),
    [anon_sym_BANG] = ACTIONS(3676),
    [anon_sym_else] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(3676),
    [anon_sym_switch] = ACTIONS(3676),
    [anon_sym_for] = ACTIONS(3676),
    [anon_sym_LPAREN] = ACTIONS(3676),
    [anon_sym_await] = ACTIONS(3676),
    [anon_sym_of] = ACTIONS(3676),
    [anon_sym_while] = ACTIONS(3676),
    [anon_sym_do] = ACTIONS(3676),
    [anon_sym_try] = ACTIONS(3676),
    [anon_sym_break] = ACTIONS(3676),
    [anon_sym_continue] = ACTIONS(3676),
    [anon_sym_debugger] = ACTIONS(3676),
    [anon_sym_return] = ACTIONS(3676),
    [anon_sym_throw] = ACTIONS(3676),
    [anon_sym_SEMI] = ACTIONS(3676),
    [anon_sym_case] = ACTIONS(3676),
    [anon_sym_yield] = ACTIONS(3676),
    [anon_sym_LBRACK] = ACTIONS(3676),
    [anon_sym_LTtemplate_GT] = ACTIONS(3676),
    [anon_sym_DQUOTE] = ACTIONS(3676),
    [anon_sym_SQUOTE] = ACTIONS(3676),
    [anon_sym_class] = ACTIONS(3676),
    [anon_sym_async] = ACTIONS(3676),
    [anon_sym_function] = ACTIONS(3676),
    [anon_sym_new] = ACTIONS(3676),
    [anon_sym_using] = ACTIONS(3676),
    [anon_sym_PLUS] = ACTIONS(3676),
    [anon_sym_DASH] = ACTIONS(3676),
    [anon_sym_SLASH] = ACTIONS(3676),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_TILDE] = ACTIONS(3676),
    [anon_sym_void] = ACTIONS(3676),
    [anon_sym_delete] = ACTIONS(3676),
    [anon_sym_PLUS_PLUS] = ACTIONS(3676),
    [anon_sym_DASH_DASH] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3676),
    [sym_number] = ACTIONS(3676),
    [sym_private_property_identifier] = ACTIONS(3676),
    [sym_this] = ACTIONS(3676),
    [sym_super] = ACTIONS(3676),
    [sym_true] = ACTIONS(3676),
    [sym_false] = ACTIONS(3676),
    [sym_null] = ACTIONS(3676),
    [sym_undefined] = ACTIONS(3676),
    [anon_sym_AT] = ACTIONS(3676),
    [anon_sym_static] = ACTIONS(3676),
    [anon_sym_readonly] = ACTIONS(3676),
    [anon_sym_get] = ACTIONS(3676),
    [anon_sym_set] = ACTIONS(3676),
    [anon_sym_declare] = ACTIONS(3676),
    [anon_sym_public] = ACTIONS(3676),
    [anon_sym_private] = ACTIONS(3676),
    [anon_sym_protected] = ACTIONS(3676),
    [anon_sym_override] = ACTIONS(3676),
    [anon_sym_module] = ACTIONS(3676),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_property] = ACTIONS(3676),
    [anon_sym_signal] = ACTIONS(3676),
    [anon_sym_on] = ACTIONS(3676),
    [anon_sym_required] = ACTIONS(3676),
    [anon_sym_component] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3676),
    [anon_sym_interface] = ACTIONS(3676),
    [anon_sym_enum] = ACTIONS(3676),
    [sym_html_comment] = ACTIONS(5),
  },
  [1246] = {
    [sym_comment] = STATE(1246),
    [sym_identifier] = ACTIONS(3678),
    [anon_sym_export] = ACTIONS(3678),
    [anon_sym_default] = ACTIONS(3678),
    [anon_sym_type] = ACTIONS(3678),
    [anon_sym_namespace] = ACTIONS(3678),
    [anon_sym_LBRACE] = ACTIONS(3678),
    [anon_sym_RBRACE] = ACTIONS(3678),
    [anon_sym_typeof] = ACTIONS(3678),
    [anon_sym_import] = ACTIONS(3678),
    [anon_sym_from] = ACTIONS(3678),
    [anon_sym_with] = ACTIONS(3678),
    [anon_sym_var] = ACTIONS(3678),
    [anon_sym_let] = ACTIONS(3678),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_BANG] = ACTIONS(3678),
    [anon_sym_else] = ACTIONS(3678),
    [anon_sym_if] = ACTIONS(3678),
    [anon_sym_switch] = ACTIONS(3678),
    [anon_sym_for] = ACTIONS(3678),
    [anon_sym_LPAREN] = ACTIONS(3678),
    [anon_sym_await] = ACTIONS(3678),
    [anon_sym_of] = ACTIONS(3678),
    [anon_sym_while] = ACTIONS(3678),
    [anon_sym_do] = ACTIONS(3678),
    [anon_sym_try] = ACTIONS(3678),
    [anon_sym_break] = ACTIONS(3678),
    [anon_sym_continue] = ACTIONS(3678),
    [anon_sym_debugger] = ACTIONS(3678),
    [anon_sym_return] = ACTIONS(3678),
    [anon_sym_throw] = ACTIONS(3678),
    [anon_sym_SEMI] = ACTIONS(3678),
    [anon_sym_case] = ACTIONS(3678),
    [anon_sym_yield] = ACTIONS(3678),
    [anon_sym_LBRACK] = ACTIONS(3678),
    [anon_sym_LTtemplate_GT] = ACTIONS(3678),
    [anon_sym_DQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_class] = ACTIONS(3678),
    [anon_sym_async] = ACTIONS(3678),
    [anon_sym_function] = ACTIONS(3678),
    [anon_sym_new] = ACTIONS(3678),
    [anon_sym_using] = ACTIONS(3678),
    [anon_sym_PLUS] = ACTIONS(3678),
    [anon_sym_DASH] = ACTIONS(3678),
    [anon_sym_SLASH] = ACTIONS(3678),
    [anon_sym_LT] = ACTIONS(3678),
    [anon_sym_TILDE] = ACTIONS(3678),
    [anon_sym_void] = ACTIONS(3678),
    [anon_sym_delete] = ACTIONS(3678),
    [anon_sym_PLUS_PLUS] = ACTIONS(3678),
    [anon_sym_DASH_DASH] = ACTIONS(3678),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3678),
    [sym_private_property_identifier] = ACTIONS(3678),
    [sym_this] = ACTIONS(3678),
    [sym_super] = ACTIONS(3678),
    [sym_true] = ACTIONS(3678),
    [sym_false] = ACTIONS(3678),
    [sym_null] = ACTIONS(3678),
    [sym_undefined] = ACTIONS(3678),
    [anon_sym_AT] = ACTIONS(3678),
    [anon_sym_static] = ACTIONS(3678),
    [anon_sym_readonly] = ACTIONS(3678),
    [anon_sym_get] = ACTIONS(3678),
    [anon_sym_set] = ACTIONS(3678),
    [anon_sym_declare] = ACTIONS(3678),
    [anon_sym_public] = ACTIONS(3678),
    [anon_sym_private] = ACTIONS(3678),
    [anon_sym_protected] = ACTIONS(3678),
    [anon_sym_override] = ACTIONS(3678),
    [anon_sym_module] = ACTIONS(3678),
    [anon_sym_any] = ACTIONS(3678),
    [anon_sym_number] = ACTIONS(3678),
    [anon_sym_boolean] = ACTIONS(3678),
    [anon_sym_string] = ACTIONS(3678),
    [anon_sym_symbol] = ACTIONS(3678),
    [anon_sym_object] = ACTIONS(3678),
    [anon_sym_property] = ACTIONS(3678),
    [anon_sym_signal] = ACTIONS(3678),
    [anon_sym_on] = ACTIONS(3678),
    [anon_sym_required] = ACTIONS(3678),
    [anon_sym_component] = ACTIONS(3678),
    [anon_sym_abstract] = ACTIONS(3678),
    [anon_sym_interface] = ACTIONS(3678),
    [anon_sym_enum] = ACTIONS(3678),
    [sym_html_comment] = ACTIONS(5),
  },
  [1247] = {
    [sym_comment] = STATE(1247),
    [sym_identifier] = ACTIONS(3680),
    [anon_sym_export] = ACTIONS(3680),
    [anon_sym_default] = ACTIONS(3680),
    [anon_sym_type] = ACTIONS(3680),
    [anon_sym_namespace] = ACTIONS(3680),
    [anon_sym_LBRACE] = ACTIONS(3680),
    [anon_sym_RBRACE] = ACTIONS(3680),
    [anon_sym_typeof] = ACTIONS(3680),
    [anon_sym_import] = ACTIONS(3680),
    [anon_sym_from] = ACTIONS(3680),
    [anon_sym_with] = ACTIONS(3680),
    [anon_sym_var] = ACTIONS(3680),
    [anon_sym_let] = ACTIONS(3680),
    [anon_sym_const] = ACTIONS(3680),
    [anon_sym_BANG] = ACTIONS(3680),
    [anon_sym_else] = ACTIONS(3680),
    [anon_sym_if] = ACTIONS(3680),
    [anon_sym_switch] = ACTIONS(3680),
    [anon_sym_for] = ACTIONS(3680),
    [anon_sym_LPAREN] = ACTIONS(3680),
    [anon_sym_await] = ACTIONS(3680),
    [anon_sym_of] = ACTIONS(3680),
    [anon_sym_while] = ACTIONS(3680),
    [anon_sym_do] = ACTIONS(3680),
    [anon_sym_try] = ACTIONS(3680),
    [anon_sym_break] = ACTIONS(3680),
    [anon_sym_continue] = ACTIONS(3680),
    [anon_sym_debugger] = ACTIONS(3680),
    [anon_sym_return] = ACTIONS(3680),
    [anon_sym_throw] = ACTIONS(3680),
    [anon_sym_SEMI] = ACTIONS(3680),
    [anon_sym_case] = ACTIONS(3680),
    [anon_sym_yield] = ACTIONS(3680),
    [anon_sym_LBRACK] = ACTIONS(3680),
    [anon_sym_LTtemplate_GT] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [anon_sym_SQUOTE] = ACTIONS(3680),
    [anon_sym_class] = ACTIONS(3680),
    [anon_sym_async] = ACTIONS(3680),
    [anon_sym_function] = ACTIONS(3680),
    [anon_sym_new] = ACTIONS(3680),
    [anon_sym_using] = ACTIONS(3680),
    [anon_sym_PLUS] = ACTIONS(3680),
    [anon_sym_DASH] = ACTIONS(3680),
    [anon_sym_SLASH] = ACTIONS(3680),
    [anon_sym_LT] = ACTIONS(3680),
    [anon_sym_TILDE] = ACTIONS(3680),
    [anon_sym_void] = ACTIONS(3680),
    [anon_sym_delete] = ACTIONS(3680),
    [anon_sym_PLUS_PLUS] = ACTIONS(3680),
    [anon_sym_DASH_DASH] = ACTIONS(3680),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3680),
    [sym_number] = ACTIONS(3680),
    [sym_private_property_identifier] = ACTIONS(3680),
    [sym_this] = ACTIONS(3680),
    [sym_super] = ACTIONS(3680),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_AT] = ACTIONS(3680),
    [anon_sym_static] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3680),
    [anon_sym_get] = ACTIONS(3680),
    [anon_sym_set] = ACTIONS(3680),
    [anon_sym_declare] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3680),
    [anon_sym_private] = ACTIONS(3680),
    [anon_sym_protected] = ACTIONS(3680),
    [anon_sym_override] = ACTIONS(3680),
    [anon_sym_module] = ACTIONS(3680),
    [anon_sym_any] = ACTIONS(3680),
    [anon_sym_number] = ACTIONS(3680),
    [anon_sym_boolean] = ACTIONS(3680),
    [anon_sym_string] = ACTIONS(3680),
    [anon_sym_symbol] = ACTIONS(3680),
    [anon_sym_object] = ACTIONS(3680),
    [anon_sym_property] = ACTIONS(3680),
    [anon_sym_signal] = ACTIONS(3680),
    [anon_sym_on] = ACTIONS(3680),
    [anon_sym_required] = ACTIONS(3680),
    [anon_sym_component] = ACTIONS(3680),
    [anon_sym_abstract] = ACTIONS(3680),
    [anon_sym_interface] = ACTIONS(3680),
    [anon_sym_enum] = ACTIONS(3680),
    [sym_html_comment] = ACTIONS(5),
  },
  [1248] = {
    [sym_comment] = STATE(1248),
    [sym_identifier] = ACTIONS(2374),
    [anon_sym_export] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_type] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [anon_sym_typeof] = ACTIONS(2374),
    [anon_sym_import] = ACTIONS(2374),
    [anon_sym_from] = ACTIONS(2374),
    [anon_sym_with] = ACTIONS(2374),
    [anon_sym_var] = ACTIONS(2374),
    [anon_sym_let] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [anon_sym_await] = ACTIONS(2374),
    [anon_sym_of] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_debugger] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_yield] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_LTtemplate_GT] = ACTIONS(2374),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_async] = ACTIONS(2374),
    [anon_sym_function] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_SLASH] = ACTIONS(2374),
    [anon_sym_LT] = ACTIONS(2374),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_void] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2374),
    [sym_number] = ACTIONS(2374),
    [sym_private_property_identifier] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [sym_super] = ACTIONS(2374),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [sym_null] = ACTIONS(2374),
    [sym_undefined] = ACTIONS(2374),
    [anon_sym_AT] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_readonly] = ACTIONS(2374),
    [anon_sym_get] = ACTIONS(2374),
    [anon_sym_set] = ACTIONS(2374),
    [anon_sym_declare] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_override] = ACTIONS(2374),
    [anon_sym_module] = ACTIONS(2374),
    [anon_sym_any] = ACTIONS(2374),
    [anon_sym_number] = ACTIONS(2374),
    [anon_sym_boolean] = ACTIONS(2374),
    [anon_sym_string] = ACTIONS(2374),
    [anon_sym_symbol] = ACTIONS(2374),
    [anon_sym_object] = ACTIONS(2374),
    [anon_sym_property] = ACTIONS(2374),
    [anon_sym_signal] = ACTIONS(2374),
    [anon_sym_on] = ACTIONS(2374),
    [anon_sym_required] = ACTIONS(2374),
    [anon_sym_component] = ACTIONS(2374),
    [anon_sym_abstract] = ACTIONS(2374),
    [anon_sym_interface] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [sym__automatic_semicolon] = ACTIONS(2552),
    [sym_html_comment] = ACTIONS(5),
  },
  [1249] = {
    [sym_comment] = STATE(1249),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_export] = ACTIONS(3682),
    [anon_sym_default] = ACTIONS(3682),
    [anon_sym_type] = ACTIONS(3682),
    [anon_sym_namespace] = ACTIONS(3682),
    [anon_sym_LBRACE] = ACTIONS(3682),
    [anon_sym_RBRACE] = ACTIONS(3682),
    [anon_sym_typeof] = ACTIONS(3682),
    [anon_sym_import] = ACTIONS(3682),
    [anon_sym_from] = ACTIONS(3682),
    [anon_sym_with] = ACTIONS(3682),
    [anon_sym_var] = ACTIONS(3682),
    [anon_sym_let] = ACTIONS(3682),
    [anon_sym_const] = ACTIONS(3682),
    [anon_sym_BANG] = ACTIONS(3682),
    [anon_sym_else] = ACTIONS(3682),
    [anon_sym_if] = ACTIONS(3682),
    [anon_sym_switch] = ACTIONS(3682),
    [anon_sym_for] = ACTIONS(3682),
    [anon_sym_LPAREN] = ACTIONS(3682),
    [anon_sym_await] = ACTIONS(3682),
    [anon_sym_of] = ACTIONS(3682),
    [anon_sym_while] = ACTIONS(3682),
    [anon_sym_do] = ACTIONS(3682),
    [anon_sym_try] = ACTIONS(3682),
    [anon_sym_break] = ACTIONS(3682),
    [anon_sym_continue] = ACTIONS(3682),
    [anon_sym_debugger] = ACTIONS(3682),
    [anon_sym_return] = ACTIONS(3682),
    [anon_sym_throw] = ACTIONS(3682),
    [anon_sym_SEMI] = ACTIONS(3682),
    [anon_sym_case] = ACTIONS(3682),
    [anon_sym_yield] = ACTIONS(3682),
    [anon_sym_LBRACK] = ACTIONS(3682),
    [anon_sym_LTtemplate_GT] = ACTIONS(3682),
    [anon_sym_DQUOTE] = ACTIONS(3682),
    [anon_sym_SQUOTE] = ACTIONS(3682),
    [anon_sym_class] = ACTIONS(3682),
    [anon_sym_async] = ACTIONS(3682),
    [anon_sym_function] = ACTIONS(3682),
    [anon_sym_new] = ACTIONS(3682),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_PLUS] = ACTIONS(3682),
    [anon_sym_DASH] = ACTIONS(3682),
    [anon_sym_SLASH] = ACTIONS(3682),
    [anon_sym_LT] = ACTIONS(3682),
    [anon_sym_TILDE] = ACTIONS(3682),
    [anon_sym_void] = ACTIONS(3682),
    [anon_sym_delete] = ACTIONS(3682),
    [anon_sym_PLUS_PLUS] = ACTIONS(3682),
    [anon_sym_DASH_DASH] = ACTIONS(3682),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3682),
    [sym_number] = ACTIONS(3682),
    [sym_private_property_identifier] = ACTIONS(3682),
    [sym_this] = ACTIONS(3682),
    [sym_super] = ACTIONS(3682),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [sym_null] = ACTIONS(3682),
    [sym_undefined] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(3682),
    [anon_sym_static] = ACTIONS(3682),
    [anon_sym_readonly] = ACTIONS(3682),
    [anon_sym_get] = ACTIONS(3682),
    [anon_sym_set] = ACTIONS(3682),
    [anon_sym_declare] = ACTIONS(3682),
    [anon_sym_public] = ACTIONS(3682),
    [anon_sym_private] = ACTIONS(3682),
    [anon_sym_protected] = ACTIONS(3682),
    [anon_sym_override] = ACTIONS(3682),
    [anon_sym_module] = ACTIONS(3682),
    [anon_sym_any] = ACTIONS(3682),
    [anon_sym_number] = ACTIONS(3682),
    [anon_sym_boolean] = ACTIONS(3682),
    [anon_sym_string] = ACTIONS(3682),
    [anon_sym_symbol] = ACTIONS(3682),
    [anon_sym_object] = ACTIONS(3682),
    [anon_sym_property] = ACTIONS(3682),
    [anon_sym_signal] = ACTIONS(3682),
    [anon_sym_on] = ACTIONS(3682),
    [anon_sym_required] = ACTIONS(3682),
    [anon_sym_component] = ACTIONS(3682),
    [anon_sym_abstract] = ACTIONS(3682),
    [anon_sym_interface] = ACTIONS(3682),
    [anon_sym_enum] = ACTIONS(3682),
    [sym_html_comment] = ACTIONS(5),
  },
  [1250] = {
    [sym_comment] = STATE(1250),
    [sym_identifier] = ACTIONS(3684),
    [anon_sym_export] = ACTIONS(3684),
    [anon_sym_default] = ACTIONS(3684),
    [anon_sym_type] = ACTIONS(3684),
    [anon_sym_namespace] = ACTIONS(3684),
    [anon_sym_LBRACE] = ACTIONS(3684),
    [anon_sym_RBRACE] = ACTIONS(3684),
    [anon_sym_typeof] = ACTIONS(3684),
    [anon_sym_import] = ACTIONS(3684),
    [anon_sym_from] = ACTIONS(3684),
    [anon_sym_with] = ACTIONS(3684),
    [anon_sym_var] = ACTIONS(3684),
    [anon_sym_let] = ACTIONS(3684),
    [anon_sym_const] = ACTIONS(3684),
    [anon_sym_BANG] = ACTIONS(3684),
    [anon_sym_else] = ACTIONS(3684),
    [anon_sym_if] = ACTIONS(3684),
    [anon_sym_switch] = ACTIONS(3684),
    [anon_sym_for] = ACTIONS(3684),
    [anon_sym_LPAREN] = ACTIONS(3684),
    [anon_sym_await] = ACTIONS(3684),
    [anon_sym_of] = ACTIONS(3684),
    [anon_sym_while] = ACTIONS(3684),
    [anon_sym_do] = ACTIONS(3684),
    [anon_sym_try] = ACTIONS(3684),
    [anon_sym_break] = ACTIONS(3684),
    [anon_sym_continue] = ACTIONS(3684),
    [anon_sym_debugger] = ACTIONS(3684),
    [anon_sym_return] = ACTIONS(3684),
    [anon_sym_throw] = ACTIONS(3684),
    [anon_sym_SEMI] = ACTIONS(3684),
    [anon_sym_case] = ACTIONS(3684),
    [anon_sym_yield] = ACTIONS(3684),
    [anon_sym_LBRACK] = ACTIONS(3684),
    [anon_sym_LTtemplate_GT] = ACTIONS(3684),
    [anon_sym_DQUOTE] = ACTIONS(3684),
    [anon_sym_SQUOTE] = ACTIONS(3684),
    [anon_sym_class] = ACTIONS(3684),
    [anon_sym_async] = ACTIONS(3684),
    [anon_sym_function] = ACTIONS(3684),
    [anon_sym_new] = ACTIONS(3684),
    [anon_sym_using] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_SLASH] = ACTIONS(3684),
    [anon_sym_LT] = ACTIONS(3684),
    [anon_sym_TILDE] = ACTIONS(3684),
    [anon_sym_void] = ACTIONS(3684),
    [anon_sym_delete] = ACTIONS(3684),
    [anon_sym_PLUS_PLUS] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(3684),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3684),
    [sym_number] = ACTIONS(3684),
    [sym_private_property_identifier] = ACTIONS(3684),
    [sym_this] = ACTIONS(3684),
    [sym_super] = ACTIONS(3684),
    [sym_true] = ACTIONS(3684),
    [sym_false] = ACTIONS(3684),
    [sym_null] = ACTIONS(3684),
    [sym_undefined] = ACTIONS(3684),
    [anon_sym_AT] = ACTIONS(3684),
    [anon_sym_static] = ACTIONS(3684),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_get] = ACTIONS(3684),
    [anon_sym_set] = ACTIONS(3684),
    [anon_sym_declare] = ACTIONS(3684),
    [anon_sym_public] = ACTIONS(3684),
    [anon_sym_private] = ACTIONS(3684),
    [anon_sym_protected] = ACTIONS(3684),
    [anon_sym_override] = ACTIONS(3684),
    [anon_sym_module] = ACTIONS(3684),
    [anon_sym_any] = ACTIONS(3684),
    [anon_sym_number] = ACTIONS(3684),
    [anon_sym_boolean] = ACTIONS(3684),
    [anon_sym_string] = ACTIONS(3684),
    [anon_sym_symbol] = ACTIONS(3684),
    [anon_sym_object] = ACTIONS(3684),
    [anon_sym_property] = ACTIONS(3684),
    [anon_sym_signal] = ACTIONS(3684),
    [anon_sym_on] = ACTIONS(3684),
    [anon_sym_required] = ACTIONS(3684),
    [anon_sym_component] = ACTIONS(3684),
    [anon_sym_abstract] = ACTIONS(3684),
    [anon_sym_interface] = ACTIONS(3684),
    [anon_sym_enum] = ACTIONS(3684),
    [sym_html_comment] = ACTIONS(5),
  },
  [1251] = {
    [sym_comment] = STATE(1251),
    [sym_identifier] = ACTIONS(3686),
    [anon_sym_export] = ACTIONS(3686),
    [anon_sym_default] = ACTIONS(3686),
    [anon_sym_type] = ACTIONS(3686),
    [anon_sym_namespace] = ACTIONS(3686),
    [anon_sym_LBRACE] = ACTIONS(3686),
    [anon_sym_RBRACE] = ACTIONS(3686),
    [anon_sym_typeof] = ACTIONS(3686),
    [anon_sym_import] = ACTIONS(3686),
    [anon_sym_from] = ACTIONS(3686),
    [anon_sym_with] = ACTIONS(3686),
    [anon_sym_var] = ACTIONS(3686),
    [anon_sym_let] = ACTIONS(3686),
    [anon_sym_const] = ACTIONS(3686),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_else] = ACTIONS(3686),
    [anon_sym_if] = ACTIONS(3686),
    [anon_sym_switch] = ACTIONS(3686),
    [anon_sym_for] = ACTIONS(3686),
    [anon_sym_LPAREN] = ACTIONS(3686),
    [anon_sym_await] = ACTIONS(3686),
    [anon_sym_of] = ACTIONS(3686),
    [anon_sym_while] = ACTIONS(3686),
    [anon_sym_do] = ACTIONS(3686),
    [anon_sym_try] = ACTIONS(3686),
    [anon_sym_break] = ACTIONS(3686),
    [anon_sym_continue] = ACTIONS(3686),
    [anon_sym_debugger] = ACTIONS(3686),
    [anon_sym_return] = ACTIONS(3686),
    [anon_sym_throw] = ACTIONS(3686),
    [anon_sym_SEMI] = ACTIONS(3686),
    [anon_sym_case] = ACTIONS(3686),
    [anon_sym_yield] = ACTIONS(3686),
    [anon_sym_LBRACK] = ACTIONS(3686),
    [anon_sym_LTtemplate_GT] = ACTIONS(3686),
    [anon_sym_DQUOTE] = ACTIONS(3686),
    [anon_sym_SQUOTE] = ACTIONS(3686),
    [anon_sym_class] = ACTIONS(3686),
    [anon_sym_async] = ACTIONS(3686),
    [anon_sym_function] = ACTIONS(3686),
    [anon_sym_new] = ACTIONS(3686),
    [anon_sym_using] = ACTIONS(3686),
    [anon_sym_PLUS] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3686),
    [anon_sym_SLASH] = ACTIONS(3686),
    [anon_sym_LT] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_void] = ACTIONS(3686),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_PLUS_PLUS] = ACTIONS(3686),
    [anon_sym_DASH_DASH] = ACTIONS(3686),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3686),
    [sym_number] = ACTIONS(3686),
    [sym_private_property_identifier] = ACTIONS(3686),
    [sym_this] = ACTIONS(3686),
    [sym_super] = ACTIONS(3686),
    [sym_true] = ACTIONS(3686),
    [sym_false] = ACTIONS(3686),
    [sym_null] = ACTIONS(3686),
    [sym_undefined] = ACTIONS(3686),
    [anon_sym_AT] = ACTIONS(3686),
    [anon_sym_static] = ACTIONS(3686),
    [anon_sym_readonly] = ACTIONS(3686),
    [anon_sym_get] = ACTIONS(3686),
    [anon_sym_set] = ACTIONS(3686),
    [anon_sym_declare] = ACTIONS(3686),
    [anon_sym_public] = ACTIONS(3686),
    [anon_sym_private] = ACTIONS(3686),
    [anon_sym_protected] = ACTIONS(3686),
    [anon_sym_override] = ACTIONS(3686),
    [anon_sym_module] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3686),
    [anon_sym_number] = ACTIONS(3686),
    [anon_sym_boolean] = ACTIONS(3686),
    [anon_sym_string] = ACTIONS(3686),
    [anon_sym_symbol] = ACTIONS(3686),
    [anon_sym_object] = ACTIONS(3686),
    [anon_sym_property] = ACTIONS(3686),
    [anon_sym_signal] = ACTIONS(3686),
    [anon_sym_on] = ACTIONS(3686),
    [anon_sym_required] = ACTIONS(3686),
    [anon_sym_component] = ACTIONS(3686),
    [anon_sym_abstract] = ACTIONS(3686),
    [anon_sym_interface] = ACTIONS(3686),
    [anon_sym_enum] = ACTIONS(3686),
    [sym_html_comment] = ACTIONS(5),
  },
  [1252] = {
    [sym_comment] = STATE(1252),
    [sym_identifier] = ACTIONS(3688),
    [anon_sym_export] = ACTIONS(3688),
    [anon_sym_default] = ACTIONS(3688),
    [anon_sym_type] = ACTIONS(3688),
    [anon_sym_namespace] = ACTIONS(3688),
    [anon_sym_LBRACE] = ACTIONS(3688),
    [anon_sym_RBRACE] = ACTIONS(3688),
    [anon_sym_typeof] = ACTIONS(3688),
    [anon_sym_import] = ACTIONS(3688),
    [anon_sym_from] = ACTIONS(3688),
    [anon_sym_with] = ACTIONS(3688),
    [anon_sym_var] = ACTIONS(3688),
    [anon_sym_let] = ACTIONS(3688),
    [anon_sym_const] = ACTIONS(3688),
    [anon_sym_BANG] = ACTIONS(3688),
    [anon_sym_else] = ACTIONS(3688),
    [anon_sym_if] = ACTIONS(3688),
    [anon_sym_switch] = ACTIONS(3688),
    [anon_sym_for] = ACTIONS(3688),
    [anon_sym_LPAREN] = ACTIONS(3688),
    [anon_sym_await] = ACTIONS(3688),
    [anon_sym_of] = ACTIONS(3688),
    [anon_sym_while] = ACTIONS(3688),
    [anon_sym_do] = ACTIONS(3688),
    [anon_sym_try] = ACTIONS(3688),
    [anon_sym_break] = ACTIONS(3688),
    [anon_sym_continue] = ACTIONS(3688),
    [anon_sym_debugger] = ACTIONS(3688),
    [anon_sym_return] = ACTIONS(3688),
    [anon_sym_throw] = ACTIONS(3688),
    [anon_sym_SEMI] = ACTIONS(3688),
    [anon_sym_case] = ACTIONS(3688),
    [anon_sym_yield] = ACTIONS(3688),
    [anon_sym_LBRACK] = ACTIONS(3688),
    [anon_sym_LTtemplate_GT] = ACTIONS(3688),
    [anon_sym_DQUOTE] = ACTIONS(3688),
    [anon_sym_SQUOTE] = ACTIONS(3688),
    [anon_sym_class] = ACTIONS(3688),
    [anon_sym_async] = ACTIONS(3688),
    [anon_sym_function] = ACTIONS(3688),
    [anon_sym_new] = ACTIONS(3688),
    [anon_sym_using] = ACTIONS(3688),
    [anon_sym_PLUS] = ACTIONS(3688),
    [anon_sym_DASH] = ACTIONS(3688),
    [anon_sym_SLASH] = ACTIONS(3688),
    [anon_sym_LT] = ACTIONS(3688),
    [anon_sym_TILDE] = ACTIONS(3688),
    [anon_sym_void] = ACTIONS(3688),
    [anon_sym_delete] = ACTIONS(3688),
    [anon_sym_PLUS_PLUS] = ACTIONS(3688),
    [anon_sym_DASH_DASH] = ACTIONS(3688),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3688),
    [sym_number] = ACTIONS(3688),
    [sym_private_property_identifier] = ACTIONS(3688),
    [sym_this] = ACTIONS(3688),
    [sym_super] = ACTIONS(3688),
    [sym_true] = ACTIONS(3688),
    [sym_false] = ACTIONS(3688),
    [sym_null] = ACTIONS(3688),
    [sym_undefined] = ACTIONS(3688),
    [anon_sym_AT] = ACTIONS(3688),
    [anon_sym_static] = ACTIONS(3688),
    [anon_sym_readonly] = ACTIONS(3688),
    [anon_sym_get] = ACTIONS(3688),
    [anon_sym_set] = ACTIONS(3688),
    [anon_sym_declare] = ACTIONS(3688),
    [anon_sym_public] = ACTIONS(3688),
    [anon_sym_private] = ACTIONS(3688),
    [anon_sym_protected] = ACTIONS(3688),
    [anon_sym_override] = ACTIONS(3688),
    [anon_sym_module] = ACTIONS(3688),
    [anon_sym_any] = ACTIONS(3688),
    [anon_sym_number] = ACTIONS(3688),
    [anon_sym_boolean] = ACTIONS(3688),
    [anon_sym_string] = ACTIONS(3688),
    [anon_sym_symbol] = ACTIONS(3688),
    [anon_sym_object] = ACTIONS(3688),
    [anon_sym_property] = ACTIONS(3688),
    [anon_sym_signal] = ACTIONS(3688),
    [anon_sym_on] = ACTIONS(3688),
    [anon_sym_required] = ACTIONS(3688),
    [anon_sym_component] = ACTIONS(3688),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_interface] = ACTIONS(3688),
    [anon_sym_enum] = ACTIONS(3688),
    [sym_html_comment] = ACTIONS(5),
  },
  [1253] = {
    [sym_comment] = STATE(1253),
    [sym_identifier] = ACTIONS(3690),
    [anon_sym_export] = ACTIONS(3690),
    [anon_sym_default] = ACTIONS(3690),
    [anon_sym_type] = ACTIONS(3690),
    [anon_sym_namespace] = ACTIONS(3690),
    [anon_sym_LBRACE] = ACTIONS(3690),
    [anon_sym_RBRACE] = ACTIONS(3690),
    [anon_sym_typeof] = ACTIONS(3690),
    [anon_sym_import] = ACTIONS(3690),
    [anon_sym_from] = ACTIONS(3690),
    [anon_sym_with] = ACTIONS(3690),
    [anon_sym_var] = ACTIONS(3690),
    [anon_sym_let] = ACTIONS(3690),
    [anon_sym_const] = ACTIONS(3690),
    [anon_sym_BANG] = ACTIONS(3690),
    [anon_sym_else] = ACTIONS(3690),
    [anon_sym_if] = ACTIONS(3690),
    [anon_sym_switch] = ACTIONS(3690),
    [anon_sym_for] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(3690),
    [anon_sym_await] = ACTIONS(3690),
    [anon_sym_of] = ACTIONS(3690),
    [anon_sym_while] = ACTIONS(3690),
    [anon_sym_do] = ACTIONS(3690),
    [anon_sym_try] = ACTIONS(3690),
    [anon_sym_break] = ACTIONS(3690),
    [anon_sym_continue] = ACTIONS(3690),
    [anon_sym_debugger] = ACTIONS(3690),
    [anon_sym_return] = ACTIONS(3690),
    [anon_sym_throw] = ACTIONS(3690),
    [anon_sym_SEMI] = ACTIONS(3690),
    [anon_sym_case] = ACTIONS(3690),
    [anon_sym_yield] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(3690),
    [anon_sym_LTtemplate_GT] = ACTIONS(3690),
    [anon_sym_DQUOTE] = ACTIONS(3690),
    [anon_sym_SQUOTE] = ACTIONS(3690),
    [anon_sym_class] = ACTIONS(3690),
    [anon_sym_async] = ACTIONS(3690),
    [anon_sym_function] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3690),
    [anon_sym_using] = ACTIONS(3690),
    [anon_sym_PLUS] = ACTIONS(3690),
    [anon_sym_DASH] = ACTIONS(3690),
    [anon_sym_SLASH] = ACTIONS(3690),
    [anon_sym_LT] = ACTIONS(3690),
    [anon_sym_TILDE] = ACTIONS(3690),
    [anon_sym_void] = ACTIONS(3690),
    [anon_sym_delete] = ACTIONS(3690),
    [anon_sym_PLUS_PLUS] = ACTIONS(3690),
    [anon_sym_DASH_DASH] = ACTIONS(3690),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3690),
    [sym_number] = ACTIONS(3690),
    [sym_private_property_identifier] = ACTIONS(3690),
    [sym_this] = ACTIONS(3690),
    [sym_super] = ACTIONS(3690),
    [sym_true] = ACTIONS(3690),
    [sym_false] = ACTIONS(3690),
    [sym_null] = ACTIONS(3690),
    [sym_undefined] = ACTIONS(3690),
    [anon_sym_AT] = ACTIONS(3690),
    [anon_sym_static] = ACTIONS(3690),
    [anon_sym_readonly] = ACTIONS(3690),
    [anon_sym_get] = ACTIONS(3690),
    [anon_sym_set] = ACTIONS(3690),
    [anon_sym_declare] = ACTIONS(3690),
    [anon_sym_public] = ACTIONS(3690),
    [anon_sym_private] = ACTIONS(3690),
    [anon_sym_protected] = ACTIONS(3690),
    [anon_sym_override] = ACTIONS(3690),
    [anon_sym_module] = ACTIONS(3690),
    [anon_sym_any] = ACTIONS(3690),
    [anon_sym_number] = ACTIONS(3690),
    [anon_sym_boolean] = ACTIONS(3690),
    [anon_sym_string] = ACTIONS(3690),
    [anon_sym_symbol] = ACTIONS(3690),
    [anon_sym_object] = ACTIONS(3690),
    [anon_sym_property] = ACTIONS(3690),
    [anon_sym_signal] = ACTIONS(3690),
    [anon_sym_on] = ACTIONS(3690),
    [anon_sym_required] = ACTIONS(3690),
    [anon_sym_component] = ACTIONS(3690),
    [anon_sym_abstract] = ACTIONS(3690),
    [anon_sym_interface] = ACTIONS(3690),
    [anon_sym_enum] = ACTIONS(3690),
    [sym_html_comment] = ACTIONS(5),
  },
  [1254] = {
    [sym_comment] = STATE(1254),
    [sym_identifier] = ACTIONS(3692),
    [anon_sym_export] = ACTIONS(3692),
    [anon_sym_default] = ACTIONS(3692),
    [anon_sym_type] = ACTIONS(3692),
    [anon_sym_namespace] = ACTIONS(3692),
    [anon_sym_LBRACE] = ACTIONS(3692),
    [anon_sym_RBRACE] = ACTIONS(3692),
    [anon_sym_typeof] = ACTIONS(3692),
    [anon_sym_import] = ACTIONS(3692),
    [anon_sym_from] = ACTIONS(3692),
    [anon_sym_with] = ACTIONS(3692),
    [anon_sym_var] = ACTIONS(3692),
    [anon_sym_let] = ACTIONS(3692),
    [anon_sym_const] = ACTIONS(3692),
    [anon_sym_BANG] = ACTIONS(3692),
    [anon_sym_else] = ACTIONS(3692),
    [anon_sym_if] = ACTIONS(3692),
    [anon_sym_switch] = ACTIONS(3692),
    [anon_sym_for] = ACTIONS(3692),
    [anon_sym_LPAREN] = ACTIONS(3692),
    [anon_sym_await] = ACTIONS(3692),
    [anon_sym_of] = ACTIONS(3692),
    [anon_sym_while] = ACTIONS(3692),
    [anon_sym_do] = ACTIONS(3692),
    [anon_sym_try] = ACTIONS(3692),
    [anon_sym_break] = ACTIONS(3692),
    [anon_sym_continue] = ACTIONS(3692),
    [anon_sym_debugger] = ACTIONS(3692),
    [anon_sym_return] = ACTIONS(3692),
    [anon_sym_throw] = ACTIONS(3692),
    [anon_sym_SEMI] = ACTIONS(3692),
    [anon_sym_case] = ACTIONS(3692),
    [anon_sym_yield] = ACTIONS(3692),
    [anon_sym_LBRACK] = ACTIONS(3692),
    [anon_sym_LTtemplate_GT] = ACTIONS(3692),
    [anon_sym_DQUOTE] = ACTIONS(3692),
    [anon_sym_SQUOTE] = ACTIONS(3692),
    [anon_sym_class] = ACTIONS(3692),
    [anon_sym_async] = ACTIONS(3692),
    [anon_sym_function] = ACTIONS(3692),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_using] = ACTIONS(3692),
    [anon_sym_PLUS] = ACTIONS(3692),
    [anon_sym_DASH] = ACTIONS(3692),
    [anon_sym_SLASH] = ACTIONS(3692),
    [anon_sym_LT] = ACTIONS(3692),
    [anon_sym_TILDE] = ACTIONS(3692),
    [anon_sym_void] = ACTIONS(3692),
    [anon_sym_delete] = ACTIONS(3692),
    [anon_sym_PLUS_PLUS] = ACTIONS(3692),
    [anon_sym_DASH_DASH] = ACTIONS(3692),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3692),
    [sym_number] = ACTIONS(3692),
    [sym_private_property_identifier] = ACTIONS(3692),
    [sym_this] = ACTIONS(3692),
    [sym_super] = ACTIONS(3692),
    [sym_true] = ACTIONS(3692),
    [sym_false] = ACTIONS(3692),
    [sym_null] = ACTIONS(3692),
    [sym_undefined] = ACTIONS(3692),
    [anon_sym_AT] = ACTIONS(3692),
    [anon_sym_static] = ACTIONS(3692),
    [anon_sym_readonly] = ACTIONS(3692),
    [anon_sym_get] = ACTIONS(3692),
    [anon_sym_set] = ACTIONS(3692),
    [anon_sym_declare] = ACTIONS(3692),
    [anon_sym_public] = ACTIONS(3692),
    [anon_sym_private] = ACTIONS(3692),
    [anon_sym_protected] = ACTIONS(3692),
    [anon_sym_override] = ACTIONS(3692),
    [anon_sym_module] = ACTIONS(3692),
    [anon_sym_any] = ACTIONS(3692),
    [anon_sym_number] = ACTIONS(3692),
    [anon_sym_boolean] = ACTIONS(3692),
    [anon_sym_string] = ACTIONS(3692),
    [anon_sym_symbol] = ACTIONS(3692),
    [anon_sym_object] = ACTIONS(3692),
    [anon_sym_property] = ACTIONS(3692),
    [anon_sym_signal] = ACTIONS(3692),
    [anon_sym_on] = ACTIONS(3692),
    [anon_sym_required] = ACTIONS(3692),
    [anon_sym_component] = ACTIONS(3692),
    [anon_sym_abstract] = ACTIONS(3692),
    [anon_sym_interface] = ACTIONS(3692),
    [anon_sym_enum] = ACTIONS(3692),
    [sym_html_comment] = ACTIONS(5),
  },
  [1255] = {
    [sym_comment] = STATE(1255),
    [sym_identifier] = ACTIONS(3694),
    [anon_sym_export] = ACTIONS(3694),
    [anon_sym_default] = ACTIONS(3694),
    [anon_sym_type] = ACTIONS(3694),
    [anon_sym_namespace] = ACTIONS(3694),
    [anon_sym_LBRACE] = ACTIONS(3694),
    [anon_sym_RBRACE] = ACTIONS(3694),
    [anon_sym_typeof] = ACTIONS(3694),
    [anon_sym_import] = ACTIONS(3694),
    [anon_sym_from] = ACTIONS(3694),
    [anon_sym_with] = ACTIONS(3694),
    [anon_sym_var] = ACTIONS(3694),
    [anon_sym_let] = ACTIONS(3694),
    [anon_sym_const] = ACTIONS(3694),
    [anon_sym_BANG] = ACTIONS(3694),
    [anon_sym_else] = ACTIONS(3694),
    [anon_sym_if] = ACTIONS(3694),
    [anon_sym_switch] = ACTIONS(3694),
    [anon_sym_for] = ACTIONS(3694),
    [anon_sym_LPAREN] = ACTIONS(3694),
    [anon_sym_await] = ACTIONS(3694),
    [anon_sym_of] = ACTIONS(3694),
    [anon_sym_while] = ACTIONS(3694),
    [anon_sym_do] = ACTIONS(3694),
    [anon_sym_try] = ACTIONS(3694),
    [anon_sym_break] = ACTIONS(3694),
    [anon_sym_continue] = ACTIONS(3694),
    [anon_sym_debugger] = ACTIONS(3694),
    [anon_sym_return] = ACTIONS(3694),
    [anon_sym_throw] = ACTIONS(3694),
    [anon_sym_SEMI] = ACTIONS(3694),
    [anon_sym_case] = ACTIONS(3694),
    [anon_sym_yield] = ACTIONS(3694),
    [anon_sym_LBRACK] = ACTIONS(3694),
    [anon_sym_LTtemplate_GT] = ACTIONS(3694),
    [anon_sym_DQUOTE] = ACTIONS(3694),
    [anon_sym_SQUOTE] = ACTIONS(3694),
    [anon_sym_class] = ACTIONS(3694),
    [anon_sym_async] = ACTIONS(3694),
    [anon_sym_function] = ACTIONS(3694),
    [anon_sym_new] = ACTIONS(3694),
    [anon_sym_using] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3694),
    [anon_sym_DASH] = ACTIONS(3694),
    [anon_sym_SLASH] = ACTIONS(3694),
    [anon_sym_LT] = ACTIONS(3694),
    [anon_sym_TILDE] = ACTIONS(3694),
    [anon_sym_void] = ACTIONS(3694),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_PLUS_PLUS] = ACTIONS(3694),
    [anon_sym_DASH_DASH] = ACTIONS(3694),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3694),
    [sym_number] = ACTIONS(3694),
    [sym_private_property_identifier] = ACTIONS(3694),
    [sym_this] = ACTIONS(3694),
    [sym_super] = ACTIONS(3694),
    [sym_true] = ACTIONS(3694),
    [sym_false] = ACTIONS(3694),
    [sym_null] = ACTIONS(3694),
    [sym_undefined] = ACTIONS(3694),
    [anon_sym_AT] = ACTIONS(3694),
    [anon_sym_static] = ACTIONS(3694),
    [anon_sym_readonly] = ACTIONS(3694),
    [anon_sym_get] = ACTIONS(3694),
    [anon_sym_set] = ACTIONS(3694),
    [anon_sym_declare] = ACTIONS(3694),
    [anon_sym_public] = ACTIONS(3694),
    [anon_sym_private] = ACTIONS(3694),
    [anon_sym_protected] = ACTIONS(3694),
    [anon_sym_override] = ACTIONS(3694),
    [anon_sym_module] = ACTIONS(3694),
    [anon_sym_any] = ACTIONS(3694),
    [anon_sym_number] = ACTIONS(3694),
    [anon_sym_boolean] = ACTIONS(3694),
    [anon_sym_string] = ACTIONS(3694),
    [anon_sym_symbol] = ACTIONS(3694),
    [anon_sym_object] = ACTIONS(3694),
    [anon_sym_property] = ACTIONS(3694),
    [anon_sym_signal] = ACTIONS(3694),
    [anon_sym_on] = ACTIONS(3694),
    [anon_sym_required] = ACTIONS(3694),
    [anon_sym_component] = ACTIONS(3694),
    [anon_sym_abstract] = ACTIONS(3694),
    [anon_sym_interface] = ACTIONS(3694),
    [anon_sym_enum] = ACTIONS(3694),
    [sym_html_comment] = ACTIONS(5),
  },
  [1256] = {
    [sym_comment] = STATE(1256),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_export] = ACTIONS(3696),
    [anon_sym_default] = ACTIONS(3696),
    [anon_sym_type] = ACTIONS(3696),
    [anon_sym_namespace] = ACTIONS(3696),
    [anon_sym_LBRACE] = ACTIONS(3696),
    [anon_sym_RBRACE] = ACTIONS(3696),
    [anon_sym_typeof] = ACTIONS(3696),
    [anon_sym_import] = ACTIONS(3696),
    [anon_sym_from] = ACTIONS(3696),
    [anon_sym_with] = ACTIONS(3696),
    [anon_sym_var] = ACTIONS(3696),
    [anon_sym_let] = ACTIONS(3696),
    [anon_sym_const] = ACTIONS(3696),
    [anon_sym_BANG] = ACTIONS(3696),
    [anon_sym_else] = ACTIONS(3696),
    [anon_sym_if] = ACTIONS(3696),
    [anon_sym_switch] = ACTIONS(3696),
    [anon_sym_for] = ACTIONS(3696),
    [anon_sym_LPAREN] = ACTIONS(3696),
    [anon_sym_await] = ACTIONS(3696),
    [anon_sym_of] = ACTIONS(3696),
    [anon_sym_while] = ACTIONS(3696),
    [anon_sym_do] = ACTIONS(3696),
    [anon_sym_try] = ACTIONS(3696),
    [anon_sym_break] = ACTIONS(3696),
    [anon_sym_continue] = ACTIONS(3696),
    [anon_sym_debugger] = ACTIONS(3696),
    [anon_sym_return] = ACTIONS(3696),
    [anon_sym_throw] = ACTIONS(3696),
    [anon_sym_SEMI] = ACTIONS(3696),
    [anon_sym_case] = ACTIONS(3696),
    [anon_sym_yield] = ACTIONS(3696),
    [anon_sym_LBRACK] = ACTIONS(3696),
    [anon_sym_LTtemplate_GT] = ACTIONS(3696),
    [anon_sym_DQUOTE] = ACTIONS(3696),
    [anon_sym_SQUOTE] = ACTIONS(3696),
    [anon_sym_class] = ACTIONS(3696),
    [anon_sym_async] = ACTIONS(3696),
    [anon_sym_function] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3696),
    [anon_sym_using] = ACTIONS(3696),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_DASH] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3696),
    [anon_sym_LT] = ACTIONS(3696),
    [anon_sym_TILDE] = ACTIONS(3696),
    [anon_sym_void] = ACTIONS(3696),
    [anon_sym_delete] = ACTIONS(3696),
    [anon_sym_PLUS_PLUS] = ACTIONS(3696),
    [anon_sym_DASH_DASH] = ACTIONS(3696),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3696),
    [sym_number] = ACTIONS(3696),
    [sym_private_property_identifier] = ACTIONS(3696),
    [sym_this] = ACTIONS(3696),
    [sym_super] = ACTIONS(3696),
    [sym_true] = ACTIONS(3696),
    [sym_false] = ACTIONS(3696),
    [sym_null] = ACTIONS(3696),
    [sym_undefined] = ACTIONS(3696),
    [anon_sym_AT] = ACTIONS(3696),
    [anon_sym_static] = ACTIONS(3696),
    [anon_sym_readonly] = ACTIONS(3696),
    [anon_sym_get] = ACTIONS(3696),
    [anon_sym_set] = ACTIONS(3696),
    [anon_sym_declare] = ACTIONS(3696),
    [anon_sym_public] = ACTIONS(3696),
    [anon_sym_private] = ACTIONS(3696),
    [anon_sym_protected] = ACTIONS(3696),
    [anon_sym_override] = ACTIONS(3696),
    [anon_sym_module] = ACTIONS(3696),
    [anon_sym_any] = ACTIONS(3696),
    [anon_sym_number] = ACTIONS(3696),
    [anon_sym_boolean] = ACTIONS(3696),
    [anon_sym_string] = ACTIONS(3696),
    [anon_sym_symbol] = ACTIONS(3696),
    [anon_sym_object] = ACTIONS(3696),
    [anon_sym_property] = ACTIONS(3696),
    [anon_sym_signal] = ACTIONS(3696),
    [anon_sym_on] = ACTIONS(3696),
    [anon_sym_required] = ACTIONS(3696),
    [anon_sym_component] = ACTIONS(3696),
    [anon_sym_abstract] = ACTIONS(3696),
    [anon_sym_interface] = ACTIONS(3696),
    [anon_sym_enum] = ACTIONS(3696),
    [sym_html_comment] = ACTIONS(5),
  },
  [1257] = {
    [sym_comment] = STATE(1257),
    [sym_identifier] = ACTIONS(3698),
    [anon_sym_export] = ACTIONS(3698),
    [anon_sym_default] = ACTIONS(3698),
    [anon_sym_type] = ACTIONS(3698),
    [anon_sym_namespace] = ACTIONS(3698),
    [anon_sym_LBRACE] = ACTIONS(3698),
    [anon_sym_RBRACE] = ACTIONS(3698),
    [anon_sym_typeof] = ACTIONS(3698),
    [anon_sym_import] = ACTIONS(3698),
    [anon_sym_from] = ACTIONS(3698),
    [anon_sym_with] = ACTIONS(3698),
    [anon_sym_var] = ACTIONS(3698),
    [anon_sym_let] = ACTIONS(3698),
    [anon_sym_const] = ACTIONS(3698),
    [anon_sym_BANG] = ACTIONS(3698),
    [anon_sym_else] = ACTIONS(3698),
    [anon_sym_if] = ACTIONS(3698),
    [anon_sym_switch] = ACTIONS(3698),
    [anon_sym_for] = ACTIONS(3698),
    [anon_sym_LPAREN] = ACTIONS(3698),
    [anon_sym_await] = ACTIONS(3698),
    [anon_sym_of] = ACTIONS(3698),
    [anon_sym_while] = ACTIONS(3698),
    [anon_sym_do] = ACTIONS(3698),
    [anon_sym_try] = ACTIONS(3698),
    [anon_sym_break] = ACTIONS(3698),
    [anon_sym_continue] = ACTIONS(3698),
    [anon_sym_debugger] = ACTIONS(3698),
    [anon_sym_return] = ACTIONS(3698),
    [anon_sym_throw] = ACTIONS(3698),
    [anon_sym_SEMI] = ACTIONS(3698),
    [anon_sym_case] = ACTIONS(3698),
    [anon_sym_yield] = ACTIONS(3698),
    [anon_sym_LBRACK] = ACTIONS(3698),
    [anon_sym_LTtemplate_GT] = ACTIONS(3698),
    [anon_sym_DQUOTE] = ACTIONS(3698),
    [anon_sym_SQUOTE] = ACTIONS(3698),
    [anon_sym_class] = ACTIONS(3698),
    [anon_sym_async] = ACTIONS(3698),
    [anon_sym_function] = ACTIONS(3698),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_using] = ACTIONS(3698),
    [anon_sym_PLUS] = ACTIONS(3698),
    [anon_sym_DASH] = ACTIONS(3698),
    [anon_sym_SLASH] = ACTIONS(3698),
    [anon_sym_LT] = ACTIONS(3698),
    [anon_sym_TILDE] = ACTIONS(3698),
    [anon_sym_void] = ACTIONS(3698),
    [anon_sym_delete] = ACTIONS(3698),
    [anon_sym_PLUS_PLUS] = ACTIONS(3698),
    [anon_sym_DASH_DASH] = ACTIONS(3698),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3698),
    [sym_number] = ACTIONS(3698),
    [sym_private_property_identifier] = ACTIONS(3698),
    [sym_this] = ACTIONS(3698),
    [sym_super] = ACTIONS(3698),
    [sym_true] = ACTIONS(3698),
    [sym_false] = ACTIONS(3698),
    [sym_null] = ACTIONS(3698),
    [sym_undefined] = ACTIONS(3698),
    [anon_sym_AT] = ACTIONS(3698),
    [anon_sym_static] = ACTIONS(3698),
    [anon_sym_readonly] = ACTIONS(3698),
    [anon_sym_get] = ACTIONS(3698),
    [anon_sym_set] = ACTIONS(3698),
    [anon_sym_declare] = ACTIONS(3698),
    [anon_sym_public] = ACTIONS(3698),
    [anon_sym_private] = ACTIONS(3698),
    [anon_sym_protected] = ACTIONS(3698),
    [anon_sym_override] = ACTIONS(3698),
    [anon_sym_module] = ACTIONS(3698),
    [anon_sym_any] = ACTIONS(3698),
    [anon_sym_number] = ACTIONS(3698),
    [anon_sym_boolean] = ACTIONS(3698),
    [anon_sym_string] = ACTIONS(3698),
    [anon_sym_symbol] = ACTIONS(3698),
    [anon_sym_object] = ACTIONS(3698),
    [anon_sym_property] = ACTIONS(3698),
    [anon_sym_signal] = ACTIONS(3698),
    [anon_sym_on] = ACTIONS(3698),
    [anon_sym_required] = ACTIONS(3698),
    [anon_sym_component] = ACTIONS(3698),
    [anon_sym_abstract] = ACTIONS(3698),
    [anon_sym_interface] = ACTIONS(3698),
    [anon_sym_enum] = ACTIONS(3698),
    [sym_html_comment] = ACTIONS(5),
  },
  [1258] = {
    [sym_comment] = STATE(1258),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_export] = ACTIONS(3700),
    [anon_sym_default] = ACTIONS(3700),
    [anon_sym_type] = ACTIONS(3700),
    [anon_sym_namespace] = ACTIONS(3700),
    [anon_sym_LBRACE] = ACTIONS(3700),
    [anon_sym_RBRACE] = ACTIONS(3700),
    [anon_sym_typeof] = ACTIONS(3700),
    [anon_sym_import] = ACTIONS(3700),
    [anon_sym_from] = ACTIONS(3700),
    [anon_sym_with] = ACTIONS(3700),
    [anon_sym_var] = ACTIONS(3700),
    [anon_sym_let] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3700),
    [anon_sym_BANG] = ACTIONS(3700),
    [anon_sym_else] = ACTIONS(3700),
    [anon_sym_if] = ACTIONS(3700),
    [anon_sym_switch] = ACTIONS(3700),
    [anon_sym_for] = ACTIONS(3700),
    [anon_sym_LPAREN] = ACTIONS(3700),
    [anon_sym_await] = ACTIONS(3700),
    [anon_sym_of] = ACTIONS(3700),
    [anon_sym_while] = ACTIONS(3700),
    [anon_sym_do] = ACTIONS(3700),
    [anon_sym_try] = ACTIONS(3700),
    [anon_sym_break] = ACTIONS(3700),
    [anon_sym_continue] = ACTIONS(3700),
    [anon_sym_debugger] = ACTIONS(3700),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_throw] = ACTIONS(3700),
    [anon_sym_SEMI] = ACTIONS(3700),
    [anon_sym_case] = ACTIONS(3700),
    [anon_sym_yield] = ACTIONS(3700),
    [anon_sym_LBRACK] = ACTIONS(3700),
    [anon_sym_LTtemplate_GT] = ACTIONS(3700),
    [anon_sym_DQUOTE] = ACTIONS(3700),
    [anon_sym_SQUOTE] = ACTIONS(3700),
    [anon_sym_class] = ACTIONS(3700),
    [anon_sym_async] = ACTIONS(3700),
    [anon_sym_function] = ACTIONS(3700),
    [anon_sym_new] = ACTIONS(3700),
    [anon_sym_using] = ACTIONS(3700),
    [anon_sym_PLUS] = ACTIONS(3700),
    [anon_sym_DASH] = ACTIONS(3700),
    [anon_sym_SLASH] = ACTIONS(3700),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_TILDE] = ACTIONS(3700),
    [anon_sym_void] = ACTIONS(3700),
    [anon_sym_delete] = ACTIONS(3700),
    [anon_sym_PLUS_PLUS] = ACTIONS(3700),
    [anon_sym_DASH_DASH] = ACTIONS(3700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3700),
    [sym_number] = ACTIONS(3700),
    [sym_private_property_identifier] = ACTIONS(3700),
    [sym_this] = ACTIONS(3700),
    [sym_super] = ACTIONS(3700),
    [sym_true] = ACTIONS(3700),
    [sym_false] = ACTIONS(3700),
    [sym_null] = ACTIONS(3700),
    [sym_undefined] = ACTIONS(3700),
    [anon_sym_AT] = ACTIONS(3700),
    [anon_sym_static] = ACTIONS(3700),
    [anon_sym_readonly] = ACTIONS(3700),
    [anon_sym_get] = ACTIONS(3700),
    [anon_sym_set] = ACTIONS(3700),
    [anon_sym_declare] = ACTIONS(3700),
    [anon_sym_public] = ACTIONS(3700),
    [anon_sym_private] = ACTIONS(3700),
    [anon_sym_protected] = ACTIONS(3700),
    [anon_sym_override] = ACTIONS(3700),
    [anon_sym_module] = ACTIONS(3700),
    [anon_sym_any] = ACTIONS(3700),
    [anon_sym_number] = ACTIONS(3700),
    [anon_sym_boolean] = ACTIONS(3700),
    [anon_sym_string] = ACTIONS(3700),
    [anon_sym_symbol] = ACTIONS(3700),
    [anon_sym_object] = ACTIONS(3700),
    [anon_sym_property] = ACTIONS(3700),
    [anon_sym_signal] = ACTIONS(3700),
    [anon_sym_on] = ACTIONS(3700),
    [anon_sym_required] = ACTIONS(3700),
    [anon_sym_component] = ACTIONS(3700),
    [anon_sym_abstract] = ACTIONS(3700),
    [anon_sym_interface] = ACTIONS(3700),
    [anon_sym_enum] = ACTIONS(3700),
    [sym_html_comment] = ACTIONS(5),
  },
  [1259] = {
    [sym_comment] = STATE(1259),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_else] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym__automatic_semicolon] = ACTIONS(2352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1260] = {
    [sym_comment] = STATE(1260),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1261] = {
    [sym_comment] = STATE(1261),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_export] = ACTIONS(3494),
    [anon_sym_default] = ACTIONS(3494),
    [anon_sym_type] = ACTIONS(3494),
    [anon_sym_namespace] = ACTIONS(3494),
    [anon_sym_LBRACE] = ACTIONS(3494),
    [anon_sym_RBRACE] = ACTIONS(3494),
    [anon_sym_typeof] = ACTIONS(3494),
    [anon_sym_import] = ACTIONS(3494),
    [anon_sym_from] = ACTIONS(3494),
    [anon_sym_with] = ACTIONS(3494),
    [anon_sym_var] = ACTIONS(3494),
    [anon_sym_let] = ACTIONS(3494),
    [anon_sym_const] = ACTIONS(3494),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_if] = ACTIONS(3494),
    [anon_sym_switch] = ACTIONS(3494),
    [anon_sym_for] = ACTIONS(3494),
    [anon_sym_LPAREN] = ACTIONS(3494),
    [anon_sym_await] = ACTIONS(3494),
    [anon_sym_of] = ACTIONS(3494),
    [anon_sym_while] = ACTIONS(3494),
    [anon_sym_do] = ACTIONS(3494),
    [anon_sym_try] = ACTIONS(3494),
    [anon_sym_break] = ACTIONS(3494),
    [anon_sym_continue] = ACTIONS(3494),
    [anon_sym_debugger] = ACTIONS(3494),
    [anon_sym_return] = ACTIONS(3494),
    [anon_sym_throw] = ACTIONS(3494),
    [anon_sym_SEMI] = ACTIONS(3494),
    [anon_sym_case] = ACTIONS(3494),
    [anon_sym_yield] = ACTIONS(3494),
    [anon_sym_LBRACK] = ACTIONS(3494),
    [anon_sym_LTtemplate_GT] = ACTIONS(3494),
    [anon_sym_DQUOTE] = ACTIONS(3494),
    [anon_sym_SQUOTE] = ACTIONS(3494),
    [anon_sym_class] = ACTIONS(3494),
    [anon_sym_async] = ACTIONS(3494),
    [anon_sym_function] = ACTIONS(3494),
    [anon_sym_new] = ACTIONS(3494),
    [anon_sym_using] = ACTIONS(3494),
    [anon_sym_PLUS] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3494),
    [anon_sym_SLASH] = ACTIONS(3494),
    [anon_sym_LT] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_void] = ACTIONS(3494),
    [anon_sym_delete] = ACTIONS(3494),
    [anon_sym_PLUS_PLUS] = ACTIONS(3494),
    [anon_sym_DASH_DASH] = ACTIONS(3494),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3494),
    [sym_number] = ACTIONS(3494),
    [sym_private_property_identifier] = ACTIONS(3494),
    [sym_this] = ACTIONS(3494),
    [sym_super] = ACTIONS(3494),
    [sym_true] = ACTIONS(3494),
    [sym_false] = ACTIONS(3494),
    [sym_null] = ACTIONS(3494),
    [sym_undefined] = ACTIONS(3494),
    [anon_sym_AT] = ACTIONS(3494),
    [anon_sym_static] = ACTIONS(3494),
    [anon_sym_readonly] = ACTIONS(3494),
    [anon_sym_get] = ACTIONS(3494),
    [anon_sym_set] = ACTIONS(3494),
    [anon_sym_declare] = ACTIONS(3494),
    [anon_sym_public] = ACTIONS(3494),
    [anon_sym_private] = ACTIONS(3494),
    [anon_sym_protected] = ACTIONS(3494),
    [anon_sym_override] = ACTIONS(3494),
    [anon_sym_module] = ACTIONS(3494),
    [anon_sym_any] = ACTIONS(3494),
    [anon_sym_number] = ACTIONS(3494),
    [anon_sym_boolean] = ACTIONS(3494),
    [anon_sym_string] = ACTIONS(3494),
    [anon_sym_symbol] = ACTIONS(3494),
    [anon_sym_object] = ACTIONS(3494),
    [anon_sym_property] = ACTIONS(3494),
    [anon_sym_signal] = ACTIONS(3494),
    [anon_sym_on] = ACTIONS(3494),
    [anon_sym_required] = ACTIONS(3494),
    [anon_sym_component] = ACTIONS(3494),
    [anon_sym_abstract] = ACTIONS(3494),
    [anon_sym_interface] = ACTIONS(3494),
    [anon_sym_enum] = ACTIONS(3494),
    [sym_html_comment] = ACTIONS(5),
  },
  [1262] = {
    [sym_comment] = STATE(1262),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_default] = ACTIONS(3484),
    [anon_sym_type] = ACTIONS(3484),
    [anon_sym_namespace] = ACTIONS(3484),
    [anon_sym_LBRACE] = ACTIONS(3484),
    [anon_sym_RBRACE] = ACTIONS(3484),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(3484),
    [anon_sym_from] = ACTIONS(3484),
    [anon_sym_with] = ACTIONS(3484),
    [anon_sym_var] = ACTIONS(3484),
    [anon_sym_let] = ACTIONS(3484),
    [anon_sym_const] = ACTIONS(3484),
    [anon_sym_BANG] = ACTIONS(3484),
    [anon_sym_if] = ACTIONS(3484),
    [anon_sym_switch] = ACTIONS(3484),
    [anon_sym_for] = ACTIONS(3484),
    [anon_sym_LPAREN] = ACTIONS(3484),
    [anon_sym_await] = ACTIONS(3484),
    [anon_sym_of] = ACTIONS(3484),
    [anon_sym_while] = ACTIONS(3484),
    [anon_sym_do] = ACTIONS(3484),
    [anon_sym_try] = ACTIONS(3484),
    [anon_sym_break] = ACTIONS(3484),
    [anon_sym_continue] = ACTIONS(3484),
    [anon_sym_debugger] = ACTIONS(3484),
    [anon_sym_return] = ACTIONS(3484),
    [anon_sym_throw] = ACTIONS(3484),
    [anon_sym_SEMI] = ACTIONS(3484),
    [anon_sym_case] = ACTIONS(3484),
    [anon_sym_yield] = ACTIONS(3484),
    [anon_sym_LBRACK] = ACTIONS(3484),
    [anon_sym_LTtemplate_GT] = ACTIONS(3484),
    [anon_sym_DQUOTE] = ACTIONS(3484),
    [anon_sym_SQUOTE] = ACTIONS(3484),
    [anon_sym_class] = ACTIONS(3484),
    [anon_sym_async] = ACTIONS(3484),
    [anon_sym_function] = ACTIONS(3484),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_using] = ACTIONS(3484),
    [anon_sym_PLUS] = ACTIONS(3484),
    [anon_sym_DASH] = ACTIONS(3484),
    [anon_sym_SLASH] = ACTIONS(3484),
    [anon_sym_LT] = ACTIONS(3484),
    [anon_sym_TILDE] = ACTIONS(3484),
    [anon_sym_void] = ACTIONS(3484),
    [anon_sym_delete] = ACTIONS(3484),
    [anon_sym_PLUS_PLUS] = ACTIONS(3484),
    [anon_sym_DASH_DASH] = ACTIONS(3484),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3484),
    [sym_number] = ACTIONS(3484),
    [sym_private_property_identifier] = ACTIONS(3484),
    [sym_this] = ACTIONS(3484),
    [sym_super] = ACTIONS(3484),
    [sym_true] = ACTIONS(3484),
    [sym_false] = ACTIONS(3484),
    [sym_null] = ACTIONS(3484),
    [sym_undefined] = ACTIONS(3484),
    [anon_sym_AT] = ACTIONS(3484),
    [anon_sym_static] = ACTIONS(3484),
    [anon_sym_readonly] = ACTIONS(3484),
    [anon_sym_get] = ACTIONS(3484),
    [anon_sym_set] = ACTIONS(3484),
    [anon_sym_declare] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3484),
    [anon_sym_private] = ACTIONS(3484),
    [anon_sym_protected] = ACTIONS(3484),
    [anon_sym_override] = ACTIONS(3484),
    [anon_sym_module] = ACTIONS(3484),
    [anon_sym_any] = ACTIONS(3484),
    [anon_sym_number] = ACTIONS(3484),
    [anon_sym_boolean] = ACTIONS(3484),
    [anon_sym_string] = ACTIONS(3484),
    [anon_sym_symbol] = ACTIONS(3484),
    [anon_sym_object] = ACTIONS(3484),
    [anon_sym_property] = ACTIONS(3484),
    [anon_sym_signal] = ACTIONS(3484),
    [anon_sym_on] = ACTIONS(3484),
    [anon_sym_required] = ACTIONS(3484),
    [anon_sym_component] = ACTIONS(3484),
    [anon_sym_abstract] = ACTIONS(3484),
    [anon_sym_interface] = ACTIONS(3484),
    [anon_sym_enum] = ACTIONS(3484),
    [sym_html_comment] = ACTIONS(5),
  },
  [1263] = {
    [sym_comment] = STATE(1263),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_export] = ACTIONS(3516),
    [anon_sym_default] = ACTIONS(3516),
    [anon_sym_type] = ACTIONS(3516),
    [anon_sym_namespace] = ACTIONS(3516),
    [anon_sym_LBRACE] = ACTIONS(3516),
    [anon_sym_RBRACE] = ACTIONS(3516),
    [anon_sym_typeof] = ACTIONS(3516),
    [anon_sym_import] = ACTIONS(3516),
    [anon_sym_from] = ACTIONS(3516),
    [anon_sym_with] = ACTIONS(3516),
    [anon_sym_var] = ACTIONS(3516),
    [anon_sym_let] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3516),
    [anon_sym_BANG] = ACTIONS(3516),
    [anon_sym_if] = ACTIONS(3516),
    [anon_sym_switch] = ACTIONS(3516),
    [anon_sym_for] = ACTIONS(3516),
    [anon_sym_LPAREN] = ACTIONS(3516),
    [anon_sym_await] = ACTIONS(3516),
    [anon_sym_of] = ACTIONS(3516),
    [anon_sym_while] = ACTIONS(3516),
    [anon_sym_do] = ACTIONS(3516),
    [anon_sym_try] = ACTIONS(3516),
    [anon_sym_break] = ACTIONS(3516),
    [anon_sym_continue] = ACTIONS(3516),
    [anon_sym_debugger] = ACTIONS(3516),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_throw] = ACTIONS(3516),
    [anon_sym_SEMI] = ACTIONS(3516),
    [anon_sym_case] = ACTIONS(3516),
    [anon_sym_yield] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(3516),
    [anon_sym_LTtemplate_GT] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [anon_sym_SQUOTE] = ACTIONS(3516),
    [anon_sym_class] = ACTIONS(3516),
    [anon_sym_async] = ACTIONS(3516),
    [anon_sym_function] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(3516),
    [anon_sym_using] = ACTIONS(3516),
    [anon_sym_PLUS] = ACTIONS(3516),
    [anon_sym_DASH] = ACTIONS(3516),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_LT] = ACTIONS(3516),
    [anon_sym_TILDE] = ACTIONS(3516),
    [anon_sym_void] = ACTIONS(3516),
    [anon_sym_delete] = ACTIONS(3516),
    [anon_sym_PLUS_PLUS] = ACTIONS(3516),
    [anon_sym_DASH_DASH] = ACTIONS(3516),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3516),
    [sym_number] = ACTIONS(3516),
    [sym_private_property_identifier] = ACTIONS(3516),
    [sym_this] = ACTIONS(3516),
    [sym_super] = ACTIONS(3516),
    [sym_true] = ACTIONS(3516),
    [sym_false] = ACTIONS(3516),
    [sym_null] = ACTIONS(3516),
    [sym_undefined] = ACTIONS(3516),
    [anon_sym_AT] = ACTIONS(3516),
    [anon_sym_static] = ACTIONS(3516),
    [anon_sym_readonly] = ACTIONS(3516),
    [anon_sym_get] = ACTIONS(3516),
    [anon_sym_set] = ACTIONS(3516),
    [anon_sym_declare] = ACTIONS(3516),
    [anon_sym_public] = ACTIONS(3516),
    [anon_sym_private] = ACTIONS(3516),
    [anon_sym_protected] = ACTIONS(3516),
    [anon_sym_override] = ACTIONS(3516),
    [anon_sym_module] = ACTIONS(3516),
    [anon_sym_any] = ACTIONS(3516),
    [anon_sym_number] = ACTIONS(3516),
    [anon_sym_boolean] = ACTIONS(3516),
    [anon_sym_string] = ACTIONS(3516),
    [anon_sym_symbol] = ACTIONS(3516),
    [anon_sym_object] = ACTIONS(3516),
    [anon_sym_property] = ACTIONS(3516),
    [anon_sym_signal] = ACTIONS(3516),
    [anon_sym_on] = ACTIONS(3516),
    [anon_sym_required] = ACTIONS(3516),
    [anon_sym_component] = ACTIONS(3516),
    [anon_sym_abstract] = ACTIONS(3516),
    [anon_sym_interface] = ACTIONS(3516),
    [anon_sym_enum] = ACTIONS(3516),
    [sym_html_comment] = ACTIONS(5),
  },
  [1264] = {
    [sym_comment] = STATE(1264),
    [sym_identifier] = ACTIONS(3702),
    [anon_sym_export] = ACTIONS(3702),
    [anon_sym_default] = ACTIONS(3702),
    [anon_sym_type] = ACTIONS(3702),
    [anon_sym_namespace] = ACTIONS(3702),
    [anon_sym_LBRACE] = ACTIONS(3702),
    [anon_sym_RBRACE] = ACTIONS(3702),
    [anon_sym_typeof] = ACTIONS(3702),
    [anon_sym_import] = ACTIONS(3702),
    [anon_sym_from] = ACTIONS(3702),
    [anon_sym_with] = ACTIONS(3702),
    [anon_sym_var] = ACTIONS(3702),
    [anon_sym_let] = ACTIONS(3702),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_BANG] = ACTIONS(3702),
    [anon_sym_if] = ACTIONS(3702),
    [anon_sym_switch] = ACTIONS(3702),
    [anon_sym_for] = ACTIONS(3702),
    [anon_sym_LPAREN] = ACTIONS(3702),
    [anon_sym_await] = ACTIONS(3702),
    [anon_sym_of] = ACTIONS(3702),
    [anon_sym_while] = ACTIONS(3702),
    [anon_sym_do] = ACTIONS(3702),
    [anon_sym_try] = ACTIONS(3702),
    [anon_sym_break] = ACTIONS(3702),
    [anon_sym_continue] = ACTIONS(3702),
    [anon_sym_debugger] = ACTIONS(3702),
    [anon_sym_return] = ACTIONS(3702),
    [anon_sym_throw] = ACTIONS(3702),
    [anon_sym_SEMI] = ACTIONS(3702),
    [anon_sym_case] = ACTIONS(3702),
    [anon_sym_yield] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(3702),
    [anon_sym_LTtemplate_GT] = ACTIONS(3702),
    [anon_sym_DQUOTE] = ACTIONS(3702),
    [anon_sym_SQUOTE] = ACTIONS(3702),
    [anon_sym_class] = ACTIONS(3702),
    [anon_sym_async] = ACTIONS(3702),
    [anon_sym_function] = ACTIONS(3702),
    [anon_sym_new] = ACTIONS(3702),
    [anon_sym_using] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_SLASH] = ACTIONS(3702),
    [anon_sym_LT] = ACTIONS(3702),
    [anon_sym_TILDE] = ACTIONS(3702),
    [anon_sym_void] = ACTIONS(3702),
    [anon_sym_delete] = ACTIONS(3702),
    [anon_sym_PLUS_PLUS] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3702),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3702),
    [sym_number] = ACTIONS(3702),
    [sym_private_property_identifier] = ACTIONS(3702),
    [sym_this] = ACTIONS(3702),
    [sym_super] = ACTIONS(3702),
    [sym_true] = ACTIONS(3702),
    [sym_false] = ACTIONS(3702),
    [sym_null] = ACTIONS(3702),
    [sym_undefined] = ACTIONS(3702),
    [anon_sym_AT] = ACTIONS(3702),
    [anon_sym_static] = ACTIONS(3702),
    [anon_sym_readonly] = ACTIONS(3702),
    [anon_sym_get] = ACTIONS(3702),
    [anon_sym_set] = ACTIONS(3702),
    [anon_sym_declare] = ACTIONS(3702),
    [anon_sym_public] = ACTIONS(3702),
    [anon_sym_private] = ACTIONS(3702),
    [anon_sym_protected] = ACTIONS(3702),
    [anon_sym_override] = ACTIONS(3702),
    [anon_sym_module] = ACTIONS(3702),
    [anon_sym_any] = ACTIONS(3702),
    [anon_sym_number] = ACTIONS(3702),
    [anon_sym_boolean] = ACTIONS(3702),
    [anon_sym_string] = ACTIONS(3702),
    [anon_sym_symbol] = ACTIONS(3702),
    [anon_sym_object] = ACTIONS(3702),
    [anon_sym_property] = ACTIONS(3702),
    [anon_sym_signal] = ACTIONS(3702),
    [anon_sym_on] = ACTIONS(3702),
    [anon_sym_required] = ACTIONS(3702),
    [anon_sym_component] = ACTIONS(3702),
    [anon_sym_abstract] = ACTIONS(3702),
    [anon_sym_interface] = ACTIONS(3702),
    [anon_sym_enum] = ACTIONS(3702),
    [sym_html_comment] = ACTIONS(5),
  },
  [1265] = {
    [sym_comment] = STATE(1265),
    [sym_identifier] = ACTIONS(3496),
    [anon_sym_export] = ACTIONS(3496),
    [anon_sym_default] = ACTIONS(3496),
    [anon_sym_type] = ACTIONS(3496),
    [anon_sym_namespace] = ACTIONS(3496),
    [anon_sym_LBRACE] = ACTIONS(3496),
    [anon_sym_RBRACE] = ACTIONS(3496),
    [anon_sym_typeof] = ACTIONS(3496),
    [anon_sym_import] = ACTIONS(3496),
    [anon_sym_from] = ACTIONS(3496),
    [anon_sym_with] = ACTIONS(3496),
    [anon_sym_var] = ACTIONS(3496),
    [anon_sym_let] = ACTIONS(3496),
    [anon_sym_const] = ACTIONS(3496),
    [anon_sym_BANG] = ACTIONS(3496),
    [anon_sym_if] = ACTIONS(3496),
    [anon_sym_switch] = ACTIONS(3496),
    [anon_sym_for] = ACTIONS(3496),
    [anon_sym_LPAREN] = ACTIONS(3496),
    [anon_sym_await] = ACTIONS(3496),
    [anon_sym_of] = ACTIONS(3496),
    [anon_sym_while] = ACTIONS(3496),
    [anon_sym_do] = ACTIONS(3496),
    [anon_sym_try] = ACTIONS(3496),
    [anon_sym_break] = ACTIONS(3496),
    [anon_sym_continue] = ACTIONS(3496),
    [anon_sym_debugger] = ACTIONS(3496),
    [anon_sym_return] = ACTIONS(3496),
    [anon_sym_throw] = ACTIONS(3496),
    [anon_sym_SEMI] = ACTIONS(3496),
    [anon_sym_case] = ACTIONS(3496),
    [anon_sym_yield] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(3496),
    [anon_sym_LTtemplate_GT] = ACTIONS(3496),
    [anon_sym_DQUOTE] = ACTIONS(3496),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_class] = ACTIONS(3496),
    [anon_sym_async] = ACTIONS(3496),
    [anon_sym_function] = ACTIONS(3496),
    [anon_sym_new] = ACTIONS(3496),
    [anon_sym_using] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_SLASH] = ACTIONS(3496),
    [anon_sym_LT] = ACTIONS(3496),
    [anon_sym_TILDE] = ACTIONS(3496),
    [anon_sym_void] = ACTIONS(3496),
    [anon_sym_delete] = ACTIONS(3496),
    [anon_sym_PLUS_PLUS] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3496),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3496),
    [sym_number] = ACTIONS(3496),
    [sym_private_property_identifier] = ACTIONS(3496),
    [sym_this] = ACTIONS(3496),
    [sym_super] = ACTIONS(3496),
    [sym_true] = ACTIONS(3496),
    [sym_false] = ACTIONS(3496),
    [sym_null] = ACTIONS(3496),
    [sym_undefined] = ACTIONS(3496),
    [anon_sym_AT] = ACTIONS(3496),
    [anon_sym_static] = ACTIONS(3496),
    [anon_sym_readonly] = ACTIONS(3496),
    [anon_sym_get] = ACTIONS(3496),
    [anon_sym_set] = ACTIONS(3496),
    [anon_sym_declare] = ACTIONS(3496),
    [anon_sym_public] = ACTIONS(3496),
    [anon_sym_private] = ACTIONS(3496),
    [anon_sym_protected] = ACTIONS(3496),
    [anon_sym_override] = ACTIONS(3496),
    [anon_sym_module] = ACTIONS(3496),
    [anon_sym_any] = ACTIONS(3496),
    [anon_sym_number] = ACTIONS(3496),
    [anon_sym_boolean] = ACTIONS(3496),
    [anon_sym_string] = ACTIONS(3496),
    [anon_sym_symbol] = ACTIONS(3496),
    [anon_sym_object] = ACTIONS(3496),
    [anon_sym_property] = ACTIONS(3496),
    [anon_sym_signal] = ACTIONS(3496),
    [anon_sym_on] = ACTIONS(3496),
    [anon_sym_required] = ACTIONS(3496),
    [anon_sym_component] = ACTIONS(3496),
    [anon_sym_abstract] = ACTIONS(3496),
    [anon_sym_interface] = ACTIONS(3496),
    [anon_sym_enum] = ACTIONS(3496),
    [sym_html_comment] = ACTIONS(5),
  },
  [1266] = {
    [sym_comment] = STATE(1266),
    [sym_identifier] = ACTIONS(3486),
    [anon_sym_export] = ACTIONS(3486),
    [anon_sym_default] = ACTIONS(3486),
    [anon_sym_type] = ACTIONS(3486),
    [anon_sym_namespace] = ACTIONS(3486),
    [anon_sym_LBRACE] = ACTIONS(3486),
    [anon_sym_RBRACE] = ACTIONS(3486),
    [anon_sym_typeof] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3486),
    [anon_sym_from] = ACTIONS(3486),
    [anon_sym_with] = ACTIONS(3486),
    [anon_sym_var] = ACTIONS(3486),
    [anon_sym_let] = ACTIONS(3486),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_BANG] = ACTIONS(3486),
    [anon_sym_if] = ACTIONS(3486),
    [anon_sym_switch] = ACTIONS(3486),
    [anon_sym_for] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3486),
    [anon_sym_await] = ACTIONS(3486),
    [anon_sym_of] = ACTIONS(3486),
    [anon_sym_while] = ACTIONS(3486),
    [anon_sym_do] = ACTIONS(3486),
    [anon_sym_try] = ACTIONS(3486),
    [anon_sym_break] = ACTIONS(3486),
    [anon_sym_continue] = ACTIONS(3486),
    [anon_sym_debugger] = ACTIONS(3486),
    [anon_sym_return] = ACTIONS(3486),
    [anon_sym_throw] = ACTIONS(3486),
    [anon_sym_SEMI] = ACTIONS(3486),
    [anon_sym_case] = ACTIONS(3486),
    [anon_sym_yield] = ACTIONS(3486),
    [anon_sym_LBRACK] = ACTIONS(3486),
    [anon_sym_LTtemplate_GT] = ACTIONS(3486),
    [anon_sym_DQUOTE] = ACTIONS(3486),
    [anon_sym_SQUOTE] = ACTIONS(3486),
    [anon_sym_class] = ACTIONS(3486),
    [anon_sym_async] = ACTIONS(3486),
    [anon_sym_function] = ACTIONS(3486),
    [anon_sym_new] = ACTIONS(3486),
    [anon_sym_using] = ACTIONS(3486),
    [anon_sym_PLUS] = ACTIONS(3486),
    [anon_sym_DASH] = ACTIONS(3486),
    [anon_sym_SLASH] = ACTIONS(3486),
    [anon_sym_LT] = ACTIONS(3486),
    [anon_sym_TILDE] = ACTIONS(3486),
    [anon_sym_void] = ACTIONS(3486),
    [anon_sym_delete] = ACTIONS(3486),
    [anon_sym_PLUS_PLUS] = ACTIONS(3486),
    [anon_sym_DASH_DASH] = ACTIONS(3486),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3486),
    [sym_number] = ACTIONS(3486),
    [sym_private_property_identifier] = ACTIONS(3486),
    [sym_this] = ACTIONS(3486),
    [sym_super] = ACTIONS(3486),
    [sym_true] = ACTIONS(3486),
    [sym_false] = ACTIONS(3486),
    [sym_null] = ACTIONS(3486),
    [sym_undefined] = ACTIONS(3486),
    [anon_sym_AT] = ACTIONS(3486),
    [anon_sym_static] = ACTIONS(3486),
    [anon_sym_readonly] = ACTIONS(3486),
    [anon_sym_get] = ACTIONS(3486),
    [anon_sym_set] = ACTIONS(3486),
    [anon_sym_declare] = ACTIONS(3486),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_private] = ACTIONS(3486),
    [anon_sym_protected] = ACTIONS(3486),
    [anon_sym_override] = ACTIONS(3486),
    [anon_sym_module] = ACTIONS(3486),
    [anon_sym_any] = ACTIONS(3486),
    [anon_sym_number] = ACTIONS(3486),
    [anon_sym_boolean] = ACTIONS(3486),
    [anon_sym_string] = ACTIONS(3486),
    [anon_sym_symbol] = ACTIONS(3486),
    [anon_sym_object] = ACTIONS(3486),
    [anon_sym_property] = ACTIONS(3486),
    [anon_sym_signal] = ACTIONS(3486),
    [anon_sym_on] = ACTIONS(3486),
    [anon_sym_required] = ACTIONS(3486),
    [anon_sym_component] = ACTIONS(3486),
    [anon_sym_abstract] = ACTIONS(3486),
    [anon_sym_interface] = ACTIONS(3486),
    [anon_sym_enum] = ACTIONS(3486),
    [sym_html_comment] = ACTIONS(5),
  },
  [1267] = {
    [sym_comment] = STATE(1267),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_catch] = ACTIONS(2350),
    [anon_sym_finally] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym_html_comment] = ACTIONS(5),
  },
  [1268] = {
    [sym_comment] = STATE(1268),
    [sym_identifier] = ACTIONS(3526),
    [anon_sym_export] = ACTIONS(3526),
    [anon_sym_default] = ACTIONS(3526),
    [anon_sym_type] = ACTIONS(3526),
    [anon_sym_namespace] = ACTIONS(3526),
    [anon_sym_LBRACE] = ACTIONS(3526),
    [anon_sym_RBRACE] = ACTIONS(3526),
    [anon_sym_typeof] = ACTIONS(3526),
    [anon_sym_import] = ACTIONS(3526),
    [anon_sym_from] = ACTIONS(3526),
    [anon_sym_with] = ACTIONS(3526),
    [anon_sym_var] = ACTIONS(3526),
    [anon_sym_let] = ACTIONS(3526),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(3526),
    [anon_sym_for] = ACTIONS(3526),
    [anon_sym_LPAREN] = ACTIONS(3526),
    [anon_sym_await] = ACTIONS(3526),
    [anon_sym_of] = ACTIONS(3526),
    [anon_sym_while] = ACTIONS(3526),
    [anon_sym_do] = ACTIONS(3526),
    [anon_sym_try] = ACTIONS(3526),
    [anon_sym_break] = ACTIONS(3526),
    [anon_sym_continue] = ACTIONS(3526),
    [anon_sym_debugger] = ACTIONS(3526),
    [anon_sym_return] = ACTIONS(3526),
    [anon_sym_throw] = ACTIONS(3526),
    [anon_sym_SEMI] = ACTIONS(3526),
    [anon_sym_case] = ACTIONS(3526),
    [anon_sym_yield] = ACTIONS(3526),
    [anon_sym_LBRACK] = ACTIONS(3526),
    [anon_sym_LTtemplate_GT] = ACTIONS(3526),
    [anon_sym_DQUOTE] = ACTIONS(3526),
    [anon_sym_SQUOTE] = ACTIONS(3526),
    [anon_sym_class] = ACTIONS(3526),
    [anon_sym_async] = ACTIONS(3526),
    [anon_sym_function] = ACTIONS(3526),
    [anon_sym_new] = ACTIONS(3526),
    [anon_sym_using] = ACTIONS(3526),
    [anon_sym_PLUS] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3526),
    [anon_sym_SLASH] = ACTIONS(3526),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_void] = ACTIONS(3526),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_PLUS_PLUS] = ACTIONS(3526),
    [anon_sym_DASH_DASH] = ACTIONS(3526),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3526),
    [sym_number] = ACTIONS(3526),
    [sym_private_property_identifier] = ACTIONS(3526),
    [sym_this] = ACTIONS(3526),
    [sym_super] = ACTIONS(3526),
    [sym_true] = ACTIONS(3526),
    [sym_false] = ACTIONS(3526),
    [sym_null] = ACTIONS(3526),
    [sym_undefined] = ACTIONS(3526),
    [anon_sym_AT] = ACTIONS(3526),
    [anon_sym_static] = ACTIONS(3526),
    [anon_sym_readonly] = ACTIONS(3526),
    [anon_sym_get] = ACTIONS(3526),
    [anon_sym_set] = ACTIONS(3526),
    [anon_sym_declare] = ACTIONS(3526),
    [anon_sym_public] = ACTIONS(3526),
    [anon_sym_private] = ACTIONS(3526),
    [anon_sym_protected] = ACTIONS(3526),
    [anon_sym_override] = ACTIONS(3526),
    [anon_sym_module] = ACTIONS(3526),
    [anon_sym_any] = ACTIONS(3526),
    [anon_sym_number] = ACTIONS(3526),
    [anon_sym_boolean] = ACTIONS(3526),
    [anon_sym_string] = ACTIONS(3526),
    [anon_sym_symbol] = ACTIONS(3526),
    [anon_sym_object] = ACTIONS(3526),
    [anon_sym_property] = ACTIONS(3526),
    [anon_sym_signal] = ACTIONS(3526),
    [anon_sym_on] = ACTIONS(3526),
    [anon_sym_required] = ACTIONS(3526),
    [anon_sym_component] = ACTIONS(3526),
    [anon_sym_abstract] = ACTIONS(3526),
    [anon_sym_interface] = ACTIONS(3526),
    [anon_sym_enum] = ACTIONS(3526),
    [sym_html_comment] = ACTIONS(5),
  },
  [1269] = {
    [sym_comment] = STATE(1269),
    [sym_identifier] = ACTIONS(3510),
    [anon_sym_export] = ACTIONS(3510),
    [anon_sym_default] = ACTIONS(3510),
    [anon_sym_type] = ACTIONS(3510),
    [anon_sym_namespace] = ACTIONS(3510),
    [anon_sym_LBRACE] = ACTIONS(3510),
    [anon_sym_RBRACE] = ACTIONS(3510),
    [anon_sym_typeof] = ACTIONS(3510),
    [anon_sym_import] = ACTIONS(3510),
    [anon_sym_from] = ACTIONS(3510),
    [anon_sym_with] = ACTIONS(3510),
    [anon_sym_var] = ACTIONS(3510),
    [anon_sym_let] = ACTIONS(3510),
    [anon_sym_const] = ACTIONS(3510),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_if] = ACTIONS(3510),
    [anon_sym_switch] = ACTIONS(3510),
    [anon_sym_for] = ACTIONS(3510),
    [anon_sym_LPAREN] = ACTIONS(3510),
    [anon_sym_await] = ACTIONS(3510),
    [anon_sym_of] = ACTIONS(3510),
    [anon_sym_while] = ACTIONS(3510),
    [anon_sym_do] = ACTIONS(3510),
    [anon_sym_try] = ACTIONS(3510),
    [anon_sym_break] = ACTIONS(3510),
    [anon_sym_continue] = ACTIONS(3510),
    [anon_sym_debugger] = ACTIONS(3510),
    [anon_sym_return] = ACTIONS(3510),
    [anon_sym_throw] = ACTIONS(3510),
    [anon_sym_SEMI] = ACTIONS(3510),
    [anon_sym_case] = ACTIONS(3510),
    [anon_sym_yield] = ACTIONS(3510),
    [anon_sym_LBRACK] = ACTIONS(3510),
    [anon_sym_LTtemplate_GT] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [anon_sym_SQUOTE] = ACTIONS(3510),
    [anon_sym_class] = ACTIONS(3510),
    [anon_sym_async] = ACTIONS(3510),
    [anon_sym_function] = ACTIONS(3510),
    [anon_sym_new] = ACTIONS(3510),
    [anon_sym_using] = ACTIONS(3510),
    [anon_sym_PLUS] = ACTIONS(3510),
    [anon_sym_DASH] = ACTIONS(3510),
    [anon_sym_SLASH] = ACTIONS(3510),
    [anon_sym_LT] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [anon_sym_void] = ACTIONS(3510),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_PLUS_PLUS] = ACTIONS(3510),
    [anon_sym_DASH_DASH] = ACTIONS(3510),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3510),
    [sym_number] = ACTIONS(3510),
    [sym_private_property_identifier] = ACTIONS(3510),
    [sym_this] = ACTIONS(3510),
    [sym_super] = ACTIONS(3510),
    [sym_true] = ACTIONS(3510),
    [sym_false] = ACTIONS(3510),
    [sym_null] = ACTIONS(3510),
    [sym_undefined] = ACTIONS(3510),
    [anon_sym_AT] = ACTIONS(3510),
    [anon_sym_static] = ACTIONS(3510),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_get] = ACTIONS(3510),
    [anon_sym_set] = ACTIONS(3510),
    [anon_sym_declare] = ACTIONS(3510),
    [anon_sym_public] = ACTIONS(3510),
    [anon_sym_private] = ACTIONS(3510),
    [anon_sym_protected] = ACTIONS(3510),
    [anon_sym_override] = ACTIONS(3510),
    [anon_sym_module] = ACTIONS(3510),
    [anon_sym_any] = ACTIONS(3510),
    [anon_sym_number] = ACTIONS(3510),
    [anon_sym_boolean] = ACTIONS(3510),
    [anon_sym_string] = ACTIONS(3510),
    [anon_sym_symbol] = ACTIONS(3510),
    [anon_sym_object] = ACTIONS(3510),
    [anon_sym_property] = ACTIONS(3510),
    [anon_sym_signal] = ACTIONS(3510),
    [anon_sym_on] = ACTIONS(3510),
    [anon_sym_required] = ACTIONS(3510),
    [anon_sym_component] = ACTIONS(3510),
    [anon_sym_abstract] = ACTIONS(3510),
    [anon_sym_interface] = ACTIONS(3510),
    [anon_sym_enum] = ACTIONS(3510),
    [sym_html_comment] = ACTIONS(5),
  },
  [1270] = {
    [sym_comment] = STATE(1270),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_default] = ACTIONS(3532),
    [anon_sym_type] = ACTIONS(3532),
    [anon_sym_namespace] = ACTIONS(3532),
    [anon_sym_LBRACE] = ACTIONS(3532),
    [anon_sym_RBRACE] = ACTIONS(3532),
    [anon_sym_typeof] = ACTIONS(3532),
    [anon_sym_import] = ACTIONS(3532),
    [anon_sym_from] = ACTIONS(3532),
    [anon_sym_with] = ACTIONS(3532),
    [anon_sym_var] = ACTIONS(3532),
    [anon_sym_let] = ACTIONS(3532),
    [anon_sym_const] = ACTIONS(3532),
    [anon_sym_BANG] = ACTIONS(3532),
    [anon_sym_if] = ACTIONS(3532),
    [anon_sym_switch] = ACTIONS(3532),
    [anon_sym_for] = ACTIONS(3532),
    [anon_sym_LPAREN] = ACTIONS(3532),
    [anon_sym_await] = ACTIONS(3532),
    [anon_sym_of] = ACTIONS(3532),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(3532),
    [anon_sym_try] = ACTIONS(3532),
    [anon_sym_break] = ACTIONS(3532),
    [anon_sym_continue] = ACTIONS(3532),
    [anon_sym_debugger] = ACTIONS(3532),
    [anon_sym_return] = ACTIONS(3532),
    [anon_sym_throw] = ACTIONS(3532),
    [anon_sym_SEMI] = ACTIONS(3532),
    [anon_sym_case] = ACTIONS(3532),
    [anon_sym_yield] = ACTIONS(3532),
    [anon_sym_LBRACK] = ACTIONS(3532),
    [anon_sym_LTtemplate_GT] = ACTIONS(3532),
    [anon_sym_DQUOTE] = ACTIONS(3532),
    [anon_sym_SQUOTE] = ACTIONS(3532),
    [anon_sym_class] = ACTIONS(3532),
    [anon_sym_async] = ACTIONS(3532),
    [anon_sym_function] = ACTIONS(3532),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_using] = ACTIONS(3532),
    [anon_sym_PLUS] = ACTIONS(3532),
    [anon_sym_DASH] = ACTIONS(3532),
    [anon_sym_SLASH] = ACTIONS(3532),
    [anon_sym_LT] = ACTIONS(3532),
    [anon_sym_TILDE] = ACTIONS(3532),
    [anon_sym_void] = ACTIONS(3532),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_PLUS_PLUS] = ACTIONS(3532),
    [anon_sym_DASH_DASH] = ACTIONS(3532),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3532),
    [sym_number] = ACTIONS(3532),
    [sym_private_property_identifier] = ACTIONS(3532),
    [sym_this] = ACTIONS(3532),
    [sym_super] = ACTIONS(3532),
    [sym_true] = ACTIONS(3532),
    [sym_false] = ACTIONS(3532),
    [sym_null] = ACTIONS(3532),
    [sym_undefined] = ACTIONS(3532),
    [anon_sym_AT] = ACTIONS(3532),
    [anon_sym_static] = ACTIONS(3532),
    [anon_sym_readonly] = ACTIONS(3532),
    [anon_sym_get] = ACTIONS(3532),
    [anon_sym_set] = ACTIONS(3532),
    [anon_sym_declare] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3532),
    [anon_sym_private] = ACTIONS(3532),
    [anon_sym_protected] = ACTIONS(3532),
    [anon_sym_override] = ACTIONS(3532),
    [anon_sym_module] = ACTIONS(3532),
    [anon_sym_any] = ACTIONS(3532),
    [anon_sym_number] = ACTIONS(3532),
    [anon_sym_boolean] = ACTIONS(3532),
    [anon_sym_string] = ACTIONS(3532),
    [anon_sym_symbol] = ACTIONS(3532),
    [anon_sym_object] = ACTIONS(3532),
    [anon_sym_property] = ACTIONS(3532),
    [anon_sym_signal] = ACTIONS(3532),
    [anon_sym_on] = ACTIONS(3532),
    [anon_sym_required] = ACTIONS(3532),
    [anon_sym_component] = ACTIONS(3532),
    [anon_sym_abstract] = ACTIONS(3532),
    [anon_sym_interface] = ACTIONS(3532),
    [anon_sym_enum] = ACTIONS(3532),
    [sym_html_comment] = ACTIONS(5),
  },
  [1271] = {
    [sym_comment] = STATE(1271),
    [sym_identifier] = ACTIONS(3514),
    [anon_sym_export] = ACTIONS(3514),
    [anon_sym_default] = ACTIONS(3514),
    [anon_sym_type] = ACTIONS(3514),
    [anon_sym_namespace] = ACTIONS(3514),
    [anon_sym_LBRACE] = ACTIONS(3514),
    [anon_sym_RBRACE] = ACTIONS(3514),
    [anon_sym_typeof] = ACTIONS(3514),
    [anon_sym_import] = ACTIONS(3514),
    [anon_sym_from] = ACTIONS(3514),
    [anon_sym_with] = ACTIONS(3514),
    [anon_sym_var] = ACTIONS(3514),
    [anon_sym_let] = ACTIONS(3514),
    [anon_sym_const] = ACTIONS(3514),
    [anon_sym_BANG] = ACTIONS(3514),
    [anon_sym_if] = ACTIONS(3514),
    [anon_sym_switch] = ACTIONS(3514),
    [anon_sym_for] = ACTIONS(3514),
    [anon_sym_LPAREN] = ACTIONS(3514),
    [anon_sym_await] = ACTIONS(3514),
    [anon_sym_of] = ACTIONS(3514),
    [anon_sym_while] = ACTIONS(3514),
    [anon_sym_do] = ACTIONS(3514),
    [anon_sym_try] = ACTIONS(3514),
    [anon_sym_break] = ACTIONS(3514),
    [anon_sym_continue] = ACTIONS(3514),
    [anon_sym_debugger] = ACTIONS(3514),
    [anon_sym_return] = ACTIONS(3514),
    [anon_sym_throw] = ACTIONS(3514),
    [anon_sym_SEMI] = ACTIONS(3514),
    [anon_sym_case] = ACTIONS(3514),
    [anon_sym_yield] = ACTIONS(3514),
    [anon_sym_LBRACK] = ACTIONS(3514),
    [anon_sym_LTtemplate_GT] = ACTIONS(3514),
    [anon_sym_DQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_class] = ACTIONS(3514),
    [anon_sym_async] = ACTIONS(3514),
    [anon_sym_function] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(3514),
    [anon_sym_using] = ACTIONS(3514),
    [anon_sym_PLUS] = ACTIONS(3514),
    [anon_sym_DASH] = ACTIONS(3514),
    [anon_sym_SLASH] = ACTIONS(3514),
    [anon_sym_LT] = ACTIONS(3514),
    [anon_sym_TILDE] = ACTIONS(3514),
    [anon_sym_void] = ACTIONS(3514),
    [anon_sym_delete] = ACTIONS(3514),
    [anon_sym_PLUS_PLUS] = ACTIONS(3514),
    [anon_sym_DASH_DASH] = ACTIONS(3514),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3514),
    [sym_number] = ACTIONS(3514),
    [sym_private_property_identifier] = ACTIONS(3514),
    [sym_this] = ACTIONS(3514),
    [sym_super] = ACTIONS(3514),
    [sym_true] = ACTIONS(3514),
    [sym_false] = ACTIONS(3514),
    [sym_null] = ACTIONS(3514),
    [sym_undefined] = ACTIONS(3514),
    [anon_sym_AT] = ACTIONS(3514),
    [anon_sym_static] = ACTIONS(3514),
    [anon_sym_readonly] = ACTIONS(3514),
    [anon_sym_get] = ACTIONS(3514),
    [anon_sym_set] = ACTIONS(3514),
    [anon_sym_declare] = ACTIONS(3514),
    [anon_sym_public] = ACTIONS(3514),
    [anon_sym_private] = ACTIONS(3514),
    [anon_sym_protected] = ACTIONS(3514),
    [anon_sym_override] = ACTIONS(3514),
    [anon_sym_module] = ACTIONS(3514),
    [anon_sym_any] = ACTIONS(3514),
    [anon_sym_number] = ACTIONS(3514),
    [anon_sym_boolean] = ACTIONS(3514),
    [anon_sym_string] = ACTIONS(3514),
    [anon_sym_symbol] = ACTIONS(3514),
    [anon_sym_object] = ACTIONS(3514),
    [anon_sym_property] = ACTIONS(3514),
    [anon_sym_signal] = ACTIONS(3514),
    [anon_sym_on] = ACTIONS(3514),
    [anon_sym_required] = ACTIONS(3514),
    [anon_sym_component] = ACTIONS(3514),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_interface] = ACTIONS(3514),
    [anon_sym_enum] = ACTIONS(3514),
    [sym_html_comment] = ACTIONS(5),
  },
  [1272] = {
    [sym_comment] = STATE(1272),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_default] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_case] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1273] = {
    [sym_else_clause] = STATE(1688),
    [sym_comment] = STATE(1273),
    [sym_identifier] = ACTIONS(3444),
    [anon_sym_export] = ACTIONS(3444),
    [anon_sym_type] = ACTIONS(3444),
    [anon_sym_namespace] = ACTIONS(3444),
    [anon_sym_LBRACE] = ACTIONS(3444),
    [anon_sym_RBRACE] = ACTIONS(3444),
    [anon_sym_typeof] = ACTIONS(3444),
    [anon_sym_import] = ACTIONS(3444),
    [anon_sym_from] = ACTIONS(3444),
    [anon_sym_with] = ACTIONS(3444),
    [anon_sym_var] = ACTIONS(3444),
    [anon_sym_let] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3444),
    [anon_sym_BANG] = ACTIONS(3444),
    [anon_sym_else] = ACTIONS(3704),
    [anon_sym_if] = ACTIONS(3444),
    [anon_sym_switch] = ACTIONS(3444),
    [anon_sym_for] = ACTIONS(3444),
    [anon_sym_LPAREN] = ACTIONS(3444),
    [anon_sym_await] = ACTIONS(3444),
    [anon_sym_of] = ACTIONS(3444),
    [anon_sym_while] = ACTIONS(3444),
    [anon_sym_do] = ACTIONS(3444),
    [anon_sym_try] = ACTIONS(3444),
    [anon_sym_break] = ACTIONS(3444),
    [anon_sym_continue] = ACTIONS(3444),
    [anon_sym_debugger] = ACTIONS(3444),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_throw] = ACTIONS(3444),
    [anon_sym_SEMI] = ACTIONS(3444),
    [anon_sym_yield] = ACTIONS(3444),
    [anon_sym_LBRACK] = ACTIONS(3444),
    [anon_sym_LTtemplate_GT] = ACTIONS(3444),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3444),
    [anon_sym_class] = ACTIONS(3444),
    [anon_sym_async] = ACTIONS(3444),
    [anon_sym_function] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3444),
    [anon_sym_using] = ACTIONS(3444),
    [anon_sym_PLUS] = ACTIONS(3444),
    [anon_sym_DASH] = ACTIONS(3444),
    [anon_sym_SLASH] = ACTIONS(3444),
    [anon_sym_LT] = ACTIONS(3444),
    [anon_sym_TILDE] = ACTIONS(3444),
    [anon_sym_void] = ACTIONS(3444),
    [anon_sym_delete] = ACTIONS(3444),
    [anon_sym_PLUS_PLUS] = ACTIONS(3444),
    [anon_sym_DASH_DASH] = ACTIONS(3444),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3444),
    [sym_number] = ACTIONS(3444),
    [sym_private_property_identifier] = ACTIONS(3444),
    [sym_this] = ACTIONS(3444),
    [sym_super] = ACTIONS(3444),
    [sym_true] = ACTIONS(3444),
    [sym_false] = ACTIONS(3444),
    [sym_null] = ACTIONS(3444),
    [sym_undefined] = ACTIONS(3444),
    [anon_sym_AT] = ACTIONS(3444),
    [anon_sym_static] = ACTIONS(3444),
    [anon_sym_readonly] = ACTIONS(3444),
    [anon_sym_get] = ACTIONS(3444),
    [anon_sym_set] = ACTIONS(3444),
    [anon_sym_declare] = ACTIONS(3444),
    [anon_sym_public] = ACTIONS(3444),
    [anon_sym_private] = ACTIONS(3444),
    [anon_sym_protected] = ACTIONS(3444),
    [anon_sym_override] = ACTIONS(3444),
    [anon_sym_module] = ACTIONS(3444),
    [anon_sym_any] = ACTIONS(3444),
    [anon_sym_number] = ACTIONS(3444),
    [anon_sym_boolean] = ACTIONS(3444),
    [anon_sym_string] = ACTIONS(3444),
    [anon_sym_symbol] = ACTIONS(3444),
    [anon_sym_object] = ACTIONS(3444),
    [anon_sym_property] = ACTIONS(3444),
    [anon_sym_signal] = ACTIONS(3444),
    [anon_sym_on] = ACTIONS(3444),
    [anon_sym_required] = ACTIONS(3444),
    [anon_sym_component] = ACTIONS(3444),
    [anon_sym_abstract] = ACTIONS(3444),
    [anon_sym_interface] = ACTIONS(3444),
    [anon_sym_enum] = ACTIONS(3444),
    [sym_html_comment] = ACTIONS(5),
  },
  [1274] = {
    [sym_comment] = STATE(1274),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_default] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_case] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1275] = {
    [sym_finally_clause] = STATE(1706),
    [sym_comment] = STATE(1275),
    [sym_identifier] = ACTIONS(3424),
    [anon_sym_export] = ACTIONS(3424),
    [anon_sym_type] = ACTIONS(3424),
    [anon_sym_namespace] = ACTIONS(3424),
    [anon_sym_LBRACE] = ACTIONS(3424),
    [anon_sym_RBRACE] = ACTIONS(3424),
    [anon_sym_typeof] = ACTIONS(3424),
    [anon_sym_import] = ACTIONS(3424),
    [anon_sym_from] = ACTIONS(3424),
    [anon_sym_with] = ACTIONS(3424),
    [anon_sym_var] = ACTIONS(3424),
    [anon_sym_let] = ACTIONS(3424),
    [anon_sym_const] = ACTIONS(3424),
    [anon_sym_BANG] = ACTIONS(3424),
    [anon_sym_if] = ACTIONS(3424),
    [anon_sym_switch] = ACTIONS(3424),
    [anon_sym_for] = ACTIONS(3424),
    [anon_sym_LPAREN] = ACTIONS(3424),
    [anon_sym_await] = ACTIONS(3424),
    [anon_sym_of] = ACTIONS(3424),
    [anon_sym_while] = ACTIONS(3424),
    [anon_sym_do] = ACTIONS(3424),
    [anon_sym_try] = ACTIONS(3424),
    [anon_sym_break] = ACTIONS(3424),
    [anon_sym_continue] = ACTIONS(3424),
    [anon_sym_debugger] = ACTIONS(3424),
    [anon_sym_return] = ACTIONS(3424),
    [anon_sym_throw] = ACTIONS(3424),
    [anon_sym_SEMI] = ACTIONS(3424),
    [anon_sym_finally] = ACTIONS(3470),
    [anon_sym_yield] = ACTIONS(3424),
    [anon_sym_LBRACK] = ACTIONS(3424),
    [anon_sym_LTtemplate_GT] = ACTIONS(3424),
    [anon_sym_DQUOTE] = ACTIONS(3424),
    [anon_sym_SQUOTE] = ACTIONS(3424),
    [anon_sym_class] = ACTIONS(3424),
    [anon_sym_async] = ACTIONS(3424),
    [anon_sym_function] = ACTIONS(3424),
    [anon_sym_new] = ACTIONS(3424),
    [anon_sym_using] = ACTIONS(3424),
    [anon_sym_PLUS] = ACTIONS(3424),
    [anon_sym_DASH] = ACTIONS(3424),
    [anon_sym_SLASH] = ACTIONS(3424),
    [anon_sym_LT] = ACTIONS(3424),
    [anon_sym_TILDE] = ACTIONS(3424),
    [anon_sym_void] = ACTIONS(3424),
    [anon_sym_delete] = ACTIONS(3424),
    [anon_sym_PLUS_PLUS] = ACTIONS(3424),
    [anon_sym_DASH_DASH] = ACTIONS(3424),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3424),
    [sym_number] = ACTIONS(3424),
    [sym_private_property_identifier] = ACTIONS(3424),
    [sym_this] = ACTIONS(3424),
    [sym_super] = ACTIONS(3424),
    [sym_true] = ACTIONS(3424),
    [sym_false] = ACTIONS(3424),
    [sym_null] = ACTIONS(3424),
    [sym_undefined] = ACTIONS(3424),
    [anon_sym_AT] = ACTIONS(3424),
    [anon_sym_static] = ACTIONS(3424),
    [anon_sym_readonly] = ACTIONS(3424),
    [anon_sym_get] = ACTIONS(3424),
    [anon_sym_set] = ACTIONS(3424),
    [anon_sym_declare] = ACTIONS(3424),
    [anon_sym_public] = ACTIONS(3424),
    [anon_sym_private] = ACTIONS(3424),
    [anon_sym_protected] = ACTIONS(3424),
    [anon_sym_override] = ACTIONS(3424),
    [anon_sym_module] = ACTIONS(3424),
    [anon_sym_any] = ACTIONS(3424),
    [anon_sym_number] = ACTIONS(3424),
    [anon_sym_boolean] = ACTIONS(3424),
    [anon_sym_string] = ACTIONS(3424),
    [anon_sym_symbol] = ACTIONS(3424),
    [anon_sym_object] = ACTIONS(3424),
    [anon_sym_property] = ACTIONS(3424),
    [anon_sym_signal] = ACTIONS(3424),
    [anon_sym_on] = ACTIONS(3424),
    [anon_sym_required] = ACTIONS(3424),
    [anon_sym_component] = ACTIONS(3424),
    [anon_sym_abstract] = ACTIONS(3424),
    [anon_sym_interface] = ACTIONS(3424),
    [anon_sym_enum] = ACTIONS(3424),
    [sym_html_comment] = ACTIONS(5),
  },
  [1276] = {
    [sym_comment] = STATE(1276),
    [sym_identifier] = ACTIONS(3540),
    [anon_sym_export] = ACTIONS(3540),
    [anon_sym_default] = ACTIONS(3540),
    [anon_sym_type] = ACTIONS(3540),
    [anon_sym_namespace] = ACTIONS(3540),
    [anon_sym_LBRACE] = ACTIONS(3540),
    [anon_sym_RBRACE] = ACTIONS(3540),
    [anon_sym_typeof] = ACTIONS(3540),
    [anon_sym_import] = ACTIONS(3540),
    [anon_sym_from] = ACTIONS(3540),
    [anon_sym_with] = ACTIONS(3540),
    [anon_sym_var] = ACTIONS(3540),
    [anon_sym_let] = ACTIONS(3540),
    [anon_sym_const] = ACTIONS(3540),
    [anon_sym_BANG] = ACTIONS(3540),
    [anon_sym_if] = ACTIONS(3540),
    [anon_sym_switch] = ACTIONS(3540),
    [anon_sym_for] = ACTIONS(3540),
    [anon_sym_LPAREN] = ACTIONS(3540),
    [anon_sym_await] = ACTIONS(3540),
    [anon_sym_of] = ACTIONS(3540),
    [anon_sym_while] = ACTIONS(3540),
    [anon_sym_do] = ACTIONS(3540),
    [anon_sym_try] = ACTIONS(3540),
    [anon_sym_break] = ACTIONS(3540),
    [anon_sym_continue] = ACTIONS(3540),
    [anon_sym_debugger] = ACTIONS(3540),
    [anon_sym_return] = ACTIONS(3540),
    [anon_sym_throw] = ACTIONS(3540),
    [anon_sym_SEMI] = ACTIONS(3540),
    [anon_sym_case] = ACTIONS(3540),
    [anon_sym_yield] = ACTIONS(3540),
    [anon_sym_LBRACK] = ACTIONS(3540),
    [anon_sym_LTtemplate_GT] = ACTIONS(3540),
    [anon_sym_DQUOTE] = ACTIONS(3540),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [anon_sym_class] = ACTIONS(3540),
    [anon_sym_async] = ACTIONS(3540),
    [anon_sym_function] = ACTIONS(3540),
    [anon_sym_new] = ACTIONS(3540),
    [anon_sym_using] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_SLASH] = ACTIONS(3540),
    [anon_sym_LT] = ACTIONS(3540),
    [anon_sym_TILDE] = ACTIONS(3540),
    [anon_sym_void] = ACTIONS(3540),
    [anon_sym_delete] = ACTIONS(3540),
    [anon_sym_PLUS_PLUS] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(3540),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3540),
    [sym_number] = ACTIONS(3540),
    [sym_private_property_identifier] = ACTIONS(3540),
    [sym_this] = ACTIONS(3540),
    [sym_super] = ACTIONS(3540),
    [sym_true] = ACTIONS(3540),
    [sym_false] = ACTIONS(3540),
    [sym_null] = ACTIONS(3540),
    [sym_undefined] = ACTIONS(3540),
    [anon_sym_AT] = ACTIONS(3540),
    [anon_sym_static] = ACTIONS(3540),
    [anon_sym_readonly] = ACTIONS(3540),
    [anon_sym_get] = ACTIONS(3540),
    [anon_sym_set] = ACTIONS(3540),
    [anon_sym_declare] = ACTIONS(3540),
    [anon_sym_public] = ACTIONS(3540),
    [anon_sym_private] = ACTIONS(3540),
    [anon_sym_protected] = ACTIONS(3540),
    [anon_sym_override] = ACTIONS(3540),
    [anon_sym_module] = ACTIONS(3540),
    [anon_sym_any] = ACTIONS(3540),
    [anon_sym_number] = ACTIONS(3540),
    [anon_sym_boolean] = ACTIONS(3540),
    [anon_sym_string] = ACTIONS(3540),
    [anon_sym_symbol] = ACTIONS(3540),
    [anon_sym_object] = ACTIONS(3540),
    [anon_sym_property] = ACTIONS(3540),
    [anon_sym_signal] = ACTIONS(3540),
    [anon_sym_on] = ACTIONS(3540),
    [anon_sym_required] = ACTIONS(3540),
    [anon_sym_component] = ACTIONS(3540),
    [anon_sym_abstract] = ACTIONS(3540),
    [anon_sym_interface] = ACTIONS(3540),
    [anon_sym_enum] = ACTIONS(3540),
    [sym_html_comment] = ACTIONS(5),
  },
  [1277] = {
    [sym_comment] = STATE(1277),
    [sym_identifier] = ACTIONS(3542),
    [anon_sym_export] = ACTIONS(3542),
    [anon_sym_default] = ACTIONS(3542),
    [anon_sym_type] = ACTIONS(3542),
    [anon_sym_namespace] = ACTIONS(3542),
    [anon_sym_LBRACE] = ACTIONS(3542),
    [anon_sym_RBRACE] = ACTIONS(3542),
    [anon_sym_typeof] = ACTIONS(3542),
    [anon_sym_import] = ACTIONS(3542),
    [anon_sym_from] = ACTIONS(3542),
    [anon_sym_with] = ACTIONS(3542),
    [anon_sym_var] = ACTIONS(3542),
    [anon_sym_let] = ACTIONS(3542),
    [anon_sym_const] = ACTIONS(3542),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_if] = ACTIONS(3542),
    [anon_sym_switch] = ACTIONS(3542),
    [anon_sym_for] = ACTIONS(3542),
    [anon_sym_LPAREN] = ACTIONS(3542),
    [anon_sym_await] = ACTIONS(3542),
    [anon_sym_of] = ACTIONS(3542),
    [anon_sym_while] = ACTIONS(3542),
    [anon_sym_do] = ACTIONS(3542),
    [anon_sym_try] = ACTIONS(3542),
    [anon_sym_break] = ACTIONS(3542),
    [anon_sym_continue] = ACTIONS(3542),
    [anon_sym_debugger] = ACTIONS(3542),
    [anon_sym_return] = ACTIONS(3542),
    [anon_sym_throw] = ACTIONS(3542),
    [anon_sym_SEMI] = ACTIONS(3542),
    [anon_sym_case] = ACTIONS(3542),
    [anon_sym_yield] = ACTIONS(3542),
    [anon_sym_LBRACK] = ACTIONS(3542),
    [anon_sym_LTtemplate_GT] = ACTIONS(3542),
    [anon_sym_DQUOTE] = ACTIONS(3542),
    [anon_sym_SQUOTE] = ACTIONS(3542),
    [anon_sym_class] = ACTIONS(3542),
    [anon_sym_async] = ACTIONS(3542),
    [anon_sym_function] = ACTIONS(3542),
    [anon_sym_new] = ACTIONS(3542),
    [anon_sym_using] = ACTIONS(3542),
    [anon_sym_PLUS] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3542),
    [anon_sym_SLASH] = ACTIONS(3542),
    [anon_sym_LT] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_void] = ACTIONS(3542),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_PLUS_PLUS] = ACTIONS(3542),
    [anon_sym_DASH_DASH] = ACTIONS(3542),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3542),
    [sym_number] = ACTIONS(3542),
    [sym_private_property_identifier] = ACTIONS(3542),
    [sym_this] = ACTIONS(3542),
    [sym_super] = ACTIONS(3542),
    [sym_true] = ACTIONS(3542),
    [sym_false] = ACTIONS(3542),
    [sym_null] = ACTIONS(3542),
    [sym_undefined] = ACTIONS(3542),
    [anon_sym_AT] = ACTIONS(3542),
    [anon_sym_static] = ACTIONS(3542),
    [anon_sym_readonly] = ACTIONS(3542),
    [anon_sym_get] = ACTIONS(3542),
    [anon_sym_set] = ACTIONS(3542),
    [anon_sym_declare] = ACTIONS(3542),
    [anon_sym_public] = ACTIONS(3542),
    [anon_sym_private] = ACTIONS(3542),
    [anon_sym_protected] = ACTIONS(3542),
    [anon_sym_override] = ACTIONS(3542),
    [anon_sym_module] = ACTIONS(3542),
    [anon_sym_any] = ACTIONS(3542),
    [anon_sym_number] = ACTIONS(3542),
    [anon_sym_boolean] = ACTIONS(3542),
    [anon_sym_string] = ACTIONS(3542),
    [anon_sym_symbol] = ACTIONS(3542),
    [anon_sym_object] = ACTIONS(3542),
    [anon_sym_property] = ACTIONS(3542),
    [anon_sym_signal] = ACTIONS(3542),
    [anon_sym_on] = ACTIONS(3542),
    [anon_sym_required] = ACTIONS(3542),
    [anon_sym_component] = ACTIONS(3542),
    [anon_sym_abstract] = ACTIONS(3542),
    [anon_sym_interface] = ACTIONS(3542),
    [anon_sym_enum] = ACTIONS(3542),
    [sym_html_comment] = ACTIONS(5),
  },
  [1278] = {
    [sym_comment] = STATE(1278),
    [sym_identifier] = ACTIONS(3528),
    [anon_sym_export] = ACTIONS(3528),
    [anon_sym_default] = ACTIONS(3528),
    [anon_sym_type] = ACTIONS(3528),
    [anon_sym_namespace] = ACTIONS(3528),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_RBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3528),
    [anon_sym_import] = ACTIONS(3528),
    [anon_sym_from] = ACTIONS(3528),
    [anon_sym_with] = ACTIONS(3528),
    [anon_sym_var] = ACTIONS(3528),
    [anon_sym_let] = ACTIONS(3528),
    [anon_sym_const] = ACTIONS(3528),
    [anon_sym_BANG] = ACTIONS(3528),
    [anon_sym_if] = ACTIONS(3528),
    [anon_sym_switch] = ACTIONS(3528),
    [anon_sym_for] = ACTIONS(3528),
    [anon_sym_LPAREN] = ACTIONS(3528),
    [anon_sym_await] = ACTIONS(3528),
    [anon_sym_of] = ACTIONS(3528),
    [anon_sym_while] = ACTIONS(3528),
    [anon_sym_do] = ACTIONS(3528),
    [anon_sym_try] = ACTIONS(3528),
    [anon_sym_break] = ACTIONS(3528),
    [anon_sym_continue] = ACTIONS(3528),
    [anon_sym_debugger] = ACTIONS(3528),
    [anon_sym_return] = ACTIONS(3528),
    [anon_sym_throw] = ACTIONS(3528),
    [anon_sym_SEMI] = ACTIONS(3528),
    [anon_sym_case] = ACTIONS(3528),
    [anon_sym_yield] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(3528),
    [anon_sym_LTtemplate_GT] = ACTIONS(3528),
    [anon_sym_DQUOTE] = ACTIONS(3528),
    [anon_sym_SQUOTE] = ACTIONS(3528),
    [anon_sym_class] = ACTIONS(3528),
    [anon_sym_async] = ACTIONS(3528),
    [anon_sym_function] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3528),
    [anon_sym_using] = ACTIONS(3528),
    [anon_sym_PLUS] = ACTIONS(3528),
    [anon_sym_DASH] = ACTIONS(3528),
    [anon_sym_SLASH] = ACTIONS(3528),
    [anon_sym_LT] = ACTIONS(3528),
    [anon_sym_TILDE] = ACTIONS(3528),
    [anon_sym_void] = ACTIONS(3528),
    [anon_sym_delete] = ACTIONS(3528),
    [anon_sym_PLUS_PLUS] = ACTIONS(3528),
    [anon_sym_DASH_DASH] = ACTIONS(3528),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3528),
    [sym_number] = ACTIONS(3528),
    [sym_private_property_identifier] = ACTIONS(3528),
    [sym_this] = ACTIONS(3528),
    [sym_super] = ACTIONS(3528),
    [sym_true] = ACTIONS(3528),
    [sym_false] = ACTIONS(3528),
    [sym_null] = ACTIONS(3528),
    [sym_undefined] = ACTIONS(3528),
    [anon_sym_AT] = ACTIONS(3528),
    [anon_sym_static] = ACTIONS(3528),
    [anon_sym_readonly] = ACTIONS(3528),
    [anon_sym_get] = ACTIONS(3528),
    [anon_sym_set] = ACTIONS(3528),
    [anon_sym_declare] = ACTIONS(3528),
    [anon_sym_public] = ACTIONS(3528),
    [anon_sym_private] = ACTIONS(3528),
    [anon_sym_protected] = ACTIONS(3528),
    [anon_sym_override] = ACTIONS(3528),
    [anon_sym_module] = ACTIONS(3528),
    [anon_sym_any] = ACTIONS(3528),
    [anon_sym_number] = ACTIONS(3528),
    [anon_sym_boolean] = ACTIONS(3528),
    [anon_sym_string] = ACTIONS(3528),
    [anon_sym_symbol] = ACTIONS(3528),
    [anon_sym_object] = ACTIONS(3528),
    [anon_sym_property] = ACTIONS(3528),
    [anon_sym_signal] = ACTIONS(3528),
    [anon_sym_on] = ACTIONS(3528),
    [anon_sym_required] = ACTIONS(3528),
    [anon_sym_component] = ACTIONS(3528),
    [anon_sym_abstract] = ACTIONS(3528),
    [anon_sym_interface] = ACTIONS(3528),
    [anon_sym_enum] = ACTIONS(3528),
    [sym_html_comment] = ACTIONS(5),
  },
  [1279] = {
    [sym_comment] = STATE(1279),
    [sym_identifier] = ACTIONS(3530),
    [anon_sym_export] = ACTIONS(3530),
    [anon_sym_default] = ACTIONS(3530),
    [anon_sym_type] = ACTIONS(3530),
    [anon_sym_namespace] = ACTIONS(3530),
    [anon_sym_LBRACE] = ACTIONS(3530),
    [anon_sym_RBRACE] = ACTIONS(3530),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(3530),
    [anon_sym_from] = ACTIONS(3530),
    [anon_sym_with] = ACTIONS(3530),
    [anon_sym_var] = ACTIONS(3530),
    [anon_sym_let] = ACTIONS(3530),
    [anon_sym_const] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3530),
    [anon_sym_if] = ACTIONS(3530),
    [anon_sym_switch] = ACTIONS(3530),
    [anon_sym_for] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(3530),
    [anon_sym_await] = ACTIONS(3530),
    [anon_sym_of] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3530),
    [anon_sym_do] = ACTIONS(3530),
    [anon_sym_try] = ACTIONS(3530),
    [anon_sym_break] = ACTIONS(3530),
    [anon_sym_continue] = ACTIONS(3530),
    [anon_sym_debugger] = ACTIONS(3530),
    [anon_sym_return] = ACTIONS(3530),
    [anon_sym_throw] = ACTIONS(3530),
    [anon_sym_SEMI] = ACTIONS(3530),
    [anon_sym_case] = ACTIONS(3530),
    [anon_sym_yield] = ACTIONS(3530),
    [anon_sym_LBRACK] = ACTIONS(3530),
    [anon_sym_LTtemplate_GT] = ACTIONS(3530),
    [anon_sym_DQUOTE] = ACTIONS(3530),
    [anon_sym_SQUOTE] = ACTIONS(3530),
    [anon_sym_class] = ACTIONS(3530),
    [anon_sym_async] = ACTIONS(3530),
    [anon_sym_function] = ACTIONS(3530),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_using] = ACTIONS(3530),
    [anon_sym_PLUS] = ACTIONS(3530),
    [anon_sym_DASH] = ACTIONS(3530),
    [anon_sym_SLASH] = ACTIONS(3530),
    [anon_sym_LT] = ACTIONS(3530),
    [anon_sym_TILDE] = ACTIONS(3530),
    [anon_sym_void] = ACTIONS(3530),
    [anon_sym_delete] = ACTIONS(3530),
    [anon_sym_PLUS_PLUS] = ACTIONS(3530),
    [anon_sym_DASH_DASH] = ACTIONS(3530),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3530),
    [sym_number] = ACTIONS(3530),
    [sym_private_property_identifier] = ACTIONS(3530),
    [sym_this] = ACTIONS(3530),
    [sym_super] = ACTIONS(3530),
    [sym_true] = ACTIONS(3530),
    [sym_false] = ACTIONS(3530),
    [sym_null] = ACTIONS(3530),
    [sym_undefined] = ACTIONS(3530),
    [anon_sym_AT] = ACTIONS(3530),
    [anon_sym_static] = ACTIONS(3530),
    [anon_sym_readonly] = ACTIONS(3530),
    [anon_sym_get] = ACTIONS(3530),
    [anon_sym_set] = ACTIONS(3530),
    [anon_sym_declare] = ACTIONS(3530),
    [anon_sym_public] = ACTIONS(3530),
    [anon_sym_private] = ACTIONS(3530),
    [anon_sym_protected] = ACTIONS(3530),
    [anon_sym_override] = ACTIONS(3530),
    [anon_sym_module] = ACTIONS(3530),
    [anon_sym_any] = ACTIONS(3530),
    [anon_sym_number] = ACTIONS(3530),
    [anon_sym_boolean] = ACTIONS(3530),
    [anon_sym_string] = ACTIONS(3530),
    [anon_sym_symbol] = ACTIONS(3530),
    [anon_sym_object] = ACTIONS(3530),
    [anon_sym_property] = ACTIONS(3530),
    [anon_sym_signal] = ACTIONS(3530),
    [anon_sym_on] = ACTIONS(3530),
    [anon_sym_required] = ACTIONS(3530),
    [anon_sym_component] = ACTIONS(3530),
    [anon_sym_abstract] = ACTIONS(3530),
    [anon_sym_interface] = ACTIONS(3530),
    [anon_sym_enum] = ACTIONS(3530),
    [sym_html_comment] = ACTIONS(5),
  },
  [1280] = {
    [sym_comment] = STATE(1280),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_default] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_case] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1281] = {
    [sym_comment] = STATE(1281),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_default] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_case] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1282] = {
    [sym_comment] = STATE(1282),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_default] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_case] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1283] = {
    [sym_comment] = STATE(1283),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_default] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_case] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1284] = {
    [sym_comment] = STATE(1284),
    [sym_identifier] = ACTIONS(3534),
    [anon_sym_export] = ACTIONS(3534),
    [anon_sym_default] = ACTIONS(3534),
    [anon_sym_type] = ACTIONS(3534),
    [anon_sym_namespace] = ACTIONS(3534),
    [anon_sym_LBRACE] = ACTIONS(3534),
    [anon_sym_RBRACE] = ACTIONS(3534),
    [anon_sym_typeof] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3534),
    [anon_sym_from] = ACTIONS(3534),
    [anon_sym_with] = ACTIONS(3534),
    [anon_sym_var] = ACTIONS(3534),
    [anon_sym_let] = ACTIONS(3534),
    [anon_sym_const] = ACTIONS(3534),
    [anon_sym_BANG] = ACTIONS(3534),
    [anon_sym_if] = ACTIONS(3534),
    [anon_sym_switch] = ACTIONS(3534),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_LPAREN] = ACTIONS(3534),
    [anon_sym_await] = ACTIONS(3534),
    [anon_sym_of] = ACTIONS(3534),
    [anon_sym_while] = ACTIONS(3534),
    [anon_sym_do] = ACTIONS(3534),
    [anon_sym_try] = ACTIONS(3534),
    [anon_sym_break] = ACTIONS(3534),
    [anon_sym_continue] = ACTIONS(3534),
    [anon_sym_debugger] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(3534),
    [anon_sym_throw] = ACTIONS(3534),
    [anon_sym_SEMI] = ACTIONS(3534),
    [anon_sym_case] = ACTIONS(3534),
    [anon_sym_yield] = ACTIONS(3534),
    [anon_sym_LBRACK] = ACTIONS(3534),
    [anon_sym_LTtemplate_GT] = ACTIONS(3534),
    [anon_sym_DQUOTE] = ACTIONS(3534),
    [anon_sym_SQUOTE] = ACTIONS(3534),
    [anon_sym_class] = ACTIONS(3534),
    [anon_sym_async] = ACTIONS(3534),
    [anon_sym_function] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3534),
    [anon_sym_using] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_SLASH] = ACTIONS(3534),
    [anon_sym_LT] = ACTIONS(3534),
    [anon_sym_TILDE] = ACTIONS(3534),
    [anon_sym_void] = ACTIONS(3534),
    [anon_sym_delete] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3534),
    [sym_number] = ACTIONS(3534),
    [sym_private_property_identifier] = ACTIONS(3534),
    [sym_this] = ACTIONS(3534),
    [sym_super] = ACTIONS(3534),
    [sym_true] = ACTIONS(3534),
    [sym_false] = ACTIONS(3534),
    [sym_null] = ACTIONS(3534),
    [sym_undefined] = ACTIONS(3534),
    [anon_sym_AT] = ACTIONS(3534),
    [anon_sym_static] = ACTIONS(3534),
    [anon_sym_readonly] = ACTIONS(3534),
    [anon_sym_get] = ACTIONS(3534),
    [anon_sym_set] = ACTIONS(3534),
    [anon_sym_declare] = ACTIONS(3534),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_private] = ACTIONS(3534),
    [anon_sym_protected] = ACTIONS(3534),
    [anon_sym_override] = ACTIONS(3534),
    [anon_sym_module] = ACTIONS(3534),
    [anon_sym_any] = ACTIONS(3534),
    [anon_sym_number] = ACTIONS(3534),
    [anon_sym_boolean] = ACTIONS(3534),
    [anon_sym_string] = ACTIONS(3534),
    [anon_sym_symbol] = ACTIONS(3534),
    [anon_sym_object] = ACTIONS(3534),
    [anon_sym_property] = ACTIONS(3534),
    [anon_sym_signal] = ACTIONS(3534),
    [anon_sym_on] = ACTIONS(3534),
    [anon_sym_required] = ACTIONS(3534),
    [anon_sym_component] = ACTIONS(3534),
    [anon_sym_abstract] = ACTIONS(3534),
    [anon_sym_interface] = ACTIONS(3534),
    [anon_sym_enum] = ACTIONS(3534),
    [sym_html_comment] = ACTIONS(5),
  },
  [1285] = {
    [sym_comment] = STATE(1285),
    [sym_identifier] = ACTIONS(3520),
    [anon_sym_export] = ACTIONS(3520),
    [anon_sym_default] = ACTIONS(3520),
    [anon_sym_type] = ACTIONS(3520),
    [anon_sym_namespace] = ACTIONS(3520),
    [anon_sym_LBRACE] = ACTIONS(3520),
    [anon_sym_RBRACE] = ACTIONS(3520),
    [anon_sym_typeof] = ACTIONS(3520),
    [anon_sym_import] = ACTIONS(3520),
    [anon_sym_from] = ACTIONS(3520),
    [anon_sym_with] = ACTIONS(3520),
    [anon_sym_var] = ACTIONS(3520),
    [anon_sym_let] = ACTIONS(3520),
    [anon_sym_const] = ACTIONS(3520),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_if] = ACTIONS(3520),
    [anon_sym_switch] = ACTIONS(3520),
    [anon_sym_for] = ACTIONS(3520),
    [anon_sym_LPAREN] = ACTIONS(3520),
    [anon_sym_await] = ACTIONS(3520),
    [anon_sym_of] = ACTIONS(3520),
    [anon_sym_while] = ACTIONS(3520),
    [anon_sym_do] = ACTIONS(3520),
    [anon_sym_try] = ACTIONS(3520),
    [anon_sym_break] = ACTIONS(3520),
    [anon_sym_continue] = ACTIONS(3520),
    [anon_sym_debugger] = ACTIONS(3520),
    [anon_sym_return] = ACTIONS(3520),
    [anon_sym_throw] = ACTIONS(3520),
    [anon_sym_SEMI] = ACTIONS(3520),
    [anon_sym_case] = ACTIONS(3520),
    [anon_sym_yield] = ACTIONS(3520),
    [anon_sym_LBRACK] = ACTIONS(3520),
    [anon_sym_LTtemplate_GT] = ACTIONS(3520),
    [anon_sym_DQUOTE] = ACTIONS(3520),
    [anon_sym_SQUOTE] = ACTIONS(3520),
    [anon_sym_class] = ACTIONS(3520),
    [anon_sym_async] = ACTIONS(3520),
    [anon_sym_function] = ACTIONS(3520),
    [anon_sym_new] = ACTIONS(3520),
    [anon_sym_using] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3520),
    [anon_sym_SLASH] = ACTIONS(3520),
    [anon_sym_LT] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_void] = ACTIONS(3520),
    [anon_sym_delete] = ACTIONS(3520),
    [anon_sym_PLUS_PLUS] = ACTIONS(3520),
    [anon_sym_DASH_DASH] = ACTIONS(3520),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3520),
    [sym_number] = ACTIONS(3520),
    [sym_private_property_identifier] = ACTIONS(3520),
    [sym_this] = ACTIONS(3520),
    [sym_super] = ACTIONS(3520),
    [sym_true] = ACTIONS(3520),
    [sym_false] = ACTIONS(3520),
    [sym_null] = ACTIONS(3520),
    [sym_undefined] = ACTIONS(3520),
    [anon_sym_AT] = ACTIONS(3520),
    [anon_sym_static] = ACTIONS(3520),
    [anon_sym_readonly] = ACTIONS(3520),
    [anon_sym_get] = ACTIONS(3520),
    [anon_sym_set] = ACTIONS(3520),
    [anon_sym_declare] = ACTIONS(3520),
    [anon_sym_public] = ACTIONS(3520),
    [anon_sym_private] = ACTIONS(3520),
    [anon_sym_protected] = ACTIONS(3520),
    [anon_sym_override] = ACTIONS(3520),
    [anon_sym_module] = ACTIONS(3520),
    [anon_sym_any] = ACTIONS(3520),
    [anon_sym_number] = ACTIONS(3520),
    [anon_sym_boolean] = ACTIONS(3520),
    [anon_sym_string] = ACTIONS(3520),
    [anon_sym_symbol] = ACTIONS(3520),
    [anon_sym_object] = ACTIONS(3520),
    [anon_sym_property] = ACTIONS(3520),
    [anon_sym_signal] = ACTIONS(3520),
    [anon_sym_on] = ACTIONS(3520),
    [anon_sym_required] = ACTIONS(3520),
    [anon_sym_component] = ACTIONS(3520),
    [anon_sym_abstract] = ACTIONS(3520),
    [anon_sym_interface] = ACTIONS(3520),
    [anon_sym_enum] = ACTIONS(3520),
    [sym_html_comment] = ACTIONS(5),
  },
  [1286] = {
    [sym_comment] = STATE(1286),
    [sym_identifier] = ACTIONS(3598),
    [anon_sym_export] = ACTIONS(3598),
    [anon_sym_default] = ACTIONS(3598),
    [anon_sym_type] = ACTIONS(3598),
    [anon_sym_namespace] = ACTIONS(3598),
    [anon_sym_LBRACE] = ACTIONS(3598),
    [anon_sym_RBRACE] = ACTIONS(3598),
    [anon_sym_typeof] = ACTIONS(3598),
    [anon_sym_import] = ACTIONS(3598),
    [anon_sym_from] = ACTIONS(3598),
    [anon_sym_with] = ACTIONS(3598),
    [anon_sym_var] = ACTIONS(3598),
    [anon_sym_let] = ACTIONS(3598),
    [anon_sym_const] = ACTIONS(3598),
    [anon_sym_BANG] = ACTIONS(3598),
    [anon_sym_if] = ACTIONS(3598),
    [anon_sym_switch] = ACTIONS(3598),
    [anon_sym_for] = ACTIONS(3598),
    [anon_sym_LPAREN] = ACTIONS(3598),
    [anon_sym_await] = ACTIONS(3598),
    [anon_sym_of] = ACTIONS(3598),
    [anon_sym_while] = ACTIONS(3598),
    [anon_sym_do] = ACTIONS(3598),
    [anon_sym_try] = ACTIONS(3598),
    [anon_sym_break] = ACTIONS(3598),
    [anon_sym_continue] = ACTIONS(3598),
    [anon_sym_debugger] = ACTIONS(3598),
    [anon_sym_return] = ACTIONS(3598),
    [anon_sym_throw] = ACTIONS(3598),
    [anon_sym_SEMI] = ACTIONS(3598),
    [anon_sym_case] = ACTIONS(3598),
    [anon_sym_yield] = ACTIONS(3598),
    [anon_sym_LBRACK] = ACTIONS(3598),
    [anon_sym_LTtemplate_GT] = ACTIONS(3598),
    [anon_sym_DQUOTE] = ACTIONS(3598),
    [anon_sym_SQUOTE] = ACTIONS(3598),
    [anon_sym_class] = ACTIONS(3598),
    [anon_sym_async] = ACTIONS(3598),
    [anon_sym_function] = ACTIONS(3598),
    [anon_sym_new] = ACTIONS(3598),
    [anon_sym_using] = ACTIONS(3598),
    [anon_sym_PLUS] = ACTIONS(3598),
    [anon_sym_DASH] = ACTIONS(3598),
    [anon_sym_SLASH] = ACTIONS(3598),
    [anon_sym_LT] = ACTIONS(3598),
    [anon_sym_TILDE] = ACTIONS(3598),
    [anon_sym_void] = ACTIONS(3598),
    [anon_sym_delete] = ACTIONS(3598),
    [anon_sym_PLUS_PLUS] = ACTIONS(3598),
    [anon_sym_DASH_DASH] = ACTIONS(3598),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3598),
    [sym_number] = ACTIONS(3598),
    [sym_private_property_identifier] = ACTIONS(3598),
    [sym_this] = ACTIONS(3598),
    [sym_super] = ACTIONS(3598),
    [sym_true] = ACTIONS(3598),
    [sym_false] = ACTIONS(3598),
    [sym_null] = ACTIONS(3598),
    [sym_undefined] = ACTIONS(3598),
    [anon_sym_AT] = ACTIONS(3598),
    [anon_sym_static] = ACTIONS(3598),
    [anon_sym_readonly] = ACTIONS(3598),
    [anon_sym_get] = ACTIONS(3598),
    [anon_sym_set] = ACTIONS(3598),
    [anon_sym_declare] = ACTIONS(3598),
    [anon_sym_public] = ACTIONS(3598),
    [anon_sym_private] = ACTIONS(3598),
    [anon_sym_protected] = ACTIONS(3598),
    [anon_sym_override] = ACTIONS(3598),
    [anon_sym_module] = ACTIONS(3598),
    [anon_sym_any] = ACTIONS(3598),
    [anon_sym_number] = ACTIONS(3598),
    [anon_sym_boolean] = ACTIONS(3598),
    [anon_sym_string] = ACTIONS(3598),
    [anon_sym_symbol] = ACTIONS(3598),
    [anon_sym_object] = ACTIONS(3598),
    [anon_sym_property] = ACTIONS(3598),
    [anon_sym_signal] = ACTIONS(3598),
    [anon_sym_on] = ACTIONS(3598),
    [anon_sym_required] = ACTIONS(3598),
    [anon_sym_component] = ACTIONS(3598),
    [anon_sym_abstract] = ACTIONS(3598),
    [anon_sym_interface] = ACTIONS(3598),
    [anon_sym_enum] = ACTIONS(3598),
    [sym_html_comment] = ACTIONS(5),
  },
  [1287] = {
    [sym_comment] = STATE(1287),
    [sym_identifier] = ACTIONS(3536),
    [anon_sym_export] = ACTIONS(3536),
    [anon_sym_default] = ACTIONS(3536),
    [anon_sym_type] = ACTIONS(3536),
    [anon_sym_namespace] = ACTIONS(3536),
    [anon_sym_LBRACE] = ACTIONS(3536),
    [anon_sym_RBRACE] = ACTIONS(3536),
    [anon_sym_typeof] = ACTIONS(3536),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_from] = ACTIONS(3536),
    [anon_sym_with] = ACTIONS(3536),
    [anon_sym_var] = ACTIONS(3536),
    [anon_sym_let] = ACTIONS(3536),
    [anon_sym_const] = ACTIONS(3536),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_if] = ACTIONS(3536),
    [anon_sym_switch] = ACTIONS(3536),
    [anon_sym_for] = ACTIONS(3536),
    [anon_sym_LPAREN] = ACTIONS(3536),
    [anon_sym_await] = ACTIONS(3536),
    [anon_sym_of] = ACTIONS(3536),
    [anon_sym_while] = ACTIONS(3536),
    [anon_sym_do] = ACTIONS(3536),
    [anon_sym_try] = ACTIONS(3536),
    [anon_sym_break] = ACTIONS(3536),
    [anon_sym_continue] = ACTIONS(3536),
    [anon_sym_debugger] = ACTIONS(3536),
    [anon_sym_return] = ACTIONS(3536),
    [anon_sym_throw] = ACTIONS(3536),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_case] = ACTIONS(3536),
    [anon_sym_yield] = ACTIONS(3536),
    [anon_sym_LBRACK] = ACTIONS(3536),
    [anon_sym_LTtemplate_GT] = ACTIONS(3536),
    [anon_sym_DQUOTE] = ACTIONS(3536),
    [anon_sym_SQUOTE] = ACTIONS(3536),
    [anon_sym_class] = ACTIONS(3536),
    [anon_sym_async] = ACTIONS(3536),
    [anon_sym_function] = ACTIONS(3536),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3536),
    [anon_sym_LT] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_void] = ACTIONS(3536),
    [anon_sym_delete] = ACTIONS(3536),
    [anon_sym_PLUS_PLUS] = ACTIONS(3536),
    [anon_sym_DASH_DASH] = ACTIONS(3536),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3536),
    [sym_number] = ACTIONS(3536),
    [sym_private_property_identifier] = ACTIONS(3536),
    [sym_this] = ACTIONS(3536),
    [sym_super] = ACTIONS(3536),
    [sym_true] = ACTIONS(3536),
    [sym_false] = ACTIONS(3536),
    [sym_null] = ACTIONS(3536),
    [sym_undefined] = ACTIONS(3536),
    [anon_sym_AT] = ACTIONS(3536),
    [anon_sym_static] = ACTIONS(3536),
    [anon_sym_readonly] = ACTIONS(3536),
    [anon_sym_get] = ACTIONS(3536),
    [anon_sym_set] = ACTIONS(3536),
    [anon_sym_declare] = ACTIONS(3536),
    [anon_sym_public] = ACTIONS(3536),
    [anon_sym_private] = ACTIONS(3536),
    [anon_sym_protected] = ACTIONS(3536),
    [anon_sym_override] = ACTIONS(3536),
    [anon_sym_module] = ACTIONS(3536),
    [anon_sym_any] = ACTIONS(3536),
    [anon_sym_number] = ACTIONS(3536),
    [anon_sym_boolean] = ACTIONS(3536),
    [anon_sym_string] = ACTIONS(3536),
    [anon_sym_symbol] = ACTIONS(3536),
    [anon_sym_object] = ACTIONS(3536),
    [anon_sym_property] = ACTIONS(3536),
    [anon_sym_signal] = ACTIONS(3536),
    [anon_sym_on] = ACTIONS(3536),
    [anon_sym_required] = ACTIONS(3536),
    [anon_sym_component] = ACTIONS(3536),
    [anon_sym_abstract] = ACTIONS(3536),
    [anon_sym_interface] = ACTIONS(3536),
    [anon_sym_enum] = ACTIONS(3536),
    [sym_html_comment] = ACTIONS(5),
  },
  [1288] = {
    [sym_comment] = STATE(1288),
    [sym_identifier] = ACTIONS(3570),
    [anon_sym_export] = ACTIONS(3570),
    [anon_sym_default] = ACTIONS(3570),
    [anon_sym_type] = ACTIONS(3570),
    [anon_sym_namespace] = ACTIONS(3570),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_RBRACE] = ACTIONS(3570),
    [anon_sym_typeof] = ACTIONS(3570),
    [anon_sym_import] = ACTIONS(3570),
    [anon_sym_from] = ACTIONS(3570),
    [anon_sym_with] = ACTIONS(3570),
    [anon_sym_var] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3570),
    [anon_sym_const] = ACTIONS(3570),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_if] = ACTIONS(3570),
    [anon_sym_switch] = ACTIONS(3570),
    [anon_sym_for] = ACTIONS(3570),
    [anon_sym_LPAREN] = ACTIONS(3570),
    [anon_sym_await] = ACTIONS(3570),
    [anon_sym_of] = ACTIONS(3570),
    [anon_sym_while] = ACTIONS(3570),
    [anon_sym_do] = ACTIONS(3570),
    [anon_sym_try] = ACTIONS(3570),
    [anon_sym_break] = ACTIONS(3570),
    [anon_sym_continue] = ACTIONS(3570),
    [anon_sym_debugger] = ACTIONS(3570),
    [anon_sym_return] = ACTIONS(3570),
    [anon_sym_throw] = ACTIONS(3570),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_case] = ACTIONS(3570),
    [anon_sym_yield] = ACTIONS(3570),
    [anon_sym_LBRACK] = ACTIONS(3570),
    [anon_sym_LTtemplate_GT] = ACTIONS(3570),
    [anon_sym_DQUOTE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3570),
    [anon_sym_class] = ACTIONS(3570),
    [anon_sym_async] = ACTIONS(3570),
    [anon_sym_function] = ACTIONS(3570),
    [anon_sym_new] = ACTIONS(3570),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_SLASH] = ACTIONS(3570),
    [anon_sym_LT] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [anon_sym_void] = ACTIONS(3570),
    [anon_sym_delete] = ACTIONS(3570),
    [anon_sym_PLUS_PLUS] = ACTIONS(3570),
    [anon_sym_DASH_DASH] = ACTIONS(3570),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3570),
    [sym_number] = ACTIONS(3570),
    [sym_private_property_identifier] = ACTIONS(3570),
    [sym_this] = ACTIONS(3570),
    [sym_super] = ACTIONS(3570),
    [sym_true] = ACTIONS(3570),
    [sym_false] = ACTIONS(3570),
    [sym_null] = ACTIONS(3570),
    [sym_undefined] = ACTIONS(3570),
    [anon_sym_AT] = ACTIONS(3570),
    [anon_sym_static] = ACTIONS(3570),
    [anon_sym_readonly] = ACTIONS(3570),
    [anon_sym_get] = ACTIONS(3570),
    [anon_sym_set] = ACTIONS(3570),
    [anon_sym_declare] = ACTIONS(3570),
    [anon_sym_public] = ACTIONS(3570),
    [anon_sym_private] = ACTIONS(3570),
    [anon_sym_protected] = ACTIONS(3570),
    [anon_sym_override] = ACTIONS(3570),
    [anon_sym_module] = ACTIONS(3570),
    [anon_sym_any] = ACTIONS(3570),
    [anon_sym_number] = ACTIONS(3570),
    [anon_sym_boolean] = ACTIONS(3570),
    [anon_sym_string] = ACTIONS(3570),
    [anon_sym_symbol] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(3570),
    [anon_sym_property] = ACTIONS(3570),
    [anon_sym_signal] = ACTIONS(3570),
    [anon_sym_on] = ACTIONS(3570),
    [anon_sym_required] = ACTIONS(3570),
    [anon_sym_component] = ACTIONS(3570),
    [anon_sym_abstract] = ACTIONS(3570),
    [anon_sym_interface] = ACTIONS(3570),
    [anon_sym_enum] = ACTIONS(3570),
    [sym_html_comment] = ACTIONS(5),
  },
  [1289] = {
    [sym_comment] = STATE(1289),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_export] = ACTIONS(3538),
    [anon_sym_default] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_namespace] = ACTIONS(3538),
    [anon_sym_LBRACE] = ACTIONS(3538),
    [anon_sym_RBRACE] = ACTIONS(3538),
    [anon_sym_typeof] = ACTIONS(3538),
    [anon_sym_import] = ACTIONS(3538),
    [anon_sym_from] = ACTIONS(3538),
    [anon_sym_with] = ACTIONS(3538),
    [anon_sym_var] = ACTIONS(3538),
    [anon_sym_let] = ACTIONS(3538),
    [anon_sym_const] = ACTIONS(3538),
    [anon_sym_BANG] = ACTIONS(3538),
    [anon_sym_if] = ACTIONS(3538),
    [anon_sym_switch] = ACTIONS(3538),
    [anon_sym_for] = ACTIONS(3538),
    [anon_sym_LPAREN] = ACTIONS(3538),
    [anon_sym_await] = ACTIONS(3538),
    [anon_sym_of] = ACTIONS(3538),
    [anon_sym_while] = ACTIONS(3538),
    [anon_sym_do] = ACTIONS(3538),
    [anon_sym_try] = ACTIONS(3538),
    [anon_sym_break] = ACTIONS(3538),
    [anon_sym_continue] = ACTIONS(3538),
    [anon_sym_debugger] = ACTIONS(3538),
    [anon_sym_return] = ACTIONS(3538),
    [anon_sym_throw] = ACTIONS(3538),
    [anon_sym_SEMI] = ACTIONS(3538),
    [anon_sym_case] = ACTIONS(3538),
    [anon_sym_yield] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(3538),
    [anon_sym_LTtemplate_GT] = ACTIONS(3538),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_async] = ACTIONS(3538),
    [anon_sym_function] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(3538),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_PLUS] = ACTIONS(3538),
    [anon_sym_DASH] = ACTIONS(3538),
    [anon_sym_SLASH] = ACTIONS(3538),
    [anon_sym_LT] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(3538),
    [anon_sym_void] = ACTIONS(3538),
    [anon_sym_delete] = ACTIONS(3538),
    [anon_sym_PLUS_PLUS] = ACTIONS(3538),
    [anon_sym_DASH_DASH] = ACTIONS(3538),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3538),
    [sym_number] = ACTIONS(3538),
    [sym_private_property_identifier] = ACTIONS(3538),
    [sym_this] = ACTIONS(3538),
    [sym_super] = ACTIONS(3538),
    [sym_true] = ACTIONS(3538),
    [sym_false] = ACTIONS(3538),
    [sym_null] = ACTIONS(3538),
    [sym_undefined] = ACTIONS(3538),
    [anon_sym_AT] = ACTIONS(3538),
    [anon_sym_static] = ACTIONS(3538),
    [anon_sym_readonly] = ACTIONS(3538),
    [anon_sym_get] = ACTIONS(3538),
    [anon_sym_set] = ACTIONS(3538),
    [anon_sym_declare] = ACTIONS(3538),
    [anon_sym_public] = ACTIONS(3538),
    [anon_sym_private] = ACTIONS(3538),
    [anon_sym_protected] = ACTIONS(3538),
    [anon_sym_override] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_any] = ACTIONS(3538),
    [anon_sym_number] = ACTIONS(3538),
    [anon_sym_boolean] = ACTIONS(3538),
    [anon_sym_string] = ACTIONS(3538),
    [anon_sym_symbol] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(3538),
    [anon_sym_property] = ACTIONS(3538),
    [anon_sym_signal] = ACTIONS(3538),
    [anon_sym_on] = ACTIONS(3538),
    [anon_sym_required] = ACTIONS(3538),
    [anon_sym_component] = ACTIONS(3538),
    [anon_sym_abstract] = ACTIONS(3538),
    [anon_sym_interface] = ACTIONS(3538),
    [anon_sym_enum] = ACTIONS(3538),
    [sym_html_comment] = ACTIONS(5),
  },
  [1290] = {
    [sym_comment] = STATE(1290),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_export] = ACTIONS(3498),
    [anon_sym_default] = ACTIONS(3498),
    [anon_sym_type] = ACTIONS(3498),
    [anon_sym_namespace] = ACTIONS(3498),
    [anon_sym_LBRACE] = ACTIONS(3498),
    [anon_sym_RBRACE] = ACTIONS(3498),
    [anon_sym_typeof] = ACTIONS(3498),
    [anon_sym_import] = ACTIONS(3498),
    [anon_sym_from] = ACTIONS(3498),
    [anon_sym_with] = ACTIONS(3498),
    [anon_sym_var] = ACTIONS(3498),
    [anon_sym_let] = ACTIONS(3498),
    [anon_sym_const] = ACTIONS(3498),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_if] = ACTIONS(3498),
    [anon_sym_switch] = ACTIONS(3498),
    [anon_sym_for] = ACTIONS(3498),
    [anon_sym_LPAREN] = ACTIONS(3498),
    [anon_sym_await] = ACTIONS(3498),
    [anon_sym_of] = ACTIONS(3498),
    [anon_sym_while] = ACTIONS(3498),
    [anon_sym_do] = ACTIONS(3498),
    [anon_sym_try] = ACTIONS(3498),
    [anon_sym_break] = ACTIONS(3498),
    [anon_sym_continue] = ACTIONS(3498),
    [anon_sym_debugger] = ACTIONS(3498),
    [anon_sym_return] = ACTIONS(3498),
    [anon_sym_throw] = ACTIONS(3498),
    [anon_sym_SEMI] = ACTIONS(3498),
    [anon_sym_case] = ACTIONS(3498),
    [anon_sym_yield] = ACTIONS(3498),
    [anon_sym_LBRACK] = ACTIONS(3498),
    [anon_sym_LTtemplate_GT] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3498),
    [anon_sym_SQUOTE] = ACTIONS(3498),
    [anon_sym_class] = ACTIONS(3498),
    [anon_sym_async] = ACTIONS(3498),
    [anon_sym_function] = ACTIONS(3498),
    [anon_sym_new] = ACTIONS(3498),
    [anon_sym_using] = ACTIONS(3498),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_SLASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_void] = ACTIONS(3498),
    [anon_sym_delete] = ACTIONS(3498),
    [anon_sym_PLUS_PLUS] = ACTIONS(3498),
    [anon_sym_DASH_DASH] = ACTIONS(3498),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3498),
    [sym_number] = ACTIONS(3498),
    [sym_private_property_identifier] = ACTIONS(3498),
    [sym_this] = ACTIONS(3498),
    [sym_super] = ACTIONS(3498),
    [sym_true] = ACTIONS(3498),
    [sym_false] = ACTIONS(3498),
    [sym_null] = ACTIONS(3498),
    [sym_undefined] = ACTIONS(3498),
    [anon_sym_AT] = ACTIONS(3498),
    [anon_sym_static] = ACTIONS(3498),
    [anon_sym_readonly] = ACTIONS(3498),
    [anon_sym_get] = ACTIONS(3498),
    [anon_sym_set] = ACTIONS(3498),
    [anon_sym_declare] = ACTIONS(3498),
    [anon_sym_public] = ACTIONS(3498),
    [anon_sym_private] = ACTIONS(3498),
    [anon_sym_protected] = ACTIONS(3498),
    [anon_sym_override] = ACTIONS(3498),
    [anon_sym_module] = ACTIONS(3498),
    [anon_sym_any] = ACTIONS(3498),
    [anon_sym_number] = ACTIONS(3498),
    [anon_sym_boolean] = ACTIONS(3498),
    [anon_sym_string] = ACTIONS(3498),
    [anon_sym_symbol] = ACTIONS(3498),
    [anon_sym_object] = ACTIONS(3498),
    [anon_sym_property] = ACTIONS(3498),
    [anon_sym_signal] = ACTIONS(3498),
    [anon_sym_on] = ACTIONS(3498),
    [anon_sym_required] = ACTIONS(3498),
    [anon_sym_component] = ACTIONS(3498),
    [anon_sym_abstract] = ACTIONS(3498),
    [anon_sym_interface] = ACTIONS(3498),
    [anon_sym_enum] = ACTIONS(3498),
    [sym_html_comment] = ACTIONS(5),
  },
  [1291] = {
    [sym_comment] = STATE(1291),
    [sym_identifier] = ACTIONS(3502),
    [anon_sym_export] = ACTIONS(3502),
    [anon_sym_default] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_namespace] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(3502),
    [anon_sym_RBRACE] = ACTIONS(3502),
    [anon_sym_typeof] = ACTIONS(3502),
    [anon_sym_import] = ACTIONS(3502),
    [anon_sym_from] = ACTIONS(3502),
    [anon_sym_with] = ACTIONS(3502),
    [anon_sym_var] = ACTIONS(3502),
    [anon_sym_let] = ACTIONS(3502),
    [anon_sym_const] = ACTIONS(3502),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_if] = ACTIONS(3502),
    [anon_sym_switch] = ACTIONS(3502),
    [anon_sym_for] = ACTIONS(3502),
    [anon_sym_LPAREN] = ACTIONS(3502),
    [anon_sym_await] = ACTIONS(3502),
    [anon_sym_of] = ACTIONS(3502),
    [anon_sym_while] = ACTIONS(3502),
    [anon_sym_do] = ACTIONS(3502),
    [anon_sym_try] = ACTIONS(3502),
    [anon_sym_break] = ACTIONS(3502),
    [anon_sym_continue] = ACTIONS(3502),
    [anon_sym_debugger] = ACTIONS(3502),
    [anon_sym_return] = ACTIONS(3502),
    [anon_sym_throw] = ACTIONS(3502),
    [anon_sym_SEMI] = ACTIONS(3502),
    [anon_sym_case] = ACTIONS(3502),
    [anon_sym_yield] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(3502),
    [anon_sym_LTtemplate_GT] = ACTIONS(3502),
    [anon_sym_DQUOTE] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_async] = ACTIONS(3502),
    [anon_sym_function] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3502),
    [anon_sym_using] = ACTIONS(3502),
    [anon_sym_PLUS] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3502),
    [anon_sym_SLASH] = ACTIONS(3502),
    [anon_sym_LT] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_void] = ACTIONS(3502),
    [anon_sym_delete] = ACTIONS(3502),
    [anon_sym_PLUS_PLUS] = ACTIONS(3502),
    [anon_sym_DASH_DASH] = ACTIONS(3502),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3502),
    [sym_private_property_identifier] = ACTIONS(3502),
    [sym_this] = ACTIONS(3502),
    [sym_super] = ACTIONS(3502),
    [sym_true] = ACTIONS(3502),
    [sym_false] = ACTIONS(3502),
    [sym_null] = ACTIONS(3502),
    [sym_undefined] = ACTIONS(3502),
    [anon_sym_AT] = ACTIONS(3502),
    [anon_sym_static] = ACTIONS(3502),
    [anon_sym_readonly] = ACTIONS(3502),
    [anon_sym_get] = ACTIONS(3502),
    [anon_sym_set] = ACTIONS(3502),
    [anon_sym_declare] = ACTIONS(3502),
    [anon_sym_public] = ACTIONS(3502),
    [anon_sym_private] = ACTIONS(3502),
    [anon_sym_protected] = ACTIONS(3502),
    [anon_sym_override] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_any] = ACTIONS(3502),
    [anon_sym_number] = ACTIONS(3502),
    [anon_sym_boolean] = ACTIONS(3502),
    [anon_sym_string] = ACTIONS(3502),
    [anon_sym_symbol] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(3502),
    [anon_sym_property] = ACTIONS(3502),
    [anon_sym_signal] = ACTIONS(3502),
    [anon_sym_on] = ACTIONS(3502),
    [anon_sym_required] = ACTIONS(3502),
    [anon_sym_component] = ACTIONS(3502),
    [anon_sym_abstract] = ACTIONS(3502),
    [anon_sym_interface] = ACTIONS(3502),
    [anon_sym_enum] = ACTIONS(3502),
    [sym_html_comment] = ACTIONS(5),
  },
  [1292] = {
    [sym_comment] = STATE(1292),
    [sym_identifier] = ACTIONS(3460),
    [anon_sym_export] = ACTIONS(3460),
    [anon_sym_type] = ACTIONS(3460),
    [anon_sym_namespace] = ACTIONS(3460),
    [anon_sym_LBRACE] = ACTIONS(3460),
    [anon_sym_RBRACE] = ACTIONS(3460),
    [anon_sym_typeof] = ACTIONS(3460),
    [anon_sym_import] = ACTIONS(3460),
    [anon_sym_from] = ACTIONS(3460),
    [anon_sym_with] = ACTIONS(3460),
    [anon_sym_var] = ACTIONS(3460),
    [anon_sym_let] = ACTIONS(3460),
    [anon_sym_const] = ACTIONS(3460),
    [anon_sym_BANG] = ACTIONS(3460),
    [anon_sym_else] = ACTIONS(3460),
    [anon_sym_if] = ACTIONS(3460),
    [anon_sym_switch] = ACTIONS(3460),
    [anon_sym_for] = ACTIONS(3460),
    [anon_sym_LPAREN] = ACTIONS(3460),
    [anon_sym_await] = ACTIONS(3460),
    [anon_sym_of] = ACTIONS(3460),
    [anon_sym_while] = ACTIONS(3460),
    [anon_sym_do] = ACTIONS(3460),
    [anon_sym_try] = ACTIONS(3460),
    [anon_sym_break] = ACTIONS(3460),
    [anon_sym_continue] = ACTIONS(3460),
    [anon_sym_debugger] = ACTIONS(3460),
    [anon_sym_return] = ACTIONS(3460),
    [anon_sym_throw] = ACTIONS(3460),
    [anon_sym_SEMI] = ACTIONS(3460),
    [anon_sym_finally] = ACTIONS(3460),
    [anon_sym_yield] = ACTIONS(3460),
    [anon_sym_LBRACK] = ACTIONS(3460),
    [anon_sym_LTtemplate_GT] = ACTIONS(3460),
    [anon_sym_DQUOTE] = ACTIONS(3460),
    [anon_sym_SQUOTE] = ACTIONS(3460),
    [anon_sym_class] = ACTIONS(3460),
    [anon_sym_async] = ACTIONS(3460),
    [anon_sym_function] = ACTIONS(3460),
    [anon_sym_new] = ACTIONS(3460),
    [anon_sym_using] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_SLASH] = ACTIONS(3460),
    [anon_sym_LT] = ACTIONS(3460),
    [anon_sym_TILDE] = ACTIONS(3460),
    [anon_sym_void] = ACTIONS(3460),
    [anon_sym_delete] = ACTIONS(3460),
    [anon_sym_PLUS_PLUS] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3460),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3460),
    [sym_number] = ACTIONS(3460),
    [sym_private_property_identifier] = ACTIONS(3460),
    [sym_this] = ACTIONS(3460),
    [sym_super] = ACTIONS(3460),
    [sym_true] = ACTIONS(3460),
    [sym_false] = ACTIONS(3460),
    [sym_null] = ACTIONS(3460),
    [sym_undefined] = ACTIONS(3460),
    [anon_sym_AT] = ACTIONS(3460),
    [anon_sym_static] = ACTIONS(3460),
    [anon_sym_readonly] = ACTIONS(3460),
    [anon_sym_get] = ACTIONS(3460),
    [anon_sym_set] = ACTIONS(3460),
    [anon_sym_declare] = ACTIONS(3460),
    [anon_sym_public] = ACTIONS(3460),
    [anon_sym_private] = ACTIONS(3460),
    [anon_sym_protected] = ACTIONS(3460),
    [anon_sym_override] = ACTIONS(3460),
    [anon_sym_module] = ACTIONS(3460),
    [anon_sym_any] = ACTIONS(3460),
    [anon_sym_number] = ACTIONS(3460),
    [anon_sym_boolean] = ACTIONS(3460),
    [anon_sym_string] = ACTIONS(3460),
    [anon_sym_symbol] = ACTIONS(3460),
    [anon_sym_object] = ACTIONS(3460),
    [anon_sym_property] = ACTIONS(3460),
    [anon_sym_signal] = ACTIONS(3460),
    [anon_sym_on] = ACTIONS(3460),
    [anon_sym_required] = ACTIONS(3460),
    [anon_sym_component] = ACTIONS(3460),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_interface] = ACTIONS(3460),
    [anon_sym_enum] = ACTIONS(3460),
    [sym_html_comment] = ACTIONS(5),
  },
  [1293] = {
    [sym_comment] = STATE(1293),
    [sym_identifier] = ACTIONS(3462),
    [anon_sym_export] = ACTIONS(3462),
    [anon_sym_type] = ACTIONS(3462),
    [anon_sym_namespace] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(3462),
    [anon_sym_RBRACE] = ACTIONS(3462),
    [anon_sym_typeof] = ACTIONS(3462),
    [anon_sym_import] = ACTIONS(3462),
    [anon_sym_from] = ACTIONS(3462),
    [anon_sym_with] = ACTIONS(3462),
    [anon_sym_var] = ACTIONS(3462),
    [anon_sym_let] = ACTIONS(3462),
    [anon_sym_const] = ACTIONS(3462),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_else] = ACTIONS(3462),
    [anon_sym_if] = ACTIONS(3462),
    [anon_sym_switch] = ACTIONS(3462),
    [anon_sym_for] = ACTIONS(3462),
    [anon_sym_LPAREN] = ACTIONS(3462),
    [anon_sym_await] = ACTIONS(3462),
    [anon_sym_of] = ACTIONS(3462),
    [anon_sym_while] = ACTIONS(3462),
    [anon_sym_do] = ACTIONS(3462),
    [anon_sym_try] = ACTIONS(3462),
    [anon_sym_break] = ACTIONS(3462),
    [anon_sym_continue] = ACTIONS(3462),
    [anon_sym_debugger] = ACTIONS(3462),
    [anon_sym_return] = ACTIONS(3462),
    [anon_sym_throw] = ACTIONS(3462),
    [anon_sym_SEMI] = ACTIONS(3462),
    [anon_sym_finally] = ACTIONS(3462),
    [anon_sym_yield] = ACTIONS(3462),
    [anon_sym_LBRACK] = ACTIONS(3462),
    [anon_sym_LTtemplate_GT] = ACTIONS(3462),
    [anon_sym_DQUOTE] = ACTIONS(3462),
    [anon_sym_SQUOTE] = ACTIONS(3462),
    [anon_sym_class] = ACTIONS(3462),
    [anon_sym_async] = ACTIONS(3462),
    [anon_sym_function] = ACTIONS(3462),
    [anon_sym_new] = ACTIONS(3462),
    [anon_sym_using] = ACTIONS(3462),
    [anon_sym_PLUS] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3462),
    [anon_sym_SLASH] = ACTIONS(3462),
    [anon_sym_LT] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_void] = ACTIONS(3462),
    [anon_sym_delete] = ACTIONS(3462),
    [anon_sym_PLUS_PLUS] = ACTIONS(3462),
    [anon_sym_DASH_DASH] = ACTIONS(3462),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3462),
    [sym_number] = ACTIONS(3462),
    [sym_private_property_identifier] = ACTIONS(3462),
    [sym_this] = ACTIONS(3462),
    [sym_super] = ACTIONS(3462),
    [sym_true] = ACTIONS(3462),
    [sym_false] = ACTIONS(3462),
    [sym_null] = ACTIONS(3462),
    [sym_undefined] = ACTIONS(3462),
    [anon_sym_AT] = ACTIONS(3462),
    [anon_sym_static] = ACTIONS(3462),
    [anon_sym_readonly] = ACTIONS(3462),
    [anon_sym_get] = ACTIONS(3462),
    [anon_sym_set] = ACTIONS(3462),
    [anon_sym_declare] = ACTIONS(3462),
    [anon_sym_public] = ACTIONS(3462),
    [anon_sym_private] = ACTIONS(3462),
    [anon_sym_protected] = ACTIONS(3462),
    [anon_sym_override] = ACTIONS(3462),
    [anon_sym_module] = ACTIONS(3462),
    [anon_sym_any] = ACTIONS(3462),
    [anon_sym_number] = ACTIONS(3462),
    [anon_sym_boolean] = ACTIONS(3462),
    [anon_sym_string] = ACTIONS(3462),
    [anon_sym_symbol] = ACTIONS(3462),
    [anon_sym_object] = ACTIONS(3462),
    [anon_sym_property] = ACTIONS(3462),
    [anon_sym_signal] = ACTIONS(3462),
    [anon_sym_on] = ACTIONS(3462),
    [anon_sym_required] = ACTIONS(3462),
    [anon_sym_component] = ACTIONS(3462),
    [anon_sym_abstract] = ACTIONS(3462),
    [anon_sym_interface] = ACTIONS(3462),
    [anon_sym_enum] = ACTIONS(3462),
    [sym_html_comment] = ACTIONS(5),
  },
  [1294] = {
    [sym_comment] = STATE(1294),
    [sym_identifier] = ACTIONS(3552),
    [anon_sym_export] = ACTIONS(3552),
    [anon_sym_default] = ACTIONS(3552),
    [anon_sym_type] = ACTIONS(3552),
    [anon_sym_namespace] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3552),
    [anon_sym_RBRACE] = ACTIONS(3552),
    [anon_sym_typeof] = ACTIONS(3552),
    [anon_sym_import] = ACTIONS(3552),
    [anon_sym_from] = ACTIONS(3552),
    [anon_sym_with] = ACTIONS(3552),
    [anon_sym_var] = ACTIONS(3552),
    [anon_sym_let] = ACTIONS(3552),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_BANG] = ACTIONS(3552),
    [anon_sym_if] = ACTIONS(3552),
    [anon_sym_switch] = ACTIONS(3552),
    [anon_sym_for] = ACTIONS(3552),
    [anon_sym_LPAREN] = ACTIONS(3552),
    [anon_sym_await] = ACTIONS(3552),
    [anon_sym_of] = ACTIONS(3552),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(3552),
    [anon_sym_try] = ACTIONS(3552),
    [anon_sym_break] = ACTIONS(3552),
    [anon_sym_continue] = ACTIONS(3552),
    [anon_sym_debugger] = ACTIONS(3552),
    [anon_sym_return] = ACTIONS(3552),
    [anon_sym_throw] = ACTIONS(3552),
    [anon_sym_SEMI] = ACTIONS(3552),
    [anon_sym_case] = ACTIONS(3552),
    [anon_sym_yield] = ACTIONS(3552),
    [anon_sym_LBRACK] = ACTIONS(3552),
    [anon_sym_LTtemplate_GT] = ACTIONS(3552),
    [anon_sym_DQUOTE] = ACTIONS(3552),
    [anon_sym_SQUOTE] = ACTIONS(3552),
    [anon_sym_class] = ACTIONS(3552),
    [anon_sym_async] = ACTIONS(3552),
    [anon_sym_function] = ACTIONS(3552),
    [anon_sym_new] = ACTIONS(3552),
    [anon_sym_using] = ACTIONS(3552),
    [anon_sym_PLUS] = ACTIONS(3552),
    [anon_sym_DASH] = ACTIONS(3552),
    [anon_sym_SLASH] = ACTIONS(3552),
    [anon_sym_LT] = ACTIONS(3552),
    [anon_sym_TILDE] = ACTIONS(3552),
    [anon_sym_void] = ACTIONS(3552),
    [anon_sym_delete] = ACTIONS(3552),
    [anon_sym_PLUS_PLUS] = ACTIONS(3552),
    [anon_sym_DASH_DASH] = ACTIONS(3552),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3552),
    [sym_number] = ACTIONS(3552),
    [sym_private_property_identifier] = ACTIONS(3552),
    [sym_this] = ACTIONS(3552),
    [sym_super] = ACTIONS(3552),
    [sym_true] = ACTIONS(3552),
    [sym_false] = ACTIONS(3552),
    [sym_null] = ACTIONS(3552),
    [sym_undefined] = ACTIONS(3552),
    [anon_sym_AT] = ACTIONS(3552),
    [anon_sym_static] = ACTIONS(3552),
    [anon_sym_readonly] = ACTIONS(3552),
    [anon_sym_get] = ACTIONS(3552),
    [anon_sym_set] = ACTIONS(3552),
    [anon_sym_declare] = ACTIONS(3552),
    [anon_sym_public] = ACTIONS(3552),
    [anon_sym_private] = ACTIONS(3552),
    [anon_sym_protected] = ACTIONS(3552),
    [anon_sym_override] = ACTIONS(3552),
    [anon_sym_module] = ACTIONS(3552),
    [anon_sym_any] = ACTIONS(3552),
    [anon_sym_number] = ACTIONS(3552),
    [anon_sym_boolean] = ACTIONS(3552),
    [anon_sym_string] = ACTIONS(3552),
    [anon_sym_symbol] = ACTIONS(3552),
    [anon_sym_object] = ACTIONS(3552),
    [anon_sym_property] = ACTIONS(3552),
    [anon_sym_signal] = ACTIONS(3552),
    [anon_sym_on] = ACTIONS(3552),
    [anon_sym_required] = ACTIONS(3552),
    [anon_sym_component] = ACTIONS(3552),
    [anon_sym_abstract] = ACTIONS(3552),
    [anon_sym_interface] = ACTIONS(3552),
    [anon_sym_enum] = ACTIONS(3552),
    [sym_html_comment] = ACTIONS(5),
  },
  [1295] = {
    [sym_comment] = STATE(1295),
    [sym_identifier] = ACTIONS(3554),
    [anon_sym_export] = ACTIONS(3554),
    [anon_sym_default] = ACTIONS(3554),
    [anon_sym_type] = ACTIONS(3554),
    [anon_sym_namespace] = ACTIONS(3554),
    [anon_sym_LBRACE] = ACTIONS(3554),
    [anon_sym_RBRACE] = ACTIONS(3554),
    [anon_sym_typeof] = ACTIONS(3554),
    [anon_sym_import] = ACTIONS(3554),
    [anon_sym_from] = ACTIONS(3554),
    [anon_sym_with] = ACTIONS(3554),
    [anon_sym_var] = ACTIONS(3554),
    [anon_sym_let] = ACTIONS(3554),
    [anon_sym_const] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3554),
    [anon_sym_if] = ACTIONS(3554),
    [anon_sym_switch] = ACTIONS(3554),
    [anon_sym_for] = ACTIONS(3554),
    [anon_sym_LPAREN] = ACTIONS(3554),
    [anon_sym_await] = ACTIONS(3554),
    [anon_sym_of] = ACTIONS(3554),
    [anon_sym_while] = ACTIONS(3554),
    [anon_sym_do] = ACTIONS(3554),
    [anon_sym_try] = ACTIONS(3554),
    [anon_sym_break] = ACTIONS(3554),
    [anon_sym_continue] = ACTIONS(3554),
    [anon_sym_debugger] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(3554),
    [anon_sym_throw] = ACTIONS(3554),
    [anon_sym_SEMI] = ACTIONS(3554),
    [anon_sym_case] = ACTIONS(3554),
    [anon_sym_yield] = ACTIONS(3554),
    [anon_sym_LBRACK] = ACTIONS(3554),
    [anon_sym_LTtemplate_GT] = ACTIONS(3554),
    [anon_sym_DQUOTE] = ACTIONS(3554),
    [anon_sym_SQUOTE] = ACTIONS(3554),
    [anon_sym_class] = ACTIONS(3554),
    [anon_sym_async] = ACTIONS(3554),
    [anon_sym_function] = ACTIONS(3554),
    [anon_sym_new] = ACTIONS(3554),
    [anon_sym_using] = ACTIONS(3554),
    [anon_sym_PLUS] = ACTIONS(3554),
    [anon_sym_DASH] = ACTIONS(3554),
    [anon_sym_SLASH] = ACTIONS(3554),
    [anon_sym_LT] = ACTIONS(3554),
    [anon_sym_TILDE] = ACTIONS(3554),
    [anon_sym_void] = ACTIONS(3554),
    [anon_sym_delete] = ACTIONS(3554),
    [anon_sym_PLUS_PLUS] = ACTIONS(3554),
    [anon_sym_DASH_DASH] = ACTIONS(3554),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3554),
    [sym_number] = ACTIONS(3554),
    [sym_private_property_identifier] = ACTIONS(3554),
    [sym_this] = ACTIONS(3554),
    [sym_super] = ACTIONS(3554),
    [sym_true] = ACTIONS(3554),
    [sym_false] = ACTIONS(3554),
    [sym_null] = ACTIONS(3554),
    [sym_undefined] = ACTIONS(3554),
    [anon_sym_AT] = ACTIONS(3554),
    [anon_sym_static] = ACTIONS(3554),
    [anon_sym_readonly] = ACTIONS(3554),
    [anon_sym_get] = ACTIONS(3554),
    [anon_sym_set] = ACTIONS(3554),
    [anon_sym_declare] = ACTIONS(3554),
    [anon_sym_public] = ACTIONS(3554),
    [anon_sym_private] = ACTIONS(3554),
    [anon_sym_protected] = ACTIONS(3554),
    [anon_sym_override] = ACTIONS(3554),
    [anon_sym_module] = ACTIONS(3554),
    [anon_sym_any] = ACTIONS(3554),
    [anon_sym_number] = ACTIONS(3554),
    [anon_sym_boolean] = ACTIONS(3554),
    [anon_sym_string] = ACTIONS(3554),
    [anon_sym_symbol] = ACTIONS(3554),
    [anon_sym_object] = ACTIONS(3554),
    [anon_sym_property] = ACTIONS(3554),
    [anon_sym_signal] = ACTIONS(3554),
    [anon_sym_on] = ACTIONS(3554),
    [anon_sym_required] = ACTIONS(3554),
    [anon_sym_component] = ACTIONS(3554),
    [anon_sym_abstract] = ACTIONS(3554),
    [anon_sym_interface] = ACTIONS(3554),
    [anon_sym_enum] = ACTIONS(3554),
    [sym_html_comment] = ACTIONS(5),
  },
  [1296] = {
    [sym_comment] = STATE(1296),
    [sym_identifier] = ACTIONS(3574),
    [anon_sym_export] = ACTIONS(3574),
    [anon_sym_default] = ACTIONS(3574),
    [anon_sym_type] = ACTIONS(3574),
    [anon_sym_namespace] = ACTIONS(3574),
    [anon_sym_LBRACE] = ACTIONS(3574),
    [anon_sym_RBRACE] = ACTIONS(3574),
    [anon_sym_typeof] = ACTIONS(3574),
    [anon_sym_import] = ACTIONS(3574),
    [anon_sym_from] = ACTIONS(3574),
    [anon_sym_with] = ACTIONS(3574),
    [anon_sym_var] = ACTIONS(3574),
    [anon_sym_let] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3574),
    [anon_sym_BANG] = ACTIONS(3574),
    [anon_sym_if] = ACTIONS(3574),
    [anon_sym_switch] = ACTIONS(3574),
    [anon_sym_for] = ACTIONS(3574),
    [anon_sym_LPAREN] = ACTIONS(3574),
    [anon_sym_await] = ACTIONS(3574),
    [anon_sym_of] = ACTIONS(3574),
    [anon_sym_while] = ACTIONS(3574),
    [anon_sym_do] = ACTIONS(3574),
    [anon_sym_try] = ACTIONS(3574),
    [anon_sym_break] = ACTIONS(3574),
    [anon_sym_continue] = ACTIONS(3574),
    [anon_sym_debugger] = ACTIONS(3574),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_throw] = ACTIONS(3574),
    [anon_sym_SEMI] = ACTIONS(3574),
    [anon_sym_case] = ACTIONS(3574),
    [anon_sym_yield] = ACTIONS(3574),
    [anon_sym_LBRACK] = ACTIONS(3574),
    [anon_sym_LTtemplate_GT] = ACTIONS(3574),
    [anon_sym_DQUOTE] = ACTIONS(3574),
    [anon_sym_SQUOTE] = ACTIONS(3574),
    [anon_sym_class] = ACTIONS(3574),
    [anon_sym_async] = ACTIONS(3574),
    [anon_sym_function] = ACTIONS(3574),
    [anon_sym_new] = ACTIONS(3574),
    [anon_sym_using] = ACTIONS(3574),
    [anon_sym_PLUS] = ACTIONS(3574),
    [anon_sym_DASH] = ACTIONS(3574),
    [anon_sym_SLASH] = ACTIONS(3574),
    [anon_sym_LT] = ACTIONS(3574),
    [anon_sym_TILDE] = ACTIONS(3574),
    [anon_sym_void] = ACTIONS(3574),
    [anon_sym_delete] = ACTIONS(3574),
    [anon_sym_PLUS_PLUS] = ACTIONS(3574),
    [anon_sym_DASH_DASH] = ACTIONS(3574),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3574),
    [sym_number] = ACTIONS(3574),
    [sym_private_property_identifier] = ACTIONS(3574),
    [sym_this] = ACTIONS(3574),
    [sym_super] = ACTIONS(3574),
    [sym_true] = ACTIONS(3574),
    [sym_false] = ACTIONS(3574),
    [sym_null] = ACTIONS(3574),
    [sym_undefined] = ACTIONS(3574),
    [anon_sym_AT] = ACTIONS(3574),
    [anon_sym_static] = ACTIONS(3574),
    [anon_sym_readonly] = ACTIONS(3574),
    [anon_sym_get] = ACTIONS(3574),
    [anon_sym_set] = ACTIONS(3574),
    [anon_sym_declare] = ACTIONS(3574),
    [anon_sym_public] = ACTIONS(3574),
    [anon_sym_private] = ACTIONS(3574),
    [anon_sym_protected] = ACTIONS(3574),
    [anon_sym_override] = ACTIONS(3574),
    [anon_sym_module] = ACTIONS(3574),
    [anon_sym_any] = ACTIONS(3574),
    [anon_sym_number] = ACTIONS(3574),
    [anon_sym_boolean] = ACTIONS(3574),
    [anon_sym_string] = ACTIONS(3574),
    [anon_sym_symbol] = ACTIONS(3574),
    [anon_sym_object] = ACTIONS(3574),
    [anon_sym_property] = ACTIONS(3574),
    [anon_sym_signal] = ACTIONS(3574),
    [anon_sym_on] = ACTIONS(3574),
    [anon_sym_required] = ACTIONS(3574),
    [anon_sym_component] = ACTIONS(3574),
    [anon_sym_abstract] = ACTIONS(3574),
    [anon_sym_interface] = ACTIONS(3574),
    [anon_sym_enum] = ACTIONS(3574),
    [sym_html_comment] = ACTIONS(5),
  },
  [1297] = {
    [sym_comment] = STATE(1297),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_catch] = ACTIONS(2332),
    [anon_sym_finally] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1298] = {
    [sym_comment] = STATE(1298),
    [sym_identifier] = ACTIONS(2466),
    [anon_sym_export] = ACTIONS(2466),
    [anon_sym_default] = ACTIONS(2466),
    [anon_sym_type] = ACTIONS(2466),
    [anon_sym_namespace] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_typeof] = ACTIONS(2466),
    [anon_sym_import] = ACTIONS(2466),
    [anon_sym_from] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2466),
    [anon_sym_var] = ACTIONS(2466),
    [anon_sym_let] = ACTIONS(2466),
    [anon_sym_const] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_switch] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2466),
    [anon_sym_of] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2466),
    [anon_sym_do] = ACTIONS(2466),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_break] = ACTIONS(2466),
    [anon_sym_continue] = ACTIONS(2466),
    [anon_sym_debugger] = ACTIONS(2466),
    [anon_sym_return] = ACTIONS(2466),
    [anon_sym_throw] = ACTIONS(2466),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_case] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2466),
    [anon_sym_LTtemplate_GT] = ACTIONS(2466),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_class] = ACTIONS(2466),
    [anon_sym_async] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_using] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_void] = ACTIONS(2466),
    [anon_sym_delete] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2466),
    [sym_number] = ACTIONS(2466),
    [sym_private_property_identifier] = ACTIONS(2466),
    [sym_this] = ACTIONS(2466),
    [sym_super] = ACTIONS(2466),
    [sym_true] = ACTIONS(2466),
    [sym_false] = ACTIONS(2466),
    [sym_null] = ACTIONS(2466),
    [sym_undefined] = ACTIONS(2466),
    [anon_sym_AT] = ACTIONS(2466),
    [anon_sym_static] = ACTIONS(2466),
    [anon_sym_readonly] = ACTIONS(2466),
    [anon_sym_get] = ACTIONS(2466),
    [anon_sym_set] = ACTIONS(2466),
    [anon_sym_declare] = ACTIONS(2466),
    [anon_sym_public] = ACTIONS(2466),
    [anon_sym_private] = ACTIONS(2466),
    [anon_sym_protected] = ACTIONS(2466),
    [anon_sym_override] = ACTIONS(2466),
    [anon_sym_module] = ACTIONS(2466),
    [anon_sym_any] = ACTIONS(2466),
    [anon_sym_number] = ACTIONS(2466),
    [anon_sym_boolean] = ACTIONS(2466),
    [anon_sym_string] = ACTIONS(2466),
    [anon_sym_symbol] = ACTIONS(2466),
    [anon_sym_object] = ACTIONS(2466),
    [anon_sym_property] = ACTIONS(2466),
    [anon_sym_signal] = ACTIONS(2466),
    [anon_sym_on] = ACTIONS(2466),
    [anon_sym_required] = ACTIONS(2466),
    [anon_sym_component] = ACTIONS(2466),
    [anon_sym_abstract] = ACTIONS(2466),
    [anon_sym_interface] = ACTIONS(2466),
    [anon_sym_enum] = ACTIONS(2466),
    [sym_html_comment] = ACTIONS(5),
  },
  [1299] = {
    [sym_comment] = STATE(1299),
    [sym_identifier] = ACTIONS(3506),
    [anon_sym_export] = ACTIONS(3506),
    [anon_sym_default] = ACTIONS(3506),
    [anon_sym_type] = ACTIONS(3506),
    [anon_sym_namespace] = ACTIONS(3506),
    [anon_sym_LBRACE] = ACTIONS(3506),
    [anon_sym_RBRACE] = ACTIONS(3506),
    [anon_sym_typeof] = ACTIONS(3506),
    [anon_sym_import] = ACTIONS(3506),
    [anon_sym_from] = ACTIONS(3506),
    [anon_sym_with] = ACTIONS(3506),
    [anon_sym_var] = ACTIONS(3506),
    [anon_sym_let] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3506),
    [anon_sym_if] = ACTIONS(3506),
    [anon_sym_switch] = ACTIONS(3506),
    [anon_sym_for] = ACTIONS(3506),
    [anon_sym_LPAREN] = ACTIONS(3506),
    [anon_sym_await] = ACTIONS(3506),
    [anon_sym_of] = ACTIONS(3506),
    [anon_sym_while] = ACTIONS(3506),
    [anon_sym_do] = ACTIONS(3506),
    [anon_sym_try] = ACTIONS(3506),
    [anon_sym_break] = ACTIONS(3506),
    [anon_sym_continue] = ACTIONS(3506),
    [anon_sym_debugger] = ACTIONS(3506),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_throw] = ACTIONS(3506),
    [anon_sym_SEMI] = ACTIONS(3506),
    [anon_sym_case] = ACTIONS(3506),
    [anon_sym_yield] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(3506),
    [anon_sym_LTtemplate_GT] = ACTIONS(3506),
    [anon_sym_DQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_class] = ACTIONS(3506),
    [anon_sym_async] = ACTIONS(3506),
    [anon_sym_function] = ACTIONS(3506),
    [anon_sym_new] = ACTIONS(3506),
    [anon_sym_using] = ACTIONS(3506),
    [anon_sym_PLUS] = ACTIONS(3506),
    [anon_sym_DASH] = ACTIONS(3506),
    [anon_sym_SLASH] = ACTIONS(3506),
    [anon_sym_LT] = ACTIONS(3506),
    [anon_sym_TILDE] = ACTIONS(3506),
    [anon_sym_void] = ACTIONS(3506),
    [anon_sym_delete] = ACTIONS(3506),
    [anon_sym_PLUS_PLUS] = ACTIONS(3506),
    [anon_sym_DASH_DASH] = ACTIONS(3506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3506),
    [sym_number] = ACTIONS(3506),
    [sym_private_property_identifier] = ACTIONS(3506),
    [sym_this] = ACTIONS(3506),
    [sym_super] = ACTIONS(3506),
    [sym_true] = ACTIONS(3506),
    [sym_false] = ACTIONS(3506),
    [sym_null] = ACTIONS(3506),
    [sym_undefined] = ACTIONS(3506),
    [anon_sym_AT] = ACTIONS(3506),
    [anon_sym_static] = ACTIONS(3506),
    [anon_sym_readonly] = ACTIONS(3506),
    [anon_sym_get] = ACTIONS(3506),
    [anon_sym_set] = ACTIONS(3506),
    [anon_sym_declare] = ACTIONS(3506),
    [anon_sym_public] = ACTIONS(3506),
    [anon_sym_private] = ACTIONS(3506),
    [anon_sym_protected] = ACTIONS(3506),
    [anon_sym_override] = ACTIONS(3506),
    [anon_sym_module] = ACTIONS(3506),
    [anon_sym_any] = ACTIONS(3506),
    [anon_sym_number] = ACTIONS(3506),
    [anon_sym_boolean] = ACTIONS(3506),
    [anon_sym_string] = ACTIONS(3506),
    [anon_sym_symbol] = ACTIONS(3506),
    [anon_sym_object] = ACTIONS(3506),
    [anon_sym_property] = ACTIONS(3506),
    [anon_sym_signal] = ACTIONS(3506),
    [anon_sym_on] = ACTIONS(3506),
    [anon_sym_required] = ACTIONS(3506),
    [anon_sym_component] = ACTIONS(3506),
    [anon_sym_abstract] = ACTIONS(3506),
    [anon_sym_interface] = ACTIONS(3506),
    [anon_sym_enum] = ACTIONS(3506),
    [sym_html_comment] = ACTIONS(5),
  },
  [1300] = {
    [sym_comment] = STATE(1300),
    [sym_identifier] = ACTIONS(3518),
    [anon_sym_export] = ACTIONS(3518),
    [anon_sym_default] = ACTIONS(3518),
    [anon_sym_type] = ACTIONS(3518),
    [anon_sym_namespace] = ACTIONS(3518),
    [anon_sym_LBRACE] = ACTIONS(3518),
    [anon_sym_RBRACE] = ACTIONS(3518),
    [anon_sym_typeof] = ACTIONS(3518),
    [anon_sym_import] = ACTIONS(3518),
    [anon_sym_from] = ACTIONS(3518),
    [anon_sym_with] = ACTIONS(3518),
    [anon_sym_var] = ACTIONS(3518),
    [anon_sym_let] = ACTIONS(3518),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_BANG] = ACTIONS(3518),
    [anon_sym_if] = ACTIONS(3518),
    [anon_sym_switch] = ACTIONS(3518),
    [anon_sym_for] = ACTIONS(3518),
    [anon_sym_LPAREN] = ACTIONS(3518),
    [anon_sym_await] = ACTIONS(3518),
    [anon_sym_of] = ACTIONS(3518),
    [anon_sym_while] = ACTIONS(3518),
    [anon_sym_do] = ACTIONS(3518),
    [anon_sym_try] = ACTIONS(3518),
    [anon_sym_break] = ACTIONS(3518),
    [anon_sym_continue] = ACTIONS(3518),
    [anon_sym_debugger] = ACTIONS(3518),
    [anon_sym_return] = ACTIONS(3518),
    [anon_sym_throw] = ACTIONS(3518),
    [anon_sym_SEMI] = ACTIONS(3518),
    [anon_sym_case] = ACTIONS(3518),
    [anon_sym_yield] = ACTIONS(3518),
    [anon_sym_LBRACK] = ACTIONS(3518),
    [anon_sym_LTtemplate_GT] = ACTIONS(3518),
    [anon_sym_DQUOTE] = ACTIONS(3518),
    [anon_sym_SQUOTE] = ACTIONS(3518),
    [anon_sym_class] = ACTIONS(3518),
    [anon_sym_async] = ACTIONS(3518),
    [anon_sym_function] = ACTIONS(3518),
    [anon_sym_new] = ACTIONS(3518),
    [anon_sym_using] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_SLASH] = ACTIONS(3518),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_TILDE] = ACTIONS(3518),
    [anon_sym_void] = ACTIONS(3518),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_PLUS_PLUS] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3518),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3518),
    [sym_number] = ACTIONS(3518),
    [sym_private_property_identifier] = ACTIONS(3518),
    [sym_this] = ACTIONS(3518),
    [sym_super] = ACTIONS(3518),
    [sym_true] = ACTIONS(3518),
    [sym_false] = ACTIONS(3518),
    [sym_null] = ACTIONS(3518),
    [sym_undefined] = ACTIONS(3518),
    [anon_sym_AT] = ACTIONS(3518),
    [anon_sym_static] = ACTIONS(3518),
    [anon_sym_readonly] = ACTIONS(3518),
    [anon_sym_get] = ACTIONS(3518),
    [anon_sym_set] = ACTIONS(3518),
    [anon_sym_declare] = ACTIONS(3518),
    [anon_sym_public] = ACTIONS(3518),
    [anon_sym_private] = ACTIONS(3518),
    [anon_sym_protected] = ACTIONS(3518),
    [anon_sym_override] = ACTIONS(3518),
    [anon_sym_module] = ACTIONS(3518),
    [anon_sym_any] = ACTIONS(3518),
    [anon_sym_number] = ACTIONS(3518),
    [anon_sym_boolean] = ACTIONS(3518),
    [anon_sym_string] = ACTIONS(3518),
    [anon_sym_symbol] = ACTIONS(3518),
    [anon_sym_object] = ACTIONS(3518),
    [anon_sym_property] = ACTIONS(3518),
    [anon_sym_signal] = ACTIONS(3518),
    [anon_sym_on] = ACTIONS(3518),
    [anon_sym_required] = ACTIONS(3518),
    [anon_sym_component] = ACTIONS(3518),
    [anon_sym_abstract] = ACTIONS(3518),
    [anon_sym_interface] = ACTIONS(3518),
    [anon_sym_enum] = ACTIONS(3518),
    [sym_html_comment] = ACTIONS(5),
  },
  [1301] = {
    [sym_comment] = STATE(1301),
    [sym_identifier] = ACTIONS(3578),
    [anon_sym_export] = ACTIONS(3578),
    [anon_sym_default] = ACTIONS(3578),
    [anon_sym_type] = ACTIONS(3578),
    [anon_sym_namespace] = ACTIONS(3578),
    [anon_sym_LBRACE] = ACTIONS(3578),
    [anon_sym_RBRACE] = ACTIONS(3578),
    [anon_sym_typeof] = ACTIONS(3578),
    [anon_sym_import] = ACTIONS(3578),
    [anon_sym_from] = ACTIONS(3578),
    [anon_sym_with] = ACTIONS(3578),
    [anon_sym_var] = ACTIONS(3578),
    [anon_sym_let] = ACTIONS(3578),
    [anon_sym_const] = ACTIONS(3578),
    [anon_sym_BANG] = ACTIONS(3578),
    [anon_sym_if] = ACTIONS(3578),
    [anon_sym_switch] = ACTIONS(3578),
    [anon_sym_for] = ACTIONS(3578),
    [anon_sym_LPAREN] = ACTIONS(3578),
    [anon_sym_await] = ACTIONS(3578),
    [anon_sym_of] = ACTIONS(3578),
    [anon_sym_while] = ACTIONS(3578),
    [anon_sym_do] = ACTIONS(3578),
    [anon_sym_try] = ACTIONS(3578),
    [anon_sym_break] = ACTIONS(3578),
    [anon_sym_continue] = ACTIONS(3578),
    [anon_sym_debugger] = ACTIONS(3578),
    [anon_sym_return] = ACTIONS(3578),
    [anon_sym_throw] = ACTIONS(3578),
    [anon_sym_SEMI] = ACTIONS(3578),
    [anon_sym_case] = ACTIONS(3578),
    [anon_sym_yield] = ACTIONS(3578),
    [anon_sym_LBRACK] = ACTIONS(3578),
    [anon_sym_LTtemplate_GT] = ACTIONS(3578),
    [anon_sym_DQUOTE] = ACTIONS(3578),
    [anon_sym_SQUOTE] = ACTIONS(3578),
    [anon_sym_class] = ACTIONS(3578),
    [anon_sym_async] = ACTIONS(3578),
    [anon_sym_function] = ACTIONS(3578),
    [anon_sym_new] = ACTIONS(3578),
    [anon_sym_using] = ACTIONS(3578),
    [anon_sym_PLUS] = ACTIONS(3578),
    [anon_sym_DASH] = ACTIONS(3578),
    [anon_sym_SLASH] = ACTIONS(3578),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_TILDE] = ACTIONS(3578),
    [anon_sym_void] = ACTIONS(3578),
    [anon_sym_delete] = ACTIONS(3578),
    [anon_sym_PLUS_PLUS] = ACTIONS(3578),
    [anon_sym_DASH_DASH] = ACTIONS(3578),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3578),
    [sym_number] = ACTIONS(3578),
    [sym_private_property_identifier] = ACTIONS(3578),
    [sym_this] = ACTIONS(3578),
    [sym_super] = ACTIONS(3578),
    [sym_true] = ACTIONS(3578),
    [sym_false] = ACTIONS(3578),
    [sym_null] = ACTIONS(3578),
    [sym_undefined] = ACTIONS(3578),
    [anon_sym_AT] = ACTIONS(3578),
    [anon_sym_static] = ACTIONS(3578),
    [anon_sym_readonly] = ACTIONS(3578),
    [anon_sym_get] = ACTIONS(3578),
    [anon_sym_set] = ACTIONS(3578),
    [anon_sym_declare] = ACTIONS(3578),
    [anon_sym_public] = ACTIONS(3578),
    [anon_sym_private] = ACTIONS(3578),
    [anon_sym_protected] = ACTIONS(3578),
    [anon_sym_override] = ACTIONS(3578),
    [anon_sym_module] = ACTIONS(3578),
    [anon_sym_any] = ACTIONS(3578),
    [anon_sym_number] = ACTIONS(3578),
    [anon_sym_boolean] = ACTIONS(3578),
    [anon_sym_string] = ACTIONS(3578),
    [anon_sym_symbol] = ACTIONS(3578),
    [anon_sym_object] = ACTIONS(3578),
    [anon_sym_property] = ACTIONS(3578),
    [anon_sym_signal] = ACTIONS(3578),
    [anon_sym_on] = ACTIONS(3578),
    [anon_sym_required] = ACTIONS(3578),
    [anon_sym_component] = ACTIONS(3578),
    [anon_sym_abstract] = ACTIONS(3578),
    [anon_sym_interface] = ACTIONS(3578),
    [anon_sym_enum] = ACTIONS(3578),
    [sym_html_comment] = ACTIONS(5),
  },
  [1302] = {
    [sym_comment] = STATE(1302),
    [sym_identifier] = ACTIONS(2466),
    [anon_sym_export] = ACTIONS(2466),
    [anon_sym_default] = ACTIONS(2466),
    [anon_sym_type] = ACTIONS(2466),
    [anon_sym_namespace] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_typeof] = ACTIONS(2466),
    [anon_sym_import] = ACTIONS(2466),
    [anon_sym_from] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2466),
    [anon_sym_var] = ACTIONS(2466),
    [anon_sym_let] = ACTIONS(2466),
    [anon_sym_const] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_switch] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2466),
    [anon_sym_of] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2466),
    [anon_sym_do] = ACTIONS(2466),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_break] = ACTIONS(2466),
    [anon_sym_continue] = ACTIONS(2466),
    [anon_sym_debugger] = ACTIONS(2466),
    [anon_sym_return] = ACTIONS(2466),
    [anon_sym_throw] = ACTIONS(2466),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_case] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2466),
    [anon_sym_LTtemplate_GT] = ACTIONS(2466),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_class] = ACTIONS(2466),
    [anon_sym_async] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_using] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_void] = ACTIONS(2466),
    [anon_sym_delete] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2466),
    [sym_number] = ACTIONS(2466),
    [sym_private_property_identifier] = ACTIONS(2466),
    [sym_this] = ACTIONS(2466),
    [sym_super] = ACTIONS(2466),
    [sym_true] = ACTIONS(2466),
    [sym_false] = ACTIONS(2466),
    [sym_null] = ACTIONS(2466),
    [sym_undefined] = ACTIONS(2466),
    [anon_sym_AT] = ACTIONS(2466),
    [anon_sym_static] = ACTIONS(2466),
    [anon_sym_readonly] = ACTIONS(2466),
    [anon_sym_get] = ACTIONS(2466),
    [anon_sym_set] = ACTIONS(2466),
    [anon_sym_declare] = ACTIONS(2466),
    [anon_sym_public] = ACTIONS(2466),
    [anon_sym_private] = ACTIONS(2466),
    [anon_sym_protected] = ACTIONS(2466),
    [anon_sym_override] = ACTIONS(2466),
    [anon_sym_module] = ACTIONS(2466),
    [anon_sym_any] = ACTIONS(2466),
    [anon_sym_number] = ACTIONS(2466),
    [anon_sym_boolean] = ACTIONS(2466),
    [anon_sym_string] = ACTIONS(2466),
    [anon_sym_symbol] = ACTIONS(2466),
    [anon_sym_object] = ACTIONS(2466),
    [anon_sym_property] = ACTIONS(2466),
    [anon_sym_signal] = ACTIONS(2466),
    [anon_sym_on] = ACTIONS(2466),
    [anon_sym_required] = ACTIONS(2466),
    [anon_sym_component] = ACTIONS(2466),
    [anon_sym_abstract] = ACTIONS(2466),
    [anon_sym_interface] = ACTIONS(2466),
    [anon_sym_enum] = ACTIONS(2466),
    [sym_html_comment] = ACTIONS(5),
  },
  [1303] = {
    [sym_comment] = STATE(1303),
    [sym_identifier] = ACTIONS(3582),
    [anon_sym_export] = ACTIONS(3582),
    [anon_sym_default] = ACTIONS(3582),
    [anon_sym_type] = ACTIONS(3582),
    [anon_sym_namespace] = ACTIONS(3582),
    [anon_sym_LBRACE] = ACTIONS(3582),
    [anon_sym_RBRACE] = ACTIONS(3582),
    [anon_sym_typeof] = ACTIONS(3582),
    [anon_sym_import] = ACTIONS(3582),
    [anon_sym_from] = ACTIONS(3582),
    [anon_sym_with] = ACTIONS(3582),
    [anon_sym_var] = ACTIONS(3582),
    [anon_sym_let] = ACTIONS(3582),
    [anon_sym_const] = ACTIONS(3582),
    [anon_sym_BANG] = ACTIONS(3582),
    [anon_sym_if] = ACTIONS(3582),
    [anon_sym_switch] = ACTIONS(3582),
    [anon_sym_for] = ACTIONS(3582),
    [anon_sym_LPAREN] = ACTIONS(3582),
    [anon_sym_await] = ACTIONS(3582),
    [anon_sym_of] = ACTIONS(3582),
    [anon_sym_while] = ACTIONS(3582),
    [anon_sym_do] = ACTIONS(3582),
    [anon_sym_try] = ACTIONS(3582),
    [anon_sym_break] = ACTIONS(3582),
    [anon_sym_continue] = ACTIONS(3582),
    [anon_sym_debugger] = ACTIONS(3582),
    [anon_sym_return] = ACTIONS(3582),
    [anon_sym_throw] = ACTIONS(3582),
    [anon_sym_SEMI] = ACTIONS(3582),
    [anon_sym_case] = ACTIONS(3582),
    [anon_sym_yield] = ACTIONS(3582),
    [anon_sym_LBRACK] = ACTIONS(3582),
    [anon_sym_LTtemplate_GT] = ACTIONS(3582),
    [anon_sym_DQUOTE] = ACTIONS(3582),
    [anon_sym_SQUOTE] = ACTIONS(3582),
    [anon_sym_class] = ACTIONS(3582),
    [anon_sym_async] = ACTIONS(3582),
    [anon_sym_function] = ACTIONS(3582),
    [anon_sym_new] = ACTIONS(3582),
    [anon_sym_using] = ACTIONS(3582),
    [anon_sym_PLUS] = ACTIONS(3582),
    [anon_sym_DASH] = ACTIONS(3582),
    [anon_sym_SLASH] = ACTIONS(3582),
    [anon_sym_LT] = ACTIONS(3582),
    [anon_sym_TILDE] = ACTIONS(3582),
    [anon_sym_void] = ACTIONS(3582),
    [anon_sym_delete] = ACTIONS(3582),
    [anon_sym_PLUS_PLUS] = ACTIONS(3582),
    [anon_sym_DASH_DASH] = ACTIONS(3582),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3582),
    [sym_number] = ACTIONS(3582),
    [sym_private_property_identifier] = ACTIONS(3582),
    [sym_this] = ACTIONS(3582),
    [sym_super] = ACTIONS(3582),
    [sym_true] = ACTIONS(3582),
    [sym_false] = ACTIONS(3582),
    [sym_null] = ACTIONS(3582),
    [sym_undefined] = ACTIONS(3582),
    [anon_sym_AT] = ACTIONS(3582),
    [anon_sym_static] = ACTIONS(3582),
    [anon_sym_readonly] = ACTIONS(3582),
    [anon_sym_get] = ACTIONS(3582),
    [anon_sym_set] = ACTIONS(3582),
    [anon_sym_declare] = ACTIONS(3582),
    [anon_sym_public] = ACTIONS(3582),
    [anon_sym_private] = ACTIONS(3582),
    [anon_sym_protected] = ACTIONS(3582),
    [anon_sym_override] = ACTIONS(3582),
    [anon_sym_module] = ACTIONS(3582),
    [anon_sym_any] = ACTIONS(3582),
    [anon_sym_number] = ACTIONS(3582),
    [anon_sym_boolean] = ACTIONS(3582),
    [anon_sym_string] = ACTIONS(3582),
    [anon_sym_symbol] = ACTIONS(3582),
    [anon_sym_object] = ACTIONS(3582),
    [anon_sym_property] = ACTIONS(3582),
    [anon_sym_signal] = ACTIONS(3582),
    [anon_sym_on] = ACTIONS(3582),
    [anon_sym_required] = ACTIONS(3582),
    [anon_sym_component] = ACTIONS(3582),
    [anon_sym_abstract] = ACTIONS(3582),
    [anon_sym_interface] = ACTIONS(3582),
    [anon_sym_enum] = ACTIONS(3582),
    [sym_html_comment] = ACTIONS(5),
  },
  [1304] = {
    [sym_comment] = STATE(1304),
    [sym_identifier] = ACTIONS(3582),
    [anon_sym_export] = ACTIONS(3582),
    [anon_sym_default] = ACTIONS(3582),
    [anon_sym_type] = ACTIONS(3582),
    [anon_sym_namespace] = ACTIONS(3582),
    [anon_sym_LBRACE] = ACTIONS(3582),
    [anon_sym_RBRACE] = ACTIONS(3582),
    [anon_sym_typeof] = ACTIONS(3582),
    [anon_sym_import] = ACTIONS(3582),
    [anon_sym_from] = ACTIONS(3582),
    [anon_sym_with] = ACTIONS(3582),
    [anon_sym_var] = ACTIONS(3582),
    [anon_sym_let] = ACTIONS(3582),
    [anon_sym_const] = ACTIONS(3582),
    [anon_sym_BANG] = ACTIONS(3582),
    [anon_sym_if] = ACTIONS(3582),
    [anon_sym_switch] = ACTIONS(3582),
    [anon_sym_for] = ACTIONS(3582),
    [anon_sym_LPAREN] = ACTIONS(3582),
    [anon_sym_await] = ACTIONS(3582),
    [anon_sym_of] = ACTIONS(3582),
    [anon_sym_while] = ACTIONS(3582),
    [anon_sym_do] = ACTIONS(3582),
    [anon_sym_try] = ACTIONS(3582),
    [anon_sym_break] = ACTIONS(3582),
    [anon_sym_continue] = ACTIONS(3582),
    [anon_sym_debugger] = ACTIONS(3582),
    [anon_sym_return] = ACTIONS(3582),
    [anon_sym_throw] = ACTIONS(3582),
    [anon_sym_SEMI] = ACTIONS(3582),
    [anon_sym_case] = ACTIONS(3582),
    [anon_sym_yield] = ACTIONS(3582),
    [anon_sym_LBRACK] = ACTIONS(3582),
    [anon_sym_LTtemplate_GT] = ACTIONS(3582),
    [anon_sym_DQUOTE] = ACTIONS(3582),
    [anon_sym_SQUOTE] = ACTIONS(3582),
    [anon_sym_class] = ACTIONS(3582),
    [anon_sym_async] = ACTIONS(3582),
    [anon_sym_function] = ACTIONS(3582),
    [anon_sym_new] = ACTIONS(3582),
    [anon_sym_using] = ACTIONS(3582),
    [anon_sym_PLUS] = ACTIONS(3582),
    [anon_sym_DASH] = ACTIONS(3582),
    [anon_sym_SLASH] = ACTIONS(3582),
    [anon_sym_LT] = ACTIONS(3582),
    [anon_sym_TILDE] = ACTIONS(3582),
    [anon_sym_void] = ACTIONS(3582),
    [anon_sym_delete] = ACTIONS(3582),
    [anon_sym_PLUS_PLUS] = ACTIONS(3582),
    [anon_sym_DASH_DASH] = ACTIONS(3582),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3582),
    [sym_number] = ACTIONS(3582),
    [sym_private_property_identifier] = ACTIONS(3582),
    [sym_this] = ACTIONS(3582),
    [sym_super] = ACTIONS(3582),
    [sym_true] = ACTIONS(3582),
    [sym_false] = ACTIONS(3582),
    [sym_null] = ACTIONS(3582),
    [sym_undefined] = ACTIONS(3582),
    [anon_sym_AT] = ACTIONS(3582),
    [anon_sym_static] = ACTIONS(3582),
    [anon_sym_readonly] = ACTIONS(3582),
    [anon_sym_get] = ACTIONS(3582),
    [anon_sym_set] = ACTIONS(3582),
    [anon_sym_declare] = ACTIONS(3582),
    [anon_sym_public] = ACTIONS(3582),
    [anon_sym_private] = ACTIONS(3582),
    [anon_sym_protected] = ACTIONS(3582),
    [anon_sym_override] = ACTIONS(3582),
    [anon_sym_module] = ACTIONS(3582),
    [anon_sym_any] = ACTIONS(3582),
    [anon_sym_number] = ACTIONS(3582),
    [anon_sym_boolean] = ACTIONS(3582),
    [anon_sym_string] = ACTIONS(3582),
    [anon_sym_symbol] = ACTIONS(3582),
    [anon_sym_object] = ACTIONS(3582),
    [anon_sym_property] = ACTIONS(3582),
    [anon_sym_signal] = ACTIONS(3582),
    [anon_sym_on] = ACTIONS(3582),
    [anon_sym_required] = ACTIONS(3582),
    [anon_sym_component] = ACTIONS(3582),
    [anon_sym_abstract] = ACTIONS(3582),
    [anon_sym_interface] = ACTIONS(3582),
    [anon_sym_enum] = ACTIONS(3582),
    [sym_html_comment] = ACTIONS(5),
  },
  [1305] = {
    [sym_comment] = STATE(1305),
    [sym_identifier] = ACTIONS(3582),
    [anon_sym_export] = ACTIONS(3582),
    [anon_sym_default] = ACTIONS(3582),
    [anon_sym_type] = ACTIONS(3582),
    [anon_sym_namespace] = ACTIONS(3582),
    [anon_sym_LBRACE] = ACTIONS(3582),
    [anon_sym_RBRACE] = ACTIONS(3582),
    [anon_sym_typeof] = ACTIONS(3582),
    [anon_sym_import] = ACTIONS(3582),
    [anon_sym_from] = ACTIONS(3582),
    [anon_sym_with] = ACTIONS(3582),
    [anon_sym_var] = ACTIONS(3582),
    [anon_sym_let] = ACTIONS(3582),
    [anon_sym_const] = ACTIONS(3582),
    [anon_sym_BANG] = ACTIONS(3582),
    [anon_sym_if] = ACTIONS(3582),
    [anon_sym_switch] = ACTIONS(3582),
    [anon_sym_for] = ACTIONS(3582),
    [anon_sym_LPAREN] = ACTIONS(3582),
    [anon_sym_await] = ACTIONS(3582),
    [anon_sym_of] = ACTIONS(3582),
    [anon_sym_while] = ACTIONS(3582),
    [anon_sym_do] = ACTIONS(3582),
    [anon_sym_try] = ACTIONS(3582),
    [anon_sym_break] = ACTIONS(3582),
    [anon_sym_continue] = ACTIONS(3582),
    [anon_sym_debugger] = ACTIONS(3582),
    [anon_sym_return] = ACTIONS(3582),
    [anon_sym_throw] = ACTIONS(3582),
    [anon_sym_SEMI] = ACTIONS(3582),
    [anon_sym_case] = ACTIONS(3582),
    [anon_sym_yield] = ACTIONS(3582),
    [anon_sym_LBRACK] = ACTIONS(3582),
    [anon_sym_LTtemplate_GT] = ACTIONS(3582),
    [anon_sym_DQUOTE] = ACTIONS(3582),
    [anon_sym_SQUOTE] = ACTIONS(3582),
    [anon_sym_class] = ACTIONS(3582),
    [anon_sym_async] = ACTIONS(3582),
    [anon_sym_function] = ACTIONS(3582),
    [anon_sym_new] = ACTIONS(3582),
    [anon_sym_using] = ACTIONS(3582),
    [anon_sym_PLUS] = ACTIONS(3582),
    [anon_sym_DASH] = ACTIONS(3582),
    [anon_sym_SLASH] = ACTIONS(3582),
    [anon_sym_LT] = ACTIONS(3582),
    [anon_sym_TILDE] = ACTIONS(3582),
    [anon_sym_void] = ACTIONS(3582),
    [anon_sym_delete] = ACTIONS(3582),
    [anon_sym_PLUS_PLUS] = ACTIONS(3582),
    [anon_sym_DASH_DASH] = ACTIONS(3582),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3582),
    [sym_number] = ACTIONS(3582),
    [sym_private_property_identifier] = ACTIONS(3582),
    [sym_this] = ACTIONS(3582),
    [sym_super] = ACTIONS(3582),
    [sym_true] = ACTIONS(3582),
    [sym_false] = ACTIONS(3582),
    [sym_null] = ACTIONS(3582),
    [sym_undefined] = ACTIONS(3582),
    [anon_sym_AT] = ACTIONS(3582),
    [anon_sym_static] = ACTIONS(3582),
    [anon_sym_readonly] = ACTIONS(3582),
    [anon_sym_get] = ACTIONS(3582),
    [anon_sym_set] = ACTIONS(3582),
    [anon_sym_declare] = ACTIONS(3582),
    [anon_sym_public] = ACTIONS(3582),
    [anon_sym_private] = ACTIONS(3582),
    [anon_sym_protected] = ACTIONS(3582),
    [anon_sym_override] = ACTIONS(3582),
    [anon_sym_module] = ACTIONS(3582),
    [anon_sym_any] = ACTIONS(3582),
    [anon_sym_number] = ACTIONS(3582),
    [anon_sym_boolean] = ACTIONS(3582),
    [anon_sym_string] = ACTIONS(3582),
    [anon_sym_symbol] = ACTIONS(3582),
    [anon_sym_object] = ACTIONS(3582),
    [anon_sym_property] = ACTIONS(3582),
    [anon_sym_signal] = ACTIONS(3582),
    [anon_sym_on] = ACTIONS(3582),
    [anon_sym_required] = ACTIONS(3582),
    [anon_sym_component] = ACTIONS(3582),
    [anon_sym_abstract] = ACTIONS(3582),
    [anon_sym_interface] = ACTIONS(3582),
    [anon_sym_enum] = ACTIONS(3582),
    [sym_html_comment] = ACTIONS(5),
  },
  [1306] = {
    [sym_comment] = STATE(1306),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_export] = ACTIONS(3522),
    [anon_sym_default] = ACTIONS(3522),
    [anon_sym_type] = ACTIONS(3522),
    [anon_sym_namespace] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(3522),
    [anon_sym_RBRACE] = ACTIONS(3522),
    [anon_sym_typeof] = ACTIONS(3522),
    [anon_sym_import] = ACTIONS(3522),
    [anon_sym_from] = ACTIONS(3522),
    [anon_sym_with] = ACTIONS(3522),
    [anon_sym_var] = ACTIONS(3522),
    [anon_sym_let] = ACTIONS(3522),
    [anon_sym_const] = ACTIONS(3522),
    [anon_sym_BANG] = ACTIONS(3522),
    [anon_sym_if] = ACTIONS(3522),
    [anon_sym_switch] = ACTIONS(3522),
    [anon_sym_for] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(3522),
    [anon_sym_await] = ACTIONS(3522),
    [anon_sym_of] = ACTIONS(3522),
    [anon_sym_while] = ACTIONS(3522),
    [anon_sym_do] = ACTIONS(3522),
    [anon_sym_try] = ACTIONS(3522),
    [anon_sym_break] = ACTIONS(3522),
    [anon_sym_continue] = ACTIONS(3522),
    [anon_sym_debugger] = ACTIONS(3522),
    [anon_sym_return] = ACTIONS(3522),
    [anon_sym_throw] = ACTIONS(3522),
    [anon_sym_SEMI] = ACTIONS(3522),
    [anon_sym_case] = ACTIONS(3522),
    [anon_sym_yield] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(3522),
    [anon_sym_LTtemplate_GT] = ACTIONS(3522),
    [anon_sym_DQUOTE] = ACTIONS(3522),
    [anon_sym_SQUOTE] = ACTIONS(3522),
    [anon_sym_class] = ACTIONS(3522),
    [anon_sym_async] = ACTIONS(3522),
    [anon_sym_function] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(3522),
    [anon_sym_using] = ACTIONS(3522),
    [anon_sym_PLUS] = ACTIONS(3522),
    [anon_sym_DASH] = ACTIONS(3522),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_LT] = ACTIONS(3522),
    [anon_sym_TILDE] = ACTIONS(3522),
    [anon_sym_void] = ACTIONS(3522),
    [anon_sym_delete] = ACTIONS(3522),
    [anon_sym_PLUS_PLUS] = ACTIONS(3522),
    [anon_sym_DASH_DASH] = ACTIONS(3522),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3522),
    [sym_number] = ACTIONS(3522),
    [sym_private_property_identifier] = ACTIONS(3522),
    [sym_this] = ACTIONS(3522),
    [sym_super] = ACTIONS(3522),
    [sym_true] = ACTIONS(3522),
    [sym_false] = ACTIONS(3522),
    [sym_null] = ACTIONS(3522),
    [sym_undefined] = ACTIONS(3522),
    [anon_sym_AT] = ACTIONS(3522),
    [anon_sym_static] = ACTIONS(3522),
    [anon_sym_readonly] = ACTIONS(3522),
    [anon_sym_get] = ACTIONS(3522),
    [anon_sym_set] = ACTIONS(3522),
    [anon_sym_declare] = ACTIONS(3522),
    [anon_sym_public] = ACTIONS(3522),
    [anon_sym_private] = ACTIONS(3522),
    [anon_sym_protected] = ACTIONS(3522),
    [anon_sym_override] = ACTIONS(3522),
    [anon_sym_module] = ACTIONS(3522),
    [anon_sym_any] = ACTIONS(3522),
    [anon_sym_number] = ACTIONS(3522),
    [anon_sym_boolean] = ACTIONS(3522),
    [anon_sym_string] = ACTIONS(3522),
    [anon_sym_symbol] = ACTIONS(3522),
    [anon_sym_object] = ACTIONS(3522),
    [anon_sym_property] = ACTIONS(3522),
    [anon_sym_signal] = ACTIONS(3522),
    [anon_sym_on] = ACTIONS(3522),
    [anon_sym_required] = ACTIONS(3522),
    [anon_sym_component] = ACTIONS(3522),
    [anon_sym_abstract] = ACTIONS(3522),
    [anon_sym_interface] = ACTIONS(3522),
    [anon_sym_enum] = ACTIONS(3522),
    [sym_html_comment] = ACTIONS(5),
  },
  [1307] = {
    [sym_comment] = STATE(1307),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_export] = ACTIONS(3584),
    [anon_sym_default] = ACTIONS(3584),
    [anon_sym_type] = ACTIONS(3584),
    [anon_sym_namespace] = ACTIONS(3584),
    [anon_sym_LBRACE] = ACTIONS(3584),
    [anon_sym_RBRACE] = ACTIONS(3584),
    [anon_sym_typeof] = ACTIONS(3584),
    [anon_sym_import] = ACTIONS(3584),
    [anon_sym_from] = ACTIONS(3584),
    [anon_sym_with] = ACTIONS(3584),
    [anon_sym_var] = ACTIONS(3584),
    [anon_sym_let] = ACTIONS(3584),
    [anon_sym_const] = ACTIONS(3584),
    [anon_sym_BANG] = ACTIONS(3584),
    [anon_sym_if] = ACTIONS(3584),
    [anon_sym_switch] = ACTIONS(3584),
    [anon_sym_for] = ACTIONS(3584),
    [anon_sym_LPAREN] = ACTIONS(3584),
    [anon_sym_await] = ACTIONS(3584),
    [anon_sym_of] = ACTIONS(3584),
    [anon_sym_while] = ACTIONS(3584),
    [anon_sym_do] = ACTIONS(3584),
    [anon_sym_try] = ACTIONS(3584),
    [anon_sym_break] = ACTIONS(3584),
    [anon_sym_continue] = ACTIONS(3584),
    [anon_sym_debugger] = ACTIONS(3584),
    [anon_sym_return] = ACTIONS(3584),
    [anon_sym_throw] = ACTIONS(3584),
    [anon_sym_SEMI] = ACTIONS(3584),
    [anon_sym_case] = ACTIONS(3584),
    [anon_sym_yield] = ACTIONS(3584),
    [anon_sym_LBRACK] = ACTIONS(3584),
    [anon_sym_LTtemplate_GT] = ACTIONS(3584),
    [anon_sym_DQUOTE] = ACTIONS(3584),
    [anon_sym_SQUOTE] = ACTIONS(3584),
    [anon_sym_class] = ACTIONS(3584),
    [anon_sym_async] = ACTIONS(3584),
    [anon_sym_function] = ACTIONS(3584),
    [anon_sym_new] = ACTIONS(3584),
    [anon_sym_using] = ACTIONS(3584),
    [anon_sym_PLUS] = ACTIONS(3584),
    [anon_sym_DASH] = ACTIONS(3584),
    [anon_sym_SLASH] = ACTIONS(3584),
    [anon_sym_LT] = ACTIONS(3584),
    [anon_sym_TILDE] = ACTIONS(3584),
    [anon_sym_void] = ACTIONS(3584),
    [anon_sym_delete] = ACTIONS(3584),
    [anon_sym_PLUS_PLUS] = ACTIONS(3584),
    [anon_sym_DASH_DASH] = ACTIONS(3584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3584),
    [sym_number] = ACTIONS(3584),
    [sym_private_property_identifier] = ACTIONS(3584),
    [sym_this] = ACTIONS(3584),
    [sym_super] = ACTIONS(3584),
    [sym_true] = ACTIONS(3584),
    [sym_false] = ACTIONS(3584),
    [sym_null] = ACTIONS(3584),
    [sym_undefined] = ACTIONS(3584),
    [anon_sym_AT] = ACTIONS(3584),
    [anon_sym_static] = ACTIONS(3584),
    [anon_sym_readonly] = ACTIONS(3584),
    [anon_sym_get] = ACTIONS(3584),
    [anon_sym_set] = ACTIONS(3584),
    [anon_sym_declare] = ACTIONS(3584),
    [anon_sym_public] = ACTIONS(3584),
    [anon_sym_private] = ACTIONS(3584),
    [anon_sym_protected] = ACTIONS(3584),
    [anon_sym_override] = ACTIONS(3584),
    [anon_sym_module] = ACTIONS(3584),
    [anon_sym_any] = ACTIONS(3584),
    [anon_sym_number] = ACTIONS(3584),
    [anon_sym_boolean] = ACTIONS(3584),
    [anon_sym_string] = ACTIONS(3584),
    [anon_sym_symbol] = ACTIONS(3584),
    [anon_sym_object] = ACTIONS(3584),
    [anon_sym_property] = ACTIONS(3584),
    [anon_sym_signal] = ACTIONS(3584),
    [anon_sym_on] = ACTIONS(3584),
    [anon_sym_required] = ACTIONS(3584),
    [anon_sym_component] = ACTIONS(3584),
    [anon_sym_abstract] = ACTIONS(3584),
    [anon_sym_interface] = ACTIONS(3584),
    [anon_sym_enum] = ACTIONS(3584),
    [sym_html_comment] = ACTIONS(5),
  },
  [1308] = {
    [sym_comment] = STATE(1308),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_export] = ACTIONS(3586),
    [anon_sym_default] = ACTIONS(3586),
    [anon_sym_type] = ACTIONS(3586),
    [anon_sym_namespace] = ACTIONS(3586),
    [anon_sym_LBRACE] = ACTIONS(3586),
    [anon_sym_RBRACE] = ACTIONS(3586),
    [anon_sym_typeof] = ACTIONS(3586),
    [anon_sym_import] = ACTIONS(3586),
    [anon_sym_from] = ACTIONS(3586),
    [anon_sym_with] = ACTIONS(3586),
    [anon_sym_var] = ACTIONS(3586),
    [anon_sym_let] = ACTIONS(3586),
    [anon_sym_const] = ACTIONS(3586),
    [anon_sym_BANG] = ACTIONS(3586),
    [anon_sym_if] = ACTIONS(3586),
    [anon_sym_switch] = ACTIONS(3586),
    [anon_sym_for] = ACTIONS(3586),
    [anon_sym_LPAREN] = ACTIONS(3586),
    [anon_sym_await] = ACTIONS(3586),
    [anon_sym_of] = ACTIONS(3586),
    [anon_sym_while] = ACTIONS(3586),
    [anon_sym_do] = ACTIONS(3586),
    [anon_sym_try] = ACTIONS(3586),
    [anon_sym_break] = ACTIONS(3586),
    [anon_sym_continue] = ACTIONS(3586),
    [anon_sym_debugger] = ACTIONS(3586),
    [anon_sym_return] = ACTIONS(3586),
    [anon_sym_throw] = ACTIONS(3586),
    [anon_sym_SEMI] = ACTIONS(3586),
    [anon_sym_case] = ACTIONS(3586),
    [anon_sym_yield] = ACTIONS(3586),
    [anon_sym_LBRACK] = ACTIONS(3586),
    [anon_sym_LTtemplate_GT] = ACTIONS(3586),
    [anon_sym_DQUOTE] = ACTIONS(3586),
    [anon_sym_SQUOTE] = ACTIONS(3586),
    [anon_sym_class] = ACTIONS(3586),
    [anon_sym_async] = ACTIONS(3586),
    [anon_sym_function] = ACTIONS(3586),
    [anon_sym_new] = ACTIONS(3586),
    [anon_sym_using] = ACTIONS(3586),
    [anon_sym_PLUS] = ACTIONS(3586),
    [anon_sym_DASH] = ACTIONS(3586),
    [anon_sym_SLASH] = ACTIONS(3586),
    [anon_sym_LT] = ACTIONS(3586),
    [anon_sym_TILDE] = ACTIONS(3586),
    [anon_sym_void] = ACTIONS(3586),
    [anon_sym_delete] = ACTIONS(3586),
    [anon_sym_PLUS_PLUS] = ACTIONS(3586),
    [anon_sym_DASH_DASH] = ACTIONS(3586),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3586),
    [sym_number] = ACTIONS(3586),
    [sym_private_property_identifier] = ACTIONS(3586),
    [sym_this] = ACTIONS(3586),
    [sym_super] = ACTIONS(3586),
    [sym_true] = ACTIONS(3586),
    [sym_false] = ACTIONS(3586),
    [sym_null] = ACTIONS(3586),
    [sym_undefined] = ACTIONS(3586),
    [anon_sym_AT] = ACTIONS(3586),
    [anon_sym_static] = ACTIONS(3586),
    [anon_sym_readonly] = ACTIONS(3586),
    [anon_sym_get] = ACTIONS(3586),
    [anon_sym_set] = ACTIONS(3586),
    [anon_sym_declare] = ACTIONS(3586),
    [anon_sym_public] = ACTIONS(3586),
    [anon_sym_private] = ACTIONS(3586),
    [anon_sym_protected] = ACTIONS(3586),
    [anon_sym_override] = ACTIONS(3586),
    [anon_sym_module] = ACTIONS(3586),
    [anon_sym_any] = ACTIONS(3586),
    [anon_sym_number] = ACTIONS(3586),
    [anon_sym_boolean] = ACTIONS(3586),
    [anon_sym_string] = ACTIONS(3586),
    [anon_sym_symbol] = ACTIONS(3586),
    [anon_sym_object] = ACTIONS(3586),
    [anon_sym_property] = ACTIONS(3586),
    [anon_sym_signal] = ACTIONS(3586),
    [anon_sym_on] = ACTIONS(3586),
    [anon_sym_required] = ACTIONS(3586),
    [anon_sym_component] = ACTIONS(3586),
    [anon_sym_abstract] = ACTIONS(3586),
    [anon_sym_interface] = ACTIONS(3586),
    [anon_sym_enum] = ACTIONS(3586),
    [sym_html_comment] = ACTIONS(5),
  },
  [1309] = {
    [sym_comment] = STATE(1309),
    [sym_identifier] = ACTIONS(3588),
    [anon_sym_export] = ACTIONS(3588),
    [anon_sym_default] = ACTIONS(3588),
    [anon_sym_type] = ACTIONS(3588),
    [anon_sym_namespace] = ACTIONS(3588),
    [anon_sym_LBRACE] = ACTIONS(3588),
    [anon_sym_RBRACE] = ACTIONS(3588),
    [anon_sym_typeof] = ACTIONS(3588),
    [anon_sym_import] = ACTIONS(3588),
    [anon_sym_from] = ACTIONS(3588),
    [anon_sym_with] = ACTIONS(3588),
    [anon_sym_var] = ACTIONS(3588),
    [anon_sym_let] = ACTIONS(3588),
    [anon_sym_const] = ACTIONS(3588),
    [anon_sym_BANG] = ACTIONS(3588),
    [anon_sym_if] = ACTIONS(3588),
    [anon_sym_switch] = ACTIONS(3588),
    [anon_sym_for] = ACTIONS(3588),
    [anon_sym_LPAREN] = ACTIONS(3588),
    [anon_sym_await] = ACTIONS(3588),
    [anon_sym_of] = ACTIONS(3588),
    [anon_sym_while] = ACTIONS(3588),
    [anon_sym_do] = ACTIONS(3588),
    [anon_sym_try] = ACTIONS(3588),
    [anon_sym_break] = ACTIONS(3588),
    [anon_sym_continue] = ACTIONS(3588),
    [anon_sym_debugger] = ACTIONS(3588),
    [anon_sym_return] = ACTIONS(3588),
    [anon_sym_throw] = ACTIONS(3588),
    [anon_sym_SEMI] = ACTIONS(3588),
    [anon_sym_case] = ACTIONS(3588),
    [anon_sym_yield] = ACTIONS(3588),
    [anon_sym_LBRACK] = ACTIONS(3588),
    [anon_sym_LTtemplate_GT] = ACTIONS(3588),
    [anon_sym_DQUOTE] = ACTIONS(3588),
    [anon_sym_SQUOTE] = ACTIONS(3588),
    [anon_sym_class] = ACTIONS(3588),
    [anon_sym_async] = ACTIONS(3588),
    [anon_sym_function] = ACTIONS(3588),
    [anon_sym_new] = ACTIONS(3588),
    [anon_sym_using] = ACTIONS(3588),
    [anon_sym_PLUS] = ACTIONS(3588),
    [anon_sym_DASH] = ACTIONS(3588),
    [anon_sym_SLASH] = ACTIONS(3588),
    [anon_sym_LT] = ACTIONS(3588),
    [anon_sym_TILDE] = ACTIONS(3588),
    [anon_sym_void] = ACTIONS(3588),
    [anon_sym_delete] = ACTIONS(3588),
    [anon_sym_PLUS_PLUS] = ACTIONS(3588),
    [anon_sym_DASH_DASH] = ACTIONS(3588),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3588),
    [sym_number] = ACTIONS(3588),
    [sym_private_property_identifier] = ACTIONS(3588),
    [sym_this] = ACTIONS(3588),
    [sym_super] = ACTIONS(3588),
    [sym_true] = ACTIONS(3588),
    [sym_false] = ACTIONS(3588),
    [sym_null] = ACTIONS(3588),
    [sym_undefined] = ACTIONS(3588),
    [anon_sym_AT] = ACTIONS(3588),
    [anon_sym_static] = ACTIONS(3588),
    [anon_sym_readonly] = ACTIONS(3588),
    [anon_sym_get] = ACTIONS(3588),
    [anon_sym_set] = ACTIONS(3588),
    [anon_sym_declare] = ACTIONS(3588),
    [anon_sym_public] = ACTIONS(3588),
    [anon_sym_private] = ACTIONS(3588),
    [anon_sym_protected] = ACTIONS(3588),
    [anon_sym_override] = ACTIONS(3588),
    [anon_sym_module] = ACTIONS(3588),
    [anon_sym_any] = ACTIONS(3588),
    [anon_sym_number] = ACTIONS(3588),
    [anon_sym_boolean] = ACTIONS(3588),
    [anon_sym_string] = ACTIONS(3588),
    [anon_sym_symbol] = ACTIONS(3588),
    [anon_sym_object] = ACTIONS(3588),
    [anon_sym_property] = ACTIONS(3588),
    [anon_sym_signal] = ACTIONS(3588),
    [anon_sym_on] = ACTIONS(3588),
    [anon_sym_required] = ACTIONS(3588),
    [anon_sym_component] = ACTIONS(3588),
    [anon_sym_abstract] = ACTIONS(3588),
    [anon_sym_interface] = ACTIONS(3588),
    [anon_sym_enum] = ACTIONS(3588),
    [sym_html_comment] = ACTIONS(5),
  },
  [1310] = {
    [sym_comment] = STATE(1310),
    [sym_identifier] = ACTIONS(3590),
    [anon_sym_export] = ACTIONS(3590),
    [anon_sym_default] = ACTIONS(3590),
    [anon_sym_type] = ACTIONS(3590),
    [anon_sym_namespace] = ACTIONS(3590),
    [anon_sym_LBRACE] = ACTIONS(3590),
    [anon_sym_RBRACE] = ACTIONS(3590),
    [anon_sym_typeof] = ACTIONS(3590),
    [anon_sym_import] = ACTIONS(3590),
    [anon_sym_from] = ACTIONS(3590),
    [anon_sym_with] = ACTIONS(3590),
    [anon_sym_var] = ACTIONS(3590),
    [anon_sym_let] = ACTIONS(3590),
    [anon_sym_const] = ACTIONS(3590),
    [anon_sym_BANG] = ACTIONS(3590),
    [anon_sym_if] = ACTIONS(3590),
    [anon_sym_switch] = ACTIONS(3590),
    [anon_sym_for] = ACTIONS(3590),
    [anon_sym_LPAREN] = ACTIONS(3590),
    [anon_sym_await] = ACTIONS(3590),
    [anon_sym_of] = ACTIONS(3590),
    [anon_sym_while] = ACTIONS(3590),
    [anon_sym_do] = ACTIONS(3590),
    [anon_sym_try] = ACTIONS(3590),
    [anon_sym_break] = ACTIONS(3590),
    [anon_sym_continue] = ACTIONS(3590),
    [anon_sym_debugger] = ACTIONS(3590),
    [anon_sym_return] = ACTIONS(3590),
    [anon_sym_throw] = ACTIONS(3590),
    [anon_sym_SEMI] = ACTIONS(3590),
    [anon_sym_case] = ACTIONS(3590),
    [anon_sym_yield] = ACTIONS(3590),
    [anon_sym_LBRACK] = ACTIONS(3590),
    [anon_sym_LTtemplate_GT] = ACTIONS(3590),
    [anon_sym_DQUOTE] = ACTIONS(3590),
    [anon_sym_SQUOTE] = ACTIONS(3590),
    [anon_sym_class] = ACTIONS(3590),
    [anon_sym_async] = ACTIONS(3590),
    [anon_sym_function] = ACTIONS(3590),
    [anon_sym_new] = ACTIONS(3590),
    [anon_sym_using] = ACTIONS(3590),
    [anon_sym_PLUS] = ACTIONS(3590),
    [anon_sym_DASH] = ACTIONS(3590),
    [anon_sym_SLASH] = ACTIONS(3590),
    [anon_sym_LT] = ACTIONS(3590),
    [anon_sym_TILDE] = ACTIONS(3590),
    [anon_sym_void] = ACTIONS(3590),
    [anon_sym_delete] = ACTIONS(3590),
    [anon_sym_PLUS_PLUS] = ACTIONS(3590),
    [anon_sym_DASH_DASH] = ACTIONS(3590),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3590),
    [sym_number] = ACTIONS(3590),
    [sym_private_property_identifier] = ACTIONS(3590),
    [sym_this] = ACTIONS(3590),
    [sym_super] = ACTIONS(3590),
    [sym_true] = ACTIONS(3590),
    [sym_false] = ACTIONS(3590),
    [sym_null] = ACTIONS(3590),
    [sym_undefined] = ACTIONS(3590),
    [anon_sym_AT] = ACTIONS(3590),
    [anon_sym_static] = ACTIONS(3590),
    [anon_sym_readonly] = ACTIONS(3590),
    [anon_sym_get] = ACTIONS(3590),
    [anon_sym_set] = ACTIONS(3590),
    [anon_sym_declare] = ACTIONS(3590),
    [anon_sym_public] = ACTIONS(3590),
    [anon_sym_private] = ACTIONS(3590),
    [anon_sym_protected] = ACTIONS(3590),
    [anon_sym_override] = ACTIONS(3590),
    [anon_sym_module] = ACTIONS(3590),
    [anon_sym_any] = ACTIONS(3590),
    [anon_sym_number] = ACTIONS(3590),
    [anon_sym_boolean] = ACTIONS(3590),
    [anon_sym_string] = ACTIONS(3590),
    [anon_sym_symbol] = ACTIONS(3590),
    [anon_sym_object] = ACTIONS(3590),
    [anon_sym_property] = ACTIONS(3590),
    [anon_sym_signal] = ACTIONS(3590),
    [anon_sym_on] = ACTIONS(3590),
    [anon_sym_required] = ACTIONS(3590),
    [anon_sym_component] = ACTIONS(3590),
    [anon_sym_abstract] = ACTIONS(3590),
    [anon_sym_interface] = ACTIONS(3590),
    [anon_sym_enum] = ACTIONS(3590),
    [sym_html_comment] = ACTIONS(5),
  },
  [1311] = {
    [sym_comment] = STATE(1311),
    [sym_identifier] = ACTIONS(3592),
    [anon_sym_export] = ACTIONS(3592),
    [anon_sym_default] = ACTIONS(3592),
    [anon_sym_type] = ACTIONS(3592),
    [anon_sym_namespace] = ACTIONS(3592),
    [anon_sym_LBRACE] = ACTIONS(3592),
    [anon_sym_RBRACE] = ACTIONS(3592),
    [anon_sym_typeof] = ACTIONS(3592),
    [anon_sym_import] = ACTIONS(3592),
    [anon_sym_from] = ACTIONS(3592),
    [anon_sym_with] = ACTIONS(3592),
    [anon_sym_var] = ACTIONS(3592),
    [anon_sym_let] = ACTIONS(3592),
    [anon_sym_const] = ACTIONS(3592),
    [anon_sym_BANG] = ACTIONS(3592),
    [anon_sym_if] = ACTIONS(3592),
    [anon_sym_switch] = ACTIONS(3592),
    [anon_sym_for] = ACTIONS(3592),
    [anon_sym_LPAREN] = ACTIONS(3592),
    [anon_sym_await] = ACTIONS(3592),
    [anon_sym_of] = ACTIONS(3592),
    [anon_sym_while] = ACTIONS(3592),
    [anon_sym_do] = ACTIONS(3592),
    [anon_sym_try] = ACTIONS(3592),
    [anon_sym_break] = ACTIONS(3592),
    [anon_sym_continue] = ACTIONS(3592),
    [anon_sym_debugger] = ACTIONS(3592),
    [anon_sym_return] = ACTIONS(3592),
    [anon_sym_throw] = ACTIONS(3592),
    [anon_sym_SEMI] = ACTIONS(3592),
    [anon_sym_case] = ACTIONS(3592),
    [anon_sym_yield] = ACTIONS(3592),
    [anon_sym_LBRACK] = ACTIONS(3592),
    [anon_sym_LTtemplate_GT] = ACTIONS(3592),
    [anon_sym_DQUOTE] = ACTIONS(3592),
    [anon_sym_SQUOTE] = ACTIONS(3592),
    [anon_sym_class] = ACTIONS(3592),
    [anon_sym_async] = ACTIONS(3592),
    [anon_sym_function] = ACTIONS(3592),
    [anon_sym_new] = ACTIONS(3592),
    [anon_sym_using] = ACTIONS(3592),
    [anon_sym_PLUS] = ACTIONS(3592),
    [anon_sym_DASH] = ACTIONS(3592),
    [anon_sym_SLASH] = ACTIONS(3592),
    [anon_sym_LT] = ACTIONS(3592),
    [anon_sym_TILDE] = ACTIONS(3592),
    [anon_sym_void] = ACTIONS(3592),
    [anon_sym_delete] = ACTIONS(3592),
    [anon_sym_PLUS_PLUS] = ACTIONS(3592),
    [anon_sym_DASH_DASH] = ACTIONS(3592),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3592),
    [sym_number] = ACTIONS(3592),
    [sym_private_property_identifier] = ACTIONS(3592),
    [sym_this] = ACTIONS(3592),
    [sym_super] = ACTIONS(3592),
    [sym_true] = ACTIONS(3592),
    [sym_false] = ACTIONS(3592),
    [sym_null] = ACTIONS(3592),
    [sym_undefined] = ACTIONS(3592),
    [anon_sym_AT] = ACTIONS(3592),
    [anon_sym_static] = ACTIONS(3592),
    [anon_sym_readonly] = ACTIONS(3592),
    [anon_sym_get] = ACTIONS(3592),
    [anon_sym_set] = ACTIONS(3592),
    [anon_sym_declare] = ACTIONS(3592),
    [anon_sym_public] = ACTIONS(3592),
    [anon_sym_private] = ACTIONS(3592),
    [anon_sym_protected] = ACTIONS(3592),
    [anon_sym_override] = ACTIONS(3592),
    [anon_sym_module] = ACTIONS(3592),
    [anon_sym_any] = ACTIONS(3592),
    [anon_sym_number] = ACTIONS(3592),
    [anon_sym_boolean] = ACTIONS(3592),
    [anon_sym_string] = ACTIONS(3592),
    [anon_sym_symbol] = ACTIONS(3592),
    [anon_sym_object] = ACTIONS(3592),
    [anon_sym_property] = ACTIONS(3592),
    [anon_sym_signal] = ACTIONS(3592),
    [anon_sym_on] = ACTIONS(3592),
    [anon_sym_required] = ACTIONS(3592),
    [anon_sym_component] = ACTIONS(3592),
    [anon_sym_abstract] = ACTIONS(3592),
    [anon_sym_interface] = ACTIONS(3592),
    [anon_sym_enum] = ACTIONS(3592),
    [sym_html_comment] = ACTIONS(5),
  },
  [1312] = {
    [sym_comment] = STATE(1312),
    [sym_identifier] = ACTIONS(3488),
    [anon_sym_export] = ACTIONS(3488),
    [anon_sym_default] = ACTIONS(3488),
    [anon_sym_type] = ACTIONS(3488),
    [anon_sym_namespace] = ACTIONS(3488),
    [anon_sym_LBRACE] = ACTIONS(3488),
    [anon_sym_RBRACE] = ACTIONS(3488),
    [anon_sym_typeof] = ACTIONS(3488),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_from] = ACTIONS(3488),
    [anon_sym_with] = ACTIONS(3488),
    [anon_sym_var] = ACTIONS(3488),
    [anon_sym_let] = ACTIONS(3488),
    [anon_sym_const] = ACTIONS(3488),
    [anon_sym_BANG] = ACTIONS(3488),
    [anon_sym_if] = ACTIONS(3488),
    [anon_sym_switch] = ACTIONS(3488),
    [anon_sym_for] = ACTIONS(3488),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_await] = ACTIONS(3488),
    [anon_sym_of] = ACTIONS(3488),
    [anon_sym_while] = ACTIONS(3488),
    [anon_sym_do] = ACTIONS(3488),
    [anon_sym_try] = ACTIONS(3488),
    [anon_sym_break] = ACTIONS(3488),
    [anon_sym_continue] = ACTIONS(3488),
    [anon_sym_debugger] = ACTIONS(3488),
    [anon_sym_return] = ACTIONS(3488),
    [anon_sym_throw] = ACTIONS(3488),
    [anon_sym_SEMI] = ACTIONS(3488),
    [anon_sym_case] = ACTIONS(3488),
    [anon_sym_yield] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3488),
    [anon_sym_LTtemplate_GT] = ACTIONS(3488),
    [anon_sym_DQUOTE] = ACTIONS(3488),
    [anon_sym_SQUOTE] = ACTIONS(3488),
    [anon_sym_class] = ACTIONS(3488),
    [anon_sym_async] = ACTIONS(3488),
    [anon_sym_function] = ACTIONS(3488),
    [anon_sym_new] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3488),
    [anon_sym_PLUS] = ACTIONS(3488),
    [anon_sym_DASH] = ACTIONS(3488),
    [anon_sym_SLASH] = ACTIONS(3488),
    [anon_sym_LT] = ACTIONS(3488),
    [anon_sym_TILDE] = ACTIONS(3488),
    [anon_sym_void] = ACTIONS(3488),
    [anon_sym_delete] = ACTIONS(3488),
    [anon_sym_PLUS_PLUS] = ACTIONS(3488),
    [anon_sym_DASH_DASH] = ACTIONS(3488),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3488),
    [sym_number] = ACTIONS(3488),
    [sym_private_property_identifier] = ACTIONS(3488),
    [sym_this] = ACTIONS(3488),
    [sym_super] = ACTIONS(3488),
    [sym_true] = ACTIONS(3488),
    [sym_false] = ACTIONS(3488),
    [sym_null] = ACTIONS(3488),
    [sym_undefined] = ACTIONS(3488),
    [anon_sym_AT] = ACTIONS(3488),
    [anon_sym_static] = ACTIONS(3488),
    [anon_sym_readonly] = ACTIONS(3488),
    [anon_sym_get] = ACTIONS(3488),
    [anon_sym_set] = ACTIONS(3488),
    [anon_sym_declare] = ACTIONS(3488),
    [anon_sym_public] = ACTIONS(3488),
    [anon_sym_private] = ACTIONS(3488),
    [anon_sym_protected] = ACTIONS(3488),
    [anon_sym_override] = ACTIONS(3488),
    [anon_sym_module] = ACTIONS(3488),
    [anon_sym_any] = ACTIONS(3488),
    [anon_sym_number] = ACTIONS(3488),
    [anon_sym_boolean] = ACTIONS(3488),
    [anon_sym_string] = ACTIONS(3488),
    [anon_sym_symbol] = ACTIONS(3488),
    [anon_sym_object] = ACTIONS(3488),
    [anon_sym_property] = ACTIONS(3488),
    [anon_sym_signal] = ACTIONS(3488),
    [anon_sym_on] = ACTIONS(3488),
    [anon_sym_required] = ACTIONS(3488),
    [anon_sym_component] = ACTIONS(3488),
    [anon_sym_abstract] = ACTIONS(3488),
    [anon_sym_interface] = ACTIONS(3488),
    [anon_sym_enum] = ACTIONS(3488),
    [sym_html_comment] = ACTIONS(5),
  },
  [1313] = {
    [sym_comment] = STATE(1313),
    [sym_identifier] = ACTIONS(3594),
    [anon_sym_export] = ACTIONS(3594),
    [anon_sym_default] = ACTIONS(3594),
    [anon_sym_type] = ACTIONS(3594),
    [anon_sym_namespace] = ACTIONS(3594),
    [anon_sym_LBRACE] = ACTIONS(3594),
    [anon_sym_RBRACE] = ACTIONS(3594),
    [anon_sym_typeof] = ACTIONS(3594),
    [anon_sym_import] = ACTIONS(3594),
    [anon_sym_from] = ACTIONS(3594),
    [anon_sym_with] = ACTIONS(3594),
    [anon_sym_var] = ACTIONS(3594),
    [anon_sym_let] = ACTIONS(3594),
    [anon_sym_const] = ACTIONS(3594),
    [anon_sym_BANG] = ACTIONS(3594),
    [anon_sym_if] = ACTIONS(3594),
    [anon_sym_switch] = ACTIONS(3594),
    [anon_sym_for] = ACTIONS(3594),
    [anon_sym_LPAREN] = ACTIONS(3594),
    [anon_sym_await] = ACTIONS(3594),
    [anon_sym_of] = ACTIONS(3594),
    [anon_sym_while] = ACTIONS(3594),
    [anon_sym_do] = ACTIONS(3594),
    [anon_sym_try] = ACTIONS(3594),
    [anon_sym_break] = ACTIONS(3594),
    [anon_sym_continue] = ACTIONS(3594),
    [anon_sym_debugger] = ACTIONS(3594),
    [anon_sym_return] = ACTIONS(3594),
    [anon_sym_throw] = ACTIONS(3594),
    [anon_sym_SEMI] = ACTIONS(3594),
    [anon_sym_case] = ACTIONS(3594),
    [anon_sym_yield] = ACTIONS(3594),
    [anon_sym_LBRACK] = ACTIONS(3594),
    [anon_sym_LTtemplate_GT] = ACTIONS(3594),
    [anon_sym_DQUOTE] = ACTIONS(3594),
    [anon_sym_SQUOTE] = ACTIONS(3594),
    [anon_sym_class] = ACTIONS(3594),
    [anon_sym_async] = ACTIONS(3594),
    [anon_sym_function] = ACTIONS(3594),
    [anon_sym_new] = ACTIONS(3594),
    [anon_sym_using] = ACTIONS(3594),
    [anon_sym_PLUS] = ACTIONS(3594),
    [anon_sym_DASH] = ACTIONS(3594),
    [anon_sym_SLASH] = ACTIONS(3594),
    [anon_sym_LT] = ACTIONS(3594),
    [anon_sym_TILDE] = ACTIONS(3594),
    [anon_sym_void] = ACTIONS(3594),
    [anon_sym_delete] = ACTIONS(3594),
    [anon_sym_PLUS_PLUS] = ACTIONS(3594),
    [anon_sym_DASH_DASH] = ACTIONS(3594),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3594),
    [sym_number] = ACTIONS(3594),
    [sym_private_property_identifier] = ACTIONS(3594),
    [sym_this] = ACTIONS(3594),
    [sym_super] = ACTIONS(3594),
    [sym_true] = ACTIONS(3594),
    [sym_false] = ACTIONS(3594),
    [sym_null] = ACTIONS(3594),
    [sym_undefined] = ACTIONS(3594),
    [anon_sym_AT] = ACTIONS(3594),
    [anon_sym_static] = ACTIONS(3594),
    [anon_sym_readonly] = ACTIONS(3594),
    [anon_sym_get] = ACTIONS(3594),
    [anon_sym_set] = ACTIONS(3594),
    [anon_sym_declare] = ACTIONS(3594),
    [anon_sym_public] = ACTIONS(3594),
    [anon_sym_private] = ACTIONS(3594),
    [anon_sym_protected] = ACTIONS(3594),
    [anon_sym_override] = ACTIONS(3594),
    [anon_sym_module] = ACTIONS(3594),
    [anon_sym_any] = ACTIONS(3594),
    [anon_sym_number] = ACTIONS(3594),
    [anon_sym_boolean] = ACTIONS(3594),
    [anon_sym_string] = ACTIONS(3594),
    [anon_sym_symbol] = ACTIONS(3594),
    [anon_sym_object] = ACTIONS(3594),
    [anon_sym_property] = ACTIONS(3594),
    [anon_sym_signal] = ACTIONS(3594),
    [anon_sym_on] = ACTIONS(3594),
    [anon_sym_required] = ACTIONS(3594),
    [anon_sym_component] = ACTIONS(3594),
    [anon_sym_abstract] = ACTIONS(3594),
    [anon_sym_interface] = ACTIONS(3594),
    [anon_sym_enum] = ACTIONS(3594),
    [sym_html_comment] = ACTIONS(5),
  },
  [1314] = {
    [sym_comment] = STATE(1314),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_export] = ACTIONS(3596),
    [anon_sym_default] = ACTIONS(3596),
    [anon_sym_type] = ACTIONS(3596),
    [anon_sym_namespace] = ACTIONS(3596),
    [anon_sym_LBRACE] = ACTIONS(3596),
    [anon_sym_RBRACE] = ACTIONS(3596),
    [anon_sym_typeof] = ACTIONS(3596),
    [anon_sym_import] = ACTIONS(3596),
    [anon_sym_from] = ACTIONS(3596),
    [anon_sym_with] = ACTIONS(3596),
    [anon_sym_var] = ACTIONS(3596),
    [anon_sym_let] = ACTIONS(3596),
    [anon_sym_const] = ACTIONS(3596),
    [anon_sym_BANG] = ACTIONS(3596),
    [anon_sym_if] = ACTIONS(3596),
    [anon_sym_switch] = ACTIONS(3596),
    [anon_sym_for] = ACTIONS(3596),
    [anon_sym_LPAREN] = ACTIONS(3596),
    [anon_sym_await] = ACTIONS(3596),
    [anon_sym_of] = ACTIONS(3596),
    [anon_sym_while] = ACTIONS(3596),
    [anon_sym_do] = ACTIONS(3596),
    [anon_sym_try] = ACTIONS(3596),
    [anon_sym_break] = ACTIONS(3596),
    [anon_sym_continue] = ACTIONS(3596),
    [anon_sym_debugger] = ACTIONS(3596),
    [anon_sym_return] = ACTIONS(3596),
    [anon_sym_throw] = ACTIONS(3596),
    [anon_sym_SEMI] = ACTIONS(3596),
    [anon_sym_case] = ACTIONS(3596),
    [anon_sym_yield] = ACTIONS(3596),
    [anon_sym_LBRACK] = ACTIONS(3596),
    [anon_sym_LTtemplate_GT] = ACTIONS(3596),
    [anon_sym_DQUOTE] = ACTIONS(3596),
    [anon_sym_SQUOTE] = ACTIONS(3596),
    [anon_sym_class] = ACTIONS(3596),
    [anon_sym_async] = ACTIONS(3596),
    [anon_sym_function] = ACTIONS(3596),
    [anon_sym_new] = ACTIONS(3596),
    [anon_sym_using] = ACTIONS(3596),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3596),
    [anon_sym_LT] = ACTIONS(3596),
    [anon_sym_TILDE] = ACTIONS(3596),
    [anon_sym_void] = ACTIONS(3596),
    [anon_sym_delete] = ACTIONS(3596),
    [anon_sym_PLUS_PLUS] = ACTIONS(3596),
    [anon_sym_DASH_DASH] = ACTIONS(3596),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3596),
    [sym_number] = ACTIONS(3596),
    [sym_private_property_identifier] = ACTIONS(3596),
    [sym_this] = ACTIONS(3596),
    [sym_super] = ACTIONS(3596),
    [sym_true] = ACTIONS(3596),
    [sym_false] = ACTIONS(3596),
    [sym_null] = ACTIONS(3596),
    [sym_undefined] = ACTIONS(3596),
    [anon_sym_AT] = ACTIONS(3596),
    [anon_sym_static] = ACTIONS(3596),
    [anon_sym_readonly] = ACTIONS(3596),
    [anon_sym_get] = ACTIONS(3596),
    [anon_sym_set] = ACTIONS(3596),
    [anon_sym_declare] = ACTIONS(3596),
    [anon_sym_public] = ACTIONS(3596),
    [anon_sym_private] = ACTIONS(3596),
    [anon_sym_protected] = ACTIONS(3596),
    [anon_sym_override] = ACTIONS(3596),
    [anon_sym_module] = ACTIONS(3596),
    [anon_sym_any] = ACTIONS(3596),
    [anon_sym_number] = ACTIONS(3596),
    [anon_sym_boolean] = ACTIONS(3596),
    [anon_sym_string] = ACTIONS(3596),
    [anon_sym_symbol] = ACTIONS(3596),
    [anon_sym_object] = ACTIONS(3596),
    [anon_sym_property] = ACTIONS(3596),
    [anon_sym_signal] = ACTIONS(3596),
    [anon_sym_on] = ACTIONS(3596),
    [anon_sym_required] = ACTIONS(3596),
    [anon_sym_component] = ACTIONS(3596),
    [anon_sym_abstract] = ACTIONS(3596),
    [anon_sym_interface] = ACTIONS(3596),
    [anon_sym_enum] = ACTIONS(3596),
    [sym_html_comment] = ACTIONS(5),
  },
  [1315] = {
    [sym_comment] = STATE(1315),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_export] = ACTIONS(3596),
    [anon_sym_default] = ACTIONS(3596),
    [anon_sym_type] = ACTIONS(3596),
    [anon_sym_namespace] = ACTIONS(3596),
    [anon_sym_LBRACE] = ACTIONS(3596),
    [anon_sym_RBRACE] = ACTIONS(3596),
    [anon_sym_typeof] = ACTIONS(3596),
    [anon_sym_import] = ACTIONS(3596),
    [anon_sym_from] = ACTIONS(3596),
    [anon_sym_with] = ACTIONS(3596),
    [anon_sym_var] = ACTIONS(3596),
    [anon_sym_let] = ACTIONS(3596),
    [anon_sym_const] = ACTIONS(3596),
    [anon_sym_BANG] = ACTIONS(3596),
    [anon_sym_if] = ACTIONS(3596),
    [anon_sym_switch] = ACTIONS(3596),
    [anon_sym_for] = ACTIONS(3596),
    [anon_sym_LPAREN] = ACTIONS(3596),
    [anon_sym_await] = ACTIONS(3596),
    [anon_sym_of] = ACTIONS(3596),
    [anon_sym_while] = ACTIONS(3596),
    [anon_sym_do] = ACTIONS(3596),
    [anon_sym_try] = ACTIONS(3596),
    [anon_sym_break] = ACTIONS(3596),
    [anon_sym_continue] = ACTIONS(3596),
    [anon_sym_debugger] = ACTIONS(3596),
    [anon_sym_return] = ACTIONS(3596),
    [anon_sym_throw] = ACTIONS(3596),
    [anon_sym_SEMI] = ACTIONS(3596),
    [anon_sym_case] = ACTIONS(3596),
    [anon_sym_yield] = ACTIONS(3596),
    [anon_sym_LBRACK] = ACTIONS(3596),
    [anon_sym_LTtemplate_GT] = ACTIONS(3596),
    [anon_sym_DQUOTE] = ACTIONS(3596),
    [anon_sym_SQUOTE] = ACTIONS(3596),
    [anon_sym_class] = ACTIONS(3596),
    [anon_sym_async] = ACTIONS(3596),
    [anon_sym_function] = ACTIONS(3596),
    [anon_sym_new] = ACTIONS(3596),
    [anon_sym_using] = ACTIONS(3596),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3596),
    [anon_sym_LT] = ACTIONS(3596),
    [anon_sym_TILDE] = ACTIONS(3596),
    [anon_sym_void] = ACTIONS(3596),
    [anon_sym_delete] = ACTIONS(3596),
    [anon_sym_PLUS_PLUS] = ACTIONS(3596),
    [anon_sym_DASH_DASH] = ACTIONS(3596),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3596),
    [sym_number] = ACTIONS(3596),
    [sym_private_property_identifier] = ACTIONS(3596),
    [sym_this] = ACTIONS(3596),
    [sym_super] = ACTIONS(3596),
    [sym_true] = ACTIONS(3596),
    [sym_false] = ACTIONS(3596),
    [sym_null] = ACTIONS(3596),
    [sym_undefined] = ACTIONS(3596),
    [anon_sym_AT] = ACTIONS(3596),
    [anon_sym_static] = ACTIONS(3596),
    [anon_sym_readonly] = ACTIONS(3596),
    [anon_sym_get] = ACTIONS(3596),
    [anon_sym_set] = ACTIONS(3596),
    [anon_sym_declare] = ACTIONS(3596),
    [anon_sym_public] = ACTIONS(3596),
    [anon_sym_private] = ACTIONS(3596),
    [anon_sym_protected] = ACTIONS(3596),
    [anon_sym_override] = ACTIONS(3596),
    [anon_sym_module] = ACTIONS(3596),
    [anon_sym_any] = ACTIONS(3596),
    [anon_sym_number] = ACTIONS(3596),
    [anon_sym_boolean] = ACTIONS(3596),
    [anon_sym_string] = ACTIONS(3596),
    [anon_sym_symbol] = ACTIONS(3596),
    [anon_sym_object] = ACTIONS(3596),
    [anon_sym_property] = ACTIONS(3596),
    [anon_sym_signal] = ACTIONS(3596),
    [anon_sym_on] = ACTIONS(3596),
    [anon_sym_required] = ACTIONS(3596),
    [anon_sym_component] = ACTIONS(3596),
    [anon_sym_abstract] = ACTIONS(3596),
    [anon_sym_interface] = ACTIONS(3596),
    [anon_sym_enum] = ACTIONS(3596),
    [sym_html_comment] = ACTIONS(5),
  },
  [1316] = {
    [sym_comment] = STATE(1316),
    [sym_identifier] = ACTIONS(3480),
    [anon_sym_export] = ACTIONS(3480),
    [anon_sym_default] = ACTIONS(3480),
    [anon_sym_type] = ACTIONS(3480),
    [anon_sym_namespace] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3480),
    [anon_sym_RBRACE] = ACTIONS(3480),
    [anon_sym_typeof] = ACTIONS(3480),
    [anon_sym_import] = ACTIONS(3480),
    [anon_sym_from] = ACTIONS(3480),
    [anon_sym_with] = ACTIONS(3480),
    [anon_sym_var] = ACTIONS(3480),
    [anon_sym_let] = ACTIONS(3480),
    [anon_sym_const] = ACTIONS(3480),
    [anon_sym_BANG] = ACTIONS(3480),
    [anon_sym_if] = ACTIONS(3480),
    [anon_sym_switch] = ACTIONS(3480),
    [anon_sym_for] = ACTIONS(3480),
    [anon_sym_LPAREN] = ACTIONS(3480),
    [anon_sym_await] = ACTIONS(3480),
    [anon_sym_of] = ACTIONS(3480),
    [anon_sym_while] = ACTIONS(3480),
    [anon_sym_do] = ACTIONS(3480),
    [anon_sym_try] = ACTIONS(3480),
    [anon_sym_break] = ACTIONS(3480),
    [anon_sym_continue] = ACTIONS(3480),
    [anon_sym_debugger] = ACTIONS(3480),
    [anon_sym_return] = ACTIONS(3480),
    [anon_sym_throw] = ACTIONS(3480),
    [anon_sym_SEMI] = ACTIONS(3480),
    [anon_sym_case] = ACTIONS(3480),
    [anon_sym_yield] = ACTIONS(3480),
    [anon_sym_LBRACK] = ACTIONS(3480),
    [anon_sym_LTtemplate_GT] = ACTIONS(3480),
    [anon_sym_DQUOTE] = ACTIONS(3480),
    [anon_sym_SQUOTE] = ACTIONS(3480),
    [anon_sym_class] = ACTIONS(3480),
    [anon_sym_async] = ACTIONS(3480),
    [anon_sym_function] = ACTIONS(3480),
    [anon_sym_new] = ACTIONS(3480),
    [anon_sym_using] = ACTIONS(3480),
    [anon_sym_PLUS] = ACTIONS(3480),
    [anon_sym_DASH] = ACTIONS(3480),
    [anon_sym_SLASH] = ACTIONS(3480),
    [anon_sym_LT] = ACTIONS(3480),
    [anon_sym_TILDE] = ACTIONS(3480),
    [anon_sym_void] = ACTIONS(3480),
    [anon_sym_delete] = ACTIONS(3480),
    [anon_sym_PLUS_PLUS] = ACTIONS(3480),
    [anon_sym_DASH_DASH] = ACTIONS(3480),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3480),
    [sym_number] = ACTIONS(3480),
    [sym_private_property_identifier] = ACTIONS(3480),
    [sym_this] = ACTIONS(3480),
    [sym_super] = ACTIONS(3480),
    [sym_true] = ACTIONS(3480),
    [sym_false] = ACTIONS(3480),
    [sym_null] = ACTIONS(3480),
    [sym_undefined] = ACTIONS(3480),
    [anon_sym_AT] = ACTIONS(3480),
    [anon_sym_static] = ACTIONS(3480),
    [anon_sym_readonly] = ACTIONS(3480),
    [anon_sym_get] = ACTIONS(3480),
    [anon_sym_set] = ACTIONS(3480),
    [anon_sym_declare] = ACTIONS(3480),
    [anon_sym_public] = ACTIONS(3480),
    [anon_sym_private] = ACTIONS(3480),
    [anon_sym_protected] = ACTIONS(3480),
    [anon_sym_override] = ACTIONS(3480),
    [anon_sym_module] = ACTIONS(3480),
    [anon_sym_any] = ACTIONS(3480),
    [anon_sym_number] = ACTIONS(3480),
    [anon_sym_boolean] = ACTIONS(3480),
    [anon_sym_string] = ACTIONS(3480),
    [anon_sym_symbol] = ACTIONS(3480),
    [anon_sym_object] = ACTIONS(3480),
    [anon_sym_property] = ACTIONS(3480),
    [anon_sym_signal] = ACTIONS(3480),
    [anon_sym_on] = ACTIONS(3480),
    [anon_sym_required] = ACTIONS(3480),
    [anon_sym_component] = ACTIONS(3480),
    [anon_sym_abstract] = ACTIONS(3480),
    [anon_sym_interface] = ACTIONS(3480),
    [anon_sym_enum] = ACTIONS(3480),
    [sym_html_comment] = ACTIONS(5),
  },
  [1317] = {
    [sym_comment] = STATE(1317),
    [sym_identifier] = ACTIONS(2342),
    [anon_sym_export] = ACTIONS(2342),
    [anon_sym_type] = ACTIONS(2342),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_RBRACE] = ACTIONS(2342),
    [anon_sym_typeof] = ACTIONS(2342),
    [anon_sym_import] = ACTIONS(2342),
    [anon_sym_from] = ACTIONS(2342),
    [anon_sym_with] = ACTIONS(2342),
    [anon_sym_var] = ACTIONS(2342),
    [anon_sym_let] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_BANG] = ACTIONS(2342),
    [anon_sym_else] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(2342),
    [anon_sym_await] = ACTIONS(2342),
    [anon_sym_of] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_debugger] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2342),
    [anon_sym_yield] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_LTtemplate_GT] = ACTIONS(2342),
    [anon_sym_DQUOTE] = ACTIONS(2342),
    [anon_sym_SQUOTE] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_async] = ACTIONS(2342),
    [anon_sym_function] = ACTIONS(2342),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_using] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_SLASH] = ACTIONS(2342),
    [anon_sym_LT] = ACTIONS(2342),
    [anon_sym_TILDE] = ACTIONS(2342),
    [anon_sym_void] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2342),
    [sym_number] = ACTIONS(2342),
    [sym_private_property_identifier] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [sym_super] = ACTIONS(2342),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [sym_null] = ACTIONS(2342),
    [sym_undefined] = ACTIONS(2342),
    [anon_sym_AT] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_readonly] = ACTIONS(2342),
    [anon_sym_get] = ACTIONS(2342),
    [anon_sym_set] = ACTIONS(2342),
    [anon_sym_declare] = ACTIONS(2342),
    [anon_sym_public] = ACTIONS(2342),
    [anon_sym_private] = ACTIONS(2342),
    [anon_sym_protected] = ACTIONS(2342),
    [anon_sym_override] = ACTIONS(2342),
    [anon_sym_module] = ACTIONS(2342),
    [anon_sym_any] = ACTIONS(2342),
    [anon_sym_number] = ACTIONS(2342),
    [anon_sym_boolean] = ACTIONS(2342),
    [anon_sym_string] = ACTIONS(2342),
    [anon_sym_symbol] = ACTIONS(2342),
    [anon_sym_object] = ACTIONS(2342),
    [anon_sym_property] = ACTIONS(2342),
    [anon_sym_signal] = ACTIONS(2342),
    [anon_sym_on] = ACTIONS(2342),
    [anon_sym_required] = ACTIONS(2342),
    [anon_sym_component] = ACTIONS(2342),
    [anon_sym_abstract] = ACTIONS(2342),
    [anon_sym_interface] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [sym__automatic_semicolon] = ACTIONS(2616),
    [sym_html_comment] = ACTIONS(5),
  },
  [1318] = {
    [sym_comment] = STATE(1318),
    [sym_identifier] = ACTIONS(3504),
    [anon_sym_export] = ACTIONS(3504),
    [anon_sym_default] = ACTIONS(3504),
    [anon_sym_type] = ACTIONS(3504),
    [anon_sym_namespace] = ACTIONS(3504),
    [anon_sym_LBRACE] = ACTIONS(3504),
    [anon_sym_RBRACE] = ACTIONS(3504),
    [anon_sym_typeof] = ACTIONS(3504),
    [anon_sym_import] = ACTIONS(3504),
    [anon_sym_from] = ACTIONS(3504),
    [anon_sym_with] = ACTIONS(3504),
    [anon_sym_var] = ACTIONS(3504),
    [anon_sym_let] = ACTIONS(3504),
    [anon_sym_const] = ACTIONS(3504),
    [anon_sym_BANG] = ACTIONS(3504),
    [anon_sym_if] = ACTIONS(3504),
    [anon_sym_switch] = ACTIONS(3504),
    [anon_sym_for] = ACTIONS(3504),
    [anon_sym_LPAREN] = ACTIONS(3504),
    [anon_sym_await] = ACTIONS(3504),
    [anon_sym_of] = ACTIONS(3504),
    [anon_sym_while] = ACTIONS(3504),
    [anon_sym_do] = ACTIONS(3504),
    [anon_sym_try] = ACTIONS(3504),
    [anon_sym_break] = ACTIONS(3504),
    [anon_sym_continue] = ACTIONS(3504),
    [anon_sym_debugger] = ACTIONS(3504),
    [anon_sym_return] = ACTIONS(3504),
    [anon_sym_throw] = ACTIONS(3504),
    [anon_sym_SEMI] = ACTIONS(3504),
    [anon_sym_case] = ACTIONS(3504),
    [anon_sym_yield] = ACTIONS(3504),
    [anon_sym_LBRACK] = ACTIONS(3504),
    [anon_sym_LTtemplate_GT] = ACTIONS(3504),
    [anon_sym_DQUOTE] = ACTIONS(3504),
    [anon_sym_SQUOTE] = ACTIONS(3504),
    [anon_sym_class] = ACTIONS(3504),
    [anon_sym_async] = ACTIONS(3504),
    [anon_sym_function] = ACTIONS(3504),
    [anon_sym_new] = ACTIONS(3504),
    [anon_sym_using] = ACTIONS(3504),
    [anon_sym_PLUS] = ACTIONS(3504),
    [anon_sym_DASH] = ACTIONS(3504),
    [anon_sym_SLASH] = ACTIONS(3504),
    [anon_sym_LT] = ACTIONS(3504),
    [anon_sym_TILDE] = ACTIONS(3504),
    [anon_sym_void] = ACTIONS(3504),
    [anon_sym_delete] = ACTIONS(3504),
    [anon_sym_PLUS_PLUS] = ACTIONS(3504),
    [anon_sym_DASH_DASH] = ACTIONS(3504),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3504),
    [sym_number] = ACTIONS(3504),
    [sym_private_property_identifier] = ACTIONS(3504),
    [sym_this] = ACTIONS(3504),
    [sym_super] = ACTIONS(3504),
    [sym_true] = ACTIONS(3504),
    [sym_false] = ACTIONS(3504),
    [sym_null] = ACTIONS(3504),
    [sym_undefined] = ACTIONS(3504),
    [anon_sym_AT] = ACTIONS(3504),
    [anon_sym_static] = ACTIONS(3504),
    [anon_sym_readonly] = ACTIONS(3504),
    [anon_sym_get] = ACTIONS(3504),
    [anon_sym_set] = ACTIONS(3504),
    [anon_sym_declare] = ACTIONS(3504),
    [anon_sym_public] = ACTIONS(3504),
    [anon_sym_private] = ACTIONS(3504),
    [anon_sym_protected] = ACTIONS(3504),
    [anon_sym_override] = ACTIONS(3504),
    [anon_sym_module] = ACTIONS(3504),
    [anon_sym_any] = ACTIONS(3504),
    [anon_sym_number] = ACTIONS(3504),
    [anon_sym_boolean] = ACTIONS(3504),
    [anon_sym_string] = ACTIONS(3504),
    [anon_sym_symbol] = ACTIONS(3504),
    [anon_sym_object] = ACTIONS(3504),
    [anon_sym_property] = ACTIONS(3504),
    [anon_sym_signal] = ACTIONS(3504),
    [anon_sym_on] = ACTIONS(3504),
    [anon_sym_required] = ACTIONS(3504),
    [anon_sym_component] = ACTIONS(3504),
    [anon_sym_abstract] = ACTIONS(3504),
    [anon_sym_interface] = ACTIONS(3504),
    [anon_sym_enum] = ACTIONS(3504),
    [sym_html_comment] = ACTIONS(5),
  },
  [1319] = {
    [sym_comment] = STATE(1319),
    [sym_identifier] = ACTIONS(3600),
    [anon_sym_export] = ACTIONS(3600),
    [anon_sym_default] = ACTIONS(3600),
    [anon_sym_type] = ACTIONS(3600),
    [anon_sym_namespace] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3600),
    [anon_sym_RBRACE] = ACTIONS(3600),
    [anon_sym_typeof] = ACTIONS(3600),
    [anon_sym_import] = ACTIONS(3600),
    [anon_sym_from] = ACTIONS(3600),
    [anon_sym_with] = ACTIONS(3600),
    [anon_sym_var] = ACTIONS(3600),
    [anon_sym_let] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3600),
    [anon_sym_BANG] = ACTIONS(3600),
    [anon_sym_if] = ACTIONS(3600),
    [anon_sym_switch] = ACTIONS(3600),
    [anon_sym_for] = ACTIONS(3600),
    [anon_sym_LPAREN] = ACTIONS(3600),
    [anon_sym_await] = ACTIONS(3600),
    [anon_sym_of] = ACTIONS(3600),
    [anon_sym_while] = ACTIONS(3600),
    [anon_sym_do] = ACTIONS(3600),
    [anon_sym_try] = ACTIONS(3600),
    [anon_sym_break] = ACTIONS(3600),
    [anon_sym_continue] = ACTIONS(3600),
    [anon_sym_debugger] = ACTIONS(3600),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_throw] = ACTIONS(3600),
    [anon_sym_SEMI] = ACTIONS(3600),
    [anon_sym_case] = ACTIONS(3600),
    [anon_sym_yield] = ACTIONS(3600),
    [anon_sym_LBRACK] = ACTIONS(3600),
    [anon_sym_LTtemplate_GT] = ACTIONS(3600),
    [anon_sym_DQUOTE] = ACTIONS(3600),
    [anon_sym_SQUOTE] = ACTIONS(3600),
    [anon_sym_class] = ACTIONS(3600),
    [anon_sym_async] = ACTIONS(3600),
    [anon_sym_function] = ACTIONS(3600),
    [anon_sym_new] = ACTIONS(3600),
    [anon_sym_using] = ACTIONS(3600),
    [anon_sym_PLUS] = ACTIONS(3600),
    [anon_sym_DASH] = ACTIONS(3600),
    [anon_sym_SLASH] = ACTIONS(3600),
    [anon_sym_LT] = ACTIONS(3600),
    [anon_sym_TILDE] = ACTIONS(3600),
    [anon_sym_void] = ACTIONS(3600),
    [anon_sym_delete] = ACTIONS(3600),
    [anon_sym_PLUS_PLUS] = ACTIONS(3600),
    [anon_sym_DASH_DASH] = ACTIONS(3600),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3600),
    [sym_number] = ACTIONS(3600),
    [sym_private_property_identifier] = ACTIONS(3600),
    [sym_this] = ACTIONS(3600),
    [sym_super] = ACTIONS(3600),
    [sym_true] = ACTIONS(3600),
    [sym_false] = ACTIONS(3600),
    [sym_null] = ACTIONS(3600),
    [sym_undefined] = ACTIONS(3600),
    [anon_sym_AT] = ACTIONS(3600),
    [anon_sym_static] = ACTIONS(3600),
    [anon_sym_readonly] = ACTIONS(3600),
    [anon_sym_get] = ACTIONS(3600),
    [anon_sym_set] = ACTIONS(3600),
    [anon_sym_declare] = ACTIONS(3600),
    [anon_sym_public] = ACTIONS(3600),
    [anon_sym_private] = ACTIONS(3600),
    [anon_sym_protected] = ACTIONS(3600),
    [anon_sym_override] = ACTIONS(3600),
    [anon_sym_module] = ACTIONS(3600),
    [anon_sym_any] = ACTIONS(3600),
    [anon_sym_number] = ACTIONS(3600),
    [anon_sym_boolean] = ACTIONS(3600),
    [anon_sym_string] = ACTIONS(3600),
    [anon_sym_symbol] = ACTIONS(3600),
    [anon_sym_object] = ACTIONS(3600),
    [anon_sym_property] = ACTIONS(3600),
    [anon_sym_signal] = ACTIONS(3600),
    [anon_sym_on] = ACTIONS(3600),
    [anon_sym_required] = ACTIONS(3600),
    [anon_sym_component] = ACTIONS(3600),
    [anon_sym_abstract] = ACTIONS(3600),
    [anon_sym_interface] = ACTIONS(3600),
    [anon_sym_enum] = ACTIONS(3600),
    [sym_html_comment] = ACTIONS(5),
  },
  [1320] = {
    [sym_comment] = STATE(1320),
    [sym_identifier] = ACTIONS(3508),
    [anon_sym_export] = ACTIONS(3508),
    [anon_sym_default] = ACTIONS(3508),
    [anon_sym_type] = ACTIONS(3508),
    [anon_sym_namespace] = ACTIONS(3508),
    [anon_sym_LBRACE] = ACTIONS(3508),
    [anon_sym_RBRACE] = ACTIONS(3508),
    [anon_sym_typeof] = ACTIONS(3508),
    [anon_sym_import] = ACTIONS(3508),
    [anon_sym_from] = ACTIONS(3508),
    [anon_sym_with] = ACTIONS(3508),
    [anon_sym_var] = ACTIONS(3508),
    [anon_sym_let] = ACTIONS(3508),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_if] = ACTIONS(3508),
    [anon_sym_switch] = ACTIONS(3508),
    [anon_sym_for] = ACTIONS(3508),
    [anon_sym_LPAREN] = ACTIONS(3508),
    [anon_sym_await] = ACTIONS(3508),
    [anon_sym_of] = ACTIONS(3508),
    [anon_sym_while] = ACTIONS(3508),
    [anon_sym_do] = ACTIONS(3508),
    [anon_sym_try] = ACTIONS(3508),
    [anon_sym_break] = ACTIONS(3508),
    [anon_sym_continue] = ACTIONS(3508),
    [anon_sym_debugger] = ACTIONS(3508),
    [anon_sym_return] = ACTIONS(3508),
    [anon_sym_throw] = ACTIONS(3508),
    [anon_sym_SEMI] = ACTIONS(3508),
    [anon_sym_case] = ACTIONS(3508),
    [anon_sym_yield] = ACTIONS(3508),
    [anon_sym_LBRACK] = ACTIONS(3508),
    [anon_sym_LTtemplate_GT] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_class] = ACTIONS(3508),
    [anon_sym_async] = ACTIONS(3508),
    [anon_sym_function] = ACTIONS(3508),
    [anon_sym_new] = ACTIONS(3508),
    [anon_sym_using] = ACTIONS(3508),
    [anon_sym_PLUS] = ACTIONS(3508),
    [anon_sym_DASH] = ACTIONS(3508),
    [anon_sym_SLASH] = ACTIONS(3508),
    [anon_sym_LT] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3508),
    [anon_sym_void] = ACTIONS(3508),
    [anon_sym_delete] = ACTIONS(3508),
    [anon_sym_PLUS_PLUS] = ACTIONS(3508),
    [anon_sym_DASH_DASH] = ACTIONS(3508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3508),
    [sym_number] = ACTIONS(3508),
    [sym_private_property_identifier] = ACTIONS(3508),
    [sym_this] = ACTIONS(3508),
    [sym_super] = ACTIONS(3508),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_AT] = ACTIONS(3508),
    [anon_sym_static] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3508),
    [anon_sym_get] = ACTIONS(3508),
    [anon_sym_set] = ACTIONS(3508),
    [anon_sym_declare] = ACTIONS(3508),
    [anon_sym_public] = ACTIONS(3508),
    [anon_sym_private] = ACTIONS(3508),
    [anon_sym_protected] = ACTIONS(3508),
    [anon_sym_override] = ACTIONS(3508),
    [anon_sym_module] = ACTIONS(3508),
    [anon_sym_any] = ACTIONS(3508),
    [anon_sym_number] = ACTIONS(3508),
    [anon_sym_boolean] = ACTIONS(3508),
    [anon_sym_string] = ACTIONS(3508),
    [anon_sym_symbol] = ACTIONS(3508),
    [anon_sym_object] = ACTIONS(3508),
    [anon_sym_property] = ACTIONS(3508),
    [anon_sym_signal] = ACTIONS(3508),
    [anon_sym_on] = ACTIONS(3508),
    [anon_sym_required] = ACTIONS(3508),
    [anon_sym_component] = ACTIONS(3508),
    [anon_sym_abstract] = ACTIONS(3508),
    [anon_sym_interface] = ACTIONS(3508),
    [anon_sym_enum] = ACTIONS(3508),
    [sym_html_comment] = ACTIONS(5),
  },
  [1321] = {
    [sym_comment] = STATE(1321),
    [sym_identifier] = ACTIONS(3508),
    [anon_sym_export] = ACTIONS(3508),
    [anon_sym_default] = ACTIONS(3508),
    [anon_sym_type] = ACTIONS(3508),
    [anon_sym_namespace] = ACTIONS(3508),
    [anon_sym_LBRACE] = ACTIONS(3508),
    [anon_sym_RBRACE] = ACTIONS(3508),
    [anon_sym_typeof] = ACTIONS(3508),
    [anon_sym_import] = ACTIONS(3508),
    [anon_sym_from] = ACTIONS(3508),
    [anon_sym_with] = ACTIONS(3508),
    [anon_sym_var] = ACTIONS(3508),
    [anon_sym_let] = ACTIONS(3508),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_if] = ACTIONS(3508),
    [anon_sym_switch] = ACTIONS(3508),
    [anon_sym_for] = ACTIONS(3508),
    [anon_sym_LPAREN] = ACTIONS(3508),
    [anon_sym_await] = ACTIONS(3508),
    [anon_sym_of] = ACTIONS(3508),
    [anon_sym_while] = ACTIONS(3508),
    [anon_sym_do] = ACTIONS(3508),
    [anon_sym_try] = ACTIONS(3508),
    [anon_sym_break] = ACTIONS(3508),
    [anon_sym_continue] = ACTIONS(3508),
    [anon_sym_debugger] = ACTIONS(3508),
    [anon_sym_return] = ACTIONS(3508),
    [anon_sym_throw] = ACTIONS(3508),
    [anon_sym_SEMI] = ACTIONS(3508),
    [anon_sym_case] = ACTIONS(3508),
    [anon_sym_yield] = ACTIONS(3508),
    [anon_sym_LBRACK] = ACTIONS(3508),
    [anon_sym_LTtemplate_GT] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_class] = ACTIONS(3508),
    [anon_sym_async] = ACTIONS(3508),
    [anon_sym_function] = ACTIONS(3508),
    [anon_sym_new] = ACTIONS(3508),
    [anon_sym_using] = ACTIONS(3508),
    [anon_sym_PLUS] = ACTIONS(3508),
    [anon_sym_DASH] = ACTIONS(3508),
    [anon_sym_SLASH] = ACTIONS(3508),
    [anon_sym_LT] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3508),
    [anon_sym_void] = ACTIONS(3508),
    [anon_sym_delete] = ACTIONS(3508),
    [anon_sym_PLUS_PLUS] = ACTIONS(3508),
    [anon_sym_DASH_DASH] = ACTIONS(3508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3508),
    [sym_number] = ACTIONS(3508),
    [sym_private_property_identifier] = ACTIONS(3508),
    [sym_this] = ACTIONS(3508),
    [sym_super] = ACTIONS(3508),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_AT] = ACTIONS(3508),
    [anon_sym_static] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3508),
    [anon_sym_get] = ACTIONS(3508),
    [anon_sym_set] = ACTIONS(3508),
    [anon_sym_declare] = ACTIONS(3508),
    [anon_sym_public] = ACTIONS(3508),
    [anon_sym_private] = ACTIONS(3508),
    [anon_sym_protected] = ACTIONS(3508),
    [anon_sym_override] = ACTIONS(3508),
    [anon_sym_module] = ACTIONS(3508),
    [anon_sym_any] = ACTIONS(3508),
    [anon_sym_number] = ACTIONS(3508),
    [anon_sym_boolean] = ACTIONS(3508),
    [anon_sym_string] = ACTIONS(3508),
    [anon_sym_symbol] = ACTIONS(3508),
    [anon_sym_object] = ACTIONS(3508),
    [anon_sym_property] = ACTIONS(3508),
    [anon_sym_signal] = ACTIONS(3508),
    [anon_sym_on] = ACTIONS(3508),
    [anon_sym_required] = ACTIONS(3508),
    [anon_sym_component] = ACTIONS(3508),
    [anon_sym_abstract] = ACTIONS(3508),
    [anon_sym_interface] = ACTIONS(3508),
    [anon_sym_enum] = ACTIONS(3508),
    [sym_html_comment] = ACTIONS(5),
  },
  [1322] = {
    [sym_comment] = STATE(1322),
    [sym_identifier] = ACTIONS(3602),
    [anon_sym_export] = ACTIONS(3602),
    [anon_sym_default] = ACTIONS(3602),
    [anon_sym_type] = ACTIONS(3602),
    [anon_sym_namespace] = ACTIONS(3602),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_RBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3602),
    [anon_sym_import] = ACTIONS(3602),
    [anon_sym_from] = ACTIONS(3602),
    [anon_sym_with] = ACTIONS(3602),
    [anon_sym_var] = ACTIONS(3602),
    [anon_sym_let] = ACTIONS(3602),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_BANG] = ACTIONS(3602),
    [anon_sym_if] = ACTIONS(3602),
    [anon_sym_switch] = ACTIONS(3602),
    [anon_sym_for] = ACTIONS(3602),
    [anon_sym_LPAREN] = ACTIONS(3602),
    [anon_sym_await] = ACTIONS(3602),
    [anon_sym_of] = ACTIONS(3602),
    [anon_sym_while] = ACTIONS(3602),
    [anon_sym_do] = ACTIONS(3602),
    [anon_sym_try] = ACTIONS(3602),
    [anon_sym_break] = ACTIONS(3602),
    [anon_sym_continue] = ACTIONS(3602),
    [anon_sym_debugger] = ACTIONS(3602),
    [anon_sym_return] = ACTIONS(3602),
    [anon_sym_throw] = ACTIONS(3602),
    [anon_sym_SEMI] = ACTIONS(3602),
    [anon_sym_case] = ACTIONS(3602),
    [anon_sym_yield] = ACTIONS(3602),
    [anon_sym_LBRACK] = ACTIONS(3602),
    [anon_sym_LTtemplate_GT] = ACTIONS(3602),
    [anon_sym_DQUOTE] = ACTIONS(3602),
    [anon_sym_SQUOTE] = ACTIONS(3602),
    [anon_sym_class] = ACTIONS(3602),
    [anon_sym_async] = ACTIONS(3602),
    [anon_sym_function] = ACTIONS(3602),
    [anon_sym_new] = ACTIONS(3602),
    [anon_sym_using] = ACTIONS(3602),
    [anon_sym_PLUS] = ACTIONS(3602),
    [anon_sym_DASH] = ACTIONS(3602),
    [anon_sym_SLASH] = ACTIONS(3602),
    [anon_sym_LT] = ACTIONS(3602),
    [anon_sym_TILDE] = ACTIONS(3602),
    [anon_sym_void] = ACTIONS(3602),
    [anon_sym_delete] = ACTIONS(3602),
    [anon_sym_PLUS_PLUS] = ACTIONS(3602),
    [anon_sym_DASH_DASH] = ACTIONS(3602),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3602),
    [sym_number] = ACTIONS(3602),
    [sym_private_property_identifier] = ACTIONS(3602),
    [sym_this] = ACTIONS(3602),
    [sym_super] = ACTIONS(3602),
    [sym_true] = ACTIONS(3602),
    [sym_false] = ACTIONS(3602),
    [sym_null] = ACTIONS(3602),
    [sym_undefined] = ACTIONS(3602),
    [anon_sym_AT] = ACTIONS(3602),
    [anon_sym_static] = ACTIONS(3602),
    [anon_sym_readonly] = ACTIONS(3602),
    [anon_sym_get] = ACTIONS(3602),
    [anon_sym_set] = ACTIONS(3602),
    [anon_sym_declare] = ACTIONS(3602),
    [anon_sym_public] = ACTIONS(3602),
    [anon_sym_private] = ACTIONS(3602),
    [anon_sym_protected] = ACTIONS(3602),
    [anon_sym_override] = ACTIONS(3602),
    [anon_sym_module] = ACTIONS(3602),
    [anon_sym_any] = ACTIONS(3602),
    [anon_sym_number] = ACTIONS(3602),
    [anon_sym_boolean] = ACTIONS(3602),
    [anon_sym_string] = ACTIONS(3602),
    [anon_sym_symbol] = ACTIONS(3602),
    [anon_sym_object] = ACTIONS(3602),
    [anon_sym_property] = ACTIONS(3602),
    [anon_sym_signal] = ACTIONS(3602),
    [anon_sym_on] = ACTIONS(3602),
    [anon_sym_required] = ACTIONS(3602),
    [anon_sym_component] = ACTIONS(3602),
    [anon_sym_abstract] = ACTIONS(3602),
    [anon_sym_interface] = ACTIONS(3602),
    [anon_sym_enum] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1323] = {
    [sym_comment] = STATE(1323),
    [sym_identifier] = ACTIONS(2402),
    [anon_sym_export] = ACTIONS(2402),
    [anon_sym_type] = ACTIONS(2402),
    [anon_sym_namespace] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [anon_sym_typeof] = ACTIONS(2402),
    [anon_sym_import] = ACTIONS(2402),
    [anon_sym_from] = ACTIONS(2402),
    [anon_sym_with] = ACTIONS(2402),
    [anon_sym_var] = ACTIONS(2402),
    [anon_sym_let] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2402),
    [anon_sym_else] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(2402),
    [anon_sym_await] = ACTIONS(2402),
    [anon_sym_of] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_try] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_debugger] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym_yield] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_LTtemplate_GT] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2402),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_async] = ACTIONS(2402),
    [anon_sym_function] = ACTIONS(2402),
    [anon_sym_new] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_SLASH] = ACTIONS(2402),
    [anon_sym_LT] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_void] = ACTIONS(2402),
    [anon_sym_delete] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2402),
    [sym_number] = ACTIONS(2402),
    [sym_private_property_identifier] = ACTIONS(2402),
    [sym_this] = ACTIONS(2402),
    [sym_super] = ACTIONS(2402),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [sym_null] = ACTIONS(2402),
    [sym_undefined] = ACTIONS(2402),
    [anon_sym_AT] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_readonly] = ACTIONS(2402),
    [anon_sym_get] = ACTIONS(2402),
    [anon_sym_set] = ACTIONS(2402),
    [anon_sym_declare] = ACTIONS(2402),
    [anon_sym_public] = ACTIONS(2402),
    [anon_sym_private] = ACTIONS(2402),
    [anon_sym_protected] = ACTIONS(2402),
    [anon_sym_override] = ACTIONS(2402),
    [anon_sym_module] = ACTIONS(2402),
    [anon_sym_any] = ACTIONS(2402),
    [anon_sym_number] = ACTIONS(2402),
    [anon_sym_boolean] = ACTIONS(2402),
    [anon_sym_string] = ACTIONS(2402),
    [anon_sym_symbol] = ACTIONS(2402),
    [anon_sym_object] = ACTIONS(2402),
    [anon_sym_property] = ACTIONS(2402),
    [anon_sym_signal] = ACTIONS(2402),
    [anon_sym_on] = ACTIONS(2402),
    [anon_sym_required] = ACTIONS(2402),
    [anon_sym_component] = ACTIONS(2402),
    [anon_sym_abstract] = ACTIONS(2402),
    [anon_sym_interface] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [sym__automatic_semicolon] = ACTIONS(2612),
    [sym_html_comment] = ACTIONS(5),
  },
  [1324] = {
    [sym_statement_block] = STATE(1822),
    [sym_comment] = STATE(1324),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(3706),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(3708),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1325] = {
    [sym_statement_block] = STATE(1822),
    [sym_comment] = STATE(1325),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(3706),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(3710),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1326] = {
    [sym_comment] = STATE(1326),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1327] = {
    [sym_comment] = STATE(1327),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_export] = ACTIONS(2450),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_typeof] = ACTIONS(2450),
    [anon_sym_import] = ACTIONS(2450),
    [anon_sym_from] = ACTIONS(2450),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_var] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_const] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_else] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_switch] = ACTIONS(2450),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_await] = ACTIONS(2450),
    [anon_sym_of] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_break] = ACTIONS(2450),
    [anon_sym_continue] = ACTIONS(2450),
    [anon_sym_debugger] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_throw] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LTtemplate_GT] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_class] = ACTIONS(2450),
    [anon_sym_async] = ACTIONS(2450),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_using] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_void] = ACTIONS(2450),
    [anon_sym_delete] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2450),
    [sym_number] = ACTIONS(2450),
    [sym_private_property_identifier] = ACTIONS(2450),
    [sym_this] = ACTIONS(2450),
    [sym_super] = ACTIONS(2450),
    [sym_true] = ACTIONS(2450),
    [sym_false] = ACTIONS(2450),
    [sym_null] = ACTIONS(2450),
    [sym_undefined] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2450),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_readonly] = ACTIONS(2450),
    [anon_sym_get] = ACTIONS(2450),
    [anon_sym_set] = ACTIONS(2450),
    [anon_sym_declare] = ACTIONS(2450),
    [anon_sym_public] = ACTIONS(2450),
    [anon_sym_private] = ACTIONS(2450),
    [anon_sym_protected] = ACTIONS(2450),
    [anon_sym_override] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_any] = ACTIONS(2450),
    [anon_sym_number] = ACTIONS(2450),
    [anon_sym_boolean] = ACTIONS(2450),
    [anon_sym_string] = ACTIONS(2450),
    [anon_sym_symbol] = ACTIONS(2450),
    [anon_sym_object] = ACTIONS(2450),
    [anon_sym_property] = ACTIONS(2450),
    [anon_sym_signal] = ACTIONS(2450),
    [anon_sym_on] = ACTIONS(2450),
    [anon_sym_required] = ACTIONS(2450),
    [anon_sym_component] = ACTIONS(2450),
    [anon_sym_abstract] = ACTIONS(2450),
    [anon_sym_interface] = ACTIONS(2450),
    [anon_sym_enum] = ACTIONS(2450),
    [sym__automatic_semicolon] = ACTIONS(2610),
    [sym_html_comment] = ACTIONS(5),
  },
  [1328] = {
    [sym_comment] = STATE(1328),
    [sym_identifier] = ACTIONS(3604),
    [anon_sym_export] = ACTIONS(3604),
    [anon_sym_default] = ACTIONS(3604),
    [anon_sym_type] = ACTIONS(3604),
    [anon_sym_namespace] = ACTIONS(3604),
    [anon_sym_LBRACE] = ACTIONS(3604),
    [anon_sym_RBRACE] = ACTIONS(3604),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_import] = ACTIONS(3604),
    [anon_sym_from] = ACTIONS(3604),
    [anon_sym_with] = ACTIONS(3604),
    [anon_sym_var] = ACTIONS(3604),
    [anon_sym_let] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3604),
    [anon_sym_BANG] = ACTIONS(3604),
    [anon_sym_if] = ACTIONS(3604),
    [anon_sym_switch] = ACTIONS(3604),
    [anon_sym_for] = ACTIONS(3604),
    [anon_sym_LPAREN] = ACTIONS(3604),
    [anon_sym_await] = ACTIONS(3604),
    [anon_sym_of] = ACTIONS(3604),
    [anon_sym_while] = ACTIONS(3604),
    [anon_sym_do] = ACTIONS(3604),
    [anon_sym_try] = ACTIONS(3604),
    [anon_sym_break] = ACTIONS(3604),
    [anon_sym_continue] = ACTIONS(3604),
    [anon_sym_debugger] = ACTIONS(3604),
    [anon_sym_return] = ACTIONS(3604),
    [anon_sym_throw] = ACTIONS(3604),
    [anon_sym_SEMI] = ACTIONS(3604),
    [anon_sym_case] = ACTIONS(3604),
    [anon_sym_yield] = ACTIONS(3604),
    [anon_sym_LBRACK] = ACTIONS(3604),
    [anon_sym_LTtemplate_GT] = ACTIONS(3604),
    [anon_sym_DQUOTE] = ACTIONS(3604),
    [anon_sym_SQUOTE] = ACTIONS(3604),
    [anon_sym_class] = ACTIONS(3604),
    [anon_sym_async] = ACTIONS(3604),
    [anon_sym_function] = ACTIONS(3604),
    [anon_sym_new] = ACTIONS(3604),
    [anon_sym_using] = ACTIONS(3604),
    [anon_sym_PLUS] = ACTIONS(3604),
    [anon_sym_DASH] = ACTIONS(3604),
    [anon_sym_SLASH] = ACTIONS(3604),
    [anon_sym_LT] = ACTIONS(3604),
    [anon_sym_TILDE] = ACTIONS(3604),
    [anon_sym_void] = ACTIONS(3604),
    [anon_sym_delete] = ACTIONS(3604),
    [anon_sym_PLUS_PLUS] = ACTIONS(3604),
    [anon_sym_DASH_DASH] = ACTIONS(3604),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3604),
    [sym_number] = ACTIONS(3604),
    [sym_private_property_identifier] = ACTIONS(3604),
    [sym_this] = ACTIONS(3604),
    [sym_super] = ACTIONS(3604),
    [sym_true] = ACTIONS(3604),
    [sym_false] = ACTIONS(3604),
    [sym_null] = ACTIONS(3604),
    [sym_undefined] = ACTIONS(3604),
    [anon_sym_AT] = ACTIONS(3604),
    [anon_sym_static] = ACTIONS(3604),
    [anon_sym_readonly] = ACTIONS(3604),
    [anon_sym_get] = ACTIONS(3604),
    [anon_sym_set] = ACTIONS(3604),
    [anon_sym_declare] = ACTIONS(3604),
    [anon_sym_public] = ACTIONS(3604),
    [anon_sym_private] = ACTIONS(3604),
    [anon_sym_protected] = ACTIONS(3604),
    [anon_sym_override] = ACTIONS(3604),
    [anon_sym_module] = ACTIONS(3604),
    [anon_sym_any] = ACTIONS(3604),
    [anon_sym_number] = ACTIONS(3604),
    [anon_sym_boolean] = ACTIONS(3604),
    [anon_sym_string] = ACTIONS(3604),
    [anon_sym_symbol] = ACTIONS(3604),
    [anon_sym_object] = ACTIONS(3604),
    [anon_sym_property] = ACTIONS(3604),
    [anon_sym_signal] = ACTIONS(3604),
    [anon_sym_on] = ACTIONS(3604),
    [anon_sym_required] = ACTIONS(3604),
    [anon_sym_component] = ACTIONS(3604),
    [anon_sym_abstract] = ACTIONS(3604),
    [anon_sym_interface] = ACTIONS(3604),
    [anon_sym_enum] = ACTIONS(3604),
    [sym_html_comment] = ACTIONS(5),
  },
  [1329] = {
    [sym_comment] = STATE(1329),
    [sym_identifier] = ACTIONS(2394),
    [anon_sym_export] = ACTIONS(2394),
    [anon_sym_type] = ACTIONS(2394),
    [anon_sym_namespace] = ACTIONS(2394),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_typeof] = ACTIONS(2394),
    [anon_sym_import] = ACTIONS(2394),
    [anon_sym_from] = ACTIONS(2394),
    [anon_sym_with] = ACTIONS(2394),
    [anon_sym_var] = ACTIONS(2394),
    [anon_sym_let] = ACTIONS(2394),
    [anon_sym_const] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_else] = ACTIONS(2394),
    [anon_sym_if] = ACTIONS(2394),
    [anon_sym_switch] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_LPAREN] = ACTIONS(2394),
    [anon_sym_await] = ACTIONS(2394),
    [anon_sym_of] = ACTIONS(2394),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_do] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2394),
    [anon_sym_break] = ACTIONS(2394),
    [anon_sym_continue] = ACTIONS(2394),
    [anon_sym_debugger] = ACTIONS(2394),
    [anon_sym_return] = ACTIONS(2394),
    [anon_sym_throw] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym_yield] = ACTIONS(2394),
    [anon_sym_LBRACK] = ACTIONS(2394),
    [anon_sym_LTtemplate_GT] = ACTIONS(2394),
    [anon_sym_DQUOTE] = ACTIONS(2394),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_class] = ACTIONS(2394),
    [anon_sym_async] = ACTIONS(2394),
    [anon_sym_function] = ACTIONS(2394),
    [anon_sym_new] = ACTIONS(2394),
    [anon_sym_using] = ACTIONS(2394),
    [anon_sym_PLUS] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2394),
    [anon_sym_SLASH] = ACTIONS(2394),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_void] = ACTIONS(2394),
    [anon_sym_delete] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2394),
    [sym_number] = ACTIONS(2394),
    [sym_private_property_identifier] = ACTIONS(2394),
    [sym_this] = ACTIONS(2394),
    [sym_super] = ACTIONS(2394),
    [sym_true] = ACTIONS(2394),
    [sym_false] = ACTIONS(2394),
    [sym_null] = ACTIONS(2394),
    [sym_undefined] = ACTIONS(2394),
    [anon_sym_AT] = ACTIONS(2394),
    [anon_sym_static] = ACTIONS(2394),
    [anon_sym_readonly] = ACTIONS(2394),
    [anon_sym_get] = ACTIONS(2394),
    [anon_sym_set] = ACTIONS(2394),
    [anon_sym_declare] = ACTIONS(2394),
    [anon_sym_public] = ACTIONS(2394),
    [anon_sym_private] = ACTIONS(2394),
    [anon_sym_protected] = ACTIONS(2394),
    [anon_sym_override] = ACTIONS(2394),
    [anon_sym_module] = ACTIONS(2394),
    [anon_sym_any] = ACTIONS(2394),
    [anon_sym_number] = ACTIONS(2394),
    [anon_sym_boolean] = ACTIONS(2394),
    [anon_sym_string] = ACTIONS(2394),
    [anon_sym_symbol] = ACTIONS(2394),
    [anon_sym_object] = ACTIONS(2394),
    [anon_sym_property] = ACTIONS(2394),
    [anon_sym_signal] = ACTIONS(2394),
    [anon_sym_on] = ACTIONS(2394),
    [anon_sym_required] = ACTIONS(2394),
    [anon_sym_component] = ACTIONS(2394),
    [anon_sym_abstract] = ACTIONS(2394),
    [anon_sym_interface] = ACTIONS(2394),
    [anon_sym_enum] = ACTIONS(2394),
    [sym__automatic_semicolon] = ACTIONS(2600),
    [sym_html_comment] = ACTIONS(5),
  },
  [1330] = {
    [sym_comment] = STATE(1330),
    [sym_identifier] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(3612),
    [anon_sym_default] = ACTIONS(3612),
    [anon_sym_type] = ACTIONS(3612),
    [anon_sym_namespace] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(3612),
    [anon_sym_RBRACE] = ACTIONS(3612),
    [anon_sym_typeof] = ACTIONS(3612),
    [anon_sym_import] = ACTIONS(3612),
    [anon_sym_from] = ACTIONS(3612),
    [anon_sym_with] = ACTIONS(3612),
    [anon_sym_var] = ACTIONS(3612),
    [anon_sym_let] = ACTIONS(3612),
    [anon_sym_const] = ACTIONS(3612),
    [anon_sym_BANG] = ACTIONS(3612),
    [anon_sym_if] = ACTIONS(3612),
    [anon_sym_switch] = ACTIONS(3612),
    [anon_sym_for] = ACTIONS(3612),
    [anon_sym_LPAREN] = ACTIONS(3612),
    [anon_sym_await] = ACTIONS(3612),
    [anon_sym_of] = ACTIONS(3612),
    [anon_sym_while] = ACTIONS(3612),
    [anon_sym_do] = ACTIONS(3612),
    [anon_sym_try] = ACTIONS(3612),
    [anon_sym_break] = ACTIONS(3612),
    [anon_sym_continue] = ACTIONS(3612),
    [anon_sym_debugger] = ACTIONS(3612),
    [anon_sym_return] = ACTIONS(3612),
    [anon_sym_throw] = ACTIONS(3612),
    [anon_sym_SEMI] = ACTIONS(3612),
    [anon_sym_case] = ACTIONS(3612),
    [anon_sym_yield] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(3612),
    [anon_sym_LTtemplate_GT] = ACTIONS(3612),
    [anon_sym_DQUOTE] = ACTIONS(3612),
    [anon_sym_SQUOTE] = ACTIONS(3612),
    [anon_sym_class] = ACTIONS(3612),
    [anon_sym_async] = ACTIONS(3612),
    [anon_sym_function] = ACTIONS(3612),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_using] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3612),
    [anon_sym_DASH] = ACTIONS(3612),
    [anon_sym_SLASH] = ACTIONS(3612),
    [anon_sym_LT] = ACTIONS(3612),
    [anon_sym_TILDE] = ACTIONS(3612),
    [anon_sym_void] = ACTIONS(3612),
    [anon_sym_delete] = ACTIONS(3612),
    [anon_sym_PLUS_PLUS] = ACTIONS(3612),
    [anon_sym_DASH_DASH] = ACTIONS(3612),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3612),
    [sym_number] = ACTIONS(3612),
    [sym_private_property_identifier] = ACTIONS(3612),
    [sym_this] = ACTIONS(3612),
    [sym_super] = ACTIONS(3612),
    [sym_true] = ACTIONS(3612),
    [sym_false] = ACTIONS(3612),
    [sym_null] = ACTIONS(3612),
    [sym_undefined] = ACTIONS(3612),
    [anon_sym_AT] = ACTIONS(3612),
    [anon_sym_static] = ACTIONS(3612),
    [anon_sym_readonly] = ACTIONS(3612),
    [anon_sym_get] = ACTIONS(3612),
    [anon_sym_set] = ACTIONS(3612),
    [anon_sym_declare] = ACTIONS(3612),
    [anon_sym_public] = ACTIONS(3612),
    [anon_sym_private] = ACTIONS(3612),
    [anon_sym_protected] = ACTIONS(3612),
    [anon_sym_override] = ACTIONS(3612),
    [anon_sym_module] = ACTIONS(3612),
    [anon_sym_any] = ACTIONS(3612),
    [anon_sym_number] = ACTIONS(3612),
    [anon_sym_boolean] = ACTIONS(3612),
    [anon_sym_string] = ACTIONS(3612),
    [anon_sym_symbol] = ACTIONS(3612),
    [anon_sym_object] = ACTIONS(3612),
    [anon_sym_property] = ACTIONS(3612),
    [anon_sym_signal] = ACTIONS(3612),
    [anon_sym_on] = ACTIONS(3612),
    [anon_sym_required] = ACTIONS(3612),
    [anon_sym_component] = ACTIONS(3612),
    [anon_sym_abstract] = ACTIONS(3612),
    [anon_sym_interface] = ACTIONS(3612),
    [anon_sym_enum] = ACTIONS(3612),
    [sym_html_comment] = ACTIONS(5),
  },
  [1331] = {
    [sym_comment] = STATE(1331),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(3712),
    [sym_html_comment] = ACTIONS(5),
  },
  [1332] = {
    [sym_comment] = STATE(1332),
    [sym_identifier] = ACTIONS(3464),
    [anon_sym_export] = ACTIONS(3464),
    [anon_sym_type] = ACTIONS(3464),
    [anon_sym_namespace] = ACTIONS(3464),
    [anon_sym_LBRACE] = ACTIONS(3464),
    [anon_sym_RBRACE] = ACTIONS(3464),
    [anon_sym_typeof] = ACTIONS(3464),
    [anon_sym_import] = ACTIONS(3464),
    [anon_sym_from] = ACTIONS(3464),
    [anon_sym_with] = ACTIONS(3464),
    [anon_sym_var] = ACTIONS(3464),
    [anon_sym_let] = ACTIONS(3464),
    [anon_sym_const] = ACTIONS(3464),
    [anon_sym_BANG] = ACTIONS(3464),
    [anon_sym_else] = ACTIONS(3464),
    [anon_sym_if] = ACTIONS(3464),
    [anon_sym_switch] = ACTIONS(3464),
    [anon_sym_for] = ACTIONS(3464),
    [anon_sym_LPAREN] = ACTIONS(3464),
    [anon_sym_await] = ACTIONS(3464),
    [anon_sym_of] = ACTIONS(3464),
    [anon_sym_while] = ACTIONS(3464),
    [anon_sym_do] = ACTIONS(3464),
    [anon_sym_try] = ACTIONS(3464),
    [anon_sym_break] = ACTIONS(3464),
    [anon_sym_continue] = ACTIONS(3464),
    [anon_sym_debugger] = ACTIONS(3464),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_throw] = ACTIONS(3464),
    [anon_sym_SEMI] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3464),
    [anon_sym_LBRACK] = ACTIONS(3464),
    [anon_sym_LTtemplate_GT] = ACTIONS(3464),
    [anon_sym_DQUOTE] = ACTIONS(3464),
    [anon_sym_SQUOTE] = ACTIONS(3464),
    [anon_sym_class] = ACTIONS(3464),
    [anon_sym_async] = ACTIONS(3464),
    [anon_sym_function] = ACTIONS(3464),
    [anon_sym_new] = ACTIONS(3464),
    [anon_sym_using] = ACTIONS(3464),
    [anon_sym_PLUS] = ACTIONS(3464),
    [anon_sym_DASH] = ACTIONS(3464),
    [anon_sym_SLASH] = ACTIONS(3464),
    [anon_sym_LT] = ACTIONS(3464),
    [anon_sym_TILDE] = ACTIONS(3464),
    [anon_sym_void] = ACTIONS(3464),
    [anon_sym_delete] = ACTIONS(3464),
    [anon_sym_PLUS_PLUS] = ACTIONS(3464),
    [anon_sym_DASH_DASH] = ACTIONS(3464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3464),
    [sym_number] = ACTIONS(3464),
    [sym_private_property_identifier] = ACTIONS(3464),
    [sym_this] = ACTIONS(3464),
    [sym_super] = ACTIONS(3464),
    [sym_true] = ACTIONS(3464),
    [sym_false] = ACTIONS(3464),
    [sym_null] = ACTIONS(3464),
    [sym_undefined] = ACTIONS(3464),
    [anon_sym_AT] = ACTIONS(3464),
    [anon_sym_static] = ACTIONS(3464),
    [anon_sym_readonly] = ACTIONS(3464),
    [anon_sym_get] = ACTIONS(3464),
    [anon_sym_set] = ACTIONS(3464),
    [anon_sym_declare] = ACTIONS(3464),
    [anon_sym_public] = ACTIONS(3464),
    [anon_sym_private] = ACTIONS(3464),
    [anon_sym_protected] = ACTIONS(3464),
    [anon_sym_override] = ACTIONS(3464),
    [anon_sym_module] = ACTIONS(3464),
    [anon_sym_any] = ACTIONS(3464),
    [anon_sym_number] = ACTIONS(3464),
    [anon_sym_boolean] = ACTIONS(3464),
    [anon_sym_string] = ACTIONS(3464),
    [anon_sym_symbol] = ACTIONS(3464),
    [anon_sym_object] = ACTIONS(3464),
    [anon_sym_property] = ACTIONS(3464),
    [anon_sym_signal] = ACTIONS(3464),
    [anon_sym_on] = ACTIONS(3464),
    [anon_sym_required] = ACTIONS(3464),
    [anon_sym_component] = ACTIONS(3464),
    [anon_sym_abstract] = ACTIONS(3464),
    [anon_sym_interface] = ACTIONS(3464),
    [anon_sym_enum] = ACTIONS(3464),
    [sym__automatic_semicolon] = ACTIONS(3466),
    [sym_html_comment] = ACTIONS(5),
  },
  [1333] = {
    [sym_comment] = STATE(1333),
    [sym_identifier] = ACTIONS(3616),
    [anon_sym_export] = ACTIONS(3616),
    [anon_sym_default] = ACTIONS(3616),
    [anon_sym_type] = ACTIONS(3616),
    [anon_sym_namespace] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3616),
    [anon_sym_RBRACE] = ACTIONS(3616),
    [anon_sym_typeof] = ACTIONS(3616),
    [anon_sym_import] = ACTIONS(3616),
    [anon_sym_from] = ACTIONS(3616),
    [anon_sym_with] = ACTIONS(3616),
    [anon_sym_var] = ACTIONS(3616),
    [anon_sym_let] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_BANG] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_LPAREN] = ACTIONS(3616),
    [anon_sym_await] = ACTIONS(3616),
    [anon_sym_of] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_try] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_debugger] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_throw] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_case] = ACTIONS(3616),
    [anon_sym_yield] = ACTIONS(3616),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_LTtemplate_GT] = ACTIONS(3616),
    [anon_sym_DQUOTE] = ACTIONS(3616),
    [anon_sym_SQUOTE] = ACTIONS(3616),
    [anon_sym_class] = ACTIONS(3616),
    [anon_sym_async] = ACTIONS(3616),
    [anon_sym_function] = ACTIONS(3616),
    [anon_sym_new] = ACTIONS(3616),
    [anon_sym_using] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_SLASH] = ACTIONS(3616),
    [anon_sym_LT] = ACTIONS(3616),
    [anon_sym_TILDE] = ACTIONS(3616),
    [anon_sym_void] = ACTIONS(3616),
    [anon_sym_delete] = ACTIONS(3616),
    [anon_sym_PLUS_PLUS] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3616),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3616),
    [sym_number] = ACTIONS(3616),
    [sym_private_property_identifier] = ACTIONS(3616),
    [sym_this] = ACTIONS(3616),
    [sym_super] = ACTIONS(3616),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [sym_null] = ACTIONS(3616),
    [sym_undefined] = ACTIONS(3616),
    [anon_sym_AT] = ACTIONS(3616),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_readonly] = ACTIONS(3616),
    [anon_sym_get] = ACTIONS(3616),
    [anon_sym_set] = ACTIONS(3616),
    [anon_sym_declare] = ACTIONS(3616),
    [anon_sym_public] = ACTIONS(3616),
    [anon_sym_private] = ACTIONS(3616),
    [anon_sym_protected] = ACTIONS(3616),
    [anon_sym_override] = ACTIONS(3616),
    [anon_sym_module] = ACTIONS(3616),
    [anon_sym_any] = ACTIONS(3616),
    [anon_sym_number] = ACTIONS(3616),
    [anon_sym_boolean] = ACTIONS(3616),
    [anon_sym_string] = ACTIONS(3616),
    [anon_sym_symbol] = ACTIONS(3616),
    [anon_sym_object] = ACTIONS(3616),
    [anon_sym_property] = ACTIONS(3616),
    [anon_sym_signal] = ACTIONS(3616),
    [anon_sym_on] = ACTIONS(3616),
    [anon_sym_required] = ACTIONS(3616),
    [anon_sym_component] = ACTIONS(3616),
    [anon_sym_abstract] = ACTIONS(3616),
    [anon_sym_interface] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [sym_html_comment] = ACTIONS(5),
  },
  [1334] = {
    [sym_comment] = STATE(1334),
    [sym_identifier] = ACTIONS(3428),
    [anon_sym_export] = ACTIONS(3428),
    [anon_sym_type] = ACTIONS(3428),
    [anon_sym_namespace] = ACTIONS(3428),
    [anon_sym_LBRACE] = ACTIONS(3428),
    [anon_sym_RBRACE] = ACTIONS(3428),
    [anon_sym_typeof] = ACTIONS(3428),
    [anon_sym_import] = ACTIONS(3428),
    [anon_sym_from] = ACTIONS(3428),
    [anon_sym_with] = ACTIONS(3428),
    [anon_sym_var] = ACTIONS(3428),
    [anon_sym_let] = ACTIONS(3428),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_BANG] = ACTIONS(3428),
    [anon_sym_else] = ACTIONS(3428),
    [anon_sym_if] = ACTIONS(3428),
    [anon_sym_switch] = ACTIONS(3428),
    [anon_sym_for] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3428),
    [anon_sym_await] = ACTIONS(3428),
    [anon_sym_of] = ACTIONS(3428),
    [anon_sym_while] = ACTIONS(3428),
    [anon_sym_do] = ACTIONS(3428),
    [anon_sym_try] = ACTIONS(3428),
    [anon_sym_break] = ACTIONS(3428),
    [anon_sym_continue] = ACTIONS(3428),
    [anon_sym_debugger] = ACTIONS(3428),
    [anon_sym_return] = ACTIONS(3428),
    [anon_sym_throw] = ACTIONS(3428),
    [anon_sym_SEMI] = ACTIONS(3428),
    [anon_sym_yield] = ACTIONS(3428),
    [anon_sym_LBRACK] = ACTIONS(3428),
    [anon_sym_LTtemplate_GT] = ACTIONS(3428),
    [anon_sym_DQUOTE] = ACTIONS(3428),
    [anon_sym_SQUOTE] = ACTIONS(3428),
    [anon_sym_class] = ACTIONS(3428),
    [anon_sym_async] = ACTIONS(3428),
    [anon_sym_function] = ACTIONS(3428),
    [anon_sym_new] = ACTIONS(3428),
    [anon_sym_using] = ACTIONS(3428),
    [anon_sym_PLUS] = ACTIONS(3428),
    [anon_sym_DASH] = ACTIONS(3428),
    [anon_sym_SLASH] = ACTIONS(3428),
    [anon_sym_LT] = ACTIONS(3428),
    [anon_sym_TILDE] = ACTIONS(3428),
    [anon_sym_void] = ACTIONS(3428),
    [anon_sym_delete] = ACTIONS(3428),
    [anon_sym_PLUS_PLUS] = ACTIONS(3428),
    [anon_sym_DASH_DASH] = ACTIONS(3428),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3428),
    [sym_number] = ACTIONS(3428),
    [sym_private_property_identifier] = ACTIONS(3428),
    [sym_this] = ACTIONS(3428),
    [sym_super] = ACTIONS(3428),
    [sym_true] = ACTIONS(3428),
    [sym_false] = ACTIONS(3428),
    [sym_null] = ACTIONS(3428),
    [sym_undefined] = ACTIONS(3428),
    [anon_sym_AT] = ACTIONS(3428),
    [anon_sym_static] = ACTIONS(3428),
    [anon_sym_readonly] = ACTIONS(3428),
    [anon_sym_get] = ACTIONS(3428),
    [anon_sym_set] = ACTIONS(3428),
    [anon_sym_declare] = ACTIONS(3428),
    [anon_sym_public] = ACTIONS(3428),
    [anon_sym_private] = ACTIONS(3428),
    [anon_sym_protected] = ACTIONS(3428),
    [anon_sym_override] = ACTIONS(3428),
    [anon_sym_module] = ACTIONS(3428),
    [anon_sym_any] = ACTIONS(3428),
    [anon_sym_number] = ACTIONS(3428),
    [anon_sym_boolean] = ACTIONS(3428),
    [anon_sym_string] = ACTIONS(3428),
    [anon_sym_symbol] = ACTIONS(3428),
    [anon_sym_object] = ACTIONS(3428),
    [anon_sym_property] = ACTIONS(3428),
    [anon_sym_signal] = ACTIONS(3428),
    [anon_sym_on] = ACTIONS(3428),
    [anon_sym_required] = ACTIONS(3428),
    [anon_sym_component] = ACTIONS(3428),
    [anon_sym_abstract] = ACTIONS(3428),
    [anon_sym_interface] = ACTIONS(3428),
    [anon_sym_enum] = ACTIONS(3428),
    [sym__automatic_semicolon] = ACTIONS(3430),
    [sym_html_comment] = ACTIONS(5),
  },
  [1335] = {
    [sym_comment] = STATE(1335),
    [sym_identifier] = ACTIONS(3616),
    [anon_sym_export] = ACTIONS(3616),
    [anon_sym_default] = ACTIONS(3616),
    [anon_sym_type] = ACTIONS(3616),
    [anon_sym_namespace] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3616),
    [anon_sym_RBRACE] = ACTIONS(3616),
    [anon_sym_typeof] = ACTIONS(3616),
    [anon_sym_import] = ACTIONS(3616),
    [anon_sym_from] = ACTIONS(3616),
    [anon_sym_with] = ACTIONS(3616),
    [anon_sym_var] = ACTIONS(3616),
    [anon_sym_let] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_BANG] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_LPAREN] = ACTIONS(3616),
    [anon_sym_await] = ACTIONS(3616),
    [anon_sym_of] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_try] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_debugger] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_throw] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_case] = ACTIONS(3616),
    [anon_sym_yield] = ACTIONS(3616),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_LTtemplate_GT] = ACTIONS(3616),
    [anon_sym_DQUOTE] = ACTIONS(3616),
    [anon_sym_SQUOTE] = ACTIONS(3616),
    [anon_sym_class] = ACTIONS(3616),
    [anon_sym_async] = ACTIONS(3616),
    [anon_sym_function] = ACTIONS(3616),
    [anon_sym_new] = ACTIONS(3616),
    [anon_sym_using] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_SLASH] = ACTIONS(3616),
    [anon_sym_LT] = ACTIONS(3616),
    [anon_sym_TILDE] = ACTIONS(3616),
    [anon_sym_void] = ACTIONS(3616),
    [anon_sym_delete] = ACTIONS(3616),
    [anon_sym_PLUS_PLUS] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3616),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3616),
    [sym_number] = ACTIONS(3616),
    [sym_private_property_identifier] = ACTIONS(3616),
    [sym_this] = ACTIONS(3616),
    [sym_super] = ACTIONS(3616),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [sym_null] = ACTIONS(3616),
    [sym_undefined] = ACTIONS(3616),
    [anon_sym_AT] = ACTIONS(3616),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_readonly] = ACTIONS(3616),
    [anon_sym_get] = ACTIONS(3616),
    [anon_sym_set] = ACTIONS(3616),
    [anon_sym_declare] = ACTIONS(3616),
    [anon_sym_public] = ACTIONS(3616),
    [anon_sym_private] = ACTIONS(3616),
    [anon_sym_protected] = ACTIONS(3616),
    [anon_sym_override] = ACTIONS(3616),
    [anon_sym_module] = ACTIONS(3616),
    [anon_sym_any] = ACTIONS(3616),
    [anon_sym_number] = ACTIONS(3616),
    [anon_sym_boolean] = ACTIONS(3616),
    [anon_sym_string] = ACTIONS(3616),
    [anon_sym_symbol] = ACTIONS(3616),
    [anon_sym_object] = ACTIONS(3616),
    [anon_sym_property] = ACTIONS(3616),
    [anon_sym_signal] = ACTIONS(3616),
    [anon_sym_on] = ACTIONS(3616),
    [anon_sym_required] = ACTIONS(3616),
    [anon_sym_component] = ACTIONS(3616),
    [anon_sym_abstract] = ACTIONS(3616),
    [anon_sym_interface] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [sym_html_comment] = ACTIONS(5),
  },
  [1336] = {
    [sym_comment] = STATE(1336),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1337] = {
    [sym_comment] = STATE(1337),
    [sym_identifier] = ACTIONS(3616),
    [anon_sym_export] = ACTIONS(3616),
    [anon_sym_default] = ACTIONS(3616),
    [anon_sym_type] = ACTIONS(3616),
    [anon_sym_namespace] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3616),
    [anon_sym_RBRACE] = ACTIONS(3616),
    [anon_sym_typeof] = ACTIONS(3616),
    [anon_sym_import] = ACTIONS(3616),
    [anon_sym_from] = ACTIONS(3616),
    [anon_sym_with] = ACTIONS(3616),
    [anon_sym_var] = ACTIONS(3616),
    [anon_sym_let] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_BANG] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_LPAREN] = ACTIONS(3616),
    [anon_sym_await] = ACTIONS(3616),
    [anon_sym_of] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_try] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_debugger] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_throw] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_case] = ACTIONS(3616),
    [anon_sym_yield] = ACTIONS(3616),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_LTtemplate_GT] = ACTIONS(3616),
    [anon_sym_DQUOTE] = ACTIONS(3616),
    [anon_sym_SQUOTE] = ACTIONS(3616),
    [anon_sym_class] = ACTIONS(3616),
    [anon_sym_async] = ACTIONS(3616),
    [anon_sym_function] = ACTIONS(3616),
    [anon_sym_new] = ACTIONS(3616),
    [anon_sym_using] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_SLASH] = ACTIONS(3616),
    [anon_sym_LT] = ACTIONS(3616),
    [anon_sym_TILDE] = ACTIONS(3616),
    [anon_sym_void] = ACTIONS(3616),
    [anon_sym_delete] = ACTIONS(3616),
    [anon_sym_PLUS_PLUS] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3616),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3616),
    [sym_number] = ACTIONS(3616),
    [sym_private_property_identifier] = ACTIONS(3616),
    [sym_this] = ACTIONS(3616),
    [sym_super] = ACTIONS(3616),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [sym_null] = ACTIONS(3616),
    [sym_undefined] = ACTIONS(3616),
    [anon_sym_AT] = ACTIONS(3616),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_readonly] = ACTIONS(3616),
    [anon_sym_get] = ACTIONS(3616),
    [anon_sym_set] = ACTIONS(3616),
    [anon_sym_declare] = ACTIONS(3616),
    [anon_sym_public] = ACTIONS(3616),
    [anon_sym_private] = ACTIONS(3616),
    [anon_sym_protected] = ACTIONS(3616),
    [anon_sym_override] = ACTIONS(3616),
    [anon_sym_module] = ACTIONS(3616),
    [anon_sym_any] = ACTIONS(3616),
    [anon_sym_number] = ACTIONS(3616),
    [anon_sym_boolean] = ACTIONS(3616),
    [anon_sym_string] = ACTIONS(3616),
    [anon_sym_symbol] = ACTIONS(3616),
    [anon_sym_object] = ACTIONS(3616),
    [anon_sym_property] = ACTIONS(3616),
    [anon_sym_signal] = ACTIONS(3616),
    [anon_sym_on] = ACTIONS(3616),
    [anon_sym_required] = ACTIONS(3616),
    [anon_sym_component] = ACTIONS(3616),
    [anon_sym_abstract] = ACTIONS(3616),
    [anon_sym_interface] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [sym_html_comment] = ACTIONS(5),
  },
  [1338] = {
    [sym_comment] = STATE(1338),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1339] = {
    [sym_comment] = STATE(1339),
    [sym_identifier] = ACTIONS(3620),
    [anon_sym_export] = ACTIONS(3620),
    [anon_sym_default] = ACTIONS(3620),
    [anon_sym_type] = ACTIONS(3620),
    [anon_sym_namespace] = ACTIONS(3620),
    [anon_sym_LBRACE] = ACTIONS(3620),
    [anon_sym_RBRACE] = ACTIONS(3620),
    [anon_sym_typeof] = ACTIONS(3620),
    [anon_sym_import] = ACTIONS(3620),
    [anon_sym_from] = ACTIONS(3620),
    [anon_sym_with] = ACTIONS(3620),
    [anon_sym_var] = ACTIONS(3620),
    [anon_sym_let] = ACTIONS(3620),
    [anon_sym_const] = ACTIONS(3620),
    [anon_sym_BANG] = ACTIONS(3620),
    [anon_sym_if] = ACTIONS(3620),
    [anon_sym_switch] = ACTIONS(3620),
    [anon_sym_for] = ACTIONS(3620),
    [anon_sym_LPAREN] = ACTIONS(3620),
    [anon_sym_await] = ACTIONS(3620),
    [anon_sym_of] = ACTIONS(3620),
    [anon_sym_while] = ACTIONS(3620),
    [anon_sym_do] = ACTIONS(3620),
    [anon_sym_try] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3620),
    [anon_sym_continue] = ACTIONS(3620),
    [anon_sym_debugger] = ACTIONS(3620),
    [anon_sym_return] = ACTIONS(3620),
    [anon_sym_throw] = ACTIONS(3620),
    [anon_sym_SEMI] = ACTIONS(3620),
    [anon_sym_case] = ACTIONS(3620),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_LBRACK] = ACTIONS(3620),
    [anon_sym_LTtemplate_GT] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_class] = ACTIONS(3620),
    [anon_sym_async] = ACTIONS(3620),
    [anon_sym_function] = ACTIONS(3620),
    [anon_sym_new] = ACTIONS(3620),
    [anon_sym_using] = ACTIONS(3620),
    [anon_sym_PLUS] = ACTIONS(3620),
    [anon_sym_DASH] = ACTIONS(3620),
    [anon_sym_SLASH] = ACTIONS(3620),
    [anon_sym_LT] = ACTIONS(3620),
    [anon_sym_TILDE] = ACTIONS(3620),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_delete] = ACTIONS(3620),
    [anon_sym_PLUS_PLUS] = ACTIONS(3620),
    [anon_sym_DASH_DASH] = ACTIONS(3620),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3620),
    [sym_number] = ACTIONS(3620),
    [sym_private_property_identifier] = ACTIONS(3620),
    [sym_this] = ACTIONS(3620),
    [sym_super] = ACTIONS(3620),
    [sym_true] = ACTIONS(3620),
    [sym_false] = ACTIONS(3620),
    [sym_null] = ACTIONS(3620),
    [sym_undefined] = ACTIONS(3620),
    [anon_sym_AT] = ACTIONS(3620),
    [anon_sym_static] = ACTIONS(3620),
    [anon_sym_readonly] = ACTIONS(3620),
    [anon_sym_get] = ACTIONS(3620),
    [anon_sym_set] = ACTIONS(3620),
    [anon_sym_declare] = ACTIONS(3620),
    [anon_sym_public] = ACTIONS(3620),
    [anon_sym_private] = ACTIONS(3620),
    [anon_sym_protected] = ACTIONS(3620),
    [anon_sym_override] = ACTIONS(3620),
    [anon_sym_module] = ACTIONS(3620),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_property] = ACTIONS(3620),
    [anon_sym_signal] = ACTIONS(3620),
    [anon_sym_on] = ACTIONS(3620),
    [anon_sym_required] = ACTIONS(3620),
    [anon_sym_component] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3620),
    [anon_sym_interface] = ACTIONS(3620),
    [anon_sym_enum] = ACTIONS(3620),
    [sym_html_comment] = ACTIONS(5),
  },
  [1340] = {
    [sym_comment] = STATE(1340),
    [sym_identifier] = ACTIONS(3622),
    [anon_sym_export] = ACTIONS(3622),
    [anon_sym_default] = ACTIONS(3622),
    [anon_sym_type] = ACTIONS(3622),
    [anon_sym_namespace] = ACTIONS(3622),
    [anon_sym_LBRACE] = ACTIONS(3622),
    [anon_sym_RBRACE] = ACTIONS(3622),
    [anon_sym_typeof] = ACTIONS(3622),
    [anon_sym_import] = ACTIONS(3622),
    [anon_sym_from] = ACTIONS(3622),
    [anon_sym_with] = ACTIONS(3622),
    [anon_sym_var] = ACTIONS(3622),
    [anon_sym_let] = ACTIONS(3622),
    [anon_sym_const] = ACTIONS(3622),
    [anon_sym_BANG] = ACTIONS(3622),
    [anon_sym_if] = ACTIONS(3622),
    [anon_sym_switch] = ACTIONS(3622),
    [anon_sym_for] = ACTIONS(3622),
    [anon_sym_LPAREN] = ACTIONS(3622),
    [anon_sym_await] = ACTIONS(3622),
    [anon_sym_of] = ACTIONS(3622),
    [anon_sym_while] = ACTIONS(3622),
    [anon_sym_do] = ACTIONS(3622),
    [anon_sym_try] = ACTIONS(3622),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_continue] = ACTIONS(3622),
    [anon_sym_debugger] = ACTIONS(3622),
    [anon_sym_return] = ACTIONS(3622),
    [anon_sym_throw] = ACTIONS(3622),
    [anon_sym_SEMI] = ACTIONS(3622),
    [anon_sym_case] = ACTIONS(3622),
    [anon_sym_yield] = ACTIONS(3622),
    [anon_sym_LBRACK] = ACTIONS(3622),
    [anon_sym_LTtemplate_GT] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3622),
    [anon_sym_class] = ACTIONS(3622),
    [anon_sym_async] = ACTIONS(3622),
    [anon_sym_function] = ACTIONS(3622),
    [anon_sym_new] = ACTIONS(3622),
    [anon_sym_using] = ACTIONS(3622),
    [anon_sym_PLUS] = ACTIONS(3622),
    [anon_sym_DASH] = ACTIONS(3622),
    [anon_sym_SLASH] = ACTIONS(3622),
    [anon_sym_LT] = ACTIONS(3622),
    [anon_sym_TILDE] = ACTIONS(3622),
    [anon_sym_void] = ACTIONS(3622),
    [anon_sym_delete] = ACTIONS(3622),
    [anon_sym_PLUS_PLUS] = ACTIONS(3622),
    [anon_sym_DASH_DASH] = ACTIONS(3622),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3622),
    [sym_number] = ACTIONS(3622),
    [sym_private_property_identifier] = ACTIONS(3622),
    [sym_this] = ACTIONS(3622),
    [sym_super] = ACTIONS(3622),
    [sym_true] = ACTIONS(3622),
    [sym_false] = ACTIONS(3622),
    [sym_null] = ACTIONS(3622),
    [sym_undefined] = ACTIONS(3622),
    [anon_sym_AT] = ACTIONS(3622),
    [anon_sym_static] = ACTIONS(3622),
    [anon_sym_readonly] = ACTIONS(3622),
    [anon_sym_get] = ACTIONS(3622),
    [anon_sym_set] = ACTIONS(3622),
    [anon_sym_declare] = ACTIONS(3622),
    [anon_sym_public] = ACTIONS(3622),
    [anon_sym_private] = ACTIONS(3622),
    [anon_sym_protected] = ACTIONS(3622),
    [anon_sym_override] = ACTIONS(3622),
    [anon_sym_module] = ACTIONS(3622),
    [anon_sym_any] = ACTIONS(3622),
    [anon_sym_number] = ACTIONS(3622),
    [anon_sym_boolean] = ACTIONS(3622),
    [anon_sym_string] = ACTIONS(3622),
    [anon_sym_symbol] = ACTIONS(3622),
    [anon_sym_object] = ACTIONS(3622),
    [anon_sym_property] = ACTIONS(3622),
    [anon_sym_signal] = ACTIONS(3622),
    [anon_sym_on] = ACTIONS(3622),
    [anon_sym_required] = ACTIONS(3622),
    [anon_sym_component] = ACTIONS(3622),
    [anon_sym_abstract] = ACTIONS(3622),
    [anon_sym_interface] = ACTIONS(3622),
    [anon_sym_enum] = ACTIONS(3622),
    [sym_html_comment] = ACTIONS(5),
  },
  [1341] = {
    [sym_comment] = STATE(1341),
    [sym_identifier] = ACTIONS(3624),
    [anon_sym_export] = ACTIONS(3624),
    [anon_sym_default] = ACTIONS(3624),
    [anon_sym_type] = ACTIONS(3624),
    [anon_sym_namespace] = ACTIONS(3624),
    [anon_sym_LBRACE] = ACTIONS(3624),
    [anon_sym_RBRACE] = ACTIONS(3624),
    [anon_sym_typeof] = ACTIONS(3624),
    [anon_sym_import] = ACTIONS(3624),
    [anon_sym_from] = ACTIONS(3624),
    [anon_sym_with] = ACTIONS(3624),
    [anon_sym_var] = ACTIONS(3624),
    [anon_sym_let] = ACTIONS(3624),
    [anon_sym_const] = ACTIONS(3624),
    [anon_sym_BANG] = ACTIONS(3624),
    [anon_sym_if] = ACTIONS(3624),
    [anon_sym_switch] = ACTIONS(3624),
    [anon_sym_for] = ACTIONS(3624),
    [anon_sym_LPAREN] = ACTIONS(3624),
    [anon_sym_await] = ACTIONS(3624),
    [anon_sym_of] = ACTIONS(3624),
    [anon_sym_while] = ACTIONS(3624),
    [anon_sym_do] = ACTIONS(3624),
    [anon_sym_try] = ACTIONS(3624),
    [anon_sym_break] = ACTIONS(3624),
    [anon_sym_continue] = ACTIONS(3624),
    [anon_sym_debugger] = ACTIONS(3624),
    [anon_sym_return] = ACTIONS(3624),
    [anon_sym_throw] = ACTIONS(3624),
    [anon_sym_SEMI] = ACTIONS(3624),
    [anon_sym_case] = ACTIONS(3624),
    [anon_sym_yield] = ACTIONS(3624),
    [anon_sym_LBRACK] = ACTIONS(3624),
    [anon_sym_LTtemplate_GT] = ACTIONS(3624),
    [anon_sym_DQUOTE] = ACTIONS(3624),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [anon_sym_class] = ACTIONS(3624),
    [anon_sym_async] = ACTIONS(3624),
    [anon_sym_function] = ACTIONS(3624),
    [anon_sym_new] = ACTIONS(3624),
    [anon_sym_using] = ACTIONS(3624),
    [anon_sym_PLUS] = ACTIONS(3624),
    [anon_sym_DASH] = ACTIONS(3624),
    [anon_sym_SLASH] = ACTIONS(3624),
    [anon_sym_LT] = ACTIONS(3624),
    [anon_sym_TILDE] = ACTIONS(3624),
    [anon_sym_void] = ACTIONS(3624),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_PLUS_PLUS] = ACTIONS(3624),
    [anon_sym_DASH_DASH] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3624),
    [sym_number] = ACTIONS(3624),
    [sym_private_property_identifier] = ACTIONS(3624),
    [sym_this] = ACTIONS(3624),
    [sym_super] = ACTIONS(3624),
    [sym_true] = ACTIONS(3624),
    [sym_false] = ACTIONS(3624),
    [sym_null] = ACTIONS(3624),
    [sym_undefined] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(3624),
    [anon_sym_static] = ACTIONS(3624),
    [anon_sym_readonly] = ACTIONS(3624),
    [anon_sym_get] = ACTIONS(3624),
    [anon_sym_set] = ACTIONS(3624),
    [anon_sym_declare] = ACTIONS(3624),
    [anon_sym_public] = ACTIONS(3624),
    [anon_sym_private] = ACTIONS(3624),
    [anon_sym_protected] = ACTIONS(3624),
    [anon_sym_override] = ACTIONS(3624),
    [anon_sym_module] = ACTIONS(3624),
    [anon_sym_any] = ACTIONS(3624),
    [anon_sym_number] = ACTIONS(3624),
    [anon_sym_boolean] = ACTIONS(3624),
    [anon_sym_string] = ACTIONS(3624),
    [anon_sym_symbol] = ACTIONS(3624),
    [anon_sym_object] = ACTIONS(3624),
    [anon_sym_property] = ACTIONS(3624),
    [anon_sym_signal] = ACTIONS(3624),
    [anon_sym_on] = ACTIONS(3624),
    [anon_sym_required] = ACTIONS(3624),
    [anon_sym_component] = ACTIONS(3624),
    [anon_sym_abstract] = ACTIONS(3624),
    [anon_sym_interface] = ACTIONS(3624),
    [anon_sym_enum] = ACTIONS(3624),
    [sym_html_comment] = ACTIONS(5),
  },
  [1342] = {
    [sym_comment] = STATE(1342),
    [sym_identifier] = ACTIONS(3634),
    [anon_sym_export] = ACTIONS(3634),
    [anon_sym_default] = ACTIONS(3634),
    [anon_sym_type] = ACTIONS(3634),
    [anon_sym_namespace] = ACTIONS(3634),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_RBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3634),
    [anon_sym_import] = ACTIONS(3634),
    [anon_sym_from] = ACTIONS(3634),
    [anon_sym_with] = ACTIONS(3634),
    [anon_sym_var] = ACTIONS(3634),
    [anon_sym_let] = ACTIONS(3634),
    [anon_sym_const] = ACTIONS(3634),
    [anon_sym_BANG] = ACTIONS(3634),
    [anon_sym_if] = ACTIONS(3634),
    [anon_sym_switch] = ACTIONS(3634),
    [anon_sym_for] = ACTIONS(3634),
    [anon_sym_LPAREN] = ACTIONS(3634),
    [anon_sym_await] = ACTIONS(3634),
    [anon_sym_of] = ACTIONS(3634),
    [anon_sym_while] = ACTIONS(3634),
    [anon_sym_do] = ACTIONS(3634),
    [anon_sym_try] = ACTIONS(3634),
    [anon_sym_break] = ACTIONS(3634),
    [anon_sym_continue] = ACTIONS(3634),
    [anon_sym_debugger] = ACTIONS(3634),
    [anon_sym_return] = ACTIONS(3634),
    [anon_sym_throw] = ACTIONS(3634),
    [anon_sym_SEMI] = ACTIONS(3634),
    [anon_sym_case] = ACTIONS(3634),
    [anon_sym_yield] = ACTIONS(3634),
    [anon_sym_LBRACK] = ACTIONS(3634),
    [anon_sym_LTtemplate_GT] = ACTIONS(3634),
    [anon_sym_DQUOTE] = ACTIONS(3634),
    [anon_sym_SQUOTE] = ACTIONS(3634),
    [anon_sym_class] = ACTIONS(3634),
    [anon_sym_async] = ACTIONS(3634),
    [anon_sym_function] = ACTIONS(3634),
    [anon_sym_new] = ACTIONS(3634),
    [anon_sym_using] = ACTIONS(3634),
    [anon_sym_PLUS] = ACTIONS(3634),
    [anon_sym_DASH] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_LT] = ACTIONS(3634),
    [anon_sym_TILDE] = ACTIONS(3634),
    [anon_sym_void] = ACTIONS(3634),
    [anon_sym_delete] = ACTIONS(3634),
    [anon_sym_PLUS_PLUS] = ACTIONS(3634),
    [anon_sym_DASH_DASH] = ACTIONS(3634),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3634),
    [sym_number] = ACTIONS(3634),
    [sym_private_property_identifier] = ACTIONS(3634),
    [sym_this] = ACTIONS(3634),
    [sym_super] = ACTIONS(3634),
    [sym_true] = ACTIONS(3634),
    [sym_false] = ACTIONS(3634),
    [sym_null] = ACTIONS(3634),
    [sym_undefined] = ACTIONS(3634),
    [anon_sym_AT] = ACTIONS(3634),
    [anon_sym_static] = ACTIONS(3634),
    [anon_sym_readonly] = ACTIONS(3634),
    [anon_sym_get] = ACTIONS(3634),
    [anon_sym_set] = ACTIONS(3634),
    [anon_sym_declare] = ACTIONS(3634),
    [anon_sym_public] = ACTIONS(3634),
    [anon_sym_private] = ACTIONS(3634),
    [anon_sym_protected] = ACTIONS(3634),
    [anon_sym_override] = ACTIONS(3634),
    [anon_sym_module] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3634),
    [anon_sym_number] = ACTIONS(3634),
    [anon_sym_boolean] = ACTIONS(3634),
    [anon_sym_string] = ACTIONS(3634),
    [anon_sym_symbol] = ACTIONS(3634),
    [anon_sym_object] = ACTIONS(3634),
    [anon_sym_property] = ACTIONS(3634),
    [anon_sym_signal] = ACTIONS(3634),
    [anon_sym_on] = ACTIONS(3634),
    [anon_sym_required] = ACTIONS(3634),
    [anon_sym_component] = ACTIONS(3634),
    [anon_sym_abstract] = ACTIONS(3634),
    [anon_sym_interface] = ACTIONS(3634),
    [anon_sym_enum] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1343] = {
    [sym_comment] = STATE(1343),
    [sym_identifier] = ACTIONS(3650),
    [anon_sym_export] = ACTIONS(3650),
    [anon_sym_default] = ACTIONS(3650),
    [anon_sym_type] = ACTIONS(3650),
    [anon_sym_namespace] = ACTIONS(3650),
    [anon_sym_LBRACE] = ACTIONS(3650),
    [anon_sym_RBRACE] = ACTIONS(3650),
    [anon_sym_typeof] = ACTIONS(3650),
    [anon_sym_import] = ACTIONS(3650),
    [anon_sym_from] = ACTIONS(3650),
    [anon_sym_with] = ACTIONS(3650),
    [anon_sym_var] = ACTIONS(3650),
    [anon_sym_let] = ACTIONS(3650),
    [anon_sym_const] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3650),
    [anon_sym_if] = ACTIONS(3650),
    [anon_sym_switch] = ACTIONS(3650),
    [anon_sym_for] = ACTIONS(3650),
    [anon_sym_LPAREN] = ACTIONS(3650),
    [anon_sym_await] = ACTIONS(3650),
    [anon_sym_of] = ACTIONS(3650),
    [anon_sym_while] = ACTIONS(3650),
    [anon_sym_do] = ACTIONS(3650),
    [anon_sym_try] = ACTIONS(3650),
    [anon_sym_break] = ACTIONS(3650),
    [anon_sym_continue] = ACTIONS(3650),
    [anon_sym_debugger] = ACTIONS(3650),
    [anon_sym_return] = ACTIONS(3650),
    [anon_sym_throw] = ACTIONS(3650),
    [anon_sym_SEMI] = ACTIONS(3650),
    [anon_sym_case] = ACTIONS(3650),
    [anon_sym_yield] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(3650),
    [anon_sym_LTtemplate_GT] = ACTIONS(3650),
    [anon_sym_DQUOTE] = ACTIONS(3650),
    [anon_sym_SQUOTE] = ACTIONS(3650),
    [anon_sym_class] = ACTIONS(3650),
    [anon_sym_async] = ACTIONS(3650),
    [anon_sym_function] = ACTIONS(3650),
    [anon_sym_new] = ACTIONS(3650),
    [anon_sym_using] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3650),
    [anon_sym_DASH] = ACTIONS(3650),
    [anon_sym_SLASH] = ACTIONS(3650),
    [anon_sym_LT] = ACTIONS(3650),
    [anon_sym_TILDE] = ACTIONS(3650),
    [anon_sym_void] = ACTIONS(3650),
    [anon_sym_delete] = ACTIONS(3650),
    [anon_sym_PLUS_PLUS] = ACTIONS(3650),
    [anon_sym_DASH_DASH] = ACTIONS(3650),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3650),
    [sym_number] = ACTIONS(3650),
    [sym_private_property_identifier] = ACTIONS(3650),
    [sym_this] = ACTIONS(3650),
    [sym_super] = ACTIONS(3650),
    [sym_true] = ACTIONS(3650),
    [sym_false] = ACTIONS(3650),
    [sym_null] = ACTIONS(3650),
    [sym_undefined] = ACTIONS(3650),
    [anon_sym_AT] = ACTIONS(3650),
    [anon_sym_static] = ACTIONS(3650),
    [anon_sym_readonly] = ACTIONS(3650),
    [anon_sym_get] = ACTIONS(3650),
    [anon_sym_set] = ACTIONS(3650),
    [anon_sym_declare] = ACTIONS(3650),
    [anon_sym_public] = ACTIONS(3650),
    [anon_sym_private] = ACTIONS(3650),
    [anon_sym_protected] = ACTIONS(3650),
    [anon_sym_override] = ACTIONS(3650),
    [anon_sym_module] = ACTIONS(3650),
    [anon_sym_any] = ACTIONS(3650),
    [anon_sym_number] = ACTIONS(3650),
    [anon_sym_boolean] = ACTIONS(3650),
    [anon_sym_string] = ACTIONS(3650),
    [anon_sym_symbol] = ACTIONS(3650),
    [anon_sym_object] = ACTIONS(3650),
    [anon_sym_property] = ACTIONS(3650),
    [anon_sym_signal] = ACTIONS(3650),
    [anon_sym_on] = ACTIONS(3650),
    [anon_sym_required] = ACTIONS(3650),
    [anon_sym_component] = ACTIONS(3650),
    [anon_sym_abstract] = ACTIONS(3650),
    [anon_sym_interface] = ACTIONS(3650),
    [anon_sym_enum] = ACTIONS(3650),
    [sym_html_comment] = ACTIONS(5),
  },
  [1344] = {
    [sym_comment] = STATE(1344),
    [sym_identifier] = ACTIONS(3662),
    [anon_sym_export] = ACTIONS(3662),
    [anon_sym_default] = ACTIONS(3662),
    [anon_sym_type] = ACTIONS(3662),
    [anon_sym_namespace] = ACTIONS(3662),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(3662),
    [anon_sym_typeof] = ACTIONS(3662),
    [anon_sym_import] = ACTIONS(3662),
    [anon_sym_from] = ACTIONS(3662),
    [anon_sym_with] = ACTIONS(3662),
    [anon_sym_var] = ACTIONS(3662),
    [anon_sym_let] = ACTIONS(3662),
    [anon_sym_const] = ACTIONS(3662),
    [anon_sym_BANG] = ACTIONS(3662),
    [anon_sym_if] = ACTIONS(3662),
    [anon_sym_switch] = ACTIONS(3662),
    [anon_sym_for] = ACTIONS(3662),
    [anon_sym_LPAREN] = ACTIONS(3662),
    [anon_sym_await] = ACTIONS(3662),
    [anon_sym_of] = ACTIONS(3662),
    [anon_sym_while] = ACTIONS(3662),
    [anon_sym_do] = ACTIONS(3662),
    [anon_sym_try] = ACTIONS(3662),
    [anon_sym_break] = ACTIONS(3662),
    [anon_sym_continue] = ACTIONS(3662),
    [anon_sym_debugger] = ACTIONS(3662),
    [anon_sym_return] = ACTIONS(3662),
    [anon_sym_throw] = ACTIONS(3662),
    [anon_sym_SEMI] = ACTIONS(3662),
    [anon_sym_case] = ACTIONS(3662),
    [anon_sym_yield] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_LTtemplate_GT] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3662),
    [anon_sym_SQUOTE] = ACTIONS(3662),
    [anon_sym_class] = ACTIONS(3662),
    [anon_sym_async] = ACTIONS(3662),
    [anon_sym_function] = ACTIONS(3662),
    [anon_sym_new] = ACTIONS(3662),
    [anon_sym_using] = ACTIONS(3662),
    [anon_sym_PLUS] = ACTIONS(3662),
    [anon_sym_DASH] = ACTIONS(3662),
    [anon_sym_SLASH] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3662),
    [anon_sym_TILDE] = ACTIONS(3662),
    [anon_sym_void] = ACTIONS(3662),
    [anon_sym_delete] = ACTIONS(3662),
    [anon_sym_PLUS_PLUS] = ACTIONS(3662),
    [anon_sym_DASH_DASH] = ACTIONS(3662),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3662),
    [sym_number] = ACTIONS(3662),
    [sym_private_property_identifier] = ACTIONS(3662),
    [sym_this] = ACTIONS(3662),
    [sym_super] = ACTIONS(3662),
    [sym_true] = ACTIONS(3662),
    [sym_false] = ACTIONS(3662),
    [sym_null] = ACTIONS(3662),
    [sym_undefined] = ACTIONS(3662),
    [anon_sym_AT] = ACTIONS(3662),
    [anon_sym_static] = ACTIONS(3662),
    [anon_sym_readonly] = ACTIONS(3662),
    [anon_sym_get] = ACTIONS(3662),
    [anon_sym_set] = ACTIONS(3662),
    [anon_sym_declare] = ACTIONS(3662),
    [anon_sym_public] = ACTIONS(3662),
    [anon_sym_private] = ACTIONS(3662),
    [anon_sym_protected] = ACTIONS(3662),
    [anon_sym_override] = ACTIONS(3662),
    [anon_sym_module] = ACTIONS(3662),
    [anon_sym_any] = ACTIONS(3662),
    [anon_sym_number] = ACTIONS(3662),
    [anon_sym_boolean] = ACTIONS(3662),
    [anon_sym_string] = ACTIONS(3662),
    [anon_sym_symbol] = ACTIONS(3662),
    [anon_sym_object] = ACTIONS(3662),
    [anon_sym_property] = ACTIONS(3662),
    [anon_sym_signal] = ACTIONS(3662),
    [anon_sym_on] = ACTIONS(3662),
    [anon_sym_required] = ACTIONS(3662),
    [anon_sym_component] = ACTIONS(3662),
    [anon_sym_abstract] = ACTIONS(3662),
    [anon_sym_interface] = ACTIONS(3662),
    [anon_sym_enum] = ACTIONS(3662),
    [sym_html_comment] = ACTIONS(5),
  },
  [1345] = {
    [sym_comment] = STATE(1345),
    [sym_identifier] = ACTIONS(3662),
    [anon_sym_export] = ACTIONS(3662),
    [anon_sym_default] = ACTIONS(3662),
    [anon_sym_type] = ACTIONS(3662),
    [anon_sym_namespace] = ACTIONS(3662),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(3662),
    [anon_sym_typeof] = ACTIONS(3662),
    [anon_sym_import] = ACTIONS(3662),
    [anon_sym_from] = ACTIONS(3662),
    [anon_sym_with] = ACTIONS(3662),
    [anon_sym_var] = ACTIONS(3662),
    [anon_sym_let] = ACTIONS(3662),
    [anon_sym_const] = ACTIONS(3662),
    [anon_sym_BANG] = ACTIONS(3662),
    [anon_sym_if] = ACTIONS(3662),
    [anon_sym_switch] = ACTIONS(3662),
    [anon_sym_for] = ACTIONS(3662),
    [anon_sym_LPAREN] = ACTIONS(3662),
    [anon_sym_await] = ACTIONS(3662),
    [anon_sym_of] = ACTIONS(3662),
    [anon_sym_while] = ACTIONS(3662),
    [anon_sym_do] = ACTIONS(3662),
    [anon_sym_try] = ACTIONS(3662),
    [anon_sym_break] = ACTIONS(3662),
    [anon_sym_continue] = ACTIONS(3662),
    [anon_sym_debugger] = ACTIONS(3662),
    [anon_sym_return] = ACTIONS(3662),
    [anon_sym_throw] = ACTIONS(3662),
    [anon_sym_SEMI] = ACTIONS(3662),
    [anon_sym_case] = ACTIONS(3662),
    [anon_sym_yield] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_LTtemplate_GT] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3662),
    [anon_sym_SQUOTE] = ACTIONS(3662),
    [anon_sym_class] = ACTIONS(3662),
    [anon_sym_async] = ACTIONS(3662),
    [anon_sym_function] = ACTIONS(3662),
    [anon_sym_new] = ACTIONS(3662),
    [anon_sym_using] = ACTIONS(3662),
    [anon_sym_PLUS] = ACTIONS(3662),
    [anon_sym_DASH] = ACTIONS(3662),
    [anon_sym_SLASH] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3662),
    [anon_sym_TILDE] = ACTIONS(3662),
    [anon_sym_void] = ACTIONS(3662),
    [anon_sym_delete] = ACTIONS(3662),
    [anon_sym_PLUS_PLUS] = ACTIONS(3662),
    [anon_sym_DASH_DASH] = ACTIONS(3662),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3662),
    [sym_number] = ACTIONS(3662),
    [sym_private_property_identifier] = ACTIONS(3662),
    [sym_this] = ACTIONS(3662),
    [sym_super] = ACTIONS(3662),
    [sym_true] = ACTIONS(3662),
    [sym_false] = ACTIONS(3662),
    [sym_null] = ACTIONS(3662),
    [sym_undefined] = ACTIONS(3662),
    [anon_sym_AT] = ACTIONS(3662),
    [anon_sym_static] = ACTIONS(3662),
    [anon_sym_readonly] = ACTIONS(3662),
    [anon_sym_get] = ACTIONS(3662),
    [anon_sym_set] = ACTIONS(3662),
    [anon_sym_declare] = ACTIONS(3662),
    [anon_sym_public] = ACTIONS(3662),
    [anon_sym_private] = ACTIONS(3662),
    [anon_sym_protected] = ACTIONS(3662),
    [anon_sym_override] = ACTIONS(3662),
    [anon_sym_module] = ACTIONS(3662),
    [anon_sym_any] = ACTIONS(3662),
    [anon_sym_number] = ACTIONS(3662),
    [anon_sym_boolean] = ACTIONS(3662),
    [anon_sym_string] = ACTIONS(3662),
    [anon_sym_symbol] = ACTIONS(3662),
    [anon_sym_object] = ACTIONS(3662),
    [anon_sym_property] = ACTIONS(3662),
    [anon_sym_signal] = ACTIONS(3662),
    [anon_sym_on] = ACTIONS(3662),
    [anon_sym_required] = ACTIONS(3662),
    [anon_sym_component] = ACTIONS(3662),
    [anon_sym_abstract] = ACTIONS(3662),
    [anon_sym_interface] = ACTIONS(3662),
    [anon_sym_enum] = ACTIONS(3662),
    [sym_html_comment] = ACTIONS(5),
  },
  [1346] = {
    [sym_comment] = STATE(1346),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1347] = {
    [sym_comment] = STATE(1347),
    [sym_identifier] = ACTIONS(3666),
    [anon_sym_export] = ACTIONS(3666),
    [anon_sym_default] = ACTIONS(3666),
    [anon_sym_type] = ACTIONS(3666),
    [anon_sym_namespace] = ACTIONS(3666),
    [anon_sym_LBRACE] = ACTIONS(3666),
    [anon_sym_RBRACE] = ACTIONS(3666),
    [anon_sym_typeof] = ACTIONS(3666),
    [anon_sym_import] = ACTIONS(3666),
    [anon_sym_from] = ACTIONS(3666),
    [anon_sym_with] = ACTIONS(3666),
    [anon_sym_var] = ACTIONS(3666),
    [anon_sym_let] = ACTIONS(3666),
    [anon_sym_const] = ACTIONS(3666),
    [anon_sym_BANG] = ACTIONS(3666),
    [anon_sym_if] = ACTIONS(3666),
    [anon_sym_switch] = ACTIONS(3666),
    [anon_sym_for] = ACTIONS(3666),
    [anon_sym_LPAREN] = ACTIONS(3666),
    [anon_sym_await] = ACTIONS(3666),
    [anon_sym_of] = ACTIONS(3666),
    [anon_sym_while] = ACTIONS(3666),
    [anon_sym_do] = ACTIONS(3666),
    [anon_sym_try] = ACTIONS(3666),
    [anon_sym_break] = ACTIONS(3666),
    [anon_sym_continue] = ACTIONS(3666),
    [anon_sym_debugger] = ACTIONS(3666),
    [anon_sym_return] = ACTIONS(3666),
    [anon_sym_throw] = ACTIONS(3666),
    [anon_sym_SEMI] = ACTIONS(3666),
    [anon_sym_case] = ACTIONS(3666),
    [anon_sym_yield] = ACTIONS(3666),
    [anon_sym_LBRACK] = ACTIONS(3666),
    [anon_sym_LTtemplate_GT] = ACTIONS(3666),
    [anon_sym_DQUOTE] = ACTIONS(3666),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_class] = ACTIONS(3666),
    [anon_sym_async] = ACTIONS(3666),
    [anon_sym_function] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3666),
    [anon_sym_using] = ACTIONS(3666),
    [anon_sym_PLUS] = ACTIONS(3666),
    [anon_sym_DASH] = ACTIONS(3666),
    [anon_sym_SLASH] = ACTIONS(3666),
    [anon_sym_LT] = ACTIONS(3666),
    [anon_sym_TILDE] = ACTIONS(3666),
    [anon_sym_void] = ACTIONS(3666),
    [anon_sym_delete] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3666),
    [anon_sym_DASH_DASH] = ACTIONS(3666),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3666),
    [sym_number] = ACTIONS(3666),
    [sym_private_property_identifier] = ACTIONS(3666),
    [sym_this] = ACTIONS(3666),
    [sym_super] = ACTIONS(3666),
    [sym_true] = ACTIONS(3666),
    [sym_false] = ACTIONS(3666),
    [sym_null] = ACTIONS(3666),
    [sym_undefined] = ACTIONS(3666),
    [anon_sym_AT] = ACTIONS(3666),
    [anon_sym_static] = ACTIONS(3666),
    [anon_sym_readonly] = ACTIONS(3666),
    [anon_sym_get] = ACTIONS(3666),
    [anon_sym_set] = ACTIONS(3666),
    [anon_sym_declare] = ACTIONS(3666),
    [anon_sym_public] = ACTIONS(3666),
    [anon_sym_private] = ACTIONS(3666),
    [anon_sym_protected] = ACTIONS(3666),
    [anon_sym_override] = ACTIONS(3666),
    [anon_sym_module] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3666),
    [anon_sym_number] = ACTIONS(3666),
    [anon_sym_boolean] = ACTIONS(3666),
    [anon_sym_string] = ACTIONS(3666),
    [anon_sym_symbol] = ACTIONS(3666),
    [anon_sym_object] = ACTIONS(3666),
    [anon_sym_property] = ACTIONS(3666),
    [anon_sym_signal] = ACTIONS(3666),
    [anon_sym_on] = ACTIONS(3666),
    [anon_sym_required] = ACTIONS(3666),
    [anon_sym_component] = ACTIONS(3666),
    [anon_sym_abstract] = ACTIONS(3666),
    [anon_sym_interface] = ACTIONS(3666),
    [anon_sym_enum] = ACTIONS(3666),
    [sym_html_comment] = ACTIONS(5),
  },
  [1348] = {
    [sym_comment] = STATE(1348),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_export] = ACTIONS(3558),
    [anon_sym_default] = ACTIONS(3558),
    [anon_sym_type] = ACTIONS(3558),
    [anon_sym_namespace] = ACTIONS(3558),
    [anon_sym_LBRACE] = ACTIONS(3558),
    [anon_sym_RBRACE] = ACTIONS(3558),
    [anon_sym_typeof] = ACTIONS(3558),
    [anon_sym_import] = ACTIONS(3558),
    [anon_sym_from] = ACTIONS(3558),
    [anon_sym_with] = ACTIONS(3558),
    [anon_sym_var] = ACTIONS(3558),
    [anon_sym_let] = ACTIONS(3558),
    [anon_sym_const] = ACTIONS(3558),
    [anon_sym_BANG] = ACTIONS(3558),
    [anon_sym_if] = ACTIONS(3558),
    [anon_sym_switch] = ACTIONS(3558),
    [anon_sym_for] = ACTIONS(3558),
    [anon_sym_LPAREN] = ACTIONS(3558),
    [anon_sym_await] = ACTIONS(3558),
    [anon_sym_of] = ACTIONS(3558),
    [anon_sym_while] = ACTIONS(3558),
    [anon_sym_do] = ACTIONS(3558),
    [anon_sym_try] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3558),
    [anon_sym_continue] = ACTIONS(3558),
    [anon_sym_debugger] = ACTIONS(3558),
    [anon_sym_return] = ACTIONS(3558),
    [anon_sym_throw] = ACTIONS(3558),
    [anon_sym_SEMI] = ACTIONS(3558),
    [anon_sym_case] = ACTIONS(3558),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_LBRACK] = ACTIONS(3558),
    [anon_sym_LTtemplate_GT] = ACTIONS(3558),
    [anon_sym_DQUOTE] = ACTIONS(3558),
    [anon_sym_SQUOTE] = ACTIONS(3558),
    [anon_sym_class] = ACTIONS(3558),
    [anon_sym_async] = ACTIONS(3558),
    [anon_sym_function] = ACTIONS(3558),
    [anon_sym_new] = ACTIONS(3558),
    [anon_sym_using] = ACTIONS(3558),
    [anon_sym_PLUS] = ACTIONS(3558),
    [anon_sym_DASH] = ACTIONS(3558),
    [anon_sym_SLASH] = ACTIONS(3558),
    [anon_sym_LT] = ACTIONS(3558),
    [anon_sym_TILDE] = ACTIONS(3558),
    [anon_sym_void] = ACTIONS(3558),
    [anon_sym_delete] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3558),
    [sym_number] = ACTIONS(3558),
    [sym_private_property_identifier] = ACTIONS(3558),
    [sym_this] = ACTIONS(3558),
    [sym_super] = ACTIONS(3558),
    [sym_true] = ACTIONS(3558),
    [sym_false] = ACTIONS(3558),
    [sym_null] = ACTIONS(3558),
    [sym_undefined] = ACTIONS(3558),
    [anon_sym_AT] = ACTIONS(3558),
    [anon_sym_static] = ACTIONS(3558),
    [anon_sym_readonly] = ACTIONS(3558),
    [anon_sym_get] = ACTIONS(3558),
    [anon_sym_set] = ACTIONS(3558),
    [anon_sym_declare] = ACTIONS(3558),
    [anon_sym_public] = ACTIONS(3558),
    [anon_sym_private] = ACTIONS(3558),
    [anon_sym_protected] = ACTIONS(3558),
    [anon_sym_override] = ACTIONS(3558),
    [anon_sym_module] = ACTIONS(3558),
    [anon_sym_any] = ACTIONS(3558),
    [anon_sym_number] = ACTIONS(3558),
    [anon_sym_boolean] = ACTIONS(3558),
    [anon_sym_string] = ACTIONS(3558),
    [anon_sym_symbol] = ACTIONS(3558),
    [anon_sym_object] = ACTIONS(3558),
    [anon_sym_property] = ACTIONS(3558),
    [anon_sym_signal] = ACTIONS(3558),
    [anon_sym_on] = ACTIONS(3558),
    [anon_sym_required] = ACTIONS(3558),
    [anon_sym_component] = ACTIONS(3558),
    [anon_sym_abstract] = ACTIONS(3558),
    [anon_sym_interface] = ACTIONS(3558),
    [anon_sym_enum] = ACTIONS(3558),
    [sym_html_comment] = ACTIONS(5),
  },
  [1349] = {
    [sym_comment] = STATE(1349),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1350] = {
    [sym_else_clause] = STATE(1484),
    [sym_comment] = STATE(1350),
    [sym_identifier] = ACTIONS(3444),
    [anon_sym_export] = ACTIONS(3444),
    [anon_sym_type] = ACTIONS(3444),
    [anon_sym_namespace] = ACTIONS(3444),
    [anon_sym_LBRACE] = ACTIONS(3444),
    [anon_sym_RBRACE] = ACTIONS(3444),
    [anon_sym_typeof] = ACTIONS(3444),
    [anon_sym_import] = ACTIONS(3444),
    [anon_sym_from] = ACTIONS(3444),
    [anon_sym_with] = ACTIONS(3444),
    [anon_sym_var] = ACTIONS(3444),
    [anon_sym_let] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3444),
    [anon_sym_BANG] = ACTIONS(3444),
    [anon_sym_else] = ACTIONS(3714),
    [anon_sym_if] = ACTIONS(3444),
    [anon_sym_switch] = ACTIONS(3444),
    [anon_sym_for] = ACTIONS(3444),
    [anon_sym_LPAREN] = ACTIONS(3444),
    [anon_sym_await] = ACTIONS(3444),
    [anon_sym_of] = ACTIONS(3444),
    [anon_sym_while] = ACTIONS(3444),
    [anon_sym_do] = ACTIONS(3444),
    [anon_sym_try] = ACTIONS(3444),
    [anon_sym_break] = ACTIONS(3444),
    [anon_sym_continue] = ACTIONS(3444),
    [anon_sym_debugger] = ACTIONS(3444),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_throw] = ACTIONS(3444),
    [anon_sym_SEMI] = ACTIONS(3444),
    [anon_sym_yield] = ACTIONS(3444),
    [anon_sym_LBRACK] = ACTIONS(3444),
    [anon_sym_LTtemplate_GT] = ACTIONS(3444),
    [anon_sym_DQUOTE] = ACTIONS(3444),
    [anon_sym_SQUOTE] = ACTIONS(3444),
    [anon_sym_class] = ACTIONS(3444),
    [anon_sym_async] = ACTIONS(3444),
    [anon_sym_function] = ACTIONS(3444),
    [anon_sym_new] = ACTIONS(3444),
    [anon_sym_using] = ACTIONS(3444),
    [anon_sym_PLUS] = ACTIONS(3444),
    [anon_sym_DASH] = ACTIONS(3444),
    [anon_sym_SLASH] = ACTIONS(3444),
    [anon_sym_LT] = ACTIONS(3444),
    [anon_sym_TILDE] = ACTIONS(3444),
    [anon_sym_void] = ACTIONS(3444),
    [anon_sym_delete] = ACTIONS(3444),
    [anon_sym_PLUS_PLUS] = ACTIONS(3444),
    [anon_sym_DASH_DASH] = ACTIONS(3444),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3444),
    [sym_number] = ACTIONS(3444),
    [sym_private_property_identifier] = ACTIONS(3444),
    [sym_this] = ACTIONS(3444),
    [sym_super] = ACTIONS(3444),
    [sym_true] = ACTIONS(3444),
    [sym_false] = ACTIONS(3444),
    [sym_null] = ACTIONS(3444),
    [sym_undefined] = ACTIONS(3444),
    [anon_sym_AT] = ACTIONS(3444),
    [anon_sym_static] = ACTIONS(3444),
    [anon_sym_readonly] = ACTIONS(3444),
    [anon_sym_get] = ACTIONS(3444),
    [anon_sym_set] = ACTIONS(3444),
    [anon_sym_declare] = ACTIONS(3444),
    [anon_sym_public] = ACTIONS(3444),
    [anon_sym_private] = ACTIONS(3444),
    [anon_sym_protected] = ACTIONS(3444),
    [anon_sym_override] = ACTIONS(3444),
    [anon_sym_module] = ACTIONS(3444),
    [anon_sym_any] = ACTIONS(3444),
    [anon_sym_number] = ACTIONS(3444),
    [anon_sym_boolean] = ACTIONS(3444),
    [anon_sym_string] = ACTIONS(3444),
    [anon_sym_symbol] = ACTIONS(3444),
    [anon_sym_object] = ACTIONS(3444),
    [anon_sym_property] = ACTIONS(3444),
    [anon_sym_signal] = ACTIONS(3444),
    [anon_sym_on] = ACTIONS(3444),
    [anon_sym_required] = ACTIONS(3444),
    [anon_sym_component] = ACTIONS(3444),
    [anon_sym_abstract] = ACTIONS(3444),
    [anon_sym_interface] = ACTIONS(3444),
    [anon_sym_enum] = ACTIONS(3444),
    [sym_html_comment] = ACTIONS(5),
  },
  [1351] = {
    [sym_comment] = STATE(1351),
    [sym_identifier] = ACTIONS(3550),
    [anon_sym_export] = ACTIONS(3550),
    [anon_sym_default] = ACTIONS(3550),
    [anon_sym_type] = ACTIONS(3550),
    [anon_sym_namespace] = ACTIONS(3550),
    [anon_sym_LBRACE] = ACTIONS(3550),
    [anon_sym_RBRACE] = ACTIONS(3550),
    [anon_sym_typeof] = ACTIONS(3550),
    [anon_sym_import] = ACTIONS(3550),
    [anon_sym_from] = ACTIONS(3550),
    [anon_sym_with] = ACTIONS(3550),
    [anon_sym_var] = ACTIONS(3550),
    [anon_sym_let] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3550),
    [anon_sym_BANG] = ACTIONS(3550),
    [anon_sym_if] = ACTIONS(3550),
    [anon_sym_switch] = ACTIONS(3550),
    [anon_sym_for] = ACTIONS(3550),
    [anon_sym_LPAREN] = ACTIONS(3550),
    [anon_sym_await] = ACTIONS(3550),
    [anon_sym_of] = ACTIONS(3550),
    [anon_sym_while] = ACTIONS(3550),
    [anon_sym_do] = ACTIONS(3550),
    [anon_sym_try] = ACTIONS(3550),
    [anon_sym_break] = ACTIONS(3550),
    [anon_sym_continue] = ACTIONS(3550),
    [anon_sym_debugger] = ACTIONS(3550),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_throw] = ACTIONS(3550),
    [anon_sym_SEMI] = ACTIONS(3550),
    [anon_sym_case] = ACTIONS(3550),
    [anon_sym_yield] = ACTIONS(3550),
    [anon_sym_LBRACK] = ACTIONS(3550),
    [anon_sym_LTtemplate_GT] = ACTIONS(3550),
    [anon_sym_DQUOTE] = ACTIONS(3550),
    [anon_sym_SQUOTE] = ACTIONS(3550),
    [anon_sym_class] = ACTIONS(3550),
    [anon_sym_async] = ACTIONS(3550),
    [anon_sym_function] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3550),
    [anon_sym_using] = ACTIONS(3550),
    [anon_sym_PLUS] = ACTIONS(3550),
    [anon_sym_DASH] = ACTIONS(3550),
    [anon_sym_SLASH] = ACTIONS(3550),
    [anon_sym_LT] = ACTIONS(3550),
    [anon_sym_TILDE] = ACTIONS(3550),
    [anon_sym_void] = ACTIONS(3550),
    [anon_sym_delete] = ACTIONS(3550),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3550),
    [sym_number] = ACTIONS(3550),
    [sym_private_property_identifier] = ACTIONS(3550),
    [sym_this] = ACTIONS(3550),
    [sym_super] = ACTIONS(3550),
    [sym_true] = ACTIONS(3550),
    [sym_false] = ACTIONS(3550),
    [sym_null] = ACTIONS(3550),
    [sym_undefined] = ACTIONS(3550),
    [anon_sym_AT] = ACTIONS(3550),
    [anon_sym_static] = ACTIONS(3550),
    [anon_sym_readonly] = ACTIONS(3550),
    [anon_sym_get] = ACTIONS(3550),
    [anon_sym_set] = ACTIONS(3550),
    [anon_sym_declare] = ACTIONS(3550),
    [anon_sym_public] = ACTIONS(3550),
    [anon_sym_private] = ACTIONS(3550),
    [anon_sym_protected] = ACTIONS(3550),
    [anon_sym_override] = ACTIONS(3550),
    [anon_sym_module] = ACTIONS(3550),
    [anon_sym_any] = ACTIONS(3550),
    [anon_sym_number] = ACTIONS(3550),
    [anon_sym_boolean] = ACTIONS(3550),
    [anon_sym_string] = ACTIONS(3550),
    [anon_sym_symbol] = ACTIONS(3550),
    [anon_sym_object] = ACTIONS(3550),
    [anon_sym_property] = ACTIONS(3550),
    [anon_sym_signal] = ACTIONS(3550),
    [anon_sym_on] = ACTIONS(3550),
    [anon_sym_required] = ACTIONS(3550),
    [anon_sym_component] = ACTIONS(3550),
    [anon_sym_abstract] = ACTIONS(3550),
    [anon_sym_interface] = ACTIONS(3550),
    [anon_sym_enum] = ACTIONS(3550),
    [sym_html_comment] = ACTIONS(5),
  },
  [1352] = {
    [sym_comment] = STATE(1352),
    [sym_identifier] = ACTIONS(3560),
    [anon_sym_export] = ACTIONS(3560),
    [anon_sym_default] = ACTIONS(3560),
    [anon_sym_type] = ACTIONS(3560),
    [anon_sym_namespace] = ACTIONS(3560),
    [anon_sym_LBRACE] = ACTIONS(3560),
    [anon_sym_RBRACE] = ACTIONS(3560),
    [anon_sym_typeof] = ACTIONS(3560),
    [anon_sym_import] = ACTIONS(3560),
    [anon_sym_from] = ACTIONS(3560),
    [anon_sym_with] = ACTIONS(3560),
    [anon_sym_var] = ACTIONS(3560),
    [anon_sym_let] = ACTIONS(3560),
    [anon_sym_const] = ACTIONS(3560),
    [anon_sym_BANG] = ACTIONS(3560),
    [anon_sym_if] = ACTIONS(3560),
    [anon_sym_switch] = ACTIONS(3560),
    [anon_sym_for] = ACTIONS(3560),
    [anon_sym_LPAREN] = ACTIONS(3560),
    [anon_sym_await] = ACTIONS(3560),
    [anon_sym_of] = ACTIONS(3560),
    [anon_sym_while] = ACTIONS(3560),
    [anon_sym_do] = ACTIONS(3560),
    [anon_sym_try] = ACTIONS(3560),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_continue] = ACTIONS(3560),
    [anon_sym_debugger] = ACTIONS(3560),
    [anon_sym_return] = ACTIONS(3560),
    [anon_sym_throw] = ACTIONS(3560),
    [anon_sym_SEMI] = ACTIONS(3560),
    [anon_sym_case] = ACTIONS(3560),
    [anon_sym_yield] = ACTIONS(3560),
    [anon_sym_LBRACK] = ACTIONS(3560),
    [anon_sym_LTtemplate_GT] = ACTIONS(3560),
    [anon_sym_DQUOTE] = ACTIONS(3560),
    [anon_sym_SQUOTE] = ACTIONS(3560),
    [anon_sym_class] = ACTIONS(3560),
    [anon_sym_async] = ACTIONS(3560),
    [anon_sym_function] = ACTIONS(3560),
    [anon_sym_new] = ACTIONS(3560),
    [anon_sym_using] = ACTIONS(3560),
    [anon_sym_PLUS] = ACTIONS(3560),
    [anon_sym_DASH] = ACTIONS(3560),
    [anon_sym_SLASH] = ACTIONS(3560),
    [anon_sym_LT] = ACTIONS(3560),
    [anon_sym_TILDE] = ACTIONS(3560),
    [anon_sym_void] = ACTIONS(3560),
    [anon_sym_delete] = ACTIONS(3560),
    [anon_sym_PLUS_PLUS] = ACTIONS(3560),
    [anon_sym_DASH_DASH] = ACTIONS(3560),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3560),
    [sym_number] = ACTIONS(3560),
    [sym_private_property_identifier] = ACTIONS(3560),
    [sym_this] = ACTIONS(3560),
    [sym_super] = ACTIONS(3560),
    [sym_true] = ACTIONS(3560),
    [sym_false] = ACTIONS(3560),
    [sym_null] = ACTIONS(3560),
    [sym_undefined] = ACTIONS(3560),
    [anon_sym_AT] = ACTIONS(3560),
    [anon_sym_static] = ACTIONS(3560),
    [anon_sym_readonly] = ACTIONS(3560),
    [anon_sym_get] = ACTIONS(3560),
    [anon_sym_set] = ACTIONS(3560),
    [anon_sym_declare] = ACTIONS(3560),
    [anon_sym_public] = ACTIONS(3560),
    [anon_sym_private] = ACTIONS(3560),
    [anon_sym_protected] = ACTIONS(3560),
    [anon_sym_override] = ACTIONS(3560),
    [anon_sym_module] = ACTIONS(3560),
    [anon_sym_any] = ACTIONS(3560),
    [anon_sym_number] = ACTIONS(3560),
    [anon_sym_boolean] = ACTIONS(3560),
    [anon_sym_string] = ACTIONS(3560),
    [anon_sym_symbol] = ACTIONS(3560),
    [anon_sym_object] = ACTIONS(3560),
    [anon_sym_property] = ACTIONS(3560),
    [anon_sym_signal] = ACTIONS(3560),
    [anon_sym_on] = ACTIONS(3560),
    [anon_sym_required] = ACTIONS(3560),
    [anon_sym_component] = ACTIONS(3560),
    [anon_sym_abstract] = ACTIONS(3560),
    [anon_sym_interface] = ACTIONS(3560),
    [anon_sym_enum] = ACTIONS(3560),
    [sym_html_comment] = ACTIONS(5),
  },
  [1353] = {
    [sym_comment] = STATE(1353),
    [sym_identifier] = ACTIONS(3674),
    [anon_sym_export] = ACTIONS(3674),
    [anon_sym_default] = ACTIONS(3674),
    [anon_sym_type] = ACTIONS(3674),
    [anon_sym_namespace] = ACTIONS(3674),
    [anon_sym_LBRACE] = ACTIONS(3674),
    [anon_sym_RBRACE] = ACTIONS(3674),
    [anon_sym_typeof] = ACTIONS(3674),
    [anon_sym_import] = ACTIONS(3674),
    [anon_sym_from] = ACTIONS(3674),
    [anon_sym_with] = ACTIONS(3674),
    [anon_sym_var] = ACTIONS(3674),
    [anon_sym_let] = ACTIONS(3674),
    [anon_sym_const] = ACTIONS(3674),
    [anon_sym_BANG] = ACTIONS(3674),
    [anon_sym_if] = ACTIONS(3674),
    [anon_sym_switch] = ACTIONS(3674),
    [anon_sym_for] = ACTIONS(3674),
    [anon_sym_LPAREN] = ACTIONS(3674),
    [anon_sym_await] = ACTIONS(3674),
    [anon_sym_of] = ACTIONS(3674),
    [anon_sym_while] = ACTIONS(3674),
    [anon_sym_do] = ACTIONS(3674),
    [anon_sym_try] = ACTIONS(3674),
    [anon_sym_break] = ACTIONS(3674),
    [anon_sym_continue] = ACTIONS(3674),
    [anon_sym_debugger] = ACTIONS(3674),
    [anon_sym_return] = ACTIONS(3674),
    [anon_sym_throw] = ACTIONS(3674),
    [anon_sym_SEMI] = ACTIONS(3674),
    [anon_sym_case] = ACTIONS(3674),
    [anon_sym_yield] = ACTIONS(3674),
    [anon_sym_LBRACK] = ACTIONS(3674),
    [anon_sym_LTtemplate_GT] = ACTIONS(3674),
    [anon_sym_DQUOTE] = ACTIONS(3674),
    [anon_sym_SQUOTE] = ACTIONS(3674),
    [anon_sym_class] = ACTIONS(3674),
    [anon_sym_async] = ACTIONS(3674),
    [anon_sym_function] = ACTIONS(3674),
    [anon_sym_new] = ACTIONS(3674),
    [anon_sym_using] = ACTIONS(3674),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_SLASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3674),
    [anon_sym_TILDE] = ACTIONS(3674),
    [anon_sym_void] = ACTIONS(3674),
    [anon_sym_delete] = ACTIONS(3674),
    [anon_sym_PLUS_PLUS] = ACTIONS(3674),
    [anon_sym_DASH_DASH] = ACTIONS(3674),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3674),
    [sym_number] = ACTIONS(3674),
    [sym_private_property_identifier] = ACTIONS(3674),
    [sym_this] = ACTIONS(3674),
    [sym_super] = ACTIONS(3674),
    [sym_true] = ACTIONS(3674),
    [sym_false] = ACTIONS(3674),
    [sym_null] = ACTIONS(3674),
    [sym_undefined] = ACTIONS(3674),
    [anon_sym_AT] = ACTIONS(3674),
    [anon_sym_static] = ACTIONS(3674),
    [anon_sym_readonly] = ACTIONS(3674),
    [anon_sym_get] = ACTIONS(3674),
    [anon_sym_set] = ACTIONS(3674),
    [anon_sym_declare] = ACTIONS(3674),
    [anon_sym_public] = ACTIONS(3674),
    [anon_sym_private] = ACTIONS(3674),
    [anon_sym_protected] = ACTIONS(3674),
    [anon_sym_override] = ACTIONS(3674),
    [anon_sym_module] = ACTIONS(3674),
    [anon_sym_any] = ACTIONS(3674),
    [anon_sym_number] = ACTIONS(3674),
    [anon_sym_boolean] = ACTIONS(3674),
    [anon_sym_string] = ACTIONS(3674),
    [anon_sym_symbol] = ACTIONS(3674),
    [anon_sym_object] = ACTIONS(3674),
    [anon_sym_property] = ACTIONS(3674),
    [anon_sym_signal] = ACTIONS(3674),
    [anon_sym_on] = ACTIONS(3674),
    [anon_sym_required] = ACTIONS(3674),
    [anon_sym_component] = ACTIONS(3674),
    [anon_sym_abstract] = ACTIONS(3674),
    [anon_sym_interface] = ACTIONS(3674),
    [anon_sym_enum] = ACTIONS(3674),
    [sym_html_comment] = ACTIONS(5),
  },
  [1354] = {
    [sym_comment] = STATE(1354),
    [sym_identifier] = ACTIONS(3548),
    [anon_sym_export] = ACTIONS(3548),
    [anon_sym_default] = ACTIONS(3548),
    [anon_sym_type] = ACTIONS(3548),
    [anon_sym_namespace] = ACTIONS(3548),
    [anon_sym_LBRACE] = ACTIONS(3548),
    [anon_sym_RBRACE] = ACTIONS(3548),
    [anon_sym_typeof] = ACTIONS(3548),
    [anon_sym_import] = ACTIONS(3548),
    [anon_sym_from] = ACTIONS(3548),
    [anon_sym_with] = ACTIONS(3548),
    [anon_sym_var] = ACTIONS(3548),
    [anon_sym_let] = ACTIONS(3548),
    [anon_sym_const] = ACTIONS(3548),
    [anon_sym_BANG] = ACTIONS(3548),
    [anon_sym_if] = ACTIONS(3548),
    [anon_sym_switch] = ACTIONS(3548),
    [anon_sym_for] = ACTIONS(3548),
    [anon_sym_LPAREN] = ACTIONS(3548),
    [anon_sym_await] = ACTIONS(3548),
    [anon_sym_of] = ACTIONS(3548),
    [anon_sym_while] = ACTIONS(3548),
    [anon_sym_do] = ACTIONS(3548),
    [anon_sym_try] = ACTIONS(3548),
    [anon_sym_break] = ACTIONS(3548),
    [anon_sym_continue] = ACTIONS(3548),
    [anon_sym_debugger] = ACTIONS(3548),
    [anon_sym_return] = ACTIONS(3548),
    [anon_sym_throw] = ACTIONS(3548),
    [anon_sym_SEMI] = ACTIONS(3548),
    [anon_sym_case] = ACTIONS(3548),
    [anon_sym_yield] = ACTIONS(3548),
    [anon_sym_LBRACK] = ACTIONS(3548),
    [anon_sym_LTtemplate_GT] = ACTIONS(3548),
    [anon_sym_DQUOTE] = ACTIONS(3548),
    [anon_sym_SQUOTE] = ACTIONS(3548),
    [anon_sym_class] = ACTIONS(3548),
    [anon_sym_async] = ACTIONS(3548),
    [anon_sym_function] = ACTIONS(3548),
    [anon_sym_new] = ACTIONS(3548),
    [anon_sym_using] = ACTIONS(3548),
    [anon_sym_PLUS] = ACTIONS(3548),
    [anon_sym_DASH] = ACTIONS(3548),
    [anon_sym_SLASH] = ACTIONS(3548),
    [anon_sym_LT] = ACTIONS(3548),
    [anon_sym_TILDE] = ACTIONS(3548),
    [anon_sym_void] = ACTIONS(3548),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_PLUS_PLUS] = ACTIONS(3548),
    [anon_sym_DASH_DASH] = ACTIONS(3548),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3548),
    [sym_number] = ACTIONS(3548),
    [sym_private_property_identifier] = ACTIONS(3548),
    [sym_this] = ACTIONS(3548),
    [sym_super] = ACTIONS(3548),
    [sym_true] = ACTIONS(3548),
    [sym_false] = ACTIONS(3548),
    [sym_null] = ACTIONS(3548),
    [sym_undefined] = ACTIONS(3548),
    [anon_sym_AT] = ACTIONS(3548),
    [anon_sym_static] = ACTIONS(3548),
    [anon_sym_readonly] = ACTIONS(3548),
    [anon_sym_get] = ACTIONS(3548),
    [anon_sym_set] = ACTIONS(3548),
    [anon_sym_declare] = ACTIONS(3548),
    [anon_sym_public] = ACTIONS(3548),
    [anon_sym_private] = ACTIONS(3548),
    [anon_sym_protected] = ACTIONS(3548),
    [anon_sym_override] = ACTIONS(3548),
    [anon_sym_module] = ACTIONS(3548),
    [anon_sym_any] = ACTIONS(3548),
    [anon_sym_number] = ACTIONS(3548),
    [anon_sym_boolean] = ACTIONS(3548),
    [anon_sym_string] = ACTIONS(3548),
    [anon_sym_symbol] = ACTIONS(3548),
    [anon_sym_object] = ACTIONS(3548),
    [anon_sym_property] = ACTIONS(3548),
    [anon_sym_signal] = ACTIONS(3548),
    [anon_sym_on] = ACTIONS(3548),
    [anon_sym_required] = ACTIONS(3548),
    [anon_sym_component] = ACTIONS(3548),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_interface] = ACTIONS(3548),
    [anon_sym_enum] = ACTIONS(3548),
    [sym_html_comment] = ACTIONS(5),
  },
  [1355] = {
    [sym_comment] = STATE(1355),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_export] = ACTIONS(3546),
    [anon_sym_default] = ACTIONS(3546),
    [anon_sym_type] = ACTIONS(3546),
    [anon_sym_namespace] = ACTIONS(3546),
    [anon_sym_LBRACE] = ACTIONS(3546),
    [anon_sym_RBRACE] = ACTIONS(3546),
    [anon_sym_typeof] = ACTIONS(3546),
    [anon_sym_import] = ACTIONS(3546),
    [anon_sym_from] = ACTIONS(3546),
    [anon_sym_with] = ACTIONS(3546),
    [anon_sym_var] = ACTIONS(3546),
    [anon_sym_let] = ACTIONS(3546),
    [anon_sym_const] = ACTIONS(3546),
    [anon_sym_BANG] = ACTIONS(3546),
    [anon_sym_if] = ACTIONS(3546),
    [anon_sym_switch] = ACTIONS(3546),
    [anon_sym_for] = ACTIONS(3546),
    [anon_sym_LPAREN] = ACTIONS(3546),
    [anon_sym_await] = ACTIONS(3546),
    [anon_sym_of] = ACTIONS(3546),
    [anon_sym_while] = ACTIONS(3546),
    [anon_sym_do] = ACTIONS(3546),
    [anon_sym_try] = ACTIONS(3546),
    [anon_sym_break] = ACTIONS(3546),
    [anon_sym_continue] = ACTIONS(3546),
    [anon_sym_debugger] = ACTIONS(3546),
    [anon_sym_return] = ACTIONS(3546),
    [anon_sym_throw] = ACTIONS(3546),
    [anon_sym_SEMI] = ACTIONS(3546),
    [anon_sym_case] = ACTIONS(3546),
    [anon_sym_yield] = ACTIONS(3546),
    [anon_sym_LBRACK] = ACTIONS(3546),
    [anon_sym_LTtemplate_GT] = ACTIONS(3546),
    [anon_sym_DQUOTE] = ACTIONS(3546),
    [anon_sym_SQUOTE] = ACTIONS(3546),
    [anon_sym_class] = ACTIONS(3546),
    [anon_sym_async] = ACTIONS(3546),
    [anon_sym_function] = ACTIONS(3546),
    [anon_sym_new] = ACTIONS(3546),
    [anon_sym_using] = ACTIONS(3546),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_DASH] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3546),
    [anon_sym_LT] = ACTIONS(3546),
    [anon_sym_TILDE] = ACTIONS(3546),
    [anon_sym_void] = ACTIONS(3546),
    [anon_sym_delete] = ACTIONS(3546),
    [anon_sym_PLUS_PLUS] = ACTIONS(3546),
    [anon_sym_DASH_DASH] = ACTIONS(3546),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3546),
    [sym_number] = ACTIONS(3546),
    [sym_private_property_identifier] = ACTIONS(3546),
    [sym_this] = ACTIONS(3546),
    [sym_super] = ACTIONS(3546),
    [sym_true] = ACTIONS(3546),
    [sym_false] = ACTIONS(3546),
    [sym_null] = ACTIONS(3546),
    [sym_undefined] = ACTIONS(3546),
    [anon_sym_AT] = ACTIONS(3546),
    [anon_sym_static] = ACTIONS(3546),
    [anon_sym_readonly] = ACTIONS(3546),
    [anon_sym_get] = ACTIONS(3546),
    [anon_sym_set] = ACTIONS(3546),
    [anon_sym_declare] = ACTIONS(3546),
    [anon_sym_public] = ACTIONS(3546),
    [anon_sym_private] = ACTIONS(3546),
    [anon_sym_protected] = ACTIONS(3546),
    [anon_sym_override] = ACTIONS(3546),
    [anon_sym_module] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(3546),
    [anon_sym_number] = ACTIONS(3546),
    [anon_sym_boolean] = ACTIONS(3546),
    [anon_sym_string] = ACTIONS(3546),
    [anon_sym_symbol] = ACTIONS(3546),
    [anon_sym_object] = ACTIONS(3546),
    [anon_sym_property] = ACTIONS(3546),
    [anon_sym_signal] = ACTIONS(3546),
    [anon_sym_on] = ACTIONS(3546),
    [anon_sym_required] = ACTIONS(3546),
    [anon_sym_component] = ACTIONS(3546),
    [anon_sym_abstract] = ACTIONS(3546),
    [anon_sym_interface] = ACTIONS(3546),
    [anon_sym_enum] = ACTIONS(3546),
    [sym_html_comment] = ACTIONS(5),
  },
  [1356] = {
    [sym_comment] = STATE(1356),
    [sym_identifier] = ACTIONS(3544),
    [anon_sym_export] = ACTIONS(3544),
    [anon_sym_default] = ACTIONS(3544),
    [anon_sym_type] = ACTIONS(3544),
    [anon_sym_namespace] = ACTIONS(3544),
    [anon_sym_LBRACE] = ACTIONS(3544),
    [anon_sym_RBRACE] = ACTIONS(3544),
    [anon_sym_typeof] = ACTIONS(3544),
    [anon_sym_import] = ACTIONS(3544),
    [anon_sym_from] = ACTIONS(3544),
    [anon_sym_with] = ACTIONS(3544),
    [anon_sym_var] = ACTIONS(3544),
    [anon_sym_let] = ACTIONS(3544),
    [anon_sym_const] = ACTIONS(3544),
    [anon_sym_BANG] = ACTIONS(3544),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_switch] = ACTIONS(3544),
    [anon_sym_for] = ACTIONS(3544),
    [anon_sym_LPAREN] = ACTIONS(3544),
    [anon_sym_await] = ACTIONS(3544),
    [anon_sym_of] = ACTIONS(3544),
    [anon_sym_while] = ACTIONS(3544),
    [anon_sym_do] = ACTIONS(3544),
    [anon_sym_try] = ACTIONS(3544),
    [anon_sym_break] = ACTIONS(3544),
    [anon_sym_continue] = ACTIONS(3544),
    [anon_sym_debugger] = ACTIONS(3544),
    [anon_sym_return] = ACTIONS(3544),
    [anon_sym_throw] = ACTIONS(3544),
    [anon_sym_SEMI] = ACTIONS(3544),
    [anon_sym_case] = ACTIONS(3544),
    [anon_sym_yield] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(3544),
    [anon_sym_LTtemplate_GT] = ACTIONS(3544),
    [anon_sym_DQUOTE] = ACTIONS(3544),
    [anon_sym_SQUOTE] = ACTIONS(3544),
    [anon_sym_class] = ACTIONS(3544),
    [anon_sym_async] = ACTIONS(3544),
    [anon_sym_function] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3544),
    [anon_sym_using] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3544),
    [anon_sym_DASH] = ACTIONS(3544),
    [anon_sym_SLASH] = ACTIONS(3544),
    [anon_sym_LT] = ACTIONS(3544),
    [anon_sym_TILDE] = ACTIONS(3544),
    [anon_sym_void] = ACTIONS(3544),
    [anon_sym_delete] = ACTIONS(3544),
    [anon_sym_PLUS_PLUS] = ACTIONS(3544),
    [anon_sym_DASH_DASH] = ACTIONS(3544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3544),
    [sym_number] = ACTIONS(3544),
    [sym_private_property_identifier] = ACTIONS(3544),
    [sym_this] = ACTIONS(3544),
    [sym_super] = ACTIONS(3544),
    [sym_true] = ACTIONS(3544),
    [sym_false] = ACTIONS(3544),
    [sym_null] = ACTIONS(3544),
    [sym_undefined] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(3544),
    [anon_sym_static] = ACTIONS(3544),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_get] = ACTIONS(3544),
    [anon_sym_set] = ACTIONS(3544),
    [anon_sym_declare] = ACTIONS(3544),
    [anon_sym_public] = ACTIONS(3544),
    [anon_sym_private] = ACTIONS(3544),
    [anon_sym_protected] = ACTIONS(3544),
    [anon_sym_override] = ACTIONS(3544),
    [anon_sym_module] = ACTIONS(3544),
    [anon_sym_any] = ACTIONS(3544),
    [anon_sym_number] = ACTIONS(3544),
    [anon_sym_boolean] = ACTIONS(3544),
    [anon_sym_string] = ACTIONS(3544),
    [anon_sym_symbol] = ACTIONS(3544),
    [anon_sym_object] = ACTIONS(3544),
    [anon_sym_property] = ACTIONS(3544),
    [anon_sym_signal] = ACTIONS(3544),
    [anon_sym_on] = ACTIONS(3544),
    [anon_sym_required] = ACTIONS(3544),
    [anon_sym_component] = ACTIONS(3544),
    [anon_sym_abstract] = ACTIONS(3544),
    [anon_sym_interface] = ACTIONS(3544),
    [anon_sym_enum] = ACTIONS(3544),
    [sym_html_comment] = ACTIONS(5),
  },
  [1357] = {
    [sym_comment] = STATE(1357),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_export] = ACTIONS(3572),
    [anon_sym_default] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_namespace] = ACTIONS(3572),
    [anon_sym_LBRACE] = ACTIONS(3572),
    [anon_sym_RBRACE] = ACTIONS(3572),
    [anon_sym_typeof] = ACTIONS(3572),
    [anon_sym_import] = ACTIONS(3572),
    [anon_sym_from] = ACTIONS(3572),
    [anon_sym_with] = ACTIONS(3572),
    [anon_sym_var] = ACTIONS(3572),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_const] = ACTIONS(3572),
    [anon_sym_BANG] = ACTIONS(3572),
    [anon_sym_if] = ACTIONS(3572),
    [anon_sym_switch] = ACTIONS(3572),
    [anon_sym_for] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(3572),
    [anon_sym_await] = ACTIONS(3572),
    [anon_sym_of] = ACTIONS(3572),
    [anon_sym_while] = ACTIONS(3572),
    [anon_sym_do] = ACTIONS(3572),
    [anon_sym_try] = ACTIONS(3572),
    [anon_sym_break] = ACTIONS(3572),
    [anon_sym_continue] = ACTIONS(3572),
    [anon_sym_debugger] = ACTIONS(3572),
    [anon_sym_return] = ACTIONS(3572),
    [anon_sym_throw] = ACTIONS(3572),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_case] = ACTIONS(3572),
    [anon_sym_yield] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(3572),
    [anon_sym_LTtemplate_GT] = ACTIONS(3572),
    [anon_sym_DQUOTE] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_async] = ACTIONS(3572),
    [anon_sym_function] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(3572),
    [anon_sym_using] = ACTIONS(3572),
    [anon_sym_PLUS] = ACTIONS(3572),
    [anon_sym_DASH] = ACTIONS(3572),
    [anon_sym_SLASH] = ACTIONS(3572),
    [anon_sym_LT] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(3572),
    [anon_sym_void] = ACTIONS(3572),
    [anon_sym_delete] = ACTIONS(3572),
    [anon_sym_PLUS_PLUS] = ACTIONS(3572),
    [anon_sym_DASH_DASH] = ACTIONS(3572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3572),
    [sym_number] = ACTIONS(3572),
    [sym_private_property_identifier] = ACTIONS(3572),
    [sym_this] = ACTIONS(3572),
    [sym_super] = ACTIONS(3572),
    [sym_true] = ACTIONS(3572),
    [sym_false] = ACTIONS(3572),
    [sym_null] = ACTIONS(3572),
    [sym_undefined] = ACTIONS(3572),
    [anon_sym_AT] = ACTIONS(3572),
    [anon_sym_static] = ACTIONS(3572),
    [anon_sym_readonly] = ACTIONS(3572),
    [anon_sym_get] = ACTIONS(3572),
    [anon_sym_set] = ACTIONS(3572),
    [anon_sym_declare] = ACTIONS(3572),
    [anon_sym_public] = ACTIONS(3572),
    [anon_sym_private] = ACTIONS(3572),
    [anon_sym_protected] = ACTIONS(3572),
    [anon_sym_override] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_any] = ACTIONS(3572),
    [anon_sym_number] = ACTIONS(3572),
    [anon_sym_boolean] = ACTIONS(3572),
    [anon_sym_string] = ACTIONS(3572),
    [anon_sym_symbol] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(3572),
    [anon_sym_property] = ACTIONS(3572),
    [anon_sym_signal] = ACTIONS(3572),
    [anon_sym_on] = ACTIONS(3572),
    [anon_sym_required] = ACTIONS(3572),
    [anon_sym_component] = ACTIONS(3572),
    [anon_sym_abstract] = ACTIONS(3572),
    [anon_sym_interface] = ACTIONS(3572),
    [anon_sym_enum] = ACTIONS(3572),
    [sym_html_comment] = ACTIONS(5),
  },
  [1358] = {
    [sym_comment] = STATE(1358),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_export] = ACTIONS(3572),
    [anon_sym_default] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_namespace] = ACTIONS(3572),
    [anon_sym_LBRACE] = ACTIONS(3572),
    [anon_sym_RBRACE] = ACTIONS(3572),
    [anon_sym_typeof] = ACTIONS(3572),
    [anon_sym_import] = ACTIONS(3572),
    [anon_sym_from] = ACTIONS(3572),
    [anon_sym_with] = ACTIONS(3572),
    [anon_sym_var] = ACTIONS(3572),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_const] = ACTIONS(3572),
    [anon_sym_BANG] = ACTIONS(3572),
    [anon_sym_if] = ACTIONS(3572),
    [anon_sym_switch] = ACTIONS(3572),
    [anon_sym_for] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(3572),
    [anon_sym_await] = ACTIONS(3572),
    [anon_sym_of] = ACTIONS(3572),
    [anon_sym_while] = ACTIONS(3572),
    [anon_sym_do] = ACTIONS(3572),
    [anon_sym_try] = ACTIONS(3572),
    [anon_sym_break] = ACTIONS(3572),
    [anon_sym_continue] = ACTIONS(3572),
    [anon_sym_debugger] = ACTIONS(3572),
    [anon_sym_return] = ACTIONS(3572),
    [anon_sym_throw] = ACTIONS(3572),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_case] = ACTIONS(3572),
    [anon_sym_yield] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(3572),
    [anon_sym_LTtemplate_GT] = ACTIONS(3572),
    [anon_sym_DQUOTE] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_async] = ACTIONS(3572),
    [anon_sym_function] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(3572),
    [anon_sym_using] = ACTIONS(3572),
    [anon_sym_PLUS] = ACTIONS(3572),
    [anon_sym_DASH] = ACTIONS(3572),
    [anon_sym_SLASH] = ACTIONS(3572),
    [anon_sym_LT] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(3572),
    [anon_sym_void] = ACTIONS(3572),
    [anon_sym_delete] = ACTIONS(3572),
    [anon_sym_PLUS_PLUS] = ACTIONS(3572),
    [anon_sym_DASH_DASH] = ACTIONS(3572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3572),
    [sym_number] = ACTIONS(3572),
    [sym_private_property_identifier] = ACTIONS(3572),
    [sym_this] = ACTIONS(3572),
    [sym_super] = ACTIONS(3572),
    [sym_true] = ACTIONS(3572),
    [sym_false] = ACTIONS(3572),
    [sym_null] = ACTIONS(3572),
    [sym_undefined] = ACTIONS(3572),
    [anon_sym_AT] = ACTIONS(3572),
    [anon_sym_static] = ACTIONS(3572),
    [anon_sym_readonly] = ACTIONS(3572),
    [anon_sym_get] = ACTIONS(3572),
    [anon_sym_set] = ACTIONS(3572),
    [anon_sym_declare] = ACTIONS(3572),
    [anon_sym_public] = ACTIONS(3572),
    [anon_sym_private] = ACTIONS(3572),
    [anon_sym_protected] = ACTIONS(3572),
    [anon_sym_override] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_any] = ACTIONS(3572),
    [anon_sym_number] = ACTIONS(3572),
    [anon_sym_boolean] = ACTIONS(3572),
    [anon_sym_string] = ACTIONS(3572),
    [anon_sym_symbol] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(3572),
    [anon_sym_property] = ACTIONS(3572),
    [anon_sym_signal] = ACTIONS(3572),
    [anon_sym_on] = ACTIONS(3572),
    [anon_sym_required] = ACTIONS(3572),
    [anon_sym_component] = ACTIONS(3572),
    [anon_sym_abstract] = ACTIONS(3572),
    [anon_sym_interface] = ACTIONS(3572),
    [anon_sym_enum] = ACTIONS(3572),
    [sym_html_comment] = ACTIONS(5),
  },
  [1359] = {
    [sym_comment] = STATE(1359),
    [sym_identifier] = ACTIONS(3606),
    [anon_sym_export] = ACTIONS(3606),
    [anon_sym_default] = ACTIONS(3606),
    [anon_sym_type] = ACTIONS(3606),
    [anon_sym_namespace] = ACTIONS(3606),
    [anon_sym_LBRACE] = ACTIONS(3606),
    [anon_sym_RBRACE] = ACTIONS(3606),
    [anon_sym_typeof] = ACTIONS(3606),
    [anon_sym_import] = ACTIONS(3606),
    [anon_sym_from] = ACTIONS(3606),
    [anon_sym_with] = ACTIONS(3606),
    [anon_sym_var] = ACTIONS(3606),
    [anon_sym_let] = ACTIONS(3606),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_BANG] = ACTIONS(3606),
    [anon_sym_if] = ACTIONS(3606),
    [anon_sym_switch] = ACTIONS(3606),
    [anon_sym_for] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3606),
    [anon_sym_await] = ACTIONS(3606),
    [anon_sym_of] = ACTIONS(3606),
    [anon_sym_while] = ACTIONS(3606),
    [anon_sym_do] = ACTIONS(3606),
    [anon_sym_try] = ACTIONS(3606),
    [anon_sym_break] = ACTIONS(3606),
    [anon_sym_continue] = ACTIONS(3606),
    [anon_sym_debugger] = ACTIONS(3606),
    [anon_sym_return] = ACTIONS(3606),
    [anon_sym_throw] = ACTIONS(3606),
    [anon_sym_SEMI] = ACTIONS(3606),
    [anon_sym_case] = ACTIONS(3606),
    [anon_sym_yield] = ACTIONS(3606),
    [anon_sym_LBRACK] = ACTIONS(3606),
    [anon_sym_LTtemplate_GT] = ACTIONS(3606),
    [anon_sym_DQUOTE] = ACTIONS(3606),
    [anon_sym_SQUOTE] = ACTIONS(3606),
    [anon_sym_class] = ACTIONS(3606),
    [anon_sym_async] = ACTIONS(3606),
    [anon_sym_function] = ACTIONS(3606),
    [anon_sym_new] = ACTIONS(3606),
    [anon_sym_using] = ACTIONS(3606),
    [anon_sym_PLUS] = ACTIONS(3606),
    [anon_sym_DASH] = ACTIONS(3606),
    [anon_sym_SLASH] = ACTIONS(3606),
    [anon_sym_LT] = ACTIONS(3606),
    [anon_sym_TILDE] = ACTIONS(3606),
    [anon_sym_void] = ACTIONS(3606),
    [anon_sym_delete] = ACTIONS(3606),
    [anon_sym_PLUS_PLUS] = ACTIONS(3606),
    [anon_sym_DASH_DASH] = ACTIONS(3606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3606),
    [sym_number] = ACTIONS(3606),
    [sym_private_property_identifier] = ACTIONS(3606),
    [sym_this] = ACTIONS(3606),
    [sym_super] = ACTIONS(3606),
    [sym_true] = ACTIONS(3606),
    [sym_false] = ACTIONS(3606),
    [sym_null] = ACTIONS(3606),
    [sym_undefined] = ACTIONS(3606),
    [anon_sym_AT] = ACTIONS(3606),
    [anon_sym_static] = ACTIONS(3606),
    [anon_sym_readonly] = ACTIONS(3606),
    [anon_sym_get] = ACTIONS(3606),
    [anon_sym_set] = ACTIONS(3606),
    [anon_sym_declare] = ACTIONS(3606),
    [anon_sym_public] = ACTIONS(3606),
    [anon_sym_private] = ACTIONS(3606),
    [anon_sym_protected] = ACTIONS(3606),
    [anon_sym_override] = ACTIONS(3606),
    [anon_sym_module] = ACTIONS(3606),
    [anon_sym_any] = ACTIONS(3606),
    [anon_sym_number] = ACTIONS(3606),
    [anon_sym_boolean] = ACTIONS(3606),
    [anon_sym_string] = ACTIONS(3606),
    [anon_sym_symbol] = ACTIONS(3606),
    [anon_sym_object] = ACTIONS(3606),
    [anon_sym_property] = ACTIONS(3606),
    [anon_sym_signal] = ACTIONS(3606),
    [anon_sym_on] = ACTIONS(3606),
    [anon_sym_required] = ACTIONS(3606),
    [anon_sym_component] = ACTIONS(3606),
    [anon_sym_abstract] = ACTIONS(3606),
    [anon_sym_interface] = ACTIONS(3606),
    [anon_sym_enum] = ACTIONS(3606),
    [sym_html_comment] = ACTIONS(5),
  },
  [1360] = {
    [sym_comment] = STATE(1360),
    [sym_identifier] = ACTIONS(3608),
    [anon_sym_export] = ACTIONS(3608),
    [anon_sym_default] = ACTIONS(3608),
    [anon_sym_type] = ACTIONS(3608),
    [anon_sym_namespace] = ACTIONS(3608),
    [anon_sym_LBRACE] = ACTIONS(3608),
    [anon_sym_RBRACE] = ACTIONS(3608),
    [anon_sym_typeof] = ACTIONS(3608),
    [anon_sym_import] = ACTIONS(3608),
    [anon_sym_from] = ACTIONS(3608),
    [anon_sym_with] = ACTIONS(3608),
    [anon_sym_var] = ACTIONS(3608),
    [anon_sym_let] = ACTIONS(3608),
    [anon_sym_const] = ACTIONS(3608),
    [anon_sym_BANG] = ACTIONS(3608),
    [anon_sym_if] = ACTIONS(3608),
    [anon_sym_switch] = ACTIONS(3608),
    [anon_sym_for] = ACTIONS(3608),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_await] = ACTIONS(3608),
    [anon_sym_of] = ACTIONS(3608),
    [anon_sym_while] = ACTIONS(3608),
    [anon_sym_do] = ACTIONS(3608),
    [anon_sym_try] = ACTIONS(3608),
    [anon_sym_break] = ACTIONS(3608),
    [anon_sym_continue] = ACTIONS(3608),
    [anon_sym_debugger] = ACTIONS(3608),
    [anon_sym_return] = ACTIONS(3608),
    [anon_sym_throw] = ACTIONS(3608),
    [anon_sym_SEMI] = ACTIONS(3608),
    [anon_sym_case] = ACTIONS(3608),
    [anon_sym_yield] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3608),
    [anon_sym_LTtemplate_GT] = ACTIONS(3608),
    [anon_sym_DQUOTE] = ACTIONS(3608),
    [anon_sym_SQUOTE] = ACTIONS(3608),
    [anon_sym_class] = ACTIONS(3608),
    [anon_sym_async] = ACTIONS(3608),
    [anon_sym_function] = ACTIONS(3608),
    [anon_sym_new] = ACTIONS(3608),
    [anon_sym_using] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3608),
    [anon_sym_TILDE] = ACTIONS(3608),
    [anon_sym_void] = ACTIONS(3608),
    [anon_sym_delete] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(3608),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3608),
    [sym_number] = ACTIONS(3608),
    [sym_private_property_identifier] = ACTIONS(3608),
    [sym_this] = ACTIONS(3608),
    [sym_super] = ACTIONS(3608),
    [sym_true] = ACTIONS(3608),
    [sym_false] = ACTIONS(3608),
    [sym_null] = ACTIONS(3608),
    [sym_undefined] = ACTIONS(3608),
    [anon_sym_AT] = ACTIONS(3608),
    [anon_sym_static] = ACTIONS(3608),
    [anon_sym_readonly] = ACTIONS(3608),
    [anon_sym_get] = ACTIONS(3608),
    [anon_sym_set] = ACTIONS(3608),
    [anon_sym_declare] = ACTIONS(3608),
    [anon_sym_public] = ACTIONS(3608),
    [anon_sym_private] = ACTIONS(3608),
    [anon_sym_protected] = ACTIONS(3608),
    [anon_sym_override] = ACTIONS(3608),
    [anon_sym_module] = ACTIONS(3608),
    [anon_sym_any] = ACTIONS(3608),
    [anon_sym_number] = ACTIONS(3608),
    [anon_sym_boolean] = ACTIONS(3608),
    [anon_sym_string] = ACTIONS(3608),
    [anon_sym_symbol] = ACTIONS(3608),
    [anon_sym_object] = ACTIONS(3608),
    [anon_sym_property] = ACTIONS(3608),
    [anon_sym_signal] = ACTIONS(3608),
    [anon_sym_on] = ACTIONS(3608),
    [anon_sym_required] = ACTIONS(3608),
    [anon_sym_component] = ACTIONS(3608),
    [anon_sym_abstract] = ACTIONS(3608),
    [anon_sym_interface] = ACTIONS(3608),
    [anon_sym_enum] = ACTIONS(3608),
    [sym_html_comment] = ACTIONS(5),
  },
  [1361] = {
    [sym_comment] = STATE(1361),
    [sym_identifier] = ACTIONS(2416),
    [anon_sym_export] = ACTIONS(2416),
    [anon_sym_type] = ACTIONS(2416),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_RBRACE] = ACTIONS(2416),
    [anon_sym_typeof] = ACTIONS(2416),
    [anon_sym_import] = ACTIONS(2416),
    [anon_sym_from] = ACTIONS(2416),
    [anon_sym_with] = ACTIONS(2416),
    [anon_sym_var] = ACTIONS(2416),
    [anon_sym_let] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_BANG] = ACTIONS(2416),
    [anon_sym_else] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_await] = ACTIONS(2416),
    [anon_sym_of] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_debugger] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym_yield] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_LTtemplate_GT] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2416),
    [anon_sym_SQUOTE] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_async] = ACTIONS(2416),
    [anon_sym_function] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(2416),
    [anon_sym_using] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_SLASH] = ACTIONS(2416),
    [anon_sym_LT] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_void] = ACTIONS(2416),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_PLUS_PLUS] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2416),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2416),
    [sym_number] = ACTIONS(2416),
    [sym_private_property_identifier] = ACTIONS(2416),
    [sym_this] = ACTIONS(2416),
    [sym_super] = ACTIONS(2416),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [sym_null] = ACTIONS(2416),
    [sym_undefined] = ACTIONS(2416),
    [anon_sym_AT] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_readonly] = ACTIONS(2416),
    [anon_sym_get] = ACTIONS(2416),
    [anon_sym_set] = ACTIONS(2416),
    [anon_sym_declare] = ACTIONS(2416),
    [anon_sym_public] = ACTIONS(2416),
    [anon_sym_private] = ACTIONS(2416),
    [anon_sym_protected] = ACTIONS(2416),
    [anon_sym_override] = ACTIONS(2416),
    [anon_sym_module] = ACTIONS(2416),
    [anon_sym_any] = ACTIONS(2416),
    [anon_sym_number] = ACTIONS(2416),
    [anon_sym_boolean] = ACTIONS(2416),
    [anon_sym_string] = ACTIONS(2416),
    [anon_sym_symbol] = ACTIONS(2416),
    [anon_sym_object] = ACTIONS(2416),
    [anon_sym_property] = ACTIONS(2416),
    [anon_sym_signal] = ACTIONS(2416),
    [anon_sym_on] = ACTIONS(2416),
    [anon_sym_required] = ACTIONS(2416),
    [anon_sym_component] = ACTIONS(2416),
    [anon_sym_abstract] = ACTIONS(2416),
    [anon_sym_interface] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [sym__automatic_semicolon] = ACTIONS(2594),
    [sym_html_comment] = ACTIONS(5),
  },
  [1362] = {
    [sym_comment] = STATE(1362),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_export] = ACTIONS(2328),
    [anon_sym_default] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2328),
    [anon_sym_namespace] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [anon_sym_typeof] = ACTIONS(2328),
    [anon_sym_import] = ACTIONS(2328),
    [anon_sym_from] = ACTIONS(2328),
    [anon_sym_with] = ACTIONS(2328),
    [anon_sym_var] = ACTIONS(2328),
    [anon_sym_let] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_if] = ACTIONS(2328),
    [anon_sym_switch] = ACTIONS(2328),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_of] = ACTIONS(2328),
    [anon_sym_while] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2328),
    [anon_sym_break] = ACTIONS(2328),
    [anon_sym_continue] = ACTIONS(2328),
    [anon_sym_debugger] = ACTIONS(2328),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym_case] = ACTIONS(2328),
    [anon_sym_yield] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_LTtemplate_GT] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_class] = ACTIONS(2328),
    [anon_sym_async] = ACTIONS(2328),
    [anon_sym_function] = ACTIONS(2328),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_using] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_void] = ACTIONS(2328),
    [anon_sym_delete] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2328),
    [sym_number] = ACTIONS(2328),
    [sym_private_property_identifier] = ACTIONS(2328),
    [sym_this] = ACTIONS(2328),
    [sym_super] = ACTIONS(2328),
    [sym_true] = ACTIONS(2328),
    [sym_false] = ACTIONS(2328),
    [sym_null] = ACTIONS(2328),
    [sym_undefined] = ACTIONS(2328),
    [anon_sym_AT] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2328),
    [anon_sym_readonly] = ACTIONS(2328),
    [anon_sym_get] = ACTIONS(2328),
    [anon_sym_set] = ACTIONS(2328),
    [anon_sym_declare] = ACTIONS(2328),
    [anon_sym_public] = ACTIONS(2328),
    [anon_sym_private] = ACTIONS(2328),
    [anon_sym_protected] = ACTIONS(2328),
    [anon_sym_override] = ACTIONS(2328),
    [anon_sym_module] = ACTIONS(2328),
    [anon_sym_any] = ACTIONS(2328),
    [anon_sym_number] = ACTIONS(2328),
    [anon_sym_boolean] = ACTIONS(2328),
    [anon_sym_string] = ACTIONS(2328),
    [anon_sym_symbol] = ACTIONS(2328),
    [anon_sym_object] = ACTIONS(2328),
    [anon_sym_property] = ACTIONS(2328),
    [anon_sym_signal] = ACTIONS(2328),
    [anon_sym_on] = ACTIONS(2328),
    [anon_sym_required] = ACTIONS(2328),
    [anon_sym_component] = ACTIONS(2328),
    [anon_sym_abstract] = ACTIONS(2328),
    [anon_sym_interface] = ACTIONS(2328),
    [anon_sym_enum] = ACTIONS(2328),
    [sym_html_comment] = ACTIONS(5),
  },
  [1363] = {
    [sym_comment] = STATE(1363),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1364] = {
    [sym_statement_block] = STATE(1576),
    [sym_comment] = STATE(1364),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(3562),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_else] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1365] = {
    [sym_comment] = STATE(1365),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1366] = {
    [sym_comment] = STATE(1366),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1367] = {
    [sym_comment] = STATE(1367),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1368] = {
    [sym_comment] = STATE(1368),
    [sym_identifier] = ACTIONS(3454),
    [anon_sym_export] = ACTIONS(3454),
    [anon_sym_type] = ACTIONS(3454),
    [anon_sym_namespace] = ACTIONS(3454),
    [anon_sym_LBRACE] = ACTIONS(3454),
    [anon_sym_RBRACE] = ACTIONS(3454),
    [anon_sym_typeof] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3454),
    [anon_sym_from] = ACTIONS(3454),
    [anon_sym_with] = ACTIONS(3454),
    [anon_sym_var] = ACTIONS(3454),
    [anon_sym_let] = ACTIONS(3454),
    [anon_sym_const] = ACTIONS(3454),
    [anon_sym_BANG] = ACTIONS(3454),
    [anon_sym_else] = ACTIONS(3454),
    [anon_sym_if] = ACTIONS(3454),
    [anon_sym_switch] = ACTIONS(3454),
    [anon_sym_for] = ACTIONS(3454),
    [anon_sym_LPAREN] = ACTIONS(3454),
    [anon_sym_await] = ACTIONS(3454),
    [anon_sym_of] = ACTIONS(3454),
    [anon_sym_while] = ACTIONS(3454),
    [anon_sym_do] = ACTIONS(3454),
    [anon_sym_try] = ACTIONS(3454),
    [anon_sym_break] = ACTIONS(3454),
    [anon_sym_continue] = ACTIONS(3454),
    [anon_sym_debugger] = ACTIONS(3454),
    [anon_sym_return] = ACTIONS(3454),
    [anon_sym_throw] = ACTIONS(3454),
    [anon_sym_SEMI] = ACTIONS(3716),
    [anon_sym_yield] = ACTIONS(3454),
    [anon_sym_LBRACK] = ACTIONS(3454),
    [anon_sym_LTtemplate_GT] = ACTIONS(3454),
    [anon_sym_DQUOTE] = ACTIONS(3454),
    [anon_sym_SQUOTE] = ACTIONS(3454),
    [anon_sym_class] = ACTIONS(3454),
    [anon_sym_async] = ACTIONS(3454),
    [anon_sym_function] = ACTIONS(3454),
    [anon_sym_new] = ACTIONS(3454),
    [anon_sym_using] = ACTIONS(3454),
    [anon_sym_PLUS] = ACTIONS(3454),
    [anon_sym_DASH] = ACTIONS(3454),
    [anon_sym_SLASH] = ACTIONS(3454),
    [anon_sym_LT] = ACTIONS(3454),
    [anon_sym_TILDE] = ACTIONS(3454),
    [anon_sym_void] = ACTIONS(3454),
    [anon_sym_delete] = ACTIONS(3454),
    [anon_sym_PLUS_PLUS] = ACTIONS(3454),
    [anon_sym_DASH_DASH] = ACTIONS(3454),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3454),
    [sym_number] = ACTIONS(3454),
    [sym_private_property_identifier] = ACTIONS(3454),
    [sym_this] = ACTIONS(3454),
    [sym_super] = ACTIONS(3454),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_AT] = ACTIONS(3454),
    [anon_sym_static] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3454),
    [anon_sym_get] = ACTIONS(3454),
    [anon_sym_set] = ACTIONS(3454),
    [anon_sym_declare] = ACTIONS(3454),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_private] = ACTIONS(3454),
    [anon_sym_protected] = ACTIONS(3454),
    [anon_sym_override] = ACTIONS(3454),
    [anon_sym_module] = ACTIONS(3454),
    [anon_sym_any] = ACTIONS(3454),
    [anon_sym_number] = ACTIONS(3454),
    [anon_sym_boolean] = ACTIONS(3454),
    [anon_sym_string] = ACTIONS(3454),
    [anon_sym_symbol] = ACTIONS(3454),
    [anon_sym_object] = ACTIONS(3454),
    [anon_sym_property] = ACTIONS(3454),
    [anon_sym_signal] = ACTIONS(3454),
    [anon_sym_on] = ACTIONS(3454),
    [anon_sym_required] = ACTIONS(3454),
    [anon_sym_component] = ACTIONS(3454),
    [anon_sym_abstract] = ACTIONS(3454),
    [anon_sym_interface] = ACTIONS(3454),
    [anon_sym_enum] = ACTIONS(3454),
    [sym__automatic_semicolon] = ACTIONS(3718),
    [sym_html_comment] = ACTIONS(5),
  },
  [1369] = {
    [sym_comment] = STATE(1369),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1370] = {
    [sym_comment] = STATE(1370),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_export] = ACTIONS(2410),
    [anon_sym_type] = ACTIONS(2410),
    [anon_sym_namespace] = ACTIONS(2410),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(2410),
    [anon_sym_typeof] = ACTIONS(2410),
    [anon_sym_import] = ACTIONS(2410),
    [anon_sym_from] = ACTIONS(2410),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_var] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_const] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_else] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_switch] = ACTIONS(2410),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_await] = ACTIONS(2410),
    [anon_sym_of] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_break] = ACTIONS(2410),
    [anon_sym_continue] = ACTIONS(2410),
    [anon_sym_debugger] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_throw] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LTtemplate_GT] = ACTIONS(2410),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_class] = ACTIONS(2410),
    [anon_sym_async] = ACTIONS(2410),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_using] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_SLASH] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_void] = ACTIONS(2410),
    [anon_sym_delete] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2410),
    [sym_number] = ACTIONS(2410),
    [sym_private_property_identifier] = ACTIONS(2410),
    [sym_this] = ACTIONS(2410),
    [sym_super] = ACTIONS(2410),
    [sym_true] = ACTIONS(2410),
    [sym_false] = ACTIONS(2410),
    [sym_null] = ACTIONS(2410),
    [sym_undefined] = ACTIONS(2410),
    [anon_sym_AT] = ACTIONS(2410),
    [anon_sym_static] = ACTIONS(2410),
    [anon_sym_readonly] = ACTIONS(2410),
    [anon_sym_get] = ACTIONS(2410),
    [anon_sym_set] = ACTIONS(2410),
    [anon_sym_declare] = ACTIONS(2410),
    [anon_sym_public] = ACTIONS(2410),
    [anon_sym_private] = ACTIONS(2410),
    [anon_sym_protected] = ACTIONS(2410),
    [anon_sym_override] = ACTIONS(2410),
    [anon_sym_module] = ACTIONS(2410),
    [anon_sym_any] = ACTIONS(2410),
    [anon_sym_number] = ACTIONS(2410),
    [anon_sym_boolean] = ACTIONS(2410),
    [anon_sym_string] = ACTIONS(2410),
    [anon_sym_symbol] = ACTIONS(2410),
    [anon_sym_object] = ACTIONS(2410),
    [anon_sym_property] = ACTIONS(2410),
    [anon_sym_signal] = ACTIONS(2410),
    [anon_sym_on] = ACTIONS(2410),
    [anon_sym_required] = ACTIONS(2410),
    [anon_sym_component] = ACTIONS(2410),
    [anon_sym_abstract] = ACTIONS(2410),
    [anon_sym_interface] = ACTIONS(2410),
    [anon_sym_enum] = ACTIONS(2410),
    [sym_html_comment] = ACTIONS(5),
  },
  [1371] = {
    [sym_comment] = STATE(1371),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1372] = {
    [sym_comment] = STATE(1372),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_export] = ACTIONS(2370),
    [anon_sym_type] = ACTIONS(2370),
    [anon_sym_namespace] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_import] = ACTIONS(2370),
    [anon_sym_from] = ACTIONS(2370),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_var] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_const] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_else] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_switch] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_await] = ACTIONS(2370),
    [anon_sym_of] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_debugger] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LTtemplate_GT] = ACTIONS(2370),
    [anon_sym_DOT] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_async] = ACTIONS(2370),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_using] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_SLASH] = ACTIONS(2370),
    [anon_sym_LT] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2370),
    [sym_number] = ACTIONS(2370),
    [sym_private_property_identifier] = ACTIONS(2370),
    [sym_this] = ACTIONS(2370),
    [sym_super] = ACTIONS(2370),
    [sym_true] = ACTIONS(2370),
    [sym_false] = ACTIONS(2370),
    [sym_null] = ACTIONS(2370),
    [sym_undefined] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2370),
    [anon_sym_readonly] = ACTIONS(2370),
    [anon_sym_get] = ACTIONS(2370),
    [anon_sym_set] = ACTIONS(2370),
    [anon_sym_declare] = ACTIONS(2370),
    [anon_sym_public] = ACTIONS(2370),
    [anon_sym_private] = ACTIONS(2370),
    [anon_sym_protected] = ACTIONS(2370),
    [anon_sym_override] = ACTIONS(2370),
    [anon_sym_module] = ACTIONS(2370),
    [anon_sym_any] = ACTIONS(2370),
    [anon_sym_number] = ACTIONS(2370),
    [anon_sym_boolean] = ACTIONS(2370),
    [anon_sym_string] = ACTIONS(2370),
    [anon_sym_symbol] = ACTIONS(2370),
    [anon_sym_object] = ACTIONS(2370),
    [anon_sym_property] = ACTIONS(2370),
    [anon_sym_signal] = ACTIONS(2370),
    [anon_sym_on] = ACTIONS(2370),
    [anon_sym_required] = ACTIONS(2370),
    [anon_sym_component] = ACTIONS(2370),
    [anon_sym_abstract] = ACTIONS(2370),
    [anon_sym_interface] = ACTIONS(2370),
    [anon_sym_enum] = ACTIONS(2370),
    [sym_html_comment] = ACTIONS(5),
  },
  [1373] = {
    [sym_comment] = STATE(1373),
    [sym_identifier] = ACTIONS(3610),
    [anon_sym_export] = ACTIONS(3610),
    [anon_sym_default] = ACTIONS(3610),
    [anon_sym_type] = ACTIONS(3610),
    [anon_sym_namespace] = ACTIONS(3610),
    [anon_sym_LBRACE] = ACTIONS(3610),
    [anon_sym_RBRACE] = ACTIONS(3610),
    [anon_sym_typeof] = ACTIONS(3610),
    [anon_sym_import] = ACTIONS(3610),
    [anon_sym_from] = ACTIONS(3610),
    [anon_sym_with] = ACTIONS(3610),
    [anon_sym_var] = ACTIONS(3610),
    [anon_sym_let] = ACTIONS(3610),
    [anon_sym_const] = ACTIONS(3610),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_if] = ACTIONS(3610),
    [anon_sym_switch] = ACTIONS(3610),
    [anon_sym_for] = ACTIONS(3610),
    [anon_sym_LPAREN] = ACTIONS(3610),
    [anon_sym_await] = ACTIONS(3610),
    [anon_sym_of] = ACTIONS(3610),
    [anon_sym_while] = ACTIONS(3610),
    [anon_sym_do] = ACTIONS(3610),
    [anon_sym_try] = ACTIONS(3610),
    [anon_sym_break] = ACTIONS(3610),
    [anon_sym_continue] = ACTIONS(3610),
    [anon_sym_debugger] = ACTIONS(3610),
    [anon_sym_return] = ACTIONS(3610),
    [anon_sym_throw] = ACTIONS(3610),
    [anon_sym_SEMI] = ACTIONS(3610),
    [anon_sym_case] = ACTIONS(3610),
    [anon_sym_yield] = ACTIONS(3610),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_LTtemplate_GT] = ACTIONS(3610),
    [anon_sym_DQUOTE] = ACTIONS(3610),
    [anon_sym_SQUOTE] = ACTIONS(3610),
    [anon_sym_class] = ACTIONS(3610),
    [anon_sym_async] = ACTIONS(3610),
    [anon_sym_function] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3610),
    [anon_sym_using] = ACTIONS(3610),
    [anon_sym_PLUS] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3610),
    [anon_sym_SLASH] = ACTIONS(3610),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_void] = ACTIONS(3610),
    [anon_sym_delete] = ACTIONS(3610),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3610),
    [sym_number] = ACTIONS(3610),
    [sym_private_property_identifier] = ACTIONS(3610),
    [sym_this] = ACTIONS(3610),
    [sym_super] = ACTIONS(3610),
    [sym_true] = ACTIONS(3610),
    [sym_false] = ACTIONS(3610),
    [sym_null] = ACTIONS(3610),
    [sym_undefined] = ACTIONS(3610),
    [anon_sym_AT] = ACTIONS(3610),
    [anon_sym_static] = ACTIONS(3610),
    [anon_sym_readonly] = ACTIONS(3610),
    [anon_sym_get] = ACTIONS(3610),
    [anon_sym_set] = ACTIONS(3610),
    [anon_sym_declare] = ACTIONS(3610),
    [anon_sym_public] = ACTIONS(3610),
    [anon_sym_private] = ACTIONS(3610),
    [anon_sym_protected] = ACTIONS(3610),
    [anon_sym_override] = ACTIONS(3610),
    [anon_sym_module] = ACTIONS(3610),
    [anon_sym_any] = ACTIONS(3610),
    [anon_sym_number] = ACTIONS(3610),
    [anon_sym_boolean] = ACTIONS(3610),
    [anon_sym_string] = ACTIONS(3610),
    [anon_sym_symbol] = ACTIONS(3610),
    [anon_sym_object] = ACTIONS(3610),
    [anon_sym_property] = ACTIONS(3610),
    [anon_sym_signal] = ACTIONS(3610),
    [anon_sym_on] = ACTIONS(3610),
    [anon_sym_required] = ACTIONS(3610),
    [anon_sym_component] = ACTIONS(3610),
    [anon_sym_abstract] = ACTIONS(3610),
    [anon_sym_interface] = ACTIONS(3610),
    [anon_sym_enum] = ACTIONS(3610),
    [sym_html_comment] = ACTIONS(5),
  },
  [1374] = {
    [sym_comment] = STATE(1374),
    [sym_identifier] = ACTIONS(3610),
    [anon_sym_export] = ACTIONS(3610),
    [anon_sym_default] = ACTIONS(3610),
    [anon_sym_type] = ACTIONS(3610),
    [anon_sym_namespace] = ACTIONS(3610),
    [anon_sym_LBRACE] = ACTIONS(3610),
    [anon_sym_RBRACE] = ACTIONS(3610),
    [anon_sym_typeof] = ACTIONS(3610),
    [anon_sym_import] = ACTIONS(3610),
    [anon_sym_from] = ACTIONS(3610),
    [anon_sym_with] = ACTIONS(3610),
    [anon_sym_var] = ACTIONS(3610),
    [anon_sym_let] = ACTIONS(3610),
    [anon_sym_const] = ACTIONS(3610),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_if] = ACTIONS(3610),
    [anon_sym_switch] = ACTIONS(3610),
    [anon_sym_for] = ACTIONS(3610),
    [anon_sym_LPAREN] = ACTIONS(3610),
    [anon_sym_await] = ACTIONS(3610),
    [anon_sym_of] = ACTIONS(3610),
    [anon_sym_while] = ACTIONS(3610),
    [anon_sym_do] = ACTIONS(3610),
    [anon_sym_try] = ACTIONS(3610),
    [anon_sym_break] = ACTIONS(3610),
    [anon_sym_continue] = ACTIONS(3610),
    [anon_sym_debugger] = ACTIONS(3610),
    [anon_sym_return] = ACTIONS(3610),
    [anon_sym_throw] = ACTIONS(3610),
    [anon_sym_SEMI] = ACTIONS(3610),
    [anon_sym_case] = ACTIONS(3610),
    [anon_sym_yield] = ACTIONS(3610),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_LTtemplate_GT] = ACTIONS(3610),
    [anon_sym_DQUOTE] = ACTIONS(3610),
    [anon_sym_SQUOTE] = ACTIONS(3610),
    [anon_sym_class] = ACTIONS(3610),
    [anon_sym_async] = ACTIONS(3610),
    [anon_sym_function] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3610),
    [anon_sym_using] = ACTIONS(3610),
    [anon_sym_PLUS] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3610),
    [anon_sym_SLASH] = ACTIONS(3610),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_void] = ACTIONS(3610),
    [anon_sym_delete] = ACTIONS(3610),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3610),
    [sym_number] = ACTIONS(3610),
    [sym_private_property_identifier] = ACTIONS(3610),
    [sym_this] = ACTIONS(3610),
    [sym_super] = ACTIONS(3610),
    [sym_true] = ACTIONS(3610),
    [sym_false] = ACTIONS(3610),
    [sym_null] = ACTIONS(3610),
    [sym_undefined] = ACTIONS(3610),
    [anon_sym_AT] = ACTIONS(3610),
    [anon_sym_static] = ACTIONS(3610),
    [anon_sym_readonly] = ACTIONS(3610),
    [anon_sym_get] = ACTIONS(3610),
    [anon_sym_set] = ACTIONS(3610),
    [anon_sym_declare] = ACTIONS(3610),
    [anon_sym_public] = ACTIONS(3610),
    [anon_sym_private] = ACTIONS(3610),
    [anon_sym_protected] = ACTIONS(3610),
    [anon_sym_override] = ACTIONS(3610),
    [anon_sym_module] = ACTIONS(3610),
    [anon_sym_any] = ACTIONS(3610),
    [anon_sym_number] = ACTIONS(3610),
    [anon_sym_boolean] = ACTIONS(3610),
    [anon_sym_string] = ACTIONS(3610),
    [anon_sym_symbol] = ACTIONS(3610),
    [anon_sym_object] = ACTIONS(3610),
    [anon_sym_property] = ACTIONS(3610),
    [anon_sym_signal] = ACTIONS(3610),
    [anon_sym_on] = ACTIONS(3610),
    [anon_sym_required] = ACTIONS(3610),
    [anon_sym_component] = ACTIONS(3610),
    [anon_sym_abstract] = ACTIONS(3610),
    [anon_sym_interface] = ACTIONS(3610),
    [anon_sym_enum] = ACTIONS(3610),
    [sym_html_comment] = ACTIONS(5),
  },
  [1375] = {
    [sym_comment] = STATE(1375),
    [sym_identifier] = ACTIONS(3694),
    [anon_sym_export] = ACTIONS(3694),
    [anon_sym_default] = ACTIONS(3694),
    [anon_sym_type] = ACTIONS(3694),
    [anon_sym_namespace] = ACTIONS(3694),
    [anon_sym_LBRACE] = ACTIONS(3694),
    [anon_sym_RBRACE] = ACTIONS(3694),
    [anon_sym_typeof] = ACTIONS(3694),
    [anon_sym_import] = ACTIONS(3694),
    [anon_sym_from] = ACTIONS(3694),
    [anon_sym_with] = ACTIONS(3694),
    [anon_sym_var] = ACTIONS(3694),
    [anon_sym_let] = ACTIONS(3694),
    [anon_sym_const] = ACTIONS(3694),
    [anon_sym_BANG] = ACTIONS(3694),
    [anon_sym_if] = ACTIONS(3694),
    [anon_sym_switch] = ACTIONS(3694),
    [anon_sym_for] = ACTIONS(3694),
    [anon_sym_LPAREN] = ACTIONS(3694),
    [anon_sym_await] = ACTIONS(3694),
    [anon_sym_of] = ACTIONS(3694),
    [anon_sym_while] = ACTIONS(3694),
    [anon_sym_do] = ACTIONS(3694),
    [anon_sym_try] = ACTIONS(3694),
    [anon_sym_break] = ACTIONS(3694),
    [anon_sym_continue] = ACTIONS(3694),
    [anon_sym_debugger] = ACTIONS(3694),
    [anon_sym_return] = ACTIONS(3694),
    [anon_sym_throw] = ACTIONS(3694),
    [anon_sym_SEMI] = ACTIONS(3694),
    [anon_sym_case] = ACTIONS(3694),
    [anon_sym_yield] = ACTIONS(3694),
    [anon_sym_LBRACK] = ACTIONS(3694),
    [anon_sym_LTtemplate_GT] = ACTIONS(3694),
    [anon_sym_DQUOTE] = ACTIONS(3694),
    [anon_sym_SQUOTE] = ACTIONS(3694),
    [anon_sym_class] = ACTIONS(3694),
    [anon_sym_async] = ACTIONS(3694),
    [anon_sym_function] = ACTIONS(3694),
    [anon_sym_new] = ACTIONS(3694),
    [anon_sym_using] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3694),
    [anon_sym_DASH] = ACTIONS(3694),
    [anon_sym_SLASH] = ACTIONS(3694),
    [anon_sym_LT] = ACTIONS(3694),
    [anon_sym_TILDE] = ACTIONS(3694),
    [anon_sym_void] = ACTIONS(3694),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_PLUS_PLUS] = ACTIONS(3694),
    [anon_sym_DASH_DASH] = ACTIONS(3694),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3694),
    [sym_number] = ACTIONS(3694),
    [sym_private_property_identifier] = ACTIONS(3694),
    [sym_this] = ACTIONS(3694),
    [sym_super] = ACTIONS(3694),
    [sym_true] = ACTIONS(3694),
    [sym_false] = ACTIONS(3694),
    [sym_null] = ACTIONS(3694),
    [sym_undefined] = ACTIONS(3694),
    [anon_sym_AT] = ACTIONS(3694),
    [anon_sym_static] = ACTIONS(3694),
    [anon_sym_readonly] = ACTIONS(3694),
    [anon_sym_get] = ACTIONS(3694),
    [anon_sym_set] = ACTIONS(3694),
    [anon_sym_declare] = ACTIONS(3694),
    [anon_sym_public] = ACTIONS(3694),
    [anon_sym_private] = ACTIONS(3694),
    [anon_sym_protected] = ACTIONS(3694),
    [anon_sym_override] = ACTIONS(3694),
    [anon_sym_module] = ACTIONS(3694),
    [anon_sym_any] = ACTIONS(3694),
    [anon_sym_number] = ACTIONS(3694),
    [anon_sym_boolean] = ACTIONS(3694),
    [anon_sym_string] = ACTIONS(3694),
    [anon_sym_symbol] = ACTIONS(3694),
    [anon_sym_object] = ACTIONS(3694),
    [anon_sym_property] = ACTIONS(3694),
    [anon_sym_signal] = ACTIONS(3694),
    [anon_sym_on] = ACTIONS(3694),
    [anon_sym_required] = ACTIONS(3694),
    [anon_sym_component] = ACTIONS(3694),
    [anon_sym_abstract] = ACTIONS(3694),
    [anon_sym_interface] = ACTIONS(3694),
    [anon_sym_enum] = ACTIONS(3694),
    [sym_html_comment] = ACTIONS(5),
  },
  [1376] = {
    [sym_comment] = STATE(1376),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_RBRACE] = ACTIONS(2362),
    [anon_sym_typeof] = ACTIONS(2362),
    [anon_sym_import] = ACTIONS(2362),
    [anon_sym_from] = ACTIONS(2362),
    [anon_sym_with] = ACTIONS(2362),
    [anon_sym_var] = ACTIONS(2362),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_const] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_else] = ACTIONS(2362),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_switch] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2362),
    [anon_sym_LPAREN] = ACTIONS(2362),
    [anon_sym_await] = ACTIONS(2362),
    [anon_sym_of] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_do] = ACTIONS(2362),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_break] = ACTIONS(2362),
    [anon_sym_continue] = ACTIONS(2362),
    [anon_sym_debugger] = ACTIONS(2362),
    [anon_sym_return] = ACTIONS(2362),
    [anon_sym_throw] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym_yield] = ACTIONS(2362),
    [anon_sym_LBRACK] = ACTIONS(2362),
    [anon_sym_LTtemplate_GT] = ACTIONS(2362),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_class] = ACTIONS(2362),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(2362),
    [anon_sym_using] = ACTIONS(2362),
    [anon_sym_PLUS] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2362),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_void] = ACTIONS(2362),
    [anon_sym_delete] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2362),
    [sym_number] = ACTIONS(2362),
    [sym_private_property_identifier] = ACTIONS(2362),
    [sym_this] = ACTIONS(2362),
    [sym_super] = ACTIONS(2362),
    [sym_true] = ACTIONS(2362),
    [sym_false] = ACTIONS(2362),
    [sym_null] = ACTIONS(2362),
    [sym_undefined] = ACTIONS(2362),
    [anon_sym_AT] = ACTIONS(2362),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2362),
    [anon_sym_get] = ACTIONS(2362),
    [anon_sym_set] = ACTIONS(2362),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_property] = ACTIONS(2362),
    [anon_sym_signal] = ACTIONS(2362),
    [anon_sym_on] = ACTIONS(2362),
    [anon_sym_required] = ACTIONS(2362),
    [anon_sym_component] = ACTIONS(2362),
    [anon_sym_abstract] = ACTIONS(2362),
    [anon_sym_interface] = ACTIONS(2362),
    [anon_sym_enum] = ACTIONS(2362),
    [sym__automatic_semicolon] = ACTIONS(2598),
    [sym_html_comment] = ACTIONS(5),
  },
  [1377] = {
    [sym_comment] = STATE(1377),
    [sym_identifier] = ACTIONS(2426),
    [anon_sym_export] = ACTIONS(2426),
    [anon_sym_type] = ACTIONS(2426),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_RBRACE] = ACTIONS(2426),
    [anon_sym_typeof] = ACTIONS(2426),
    [anon_sym_import] = ACTIONS(2426),
    [anon_sym_from] = ACTIONS(2426),
    [anon_sym_with] = ACTIONS(2426),
    [anon_sym_var] = ACTIONS(2426),
    [anon_sym_let] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_else] = ACTIONS(2426),
    [anon_sym_if] = ACTIONS(2426),
    [anon_sym_switch] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_await] = ACTIONS(2426),
    [anon_sym_of] = ACTIONS(2426),
    [anon_sym_while] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2426),
    [anon_sym_break] = ACTIONS(2426),
    [anon_sym_continue] = ACTIONS(2426),
    [anon_sym_debugger] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_LTtemplate_GT] = ACTIONS(2426),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_async] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_void] = ACTIONS(2426),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2426),
    [sym_number] = ACTIONS(2426),
    [sym_private_property_identifier] = ACTIONS(2426),
    [sym_this] = ACTIONS(2426),
    [sym_super] = ACTIONS(2426),
    [sym_true] = ACTIONS(2426),
    [sym_false] = ACTIONS(2426),
    [sym_null] = ACTIONS(2426),
    [sym_undefined] = ACTIONS(2426),
    [anon_sym_AT] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_readonly] = ACTIONS(2426),
    [anon_sym_get] = ACTIONS(2426),
    [anon_sym_set] = ACTIONS(2426),
    [anon_sym_declare] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_override] = ACTIONS(2426),
    [anon_sym_module] = ACTIONS(2426),
    [anon_sym_any] = ACTIONS(2426),
    [anon_sym_number] = ACTIONS(2426),
    [anon_sym_boolean] = ACTIONS(2426),
    [anon_sym_string] = ACTIONS(2426),
    [anon_sym_symbol] = ACTIONS(2426),
    [anon_sym_object] = ACTIONS(2426),
    [anon_sym_property] = ACTIONS(2426),
    [anon_sym_signal] = ACTIONS(2426),
    [anon_sym_on] = ACTIONS(2426),
    [anon_sym_required] = ACTIONS(2426),
    [anon_sym_component] = ACTIONS(2426),
    [anon_sym_abstract] = ACTIONS(2426),
    [anon_sym_interface] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [sym__automatic_semicolon] = ACTIONS(2584),
    [sym_html_comment] = ACTIONS(5),
  },
  [1378] = {
    [sym_comment] = STATE(1378),
    [sym_identifier] = ACTIONS(2478),
    [anon_sym_export] = ACTIONS(2478),
    [anon_sym_type] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_typeof] = ACTIONS(2478),
    [anon_sym_import] = ACTIONS(2478),
    [anon_sym_from] = ACTIONS(2478),
    [anon_sym_with] = ACTIONS(2478),
    [anon_sym_var] = ACTIONS(2478),
    [anon_sym_let] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_else] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_LPAREN] = ACTIONS(2478),
    [anon_sym_await] = ACTIONS(2478),
    [anon_sym_of] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_debugger] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_LTtemplate_GT] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_async] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_SLASH] = ACTIONS(2478),
    [anon_sym_LT] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [anon_sym_void] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2478),
    [sym_number] = ACTIONS(2478),
    [sym_private_property_identifier] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
    [sym_super] = ACTIONS(2478),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [sym_null] = ACTIONS(2478),
    [sym_undefined] = ACTIONS(2478),
    [anon_sym_AT] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_readonly] = ACTIONS(2478),
    [anon_sym_get] = ACTIONS(2478),
    [anon_sym_set] = ACTIONS(2478),
    [anon_sym_declare] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_override] = ACTIONS(2478),
    [anon_sym_module] = ACTIONS(2478),
    [anon_sym_any] = ACTIONS(2478),
    [anon_sym_number] = ACTIONS(2478),
    [anon_sym_boolean] = ACTIONS(2478),
    [anon_sym_string] = ACTIONS(2478),
    [anon_sym_symbol] = ACTIONS(2478),
    [anon_sym_object] = ACTIONS(2478),
    [anon_sym_property] = ACTIONS(2478),
    [anon_sym_signal] = ACTIONS(2478),
    [anon_sym_on] = ACTIONS(2478),
    [anon_sym_required] = ACTIONS(2478),
    [anon_sym_component] = ACTIONS(2478),
    [anon_sym_abstract] = ACTIONS(2478),
    [anon_sym_interface] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [sym__automatic_semicolon] = ACTIONS(2576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1379] = {
    [sym_comment] = STATE(1379),
    [sym_identifier] = ACTIONS(2354),
    [anon_sym_export] = ACTIONS(2354),
    [anon_sym_type] = ACTIONS(2354),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2354),
    [anon_sym_RBRACE] = ACTIONS(2354),
    [anon_sym_typeof] = ACTIONS(2354),
    [anon_sym_import] = ACTIONS(2354),
    [anon_sym_from] = ACTIONS(2354),
    [anon_sym_with] = ACTIONS(2354),
    [anon_sym_var] = ACTIONS(2354),
    [anon_sym_let] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2354),
    [anon_sym_else] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_LPAREN] = ACTIONS(2354),
    [anon_sym_await] = ACTIONS(2354),
    [anon_sym_of] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_debugger] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2354),
    [anon_sym_yield] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_LTtemplate_GT] = ACTIONS(2354),
    [anon_sym_DQUOTE] = ACTIONS(2354),
    [anon_sym_SQUOTE] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_async] = ACTIONS(2354),
    [anon_sym_function] = ACTIONS(2354),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_SLASH] = ACTIONS(2354),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_void] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_PLUS_PLUS] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2354),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2354),
    [sym_number] = ACTIONS(2354),
    [sym_private_property_identifier] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [sym_super] = ACTIONS(2354),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [sym_null] = ACTIONS(2354),
    [sym_undefined] = ACTIONS(2354),
    [anon_sym_AT] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_readonly] = ACTIONS(2354),
    [anon_sym_get] = ACTIONS(2354),
    [anon_sym_set] = ACTIONS(2354),
    [anon_sym_declare] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_override] = ACTIONS(2354),
    [anon_sym_module] = ACTIONS(2354),
    [anon_sym_any] = ACTIONS(2354),
    [anon_sym_number] = ACTIONS(2354),
    [anon_sym_boolean] = ACTIONS(2354),
    [anon_sym_string] = ACTIONS(2354),
    [anon_sym_symbol] = ACTIONS(2354),
    [anon_sym_object] = ACTIONS(2354),
    [anon_sym_property] = ACTIONS(2354),
    [anon_sym_signal] = ACTIONS(2354),
    [anon_sym_on] = ACTIONS(2354),
    [anon_sym_required] = ACTIONS(2354),
    [anon_sym_component] = ACTIONS(2354),
    [anon_sym_abstract] = ACTIONS(2354),
    [anon_sym_interface] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [sym__automatic_semicolon] = ACTIONS(2604),
    [sym_html_comment] = ACTIONS(5),
  },
  [1380] = {
    [sym_comment] = STATE(1380),
    [sym_identifier] = ACTIONS(2374),
    [anon_sym_export] = ACTIONS(2374),
    [anon_sym_type] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [anon_sym_typeof] = ACTIONS(2374),
    [anon_sym_import] = ACTIONS(2374),
    [anon_sym_from] = ACTIONS(2374),
    [anon_sym_with] = ACTIONS(2374),
    [anon_sym_var] = ACTIONS(2374),
    [anon_sym_let] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_else] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [anon_sym_await] = ACTIONS(2374),
    [anon_sym_of] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_debugger] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym_yield] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_LTtemplate_GT] = ACTIONS(2374),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_async] = ACTIONS(2374),
    [anon_sym_function] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_SLASH] = ACTIONS(2374),
    [anon_sym_LT] = ACTIONS(2374),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_void] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2374),
    [sym_number] = ACTIONS(2374),
    [sym_private_property_identifier] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [sym_super] = ACTIONS(2374),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [sym_null] = ACTIONS(2374),
    [sym_undefined] = ACTIONS(2374),
    [anon_sym_AT] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_readonly] = ACTIONS(2374),
    [anon_sym_get] = ACTIONS(2374),
    [anon_sym_set] = ACTIONS(2374),
    [anon_sym_declare] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_override] = ACTIONS(2374),
    [anon_sym_module] = ACTIONS(2374),
    [anon_sym_any] = ACTIONS(2374),
    [anon_sym_number] = ACTIONS(2374),
    [anon_sym_boolean] = ACTIONS(2374),
    [anon_sym_string] = ACTIONS(2374),
    [anon_sym_symbol] = ACTIONS(2374),
    [anon_sym_object] = ACTIONS(2374),
    [anon_sym_property] = ACTIONS(2374),
    [anon_sym_signal] = ACTIONS(2374),
    [anon_sym_on] = ACTIONS(2374),
    [anon_sym_required] = ACTIONS(2374),
    [anon_sym_component] = ACTIONS(2374),
    [anon_sym_abstract] = ACTIONS(2374),
    [anon_sym_interface] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [sym__automatic_semicolon] = ACTIONS(2608),
    [sym_html_comment] = ACTIONS(5),
  },
  [1381] = {
    [sym_comment] = STATE(1381),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1382] = {
    [sym_comment] = STATE(1382),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1383] = {
    [sym_comment] = STATE(1383),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_finally] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(3720),
    [sym_html_comment] = ACTIONS(5),
  },
  [1384] = {
    [sym_comment] = STATE(1384),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1385] = {
    [sym_comment] = STATE(1385),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1386] = {
    [sym_comment] = STATE(1386),
    [sym_identifier] = ACTIONS(3500),
    [anon_sym_export] = ACTIONS(3500),
    [anon_sym_default] = ACTIONS(3500),
    [anon_sym_type] = ACTIONS(3500),
    [anon_sym_namespace] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3500),
    [anon_sym_RBRACE] = ACTIONS(3500),
    [anon_sym_typeof] = ACTIONS(3500),
    [anon_sym_import] = ACTIONS(3500),
    [anon_sym_from] = ACTIONS(3500),
    [anon_sym_with] = ACTIONS(3500),
    [anon_sym_var] = ACTIONS(3500),
    [anon_sym_let] = ACTIONS(3500),
    [anon_sym_const] = ACTIONS(3500),
    [anon_sym_BANG] = ACTIONS(3500),
    [anon_sym_if] = ACTIONS(3500),
    [anon_sym_switch] = ACTIONS(3500),
    [anon_sym_for] = ACTIONS(3500),
    [anon_sym_LPAREN] = ACTIONS(3500),
    [anon_sym_await] = ACTIONS(3500),
    [anon_sym_of] = ACTIONS(3500),
    [anon_sym_while] = ACTIONS(3500),
    [anon_sym_do] = ACTIONS(3500),
    [anon_sym_try] = ACTIONS(3500),
    [anon_sym_break] = ACTIONS(3500),
    [anon_sym_continue] = ACTIONS(3500),
    [anon_sym_debugger] = ACTIONS(3500),
    [anon_sym_return] = ACTIONS(3500),
    [anon_sym_throw] = ACTIONS(3500),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_case] = ACTIONS(3500),
    [anon_sym_yield] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(3500),
    [anon_sym_LTtemplate_GT] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_SQUOTE] = ACTIONS(3500),
    [anon_sym_class] = ACTIONS(3500),
    [anon_sym_async] = ACTIONS(3500),
    [anon_sym_function] = ACTIONS(3500),
    [anon_sym_new] = ACTIONS(3500),
    [anon_sym_using] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_SLASH] = ACTIONS(3500),
    [anon_sym_LT] = ACTIONS(3500),
    [anon_sym_TILDE] = ACTIONS(3500),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_PLUS_PLUS] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(3500),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3500),
    [sym_number] = ACTIONS(3500),
    [sym_private_property_identifier] = ACTIONS(3500),
    [sym_this] = ACTIONS(3500),
    [sym_super] = ACTIONS(3500),
    [sym_true] = ACTIONS(3500),
    [sym_false] = ACTIONS(3500),
    [sym_null] = ACTIONS(3500),
    [sym_undefined] = ACTIONS(3500),
    [anon_sym_AT] = ACTIONS(3500),
    [anon_sym_static] = ACTIONS(3500),
    [anon_sym_readonly] = ACTIONS(3500),
    [anon_sym_get] = ACTIONS(3500),
    [anon_sym_set] = ACTIONS(3500),
    [anon_sym_declare] = ACTIONS(3500),
    [anon_sym_public] = ACTIONS(3500),
    [anon_sym_private] = ACTIONS(3500),
    [anon_sym_protected] = ACTIONS(3500),
    [anon_sym_override] = ACTIONS(3500),
    [anon_sym_module] = ACTIONS(3500),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_property] = ACTIONS(3500),
    [anon_sym_signal] = ACTIONS(3500),
    [anon_sym_on] = ACTIONS(3500),
    [anon_sym_required] = ACTIONS(3500),
    [anon_sym_component] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3500),
    [anon_sym_interface] = ACTIONS(3500),
    [anon_sym_enum] = ACTIONS(3500),
    [sym_html_comment] = ACTIONS(5),
  },
  [1387] = {
    [sym_comment] = STATE(1387),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1388] = {
    [sym_comment] = STATE(1388),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1389] = {
    [sym_comment] = STATE(1389),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1390] = {
    [sym_comment] = STATE(1390),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_default] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_case] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1391] = {
    [sym_comment] = STATE(1391),
    [sym_identifier] = ACTIONS(3640),
    [anon_sym_export] = ACTIONS(3640),
    [anon_sym_default] = ACTIONS(3640),
    [anon_sym_type] = ACTIONS(3640),
    [anon_sym_namespace] = ACTIONS(3640),
    [anon_sym_LBRACE] = ACTIONS(3640),
    [anon_sym_RBRACE] = ACTIONS(3640),
    [anon_sym_typeof] = ACTIONS(3640),
    [anon_sym_import] = ACTIONS(3640),
    [anon_sym_from] = ACTIONS(3640),
    [anon_sym_with] = ACTIONS(3640),
    [anon_sym_var] = ACTIONS(3640),
    [anon_sym_let] = ACTIONS(3640),
    [anon_sym_const] = ACTIONS(3640),
    [anon_sym_BANG] = ACTIONS(3640),
    [anon_sym_if] = ACTIONS(3640),
    [anon_sym_switch] = ACTIONS(3640),
    [anon_sym_for] = ACTIONS(3640),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_await] = ACTIONS(3640),
    [anon_sym_of] = ACTIONS(3640),
    [anon_sym_while] = ACTIONS(3640),
    [anon_sym_do] = ACTIONS(3640),
    [anon_sym_try] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3640),
    [anon_sym_continue] = ACTIONS(3640),
    [anon_sym_debugger] = ACTIONS(3640),
    [anon_sym_return] = ACTIONS(3640),
    [anon_sym_throw] = ACTIONS(3640),
    [anon_sym_SEMI] = ACTIONS(3640),
    [anon_sym_case] = ACTIONS(3640),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3640),
    [anon_sym_LTtemplate_GT] = ACTIONS(3640),
    [anon_sym_DQUOTE] = ACTIONS(3640),
    [anon_sym_SQUOTE] = ACTIONS(3640),
    [anon_sym_class] = ACTIONS(3640),
    [anon_sym_async] = ACTIONS(3640),
    [anon_sym_function] = ACTIONS(3640),
    [anon_sym_new] = ACTIONS(3640),
    [anon_sym_using] = ACTIONS(3640),
    [anon_sym_PLUS] = ACTIONS(3640),
    [anon_sym_DASH] = ACTIONS(3640),
    [anon_sym_SLASH] = ACTIONS(3640),
    [anon_sym_LT] = ACTIONS(3640),
    [anon_sym_TILDE] = ACTIONS(3640),
    [anon_sym_void] = ACTIONS(3640),
    [anon_sym_delete] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3640),
    [anon_sym_DASH_DASH] = ACTIONS(3640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3640),
    [sym_number] = ACTIONS(3640),
    [sym_private_property_identifier] = ACTIONS(3640),
    [sym_this] = ACTIONS(3640),
    [sym_super] = ACTIONS(3640),
    [sym_true] = ACTIONS(3640),
    [sym_false] = ACTIONS(3640),
    [sym_null] = ACTIONS(3640),
    [sym_undefined] = ACTIONS(3640),
    [anon_sym_AT] = ACTIONS(3640),
    [anon_sym_static] = ACTIONS(3640),
    [anon_sym_readonly] = ACTIONS(3640),
    [anon_sym_get] = ACTIONS(3640),
    [anon_sym_set] = ACTIONS(3640),
    [anon_sym_declare] = ACTIONS(3640),
    [anon_sym_public] = ACTIONS(3640),
    [anon_sym_private] = ACTIONS(3640),
    [anon_sym_protected] = ACTIONS(3640),
    [anon_sym_override] = ACTIONS(3640),
    [anon_sym_module] = ACTIONS(3640),
    [anon_sym_any] = ACTIONS(3640),
    [anon_sym_number] = ACTIONS(3640),
    [anon_sym_boolean] = ACTIONS(3640),
    [anon_sym_string] = ACTIONS(3640),
    [anon_sym_symbol] = ACTIONS(3640),
    [anon_sym_object] = ACTIONS(3640),
    [anon_sym_property] = ACTIONS(3640),
    [anon_sym_signal] = ACTIONS(3640),
    [anon_sym_on] = ACTIONS(3640),
    [anon_sym_required] = ACTIONS(3640),
    [anon_sym_component] = ACTIONS(3640),
    [anon_sym_abstract] = ACTIONS(3640),
    [anon_sym_interface] = ACTIONS(3640),
    [anon_sym_enum] = ACTIONS(3640),
    [sym_html_comment] = ACTIONS(5),
  },
  [1392] = {
    [sym_comment] = STATE(1392),
    [sym_identifier] = ACTIONS(3656),
    [anon_sym_export] = ACTIONS(3656),
    [anon_sym_default] = ACTIONS(3656),
    [anon_sym_type] = ACTIONS(3656),
    [anon_sym_namespace] = ACTIONS(3656),
    [anon_sym_LBRACE] = ACTIONS(3656),
    [anon_sym_RBRACE] = ACTIONS(3656),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_import] = ACTIONS(3656),
    [anon_sym_from] = ACTIONS(3656),
    [anon_sym_with] = ACTIONS(3656),
    [anon_sym_var] = ACTIONS(3656),
    [anon_sym_let] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3656),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_if] = ACTIONS(3656),
    [anon_sym_switch] = ACTIONS(3656),
    [anon_sym_for] = ACTIONS(3656),
    [anon_sym_LPAREN] = ACTIONS(3656),
    [anon_sym_await] = ACTIONS(3656),
    [anon_sym_of] = ACTIONS(3656),
    [anon_sym_while] = ACTIONS(3656),
    [anon_sym_do] = ACTIONS(3656),
    [anon_sym_try] = ACTIONS(3656),
    [anon_sym_break] = ACTIONS(3656),
    [anon_sym_continue] = ACTIONS(3656),
    [anon_sym_debugger] = ACTIONS(3656),
    [anon_sym_return] = ACTIONS(3656),
    [anon_sym_throw] = ACTIONS(3656),
    [anon_sym_SEMI] = ACTIONS(3656),
    [anon_sym_case] = ACTIONS(3656),
    [anon_sym_yield] = ACTIONS(3656),
    [anon_sym_LBRACK] = ACTIONS(3656),
    [anon_sym_LTtemplate_GT] = ACTIONS(3656),
    [anon_sym_DQUOTE] = ACTIONS(3656),
    [anon_sym_SQUOTE] = ACTIONS(3656),
    [anon_sym_class] = ACTIONS(3656),
    [anon_sym_async] = ACTIONS(3656),
    [anon_sym_function] = ACTIONS(3656),
    [anon_sym_new] = ACTIONS(3656),
    [anon_sym_using] = ACTIONS(3656),
    [anon_sym_PLUS] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3656),
    [anon_sym_SLASH] = ACTIONS(3656),
    [anon_sym_LT] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_void] = ACTIONS(3656),
    [anon_sym_delete] = ACTIONS(3656),
    [anon_sym_PLUS_PLUS] = ACTIONS(3656),
    [anon_sym_DASH_DASH] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3656),
    [sym_number] = ACTIONS(3656),
    [sym_private_property_identifier] = ACTIONS(3656),
    [sym_this] = ACTIONS(3656),
    [sym_super] = ACTIONS(3656),
    [sym_true] = ACTIONS(3656),
    [sym_false] = ACTIONS(3656),
    [sym_null] = ACTIONS(3656),
    [sym_undefined] = ACTIONS(3656),
    [anon_sym_AT] = ACTIONS(3656),
    [anon_sym_static] = ACTIONS(3656),
    [anon_sym_readonly] = ACTIONS(3656),
    [anon_sym_get] = ACTIONS(3656),
    [anon_sym_set] = ACTIONS(3656),
    [anon_sym_declare] = ACTIONS(3656),
    [anon_sym_public] = ACTIONS(3656),
    [anon_sym_private] = ACTIONS(3656),
    [anon_sym_protected] = ACTIONS(3656),
    [anon_sym_override] = ACTIONS(3656),
    [anon_sym_module] = ACTIONS(3656),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_property] = ACTIONS(3656),
    [anon_sym_signal] = ACTIONS(3656),
    [anon_sym_on] = ACTIONS(3656),
    [anon_sym_required] = ACTIONS(3656),
    [anon_sym_component] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3656),
    [anon_sym_interface] = ACTIONS(3656),
    [anon_sym_enum] = ACTIONS(3656),
    [sym_html_comment] = ACTIONS(5),
  },
  [1393] = {
    [sym_comment] = STATE(1393),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(2336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1394] = {
    [sym_comment] = STATE(1394),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_export] = ACTIONS(2434),
    [anon_sym_default] = ACTIONS(2434),
    [anon_sym_type] = ACTIONS(2434),
    [anon_sym_namespace] = ACTIONS(2434),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_typeof] = ACTIONS(2434),
    [anon_sym_import] = ACTIONS(2434),
    [anon_sym_from] = ACTIONS(2434),
    [anon_sym_with] = ACTIONS(2434),
    [anon_sym_var] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_const] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_switch] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_await] = ACTIONS(2434),
    [anon_sym_of] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_break] = ACTIONS(2434),
    [anon_sym_continue] = ACTIONS(2434),
    [anon_sym_debugger] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_case] = ACTIONS(2434),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LTtemplate_GT] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_class] = ACTIONS(2434),
    [anon_sym_async] = ACTIONS(2434),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_using] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_SLASH] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_void] = ACTIONS(2434),
    [anon_sym_delete] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2434),
    [sym_number] = ACTIONS(2434),
    [sym_private_property_identifier] = ACTIONS(2434),
    [sym_this] = ACTIONS(2434),
    [sym_super] = ACTIONS(2434),
    [sym_true] = ACTIONS(2434),
    [sym_false] = ACTIONS(2434),
    [sym_null] = ACTIONS(2434),
    [sym_undefined] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2434),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_readonly] = ACTIONS(2434),
    [anon_sym_get] = ACTIONS(2434),
    [anon_sym_set] = ACTIONS(2434),
    [anon_sym_declare] = ACTIONS(2434),
    [anon_sym_public] = ACTIONS(2434),
    [anon_sym_private] = ACTIONS(2434),
    [anon_sym_protected] = ACTIONS(2434),
    [anon_sym_override] = ACTIONS(2434),
    [anon_sym_module] = ACTIONS(2434),
    [anon_sym_any] = ACTIONS(2434),
    [anon_sym_number] = ACTIONS(2434),
    [anon_sym_boolean] = ACTIONS(2434),
    [anon_sym_string] = ACTIONS(2434),
    [anon_sym_symbol] = ACTIONS(2434),
    [anon_sym_object] = ACTIONS(2434),
    [anon_sym_property] = ACTIONS(2434),
    [anon_sym_signal] = ACTIONS(2434),
    [anon_sym_on] = ACTIONS(2434),
    [anon_sym_required] = ACTIONS(2434),
    [anon_sym_component] = ACTIONS(2434),
    [anon_sym_abstract] = ACTIONS(2434),
    [anon_sym_interface] = ACTIONS(2434),
    [anon_sym_enum] = ACTIONS(2434),
    [sym_html_comment] = ACTIONS(5),
  },
  [1395] = {
    [sym_comment] = STATE(1395),
    [sym_identifier] = ACTIONS(2338),
    [anon_sym_export] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2338),
    [anon_sym_type] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2338),
    [anon_sym_RBRACE] = ACTIONS(2338),
    [anon_sym_typeof] = ACTIONS(2338),
    [anon_sym_import] = ACTIONS(2338),
    [anon_sym_from] = ACTIONS(2338),
    [anon_sym_with] = ACTIONS(2338),
    [anon_sym_var] = ACTIONS(2338),
    [anon_sym_let] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_BANG] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_LPAREN] = ACTIONS(2338),
    [anon_sym_await] = ACTIONS(2338),
    [anon_sym_of] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_debugger] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2338),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_yield] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_LTtemplate_GT] = ACTIONS(2338),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_async] = ACTIONS(2338),
    [anon_sym_function] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_using] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_SLASH] = ACTIONS(2338),
    [anon_sym_LT] = ACTIONS(2338),
    [anon_sym_TILDE] = ACTIONS(2338),
    [anon_sym_void] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2338),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [sym_super] = ACTIONS(2338),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [sym_null] = ACTIONS(2338),
    [sym_undefined] = ACTIONS(2338),
    [anon_sym_AT] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_readonly] = ACTIONS(2338),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
    [anon_sym_declare] = ACTIONS(2338),
    [anon_sym_public] = ACTIONS(2338),
    [anon_sym_private] = ACTIONS(2338),
    [anon_sym_protected] = ACTIONS(2338),
    [anon_sym_override] = ACTIONS(2338),
    [anon_sym_module] = ACTIONS(2338),
    [anon_sym_any] = ACTIONS(2338),
    [anon_sym_number] = ACTIONS(2338),
    [anon_sym_boolean] = ACTIONS(2338),
    [anon_sym_string] = ACTIONS(2338),
    [anon_sym_symbol] = ACTIONS(2338),
    [anon_sym_object] = ACTIONS(2338),
    [anon_sym_property] = ACTIONS(2338),
    [anon_sym_signal] = ACTIONS(2338),
    [anon_sym_on] = ACTIONS(2338),
    [anon_sym_required] = ACTIONS(2338),
    [anon_sym_component] = ACTIONS(2338),
    [anon_sym_abstract] = ACTIONS(2338),
    [anon_sym_interface] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [sym_html_comment] = ACTIONS(5),
  },
  [1396] = {
    [sym_comment] = STATE(1396),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(3722),
    [sym_html_comment] = ACTIONS(5),
  },
  [1397] = {
    [sym_comment] = STATE(1397),
    [sym_identifier] = ACTIONS(3672),
    [anon_sym_export] = ACTIONS(3672),
    [anon_sym_default] = ACTIONS(3672),
    [anon_sym_type] = ACTIONS(3672),
    [anon_sym_namespace] = ACTIONS(3672),
    [anon_sym_LBRACE] = ACTIONS(3672),
    [anon_sym_RBRACE] = ACTIONS(3672),
    [anon_sym_typeof] = ACTIONS(3672),
    [anon_sym_import] = ACTIONS(3672),
    [anon_sym_from] = ACTIONS(3672),
    [anon_sym_with] = ACTIONS(3672),
    [anon_sym_var] = ACTIONS(3672),
    [anon_sym_let] = ACTIONS(3672),
    [anon_sym_const] = ACTIONS(3672),
    [anon_sym_BANG] = ACTIONS(3672),
    [anon_sym_if] = ACTIONS(3672),
    [anon_sym_switch] = ACTIONS(3672),
    [anon_sym_for] = ACTIONS(3672),
    [anon_sym_LPAREN] = ACTIONS(3672),
    [anon_sym_await] = ACTIONS(3672),
    [anon_sym_of] = ACTIONS(3672),
    [anon_sym_while] = ACTIONS(3672),
    [anon_sym_do] = ACTIONS(3672),
    [anon_sym_try] = ACTIONS(3672),
    [anon_sym_break] = ACTIONS(3672),
    [anon_sym_continue] = ACTIONS(3672),
    [anon_sym_debugger] = ACTIONS(3672),
    [anon_sym_return] = ACTIONS(3672),
    [anon_sym_throw] = ACTIONS(3672),
    [anon_sym_SEMI] = ACTIONS(3672),
    [anon_sym_case] = ACTIONS(3672),
    [anon_sym_yield] = ACTIONS(3672),
    [anon_sym_LBRACK] = ACTIONS(3672),
    [anon_sym_LTtemplate_GT] = ACTIONS(3672),
    [anon_sym_DQUOTE] = ACTIONS(3672),
    [anon_sym_SQUOTE] = ACTIONS(3672),
    [anon_sym_class] = ACTIONS(3672),
    [anon_sym_async] = ACTIONS(3672),
    [anon_sym_function] = ACTIONS(3672),
    [anon_sym_new] = ACTIONS(3672),
    [anon_sym_using] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3672),
    [anon_sym_DASH] = ACTIONS(3672),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_LT] = ACTIONS(3672),
    [anon_sym_TILDE] = ACTIONS(3672),
    [anon_sym_void] = ACTIONS(3672),
    [anon_sym_delete] = ACTIONS(3672),
    [anon_sym_PLUS_PLUS] = ACTIONS(3672),
    [anon_sym_DASH_DASH] = ACTIONS(3672),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3672),
    [sym_number] = ACTIONS(3672),
    [sym_private_property_identifier] = ACTIONS(3672),
    [sym_this] = ACTIONS(3672),
    [sym_super] = ACTIONS(3672),
    [sym_true] = ACTIONS(3672),
    [sym_false] = ACTIONS(3672),
    [sym_null] = ACTIONS(3672),
    [sym_undefined] = ACTIONS(3672),
    [anon_sym_AT] = ACTIONS(3672),
    [anon_sym_static] = ACTIONS(3672),
    [anon_sym_readonly] = ACTIONS(3672),
    [anon_sym_get] = ACTIONS(3672),
    [anon_sym_set] = ACTIONS(3672),
    [anon_sym_declare] = ACTIONS(3672),
    [anon_sym_public] = ACTIONS(3672),
    [anon_sym_private] = ACTIONS(3672),
    [anon_sym_protected] = ACTIONS(3672),
    [anon_sym_override] = ACTIONS(3672),
    [anon_sym_module] = ACTIONS(3672),
    [anon_sym_any] = ACTIONS(3672),
    [anon_sym_number] = ACTIONS(3672),
    [anon_sym_boolean] = ACTIONS(3672),
    [anon_sym_string] = ACTIONS(3672),
    [anon_sym_symbol] = ACTIONS(3672),
    [anon_sym_object] = ACTIONS(3672),
    [anon_sym_property] = ACTIONS(3672),
    [anon_sym_signal] = ACTIONS(3672),
    [anon_sym_on] = ACTIONS(3672),
    [anon_sym_required] = ACTIONS(3672),
    [anon_sym_component] = ACTIONS(3672),
    [anon_sym_abstract] = ACTIONS(3672),
    [anon_sym_interface] = ACTIONS(3672),
    [anon_sym_enum] = ACTIONS(3672),
    [sym_html_comment] = ACTIONS(5),
  },
  [1398] = {
    [sym_comment] = STATE(1398),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_finally] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(3724),
    [sym_html_comment] = ACTIONS(5),
  },
  [1399] = {
    [sym_comment] = STATE(1399),
    [sym_identifier] = ACTIONS(3684),
    [anon_sym_export] = ACTIONS(3684),
    [anon_sym_default] = ACTIONS(3684),
    [anon_sym_type] = ACTIONS(3684),
    [anon_sym_namespace] = ACTIONS(3684),
    [anon_sym_LBRACE] = ACTIONS(3684),
    [anon_sym_RBRACE] = ACTIONS(3684),
    [anon_sym_typeof] = ACTIONS(3684),
    [anon_sym_import] = ACTIONS(3684),
    [anon_sym_from] = ACTIONS(3684),
    [anon_sym_with] = ACTIONS(3684),
    [anon_sym_var] = ACTIONS(3684),
    [anon_sym_let] = ACTIONS(3684),
    [anon_sym_const] = ACTIONS(3684),
    [anon_sym_BANG] = ACTIONS(3684),
    [anon_sym_if] = ACTIONS(3684),
    [anon_sym_switch] = ACTIONS(3684),
    [anon_sym_for] = ACTIONS(3684),
    [anon_sym_LPAREN] = ACTIONS(3684),
    [anon_sym_await] = ACTIONS(3684),
    [anon_sym_of] = ACTIONS(3684),
    [anon_sym_while] = ACTIONS(3684),
    [anon_sym_do] = ACTIONS(3684),
    [anon_sym_try] = ACTIONS(3684),
    [anon_sym_break] = ACTIONS(3684),
    [anon_sym_continue] = ACTIONS(3684),
    [anon_sym_debugger] = ACTIONS(3684),
    [anon_sym_return] = ACTIONS(3684),
    [anon_sym_throw] = ACTIONS(3684),
    [anon_sym_SEMI] = ACTIONS(3684),
    [anon_sym_case] = ACTIONS(3684),
    [anon_sym_yield] = ACTIONS(3684),
    [anon_sym_LBRACK] = ACTIONS(3684),
    [anon_sym_LTtemplate_GT] = ACTIONS(3684),
    [anon_sym_DQUOTE] = ACTIONS(3684),
    [anon_sym_SQUOTE] = ACTIONS(3684),
    [anon_sym_class] = ACTIONS(3684),
    [anon_sym_async] = ACTIONS(3684),
    [anon_sym_function] = ACTIONS(3684),
    [anon_sym_new] = ACTIONS(3684),
    [anon_sym_using] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_SLASH] = ACTIONS(3684),
    [anon_sym_LT] = ACTIONS(3684),
    [anon_sym_TILDE] = ACTIONS(3684),
    [anon_sym_void] = ACTIONS(3684),
    [anon_sym_delete] = ACTIONS(3684),
    [anon_sym_PLUS_PLUS] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(3684),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3684),
    [sym_number] = ACTIONS(3684),
    [sym_private_property_identifier] = ACTIONS(3684),
    [sym_this] = ACTIONS(3684),
    [sym_super] = ACTIONS(3684),
    [sym_true] = ACTIONS(3684),
    [sym_false] = ACTIONS(3684),
    [sym_null] = ACTIONS(3684),
    [sym_undefined] = ACTIONS(3684),
    [anon_sym_AT] = ACTIONS(3684),
    [anon_sym_static] = ACTIONS(3684),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_get] = ACTIONS(3684),
    [anon_sym_set] = ACTIONS(3684),
    [anon_sym_declare] = ACTIONS(3684),
    [anon_sym_public] = ACTIONS(3684),
    [anon_sym_private] = ACTIONS(3684),
    [anon_sym_protected] = ACTIONS(3684),
    [anon_sym_override] = ACTIONS(3684),
    [anon_sym_module] = ACTIONS(3684),
    [anon_sym_any] = ACTIONS(3684),
    [anon_sym_number] = ACTIONS(3684),
    [anon_sym_boolean] = ACTIONS(3684),
    [anon_sym_string] = ACTIONS(3684),
    [anon_sym_symbol] = ACTIONS(3684),
    [anon_sym_object] = ACTIONS(3684),
    [anon_sym_property] = ACTIONS(3684),
    [anon_sym_signal] = ACTIONS(3684),
    [anon_sym_on] = ACTIONS(3684),
    [anon_sym_required] = ACTIONS(3684),
    [anon_sym_component] = ACTIONS(3684),
    [anon_sym_abstract] = ACTIONS(3684),
    [anon_sym_interface] = ACTIONS(3684),
    [anon_sym_enum] = ACTIONS(3684),
    [sym_html_comment] = ACTIONS(5),
  },
  [1400] = {
    [sym_comment] = STATE(1400),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_else] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_finally] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym_html_comment] = ACTIONS(5),
  },
  [1401] = {
    [sym_comment] = STATE(1401),
    [sym_identifier] = ACTIONS(3568),
    [anon_sym_export] = ACTIONS(3568),
    [anon_sym_default] = ACTIONS(3568),
    [anon_sym_type] = ACTIONS(3568),
    [anon_sym_namespace] = ACTIONS(3568),
    [anon_sym_LBRACE] = ACTIONS(3568),
    [anon_sym_RBRACE] = ACTIONS(3568),
    [anon_sym_typeof] = ACTIONS(3568),
    [anon_sym_import] = ACTIONS(3568),
    [anon_sym_from] = ACTIONS(3568),
    [anon_sym_with] = ACTIONS(3568),
    [anon_sym_var] = ACTIONS(3568),
    [anon_sym_let] = ACTIONS(3568),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_BANG] = ACTIONS(3568),
    [anon_sym_if] = ACTIONS(3568),
    [anon_sym_switch] = ACTIONS(3568),
    [anon_sym_for] = ACTIONS(3568),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_await] = ACTIONS(3568),
    [anon_sym_of] = ACTIONS(3568),
    [anon_sym_while] = ACTIONS(3568),
    [anon_sym_do] = ACTIONS(3568),
    [anon_sym_try] = ACTIONS(3568),
    [anon_sym_break] = ACTIONS(3568),
    [anon_sym_continue] = ACTIONS(3568),
    [anon_sym_debugger] = ACTIONS(3568),
    [anon_sym_return] = ACTIONS(3568),
    [anon_sym_throw] = ACTIONS(3568),
    [anon_sym_SEMI] = ACTIONS(3568),
    [anon_sym_case] = ACTIONS(3568),
    [anon_sym_yield] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3568),
    [anon_sym_LTtemplate_GT] = ACTIONS(3568),
    [anon_sym_DQUOTE] = ACTIONS(3568),
    [anon_sym_SQUOTE] = ACTIONS(3568),
    [anon_sym_class] = ACTIONS(3568),
    [anon_sym_async] = ACTIONS(3568),
    [anon_sym_function] = ACTIONS(3568),
    [anon_sym_new] = ACTIONS(3568),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_PLUS] = ACTIONS(3568),
    [anon_sym_DASH] = ACTIONS(3568),
    [anon_sym_SLASH] = ACTIONS(3568),
    [anon_sym_LT] = ACTIONS(3568),
    [anon_sym_TILDE] = ACTIONS(3568),
    [anon_sym_void] = ACTIONS(3568),
    [anon_sym_delete] = ACTIONS(3568),
    [anon_sym_PLUS_PLUS] = ACTIONS(3568),
    [anon_sym_DASH_DASH] = ACTIONS(3568),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3568),
    [sym_number] = ACTIONS(3568),
    [sym_private_property_identifier] = ACTIONS(3568),
    [sym_this] = ACTIONS(3568),
    [sym_super] = ACTIONS(3568),
    [sym_true] = ACTIONS(3568),
    [sym_false] = ACTIONS(3568),
    [sym_null] = ACTIONS(3568),
    [sym_undefined] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(3568),
    [anon_sym_static] = ACTIONS(3568),
    [anon_sym_readonly] = ACTIONS(3568),
    [anon_sym_get] = ACTIONS(3568),
    [anon_sym_set] = ACTIONS(3568),
    [anon_sym_declare] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3568),
    [anon_sym_private] = ACTIONS(3568),
    [anon_sym_protected] = ACTIONS(3568),
    [anon_sym_override] = ACTIONS(3568),
    [anon_sym_module] = ACTIONS(3568),
    [anon_sym_any] = ACTIONS(3568),
    [anon_sym_number] = ACTIONS(3568),
    [anon_sym_boolean] = ACTIONS(3568),
    [anon_sym_string] = ACTIONS(3568),
    [anon_sym_symbol] = ACTIONS(3568),
    [anon_sym_object] = ACTIONS(3568),
    [anon_sym_property] = ACTIONS(3568),
    [anon_sym_signal] = ACTIONS(3568),
    [anon_sym_on] = ACTIONS(3568),
    [anon_sym_required] = ACTIONS(3568),
    [anon_sym_component] = ACTIONS(3568),
    [anon_sym_abstract] = ACTIONS(3568),
    [anon_sym_interface] = ACTIONS(3568),
    [anon_sym_enum] = ACTIONS(3568),
    [sym_html_comment] = ACTIONS(5),
  },
  [1402] = {
    [sym_comment] = STATE(1402),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_export] = ACTIONS(3700),
    [anon_sym_default] = ACTIONS(3700),
    [anon_sym_type] = ACTIONS(3700),
    [anon_sym_namespace] = ACTIONS(3700),
    [anon_sym_LBRACE] = ACTIONS(3700),
    [anon_sym_RBRACE] = ACTIONS(3700),
    [anon_sym_typeof] = ACTIONS(3700),
    [anon_sym_import] = ACTIONS(3700),
    [anon_sym_from] = ACTIONS(3700),
    [anon_sym_with] = ACTIONS(3700),
    [anon_sym_var] = ACTIONS(3700),
    [anon_sym_let] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3700),
    [anon_sym_BANG] = ACTIONS(3700),
    [anon_sym_if] = ACTIONS(3700),
    [anon_sym_switch] = ACTIONS(3700),
    [anon_sym_for] = ACTIONS(3700),
    [anon_sym_LPAREN] = ACTIONS(3700),
    [anon_sym_await] = ACTIONS(3700),
    [anon_sym_of] = ACTIONS(3700),
    [anon_sym_while] = ACTIONS(3700),
    [anon_sym_do] = ACTIONS(3700),
    [anon_sym_try] = ACTIONS(3700),
    [anon_sym_break] = ACTIONS(3700),
    [anon_sym_continue] = ACTIONS(3700),
    [anon_sym_debugger] = ACTIONS(3700),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_throw] = ACTIONS(3700),
    [anon_sym_SEMI] = ACTIONS(3700),
    [anon_sym_case] = ACTIONS(3700),
    [anon_sym_yield] = ACTIONS(3700),
    [anon_sym_LBRACK] = ACTIONS(3700),
    [anon_sym_LTtemplate_GT] = ACTIONS(3700),
    [anon_sym_DQUOTE] = ACTIONS(3700),
    [anon_sym_SQUOTE] = ACTIONS(3700),
    [anon_sym_class] = ACTIONS(3700),
    [anon_sym_async] = ACTIONS(3700),
    [anon_sym_function] = ACTIONS(3700),
    [anon_sym_new] = ACTIONS(3700),
    [anon_sym_using] = ACTIONS(3700),
    [anon_sym_PLUS] = ACTIONS(3700),
    [anon_sym_DASH] = ACTIONS(3700),
    [anon_sym_SLASH] = ACTIONS(3700),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_TILDE] = ACTIONS(3700),
    [anon_sym_void] = ACTIONS(3700),
    [anon_sym_delete] = ACTIONS(3700),
    [anon_sym_PLUS_PLUS] = ACTIONS(3700),
    [anon_sym_DASH_DASH] = ACTIONS(3700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3700),
    [sym_number] = ACTIONS(3700),
    [sym_private_property_identifier] = ACTIONS(3700),
    [sym_this] = ACTIONS(3700),
    [sym_super] = ACTIONS(3700),
    [sym_true] = ACTIONS(3700),
    [sym_false] = ACTIONS(3700),
    [sym_null] = ACTIONS(3700),
    [sym_undefined] = ACTIONS(3700),
    [anon_sym_AT] = ACTIONS(3700),
    [anon_sym_static] = ACTIONS(3700),
    [anon_sym_readonly] = ACTIONS(3700),
    [anon_sym_get] = ACTIONS(3700),
    [anon_sym_set] = ACTIONS(3700),
    [anon_sym_declare] = ACTIONS(3700),
    [anon_sym_public] = ACTIONS(3700),
    [anon_sym_private] = ACTIONS(3700),
    [anon_sym_protected] = ACTIONS(3700),
    [anon_sym_override] = ACTIONS(3700),
    [anon_sym_module] = ACTIONS(3700),
    [anon_sym_any] = ACTIONS(3700),
    [anon_sym_number] = ACTIONS(3700),
    [anon_sym_boolean] = ACTIONS(3700),
    [anon_sym_string] = ACTIONS(3700),
    [anon_sym_symbol] = ACTIONS(3700),
    [anon_sym_object] = ACTIONS(3700),
    [anon_sym_property] = ACTIONS(3700),
    [anon_sym_signal] = ACTIONS(3700),
    [anon_sym_on] = ACTIONS(3700),
    [anon_sym_required] = ACTIONS(3700),
    [anon_sym_component] = ACTIONS(3700),
    [anon_sym_abstract] = ACTIONS(3700),
    [anon_sym_interface] = ACTIONS(3700),
    [anon_sym_enum] = ACTIONS(3700),
    [sym_html_comment] = ACTIONS(5),
  },
  [1403] = {
    [sym_comment] = STATE(1403),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(3726),
    [sym_html_comment] = ACTIONS(5),
  },
  [1404] = {
    [sym_comment] = STATE(1404),
    [sym_identifier] = ACTIONS(3630),
    [anon_sym_export] = ACTIONS(3630),
    [anon_sym_default] = ACTIONS(3630),
    [anon_sym_type] = ACTIONS(3630),
    [anon_sym_namespace] = ACTIONS(3630),
    [anon_sym_LBRACE] = ACTIONS(3630),
    [anon_sym_RBRACE] = ACTIONS(3630),
    [anon_sym_typeof] = ACTIONS(3630),
    [anon_sym_import] = ACTIONS(3630),
    [anon_sym_from] = ACTIONS(3630),
    [anon_sym_with] = ACTIONS(3630),
    [anon_sym_var] = ACTIONS(3630),
    [anon_sym_let] = ACTIONS(3630),
    [anon_sym_const] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3630),
    [anon_sym_if] = ACTIONS(3630),
    [anon_sym_switch] = ACTIONS(3630),
    [anon_sym_for] = ACTIONS(3630),
    [anon_sym_LPAREN] = ACTIONS(3630),
    [anon_sym_await] = ACTIONS(3630),
    [anon_sym_of] = ACTIONS(3630),
    [anon_sym_while] = ACTIONS(3630),
    [anon_sym_do] = ACTIONS(3630),
    [anon_sym_try] = ACTIONS(3630),
    [anon_sym_break] = ACTIONS(3630),
    [anon_sym_continue] = ACTIONS(3630),
    [anon_sym_debugger] = ACTIONS(3630),
    [anon_sym_return] = ACTIONS(3630),
    [anon_sym_throw] = ACTIONS(3630),
    [anon_sym_SEMI] = ACTIONS(3630),
    [anon_sym_case] = ACTIONS(3630),
    [anon_sym_yield] = ACTIONS(3630),
    [anon_sym_LBRACK] = ACTIONS(3630),
    [anon_sym_LTtemplate_GT] = ACTIONS(3630),
    [anon_sym_DQUOTE] = ACTIONS(3630),
    [anon_sym_SQUOTE] = ACTIONS(3630),
    [anon_sym_class] = ACTIONS(3630),
    [anon_sym_async] = ACTIONS(3630),
    [anon_sym_function] = ACTIONS(3630),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_using] = ACTIONS(3630),
    [anon_sym_PLUS] = ACTIONS(3630),
    [anon_sym_DASH] = ACTIONS(3630),
    [anon_sym_SLASH] = ACTIONS(3630),
    [anon_sym_LT] = ACTIONS(3630),
    [anon_sym_TILDE] = ACTIONS(3630),
    [anon_sym_void] = ACTIONS(3630),
    [anon_sym_delete] = ACTIONS(3630),
    [anon_sym_PLUS_PLUS] = ACTIONS(3630),
    [anon_sym_DASH_DASH] = ACTIONS(3630),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3630),
    [sym_number] = ACTIONS(3630),
    [sym_private_property_identifier] = ACTIONS(3630),
    [sym_this] = ACTIONS(3630),
    [sym_super] = ACTIONS(3630),
    [sym_true] = ACTIONS(3630),
    [sym_false] = ACTIONS(3630),
    [sym_null] = ACTIONS(3630),
    [sym_undefined] = ACTIONS(3630),
    [anon_sym_AT] = ACTIONS(3630),
    [anon_sym_static] = ACTIONS(3630),
    [anon_sym_readonly] = ACTIONS(3630),
    [anon_sym_get] = ACTIONS(3630),
    [anon_sym_set] = ACTIONS(3630),
    [anon_sym_declare] = ACTIONS(3630),
    [anon_sym_public] = ACTIONS(3630),
    [anon_sym_private] = ACTIONS(3630),
    [anon_sym_protected] = ACTIONS(3630),
    [anon_sym_override] = ACTIONS(3630),
    [anon_sym_module] = ACTIONS(3630),
    [anon_sym_any] = ACTIONS(3630),
    [anon_sym_number] = ACTIONS(3630),
    [anon_sym_boolean] = ACTIONS(3630),
    [anon_sym_string] = ACTIONS(3630),
    [anon_sym_symbol] = ACTIONS(3630),
    [anon_sym_object] = ACTIONS(3630),
    [anon_sym_property] = ACTIONS(3630),
    [anon_sym_signal] = ACTIONS(3630),
    [anon_sym_on] = ACTIONS(3630),
    [anon_sym_required] = ACTIONS(3630),
    [anon_sym_component] = ACTIONS(3630),
    [anon_sym_abstract] = ACTIONS(3630),
    [anon_sym_interface] = ACTIONS(3630),
    [anon_sym_enum] = ACTIONS(3630),
    [sym_html_comment] = ACTIONS(5),
  },
  [1405] = {
    [sym_comment] = STATE(1405),
    [sym_identifier] = ACTIONS(3628),
    [anon_sym_export] = ACTIONS(3628),
    [anon_sym_default] = ACTIONS(3628),
    [anon_sym_type] = ACTIONS(3628),
    [anon_sym_namespace] = ACTIONS(3628),
    [anon_sym_LBRACE] = ACTIONS(3628),
    [anon_sym_RBRACE] = ACTIONS(3628),
    [anon_sym_typeof] = ACTIONS(3628),
    [anon_sym_import] = ACTIONS(3628),
    [anon_sym_from] = ACTIONS(3628),
    [anon_sym_with] = ACTIONS(3628),
    [anon_sym_var] = ACTIONS(3628),
    [anon_sym_let] = ACTIONS(3628),
    [anon_sym_const] = ACTIONS(3628),
    [anon_sym_BANG] = ACTIONS(3628),
    [anon_sym_if] = ACTIONS(3628),
    [anon_sym_switch] = ACTIONS(3628),
    [anon_sym_for] = ACTIONS(3628),
    [anon_sym_LPAREN] = ACTIONS(3628),
    [anon_sym_await] = ACTIONS(3628),
    [anon_sym_of] = ACTIONS(3628),
    [anon_sym_while] = ACTIONS(3628),
    [anon_sym_do] = ACTIONS(3628),
    [anon_sym_try] = ACTIONS(3628),
    [anon_sym_break] = ACTIONS(3628),
    [anon_sym_continue] = ACTIONS(3628),
    [anon_sym_debugger] = ACTIONS(3628),
    [anon_sym_return] = ACTIONS(3628),
    [anon_sym_throw] = ACTIONS(3628),
    [anon_sym_SEMI] = ACTIONS(3628),
    [anon_sym_case] = ACTIONS(3628),
    [anon_sym_yield] = ACTIONS(3628),
    [anon_sym_LBRACK] = ACTIONS(3628),
    [anon_sym_LTtemplate_GT] = ACTIONS(3628),
    [anon_sym_DQUOTE] = ACTIONS(3628),
    [anon_sym_SQUOTE] = ACTIONS(3628),
    [anon_sym_class] = ACTIONS(3628),
    [anon_sym_async] = ACTIONS(3628),
    [anon_sym_function] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3628),
    [anon_sym_using] = ACTIONS(3628),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_SLASH] = ACTIONS(3628),
    [anon_sym_LT] = ACTIONS(3628),
    [anon_sym_TILDE] = ACTIONS(3628),
    [anon_sym_void] = ACTIONS(3628),
    [anon_sym_delete] = ACTIONS(3628),
    [anon_sym_PLUS_PLUS] = ACTIONS(3628),
    [anon_sym_DASH_DASH] = ACTIONS(3628),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3628),
    [sym_number] = ACTIONS(3628),
    [sym_private_property_identifier] = ACTIONS(3628),
    [sym_this] = ACTIONS(3628),
    [sym_super] = ACTIONS(3628),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_AT] = ACTIONS(3628),
    [anon_sym_static] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3628),
    [anon_sym_get] = ACTIONS(3628),
    [anon_sym_set] = ACTIONS(3628),
    [anon_sym_declare] = ACTIONS(3628),
    [anon_sym_public] = ACTIONS(3628),
    [anon_sym_private] = ACTIONS(3628),
    [anon_sym_protected] = ACTIONS(3628),
    [anon_sym_override] = ACTIONS(3628),
    [anon_sym_module] = ACTIONS(3628),
    [anon_sym_any] = ACTIONS(3628),
    [anon_sym_number] = ACTIONS(3628),
    [anon_sym_boolean] = ACTIONS(3628),
    [anon_sym_string] = ACTIONS(3628),
    [anon_sym_symbol] = ACTIONS(3628),
    [anon_sym_object] = ACTIONS(3628),
    [anon_sym_property] = ACTIONS(3628),
    [anon_sym_signal] = ACTIONS(3628),
    [anon_sym_on] = ACTIONS(3628),
    [anon_sym_required] = ACTIONS(3628),
    [anon_sym_component] = ACTIONS(3628),
    [anon_sym_abstract] = ACTIONS(3628),
    [anon_sym_interface] = ACTIONS(3628),
    [anon_sym_enum] = ACTIONS(3628),
    [sym_html_comment] = ACTIONS(5),
  },
  [1406] = {
    [sym_comment] = STATE(1406),
    [sym_identifier] = ACTIONS(3698),
    [anon_sym_export] = ACTIONS(3698),
    [anon_sym_default] = ACTIONS(3698),
    [anon_sym_type] = ACTIONS(3698),
    [anon_sym_namespace] = ACTIONS(3698),
    [anon_sym_LBRACE] = ACTIONS(3698),
    [anon_sym_RBRACE] = ACTIONS(3698),
    [anon_sym_typeof] = ACTIONS(3698),
    [anon_sym_import] = ACTIONS(3698),
    [anon_sym_from] = ACTIONS(3698),
    [anon_sym_with] = ACTIONS(3698),
    [anon_sym_var] = ACTIONS(3698),
    [anon_sym_let] = ACTIONS(3698),
    [anon_sym_const] = ACTIONS(3698),
    [anon_sym_BANG] = ACTIONS(3698),
    [anon_sym_if] = ACTIONS(3698),
    [anon_sym_switch] = ACTIONS(3698),
    [anon_sym_for] = ACTIONS(3698),
    [anon_sym_LPAREN] = ACTIONS(3698),
    [anon_sym_await] = ACTIONS(3698),
    [anon_sym_of] = ACTIONS(3698),
    [anon_sym_while] = ACTIONS(3698),
    [anon_sym_do] = ACTIONS(3698),
    [anon_sym_try] = ACTIONS(3698),
    [anon_sym_break] = ACTIONS(3698),
    [anon_sym_continue] = ACTIONS(3698),
    [anon_sym_debugger] = ACTIONS(3698),
    [anon_sym_return] = ACTIONS(3698),
    [anon_sym_throw] = ACTIONS(3698),
    [anon_sym_SEMI] = ACTIONS(3698),
    [anon_sym_case] = ACTIONS(3698),
    [anon_sym_yield] = ACTIONS(3698),
    [anon_sym_LBRACK] = ACTIONS(3698),
    [anon_sym_LTtemplate_GT] = ACTIONS(3698),
    [anon_sym_DQUOTE] = ACTIONS(3698),
    [anon_sym_SQUOTE] = ACTIONS(3698),
    [anon_sym_class] = ACTIONS(3698),
    [anon_sym_async] = ACTIONS(3698),
    [anon_sym_function] = ACTIONS(3698),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_using] = ACTIONS(3698),
    [anon_sym_PLUS] = ACTIONS(3698),
    [anon_sym_DASH] = ACTIONS(3698),
    [anon_sym_SLASH] = ACTIONS(3698),
    [anon_sym_LT] = ACTIONS(3698),
    [anon_sym_TILDE] = ACTIONS(3698),
    [anon_sym_void] = ACTIONS(3698),
    [anon_sym_delete] = ACTIONS(3698),
    [anon_sym_PLUS_PLUS] = ACTIONS(3698),
    [anon_sym_DASH_DASH] = ACTIONS(3698),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3698),
    [sym_number] = ACTIONS(3698),
    [sym_private_property_identifier] = ACTIONS(3698),
    [sym_this] = ACTIONS(3698),
    [sym_super] = ACTIONS(3698),
    [sym_true] = ACTIONS(3698),
    [sym_false] = ACTIONS(3698),
    [sym_null] = ACTIONS(3698),
    [sym_undefined] = ACTIONS(3698),
    [anon_sym_AT] = ACTIONS(3698),
    [anon_sym_static] = ACTIONS(3698),
    [anon_sym_readonly] = ACTIONS(3698),
    [anon_sym_get] = ACTIONS(3698),
    [anon_sym_set] = ACTIONS(3698),
    [anon_sym_declare] = ACTIONS(3698),
    [anon_sym_public] = ACTIONS(3698),
    [anon_sym_private] = ACTIONS(3698),
    [anon_sym_protected] = ACTIONS(3698),
    [anon_sym_override] = ACTIONS(3698),
    [anon_sym_module] = ACTIONS(3698),
    [anon_sym_any] = ACTIONS(3698),
    [anon_sym_number] = ACTIONS(3698),
    [anon_sym_boolean] = ACTIONS(3698),
    [anon_sym_string] = ACTIONS(3698),
    [anon_sym_symbol] = ACTIONS(3698),
    [anon_sym_object] = ACTIONS(3698),
    [anon_sym_property] = ACTIONS(3698),
    [anon_sym_signal] = ACTIONS(3698),
    [anon_sym_on] = ACTIONS(3698),
    [anon_sym_required] = ACTIONS(3698),
    [anon_sym_component] = ACTIONS(3698),
    [anon_sym_abstract] = ACTIONS(3698),
    [anon_sym_interface] = ACTIONS(3698),
    [anon_sym_enum] = ACTIONS(3698),
    [sym_html_comment] = ACTIONS(5),
  },
  [1407] = {
    [sym_comment] = STATE(1407),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_finally] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1408] = {
    [sym_comment] = STATE(1408),
    [sym_identifier] = ACTIONS(3692),
    [anon_sym_export] = ACTIONS(3692),
    [anon_sym_default] = ACTIONS(3692),
    [anon_sym_type] = ACTIONS(3692),
    [anon_sym_namespace] = ACTIONS(3692),
    [anon_sym_LBRACE] = ACTIONS(3692),
    [anon_sym_RBRACE] = ACTIONS(3692),
    [anon_sym_typeof] = ACTIONS(3692),
    [anon_sym_import] = ACTIONS(3692),
    [anon_sym_from] = ACTIONS(3692),
    [anon_sym_with] = ACTIONS(3692),
    [anon_sym_var] = ACTIONS(3692),
    [anon_sym_let] = ACTIONS(3692),
    [anon_sym_const] = ACTIONS(3692),
    [anon_sym_BANG] = ACTIONS(3692),
    [anon_sym_if] = ACTIONS(3692),
    [anon_sym_switch] = ACTIONS(3692),
    [anon_sym_for] = ACTIONS(3692),
    [anon_sym_LPAREN] = ACTIONS(3692),
    [anon_sym_await] = ACTIONS(3692),
    [anon_sym_of] = ACTIONS(3692),
    [anon_sym_while] = ACTIONS(3692),
    [anon_sym_do] = ACTIONS(3692),
    [anon_sym_try] = ACTIONS(3692),
    [anon_sym_break] = ACTIONS(3692),
    [anon_sym_continue] = ACTIONS(3692),
    [anon_sym_debugger] = ACTIONS(3692),
    [anon_sym_return] = ACTIONS(3692),
    [anon_sym_throw] = ACTIONS(3692),
    [anon_sym_SEMI] = ACTIONS(3692),
    [anon_sym_case] = ACTIONS(3692),
    [anon_sym_yield] = ACTIONS(3692),
    [anon_sym_LBRACK] = ACTIONS(3692),
    [anon_sym_LTtemplate_GT] = ACTIONS(3692),
    [anon_sym_DQUOTE] = ACTIONS(3692),
    [anon_sym_SQUOTE] = ACTIONS(3692),
    [anon_sym_class] = ACTIONS(3692),
    [anon_sym_async] = ACTIONS(3692),
    [anon_sym_function] = ACTIONS(3692),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_using] = ACTIONS(3692),
    [anon_sym_PLUS] = ACTIONS(3692),
    [anon_sym_DASH] = ACTIONS(3692),
    [anon_sym_SLASH] = ACTIONS(3692),
    [anon_sym_LT] = ACTIONS(3692),
    [anon_sym_TILDE] = ACTIONS(3692),
    [anon_sym_void] = ACTIONS(3692),
    [anon_sym_delete] = ACTIONS(3692),
    [anon_sym_PLUS_PLUS] = ACTIONS(3692),
    [anon_sym_DASH_DASH] = ACTIONS(3692),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3692),
    [sym_number] = ACTIONS(3692),
    [sym_private_property_identifier] = ACTIONS(3692),
    [sym_this] = ACTIONS(3692),
    [sym_super] = ACTIONS(3692),
    [sym_true] = ACTIONS(3692),
    [sym_false] = ACTIONS(3692),
    [sym_null] = ACTIONS(3692),
    [sym_undefined] = ACTIONS(3692),
    [anon_sym_AT] = ACTIONS(3692),
    [anon_sym_static] = ACTIONS(3692),
    [anon_sym_readonly] = ACTIONS(3692),
    [anon_sym_get] = ACTIONS(3692),
    [anon_sym_set] = ACTIONS(3692),
    [anon_sym_declare] = ACTIONS(3692),
    [anon_sym_public] = ACTIONS(3692),
    [anon_sym_private] = ACTIONS(3692),
    [anon_sym_protected] = ACTIONS(3692),
    [anon_sym_override] = ACTIONS(3692),
    [anon_sym_module] = ACTIONS(3692),
    [anon_sym_any] = ACTIONS(3692),
    [anon_sym_number] = ACTIONS(3692),
    [anon_sym_boolean] = ACTIONS(3692),
    [anon_sym_string] = ACTIONS(3692),
    [anon_sym_symbol] = ACTIONS(3692),
    [anon_sym_object] = ACTIONS(3692),
    [anon_sym_property] = ACTIONS(3692),
    [anon_sym_signal] = ACTIONS(3692),
    [anon_sym_on] = ACTIONS(3692),
    [anon_sym_required] = ACTIONS(3692),
    [anon_sym_component] = ACTIONS(3692),
    [anon_sym_abstract] = ACTIONS(3692),
    [anon_sym_interface] = ACTIONS(3692),
    [anon_sym_enum] = ACTIONS(3692),
    [sym_html_comment] = ACTIONS(5),
  },
  [1409] = {
    [sym_comment] = STATE(1409),
    [sym_identifier] = ACTIONS(3688),
    [anon_sym_export] = ACTIONS(3688),
    [anon_sym_default] = ACTIONS(3688),
    [anon_sym_type] = ACTIONS(3688),
    [anon_sym_namespace] = ACTIONS(3688),
    [anon_sym_LBRACE] = ACTIONS(3688),
    [anon_sym_RBRACE] = ACTIONS(3688),
    [anon_sym_typeof] = ACTIONS(3688),
    [anon_sym_import] = ACTIONS(3688),
    [anon_sym_from] = ACTIONS(3688),
    [anon_sym_with] = ACTIONS(3688),
    [anon_sym_var] = ACTIONS(3688),
    [anon_sym_let] = ACTIONS(3688),
    [anon_sym_const] = ACTIONS(3688),
    [anon_sym_BANG] = ACTIONS(3688),
    [anon_sym_if] = ACTIONS(3688),
    [anon_sym_switch] = ACTIONS(3688),
    [anon_sym_for] = ACTIONS(3688),
    [anon_sym_LPAREN] = ACTIONS(3688),
    [anon_sym_await] = ACTIONS(3688),
    [anon_sym_of] = ACTIONS(3688),
    [anon_sym_while] = ACTIONS(3688),
    [anon_sym_do] = ACTIONS(3688),
    [anon_sym_try] = ACTIONS(3688),
    [anon_sym_break] = ACTIONS(3688),
    [anon_sym_continue] = ACTIONS(3688),
    [anon_sym_debugger] = ACTIONS(3688),
    [anon_sym_return] = ACTIONS(3688),
    [anon_sym_throw] = ACTIONS(3688),
    [anon_sym_SEMI] = ACTIONS(3688),
    [anon_sym_case] = ACTIONS(3688),
    [anon_sym_yield] = ACTIONS(3688),
    [anon_sym_LBRACK] = ACTIONS(3688),
    [anon_sym_LTtemplate_GT] = ACTIONS(3688),
    [anon_sym_DQUOTE] = ACTIONS(3688),
    [anon_sym_SQUOTE] = ACTIONS(3688),
    [anon_sym_class] = ACTIONS(3688),
    [anon_sym_async] = ACTIONS(3688),
    [anon_sym_function] = ACTIONS(3688),
    [anon_sym_new] = ACTIONS(3688),
    [anon_sym_using] = ACTIONS(3688),
    [anon_sym_PLUS] = ACTIONS(3688),
    [anon_sym_DASH] = ACTIONS(3688),
    [anon_sym_SLASH] = ACTIONS(3688),
    [anon_sym_LT] = ACTIONS(3688),
    [anon_sym_TILDE] = ACTIONS(3688),
    [anon_sym_void] = ACTIONS(3688),
    [anon_sym_delete] = ACTIONS(3688),
    [anon_sym_PLUS_PLUS] = ACTIONS(3688),
    [anon_sym_DASH_DASH] = ACTIONS(3688),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3688),
    [sym_number] = ACTIONS(3688),
    [sym_private_property_identifier] = ACTIONS(3688),
    [sym_this] = ACTIONS(3688),
    [sym_super] = ACTIONS(3688),
    [sym_true] = ACTIONS(3688),
    [sym_false] = ACTIONS(3688),
    [sym_null] = ACTIONS(3688),
    [sym_undefined] = ACTIONS(3688),
    [anon_sym_AT] = ACTIONS(3688),
    [anon_sym_static] = ACTIONS(3688),
    [anon_sym_readonly] = ACTIONS(3688),
    [anon_sym_get] = ACTIONS(3688),
    [anon_sym_set] = ACTIONS(3688),
    [anon_sym_declare] = ACTIONS(3688),
    [anon_sym_public] = ACTIONS(3688),
    [anon_sym_private] = ACTIONS(3688),
    [anon_sym_protected] = ACTIONS(3688),
    [anon_sym_override] = ACTIONS(3688),
    [anon_sym_module] = ACTIONS(3688),
    [anon_sym_any] = ACTIONS(3688),
    [anon_sym_number] = ACTIONS(3688),
    [anon_sym_boolean] = ACTIONS(3688),
    [anon_sym_string] = ACTIONS(3688),
    [anon_sym_symbol] = ACTIONS(3688),
    [anon_sym_object] = ACTIONS(3688),
    [anon_sym_property] = ACTIONS(3688),
    [anon_sym_signal] = ACTIONS(3688),
    [anon_sym_on] = ACTIONS(3688),
    [anon_sym_required] = ACTIONS(3688),
    [anon_sym_component] = ACTIONS(3688),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_interface] = ACTIONS(3688),
    [anon_sym_enum] = ACTIONS(3688),
    [sym_html_comment] = ACTIONS(5),
  },
  [1410] = {
    [sym_comment] = STATE(1410),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_export] = ACTIONS(3696),
    [anon_sym_default] = ACTIONS(3696),
    [anon_sym_type] = ACTIONS(3696),
    [anon_sym_namespace] = ACTIONS(3696),
    [anon_sym_LBRACE] = ACTIONS(3696),
    [anon_sym_RBRACE] = ACTIONS(3696),
    [anon_sym_typeof] = ACTIONS(3696),
    [anon_sym_import] = ACTIONS(3696),
    [anon_sym_from] = ACTIONS(3696),
    [anon_sym_with] = ACTIONS(3696),
    [anon_sym_var] = ACTIONS(3696),
    [anon_sym_let] = ACTIONS(3696),
    [anon_sym_const] = ACTIONS(3696),
    [anon_sym_BANG] = ACTIONS(3696),
    [anon_sym_if] = ACTIONS(3696),
    [anon_sym_switch] = ACTIONS(3696),
    [anon_sym_for] = ACTIONS(3696),
    [anon_sym_LPAREN] = ACTIONS(3696),
    [anon_sym_await] = ACTIONS(3696),
    [anon_sym_of] = ACTIONS(3696),
    [anon_sym_while] = ACTIONS(3696),
    [anon_sym_do] = ACTIONS(3696),
    [anon_sym_try] = ACTIONS(3696),
    [anon_sym_break] = ACTIONS(3696),
    [anon_sym_continue] = ACTIONS(3696),
    [anon_sym_debugger] = ACTIONS(3696),
    [anon_sym_return] = ACTIONS(3696),
    [anon_sym_throw] = ACTIONS(3696),
    [anon_sym_SEMI] = ACTIONS(3696),
    [anon_sym_case] = ACTIONS(3696),
    [anon_sym_yield] = ACTIONS(3696),
    [anon_sym_LBRACK] = ACTIONS(3696),
    [anon_sym_LTtemplate_GT] = ACTIONS(3696),
    [anon_sym_DQUOTE] = ACTIONS(3696),
    [anon_sym_SQUOTE] = ACTIONS(3696),
    [anon_sym_class] = ACTIONS(3696),
    [anon_sym_async] = ACTIONS(3696),
    [anon_sym_function] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3696),
    [anon_sym_using] = ACTIONS(3696),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_DASH] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3696),
    [anon_sym_LT] = ACTIONS(3696),
    [anon_sym_TILDE] = ACTIONS(3696),
    [anon_sym_void] = ACTIONS(3696),
    [anon_sym_delete] = ACTIONS(3696),
    [anon_sym_PLUS_PLUS] = ACTIONS(3696),
    [anon_sym_DASH_DASH] = ACTIONS(3696),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3696),
    [sym_number] = ACTIONS(3696),
    [sym_private_property_identifier] = ACTIONS(3696),
    [sym_this] = ACTIONS(3696),
    [sym_super] = ACTIONS(3696),
    [sym_true] = ACTIONS(3696),
    [sym_false] = ACTIONS(3696),
    [sym_null] = ACTIONS(3696),
    [sym_undefined] = ACTIONS(3696),
    [anon_sym_AT] = ACTIONS(3696),
    [anon_sym_static] = ACTIONS(3696),
    [anon_sym_readonly] = ACTIONS(3696),
    [anon_sym_get] = ACTIONS(3696),
    [anon_sym_set] = ACTIONS(3696),
    [anon_sym_declare] = ACTIONS(3696),
    [anon_sym_public] = ACTIONS(3696),
    [anon_sym_private] = ACTIONS(3696),
    [anon_sym_protected] = ACTIONS(3696),
    [anon_sym_override] = ACTIONS(3696),
    [anon_sym_module] = ACTIONS(3696),
    [anon_sym_any] = ACTIONS(3696),
    [anon_sym_number] = ACTIONS(3696),
    [anon_sym_boolean] = ACTIONS(3696),
    [anon_sym_string] = ACTIONS(3696),
    [anon_sym_symbol] = ACTIONS(3696),
    [anon_sym_object] = ACTIONS(3696),
    [anon_sym_property] = ACTIONS(3696),
    [anon_sym_signal] = ACTIONS(3696),
    [anon_sym_on] = ACTIONS(3696),
    [anon_sym_required] = ACTIONS(3696),
    [anon_sym_component] = ACTIONS(3696),
    [anon_sym_abstract] = ACTIONS(3696),
    [anon_sym_interface] = ACTIONS(3696),
    [anon_sym_enum] = ACTIONS(3696),
    [sym_html_comment] = ACTIONS(5),
  },
  [1411] = {
    [sym_comment] = STATE(1411),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_export] = ACTIONS(2442),
    [anon_sym_default] = ACTIONS(2442),
    [anon_sym_type] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_typeof] = ACTIONS(2442),
    [anon_sym_import] = ACTIONS(2442),
    [anon_sym_from] = ACTIONS(2442),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_var] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_switch] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_await] = ACTIONS(2442),
    [anon_sym_of] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_break] = ACTIONS(2442),
    [anon_sym_continue] = ACTIONS(2442),
    [anon_sym_debugger] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_case] = ACTIONS(2442),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LTtemplate_GT] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_async] = ACTIONS(2442),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_void] = ACTIONS(2442),
    [anon_sym_delete] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2442),
    [sym_number] = ACTIONS(2442),
    [sym_private_property_identifier] = ACTIONS(2442),
    [sym_this] = ACTIONS(2442),
    [sym_super] = ACTIONS(2442),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [sym_null] = ACTIONS(2442),
    [sym_undefined] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_readonly] = ACTIONS(2442),
    [anon_sym_get] = ACTIONS(2442),
    [anon_sym_set] = ACTIONS(2442),
    [anon_sym_declare] = ACTIONS(2442),
    [anon_sym_public] = ACTIONS(2442),
    [anon_sym_private] = ACTIONS(2442),
    [anon_sym_protected] = ACTIONS(2442),
    [anon_sym_override] = ACTIONS(2442),
    [anon_sym_module] = ACTIONS(2442),
    [anon_sym_any] = ACTIONS(2442),
    [anon_sym_number] = ACTIONS(2442),
    [anon_sym_boolean] = ACTIONS(2442),
    [anon_sym_string] = ACTIONS(2442),
    [anon_sym_symbol] = ACTIONS(2442),
    [anon_sym_object] = ACTIONS(2442),
    [anon_sym_property] = ACTIONS(2442),
    [anon_sym_signal] = ACTIONS(2442),
    [anon_sym_on] = ACTIONS(2442),
    [anon_sym_required] = ACTIONS(2442),
    [anon_sym_component] = ACTIONS(2442),
    [anon_sym_abstract] = ACTIONS(2442),
    [anon_sym_interface] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [sym_html_comment] = ACTIONS(5),
  },
  [1412] = {
    [sym_comment] = STATE(1412),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(2512),
    [sym_html_comment] = ACTIONS(5),
  },
  [1413] = {
    [sym_comment] = STATE(1413),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_case] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym_html_comment] = ACTIONS(5),
  },
  [1414] = {
    [sym_comment] = STATE(1414),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1415] = {
    [sym_comment] = STATE(1415),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_export] = ACTIONS(3636),
    [anon_sym_default] = ACTIONS(3636),
    [anon_sym_type] = ACTIONS(3636),
    [anon_sym_namespace] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3636),
    [anon_sym_RBRACE] = ACTIONS(3636),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_import] = ACTIONS(3636),
    [anon_sym_from] = ACTIONS(3636),
    [anon_sym_with] = ACTIONS(3636),
    [anon_sym_var] = ACTIONS(3636),
    [anon_sym_let] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_BANG] = ACTIONS(3636),
    [anon_sym_if] = ACTIONS(3636),
    [anon_sym_switch] = ACTIONS(3636),
    [anon_sym_for] = ACTIONS(3636),
    [anon_sym_LPAREN] = ACTIONS(3636),
    [anon_sym_await] = ACTIONS(3636),
    [anon_sym_of] = ACTIONS(3636),
    [anon_sym_while] = ACTIONS(3636),
    [anon_sym_do] = ACTIONS(3636),
    [anon_sym_try] = ACTIONS(3636),
    [anon_sym_break] = ACTIONS(3636),
    [anon_sym_continue] = ACTIONS(3636),
    [anon_sym_debugger] = ACTIONS(3636),
    [anon_sym_return] = ACTIONS(3636),
    [anon_sym_throw] = ACTIONS(3636),
    [anon_sym_SEMI] = ACTIONS(3636),
    [anon_sym_case] = ACTIONS(3636),
    [anon_sym_yield] = ACTIONS(3636),
    [anon_sym_LBRACK] = ACTIONS(3636),
    [anon_sym_LTtemplate_GT] = ACTIONS(3636),
    [anon_sym_DQUOTE] = ACTIONS(3636),
    [anon_sym_SQUOTE] = ACTIONS(3636),
    [anon_sym_class] = ACTIONS(3636),
    [anon_sym_async] = ACTIONS(3636),
    [anon_sym_function] = ACTIONS(3636),
    [anon_sym_new] = ACTIONS(3636),
    [anon_sym_using] = ACTIONS(3636),
    [anon_sym_PLUS] = ACTIONS(3636),
    [anon_sym_DASH] = ACTIONS(3636),
    [anon_sym_SLASH] = ACTIONS(3636),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_TILDE] = ACTIONS(3636),
    [anon_sym_void] = ACTIONS(3636),
    [anon_sym_delete] = ACTIONS(3636),
    [anon_sym_PLUS_PLUS] = ACTIONS(3636),
    [anon_sym_DASH_DASH] = ACTIONS(3636),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3636),
    [sym_number] = ACTIONS(3636),
    [sym_private_property_identifier] = ACTIONS(3636),
    [sym_this] = ACTIONS(3636),
    [sym_super] = ACTIONS(3636),
    [sym_true] = ACTIONS(3636),
    [sym_false] = ACTIONS(3636),
    [sym_null] = ACTIONS(3636),
    [sym_undefined] = ACTIONS(3636),
    [anon_sym_AT] = ACTIONS(3636),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_readonly] = ACTIONS(3636),
    [anon_sym_get] = ACTIONS(3636),
    [anon_sym_set] = ACTIONS(3636),
    [anon_sym_declare] = ACTIONS(3636),
    [anon_sym_public] = ACTIONS(3636),
    [anon_sym_private] = ACTIONS(3636),
    [anon_sym_protected] = ACTIONS(3636),
    [anon_sym_override] = ACTIONS(3636),
    [anon_sym_module] = ACTIONS(3636),
    [anon_sym_any] = ACTIONS(3636),
    [anon_sym_number] = ACTIONS(3636),
    [anon_sym_boolean] = ACTIONS(3636),
    [anon_sym_string] = ACTIONS(3636),
    [anon_sym_symbol] = ACTIONS(3636),
    [anon_sym_object] = ACTIONS(3636),
    [anon_sym_property] = ACTIONS(3636),
    [anon_sym_signal] = ACTIONS(3636),
    [anon_sym_on] = ACTIONS(3636),
    [anon_sym_required] = ACTIONS(3636),
    [anon_sym_component] = ACTIONS(3636),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_interface] = ACTIONS(3636),
    [anon_sym_enum] = ACTIONS(3636),
    [sym_html_comment] = ACTIONS(5),
  },
  [1416] = {
    [sym_comment] = STATE(1416),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1417] = {
    [sym_comment] = STATE(1417),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1418] = {
    [sym_comment] = STATE(1418),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1419] = {
    [sym_comment] = STATE(1419),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1420] = {
    [sym_comment] = STATE(1420),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1421] = {
    [sym_comment] = STATE(1421),
    [sym_identifier] = ACTIONS(2382),
    [anon_sym_export] = ACTIONS(2382),
    [anon_sym_type] = ACTIONS(2382),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_typeof] = ACTIONS(2382),
    [anon_sym_import] = ACTIONS(2382),
    [anon_sym_from] = ACTIONS(2382),
    [anon_sym_with] = ACTIONS(2382),
    [anon_sym_var] = ACTIONS(2382),
    [anon_sym_let] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_else] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_switch] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_await] = ACTIONS(2382),
    [anon_sym_of] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2382),
    [anon_sym_break] = ACTIONS(2382),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_debugger] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2382),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_LTtemplate_GT] = ACTIONS(2382),
    [anon_sym_DQUOTE] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_SLASH] = ACTIONS(2382),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_void] = ACTIONS(2382),
    [anon_sym_delete] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2382),
    [sym_number] = ACTIONS(2382),
    [sym_private_property_identifier] = ACTIONS(2382),
    [sym_this] = ACTIONS(2382),
    [sym_super] = ACTIONS(2382),
    [sym_true] = ACTIONS(2382),
    [sym_false] = ACTIONS(2382),
    [sym_null] = ACTIONS(2382),
    [sym_undefined] = ACTIONS(2382),
    [anon_sym_AT] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_readonly] = ACTIONS(2382),
    [anon_sym_get] = ACTIONS(2382),
    [anon_sym_set] = ACTIONS(2382),
    [anon_sym_declare] = ACTIONS(2382),
    [anon_sym_public] = ACTIONS(2382),
    [anon_sym_private] = ACTIONS(2382),
    [anon_sym_protected] = ACTIONS(2382),
    [anon_sym_override] = ACTIONS(2382),
    [anon_sym_module] = ACTIONS(2382),
    [anon_sym_any] = ACTIONS(2382),
    [anon_sym_number] = ACTIONS(2382),
    [anon_sym_boolean] = ACTIONS(2382),
    [anon_sym_string] = ACTIONS(2382),
    [anon_sym_symbol] = ACTIONS(2382),
    [anon_sym_object] = ACTIONS(2382),
    [anon_sym_property] = ACTIONS(2382),
    [anon_sym_signal] = ACTIONS(2382),
    [anon_sym_on] = ACTIONS(2382),
    [anon_sym_required] = ACTIONS(2382),
    [anon_sym_component] = ACTIONS(2382),
    [anon_sym_abstract] = ACTIONS(2382),
    [anon_sym_interface] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [sym__automatic_semicolon] = ACTIONS(2614),
    [sym_html_comment] = ACTIONS(5),
  },
  [1422] = {
    [sym_comment] = STATE(1422),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_export] = ACTIONS(3682),
    [anon_sym_default] = ACTIONS(3682),
    [anon_sym_type] = ACTIONS(3682),
    [anon_sym_namespace] = ACTIONS(3682),
    [anon_sym_LBRACE] = ACTIONS(3682),
    [anon_sym_RBRACE] = ACTIONS(3682),
    [anon_sym_typeof] = ACTIONS(3682),
    [anon_sym_import] = ACTIONS(3682),
    [anon_sym_from] = ACTIONS(3682),
    [anon_sym_with] = ACTIONS(3682),
    [anon_sym_var] = ACTIONS(3682),
    [anon_sym_let] = ACTIONS(3682),
    [anon_sym_const] = ACTIONS(3682),
    [anon_sym_BANG] = ACTIONS(3682),
    [anon_sym_if] = ACTIONS(3682),
    [anon_sym_switch] = ACTIONS(3682),
    [anon_sym_for] = ACTIONS(3682),
    [anon_sym_LPAREN] = ACTIONS(3682),
    [anon_sym_await] = ACTIONS(3682),
    [anon_sym_of] = ACTIONS(3682),
    [anon_sym_while] = ACTIONS(3682),
    [anon_sym_do] = ACTIONS(3682),
    [anon_sym_try] = ACTIONS(3682),
    [anon_sym_break] = ACTIONS(3682),
    [anon_sym_continue] = ACTIONS(3682),
    [anon_sym_debugger] = ACTIONS(3682),
    [anon_sym_return] = ACTIONS(3682),
    [anon_sym_throw] = ACTIONS(3682),
    [anon_sym_SEMI] = ACTIONS(3682),
    [anon_sym_case] = ACTIONS(3682),
    [anon_sym_yield] = ACTIONS(3682),
    [anon_sym_LBRACK] = ACTIONS(3682),
    [anon_sym_LTtemplate_GT] = ACTIONS(3682),
    [anon_sym_DQUOTE] = ACTIONS(3682),
    [anon_sym_SQUOTE] = ACTIONS(3682),
    [anon_sym_class] = ACTIONS(3682),
    [anon_sym_async] = ACTIONS(3682),
    [anon_sym_function] = ACTIONS(3682),
    [anon_sym_new] = ACTIONS(3682),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_PLUS] = ACTIONS(3682),
    [anon_sym_DASH] = ACTIONS(3682),
    [anon_sym_SLASH] = ACTIONS(3682),
    [anon_sym_LT] = ACTIONS(3682),
    [anon_sym_TILDE] = ACTIONS(3682),
    [anon_sym_void] = ACTIONS(3682),
    [anon_sym_delete] = ACTIONS(3682),
    [anon_sym_PLUS_PLUS] = ACTIONS(3682),
    [anon_sym_DASH_DASH] = ACTIONS(3682),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3682),
    [sym_number] = ACTIONS(3682),
    [sym_private_property_identifier] = ACTIONS(3682),
    [sym_this] = ACTIONS(3682),
    [sym_super] = ACTIONS(3682),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [sym_null] = ACTIONS(3682),
    [sym_undefined] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(3682),
    [anon_sym_static] = ACTIONS(3682),
    [anon_sym_readonly] = ACTIONS(3682),
    [anon_sym_get] = ACTIONS(3682),
    [anon_sym_set] = ACTIONS(3682),
    [anon_sym_declare] = ACTIONS(3682),
    [anon_sym_public] = ACTIONS(3682),
    [anon_sym_private] = ACTIONS(3682),
    [anon_sym_protected] = ACTIONS(3682),
    [anon_sym_override] = ACTIONS(3682),
    [anon_sym_module] = ACTIONS(3682),
    [anon_sym_any] = ACTIONS(3682),
    [anon_sym_number] = ACTIONS(3682),
    [anon_sym_boolean] = ACTIONS(3682),
    [anon_sym_string] = ACTIONS(3682),
    [anon_sym_symbol] = ACTIONS(3682),
    [anon_sym_object] = ACTIONS(3682),
    [anon_sym_property] = ACTIONS(3682),
    [anon_sym_signal] = ACTIONS(3682),
    [anon_sym_on] = ACTIONS(3682),
    [anon_sym_required] = ACTIONS(3682),
    [anon_sym_component] = ACTIONS(3682),
    [anon_sym_abstract] = ACTIONS(3682),
    [anon_sym_interface] = ACTIONS(3682),
    [anon_sym_enum] = ACTIONS(3682),
    [sym_html_comment] = ACTIONS(5),
  },
  [1423] = {
    [sym_comment] = STATE(1423),
    [sym_identifier] = ACTIONS(3632),
    [anon_sym_export] = ACTIONS(3632),
    [anon_sym_default] = ACTIONS(3632),
    [anon_sym_type] = ACTIONS(3632),
    [anon_sym_namespace] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3632),
    [anon_sym_RBRACE] = ACTIONS(3632),
    [anon_sym_typeof] = ACTIONS(3632),
    [anon_sym_import] = ACTIONS(3632),
    [anon_sym_from] = ACTIONS(3632),
    [anon_sym_with] = ACTIONS(3632),
    [anon_sym_var] = ACTIONS(3632),
    [anon_sym_let] = ACTIONS(3632),
    [anon_sym_const] = ACTIONS(3632),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_if] = ACTIONS(3632),
    [anon_sym_switch] = ACTIONS(3632),
    [anon_sym_for] = ACTIONS(3632),
    [anon_sym_LPAREN] = ACTIONS(3632),
    [anon_sym_await] = ACTIONS(3632),
    [anon_sym_of] = ACTIONS(3632),
    [anon_sym_while] = ACTIONS(3632),
    [anon_sym_do] = ACTIONS(3632),
    [anon_sym_try] = ACTIONS(3632),
    [anon_sym_break] = ACTIONS(3632),
    [anon_sym_continue] = ACTIONS(3632),
    [anon_sym_debugger] = ACTIONS(3632),
    [anon_sym_return] = ACTIONS(3632),
    [anon_sym_throw] = ACTIONS(3632),
    [anon_sym_SEMI] = ACTIONS(3632),
    [anon_sym_case] = ACTIONS(3632),
    [anon_sym_yield] = ACTIONS(3632),
    [anon_sym_LBRACK] = ACTIONS(3632),
    [anon_sym_LTtemplate_GT] = ACTIONS(3632),
    [anon_sym_DQUOTE] = ACTIONS(3632),
    [anon_sym_SQUOTE] = ACTIONS(3632),
    [anon_sym_class] = ACTIONS(3632),
    [anon_sym_async] = ACTIONS(3632),
    [anon_sym_function] = ACTIONS(3632),
    [anon_sym_new] = ACTIONS(3632),
    [anon_sym_using] = ACTIONS(3632),
    [anon_sym_PLUS] = ACTIONS(3632),
    [anon_sym_DASH] = ACTIONS(3632),
    [anon_sym_SLASH] = ACTIONS(3632),
    [anon_sym_LT] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [anon_sym_void] = ACTIONS(3632),
    [anon_sym_delete] = ACTIONS(3632),
    [anon_sym_PLUS_PLUS] = ACTIONS(3632),
    [anon_sym_DASH_DASH] = ACTIONS(3632),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3632),
    [sym_number] = ACTIONS(3632),
    [sym_private_property_identifier] = ACTIONS(3632),
    [sym_this] = ACTIONS(3632),
    [sym_super] = ACTIONS(3632),
    [sym_true] = ACTIONS(3632),
    [sym_false] = ACTIONS(3632),
    [sym_null] = ACTIONS(3632),
    [sym_undefined] = ACTIONS(3632),
    [anon_sym_AT] = ACTIONS(3632),
    [anon_sym_static] = ACTIONS(3632),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_get] = ACTIONS(3632),
    [anon_sym_set] = ACTIONS(3632),
    [anon_sym_declare] = ACTIONS(3632),
    [anon_sym_public] = ACTIONS(3632),
    [anon_sym_private] = ACTIONS(3632),
    [anon_sym_protected] = ACTIONS(3632),
    [anon_sym_override] = ACTIONS(3632),
    [anon_sym_module] = ACTIONS(3632),
    [anon_sym_any] = ACTIONS(3632),
    [anon_sym_number] = ACTIONS(3632),
    [anon_sym_boolean] = ACTIONS(3632),
    [anon_sym_string] = ACTIONS(3632),
    [anon_sym_symbol] = ACTIONS(3632),
    [anon_sym_object] = ACTIONS(3632),
    [anon_sym_property] = ACTIONS(3632),
    [anon_sym_signal] = ACTIONS(3632),
    [anon_sym_on] = ACTIONS(3632),
    [anon_sym_required] = ACTIONS(3632),
    [anon_sym_component] = ACTIONS(3632),
    [anon_sym_abstract] = ACTIONS(3632),
    [anon_sym_interface] = ACTIONS(3632),
    [anon_sym_enum] = ACTIONS(3632),
    [sym_html_comment] = ACTIONS(5),
  },
  [1424] = {
    [sym_comment] = STATE(1424),
    [sym_identifier] = ACTIONS(3690),
    [anon_sym_export] = ACTIONS(3690),
    [anon_sym_default] = ACTIONS(3690),
    [anon_sym_type] = ACTIONS(3690),
    [anon_sym_namespace] = ACTIONS(3690),
    [anon_sym_LBRACE] = ACTIONS(3690),
    [anon_sym_RBRACE] = ACTIONS(3690),
    [anon_sym_typeof] = ACTIONS(3690),
    [anon_sym_import] = ACTIONS(3690),
    [anon_sym_from] = ACTIONS(3690),
    [anon_sym_with] = ACTIONS(3690),
    [anon_sym_var] = ACTIONS(3690),
    [anon_sym_let] = ACTIONS(3690),
    [anon_sym_const] = ACTIONS(3690),
    [anon_sym_BANG] = ACTIONS(3690),
    [anon_sym_if] = ACTIONS(3690),
    [anon_sym_switch] = ACTIONS(3690),
    [anon_sym_for] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(3690),
    [anon_sym_await] = ACTIONS(3690),
    [anon_sym_of] = ACTIONS(3690),
    [anon_sym_while] = ACTIONS(3690),
    [anon_sym_do] = ACTIONS(3690),
    [anon_sym_try] = ACTIONS(3690),
    [anon_sym_break] = ACTIONS(3690),
    [anon_sym_continue] = ACTIONS(3690),
    [anon_sym_debugger] = ACTIONS(3690),
    [anon_sym_return] = ACTIONS(3690),
    [anon_sym_throw] = ACTIONS(3690),
    [anon_sym_SEMI] = ACTIONS(3690),
    [anon_sym_case] = ACTIONS(3690),
    [anon_sym_yield] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(3690),
    [anon_sym_LTtemplate_GT] = ACTIONS(3690),
    [anon_sym_DQUOTE] = ACTIONS(3690),
    [anon_sym_SQUOTE] = ACTIONS(3690),
    [anon_sym_class] = ACTIONS(3690),
    [anon_sym_async] = ACTIONS(3690),
    [anon_sym_function] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3690),
    [anon_sym_using] = ACTIONS(3690),
    [anon_sym_PLUS] = ACTIONS(3690),
    [anon_sym_DASH] = ACTIONS(3690),
    [anon_sym_SLASH] = ACTIONS(3690),
    [anon_sym_LT] = ACTIONS(3690),
    [anon_sym_TILDE] = ACTIONS(3690),
    [anon_sym_void] = ACTIONS(3690),
    [anon_sym_delete] = ACTIONS(3690),
    [anon_sym_PLUS_PLUS] = ACTIONS(3690),
    [anon_sym_DASH_DASH] = ACTIONS(3690),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3690),
    [sym_number] = ACTIONS(3690),
    [sym_private_property_identifier] = ACTIONS(3690),
    [sym_this] = ACTIONS(3690),
    [sym_super] = ACTIONS(3690),
    [sym_true] = ACTIONS(3690),
    [sym_false] = ACTIONS(3690),
    [sym_null] = ACTIONS(3690),
    [sym_undefined] = ACTIONS(3690),
    [anon_sym_AT] = ACTIONS(3690),
    [anon_sym_static] = ACTIONS(3690),
    [anon_sym_readonly] = ACTIONS(3690),
    [anon_sym_get] = ACTIONS(3690),
    [anon_sym_set] = ACTIONS(3690),
    [anon_sym_declare] = ACTIONS(3690),
    [anon_sym_public] = ACTIONS(3690),
    [anon_sym_private] = ACTIONS(3690),
    [anon_sym_protected] = ACTIONS(3690),
    [anon_sym_override] = ACTIONS(3690),
    [anon_sym_module] = ACTIONS(3690),
    [anon_sym_any] = ACTIONS(3690),
    [anon_sym_number] = ACTIONS(3690),
    [anon_sym_boolean] = ACTIONS(3690),
    [anon_sym_string] = ACTIONS(3690),
    [anon_sym_symbol] = ACTIONS(3690),
    [anon_sym_object] = ACTIONS(3690),
    [anon_sym_property] = ACTIONS(3690),
    [anon_sym_signal] = ACTIONS(3690),
    [anon_sym_on] = ACTIONS(3690),
    [anon_sym_required] = ACTIONS(3690),
    [anon_sym_component] = ACTIONS(3690),
    [anon_sym_abstract] = ACTIONS(3690),
    [anon_sym_interface] = ACTIONS(3690),
    [anon_sym_enum] = ACTIONS(3690),
    [sym_html_comment] = ACTIONS(5),
  },
  [1425] = {
    [sym_comment] = STATE(1425),
    [sym_identifier] = ACTIONS(3614),
    [anon_sym_export] = ACTIONS(3614),
    [anon_sym_default] = ACTIONS(3614),
    [anon_sym_type] = ACTIONS(3614),
    [anon_sym_namespace] = ACTIONS(3614),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(3614),
    [anon_sym_typeof] = ACTIONS(3614),
    [anon_sym_import] = ACTIONS(3614),
    [anon_sym_from] = ACTIONS(3614),
    [anon_sym_with] = ACTIONS(3614),
    [anon_sym_var] = ACTIONS(3614),
    [anon_sym_let] = ACTIONS(3614),
    [anon_sym_const] = ACTIONS(3614),
    [anon_sym_BANG] = ACTIONS(3614),
    [anon_sym_if] = ACTIONS(3614),
    [anon_sym_switch] = ACTIONS(3614),
    [anon_sym_for] = ACTIONS(3614),
    [anon_sym_LPAREN] = ACTIONS(3614),
    [anon_sym_await] = ACTIONS(3614),
    [anon_sym_of] = ACTIONS(3614),
    [anon_sym_while] = ACTIONS(3614),
    [anon_sym_do] = ACTIONS(3614),
    [anon_sym_try] = ACTIONS(3614),
    [anon_sym_break] = ACTIONS(3614),
    [anon_sym_continue] = ACTIONS(3614),
    [anon_sym_debugger] = ACTIONS(3614),
    [anon_sym_return] = ACTIONS(3614),
    [anon_sym_throw] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(3614),
    [anon_sym_case] = ACTIONS(3614),
    [anon_sym_yield] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(3614),
    [anon_sym_LTtemplate_GT] = ACTIONS(3614),
    [anon_sym_DQUOTE] = ACTIONS(3614),
    [anon_sym_SQUOTE] = ACTIONS(3614),
    [anon_sym_class] = ACTIONS(3614),
    [anon_sym_async] = ACTIONS(3614),
    [anon_sym_function] = ACTIONS(3614),
    [anon_sym_new] = ACTIONS(3614),
    [anon_sym_using] = ACTIONS(3614),
    [anon_sym_PLUS] = ACTIONS(3614),
    [anon_sym_DASH] = ACTIONS(3614),
    [anon_sym_SLASH] = ACTIONS(3614),
    [anon_sym_LT] = ACTIONS(3614),
    [anon_sym_TILDE] = ACTIONS(3614),
    [anon_sym_void] = ACTIONS(3614),
    [anon_sym_delete] = ACTIONS(3614),
    [anon_sym_PLUS_PLUS] = ACTIONS(3614),
    [anon_sym_DASH_DASH] = ACTIONS(3614),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3614),
    [sym_number] = ACTIONS(3614),
    [sym_private_property_identifier] = ACTIONS(3614),
    [sym_this] = ACTIONS(3614),
    [sym_super] = ACTIONS(3614),
    [sym_true] = ACTIONS(3614),
    [sym_false] = ACTIONS(3614),
    [sym_null] = ACTIONS(3614),
    [sym_undefined] = ACTIONS(3614),
    [anon_sym_AT] = ACTIONS(3614),
    [anon_sym_static] = ACTIONS(3614),
    [anon_sym_readonly] = ACTIONS(3614),
    [anon_sym_get] = ACTIONS(3614),
    [anon_sym_set] = ACTIONS(3614),
    [anon_sym_declare] = ACTIONS(3614),
    [anon_sym_public] = ACTIONS(3614),
    [anon_sym_private] = ACTIONS(3614),
    [anon_sym_protected] = ACTIONS(3614),
    [anon_sym_override] = ACTIONS(3614),
    [anon_sym_module] = ACTIONS(3614),
    [anon_sym_any] = ACTIONS(3614),
    [anon_sym_number] = ACTIONS(3614),
    [anon_sym_boolean] = ACTIONS(3614),
    [anon_sym_string] = ACTIONS(3614),
    [anon_sym_symbol] = ACTIONS(3614),
    [anon_sym_object] = ACTIONS(3614),
    [anon_sym_property] = ACTIONS(3614),
    [anon_sym_signal] = ACTIONS(3614),
    [anon_sym_on] = ACTIONS(3614),
    [anon_sym_required] = ACTIONS(3614),
    [anon_sym_component] = ACTIONS(3614),
    [anon_sym_abstract] = ACTIONS(3614),
    [anon_sym_interface] = ACTIONS(3614),
    [anon_sym_enum] = ACTIONS(3614),
    [sym_html_comment] = ACTIONS(5),
  },
  [1426] = {
    [sym_comment] = STATE(1426),
    [sym_identifier] = ACTIONS(3680),
    [anon_sym_export] = ACTIONS(3680),
    [anon_sym_default] = ACTIONS(3680),
    [anon_sym_type] = ACTIONS(3680),
    [anon_sym_namespace] = ACTIONS(3680),
    [anon_sym_LBRACE] = ACTIONS(3680),
    [anon_sym_RBRACE] = ACTIONS(3680),
    [anon_sym_typeof] = ACTIONS(3680),
    [anon_sym_import] = ACTIONS(3680),
    [anon_sym_from] = ACTIONS(3680),
    [anon_sym_with] = ACTIONS(3680),
    [anon_sym_var] = ACTIONS(3680),
    [anon_sym_let] = ACTIONS(3680),
    [anon_sym_const] = ACTIONS(3680),
    [anon_sym_BANG] = ACTIONS(3680),
    [anon_sym_if] = ACTIONS(3680),
    [anon_sym_switch] = ACTIONS(3680),
    [anon_sym_for] = ACTIONS(3680),
    [anon_sym_LPAREN] = ACTIONS(3680),
    [anon_sym_await] = ACTIONS(3680),
    [anon_sym_of] = ACTIONS(3680),
    [anon_sym_while] = ACTIONS(3680),
    [anon_sym_do] = ACTIONS(3680),
    [anon_sym_try] = ACTIONS(3680),
    [anon_sym_break] = ACTIONS(3680),
    [anon_sym_continue] = ACTIONS(3680),
    [anon_sym_debugger] = ACTIONS(3680),
    [anon_sym_return] = ACTIONS(3680),
    [anon_sym_throw] = ACTIONS(3680),
    [anon_sym_SEMI] = ACTIONS(3680),
    [anon_sym_case] = ACTIONS(3680),
    [anon_sym_yield] = ACTIONS(3680),
    [anon_sym_LBRACK] = ACTIONS(3680),
    [anon_sym_LTtemplate_GT] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [anon_sym_SQUOTE] = ACTIONS(3680),
    [anon_sym_class] = ACTIONS(3680),
    [anon_sym_async] = ACTIONS(3680),
    [anon_sym_function] = ACTIONS(3680),
    [anon_sym_new] = ACTIONS(3680),
    [anon_sym_using] = ACTIONS(3680),
    [anon_sym_PLUS] = ACTIONS(3680),
    [anon_sym_DASH] = ACTIONS(3680),
    [anon_sym_SLASH] = ACTIONS(3680),
    [anon_sym_LT] = ACTIONS(3680),
    [anon_sym_TILDE] = ACTIONS(3680),
    [anon_sym_void] = ACTIONS(3680),
    [anon_sym_delete] = ACTIONS(3680),
    [anon_sym_PLUS_PLUS] = ACTIONS(3680),
    [anon_sym_DASH_DASH] = ACTIONS(3680),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3680),
    [sym_number] = ACTIONS(3680),
    [sym_private_property_identifier] = ACTIONS(3680),
    [sym_this] = ACTIONS(3680),
    [sym_super] = ACTIONS(3680),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_AT] = ACTIONS(3680),
    [anon_sym_static] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3680),
    [anon_sym_get] = ACTIONS(3680),
    [anon_sym_set] = ACTIONS(3680),
    [anon_sym_declare] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3680),
    [anon_sym_private] = ACTIONS(3680),
    [anon_sym_protected] = ACTIONS(3680),
    [anon_sym_override] = ACTIONS(3680),
    [anon_sym_module] = ACTIONS(3680),
    [anon_sym_any] = ACTIONS(3680),
    [anon_sym_number] = ACTIONS(3680),
    [anon_sym_boolean] = ACTIONS(3680),
    [anon_sym_string] = ACTIONS(3680),
    [anon_sym_symbol] = ACTIONS(3680),
    [anon_sym_object] = ACTIONS(3680),
    [anon_sym_property] = ACTIONS(3680),
    [anon_sym_signal] = ACTIONS(3680),
    [anon_sym_on] = ACTIONS(3680),
    [anon_sym_required] = ACTIONS(3680),
    [anon_sym_component] = ACTIONS(3680),
    [anon_sym_abstract] = ACTIONS(3680),
    [anon_sym_interface] = ACTIONS(3680),
    [anon_sym_enum] = ACTIONS(3680),
    [sym_html_comment] = ACTIONS(5),
  },
  [1427] = {
    [sym_comment] = STATE(1427),
    [sym_identifier] = ACTIONS(3618),
    [anon_sym_export] = ACTIONS(3618),
    [anon_sym_default] = ACTIONS(3618),
    [anon_sym_type] = ACTIONS(3618),
    [anon_sym_namespace] = ACTIONS(3618),
    [anon_sym_LBRACE] = ACTIONS(3618),
    [anon_sym_RBRACE] = ACTIONS(3618),
    [anon_sym_typeof] = ACTIONS(3618),
    [anon_sym_import] = ACTIONS(3618),
    [anon_sym_from] = ACTIONS(3618),
    [anon_sym_with] = ACTIONS(3618),
    [anon_sym_var] = ACTIONS(3618),
    [anon_sym_let] = ACTIONS(3618),
    [anon_sym_const] = ACTIONS(3618),
    [anon_sym_BANG] = ACTIONS(3618),
    [anon_sym_if] = ACTIONS(3618),
    [anon_sym_switch] = ACTIONS(3618),
    [anon_sym_for] = ACTIONS(3618),
    [anon_sym_LPAREN] = ACTIONS(3618),
    [anon_sym_await] = ACTIONS(3618),
    [anon_sym_of] = ACTIONS(3618),
    [anon_sym_while] = ACTIONS(3618),
    [anon_sym_do] = ACTIONS(3618),
    [anon_sym_try] = ACTIONS(3618),
    [anon_sym_break] = ACTIONS(3618),
    [anon_sym_continue] = ACTIONS(3618),
    [anon_sym_debugger] = ACTIONS(3618),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_throw] = ACTIONS(3618),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym_case] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3618),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_LTtemplate_GT] = ACTIONS(3618),
    [anon_sym_DQUOTE] = ACTIONS(3618),
    [anon_sym_SQUOTE] = ACTIONS(3618),
    [anon_sym_class] = ACTIONS(3618),
    [anon_sym_async] = ACTIONS(3618),
    [anon_sym_function] = ACTIONS(3618),
    [anon_sym_new] = ACTIONS(3618),
    [anon_sym_using] = ACTIONS(3618),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_SLASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(3618),
    [anon_sym_TILDE] = ACTIONS(3618),
    [anon_sym_void] = ACTIONS(3618),
    [anon_sym_delete] = ACTIONS(3618),
    [anon_sym_PLUS_PLUS] = ACTIONS(3618),
    [anon_sym_DASH_DASH] = ACTIONS(3618),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3618),
    [sym_number] = ACTIONS(3618),
    [sym_private_property_identifier] = ACTIONS(3618),
    [sym_this] = ACTIONS(3618),
    [sym_super] = ACTIONS(3618),
    [sym_true] = ACTIONS(3618),
    [sym_false] = ACTIONS(3618),
    [sym_null] = ACTIONS(3618),
    [sym_undefined] = ACTIONS(3618),
    [anon_sym_AT] = ACTIONS(3618),
    [anon_sym_static] = ACTIONS(3618),
    [anon_sym_readonly] = ACTIONS(3618),
    [anon_sym_get] = ACTIONS(3618),
    [anon_sym_set] = ACTIONS(3618),
    [anon_sym_declare] = ACTIONS(3618),
    [anon_sym_public] = ACTIONS(3618),
    [anon_sym_private] = ACTIONS(3618),
    [anon_sym_protected] = ACTIONS(3618),
    [anon_sym_override] = ACTIONS(3618),
    [anon_sym_module] = ACTIONS(3618),
    [anon_sym_any] = ACTIONS(3618),
    [anon_sym_number] = ACTIONS(3618),
    [anon_sym_boolean] = ACTIONS(3618),
    [anon_sym_string] = ACTIONS(3618),
    [anon_sym_symbol] = ACTIONS(3618),
    [anon_sym_object] = ACTIONS(3618),
    [anon_sym_property] = ACTIONS(3618),
    [anon_sym_signal] = ACTIONS(3618),
    [anon_sym_on] = ACTIONS(3618),
    [anon_sym_required] = ACTIONS(3618),
    [anon_sym_component] = ACTIONS(3618),
    [anon_sym_abstract] = ACTIONS(3618),
    [anon_sym_interface] = ACTIONS(3618),
    [anon_sym_enum] = ACTIONS(3618),
    [sym_html_comment] = ACTIONS(5),
  },
  [1428] = {
    [sym_comment] = STATE(1428),
    [sym_identifier] = ACTIONS(3678),
    [anon_sym_export] = ACTIONS(3678),
    [anon_sym_default] = ACTIONS(3678),
    [anon_sym_type] = ACTIONS(3678),
    [anon_sym_namespace] = ACTIONS(3678),
    [anon_sym_LBRACE] = ACTIONS(3678),
    [anon_sym_RBRACE] = ACTIONS(3678),
    [anon_sym_typeof] = ACTIONS(3678),
    [anon_sym_import] = ACTIONS(3678),
    [anon_sym_from] = ACTIONS(3678),
    [anon_sym_with] = ACTIONS(3678),
    [anon_sym_var] = ACTIONS(3678),
    [anon_sym_let] = ACTIONS(3678),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_BANG] = ACTIONS(3678),
    [anon_sym_if] = ACTIONS(3678),
    [anon_sym_switch] = ACTIONS(3678),
    [anon_sym_for] = ACTIONS(3678),
    [anon_sym_LPAREN] = ACTIONS(3678),
    [anon_sym_await] = ACTIONS(3678),
    [anon_sym_of] = ACTIONS(3678),
    [anon_sym_while] = ACTIONS(3678),
    [anon_sym_do] = ACTIONS(3678),
    [anon_sym_try] = ACTIONS(3678),
    [anon_sym_break] = ACTIONS(3678),
    [anon_sym_continue] = ACTIONS(3678),
    [anon_sym_debugger] = ACTIONS(3678),
    [anon_sym_return] = ACTIONS(3678),
    [anon_sym_throw] = ACTIONS(3678),
    [anon_sym_SEMI] = ACTIONS(3678),
    [anon_sym_case] = ACTIONS(3678),
    [anon_sym_yield] = ACTIONS(3678),
    [anon_sym_LBRACK] = ACTIONS(3678),
    [anon_sym_LTtemplate_GT] = ACTIONS(3678),
    [anon_sym_DQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_class] = ACTIONS(3678),
    [anon_sym_async] = ACTIONS(3678),
    [anon_sym_function] = ACTIONS(3678),
    [anon_sym_new] = ACTIONS(3678),
    [anon_sym_using] = ACTIONS(3678),
    [anon_sym_PLUS] = ACTIONS(3678),
    [anon_sym_DASH] = ACTIONS(3678),
    [anon_sym_SLASH] = ACTIONS(3678),
    [anon_sym_LT] = ACTIONS(3678),
    [anon_sym_TILDE] = ACTIONS(3678),
    [anon_sym_void] = ACTIONS(3678),
    [anon_sym_delete] = ACTIONS(3678),
    [anon_sym_PLUS_PLUS] = ACTIONS(3678),
    [anon_sym_DASH_DASH] = ACTIONS(3678),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3678),
    [sym_private_property_identifier] = ACTIONS(3678),
    [sym_this] = ACTIONS(3678),
    [sym_super] = ACTIONS(3678),
    [sym_true] = ACTIONS(3678),
    [sym_false] = ACTIONS(3678),
    [sym_null] = ACTIONS(3678),
    [sym_undefined] = ACTIONS(3678),
    [anon_sym_AT] = ACTIONS(3678),
    [anon_sym_static] = ACTIONS(3678),
    [anon_sym_readonly] = ACTIONS(3678),
    [anon_sym_get] = ACTIONS(3678),
    [anon_sym_set] = ACTIONS(3678),
    [anon_sym_declare] = ACTIONS(3678),
    [anon_sym_public] = ACTIONS(3678),
    [anon_sym_private] = ACTIONS(3678),
    [anon_sym_protected] = ACTIONS(3678),
    [anon_sym_override] = ACTIONS(3678),
    [anon_sym_module] = ACTIONS(3678),
    [anon_sym_any] = ACTIONS(3678),
    [anon_sym_number] = ACTIONS(3678),
    [anon_sym_boolean] = ACTIONS(3678),
    [anon_sym_string] = ACTIONS(3678),
    [anon_sym_symbol] = ACTIONS(3678),
    [anon_sym_object] = ACTIONS(3678),
    [anon_sym_property] = ACTIONS(3678),
    [anon_sym_signal] = ACTIONS(3678),
    [anon_sym_on] = ACTIONS(3678),
    [anon_sym_required] = ACTIONS(3678),
    [anon_sym_component] = ACTIONS(3678),
    [anon_sym_abstract] = ACTIONS(3678),
    [anon_sym_interface] = ACTIONS(3678),
    [anon_sym_enum] = ACTIONS(3678),
    [sym_html_comment] = ACTIONS(5),
  },
  [1429] = {
    [sym_comment] = STATE(1429),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1430] = {
    [sym_comment] = STATE(1430),
    [sym_identifier] = ACTIONS(3676),
    [anon_sym_export] = ACTIONS(3676),
    [anon_sym_default] = ACTIONS(3676),
    [anon_sym_type] = ACTIONS(3676),
    [anon_sym_namespace] = ACTIONS(3676),
    [anon_sym_LBRACE] = ACTIONS(3676),
    [anon_sym_RBRACE] = ACTIONS(3676),
    [anon_sym_typeof] = ACTIONS(3676),
    [anon_sym_import] = ACTIONS(3676),
    [anon_sym_from] = ACTIONS(3676),
    [anon_sym_with] = ACTIONS(3676),
    [anon_sym_var] = ACTIONS(3676),
    [anon_sym_let] = ACTIONS(3676),
    [anon_sym_const] = ACTIONS(3676),
    [anon_sym_BANG] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(3676),
    [anon_sym_switch] = ACTIONS(3676),
    [anon_sym_for] = ACTIONS(3676),
    [anon_sym_LPAREN] = ACTIONS(3676),
    [anon_sym_await] = ACTIONS(3676),
    [anon_sym_of] = ACTIONS(3676),
    [anon_sym_while] = ACTIONS(3676),
    [anon_sym_do] = ACTIONS(3676),
    [anon_sym_try] = ACTIONS(3676),
    [anon_sym_break] = ACTIONS(3676),
    [anon_sym_continue] = ACTIONS(3676),
    [anon_sym_debugger] = ACTIONS(3676),
    [anon_sym_return] = ACTIONS(3676),
    [anon_sym_throw] = ACTIONS(3676),
    [anon_sym_SEMI] = ACTIONS(3676),
    [anon_sym_case] = ACTIONS(3676),
    [anon_sym_yield] = ACTIONS(3676),
    [anon_sym_LBRACK] = ACTIONS(3676),
    [anon_sym_LTtemplate_GT] = ACTIONS(3676),
    [anon_sym_DQUOTE] = ACTIONS(3676),
    [anon_sym_SQUOTE] = ACTIONS(3676),
    [anon_sym_class] = ACTIONS(3676),
    [anon_sym_async] = ACTIONS(3676),
    [anon_sym_function] = ACTIONS(3676),
    [anon_sym_new] = ACTIONS(3676),
    [anon_sym_using] = ACTIONS(3676),
    [anon_sym_PLUS] = ACTIONS(3676),
    [anon_sym_DASH] = ACTIONS(3676),
    [anon_sym_SLASH] = ACTIONS(3676),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_TILDE] = ACTIONS(3676),
    [anon_sym_void] = ACTIONS(3676),
    [anon_sym_delete] = ACTIONS(3676),
    [anon_sym_PLUS_PLUS] = ACTIONS(3676),
    [anon_sym_DASH_DASH] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3676),
    [sym_number] = ACTIONS(3676),
    [sym_private_property_identifier] = ACTIONS(3676),
    [sym_this] = ACTIONS(3676),
    [sym_super] = ACTIONS(3676),
    [sym_true] = ACTIONS(3676),
    [sym_false] = ACTIONS(3676),
    [sym_null] = ACTIONS(3676),
    [sym_undefined] = ACTIONS(3676),
    [anon_sym_AT] = ACTIONS(3676),
    [anon_sym_static] = ACTIONS(3676),
    [anon_sym_readonly] = ACTIONS(3676),
    [anon_sym_get] = ACTIONS(3676),
    [anon_sym_set] = ACTIONS(3676),
    [anon_sym_declare] = ACTIONS(3676),
    [anon_sym_public] = ACTIONS(3676),
    [anon_sym_private] = ACTIONS(3676),
    [anon_sym_protected] = ACTIONS(3676),
    [anon_sym_override] = ACTIONS(3676),
    [anon_sym_module] = ACTIONS(3676),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_property] = ACTIONS(3676),
    [anon_sym_signal] = ACTIONS(3676),
    [anon_sym_on] = ACTIONS(3676),
    [anon_sym_required] = ACTIONS(3676),
    [anon_sym_component] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3676),
    [anon_sym_interface] = ACTIONS(3676),
    [anon_sym_enum] = ACTIONS(3676),
    [sym_html_comment] = ACTIONS(5),
  },
  [1431] = {
    [sym_comment] = STATE(1431),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1432] = {
    [sym_comment] = STATE(1432),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1433] = {
    [sym_comment] = STATE(1433),
    [sym_identifier] = ACTIONS(3664),
    [anon_sym_export] = ACTIONS(3664),
    [anon_sym_default] = ACTIONS(3664),
    [anon_sym_type] = ACTIONS(3664),
    [anon_sym_namespace] = ACTIONS(3664),
    [anon_sym_LBRACE] = ACTIONS(3664),
    [anon_sym_RBRACE] = ACTIONS(3664),
    [anon_sym_typeof] = ACTIONS(3664),
    [anon_sym_import] = ACTIONS(3664),
    [anon_sym_from] = ACTIONS(3664),
    [anon_sym_with] = ACTIONS(3664),
    [anon_sym_var] = ACTIONS(3664),
    [anon_sym_let] = ACTIONS(3664),
    [anon_sym_const] = ACTIONS(3664),
    [anon_sym_BANG] = ACTIONS(3664),
    [anon_sym_if] = ACTIONS(3664),
    [anon_sym_switch] = ACTIONS(3664),
    [anon_sym_for] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(3664),
    [anon_sym_await] = ACTIONS(3664),
    [anon_sym_of] = ACTIONS(3664),
    [anon_sym_while] = ACTIONS(3664),
    [anon_sym_do] = ACTIONS(3664),
    [anon_sym_try] = ACTIONS(3664),
    [anon_sym_break] = ACTIONS(3664),
    [anon_sym_continue] = ACTIONS(3664),
    [anon_sym_debugger] = ACTIONS(3664),
    [anon_sym_return] = ACTIONS(3664),
    [anon_sym_throw] = ACTIONS(3664),
    [anon_sym_SEMI] = ACTIONS(3664),
    [anon_sym_case] = ACTIONS(3664),
    [anon_sym_yield] = ACTIONS(3664),
    [anon_sym_LBRACK] = ACTIONS(3664),
    [anon_sym_LTtemplate_GT] = ACTIONS(3664),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3664),
    [anon_sym_class] = ACTIONS(3664),
    [anon_sym_async] = ACTIONS(3664),
    [anon_sym_function] = ACTIONS(3664),
    [anon_sym_new] = ACTIONS(3664),
    [anon_sym_using] = ACTIONS(3664),
    [anon_sym_PLUS] = ACTIONS(3664),
    [anon_sym_DASH] = ACTIONS(3664),
    [anon_sym_SLASH] = ACTIONS(3664),
    [anon_sym_LT] = ACTIONS(3664),
    [anon_sym_TILDE] = ACTIONS(3664),
    [anon_sym_void] = ACTIONS(3664),
    [anon_sym_delete] = ACTIONS(3664),
    [anon_sym_PLUS_PLUS] = ACTIONS(3664),
    [anon_sym_DASH_DASH] = ACTIONS(3664),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3664),
    [sym_number] = ACTIONS(3664),
    [sym_private_property_identifier] = ACTIONS(3664),
    [sym_this] = ACTIONS(3664),
    [sym_super] = ACTIONS(3664),
    [sym_true] = ACTIONS(3664),
    [sym_false] = ACTIONS(3664),
    [sym_null] = ACTIONS(3664),
    [sym_undefined] = ACTIONS(3664),
    [anon_sym_AT] = ACTIONS(3664),
    [anon_sym_static] = ACTIONS(3664),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_get] = ACTIONS(3664),
    [anon_sym_set] = ACTIONS(3664),
    [anon_sym_declare] = ACTIONS(3664),
    [anon_sym_public] = ACTIONS(3664),
    [anon_sym_private] = ACTIONS(3664),
    [anon_sym_protected] = ACTIONS(3664),
    [anon_sym_override] = ACTIONS(3664),
    [anon_sym_module] = ACTIONS(3664),
    [anon_sym_any] = ACTIONS(3664),
    [anon_sym_number] = ACTIONS(3664),
    [anon_sym_boolean] = ACTIONS(3664),
    [anon_sym_string] = ACTIONS(3664),
    [anon_sym_symbol] = ACTIONS(3664),
    [anon_sym_object] = ACTIONS(3664),
    [anon_sym_property] = ACTIONS(3664),
    [anon_sym_signal] = ACTIONS(3664),
    [anon_sym_on] = ACTIONS(3664),
    [anon_sym_required] = ACTIONS(3664),
    [anon_sym_component] = ACTIONS(3664),
    [anon_sym_abstract] = ACTIONS(3664),
    [anon_sym_interface] = ACTIONS(3664),
    [anon_sym_enum] = ACTIONS(3664),
    [sym_html_comment] = ACTIONS(5),
  },
  [1434] = {
    [sym_comment] = STATE(1434),
    [sym_identifier] = ACTIONS(3652),
    [anon_sym_export] = ACTIONS(3652),
    [anon_sym_default] = ACTIONS(3652),
    [anon_sym_type] = ACTIONS(3652),
    [anon_sym_namespace] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3652),
    [anon_sym_RBRACE] = ACTIONS(3652),
    [anon_sym_typeof] = ACTIONS(3652),
    [anon_sym_import] = ACTIONS(3652),
    [anon_sym_from] = ACTIONS(3652),
    [anon_sym_with] = ACTIONS(3652),
    [anon_sym_var] = ACTIONS(3652),
    [anon_sym_let] = ACTIONS(3652),
    [anon_sym_const] = ACTIONS(3652),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_if] = ACTIONS(3652),
    [anon_sym_switch] = ACTIONS(3652),
    [anon_sym_for] = ACTIONS(3652),
    [anon_sym_LPAREN] = ACTIONS(3652),
    [anon_sym_await] = ACTIONS(3652),
    [anon_sym_of] = ACTIONS(3652),
    [anon_sym_while] = ACTIONS(3652),
    [anon_sym_do] = ACTIONS(3652),
    [anon_sym_try] = ACTIONS(3652),
    [anon_sym_break] = ACTIONS(3652),
    [anon_sym_continue] = ACTIONS(3652),
    [anon_sym_debugger] = ACTIONS(3652),
    [anon_sym_return] = ACTIONS(3652),
    [anon_sym_throw] = ACTIONS(3652),
    [anon_sym_SEMI] = ACTIONS(3652),
    [anon_sym_case] = ACTIONS(3652),
    [anon_sym_yield] = ACTIONS(3652),
    [anon_sym_LBRACK] = ACTIONS(3652),
    [anon_sym_LTtemplate_GT] = ACTIONS(3652),
    [anon_sym_DQUOTE] = ACTIONS(3652),
    [anon_sym_SQUOTE] = ACTIONS(3652),
    [anon_sym_class] = ACTIONS(3652),
    [anon_sym_async] = ACTIONS(3652),
    [anon_sym_function] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(3652),
    [anon_sym_using] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3652),
    [anon_sym_DASH] = ACTIONS(3652),
    [anon_sym_SLASH] = ACTIONS(3652),
    [anon_sym_LT] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [anon_sym_void] = ACTIONS(3652),
    [anon_sym_delete] = ACTIONS(3652),
    [anon_sym_PLUS_PLUS] = ACTIONS(3652),
    [anon_sym_DASH_DASH] = ACTIONS(3652),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3652),
    [sym_number] = ACTIONS(3652),
    [sym_private_property_identifier] = ACTIONS(3652),
    [sym_this] = ACTIONS(3652),
    [sym_super] = ACTIONS(3652),
    [sym_true] = ACTIONS(3652),
    [sym_false] = ACTIONS(3652),
    [sym_null] = ACTIONS(3652),
    [sym_undefined] = ACTIONS(3652),
    [anon_sym_AT] = ACTIONS(3652),
    [anon_sym_static] = ACTIONS(3652),
    [anon_sym_readonly] = ACTIONS(3652),
    [anon_sym_get] = ACTIONS(3652),
    [anon_sym_set] = ACTIONS(3652),
    [anon_sym_declare] = ACTIONS(3652),
    [anon_sym_public] = ACTIONS(3652),
    [anon_sym_private] = ACTIONS(3652),
    [anon_sym_protected] = ACTIONS(3652),
    [anon_sym_override] = ACTIONS(3652),
    [anon_sym_module] = ACTIONS(3652),
    [anon_sym_any] = ACTIONS(3652),
    [anon_sym_number] = ACTIONS(3652),
    [anon_sym_boolean] = ACTIONS(3652),
    [anon_sym_string] = ACTIONS(3652),
    [anon_sym_symbol] = ACTIONS(3652),
    [anon_sym_object] = ACTIONS(3652),
    [anon_sym_property] = ACTIONS(3652),
    [anon_sym_signal] = ACTIONS(3652),
    [anon_sym_on] = ACTIONS(3652),
    [anon_sym_required] = ACTIONS(3652),
    [anon_sym_component] = ACTIONS(3652),
    [anon_sym_abstract] = ACTIONS(3652),
    [anon_sym_interface] = ACTIONS(3652),
    [anon_sym_enum] = ACTIONS(3652),
    [sym_html_comment] = ACTIONS(5),
  },
  [1435] = {
    [sym_comment] = STATE(1435),
    [sym_identifier] = ACTIONS(3646),
    [anon_sym_export] = ACTIONS(3646),
    [anon_sym_default] = ACTIONS(3646),
    [anon_sym_type] = ACTIONS(3646),
    [anon_sym_namespace] = ACTIONS(3646),
    [anon_sym_LBRACE] = ACTIONS(3646),
    [anon_sym_RBRACE] = ACTIONS(3646),
    [anon_sym_typeof] = ACTIONS(3646),
    [anon_sym_import] = ACTIONS(3646),
    [anon_sym_from] = ACTIONS(3646),
    [anon_sym_with] = ACTIONS(3646),
    [anon_sym_var] = ACTIONS(3646),
    [anon_sym_let] = ACTIONS(3646),
    [anon_sym_const] = ACTIONS(3646),
    [anon_sym_BANG] = ACTIONS(3646),
    [anon_sym_if] = ACTIONS(3646),
    [anon_sym_switch] = ACTIONS(3646),
    [anon_sym_for] = ACTIONS(3646),
    [anon_sym_LPAREN] = ACTIONS(3646),
    [anon_sym_await] = ACTIONS(3646),
    [anon_sym_of] = ACTIONS(3646),
    [anon_sym_while] = ACTIONS(3646),
    [anon_sym_do] = ACTIONS(3646),
    [anon_sym_try] = ACTIONS(3646),
    [anon_sym_break] = ACTIONS(3646),
    [anon_sym_continue] = ACTIONS(3646),
    [anon_sym_debugger] = ACTIONS(3646),
    [anon_sym_return] = ACTIONS(3646),
    [anon_sym_throw] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3646),
    [anon_sym_case] = ACTIONS(3646),
    [anon_sym_yield] = ACTIONS(3646),
    [anon_sym_LBRACK] = ACTIONS(3646),
    [anon_sym_LTtemplate_GT] = ACTIONS(3646),
    [anon_sym_DQUOTE] = ACTIONS(3646),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_class] = ACTIONS(3646),
    [anon_sym_async] = ACTIONS(3646),
    [anon_sym_function] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3646),
    [anon_sym_using] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3646),
    [anon_sym_TILDE] = ACTIONS(3646),
    [anon_sym_void] = ACTIONS(3646),
    [anon_sym_delete] = ACTIONS(3646),
    [anon_sym_PLUS_PLUS] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3646),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3646),
    [sym_number] = ACTIONS(3646),
    [sym_private_property_identifier] = ACTIONS(3646),
    [sym_this] = ACTIONS(3646),
    [sym_super] = ACTIONS(3646),
    [sym_true] = ACTIONS(3646),
    [sym_false] = ACTIONS(3646),
    [sym_null] = ACTIONS(3646),
    [sym_undefined] = ACTIONS(3646),
    [anon_sym_AT] = ACTIONS(3646),
    [anon_sym_static] = ACTIONS(3646),
    [anon_sym_readonly] = ACTIONS(3646),
    [anon_sym_get] = ACTIONS(3646),
    [anon_sym_set] = ACTIONS(3646),
    [anon_sym_declare] = ACTIONS(3646),
    [anon_sym_public] = ACTIONS(3646),
    [anon_sym_private] = ACTIONS(3646),
    [anon_sym_protected] = ACTIONS(3646),
    [anon_sym_override] = ACTIONS(3646),
    [anon_sym_module] = ACTIONS(3646),
    [anon_sym_any] = ACTIONS(3646),
    [anon_sym_number] = ACTIONS(3646),
    [anon_sym_boolean] = ACTIONS(3646),
    [anon_sym_string] = ACTIONS(3646),
    [anon_sym_symbol] = ACTIONS(3646),
    [anon_sym_object] = ACTIONS(3646),
    [anon_sym_property] = ACTIONS(3646),
    [anon_sym_signal] = ACTIONS(3646),
    [anon_sym_on] = ACTIONS(3646),
    [anon_sym_required] = ACTIONS(3646),
    [anon_sym_component] = ACTIONS(3646),
    [anon_sym_abstract] = ACTIONS(3646),
    [anon_sym_interface] = ACTIONS(3646),
    [anon_sym_enum] = ACTIONS(3646),
    [sym_html_comment] = ACTIONS(5),
  },
  [1436] = {
    [sym_comment] = STATE(1436),
    [sym_identifier] = ACTIONS(3644),
    [anon_sym_export] = ACTIONS(3644),
    [anon_sym_default] = ACTIONS(3644),
    [anon_sym_type] = ACTIONS(3644),
    [anon_sym_namespace] = ACTIONS(3644),
    [anon_sym_LBRACE] = ACTIONS(3644),
    [anon_sym_RBRACE] = ACTIONS(3644),
    [anon_sym_typeof] = ACTIONS(3644),
    [anon_sym_import] = ACTIONS(3644),
    [anon_sym_from] = ACTIONS(3644),
    [anon_sym_with] = ACTIONS(3644),
    [anon_sym_var] = ACTIONS(3644),
    [anon_sym_let] = ACTIONS(3644),
    [anon_sym_const] = ACTIONS(3644),
    [anon_sym_BANG] = ACTIONS(3644),
    [anon_sym_if] = ACTIONS(3644),
    [anon_sym_switch] = ACTIONS(3644),
    [anon_sym_for] = ACTIONS(3644),
    [anon_sym_LPAREN] = ACTIONS(3644),
    [anon_sym_await] = ACTIONS(3644),
    [anon_sym_of] = ACTIONS(3644),
    [anon_sym_while] = ACTIONS(3644),
    [anon_sym_do] = ACTIONS(3644),
    [anon_sym_try] = ACTIONS(3644),
    [anon_sym_break] = ACTIONS(3644),
    [anon_sym_continue] = ACTIONS(3644),
    [anon_sym_debugger] = ACTIONS(3644),
    [anon_sym_return] = ACTIONS(3644),
    [anon_sym_throw] = ACTIONS(3644),
    [anon_sym_SEMI] = ACTIONS(3644),
    [anon_sym_case] = ACTIONS(3644),
    [anon_sym_yield] = ACTIONS(3644),
    [anon_sym_LBRACK] = ACTIONS(3644),
    [anon_sym_LTtemplate_GT] = ACTIONS(3644),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3644),
    [anon_sym_class] = ACTIONS(3644),
    [anon_sym_async] = ACTIONS(3644),
    [anon_sym_function] = ACTIONS(3644),
    [anon_sym_new] = ACTIONS(3644),
    [anon_sym_using] = ACTIONS(3644),
    [anon_sym_PLUS] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3644),
    [anon_sym_SLASH] = ACTIONS(3644),
    [anon_sym_LT] = ACTIONS(3644),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_void] = ACTIONS(3644),
    [anon_sym_delete] = ACTIONS(3644),
    [anon_sym_PLUS_PLUS] = ACTIONS(3644),
    [anon_sym_DASH_DASH] = ACTIONS(3644),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3644),
    [sym_number] = ACTIONS(3644),
    [sym_private_property_identifier] = ACTIONS(3644),
    [sym_this] = ACTIONS(3644),
    [sym_super] = ACTIONS(3644),
    [sym_true] = ACTIONS(3644),
    [sym_false] = ACTIONS(3644),
    [sym_null] = ACTIONS(3644),
    [sym_undefined] = ACTIONS(3644),
    [anon_sym_AT] = ACTIONS(3644),
    [anon_sym_static] = ACTIONS(3644),
    [anon_sym_readonly] = ACTIONS(3644),
    [anon_sym_get] = ACTIONS(3644),
    [anon_sym_set] = ACTIONS(3644),
    [anon_sym_declare] = ACTIONS(3644),
    [anon_sym_public] = ACTIONS(3644),
    [anon_sym_private] = ACTIONS(3644),
    [anon_sym_protected] = ACTIONS(3644),
    [anon_sym_override] = ACTIONS(3644),
    [anon_sym_module] = ACTIONS(3644),
    [anon_sym_any] = ACTIONS(3644),
    [anon_sym_number] = ACTIONS(3644),
    [anon_sym_boolean] = ACTIONS(3644),
    [anon_sym_string] = ACTIONS(3644),
    [anon_sym_symbol] = ACTIONS(3644),
    [anon_sym_object] = ACTIONS(3644),
    [anon_sym_property] = ACTIONS(3644),
    [anon_sym_signal] = ACTIONS(3644),
    [anon_sym_on] = ACTIONS(3644),
    [anon_sym_required] = ACTIONS(3644),
    [anon_sym_component] = ACTIONS(3644),
    [anon_sym_abstract] = ACTIONS(3644),
    [anon_sym_interface] = ACTIONS(3644),
    [anon_sym_enum] = ACTIONS(3644),
    [sym_html_comment] = ACTIONS(5),
  },
  [1437] = {
    [sym_comment] = STATE(1437),
    [sym_identifier] = ACTIONS(3642),
    [anon_sym_export] = ACTIONS(3642),
    [anon_sym_default] = ACTIONS(3642),
    [anon_sym_type] = ACTIONS(3642),
    [anon_sym_namespace] = ACTIONS(3642),
    [anon_sym_LBRACE] = ACTIONS(3642),
    [anon_sym_RBRACE] = ACTIONS(3642),
    [anon_sym_typeof] = ACTIONS(3642),
    [anon_sym_import] = ACTIONS(3642),
    [anon_sym_from] = ACTIONS(3642),
    [anon_sym_with] = ACTIONS(3642),
    [anon_sym_var] = ACTIONS(3642),
    [anon_sym_let] = ACTIONS(3642),
    [anon_sym_const] = ACTIONS(3642),
    [anon_sym_BANG] = ACTIONS(3642),
    [anon_sym_if] = ACTIONS(3642),
    [anon_sym_switch] = ACTIONS(3642),
    [anon_sym_for] = ACTIONS(3642),
    [anon_sym_LPAREN] = ACTIONS(3642),
    [anon_sym_await] = ACTIONS(3642),
    [anon_sym_of] = ACTIONS(3642),
    [anon_sym_while] = ACTIONS(3642),
    [anon_sym_do] = ACTIONS(3642),
    [anon_sym_try] = ACTIONS(3642),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_continue] = ACTIONS(3642),
    [anon_sym_debugger] = ACTIONS(3642),
    [anon_sym_return] = ACTIONS(3642),
    [anon_sym_throw] = ACTIONS(3642),
    [anon_sym_SEMI] = ACTIONS(3642),
    [anon_sym_case] = ACTIONS(3642),
    [anon_sym_yield] = ACTIONS(3642),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_LTtemplate_GT] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3642),
    [anon_sym_SQUOTE] = ACTIONS(3642),
    [anon_sym_class] = ACTIONS(3642),
    [anon_sym_async] = ACTIONS(3642),
    [anon_sym_function] = ACTIONS(3642),
    [anon_sym_new] = ACTIONS(3642),
    [anon_sym_using] = ACTIONS(3642),
    [anon_sym_PLUS] = ACTIONS(3642),
    [anon_sym_DASH] = ACTIONS(3642),
    [anon_sym_SLASH] = ACTIONS(3642),
    [anon_sym_LT] = ACTIONS(3642),
    [anon_sym_TILDE] = ACTIONS(3642),
    [anon_sym_void] = ACTIONS(3642),
    [anon_sym_delete] = ACTIONS(3642),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3642),
    [sym_number] = ACTIONS(3642),
    [sym_private_property_identifier] = ACTIONS(3642),
    [sym_this] = ACTIONS(3642),
    [sym_super] = ACTIONS(3642),
    [sym_true] = ACTIONS(3642),
    [sym_false] = ACTIONS(3642),
    [sym_null] = ACTIONS(3642),
    [sym_undefined] = ACTIONS(3642),
    [anon_sym_AT] = ACTIONS(3642),
    [anon_sym_static] = ACTIONS(3642),
    [anon_sym_readonly] = ACTIONS(3642),
    [anon_sym_get] = ACTIONS(3642),
    [anon_sym_set] = ACTIONS(3642),
    [anon_sym_declare] = ACTIONS(3642),
    [anon_sym_public] = ACTIONS(3642),
    [anon_sym_private] = ACTIONS(3642),
    [anon_sym_protected] = ACTIONS(3642),
    [anon_sym_override] = ACTIONS(3642),
    [anon_sym_module] = ACTIONS(3642),
    [anon_sym_any] = ACTIONS(3642),
    [anon_sym_number] = ACTIONS(3642),
    [anon_sym_boolean] = ACTIONS(3642),
    [anon_sym_string] = ACTIONS(3642),
    [anon_sym_symbol] = ACTIONS(3642),
    [anon_sym_object] = ACTIONS(3642),
    [anon_sym_property] = ACTIONS(3642),
    [anon_sym_signal] = ACTIONS(3642),
    [anon_sym_on] = ACTIONS(3642),
    [anon_sym_required] = ACTIONS(3642),
    [anon_sym_component] = ACTIONS(3642),
    [anon_sym_abstract] = ACTIONS(3642),
    [anon_sym_interface] = ACTIONS(3642),
    [anon_sym_enum] = ACTIONS(3642),
    [sym_html_comment] = ACTIONS(5),
  },
  [1438] = {
    [sym_comment] = STATE(1438),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1439] = {
    [sym_comment] = STATE(1439),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1440] = {
    [sym_comment] = STATE(1440),
    [sym_identifier] = ACTIONS(3638),
    [anon_sym_export] = ACTIONS(3638),
    [anon_sym_default] = ACTIONS(3638),
    [anon_sym_type] = ACTIONS(3638),
    [anon_sym_namespace] = ACTIONS(3638),
    [anon_sym_LBRACE] = ACTIONS(3638),
    [anon_sym_RBRACE] = ACTIONS(3638),
    [anon_sym_typeof] = ACTIONS(3638),
    [anon_sym_import] = ACTIONS(3638),
    [anon_sym_from] = ACTIONS(3638),
    [anon_sym_with] = ACTIONS(3638),
    [anon_sym_var] = ACTIONS(3638),
    [anon_sym_let] = ACTIONS(3638),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_BANG] = ACTIONS(3638),
    [anon_sym_if] = ACTIONS(3638),
    [anon_sym_switch] = ACTIONS(3638),
    [anon_sym_for] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3638),
    [anon_sym_await] = ACTIONS(3638),
    [anon_sym_of] = ACTIONS(3638),
    [anon_sym_while] = ACTIONS(3638),
    [anon_sym_do] = ACTIONS(3638),
    [anon_sym_try] = ACTIONS(3638),
    [anon_sym_break] = ACTIONS(3638),
    [anon_sym_continue] = ACTIONS(3638),
    [anon_sym_debugger] = ACTIONS(3638),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_throw] = ACTIONS(3638),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_case] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3638),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_LTtemplate_GT] = ACTIONS(3638),
    [anon_sym_DQUOTE] = ACTIONS(3638),
    [anon_sym_SQUOTE] = ACTIONS(3638),
    [anon_sym_class] = ACTIONS(3638),
    [anon_sym_async] = ACTIONS(3638),
    [anon_sym_function] = ACTIONS(3638),
    [anon_sym_new] = ACTIONS(3638),
    [anon_sym_using] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3638),
    [anon_sym_SLASH] = ACTIONS(3638),
    [anon_sym_LT] = ACTIONS(3638),
    [anon_sym_TILDE] = ACTIONS(3638),
    [anon_sym_void] = ACTIONS(3638),
    [anon_sym_delete] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3638),
    [sym_number] = ACTIONS(3638),
    [sym_private_property_identifier] = ACTIONS(3638),
    [sym_this] = ACTIONS(3638),
    [sym_super] = ACTIONS(3638),
    [sym_true] = ACTIONS(3638),
    [sym_false] = ACTIONS(3638),
    [sym_null] = ACTIONS(3638),
    [sym_undefined] = ACTIONS(3638),
    [anon_sym_AT] = ACTIONS(3638),
    [anon_sym_static] = ACTIONS(3638),
    [anon_sym_readonly] = ACTIONS(3638),
    [anon_sym_get] = ACTIONS(3638),
    [anon_sym_set] = ACTIONS(3638),
    [anon_sym_declare] = ACTIONS(3638),
    [anon_sym_public] = ACTIONS(3638),
    [anon_sym_private] = ACTIONS(3638),
    [anon_sym_protected] = ACTIONS(3638),
    [anon_sym_override] = ACTIONS(3638),
    [anon_sym_module] = ACTIONS(3638),
    [anon_sym_any] = ACTIONS(3638),
    [anon_sym_number] = ACTIONS(3638),
    [anon_sym_boolean] = ACTIONS(3638),
    [anon_sym_string] = ACTIONS(3638),
    [anon_sym_symbol] = ACTIONS(3638),
    [anon_sym_object] = ACTIONS(3638),
    [anon_sym_property] = ACTIONS(3638),
    [anon_sym_signal] = ACTIONS(3638),
    [anon_sym_on] = ACTIONS(3638),
    [anon_sym_required] = ACTIONS(3638),
    [anon_sym_component] = ACTIONS(3638),
    [anon_sym_abstract] = ACTIONS(3638),
    [anon_sym_interface] = ACTIONS(3638),
    [anon_sym_enum] = ACTIONS(3638),
    [sym_html_comment] = ACTIONS(5),
  },
  [1441] = {
    [sym_comment] = STATE(1441),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1442] = {
    [sym_comment] = STATE(1442),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1443] = {
    [sym_comment] = STATE(1443),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1444] = {
    [sym_comment] = STATE(1444),
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_import] = ACTIONS(2474),
    [anon_sym_from] = ACTIONS(2474),
    [anon_sym_with] = ACTIONS(2474),
    [anon_sym_var] = ACTIONS(2474),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_await] = ACTIONS(2474),
    [anon_sym_of] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_debugger] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_LTtemplate_GT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_SLASH] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_void] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2474),
    [sym_number] = ACTIONS(2474),
    [sym_private_property_identifier] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
    [sym_super] = ACTIONS(2474),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [sym_null] = ACTIONS(2474),
    [sym_undefined] = ACTIONS(2474),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_property] = ACTIONS(2474),
    [anon_sym_signal] = ACTIONS(2474),
    [anon_sym_on] = ACTIONS(2474),
    [anon_sym_required] = ACTIONS(2474),
    [anon_sym_component] = ACTIONS(2474),
    [anon_sym_abstract] = ACTIONS(2474),
    [anon_sym_interface] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [sym_html_comment] = ACTIONS(5),
  },
  [1445] = {
    [sym_comment] = STATE(1445),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1446] = {
    [sym_comment] = STATE(1446),
    [sym_identifier] = ACTIONS(3660),
    [anon_sym_export] = ACTIONS(3660),
    [anon_sym_default] = ACTIONS(3660),
    [anon_sym_type] = ACTIONS(3660),
    [anon_sym_namespace] = ACTIONS(3660),
    [anon_sym_LBRACE] = ACTIONS(3660),
    [anon_sym_RBRACE] = ACTIONS(3660),
    [anon_sym_typeof] = ACTIONS(3660),
    [anon_sym_import] = ACTIONS(3660),
    [anon_sym_from] = ACTIONS(3660),
    [anon_sym_with] = ACTIONS(3660),
    [anon_sym_var] = ACTIONS(3660),
    [anon_sym_let] = ACTIONS(3660),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_BANG] = ACTIONS(3660),
    [anon_sym_if] = ACTIONS(3660),
    [anon_sym_switch] = ACTIONS(3660),
    [anon_sym_for] = ACTIONS(3660),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_await] = ACTIONS(3660),
    [anon_sym_of] = ACTIONS(3660),
    [anon_sym_while] = ACTIONS(3660),
    [anon_sym_do] = ACTIONS(3660),
    [anon_sym_try] = ACTIONS(3660),
    [anon_sym_break] = ACTIONS(3660),
    [anon_sym_continue] = ACTIONS(3660),
    [anon_sym_debugger] = ACTIONS(3660),
    [anon_sym_return] = ACTIONS(3660),
    [anon_sym_throw] = ACTIONS(3660),
    [anon_sym_SEMI] = ACTIONS(3660),
    [anon_sym_case] = ACTIONS(3660),
    [anon_sym_yield] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3660),
    [anon_sym_LTtemplate_GT] = ACTIONS(3660),
    [anon_sym_DQUOTE] = ACTIONS(3660),
    [anon_sym_SQUOTE] = ACTIONS(3660),
    [anon_sym_class] = ACTIONS(3660),
    [anon_sym_async] = ACTIONS(3660),
    [anon_sym_function] = ACTIONS(3660),
    [anon_sym_new] = ACTIONS(3660),
    [anon_sym_using] = ACTIONS(3660),
    [anon_sym_PLUS] = ACTIONS(3660),
    [anon_sym_DASH] = ACTIONS(3660),
    [anon_sym_SLASH] = ACTIONS(3660),
    [anon_sym_LT] = ACTIONS(3660),
    [anon_sym_TILDE] = ACTIONS(3660),
    [anon_sym_void] = ACTIONS(3660),
    [anon_sym_delete] = ACTIONS(3660),
    [anon_sym_PLUS_PLUS] = ACTIONS(3660),
    [anon_sym_DASH_DASH] = ACTIONS(3660),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3660),
    [sym_number] = ACTIONS(3660),
    [sym_private_property_identifier] = ACTIONS(3660),
    [sym_this] = ACTIONS(3660),
    [sym_super] = ACTIONS(3660),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_AT] = ACTIONS(3660),
    [anon_sym_static] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3660),
    [anon_sym_get] = ACTIONS(3660),
    [anon_sym_set] = ACTIONS(3660),
    [anon_sym_declare] = ACTIONS(3660),
    [anon_sym_public] = ACTIONS(3660),
    [anon_sym_private] = ACTIONS(3660),
    [anon_sym_protected] = ACTIONS(3660),
    [anon_sym_override] = ACTIONS(3660),
    [anon_sym_module] = ACTIONS(3660),
    [anon_sym_any] = ACTIONS(3660),
    [anon_sym_number] = ACTIONS(3660),
    [anon_sym_boolean] = ACTIONS(3660),
    [anon_sym_string] = ACTIONS(3660),
    [anon_sym_symbol] = ACTIONS(3660),
    [anon_sym_object] = ACTIONS(3660),
    [anon_sym_property] = ACTIONS(3660),
    [anon_sym_signal] = ACTIONS(3660),
    [anon_sym_on] = ACTIONS(3660),
    [anon_sym_required] = ACTIONS(3660),
    [anon_sym_component] = ACTIONS(3660),
    [anon_sym_abstract] = ACTIONS(3660),
    [anon_sym_interface] = ACTIONS(3660),
    [anon_sym_enum] = ACTIONS(3660),
    [sym_html_comment] = ACTIONS(5),
  },
  [1447] = {
    [sym_comment] = STATE(1447),
    [sym_identifier] = ACTIONS(3648),
    [anon_sym_export] = ACTIONS(3648),
    [anon_sym_default] = ACTIONS(3648),
    [anon_sym_type] = ACTIONS(3648),
    [anon_sym_namespace] = ACTIONS(3648),
    [anon_sym_LBRACE] = ACTIONS(3648),
    [anon_sym_RBRACE] = ACTIONS(3648),
    [anon_sym_typeof] = ACTIONS(3648),
    [anon_sym_import] = ACTIONS(3648),
    [anon_sym_from] = ACTIONS(3648),
    [anon_sym_with] = ACTIONS(3648),
    [anon_sym_var] = ACTIONS(3648),
    [anon_sym_let] = ACTIONS(3648),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_BANG] = ACTIONS(3648),
    [anon_sym_if] = ACTIONS(3648),
    [anon_sym_switch] = ACTIONS(3648),
    [anon_sym_for] = ACTIONS(3648),
    [anon_sym_LPAREN] = ACTIONS(3648),
    [anon_sym_await] = ACTIONS(3648),
    [anon_sym_of] = ACTIONS(3648),
    [anon_sym_while] = ACTIONS(3648),
    [anon_sym_do] = ACTIONS(3648),
    [anon_sym_try] = ACTIONS(3648),
    [anon_sym_break] = ACTIONS(3648),
    [anon_sym_continue] = ACTIONS(3648),
    [anon_sym_debugger] = ACTIONS(3648),
    [anon_sym_return] = ACTIONS(3648),
    [anon_sym_throw] = ACTIONS(3648),
    [anon_sym_SEMI] = ACTIONS(3648),
    [anon_sym_case] = ACTIONS(3648),
    [anon_sym_yield] = ACTIONS(3648),
    [anon_sym_LBRACK] = ACTIONS(3648),
    [anon_sym_LTtemplate_GT] = ACTIONS(3648),
    [anon_sym_DQUOTE] = ACTIONS(3648),
    [anon_sym_SQUOTE] = ACTIONS(3648),
    [anon_sym_class] = ACTIONS(3648),
    [anon_sym_async] = ACTIONS(3648),
    [anon_sym_function] = ACTIONS(3648),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_using] = ACTIONS(3648),
    [anon_sym_PLUS] = ACTIONS(3648),
    [anon_sym_DASH] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3648),
    [anon_sym_LT] = ACTIONS(3648),
    [anon_sym_TILDE] = ACTIONS(3648),
    [anon_sym_void] = ACTIONS(3648),
    [anon_sym_delete] = ACTIONS(3648),
    [anon_sym_PLUS_PLUS] = ACTIONS(3648),
    [anon_sym_DASH_DASH] = ACTIONS(3648),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3648),
    [sym_number] = ACTIONS(3648),
    [sym_private_property_identifier] = ACTIONS(3648),
    [sym_this] = ACTIONS(3648),
    [sym_super] = ACTIONS(3648),
    [sym_true] = ACTIONS(3648),
    [sym_false] = ACTIONS(3648),
    [sym_null] = ACTIONS(3648),
    [sym_undefined] = ACTIONS(3648),
    [anon_sym_AT] = ACTIONS(3648),
    [anon_sym_static] = ACTIONS(3648),
    [anon_sym_readonly] = ACTIONS(3648),
    [anon_sym_get] = ACTIONS(3648),
    [anon_sym_set] = ACTIONS(3648),
    [anon_sym_declare] = ACTIONS(3648),
    [anon_sym_public] = ACTIONS(3648),
    [anon_sym_private] = ACTIONS(3648),
    [anon_sym_protected] = ACTIONS(3648),
    [anon_sym_override] = ACTIONS(3648),
    [anon_sym_module] = ACTIONS(3648),
    [anon_sym_any] = ACTIONS(3648),
    [anon_sym_number] = ACTIONS(3648),
    [anon_sym_boolean] = ACTIONS(3648),
    [anon_sym_string] = ACTIONS(3648),
    [anon_sym_symbol] = ACTIONS(3648),
    [anon_sym_object] = ACTIONS(3648),
    [anon_sym_property] = ACTIONS(3648),
    [anon_sym_signal] = ACTIONS(3648),
    [anon_sym_on] = ACTIONS(3648),
    [anon_sym_required] = ACTIONS(3648),
    [anon_sym_component] = ACTIONS(3648),
    [anon_sym_abstract] = ACTIONS(3648),
    [anon_sym_interface] = ACTIONS(3648),
    [anon_sym_enum] = ACTIONS(3648),
    [sym_html_comment] = ACTIONS(5),
  },
  [1448] = {
    [sym_comment] = STATE(1448),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_export] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2328),
    [anon_sym_namespace] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [anon_sym_typeof] = ACTIONS(2328),
    [anon_sym_import] = ACTIONS(2328),
    [anon_sym_from] = ACTIONS(2328),
    [anon_sym_with] = ACTIONS(2328),
    [anon_sym_var] = ACTIONS(2328),
    [anon_sym_let] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_else] = ACTIONS(2328),
    [anon_sym_if] = ACTIONS(2328),
    [anon_sym_switch] = ACTIONS(2328),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_of] = ACTIONS(2328),
    [anon_sym_while] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2328),
    [anon_sym_break] = ACTIONS(2328),
    [anon_sym_continue] = ACTIONS(2328),
    [anon_sym_debugger] = ACTIONS(2328),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym_yield] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_LTtemplate_GT] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_class] = ACTIONS(2328),
    [anon_sym_async] = ACTIONS(2328),
    [anon_sym_function] = ACTIONS(2328),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_using] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_void] = ACTIONS(2328),
    [anon_sym_delete] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2328),
    [sym_number] = ACTIONS(2328),
    [sym_private_property_identifier] = ACTIONS(2328),
    [sym_this] = ACTIONS(2328),
    [sym_super] = ACTIONS(2328),
    [sym_true] = ACTIONS(2328),
    [sym_false] = ACTIONS(2328),
    [sym_null] = ACTIONS(2328),
    [sym_undefined] = ACTIONS(2328),
    [anon_sym_AT] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2328),
    [anon_sym_readonly] = ACTIONS(2328),
    [anon_sym_get] = ACTIONS(2328),
    [anon_sym_set] = ACTIONS(2328),
    [anon_sym_declare] = ACTIONS(2328),
    [anon_sym_public] = ACTIONS(2328),
    [anon_sym_private] = ACTIONS(2328),
    [anon_sym_protected] = ACTIONS(2328),
    [anon_sym_override] = ACTIONS(2328),
    [anon_sym_module] = ACTIONS(2328),
    [anon_sym_any] = ACTIONS(2328),
    [anon_sym_number] = ACTIONS(2328),
    [anon_sym_boolean] = ACTIONS(2328),
    [anon_sym_string] = ACTIONS(2328),
    [anon_sym_symbol] = ACTIONS(2328),
    [anon_sym_object] = ACTIONS(2328),
    [anon_sym_property] = ACTIONS(2328),
    [anon_sym_signal] = ACTIONS(2328),
    [anon_sym_on] = ACTIONS(2328),
    [anon_sym_required] = ACTIONS(2328),
    [anon_sym_component] = ACTIONS(2328),
    [anon_sym_abstract] = ACTIONS(2328),
    [anon_sym_interface] = ACTIONS(2328),
    [anon_sym_enum] = ACTIONS(2328),
    [sym__automatic_semicolon] = ACTIONS(2330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1449] = {
    [sym_comment] = STATE(1449),
    [sym_identifier] = ACTIONS(3654),
    [anon_sym_export] = ACTIONS(3654),
    [anon_sym_default] = ACTIONS(3654),
    [anon_sym_type] = ACTIONS(3654),
    [anon_sym_namespace] = ACTIONS(3654),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_RBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3654),
    [anon_sym_import] = ACTIONS(3654),
    [anon_sym_from] = ACTIONS(3654),
    [anon_sym_with] = ACTIONS(3654),
    [anon_sym_var] = ACTIONS(3654),
    [anon_sym_let] = ACTIONS(3654),
    [anon_sym_const] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_if] = ACTIONS(3654),
    [anon_sym_switch] = ACTIONS(3654),
    [anon_sym_for] = ACTIONS(3654),
    [anon_sym_LPAREN] = ACTIONS(3654),
    [anon_sym_await] = ACTIONS(3654),
    [anon_sym_of] = ACTIONS(3654),
    [anon_sym_while] = ACTIONS(3654),
    [anon_sym_do] = ACTIONS(3654),
    [anon_sym_try] = ACTIONS(3654),
    [anon_sym_break] = ACTIONS(3654),
    [anon_sym_continue] = ACTIONS(3654),
    [anon_sym_debugger] = ACTIONS(3654),
    [anon_sym_return] = ACTIONS(3654),
    [anon_sym_throw] = ACTIONS(3654),
    [anon_sym_SEMI] = ACTIONS(3654),
    [anon_sym_case] = ACTIONS(3654),
    [anon_sym_yield] = ACTIONS(3654),
    [anon_sym_LBRACK] = ACTIONS(3654),
    [anon_sym_LTtemplate_GT] = ACTIONS(3654),
    [anon_sym_DQUOTE] = ACTIONS(3654),
    [anon_sym_SQUOTE] = ACTIONS(3654),
    [anon_sym_class] = ACTIONS(3654),
    [anon_sym_async] = ACTIONS(3654),
    [anon_sym_function] = ACTIONS(3654),
    [anon_sym_new] = ACTIONS(3654),
    [anon_sym_using] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_SLASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_TILDE] = ACTIONS(3654),
    [anon_sym_void] = ACTIONS(3654),
    [anon_sym_delete] = ACTIONS(3654),
    [anon_sym_PLUS_PLUS] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(3654),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3654),
    [sym_number] = ACTIONS(3654),
    [sym_private_property_identifier] = ACTIONS(3654),
    [sym_this] = ACTIONS(3654),
    [sym_super] = ACTIONS(3654),
    [sym_true] = ACTIONS(3654),
    [sym_false] = ACTIONS(3654),
    [sym_null] = ACTIONS(3654),
    [sym_undefined] = ACTIONS(3654),
    [anon_sym_AT] = ACTIONS(3654),
    [anon_sym_static] = ACTIONS(3654),
    [anon_sym_readonly] = ACTIONS(3654),
    [anon_sym_get] = ACTIONS(3654),
    [anon_sym_set] = ACTIONS(3654),
    [anon_sym_declare] = ACTIONS(3654),
    [anon_sym_public] = ACTIONS(3654),
    [anon_sym_private] = ACTIONS(3654),
    [anon_sym_protected] = ACTIONS(3654),
    [anon_sym_override] = ACTIONS(3654),
    [anon_sym_module] = ACTIONS(3654),
    [anon_sym_any] = ACTIONS(3654),
    [anon_sym_number] = ACTIONS(3654),
    [anon_sym_boolean] = ACTIONS(3654),
    [anon_sym_string] = ACTIONS(3654),
    [anon_sym_symbol] = ACTIONS(3654),
    [anon_sym_object] = ACTIONS(3654),
    [anon_sym_property] = ACTIONS(3654),
    [anon_sym_signal] = ACTIONS(3654),
    [anon_sym_on] = ACTIONS(3654),
    [anon_sym_required] = ACTIONS(3654),
    [anon_sym_component] = ACTIONS(3654),
    [anon_sym_abstract] = ACTIONS(3654),
    [anon_sym_interface] = ACTIONS(3654),
    [anon_sym_enum] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1450] = {
    [sym_comment] = STATE(1450),
    [sym_identifier] = ACTIONS(3654),
    [anon_sym_export] = ACTIONS(3654),
    [anon_sym_default] = ACTIONS(3654),
    [anon_sym_type] = ACTIONS(3654),
    [anon_sym_namespace] = ACTIONS(3654),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_RBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3654),
    [anon_sym_import] = ACTIONS(3654),
    [anon_sym_from] = ACTIONS(3654),
    [anon_sym_with] = ACTIONS(3654),
    [anon_sym_var] = ACTIONS(3654),
    [anon_sym_let] = ACTIONS(3654),
    [anon_sym_const] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_if] = ACTIONS(3654),
    [anon_sym_switch] = ACTIONS(3654),
    [anon_sym_for] = ACTIONS(3654),
    [anon_sym_LPAREN] = ACTIONS(3654),
    [anon_sym_await] = ACTIONS(3654),
    [anon_sym_of] = ACTIONS(3654),
    [anon_sym_while] = ACTIONS(3654),
    [anon_sym_do] = ACTIONS(3654),
    [anon_sym_try] = ACTIONS(3654),
    [anon_sym_break] = ACTIONS(3654),
    [anon_sym_continue] = ACTIONS(3654),
    [anon_sym_debugger] = ACTIONS(3654),
    [anon_sym_return] = ACTIONS(3654),
    [anon_sym_throw] = ACTIONS(3654),
    [anon_sym_SEMI] = ACTIONS(3654),
    [anon_sym_case] = ACTIONS(3654),
    [anon_sym_yield] = ACTIONS(3654),
    [anon_sym_LBRACK] = ACTIONS(3654),
    [anon_sym_LTtemplate_GT] = ACTIONS(3654),
    [anon_sym_DQUOTE] = ACTIONS(3654),
    [anon_sym_SQUOTE] = ACTIONS(3654),
    [anon_sym_class] = ACTIONS(3654),
    [anon_sym_async] = ACTIONS(3654),
    [anon_sym_function] = ACTIONS(3654),
    [anon_sym_new] = ACTIONS(3654),
    [anon_sym_using] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_SLASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_TILDE] = ACTIONS(3654),
    [anon_sym_void] = ACTIONS(3654),
    [anon_sym_delete] = ACTIONS(3654),
    [anon_sym_PLUS_PLUS] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(3654),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3654),
    [sym_number] = ACTIONS(3654),
    [sym_private_property_identifier] = ACTIONS(3654),
    [sym_this] = ACTIONS(3654),
    [sym_super] = ACTIONS(3654),
    [sym_true] = ACTIONS(3654),
    [sym_false] = ACTIONS(3654),
    [sym_null] = ACTIONS(3654),
    [sym_undefined] = ACTIONS(3654),
    [anon_sym_AT] = ACTIONS(3654),
    [anon_sym_static] = ACTIONS(3654),
    [anon_sym_readonly] = ACTIONS(3654),
    [anon_sym_get] = ACTIONS(3654),
    [anon_sym_set] = ACTIONS(3654),
    [anon_sym_declare] = ACTIONS(3654),
    [anon_sym_public] = ACTIONS(3654),
    [anon_sym_private] = ACTIONS(3654),
    [anon_sym_protected] = ACTIONS(3654),
    [anon_sym_override] = ACTIONS(3654),
    [anon_sym_module] = ACTIONS(3654),
    [anon_sym_any] = ACTIONS(3654),
    [anon_sym_number] = ACTIONS(3654),
    [anon_sym_boolean] = ACTIONS(3654),
    [anon_sym_string] = ACTIONS(3654),
    [anon_sym_symbol] = ACTIONS(3654),
    [anon_sym_object] = ACTIONS(3654),
    [anon_sym_property] = ACTIONS(3654),
    [anon_sym_signal] = ACTIONS(3654),
    [anon_sym_on] = ACTIONS(3654),
    [anon_sym_required] = ACTIONS(3654),
    [anon_sym_component] = ACTIONS(3654),
    [anon_sym_abstract] = ACTIONS(3654),
    [anon_sym_interface] = ACTIONS(3654),
    [anon_sym_enum] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1451] = {
    [sym_comment] = STATE(1451),
    [sym_identifier] = ACTIONS(3658),
    [anon_sym_export] = ACTIONS(3658),
    [anon_sym_default] = ACTIONS(3658),
    [anon_sym_type] = ACTIONS(3658),
    [anon_sym_namespace] = ACTIONS(3658),
    [anon_sym_LBRACE] = ACTIONS(3658),
    [anon_sym_RBRACE] = ACTIONS(3658),
    [anon_sym_typeof] = ACTIONS(3658),
    [anon_sym_import] = ACTIONS(3658),
    [anon_sym_from] = ACTIONS(3658),
    [anon_sym_with] = ACTIONS(3658),
    [anon_sym_var] = ACTIONS(3658),
    [anon_sym_let] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_BANG] = ACTIONS(3658),
    [anon_sym_if] = ACTIONS(3658),
    [anon_sym_switch] = ACTIONS(3658),
    [anon_sym_for] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3658),
    [anon_sym_await] = ACTIONS(3658),
    [anon_sym_of] = ACTIONS(3658),
    [anon_sym_while] = ACTIONS(3658),
    [anon_sym_do] = ACTIONS(3658),
    [anon_sym_try] = ACTIONS(3658),
    [anon_sym_break] = ACTIONS(3658),
    [anon_sym_continue] = ACTIONS(3658),
    [anon_sym_debugger] = ACTIONS(3658),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_throw] = ACTIONS(3658),
    [anon_sym_SEMI] = ACTIONS(3658),
    [anon_sym_case] = ACTIONS(3658),
    [anon_sym_yield] = ACTIONS(3658),
    [anon_sym_LBRACK] = ACTIONS(3658),
    [anon_sym_LTtemplate_GT] = ACTIONS(3658),
    [anon_sym_DQUOTE] = ACTIONS(3658),
    [anon_sym_SQUOTE] = ACTIONS(3658),
    [anon_sym_class] = ACTIONS(3658),
    [anon_sym_async] = ACTIONS(3658),
    [anon_sym_function] = ACTIONS(3658),
    [anon_sym_new] = ACTIONS(3658),
    [anon_sym_using] = ACTIONS(3658),
    [anon_sym_PLUS] = ACTIONS(3658),
    [anon_sym_DASH] = ACTIONS(3658),
    [anon_sym_SLASH] = ACTIONS(3658),
    [anon_sym_LT] = ACTIONS(3658),
    [anon_sym_TILDE] = ACTIONS(3658),
    [anon_sym_void] = ACTIONS(3658),
    [anon_sym_delete] = ACTIONS(3658),
    [anon_sym_PLUS_PLUS] = ACTIONS(3658),
    [anon_sym_DASH_DASH] = ACTIONS(3658),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3658),
    [sym_private_property_identifier] = ACTIONS(3658),
    [sym_this] = ACTIONS(3658),
    [sym_super] = ACTIONS(3658),
    [sym_true] = ACTIONS(3658),
    [sym_false] = ACTIONS(3658),
    [sym_null] = ACTIONS(3658),
    [sym_undefined] = ACTIONS(3658),
    [anon_sym_AT] = ACTIONS(3658),
    [anon_sym_static] = ACTIONS(3658),
    [anon_sym_readonly] = ACTIONS(3658),
    [anon_sym_get] = ACTIONS(3658),
    [anon_sym_set] = ACTIONS(3658),
    [anon_sym_declare] = ACTIONS(3658),
    [anon_sym_public] = ACTIONS(3658),
    [anon_sym_private] = ACTIONS(3658),
    [anon_sym_protected] = ACTIONS(3658),
    [anon_sym_override] = ACTIONS(3658),
    [anon_sym_module] = ACTIONS(3658),
    [anon_sym_any] = ACTIONS(3658),
    [anon_sym_number] = ACTIONS(3658),
    [anon_sym_boolean] = ACTIONS(3658),
    [anon_sym_string] = ACTIONS(3658),
    [anon_sym_symbol] = ACTIONS(3658),
    [anon_sym_object] = ACTIONS(3658),
    [anon_sym_property] = ACTIONS(3658),
    [anon_sym_signal] = ACTIONS(3658),
    [anon_sym_on] = ACTIONS(3658),
    [anon_sym_required] = ACTIONS(3658),
    [anon_sym_component] = ACTIONS(3658),
    [anon_sym_abstract] = ACTIONS(3658),
    [anon_sym_interface] = ACTIONS(3658),
    [anon_sym_enum] = ACTIONS(3658),
    [sym_html_comment] = ACTIONS(5),
  },
  [1452] = {
    [sym_comment] = STATE(1452),
    [sym_identifier] = ACTIONS(3668),
    [anon_sym_export] = ACTIONS(3668),
    [anon_sym_default] = ACTIONS(3668),
    [anon_sym_type] = ACTIONS(3668),
    [anon_sym_namespace] = ACTIONS(3668),
    [anon_sym_LBRACE] = ACTIONS(3668),
    [anon_sym_RBRACE] = ACTIONS(3668),
    [anon_sym_typeof] = ACTIONS(3668),
    [anon_sym_import] = ACTIONS(3668),
    [anon_sym_from] = ACTIONS(3668),
    [anon_sym_with] = ACTIONS(3668),
    [anon_sym_var] = ACTIONS(3668),
    [anon_sym_let] = ACTIONS(3668),
    [anon_sym_const] = ACTIONS(3668),
    [anon_sym_BANG] = ACTIONS(3668),
    [anon_sym_if] = ACTIONS(3668),
    [anon_sym_switch] = ACTIONS(3668),
    [anon_sym_for] = ACTIONS(3668),
    [anon_sym_LPAREN] = ACTIONS(3668),
    [anon_sym_await] = ACTIONS(3668),
    [anon_sym_of] = ACTIONS(3668),
    [anon_sym_while] = ACTIONS(3668),
    [anon_sym_do] = ACTIONS(3668),
    [anon_sym_try] = ACTIONS(3668),
    [anon_sym_break] = ACTIONS(3668),
    [anon_sym_continue] = ACTIONS(3668),
    [anon_sym_debugger] = ACTIONS(3668),
    [anon_sym_return] = ACTIONS(3668),
    [anon_sym_throw] = ACTIONS(3668),
    [anon_sym_SEMI] = ACTIONS(3668),
    [anon_sym_case] = ACTIONS(3668),
    [anon_sym_yield] = ACTIONS(3668),
    [anon_sym_LBRACK] = ACTIONS(3668),
    [anon_sym_LTtemplate_GT] = ACTIONS(3668),
    [anon_sym_DQUOTE] = ACTIONS(3668),
    [anon_sym_SQUOTE] = ACTIONS(3668),
    [anon_sym_class] = ACTIONS(3668),
    [anon_sym_async] = ACTIONS(3668),
    [anon_sym_function] = ACTIONS(3668),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_using] = ACTIONS(3668),
    [anon_sym_PLUS] = ACTIONS(3668),
    [anon_sym_DASH] = ACTIONS(3668),
    [anon_sym_SLASH] = ACTIONS(3668),
    [anon_sym_LT] = ACTIONS(3668),
    [anon_sym_TILDE] = ACTIONS(3668),
    [anon_sym_void] = ACTIONS(3668),
    [anon_sym_delete] = ACTIONS(3668),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3668),
    [sym_number] = ACTIONS(3668),
    [sym_private_property_identifier] = ACTIONS(3668),
    [sym_this] = ACTIONS(3668),
    [sym_super] = ACTIONS(3668),
    [sym_true] = ACTIONS(3668),
    [sym_false] = ACTIONS(3668),
    [sym_null] = ACTIONS(3668),
    [sym_undefined] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(3668),
    [anon_sym_static] = ACTIONS(3668),
    [anon_sym_readonly] = ACTIONS(3668),
    [anon_sym_get] = ACTIONS(3668),
    [anon_sym_set] = ACTIONS(3668),
    [anon_sym_declare] = ACTIONS(3668),
    [anon_sym_public] = ACTIONS(3668),
    [anon_sym_private] = ACTIONS(3668),
    [anon_sym_protected] = ACTIONS(3668),
    [anon_sym_override] = ACTIONS(3668),
    [anon_sym_module] = ACTIONS(3668),
    [anon_sym_any] = ACTIONS(3668),
    [anon_sym_number] = ACTIONS(3668),
    [anon_sym_boolean] = ACTIONS(3668),
    [anon_sym_string] = ACTIONS(3668),
    [anon_sym_symbol] = ACTIONS(3668),
    [anon_sym_object] = ACTIONS(3668),
    [anon_sym_property] = ACTIONS(3668),
    [anon_sym_signal] = ACTIONS(3668),
    [anon_sym_on] = ACTIONS(3668),
    [anon_sym_required] = ACTIONS(3668),
    [anon_sym_component] = ACTIONS(3668),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_interface] = ACTIONS(3668),
    [anon_sym_enum] = ACTIONS(3668),
    [sym_html_comment] = ACTIONS(5),
  },
  [1453] = {
    [sym_comment] = STATE(1453),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1454] = {
    [sym_comment] = STATE(1454),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1455] = {
    [sym_comment] = STATE(1455),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1456] = {
    [sym_comment] = STATE(1456),
    [sym_identifier] = ACTIONS(3474),
    [anon_sym_export] = ACTIONS(3474),
    [anon_sym_type] = ACTIONS(3474),
    [anon_sym_namespace] = ACTIONS(3474),
    [anon_sym_LBRACE] = ACTIONS(3474),
    [anon_sym_RBRACE] = ACTIONS(3474),
    [anon_sym_typeof] = ACTIONS(3474),
    [anon_sym_import] = ACTIONS(3474),
    [anon_sym_from] = ACTIONS(3474),
    [anon_sym_with] = ACTIONS(3474),
    [anon_sym_var] = ACTIONS(3474),
    [anon_sym_let] = ACTIONS(3474),
    [anon_sym_const] = ACTIONS(3474),
    [anon_sym_BANG] = ACTIONS(3474),
    [anon_sym_else] = ACTIONS(3474),
    [anon_sym_if] = ACTIONS(3474),
    [anon_sym_switch] = ACTIONS(3474),
    [anon_sym_for] = ACTIONS(3474),
    [anon_sym_LPAREN] = ACTIONS(3474),
    [anon_sym_await] = ACTIONS(3474),
    [anon_sym_of] = ACTIONS(3474),
    [anon_sym_while] = ACTIONS(3474),
    [anon_sym_do] = ACTIONS(3474),
    [anon_sym_try] = ACTIONS(3474),
    [anon_sym_break] = ACTIONS(3474),
    [anon_sym_continue] = ACTIONS(3474),
    [anon_sym_debugger] = ACTIONS(3474),
    [anon_sym_return] = ACTIONS(3474),
    [anon_sym_throw] = ACTIONS(3474),
    [anon_sym_SEMI] = ACTIONS(3474),
    [anon_sym_finally] = ACTIONS(3474),
    [anon_sym_yield] = ACTIONS(3474),
    [anon_sym_LBRACK] = ACTIONS(3474),
    [anon_sym_LTtemplate_GT] = ACTIONS(3474),
    [anon_sym_DQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_class] = ACTIONS(3474),
    [anon_sym_async] = ACTIONS(3474),
    [anon_sym_function] = ACTIONS(3474),
    [anon_sym_new] = ACTIONS(3474),
    [anon_sym_using] = ACTIONS(3474),
    [anon_sym_PLUS] = ACTIONS(3474),
    [anon_sym_DASH] = ACTIONS(3474),
    [anon_sym_SLASH] = ACTIONS(3474),
    [anon_sym_LT] = ACTIONS(3474),
    [anon_sym_TILDE] = ACTIONS(3474),
    [anon_sym_void] = ACTIONS(3474),
    [anon_sym_delete] = ACTIONS(3474),
    [anon_sym_PLUS_PLUS] = ACTIONS(3474),
    [anon_sym_DASH_DASH] = ACTIONS(3474),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3474),
    [sym_number] = ACTIONS(3474),
    [sym_private_property_identifier] = ACTIONS(3474),
    [sym_this] = ACTIONS(3474),
    [sym_super] = ACTIONS(3474),
    [sym_true] = ACTIONS(3474),
    [sym_false] = ACTIONS(3474),
    [sym_null] = ACTIONS(3474),
    [sym_undefined] = ACTIONS(3474),
    [anon_sym_AT] = ACTIONS(3474),
    [anon_sym_static] = ACTIONS(3474),
    [anon_sym_readonly] = ACTIONS(3474),
    [anon_sym_get] = ACTIONS(3474),
    [anon_sym_set] = ACTIONS(3474),
    [anon_sym_declare] = ACTIONS(3474),
    [anon_sym_public] = ACTIONS(3474),
    [anon_sym_private] = ACTIONS(3474),
    [anon_sym_protected] = ACTIONS(3474),
    [anon_sym_override] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(3474),
    [anon_sym_any] = ACTIONS(3474),
    [anon_sym_number] = ACTIONS(3474),
    [anon_sym_boolean] = ACTIONS(3474),
    [anon_sym_string] = ACTIONS(3474),
    [anon_sym_symbol] = ACTIONS(3474),
    [anon_sym_object] = ACTIONS(3474),
    [anon_sym_property] = ACTIONS(3474),
    [anon_sym_signal] = ACTIONS(3474),
    [anon_sym_on] = ACTIONS(3474),
    [anon_sym_required] = ACTIONS(3474),
    [anon_sym_component] = ACTIONS(3474),
    [anon_sym_abstract] = ACTIONS(3474),
    [anon_sym_interface] = ACTIONS(3474),
    [anon_sym_enum] = ACTIONS(3474),
    [sym_html_comment] = ACTIONS(5),
  },
  [1457] = {
    [sym_comment] = STATE(1457),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_type] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_typeof] = ACTIONS(2438),
    [anon_sym_import] = ACTIONS(2438),
    [anon_sym_from] = ACTIONS(2438),
    [anon_sym_with] = ACTIONS(2438),
    [anon_sym_var] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_await] = ACTIONS(2438),
    [anon_sym_of] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_debugger] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_case] = ACTIONS(2438),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LTtemplate_GT] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_async] = ACTIONS(2438),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_SLASH] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_void] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2438),
    [sym_number] = ACTIONS(2438),
    [sym_private_property_identifier] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [sym_super] = ACTIONS(2438),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [sym_null] = ACTIONS(2438),
    [sym_undefined] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_readonly] = ACTIONS(2438),
    [anon_sym_get] = ACTIONS(2438),
    [anon_sym_set] = ACTIONS(2438),
    [anon_sym_declare] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_override] = ACTIONS(2438),
    [anon_sym_module] = ACTIONS(2438),
    [anon_sym_any] = ACTIONS(2438),
    [anon_sym_number] = ACTIONS(2438),
    [anon_sym_boolean] = ACTIONS(2438),
    [anon_sym_string] = ACTIONS(2438),
    [anon_sym_symbol] = ACTIONS(2438),
    [anon_sym_object] = ACTIONS(2438),
    [anon_sym_property] = ACTIONS(2438),
    [anon_sym_signal] = ACTIONS(2438),
    [anon_sym_on] = ACTIONS(2438),
    [anon_sym_required] = ACTIONS(2438),
    [anon_sym_component] = ACTIONS(2438),
    [anon_sym_abstract] = ACTIONS(2438),
    [anon_sym_interface] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [sym_html_comment] = ACTIONS(5),
  },
  [1458] = {
    [sym_comment] = STATE(1458),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1459] = {
    [sym_comment] = STATE(1459),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2458),
    [anon_sym_type] = ACTIONS(2458),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_typeof] = ACTIONS(2458),
    [anon_sym_import] = ACTIONS(2458),
    [anon_sym_from] = ACTIONS(2458),
    [anon_sym_with] = ACTIONS(2458),
    [anon_sym_var] = ACTIONS(2458),
    [anon_sym_let] = ACTIONS(2458),
    [anon_sym_const] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_else] = ACTIONS(2458),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_switch] = ACTIONS(2458),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_LPAREN] = ACTIONS(2458),
    [anon_sym_await] = ACTIONS(2458),
    [anon_sym_of] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(2458),
    [anon_sym_do] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2458),
    [anon_sym_break] = ACTIONS(2458),
    [anon_sym_continue] = ACTIONS(2458),
    [anon_sym_debugger] = ACTIONS(2458),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym_yield] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_LTtemplate_GT] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_class] = ACTIONS(2458),
    [anon_sym_async] = ACTIONS(2458),
    [anon_sym_function] = ACTIONS(2458),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_using] = ACTIONS(2458),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_SLASH] = ACTIONS(2458),
    [anon_sym_LT] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_void] = ACTIONS(2458),
    [anon_sym_delete] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2458),
    [sym_number] = ACTIONS(2458),
    [sym_private_property_identifier] = ACTIONS(2458),
    [sym_this] = ACTIONS(2458),
    [sym_super] = ACTIONS(2458),
    [sym_true] = ACTIONS(2458),
    [sym_false] = ACTIONS(2458),
    [sym_null] = ACTIONS(2458),
    [sym_undefined] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_readonly] = ACTIONS(2458),
    [anon_sym_get] = ACTIONS(2458),
    [anon_sym_set] = ACTIONS(2458),
    [anon_sym_declare] = ACTIONS(2458),
    [anon_sym_public] = ACTIONS(2458),
    [anon_sym_private] = ACTIONS(2458),
    [anon_sym_protected] = ACTIONS(2458),
    [anon_sym_override] = ACTIONS(2458),
    [anon_sym_module] = ACTIONS(2458),
    [anon_sym_any] = ACTIONS(2458),
    [anon_sym_number] = ACTIONS(2458),
    [anon_sym_boolean] = ACTIONS(2458),
    [anon_sym_string] = ACTIONS(2458),
    [anon_sym_symbol] = ACTIONS(2458),
    [anon_sym_object] = ACTIONS(2458),
    [anon_sym_property] = ACTIONS(2458),
    [anon_sym_signal] = ACTIONS(2458),
    [anon_sym_on] = ACTIONS(2458),
    [anon_sym_required] = ACTIONS(2458),
    [anon_sym_component] = ACTIONS(2458),
    [anon_sym_abstract] = ACTIONS(2458),
    [anon_sym_interface] = ACTIONS(2458),
    [anon_sym_enum] = ACTIONS(2458),
    [sym__automatic_semicolon] = ACTIONS(2606),
    [sym_html_comment] = ACTIONS(5),
  },
  [1460] = {
    [sym_comment] = STATE(1460),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1461] = {
    [sym_comment] = STATE(1461),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_export] = ACTIONS(2442),
    [anon_sym_type] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_typeof] = ACTIONS(2442),
    [anon_sym_import] = ACTIONS(2442),
    [anon_sym_from] = ACTIONS(2442),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_var] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_else] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_switch] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_await] = ACTIONS(2442),
    [anon_sym_of] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_break] = ACTIONS(2442),
    [anon_sym_continue] = ACTIONS(2442),
    [anon_sym_debugger] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LTtemplate_GT] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_async] = ACTIONS(2442),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_void] = ACTIONS(2442),
    [anon_sym_delete] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2442),
    [sym_number] = ACTIONS(2442),
    [sym_private_property_identifier] = ACTIONS(2442),
    [sym_this] = ACTIONS(2442),
    [sym_super] = ACTIONS(2442),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [sym_null] = ACTIONS(2442),
    [sym_undefined] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_readonly] = ACTIONS(2442),
    [anon_sym_get] = ACTIONS(2442),
    [anon_sym_set] = ACTIONS(2442),
    [anon_sym_declare] = ACTIONS(2442),
    [anon_sym_public] = ACTIONS(2442),
    [anon_sym_private] = ACTIONS(2442),
    [anon_sym_protected] = ACTIONS(2442),
    [anon_sym_override] = ACTIONS(2442),
    [anon_sym_module] = ACTIONS(2442),
    [anon_sym_any] = ACTIONS(2442),
    [anon_sym_number] = ACTIONS(2442),
    [anon_sym_boolean] = ACTIONS(2442),
    [anon_sym_string] = ACTIONS(2442),
    [anon_sym_symbol] = ACTIONS(2442),
    [anon_sym_object] = ACTIONS(2442),
    [anon_sym_property] = ACTIONS(2442),
    [anon_sym_signal] = ACTIONS(2442),
    [anon_sym_on] = ACTIONS(2442),
    [anon_sym_required] = ACTIONS(2442),
    [anon_sym_component] = ACTIONS(2442),
    [anon_sym_abstract] = ACTIONS(2442),
    [anon_sym_interface] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [sym__automatic_semicolon] = ACTIONS(2444),
    [sym_html_comment] = ACTIONS(5),
  },
  [1462] = {
    [sym_comment] = STATE(1462),
    [sym_identifier] = ACTIONS(3686),
    [anon_sym_export] = ACTIONS(3686),
    [anon_sym_default] = ACTIONS(3686),
    [anon_sym_type] = ACTIONS(3686),
    [anon_sym_namespace] = ACTIONS(3686),
    [anon_sym_LBRACE] = ACTIONS(3686),
    [anon_sym_RBRACE] = ACTIONS(3686),
    [anon_sym_typeof] = ACTIONS(3686),
    [anon_sym_import] = ACTIONS(3686),
    [anon_sym_from] = ACTIONS(3686),
    [anon_sym_with] = ACTIONS(3686),
    [anon_sym_var] = ACTIONS(3686),
    [anon_sym_let] = ACTIONS(3686),
    [anon_sym_const] = ACTIONS(3686),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_if] = ACTIONS(3686),
    [anon_sym_switch] = ACTIONS(3686),
    [anon_sym_for] = ACTIONS(3686),
    [anon_sym_LPAREN] = ACTIONS(3686),
    [anon_sym_await] = ACTIONS(3686),
    [anon_sym_of] = ACTIONS(3686),
    [anon_sym_while] = ACTIONS(3686),
    [anon_sym_do] = ACTIONS(3686),
    [anon_sym_try] = ACTIONS(3686),
    [anon_sym_break] = ACTIONS(3686),
    [anon_sym_continue] = ACTIONS(3686),
    [anon_sym_debugger] = ACTIONS(3686),
    [anon_sym_return] = ACTIONS(3686),
    [anon_sym_throw] = ACTIONS(3686),
    [anon_sym_SEMI] = ACTIONS(3686),
    [anon_sym_case] = ACTIONS(3686),
    [anon_sym_yield] = ACTIONS(3686),
    [anon_sym_LBRACK] = ACTIONS(3686),
    [anon_sym_LTtemplate_GT] = ACTIONS(3686),
    [anon_sym_DQUOTE] = ACTIONS(3686),
    [anon_sym_SQUOTE] = ACTIONS(3686),
    [anon_sym_class] = ACTIONS(3686),
    [anon_sym_async] = ACTIONS(3686),
    [anon_sym_function] = ACTIONS(3686),
    [anon_sym_new] = ACTIONS(3686),
    [anon_sym_using] = ACTIONS(3686),
    [anon_sym_PLUS] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3686),
    [anon_sym_SLASH] = ACTIONS(3686),
    [anon_sym_LT] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_void] = ACTIONS(3686),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_PLUS_PLUS] = ACTIONS(3686),
    [anon_sym_DASH_DASH] = ACTIONS(3686),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3686),
    [sym_number] = ACTIONS(3686),
    [sym_private_property_identifier] = ACTIONS(3686),
    [sym_this] = ACTIONS(3686),
    [sym_super] = ACTIONS(3686),
    [sym_true] = ACTIONS(3686),
    [sym_false] = ACTIONS(3686),
    [sym_null] = ACTIONS(3686),
    [sym_undefined] = ACTIONS(3686),
    [anon_sym_AT] = ACTIONS(3686),
    [anon_sym_static] = ACTIONS(3686),
    [anon_sym_readonly] = ACTIONS(3686),
    [anon_sym_get] = ACTIONS(3686),
    [anon_sym_set] = ACTIONS(3686),
    [anon_sym_declare] = ACTIONS(3686),
    [anon_sym_public] = ACTIONS(3686),
    [anon_sym_private] = ACTIONS(3686),
    [anon_sym_protected] = ACTIONS(3686),
    [anon_sym_override] = ACTIONS(3686),
    [anon_sym_module] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3686),
    [anon_sym_number] = ACTIONS(3686),
    [anon_sym_boolean] = ACTIONS(3686),
    [anon_sym_string] = ACTIONS(3686),
    [anon_sym_symbol] = ACTIONS(3686),
    [anon_sym_object] = ACTIONS(3686),
    [anon_sym_property] = ACTIONS(3686),
    [anon_sym_signal] = ACTIONS(3686),
    [anon_sym_on] = ACTIONS(3686),
    [anon_sym_required] = ACTIONS(3686),
    [anon_sym_component] = ACTIONS(3686),
    [anon_sym_abstract] = ACTIONS(3686),
    [anon_sym_interface] = ACTIONS(3686),
    [anon_sym_enum] = ACTIONS(3686),
    [sym_html_comment] = ACTIONS(5),
  },
  [1463] = {
    [sym_comment] = STATE(1463),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_default] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_case] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1464] = {
    [sym_comment] = STATE(1464),
    [sym_identifier] = ACTIONS(3686),
    [anon_sym_export] = ACTIONS(3686),
    [anon_sym_type] = ACTIONS(3686),
    [anon_sym_namespace] = ACTIONS(3686),
    [anon_sym_LBRACE] = ACTIONS(3686),
    [anon_sym_RBRACE] = ACTIONS(3686),
    [anon_sym_typeof] = ACTIONS(3686),
    [anon_sym_import] = ACTIONS(3686),
    [anon_sym_from] = ACTIONS(3686),
    [anon_sym_with] = ACTIONS(3686),
    [anon_sym_var] = ACTIONS(3686),
    [anon_sym_let] = ACTIONS(3686),
    [anon_sym_const] = ACTIONS(3686),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_else] = ACTIONS(3686),
    [anon_sym_if] = ACTIONS(3686),
    [anon_sym_switch] = ACTIONS(3686),
    [anon_sym_for] = ACTIONS(3686),
    [anon_sym_LPAREN] = ACTIONS(3686),
    [anon_sym_await] = ACTIONS(3686),
    [anon_sym_of] = ACTIONS(3686),
    [anon_sym_while] = ACTIONS(3686),
    [anon_sym_do] = ACTIONS(3686),
    [anon_sym_try] = ACTIONS(3686),
    [anon_sym_break] = ACTIONS(3686),
    [anon_sym_continue] = ACTIONS(3686),
    [anon_sym_debugger] = ACTIONS(3686),
    [anon_sym_return] = ACTIONS(3686),
    [anon_sym_throw] = ACTIONS(3686),
    [anon_sym_SEMI] = ACTIONS(3686),
    [anon_sym_yield] = ACTIONS(3686),
    [anon_sym_LBRACK] = ACTIONS(3686),
    [anon_sym_LTtemplate_GT] = ACTIONS(3686),
    [anon_sym_DQUOTE] = ACTIONS(3686),
    [anon_sym_SQUOTE] = ACTIONS(3686),
    [anon_sym_class] = ACTIONS(3686),
    [anon_sym_async] = ACTIONS(3686),
    [anon_sym_function] = ACTIONS(3686),
    [anon_sym_new] = ACTIONS(3686),
    [anon_sym_using] = ACTIONS(3686),
    [anon_sym_PLUS] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3686),
    [anon_sym_SLASH] = ACTIONS(3686),
    [anon_sym_LT] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_void] = ACTIONS(3686),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_PLUS_PLUS] = ACTIONS(3686),
    [anon_sym_DASH_DASH] = ACTIONS(3686),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3686),
    [sym_number] = ACTIONS(3686),
    [sym_private_property_identifier] = ACTIONS(3686),
    [sym_this] = ACTIONS(3686),
    [sym_super] = ACTIONS(3686),
    [sym_true] = ACTIONS(3686),
    [sym_false] = ACTIONS(3686),
    [sym_null] = ACTIONS(3686),
    [sym_undefined] = ACTIONS(3686),
    [anon_sym_AT] = ACTIONS(3686),
    [anon_sym_static] = ACTIONS(3686),
    [anon_sym_readonly] = ACTIONS(3686),
    [anon_sym_get] = ACTIONS(3686),
    [anon_sym_set] = ACTIONS(3686),
    [anon_sym_declare] = ACTIONS(3686),
    [anon_sym_public] = ACTIONS(3686),
    [anon_sym_private] = ACTIONS(3686),
    [anon_sym_protected] = ACTIONS(3686),
    [anon_sym_override] = ACTIONS(3686),
    [anon_sym_module] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3686),
    [anon_sym_number] = ACTIONS(3686),
    [anon_sym_boolean] = ACTIONS(3686),
    [anon_sym_string] = ACTIONS(3686),
    [anon_sym_symbol] = ACTIONS(3686),
    [anon_sym_object] = ACTIONS(3686),
    [anon_sym_property] = ACTIONS(3686),
    [anon_sym_signal] = ACTIONS(3686),
    [anon_sym_on] = ACTIONS(3686),
    [anon_sym_required] = ACTIONS(3686),
    [anon_sym_component] = ACTIONS(3686),
    [anon_sym_abstract] = ACTIONS(3686),
    [anon_sym_interface] = ACTIONS(3686),
    [anon_sym_enum] = ACTIONS(3686),
    [sym_html_comment] = ACTIONS(5),
  },
  [1465] = {
    [sym_comment] = STATE(1465),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1466] = {
    [sym_comment] = STATE(1466),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1467] = {
    [sym_comment] = STATE(1467),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1468] = {
    [sym_comment] = STATE(1468),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1469] = {
    [sym_comment] = STATE(1469),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1470] = {
    [sym_comment] = STATE(1470),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1471] = {
    [sym_comment] = STATE(1471),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1472] = {
    [sym_comment] = STATE(1472),
    [sym_identifier] = ACTIONS(3640),
    [anon_sym_export] = ACTIONS(3640),
    [anon_sym_type] = ACTIONS(3640),
    [anon_sym_namespace] = ACTIONS(3640),
    [anon_sym_LBRACE] = ACTIONS(3640),
    [anon_sym_RBRACE] = ACTIONS(3640),
    [anon_sym_typeof] = ACTIONS(3640),
    [anon_sym_import] = ACTIONS(3640),
    [anon_sym_from] = ACTIONS(3640),
    [anon_sym_with] = ACTIONS(3640),
    [anon_sym_var] = ACTIONS(3640),
    [anon_sym_let] = ACTIONS(3640),
    [anon_sym_const] = ACTIONS(3640),
    [anon_sym_BANG] = ACTIONS(3640),
    [anon_sym_else] = ACTIONS(3640),
    [anon_sym_if] = ACTIONS(3640),
    [anon_sym_switch] = ACTIONS(3640),
    [anon_sym_for] = ACTIONS(3640),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_await] = ACTIONS(3640),
    [anon_sym_of] = ACTIONS(3640),
    [anon_sym_while] = ACTIONS(3640),
    [anon_sym_do] = ACTIONS(3640),
    [anon_sym_try] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3640),
    [anon_sym_continue] = ACTIONS(3640),
    [anon_sym_debugger] = ACTIONS(3640),
    [anon_sym_return] = ACTIONS(3640),
    [anon_sym_throw] = ACTIONS(3640),
    [anon_sym_SEMI] = ACTIONS(3640),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3640),
    [anon_sym_LTtemplate_GT] = ACTIONS(3640),
    [anon_sym_DQUOTE] = ACTIONS(3640),
    [anon_sym_SQUOTE] = ACTIONS(3640),
    [anon_sym_class] = ACTIONS(3640),
    [anon_sym_async] = ACTIONS(3640),
    [anon_sym_function] = ACTIONS(3640),
    [anon_sym_new] = ACTIONS(3640),
    [anon_sym_using] = ACTIONS(3640),
    [anon_sym_PLUS] = ACTIONS(3640),
    [anon_sym_DASH] = ACTIONS(3640),
    [anon_sym_SLASH] = ACTIONS(3640),
    [anon_sym_LT] = ACTIONS(3640),
    [anon_sym_TILDE] = ACTIONS(3640),
    [anon_sym_void] = ACTIONS(3640),
    [anon_sym_delete] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3640),
    [anon_sym_DASH_DASH] = ACTIONS(3640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3640),
    [sym_number] = ACTIONS(3640),
    [sym_private_property_identifier] = ACTIONS(3640),
    [sym_this] = ACTIONS(3640),
    [sym_super] = ACTIONS(3640),
    [sym_true] = ACTIONS(3640),
    [sym_false] = ACTIONS(3640),
    [sym_null] = ACTIONS(3640),
    [sym_undefined] = ACTIONS(3640),
    [anon_sym_AT] = ACTIONS(3640),
    [anon_sym_static] = ACTIONS(3640),
    [anon_sym_readonly] = ACTIONS(3640),
    [anon_sym_get] = ACTIONS(3640),
    [anon_sym_set] = ACTIONS(3640),
    [anon_sym_declare] = ACTIONS(3640),
    [anon_sym_public] = ACTIONS(3640),
    [anon_sym_private] = ACTIONS(3640),
    [anon_sym_protected] = ACTIONS(3640),
    [anon_sym_override] = ACTIONS(3640),
    [anon_sym_module] = ACTIONS(3640),
    [anon_sym_any] = ACTIONS(3640),
    [anon_sym_number] = ACTIONS(3640),
    [anon_sym_boolean] = ACTIONS(3640),
    [anon_sym_string] = ACTIONS(3640),
    [anon_sym_symbol] = ACTIONS(3640),
    [anon_sym_object] = ACTIONS(3640),
    [anon_sym_property] = ACTIONS(3640),
    [anon_sym_signal] = ACTIONS(3640),
    [anon_sym_on] = ACTIONS(3640),
    [anon_sym_required] = ACTIONS(3640),
    [anon_sym_component] = ACTIONS(3640),
    [anon_sym_abstract] = ACTIONS(3640),
    [anon_sym_interface] = ACTIONS(3640),
    [anon_sym_enum] = ACTIONS(3640),
    [sym_html_comment] = ACTIONS(5),
  },
  [1473] = {
    [sym_comment] = STATE(1473),
    [sym_identifier] = ACTIONS(3656),
    [anon_sym_export] = ACTIONS(3656),
    [anon_sym_type] = ACTIONS(3656),
    [anon_sym_namespace] = ACTIONS(3656),
    [anon_sym_LBRACE] = ACTIONS(3656),
    [anon_sym_RBRACE] = ACTIONS(3656),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_import] = ACTIONS(3656),
    [anon_sym_from] = ACTIONS(3656),
    [anon_sym_with] = ACTIONS(3656),
    [anon_sym_var] = ACTIONS(3656),
    [anon_sym_let] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3656),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_else] = ACTIONS(3656),
    [anon_sym_if] = ACTIONS(3656),
    [anon_sym_switch] = ACTIONS(3656),
    [anon_sym_for] = ACTIONS(3656),
    [anon_sym_LPAREN] = ACTIONS(3656),
    [anon_sym_await] = ACTIONS(3656),
    [anon_sym_of] = ACTIONS(3656),
    [anon_sym_while] = ACTIONS(3656),
    [anon_sym_do] = ACTIONS(3656),
    [anon_sym_try] = ACTIONS(3656),
    [anon_sym_break] = ACTIONS(3656),
    [anon_sym_continue] = ACTIONS(3656),
    [anon_sym_debugger] = ACTIONS(3656),
    [anon_sym_return] = ACTIONS(3656),
    [anon_sym_throw] = ACTIONS(3656),
    [anon_sym_SEMI] = ACTIONS(3656),
    [anon_sym_yield] = ACTIONS(3656),
    [anon_sym_LBRACK] = ACTIONS(3656),
    [anon_sym_LTtemplate_GT] = ACTIONS(3656),
    [anon_sym_DQUOTE] = ACTIONS(3656),
    [anon_sym_SQUOTE] = ACTIONS(3656),
    [anon_sym_class] = ACTIONS(3656),
    [anon_sym_async] = ACTIONS(3656),
    [anon_sym_function] = ACTIONS(3656),
    [anon_sym_new] = ACTIONS(3656),
    [anon_sym_using] = ACTIONS(3656),
    [anon_sym_PLUS] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3656),
    [anon_sym_SLASH] = ACTIONS(3656),
    [anon_sym_LT] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_void] = ACTIONS(3656),
    [anon_sym_delete] = ACTIONS(3656),
    [anon_sym_PLUS_PLUS] = ACTIONS(3656),
    [anon_sym_DASH_DASH] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3656),
    [sym_number] = ACTIONS(3656),
    [sym_private_property_identifier] = ACTIONS(3656),
    [sym_this] = ACTIONS(3656),
    [sym_super] = ACTIONS(3656),
    [sym_true] = ACTIONS(3656),
    [sym_false] = ACTIONS(3656),
    [sym_null] = ACTIONS(3656),
    [sym_undefined] = ACTIONS(3656),
    [anon_sym_AT] = ACTIONS(3656),
    [anon_sym_static] = ACTIONS(3656),
    [anon_sym_readonly] = ACTIONS(3656),
    [anon_sym_get] = ACTIONS(3656),
    [anon_sym_set] = ACTIONS(3656),
    [anon_sym_declare] = ACTIONS(3656),
    [anon_sym_public] = ACTIONS(3656),
    [anon_sym_private] = ACTIONS(3656),
    [anon_sym_protected] = ACTIONS(3656),
    [anon_sym_override] = ACTIONS(3656),
    [anon_sym_module] = ACTIONS(3656),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_property] = ACTIONS(3656),
    [anon_sym_signal] = ACTIONS(3656),
    [anon_sym_on] = ACTIONS(3656),
    [anon_sym_required] = ACTIONS(3656),
    [anon_sym_component] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3656),
    [anon_sym_interface] = ACTIONS(3656),
    [anon_sym_enum] = ACTIONS(3656),
    [sym_html_comment] = ACTIONS(5),
  },
  [1474] = {
    [sym_comment] = STATE(1474),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_export] = ACTIONS(3596),
    [anon_sym_type] = ACTIONS(3596),
    [anon_sym_namespace] = ACTIONS(3596),
    [anon_sym_LBRACE] = ACTIONS(3596),
    [anon_sym_RBRACE] = ACTIONS(3596),
    [anon_sym_typeof] = ACTIONS(3596),
    [anon_sym_import] = ACTIONS(3596),
    [anon_sym_from] = ACTIONS(3596),
    [anon_sym_with] = ACTIONS(3596),
    [anon_sym_var] = ACTIONS(3596),
    [anon_sym_let] = ACTIONS(3596),
    [anon_sym_const] = ACTIONS(3596),
    [anon_sym_BANG] = ACTIONS(3596),
    [anon_sym_else] = ACTIONS(3596),
    [anon_sym_if] = ACTIONS(3596),
    [anon_sym_switch] = ACTIONS(3596),
    [anon_sym_for] = ACTIONS(3596),
    [anon_sym_LPAREN] = ACTIONS(3596),
    [anon_sym_await] = ACTIONS(3596),
    [anon_sym_of] = ACTIONS(3596),
    [anon_sym_while] = ACTIONS(3596),
    [anon_sym_do] = ACTIONS(3596),
    [anon_sym_try] = ACTIONS(3596),
    [anon_sym_break] = ACTIONS(3596),
    [anon_sym_continue] = ACTIONS(3596),
    [anon_sym_debugger] = ACTIONS(3596),
    [anon_sym_return] = ACTIONS(3596),
    [anon_sym_throw] = ACTIONS(3596),
    [anon_sym_SEMI] = ACTIONS(3596),
    [anon_sym_yield] = ACTIONS(3596),
    [anon_sym_LBRACK] = ACTIONS(3596),
    [anon_sym_LTtemplate_GT] = ACTIONS(3596),
    [anon_sym_DQUOTE] = ACTIONS(3596),
    [anon_sym_SQUOTE] = ACTIONS(3596),
    [anon_sym_class] = ACTIONS(3596),
    [anon_sym_async] = ACTIONS(3596),
    [anon_sym_function] = ACTIONS(3596),
    [anon_sym_new] = ACTIONS(3596),
    [anon_sym_using] = ACTIONS(3596),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3596),
    [anon_sym_LT] = ACTIONS(3596),
    [anon_sym_TILDE] = ACTIONS(3596),
    [anon_sym_void] = ACTIONS(3596),
    [anon_sym_delete] = ACTIONS(3596),
    [anon_sym_PLUS_PLUS] = ACTIONS(3596),
    [anon_sym_DASH_DASH] = ACTIONS(3596),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3596),
    [sym_number] = ACTIONS(3596),
    [sym_private_property_identifier] = ACTIONS(3596),
    [sym_this] = ACTIONS(3596),
    [sym_super] = ACTIONS(3596),
    [sym_true] = ACTIONS(3596),
    [sym_false] = ACTIONS(3596),
    [sym_null] = ACTIONS(3596),
    [sym_undefined] = ACTIONS(3596),
    [anon_sym_AT] = ACTIONS(3596),
    [anon_sym_static] = ACTIONS(3596),
    [anon_sym_readonly] = ACTIONS(3596),
    [anon_sym_get] = ACTIONS(3596),
    [anon_sym_set] = ACTIONS(3596),
    [anon_sym_declare] = ACTIONS(3596),
    [anon_sym_public] = ACTIONS(3596),
    [anon_sym_private] = ACTIONS(3596),
    [anon_sym_protected] = ACTIONS(3596),
    [anon_sym_override] = ACTIONS(3596),
    [anon_sym_module] = ACTIONS(3596),
    [anon_sym_any] = ACTIONS(3596),
    [anon_sym_number] = ACTIONS(3596),
    [anon_sym_boolean] = ACTIONS(3596),
    [anon_sym_string] = ACTIONS(3596),
    [anon_sym_symbol] = ACTIONS(3596),
    [anon_sym_object] = ACTIONS(3596),
    [anon_sym_property] = ACTIONS(3596),
    [anon_sym_signal] = ACTIONS(3596),
    [anon_sym_on] = ACTIONS(3596),
    [anon_sym_required] = ACTIONS(3596),
    [anon_sym_component] = ACTIONS(3596),
    [anon_sym_abstract] = ACTIONS(3596),
    [anon_sym_interface] = ACTIONS(3596),
    [anon_sym_enum] = ACTIONS(3596),
    [sym_html_comment] = ACTIONS(5),
  },
  [1475] = {
    [sym_comment] = STATE(1475),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_export] = ACTIONS(3596),
    [anon_sym_type] = ACTIONS(3596),
    [anon_sym_namespace] = ACTIONS(3596),
    [anon_sym_LBRACE] = ACTIONS(3596),
    [anon_sym_RBRACE] = ACTIONS(3596),
    [anon_sym_typeof] = ACTIONS(3596),
    [anon_sym_import] = ACTIONS(3596),
    [anon_sym_from] = ACTIONS(3596),
    [anon_sym_with] = ACTIONS(3596),
    [anon_sym_var] = ACTIONS(3596),
    [anon_sym_let] = ACTIONS(3596),
    [anon_sym_const] = ACTIONS(3596),
    [anon_sym_BANG] = ACTIONS(3596),
    [anon_sym_else] = ACTIONS(3596),
    [anon_sym_if] = ACTIONS(3596),
    [anon_sym_switch] = ACTIONS(3596),
    [anon_sym_for] = ACTIONS(3596),
    [anon_sym_LPAREN] = ACTIONS(3596),
    [anon_sym_await] = ACTIONS(3596),
    [anon_sym_of] = ACTIONS(3596),
    [anon_sym_while] = ACTIONS(3596),
    [anon_sym_do] = ACTIONS(3596),
    [anon_sym_try] = ACTIONS(3596),
    [anon_sym_break] = ACTIONS(3596),
    [anon_sym_continue] = ACTIONS(3596),
    [anon_sym_debugger] = ACTIONS(3596),
    [anon_sym_return] = ACTIONS(3596),
    [anon_sym_throw] = ACTIONS(3596),
    [anon_sym_SEMI] = ACTIONS(3596),
    [anon_sym_yield] = ACTIONS(3596),
    [anon_sym_LBRACK] = ACTIONS(3596),
    [anon_sym_LTtemplate_GT] = ACTIONS(3596),
    [anon_sym_DQUOTE] = ACTIONS(3596),
    [anon_sym_SQUOTE] = ACTIONS(3596),
    [anon_sym_class] = ACTIONS(3596),
    [anon_sym_async] = ACTIONS(3596),
    [anon_sym_function] = ACTIONS(3596),
    [anon_sym_new] = ACTIONS(3596),
    [anon_sym_using] = ACTIONS(3596),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3596),
    [anon_sym_LT] = ACTIONS(3596),
    [anon_sym_TILDE] = ACTIONS(3596),
    [anon_sym_void] = ACTIONS(3596),
    [anon_sym_delete] = ACTIONS(3596),
    [anon_sym_PLUS_PLUS] = ACTIONS(3596),
    [anon_sym_DASH_DASH] = ACTIONS(3596),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3596),
    [sym_number] = ACTIONS(3596),
    [sym_private_property_identifier] = ACTIONS(3596),
    [sym_this] = ACTIONS(3596),
    [sym_super] = ACTIONS(3596),
    [sym_true] = ACTIONS(3596),
    [sym_false] = ACTIONS(3596),
    [sym_null] = ACTIONS(3596),
    [sym_undefined] = ACTIONS(3596),
    [anon_sym_AT] = ACTIONS(3596),
    [anon_sym_static] = ACTIONS(3596),
    [anon_sym_readonly] = ACTIONS(3596),
    [anon_sym_get] = ACTIONS(3596),
    [anon_sym_set] = ACTIONS(3596),
    [anon_sym_declare] = ACTIONS(3596),
    [anon_sym_public] = ACTIONS(3596),
    [anon_sym_private] = ACTIONS(3596),
    [anon_sym_protected] = ACTIONS(3596),
    [anon_sym_override] = ACTIONS(3596),
    [anon_sym_module] = ACTIONS(3596),
    [anon_sym_any] = ACTIONS(3596),
    [anon_sym_number] = ACTIONS(3596),
    [anon_sym_boolean] = ACTIONS(3596),
    [anon_sym_string] = ACTIONS(3596),
    [anon_sym_symbol] = ACTIONS(3596),
    [anon_sym_object] = ACTIONS(3596),
    [anon_sym_property] = ACTIONS(3596),
    [anon_sym_signal] = ACTIONS(3596),
    [anon_sym_on] = ACTIONS(3596),
    [anon_sym_required] = ACTIONS(3596),
    [anon_sym_component] = ACTIONS(3596),
    [anon_sym_abstract] = ACTIONS(3596),
    [anon_sym_interface] = ACTIONS(3596),
    [anon_sym_enum] = ACTIONS(3596),
    [sym_html_comment] = ACTIONS(5),
  },
  [1476] = {
    [sym_comment] = STATE(1476),
    [sym_identifier] = ACTIONS(3592),
    [anon_sym_export] = ACTIONS(3592),
    [anon_sym_type] = ACTIONS(3592),
    [anon_sym_namespace] = ACTIONS(3592),
    [anon_sym_LBRACE] = ACTIONS(3592),
    [anon_sym_RBRACE] = ACTIONS(3592),
    [anon_sym_typeof] = ACTIONS(3592),
    [anon_sym_import] = ACTIONS(3592),
    [anon_sym_from] = ACTIONS(3592),
    [anon_sym_with] = ACTIONS(3592),
    [anon_sym_var] = ACTIONS(3592),
    [anon_sym_let] = ACTIONS(3592),
    [anon_sym_const] = ACTIONS(3592),
    [anon_sym_BANG] = ACTIONS(3592),
    [anon_sym_else] = ACTIONS(3592),
    [anon_sym_if] = ACTIONS(3592),
    [anon_sym_switch] = ACTIONS(3592),
    [anon_sym_for] = ACTIONS(3592),
    [anon_sym_LPAREN] = ACTIONS(3592),
    [anon_sym_await] = ACTIONS(3592),
    [anon_sym_of] = ACTIONS(3592),
    [anon_sym_while] = ACTIONS(3592),
    [anon_sym_do] = ACTIONS(3592),
    [anon_sym_try] = ACTIONS(3592),
    [anon_sym_break] = ACTIONS(3592),
    [anon_sym_continue] = ACTIONS(3592),
    [anon_sym_debugger] = ACTIONS(3592),
    [anon_sym_return] = ACTIONS(3592),
    [anon_sym_throw] = ACTIONS(3592),
    [anon_sym_SEMI] = ACTIONS(3592),
    [anon_sym_yield] = ACTIONS(3592),
    [anon_sym_LBRACK] = ACTIONS(3592),
    [anon_sym_LTtemplate_GT] = ACTIONS(3592),
    [anon_sym_DQUOTE] = ACTIONS(3592),
    [anon_sym_SQUOTE] = ACTIONS(3592),
    [anon_sym_class] = ACTIONS(3592),
    [anon_sym_async] = ACTIONS(3592),
    [anon_sym_function] = ACTIONS(3592),
    [anon_sym_new] = ACTIONS(3592),
    [anon_sym_using] = ACTIONS(3592),
    [anon_sym_PLUS] = ACTIONS(3592),
    [anon_sym_DASH] = ACTIONS(3592),
    [anon_sym_SLASH] = ACTIONS(3592),
    [anon_sym_LT] = ACTIONS(3592),
    [anon_sym_TILDE] = ACTIONS(3592),
    [anon_sym_void] = ACTIONS(3592),
    [anon_sym_delete] = ACTIONS(3592),
    [anon_sym_PLUS_PLUS] = ACTIONS(3592),
    [anon_sym_DASH_DASH] = ACTIONS(3592),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3592),
    [sym_number] = ACTIONS(3592),
    [sym_private_property_identifier] = ACTIONS(3592),
    [sym_this] = ACTIONS(3592),
    [sym_super] = ACTIONS(3592),
    [sym_true] = ACTIONS(3592),
    [sym_false] = ACTIONS(3592),
    [sym_null] = ACTIONS(3592),
    [sym_undefined] = ACTIONS(3592),
    [anon_sym_AT] = ACTIONS(3592),
    [anon_sym_static] = ACTIONS(3592),
    [anon_sym_readonly] = ACTIONS(3592),
    [anon_sym_get] = ACTIONS(3592),
    [anon_sym_set] = ACTIONS(3592),
    [anon_sym_declare] = ACTIONS(3592),
    [anon_sym_public] = ACTIONS(3592),
    [anon_sym_private] = ACTIONS(3592),
    [anon_sym_protected] = ACTIONS(3592),
    [anon_sym_override] = ACTIONS(3592),
    [anon_sym_module] = ACTIONS(3592),
    [anon_sym_any] = ACTIONS(3592),
    [anon_sym_number] = ACTIONS(3592),
    [anon_sym_boolean] = ACTIONS(3592),
    [anon_sym_string] = ACTIONS(3592),
    [anon_sym_symbol] = ACTIONS(3592),
    [anon_sym_object] = ACTIONS(3592),
    [anon_sym_property] = ACTIONS(3592),
    [anon_sym_signal] = ACTIONS(3592),
    [anon_sym_on] = ACTIONS(3592),
    [anon_sym_required] = ACTIONS(3592),
    [anon_sym_component] = ACTIONS(3592),
    [anon_sym_abstract] = ACTIONS(3592),
    [anon_sym_interface] = ACTIONS(3592),
    [anon_sym_enum] = ACTIONS(3592),
    [sym_html_comment] = ACTIONS(5),
  },
  [1477] = {
    [sym_comment] = STATE(1477),
    [sym_identifier] = ACTIONS(3672),
    [anon_sym_export] = ACTIONS(3672),
    [anon_sym_type] = ACTIONS(3672),
    [anon_sym_namespace] = ACTIONS(3672),
    [anon_sym_LBRACE] = ACTIONS(3672),
    [anon_sym_RBRACE] = ACTIONS(3672),
    [anon_sym_typeof] = ACTIONS(3672),
    [anon_sym_import] = ACTIONS(3672),
    [anon_sym_from] = ACTIONS(3672),
    [anon_sym_with] = ACTIONS(3672),
    [anon_sym_var] = ACTIONS(3672),
    [anon_sym_let] = ACTIONS(3672),
    [anon_sym_const] = ACTIONS(3672),
    [anon_sym_BANG] = ACTIONS(3672),
    [anon_sym_else] = ACTIONS(3672),
    [anon_sym_if] = ACTIONS(3672),
    [anon_sym_switch] = ACTIONS(3672),
    [anon_sym_for] = ACTIONS(3672),
    [anon_sym_LPAREN] = ACTIONS(3672),
    [anon_sym_await] = ACTIONS(3672),
    [anon_sym_of] = ACTIONS(3672),
    [anon_sym_while] = ACTIONS(3672),
    [anon_sym_do] = ACTIONS(3672),
    [anon_sym_try] = ACTIONS(3672),
    [anon_sym_break] = ACTIONS(3672),
    [anon_sym_continue] = ACTIONS(3672),
    [anon_sym_debugger] = ACTIONS(3672),
    [anon_sym_return] = ACTIONS(3672),
    [anon_sym_throw] = ACTIONS(3672),
    [anon_sym_SEMI] = ACTIONS(3672),
    [anon_sym_yield] = ACTIONS(3672),
    [anon_sym_LBRACK] = ACTIONS(3672),
    [anon_sym_LTtemplate_GT] = ACTIONS(3672),
    [anon_sym_DQUOTE] = ACTIONS(3672),
    [anon_sym_SQUOTE] = ACTIONS(3672),
    [anon_sym_class] = ACTIONS(3672),
    [anon_sym_async] = ACTIONS(3672),
    [anon_sym_function] = ACTIONS(3672),
    [anon_sym_new] = ACTIONS(3672),
    [anon_sym_using] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3672),
    [anon_sym_DASH] = ACTIONS(3672),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_LT] = ACTIONS(3672),
    [anon_sym_TILDE] = ACTIONS(3672),
    [anon_sym_void] = ACTIONS(3672),
    [anon_sym_delete] = ACTIONS(3672),
    [anon_sym_PLUS_PLUS] = ACTIONS(3672),
    [anon_sym_DASH_DASH] = ACTIONS(3672),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3672),
    [sym_number] = ACTIONS(3672),
    [sym_private_property_identifier] = ACTIONS(3672),
    [sym_this] = ACTIONS(3672),
    [sym_super] = ACTIONS(3672),
    [sym_true] = ACTIONS(3672),
    [sym_false] = ACTIONS(3672),
    [sym_null] = ACTIONS(3672),
    [sym_undefined] = ACTIONS(3672),
    [anon_sym_AT] = ACTIONS(3672),
    [anon_sym_static] = ACTIONS(3672),
    [anon_sym_readonly] = ACTIONS(3672),
    [anon_sym_get] = ACTIONS(3672),
    [anon_sym_set] = ACTIONS(3672),
    [anon_sym_declare] = ACTIONS(3672),
    [anon_sym_public] = ACTIONS(3672),
    [anon_sym_private] = ACTIONS(3672),
    [anon_sym_protected] = ACTIONS(3672),
    [anon_sym_override] = ACTIONS(3672),
    [anon_sym_module] = ACTIONS(3672),
    [anon_sym_any] = ACTIONS(3672),
    [anon_sym_number] = ACTIONS(3672),
    [anon_sym_boolean] = ACTIONS(3672),
    [anon_sym_string] = ACTIONS(3672),
    [anon_sym_symbol] = ACTIONS(3672),
    [anon_sym_object] = ACTIONS(3672),
    [anon_sym_property] = ACTIONS(3672),
    [anon_sym_signal] = ACTIONS(3672),
    [anon_sym_on] = ACTIONS(3672),
    [anon_sym_required] = ACTIONS(3672),
    [anon_sym_component] = ACTIONS(3672),
    [anon_sym_abstract] = ACTIONS(3672),
    [anon_sym_interface] = ACTIONS(3672),
    [anon_sym_enum] = ACTIONS(3672),
    [sym_html_comment] = ACTIONS(5),
  },
  [1478] = {
    [sym_comment] = STATE(1478),
    [sym_identifier] = ACTIONS(3454),
    [anon_sym_export] = ACTIONS(3454),
    [anon_sym_type] = ACTIONS(3454),
    [anon_sym_namespace] = ACTIONS(3454),
    [anon_sym_LBRACE] = ACTIONS(3454),
    [anon_sym_RBRACE] = ACTIONS(3454),
    [anon_sym_typeof] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3454),
    [anon_sym_from] = ACTIONS(3454),
    [anon_sym_with] = ACTIONS(3454),
    [anon_sym_var] = ACTIONS(3454),
    [anon_sym_let] = ACTIONS(3454),
    [anon_sym_const] = ACTIONS(3454),
    [anon_sym_BANG] = ACTIONS(3454),
    [anon_sym_if] = ACTIONS(3454),
    [anon_sym_switch] = ACTIONS(3454),
    [anon_sym_for] = ACTIONS(3454),
    [anon_sym_LPAREN] = ACTIONS(3454),
    [anon_sym_await] = ACTIONS(3454),
    [anon_sym_of] = ACTIONS(3454),
    [anon_sym_while] = ACTIONS(3454),
    [anon_sym_do] = ACTIONS(3454),
    [anon_sym_try] = ACTIONS(3454),
    [anon_sym_break] = ACTIONS(3454),
    [anon_sym_continue] = ACTIONS(3454),
    [anon_sym_debugger] = ACTIONS(3454),
    [anon_sym_return] = ACTIONS(3454),
    [anon_sym_throw] = ACTIONS(3454),
    [anon_sym_SEMI] = ACTIONS(3728),
    [anon_sym_yield] = ACTIONS(3454),
    [anon_sym_LBRACK] = ACTIONS(3454),
    [anon_sym_LTtemplate_GT] = ACTIONS(3454),
    [anon_sym_DQUOTE] = ACTIONS(3454),
    [anon_sym_SQUOTE] = ACTIONS(3454),
    [anon_sym_class] = ACTIONS(3454),
    [anon_sym_async] = ACTIONS(3454),
    [anon_sym_function] = ACTIONS(3454),
    [anon_sym_new] = ACTIONS(3454),
    [anon_sym_using] = ACTIONS(3454),
    [anon_sym_PLUS] = ACTIONS(3454),
    [anon_sym_DASH] = ACTIONS(3454),
    [anon_sym_SLASH] = ACTIONS(3454),
    [anon_sym_LT] = ACTIONS(3454),
    [anon_sym_TILDE] = ACTIONS(3454),
    [anon_sym_void] = ACTIONS(3454),
    [anon_sym_delete] = ACTIONS(3454),
    [anon_sym_PLUS_PLUS] = ACTIONS(3454),
    [anon_sym_DASH_DASH] = ACTIONS(3454),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3454),
    [sym_number] = ACTIONS(3454),
    [sym_private_property_identifier] = ACTIONS(3454),
    [sym_this] = ACTIONS(3454),
    [sym_super] = ACTIONS(3454),
    [sym_true] = ACTIONS(3454),
    [sym_false] = ACTIONS(3454),
    [sym_null] = ACTIONS(3454),
    [sym_undefined] = ACTIONS(3454),
    [anon_sym_AT] = ACTIONS(3454),
    [anon_sym_static] = ACTIONS(3454),
    [anon_sym_readonly] = ACTIONS(3454),
    [anon_sym_get] = ACTIONS(3454),
    [anon_sym_set] = ACTIONS(3454),
    [anon_sym_declare] = ACTIONS(3454),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_private] = ACTIONS(3454),
    [anon_sym_protected] = ACTIONS(3454),
    [anon_sym_override] = ACTIONS(3454),
    [anon_sym_module] = ACTIONS(3454),
    [anon_sym_any] = ACTIONS(3454),
    [anon_sym_number] = ACTIONS(3454),
    [anon_sym_boolean] = ACTIONS(3454),
    [anon_sym_string] = ACTIONS(3454),
    [anon_sym_symbol] = ACTIONS(3454),
    [anon_sym_object] = ACTIONS(3454),
    [anon_sym_property] = ACTIONS(3454),
    [anon_sym_signal] = ACTIONS(3454),
    [anon_sym_on] = ACTIONS(3454),
    [anon_sym_required] = ACTIONS(3454),
    [anon_sym_component] = ACTIONS(3454),
    [anon_sym_abstract] = ACTIONS(3454),
    [anon_sym_interface] = ACTIONS(3454),
    [anon_sym_enum] = ACTIONS(3454),
    [sym__automatic_semicolon] = ACTIONS(3730),
    [sym_html_comment] = ACTIONS(5),
  },
  [1479] = {
    [sym_comment] = STATE(1479),
    [sym_identifier] = ACTIONS(3684),
    [anon_sym_export] = ACTIONS(3684),
    [anon_sym_type] = ACTIONS(3684),
    [anon_sym_namespace] = ACTIONS(3684),
    [anon_sym_LBRACE] = ACTIONS(3684),
    [anon_sym_RBRACE] = ACTIONS(3684),
    [anon_sym_typeof] = ACTIONS(3684),
    [anon_sym_import] = ACTIONS(3684),
    [anon_sym_from] = ACTIONS(3684),
    [anon_sym_with] = ACTIONS(3684),
    [anon_sym_var] = ACTIONS(3684),
    [anon_sym_let] = ACTIONS(3684),
    [anon_sym_const] = ACTIONS(3684),
    [anon_sym_BANG] = ACTIONS(3684),
    [anon_sym_else] = ACTIONS(3684),
    [anon_sym_if] = ACTIONS(3684),
    [anon_sym_switch] = ACTIONS(3684),
    [anon_sym_for] = ACTIONS(3684),
    [anon_sym_LPAREN] = ACTIONS(3684),
    [anon_sym_await] = ACTIONS(3684),
    [anon_sym_of] = ACTIONS(3684),
    [anon_sym_while] = ACTIONS(3684),
    [anon_sym_do] = ACTIONS(3684),
    [anon_sym_try] = ACTIONS(3684),
    [anon_sym_break] = ACTIONS(3684),
    [anon_sym_continue] = ACTIONS(3684),
    [anon_sym_debugger] = ACTIONS(3684),
    [anon_sym_return] = ACTIONS(3684),
    [anon_sym_throw] = ACTIONS(3684),
    [anon_sym_SEMI] = ACTIONS(3684),
    [anon_sym_yield] = ACTIONS(3684),
    [anon_sym_LBRACK] = ACTIONS(3684),
    [anon_sym_LTtemplate_GT] = ACTIONS(3684),
    [anon_sym_DQUOTE] = ACTIONS(3684),
    [anon_sym_SQUOTE] = ACTIONS(3684),
    [anon_sym_class] = ACTIONS(3684),
    [anon_sym_async] = ACTIONS(3684),
    [anon_sym_function] = ACTIONS(3684),
    [anon_sym_new] = ACTIONS(3684),
    [anon_sym_using] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_SLASH] = ACTIONS(3684),
    [anon_sym_LT] = ACTIONS(3684),
    [anon_sym_TILDE] = ACTIONS(3684),
    [anon_sym_void] = ACTIONS(3684),
    [anon_sym_delete] = ACTIONS(3684),
    [anon_sym_PLUS_PLUS] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(3684),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3684),
    [sym_number] = ACTIONS(3684),
    [sym_private_property_identifier] = ACTIONS(3684),
    [sym_this] = ACTIONS(3684),
    [sym_super] = ACTIONS(3684),
    [sym_true] = ACTIONS(3684),
    [sym_false] = ACTIONS(3684),
    [sym_null] = ACTIONS(3684),
    [sym_undefined] = ACTIONS(3684),
    [anon_sym_AT] = ACTIONS(3684),
    [anon_sym_static] = ACTIONS(3684),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_get] = ACTIONS(3684),
    [anon_sym_set] = ACTIONS(3684),
    [anon_sym_declare] = ACTIONS(3684),
    [anon_sym_public] = ACTIONS(3684),
    [anon_sym_private] = ACTIONS(3684),
    [anon_sym_protected] = ACTIONS(3684),
    [anon_sym_override] = ACTIONS(3684),
    [anon_sym_module] = ACTIONS(3684),
    [anon_sym_any] = ACTIONS(3684),
    [anon_sym_number] = ACTIONS(3684),
    [anon_sym_boolean] = ACTIONS(3684),
    [anon_sym_string] = ACTIONS(3684),
    [anon_sym_symbol] = ACTIONS(3684),
    [anon_sym_object] = ACTIONS(3684),
    [anon_sym_property] = ACTIONS(3684),
    [anon_sym_signal] = ACTIONS(3684),
    [anon_sym_on] = ACTIONS(3684),
    [anon_sym_required] = ACTIONS(3684),
    [anon_sym_component] = ACTIONS(3684),
    [anon_sym_abstract] = ACTIONS(3684),
    [anon_sym_interface] = ACTIONS(3684),
    [anon_sym_enum] = ACTIONS(3684),
    [sym_html_comment] = ACTIONS(5),
  },
  [1480] = {
    [sym_comment] = STATE(1480),
    [sym_identifier] = ACTIONS(3628),
    [anon_sym_export] = ACTIONS(3628),
    [anon_sym_type] = ACTIONS(3628),
    [anon_sym_namespace] = ACTIONS(3628),
    [anon_sym_LBRACE] = ACTIONS(3628),
    [anon_sym_RBRACE] = ACTIONS(3628),
    [anon_sym_typeof] = ACTIONS(3628),
    [anon_sym_import] = ACTIONS(3628),
    [anon_sym_from] = ACTIONS(3628),
    [anon_sym_with] = ACTIONS(3628),
    [anon_sym_var] = ACTIONS(3628),
    [anon_sym_let] = ACTIONS(3628),
    [anon_sym_const] = ACTIONS(3628),
    [anon_sym_BANG] = ACTIONS(3628),
    [anon_sym_else] = ACTIONS(3628),
    [anon_sym_if] = ACTIONS(3628),
    [anon_sym_switch] = ACTIONS(3628),
    [anon_sym_for] = ACTIONS(3628),
    [anon_sym_LPAREN] = ACTIONS(3628),
    [anon_sym_await] = ACTIONS(3628),
    [anon_sym_of] = ACTIONS(3628),
    [anon_sym_while] = ACTIONS(3628),
    [anon_sym_do] = ACTIONS(3628),
    [anon_sym_try] = ACTIONS(3628),
    [anon_sym_break] = ACTIONS(3628),
    [anon_sym_continue] = ACTIONS(3628),
    [anon_sym_debugger] = ACTIONS(3628),
    [anon_sym_return] = ACTIONS(3628),
    [anon_sym_throw] = ACTIONS(3628),
    [anon_sym_SEMI] = ACTIONS(3628),
    [anon_sym_yield] = ACTIONS(3628),
    [anon_sym_LBRACK] = ACTIONS(3628),
    [anon_sym_LTtemplate_GT] = ACTIONS(3628),
    [anon_sym_DQUOTE] = ACTIONS(3628),
    [anon_sym_SQUOTE] = ACTIONS(3628),
    [anon_sym_class] = ACTIONS(3628),
    [anon_sym_async] = ACTIONS(3628),
    [anon_sym_function] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3628),
    [anon_sym_using] = ACTIONS(3628),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_SLASH] = ACTIONS(3628),
    [anon_sym_LT] = ACTIONS(3628),
    [anon_sym_TILDE] = ACTIONS(3628),
    [anon_sym_void] = ACTIONS(3628),
    [anon_sym_delete] = ACTIONS(3628),
    [anon_sym_PLUS_PLUS] = ACTIONS(3628),
    [anon_sym_DASH_DASH] = ACTIONS(3628),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3628),
    [sym_number] = ACTIONS(3628),
    [sym_private_property_identifier] = ACTIONS(3628),
    [sym_this] = ACTIONS(3628),
    [sym_super] = ACTIONS(3628),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_AT] = ACTIONS(3628),
    [anon_sym_static] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3628),
    [anon_sym_get] = ACTIONS(3628),
    [anon_sym_set] = ACTIONS(3628),
    [anon_sym_declare] = ACTIONS(3628),
    [anon_sym_public] = ACTIONS(3628),
    [anon_sym_private] = ACTIONS(3628),
    [anon_sym_protected] = ACTIONS(3628),
    [anon_sym_override] = ACTIONS(3628),
    [anon_sym_module] = ACTIONS(3628),
    [anon_sym_any] = ACTIONS(3628),
    [anon_sym_number] = ACTIONS(3628),
    [anon_sym_boolean] = ACTIONS(3628),
    [anon_sym_string] = ACTIONS(3628),
    [anon_sym_symbol] = ACTIONS(3628),
    [anon_sym_object] = ACTIONS(3628),
    [anon_sym_property] = ACTIONS(3628),
    [anon_sym_signal] = ACTIONS(3628),
    [anon_sym_on] = ACTIONS(3628),
    [anon_sym_required] = ACTIONS(3628),
    [anon_sym_component] = ACTIONS(3628),
    [anon_sym_abstract] = ACTIONS(3628),
    [anon_sym_interface] = ACTIONS(3628),
    [anon_sym_enum] = ACTIONS(3628),
    [sym_html_comment] = ACTIONS(5),
  },
  [1481] = {
    [sym_comment] = STATE(1481),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_type] = ACTIONS(3484),
    [anon_sym_namespace] = ACTIONS(3484),
    [anon_sym_LBRACE] = ACTIONS(3484),
    [anon_sym_RBRACE] = ACTIONS(3484),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(3484),
    [anon_sym_from] = ACTIONS(3484),
    [anon_sym_with] = ACTIONS(3484),
    [anon_sym_var] = ACTIONS(3484),
    [anon_sym_let] = ACTIONS(3484),
    [anon_sym_const] = ACTIONS(3484),
    [anon_sym_BANG] = ACTIONS(3484),
    [anon_sym_else] = ACTIONS(3484),
    [anon_sym_if] = ACTIONS(3484),
    [anon_sym_switch] = ACTIONS(3484),
    [anon_sym_for] = ACTIONS(3484),
    [anon_sym_LPAREN] = ACTIONS(3484),
    [anon_sym_await] = ACTIONS(3484),
    [anon_sym_of] = ACTIONS(3484),
    [anon_sym_while] = ACTIONS(3484),
    [anon_sym_do] = ACTIONS(3484),
    [anon_sym_try] = ACTIONS(3484),
    [anon_sym_break] = ACTIONS(3484),
    [anon_sym_continue] = ACTIONS(3484),
    [anon_sym_debugger] = ACTIONS(3484),
    [anon_sym_return] = ACTIONS(3484),
    [anon_sym_throw] = ACTIONS(3484),
    [anon_sym_SEMI] = ACTIONS(3484),
    [anon_sym_yield] = ACTIONS(3484),
    [anon_sym_LBRACK] = ACTIONS(3484),
    [anon_sym_LTtemplate_GT] = ACTIONS(3484),
    [anon_sym_DQUOTE] = ACTIONS(3484),
    [anon_sym_SQUOTE] = ACTIONS(3484),
    [anon_sym_class] = ACTIONS(3484),
    [anon_sym_async] = ACTIONS(3484),
    [anon_sym_function] = ACTIONS(3484),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_using] = ACTIONS(3484),
    [anon_sym_PLUS] = ACTIONS(3484),
    [anon_sym_DASH] = ACTIONS(3484),
    [anon_sym_SLASH] = ACTIONS(3484),
    [anon_sym_LT] = ACTIONS(3484),
    [anon_sym_TILDE] = ACTIONS(3484),
    [anon_sym_void] = ACTIONS(3484),
    [anon_sym_delete] = ACTIONS(3484),
    [anon_sym_PLUS_PLUS] = ACTIONS(3484),
    [anon_sym_DASH_DASH] = ACTIONS(3484),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3484),
    [sym_number] = ACTIONS(3484),
    [sym_private_property_identifier] = ACTIONS(3484),
    [sym_this] = ACTIONS(3484),
    [sym_super] = ACTIONS(3484),
    [sym_true] = ACTIONS(3484),
    [sym_false] = ACTIONS(3484),
    [sym_null] = ACTIONS(3484),
    [sym_undefined] = ACTIONS(3484),
    [anon_sym_AT] = ACTIONS(3484),
    [anon_sym_static] = ACTIONS(3484),
    [anon_sym_readonly] = ACTIONS(3484),
    [anon_sym_get] = ACTIONS(3484),
    [anon_sym_set] = ACTIONS(3484),
    [anon_sym_declare] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3484),
    [anon_sym_private] = ACTIONS(3484),
    [anon_sym_protected] = ACTIONS(3484),
    [anon_sym_override] = ACTIONS(3484),
    [anon_sym_module] = ACTIONS(3484),
    [anon_sym_any] = ACTIONS(3484),
    [anon_sym_number] = ACTIONS(3484),
    [anon_sym_boolean] = ACTIONS(3484),
    [anon_sym_string] = ACTIONS(3484),
    [anon_sym_symbol] = ACTIONS(3484),
    [anon_sym_object] = ACTIONS(3484),
    [anon_sym_property] = ACTIONS(3484),
    [anon_sym_signal] = ACTIONS(3484),
    [anon_sym_on] = ACTIONS(3484),
    [anon_sym_required] = ACTIONS(3484),
    [anon_sym_component] = ACTIONS(3484),
    [anon_sym_abstract] = ACTIONS(3484),
    [anon_sym_interface] = ACTIONS(3484),
    [anon_sym_enum] = ACTIONS(3484),
    [sym_html_comment] = ACTIONS(5),
  },
  [1482] = {
    [sym_comment] = STATE(1482),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_export] = ACTIONS(3516),
    [anon_sym_type] = ACTIONS(3516),
    [anon_sym_namespace] = ACTIONS(3516),
    [anon_sym_LBRACE] = ACTIONS(3516),
    [anon_sym_RBRACE] = ACTIONS(3516),
    [anon_sym_typeof] = ACTIONS(3516),
    [anon_sym_import] = ACTIONS(3516),
    [anon_sym_from] = ACTIONS(3516),
    [anon_sym_with] = ACTIONS(3516),
    [anon_sym_var] = ACTIONS(3516),
    [anon_sym_let] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3516),
    [anon_sym_BANG] = ACTIONS(3516),
    [anon_sym_else] = ACTIONS(3516),
    [anon_sym_if] = ACTIONS(3516),
    [anon_sym_switch] = ACTIONS(3516),
    [anon_sym_for] = ACTIONS(3516),
    [anon_sym_LPAREN] = ACTIONS(3516),
    [anon_sym_await] = ACTIONS(3516),
    [anon_sym_of] = ACTIONS(3516),
    [anon_sym_while] = ACTIONS(3516),
    [anon_sym_do] = ACTIONS(3516),
    [anon_sym_try] = ACTIONS(3516),
    [anon_sym_break] = ACTIONS(3516),
    [anon_sym_continue] = ACTIONS(3516),
    [anon_sym_debugger] = ACTIONS(3516),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_throw] = ACTIONS(3516),
    [anon_sym_SEMI] = ACTIONS(3516),
    [anon_sym_yield] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(3516),
    [anon_sym_LTtemplate_GT] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [anon_sym_SQUOTE] = ACTIONS(3516),
    [anon_sym_class] = ACTIONS(3516),
    [anon_sym_async] = ACTIONS(3516),
    [anon_sym_function] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(3516),
    [anon_sym_using] = ACTIONS(3516),
    [anon_sym_PLUS] = ACTIONS(3516),
    [anon_sym_DASH] = ACTIONS(3516),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_LT] = ACTIONS(3516),
    [anon_sym_TILDE] = ACTIONS(3516),
    [anon_sym_void] = ACTIONS(3516),
    [anon_sym_delete] = ACTIONS(3516),
    [anon_sym_PLUS_PLUS] = ACTIONS(3516),
    [anon_sym_DASH_DASH] = ACTIONS(3516),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3516),
    [sym_number] = ACTIONS(3516),
    [sym_private_property_identifier] = ACTIONS(3516),
    [sym_this] = ACTIONS(3516),
    [sym_super] = ACTIONS(3516),
    [sym_true] = ACTIONS(3516),
    [sym_false] = ACTIONS(3516),
    [sym_null] = ACTIONS(3516),
    [sym_undefined] = ACTIONS(3516),
    [anon_sym_AT] = ACTIONS(3516),
    [anon_sym_static] = ACTIONS(3516),
    [anon_sym_readonly] = ACTIONS(3516),
    [anon_sym_get] = ACTIONS(3516),
    [anon_sym_set] = ACTIONS(3516),
    [anon_sym_declare] = ACTIONS(3516),
    [anon_sym_public] = ACTIONS(3516),
    [anon_sym_private] = ACTIONS(3516),
    [anon_sym_protected] = ACTIONS(3516),
    [anon_sym_override] = ACTIONS(3516),
    [anon_sym_module] = ACTIONS(3516),
    [anon_sym_any] = ACTIONS(3516),
    [anon_sym_number] = ACTIONS(3516),
    [anon_sym_boolean] = ACTIONS(3516),
    [anon_sym_string] = ACTIONS(3516),
    [anon_sym_symbol] = ACTIONS(3516),
    [anon_sym_object] = ACTIONS(3516),
    [anon_sym_property] = ACTIONS(3516),
    [anon_sym_signal] = ACTIONS(3516),
    [anon_sym_on] = ACTIONS(3516),
    [anon_sym_required] = ACTIONS(3516),
    [anon_sym_component] = ACTIONS(3516),
    [anon_sym_abstract] = ACTIONS(3516),
    [anon_sym_interface] = ACTIONS(3516),
    [anon_sym_enum] = ACTIONS(3516),
    [sym_html_comment] = ACTIONS(5),
  },
  [1483] = {
    [sym_comment] = STATE(1483),
    [sym_identifier] = ACTIONS(3496),
    [anon_sym_export] = ACTIONS(3496),
    [anon_sym_type] = ACTIONS(3496),
    [anon_sym_namespace] = ACTIONS(3496),
    [anon_sym_LBRACE] = ACTIONS(3496),
    [anon_sym_RBRACE] = ACTIONS(3496),
    [anon_sym_typeof] = ACTIONS(3496),
    [anon_sym_import] = ACTIONS(3496),
    [anon_sym_from] = ACTIONS(3496),
    [anon_sym_with] = ACTIONS(3496),
    [anon_sym_var] = ACTIONS(3496),
    [anon_sym_let] = ACTIONS(3496),
    [anon_sym_const] = ACTIONS(3496),
    [anon_sym_BANG] = ACTIONS(3496),
    [anon_sym_else] = ACTIONS(3496),
    [anon_sym_if] = ACTIONS(3496),
    [anon_sym_switch] = ACTIONS(3496),
    [anon_sym_for] = ACTIONS(3496),
    [anon_sym_LPAREN] = ACTIONS(3496),
    [anon_sym_await] = ACTIONS(3496),
    [anon_sym_of] = ACTIONS(3496),
    [anon_sym_while] = ACTIONS(3496),
    [anon_sym_do] = ACTIONS(3496),
    [anon_sym_try] = ACTIONS(3496),
    [anon_sym_break] = ACTIONS(3496),
    [anon_sym_continue] = ACTIONS(3496),
    [anon_sym_debugger] = ACTIONS(3496),
    [anon_sym_return] = ACTIONS(3496),
    [anon_sym_throw] = ACTIONS(3496),
    [anon_sym_SEMI] = ACTIONS(3496),
    [anon_sym_yield] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(3496),
    [anon_sym_LTtemplate_GT] = ACTIONS(3496),
    [anon_sym_DQUOTE] = ACTIONS(3496),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_class] = ACTIONS(3496),
    [anon_sym_async] = ACTIONS(3496),
    [anon_sym_function] = ACTIONS(3496),
    [anon_sym_new] = ACTIONS(3496),
    [anon_sym_using] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_SLASH] = ACTIONS(3496),
    [anon_sym_LT] = ACTIONS(3496),
    [anon_sym_TILDE] = ACTIONS(3496),
    [anon_sym_void] = ACTIONS(3496),
    [anon_sym_delete] = ACTIONS(3496),
    [anon_sym_PLUS_PLUS] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3496),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3496),
    [sym_number] = ACTIONS(3496),
    [sym_private_property_identifier] = ACTIONS(3496),
    [sym_this] = ACTIONS(3496),
    [sym_super] = ACTIONS(3496),
    [sym_true] = ACTIONS(3496),
    [sym_false] = ACTIONS(3496),
    [sym_null] = ACTIONS(3496),
    [sym_undefined] = ACTIONS(3496),
    [anon_sym_AT] = ACTIONS(3496),
    [anon_sym_static] = ACTIONS(3496),
    [anon_sym_readonly] = ACTIONS(3496),
    [anon_sym_get] = ACTIONS(3496),
    [anon_sym_set] = ACTIONS(3496),
    [anon_sym_declare] = ACTIONS(3496),
    [anon_sym_public] = ACTIONS(3496),
    [anon_sym_private] = ACTIONS(3496),
    [anon_sym_protected] = ACTIONS(3496),
    [anon_sym_override] = ACTIONS(3496),
    [anon_sym_module] = ACTIONS(3496),
    [anon_sym_any] = ACTIONS(3496),
    [anon_sym_number] = ACTIONS(3496),
    [anon_sym_boolean] = ACTIONS(3496),
    [anon_sym_string] = ACTIONS(3496),
    [anon_sym_symbol] = ACTIONS(3496),
    [anon_sym_object] = ACTIONS(3496),
    [anon_sym_property] = ACTIONS(3496),
    [anon_sym_signal] = ACTIONS(3496),
    [anon_sym_on] = ACTIONS(3496),
    [anon_sym_required] = ACTIONS(3496),
    [anon_sym_component] = ACTIONS(3496),
    [anon_sym_abstract] = ACTIONS(3496),
    [anon_sym_interface] = ACTIONS(3496),
    [anon_sym_enum] = ACTIONS(3496),
    [sym_html_comment] = ACTIONS(5),
  },
  [1484] = {
    [sym_comment] = STATE(1484),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_export] = ACTIONS(3696),
    [anon_sym_type] = ACTIONS(3696),
    [anon_sym_namespace] = ACTIONS(3696),
    [anon_sym_LBRACE] = ACTIONS(3696),
    [anon_sym_RBRACE] = ACTIONS(3696),
    [anon_sym_typeof] = ACTIONS(3696),
    [anon_sym_import] = ACTIONS(3696),
    [anon_sym_from] = ACTIONS(3696),
    [anon_sym_with] = ACTIONS(3696),
    [anon_sym_var] = ACTIONS(3696),
    [anon_sym_let] = ACTIONS(3696),
    [anon_sym_const] = ACTIONS(3696),
    [anon_sym_BANG] = ACTIONS(3696),
    [anon_sym_else] = ACTIONS(3696),
    [anon_sym_if] = ACTIONS(3696),
    [anon_sym_switch] = ACTIONS(3696),
    [anon_sym_for] = ACTIONS(3696),
    [anon_sym_LPAREN] = ACTIONS(3696),
    [anon_sym_await] = ACTIONS(3696),
    [anon_sym_of] = ACTIONS(3696),
    [anon_sym_while] = ACTIONS(3696),
    [anon_sym_do] = ACTIONS(3696),
    [anon_sym_try] = ACTIONS(3696),
    [anon_sym_break] = ACTIONS(3696),
    [anon_sym_continue] = ACTIONS(3696),
    [anon_sym_debugger] = ACTIONS(3696),
    [anon_sym_return] = ACTIONS(3696),
    [anon_sym_throw] = ACTIONS(3696),
    [anon_sym_SEMI] = ACTIONS(3696),
    [anon_sym_yield] = ACTIONS(3696),
    [anon_sym_LBRACK] = ACTIONS(3696),
    [anon_sym_LTtemplate_GT] = ACTIONS(3696),
    [anon_sym_DQUOTE] = ACTIONS(3696),
    [anon_sym_SQUOTE] = ACTIONS(3696),
    [anon_sym_class] = ACTIONS(3696),
    [anon_sym_async] = ACTIONS(3696),
    [anon_sym_function] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3696),
    [anon_sym_using] = ACTIONS(3696),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_DASH] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3696),
    [anon_sym_LT] = ACTIONS(3696),
    [anon_sym_TILDE] = ACTIONS(3696),
    [anon_sym_void] = ACTIONS(3696),
    [anon_sym_delete] = ACTIONS(3696),
    [anon_sym_PLUS_PLUS] = ACTIONS(3696),
    [anon_sym_DASH_DASH] = ACTIONS(3696),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3696),
    [sym_number] = ACTIONS(3696),
    [sym_private_property_identifier] = ACTIONS(3696),
    [sym_this] = ACTIONS(3696),
    [sym_super] = ACTIONS(3696),
    [sym_true] = ACTIONS(3696),
    [sym_false] = ACTIONS(3696),
    [sym_null] = ACTIONS(3696),
    [sym_undefined] = ACTIONS(3696),
    [anon_sym_AT] = ACTIONS(3696),
    [anon_sym_static] = ACTIONS(3696),
    [anon_sym_readonly] = ACTIONS(3696),
    [anon_sym_get] = ACTIONS(3696),
    [anon_sym_set] = ACTIONS(3696),
    [anon_sym_declare] = ACTIONS(3696),
    [anon_sym_public] = ACTIONS(3696),
    [anon_sym_private] = ACTIONS(3696),
    [anon_sym_protected] = ACTIONS(3696),
    [anon_sym_override] = ACTIONS(3696),
    [anon_sym_module] = ACTIONS(3696),
    [anon_sym_any] = ACTIONS(3696),
    [anon_sym_number] = ACTIONS(3696),
    [anon_sym_boolean] = ACTIONS(3696),
    [anon_sym_string] = ACTIONS(3696),
    [anon_sym_symbol] = ACTIONS(3696),
    [anon_sym_object] = ACTIONS(3696),
    [anon_sym_property] = ACTIONS(3696),
    [anon_sym_signal] = ACTIONS(3696),
    [anon_sym_on] = ACTIONS(3696),
    [anon_sym_required] = ACTIONS(3696),
    [anon_sym_component] = ACTIONS(3696),
    [anon_sym_abstract] = ACTIONS(3696),
    [anon_sym_interface] = ACTIONS(3696),
    [anon_sym_enum] = ACTIONS(3696),
    [sym_html_comment] = ACTIONS(5),
  },
  [1485] = {
    [sym_comment] = STATE(1485),
    [sym_identifier] = ACTIONS(3690),
    [anon_sym_export] = ACTIONS(3690),
    [anon_sym_type] = ACTIONS(3690),
    [anon_sym_namespace] = ACTIONS(3690),
    [anon_sym_LBRACE] = ACTIONS(3690),
    [anon_sym_RBRACE] = ACTIONS(3690),
    [anon_sym_typeof] = ACTIONS(3690),
    [anon_sym_import] = ACTIONS(3690),
    [anon_sym_from] = ACTIONS(3690),
    [anon_sym_with] = ACTIONS(3690),
    [anon_sym_var] = ACTIONS(3690),
    [anon_sym_let] = ACTIONS(3690),
    [anon_sym_const] = ACTIONS(3690),
    [anon_sym_BANG] = ACTIONS(3690),
    [anon_sym_else] = ACTIONS(3690),
    [anon_sym_if] = ACTIONS(3690),
    [anon_sym_switch] = ACTIONS(3690),
    [anon_sym_for] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(3690),
    [anon_sym_await] = ACTIONS(3690),
    [anon_sym_of] = ACTIONS(3690),
    [anon_sym_while] = ACTIONS(3690),
    [anon_sym_do] = ACTIONS(3690),
    [anon_sym_try] = ACTIONS(3690),
    [anon_sym_break] = ACTIONS(3690),
    [anon_sym_continue] = ACTIONS(3690),
    [anon_sym_debugger] = ACTIONS(3690),
    [anon_sym_return] = ACTIONS(3690),
    [anon_sym_throw] = ACTIONS(3690),
    [anon_sym_SEMI] = ACTIONS(3690),
    [anon_sym_yield] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(3690),
    [anon_sym_LTtemplate_GT] = ACTIONS(3690),
    [anon_sym_DQUOTE] = ACTIONS(3690),
    [anon_sym_SQUOTE] = ACTIONS(3690),
    [anon_sym_class] = ACTIONS(3690),
    [anon_sym_async] = ACTIONS(3690),
    [anon_sym_function] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3690),
    [anon_sym_using] = ACTIONS(3690),
    [anon_sym_PLUS] = ACTIONS(3690),
    [anon_sym_DASH] = ACTIONS(3690),
    [anon_sym_SLASH] = ACTIONS(3690),
    [anon_sym_LT] = ACTIONS(3690),
    [anon_sym_TILDE] = ACTIONS(3690),
    [anon_sym_void] = ACTIONS(3690),
    [anon_sym_delete] = ACTIONS(3690),
    [anon_sym_PLUS_PLUS] = ACTIONS(3690),
    [anon_sym_DASH_DASH] = ACTIONS(3690),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3690),
    [sym_number] = ACTIONS(3690),
    [sym_private_property_identifier] = ACTIONS(3690),
    [sym_this] = ACTIONS(3690),
    [sym_super] = ACTIONS(3690),
    [sym_true] = ACTIONS(3690),
    [sym_false] = ACTIONS(3690),
    [sym_null] = ACTIONS(3690),
    [sym_undefined] = ACTIONS(3690),
    [anon_sym_AT] = ACTIONS(3690),
    [anon_sym_static] = ACTIONS(3690),
    [anon_sym_readonly] = ACTIONS(3690),
    [anon_sym_get] = ACTIONS(3690),
    [anon_sym_set] = ACTIONS(3690),
    [anon_sym_declare] = ACTIONS(3690),
    [anon_sym_public] = ACTIONS(3690),
    [anon_sym_private] = ACTIONS(3690),
    [anon_sym_protected] = ACTIONS(3690),
    [anon_sym_override] = ACTIONS(3690),
    [anon_sym_module] = ACTIONS(3690),
    [anon_sym_any] = ACTIONS(3690),
    [anon_sym_number] = ACTIONS(3690),
    [anon_sym_boolean] = ACTIONS(3690),
    [anon_sym_string] = ACTIONS(3690),
    [anon_sym_symbol] = ACTIONS(3690),
    [anon_sym_object] = ACTIONS(3690),
    [anon_sym_property] = ACTIONS(3690),
    [anon_sym_signal] = ACTIONS(3690),
    [anon_sym_on] = ACTIONS(3690),
    [anon_sym_required] = ACTIONS(3690),
    [anon_sym_component] = ACTIONS(3690),
    [anon_sym_abstract] = ACTIONS(3690),
    [anon_sym_interface] = ACTIONS(3690),
    [anon_sym_enum] = ACTIONS(3690),
    [sym_html_comment] = ACTIONS(5),
  },
  [1486] = {
    [sym_comment] = STATE(1486),
    [sym_identifier] = ACTIONS(3428),
    [anon_sym_export] = ACTIONS(3428),
    [anon_sym_type] = ACTIONS(3428),
    [anon_sym_namespace] = ACTIONS(3428),
    [anon_sym_LBRACE] = ACTIONS(3428),
    [anon_sym_RBRACE] = ACTIONS(3428),
    [anon_sym_typeof] = ACTIONS(3428),
    [anon_sym_import] = ACTIONS(3428),
    [anon_sym_from] = ACTIONS(3428),
    [anon_sym_with] = ACTIONS(3428),
    [anon_sym_var] = ACTIONS(3428),
    [anon_sym_let] = ACTIONS(3428),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_BANG] = ACTIONS(3428),
    [anon_sym_if] = ACTIONS(3428),
    [anon_sym_switch] = ACTIONS(3428),
    [anon_sym_for] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3428),
    [anon_sym_await] = ACTIONS(3428),
    [anon_sym_of] = ACTIONS(3428),
    [anon_sym_while] = ACTIONS(3428),
    [anon_sym_do] = ACTIONS(3428),
    [anon_sym_try] = ACTIONS(3428),
    [anon_sym_break] = ACTIONS(3428),
    [anon_sym_continue] = ACTIONS(3428),
    [anon_sym_debugger] = ACTIONS(3428),
    [anon_sym_return] = ACTIONS(3428),
    [anon_sym_throw] = ACTIONS(3428),
    [anon_sym_SEMI] = ACTIONS(3428),
    [anon_sym_yield] = ACTIONS(3428),
    [anon_sym_LBRACK] = ACTIONS(3428),
    [anon_sym_LTtemplate_GT] = ACTIONS(3428),
    [anon_sym_DQUOTE] = ACTIONS(3428),
    [anon_sym_SQUOTE] = ACTIONS(3428),
    [anon_sym_class] = ACTIONS(3428),
    [anon_sym_async] = ACTIONS(3428),
    [anon_sym_function] = ACTIONS(3428),
    [anon_sym_new] = ACTIONS(3428),
    [anon_sym_using] = ACTIONS(3428),
    [anon_sym_PLUS] = ACTIONS(3428),
    [anon_sym_DASH] = ACTIONS(3428),
    [anon_sym_SLASH] = ACTIONS(3428),
    [anon_sym_LT] = ACTIONS(3428),
    [anon_sym_TILDE] = ACTIONS(3428),
    [anon_sym_void] = ACTIONS(3428),
    [anon_sym_delete] = ACTIONS(3428),
    [anon_sym_PLUS_PLUS] = ACTIONS(3428),
    [anon_sym_DASH_DASH] = ACTIONS(3428),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3428),
    [sym_number] = ACTIONS(3428),
    [sym_private_property_identifier] = ACTIONS(3428),
    [sym_this] = ACTIONS(3428),
    [sym_super] = ACTIONS(3428),
    [sym_true] = ACTIONS(3428),
    [sym_false] = ACTIONS(3428),
    [sym_null] = ACTIONS(3428),
    [sym_undefined] = ACTIONS(3428),
    [anon_sym_AT] = ACTIONS(3428),
    [anon_sym_static] = ACTIONS(3428),
    [anon_sym_readonly] = ACTIONS(3428),
    [anon_sym_get] = ACTIONS(3428),
    [anon_sym_set] = ACTIONS(3428),
    [anon_sym_declare] = ACTIONS(3428),
    [anon_sym_public] = ACTIONS(3428),
    [anon_sym_private] = ACTIONS(3428),
    [anon_sym_protected] = ACTIONS(3428),
    [anon_sym_override] = ACTIONS(3428),
    [anon_sym_module] = ACTIONS(3428),
    [anon_sym_any] = ACTIONS(3428),
    [anon_sym_number] = ACTIONS(3428),
    [anon_sym_boolean] = ACTIONS(3428),
    [anon_sym_string] = ACTIONS(3428),
    [anon_sym_symbol] = ACTIONS(3428),
    [anon_sym_object] = ACTIONS(3428),
    [anon_sym_property] = ACTIONS(3428),
    [anon_sym_signal] = ACTIONS(3428),
    [anon_sym_on] = ACTIONS(3428),
    [anon_sym_required] = ACTIONS(3428),
    [anon_sym_component] = ACTIONS(3428),
    [anon_sym_abstract] = ACTIONS(3428),
    [anon_sym_interface] = ACTIONS(3428),
    [anon_sym_enum] = ACTIONS(3428),
    [sym__automatic_semicolon] = ACTIONS(3430),
    [sym_html_comment] = ACTIONS(5),
  },
  [1487] = {
    [sym_comment] = STATE(1487),
    [sym_identifier] = ACTIONS(2466),
    [anon_sym_export] = ACTIONS(2466),
    [anon_sym_type] = ACTIONS(2466),
    [anon_sym_namespace] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_typeof] = ACTIONS(2466),
    [anon_sym_import] = ACTIONS(2466),
    [anon_sym_from] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2466),
    [anon_sym_var] = ACTIONS(2466),
    [anon_sym_let] = ACTIONS(2466),
    [anon_sym_const] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_else] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_switch] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2466),
    [anon_sym_of] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2466),
    [anon_sym_do] = ACTIONS(2466),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_break] = ACTIONS(2466),
    [anon_sym_continue] = ACTIONS(2466),
    [anon_sym_debugger] = ACTIONS(2466),
    [anon_sym_return] = ACTIONS(2466),
    [anon_sym_throw] = ACTIONS(2466),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2466),
    [anon_sym_LTtemplate_GT] = ACTIONS(2466),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_class] = ACTIONS(2466),
    [anon_sym_async] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_using] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_void] = ACTIONS(2466),
    [anon_sym_delete] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2466),
    [sym_number] = ACTIONS(2466),
    [sym_private_property_identifier] = ACTIONS(2466),
    [sym_this] = ACTIONS(2466),
    [sym_super] = ACTIONS(2466),
    [sym_true] = ACTIONS(2466),
    [sym_false] = ACTIONS(2466),
    [sym_null] = ACTIONS(2466),
    [sym_undefined] = ACTIONS(2466),
    [anon_sym_AT] = ACTIONS(2466),
    [anon_sym_static] = ACTIONS(2466),
    [anon_sym_readonly] = ACTIONS(2466),
    [anon_sym_get] = ACTIONS(2466),
    [anon_sym_set] = ACTIONS(2466),
    [anon_sym_declare] = ACTIONS(2466),
    [anon_sym_public] = ACTIONS(2466),
    [anon_sym_private] = ACTIONS(2466),
    [anon_sym_protected] = ACTIONS(2466),
    [anon_sym_override] = ACTIONS(2466),
    [anon_sym_module] = ACTIONS(2466),
    [anon_sym_any] = ACTIONS(2466),
    [anon_sym_number] = ACTIONS(2466),
    [anon_sym_boolean] = ACTIONS(2466),
    [anon_sym_string] = ACTIONS(2466),
    [anon_sym_symbol] = ACTIONS(2466),
    [anon_sym_object] = ACTIONS(2466),
    [anon_sym_property] = ACTIONS(2466),
    [anon_sym_signal] = ACTIONS(2466),
    [anon_sym_on] = ACTIONS(2466),
    [anon_sym_required] = ACTIONS(2466),
    [anon_sym_component] = ACTIONS(2466),
    [anon_sym_abstract] = ACTIONS(2466),
    [anon_sym_interface] = ACTIONS(2466),
    [anon_sym_enum] = ACTIONS(2466),
    [sym_html_comment] = ACTIONS(5),
  },
  [1488] = {
    [sym_comment] = STATE(1488),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym__automatic_semicolon] = ACTIONS(2352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1489] = {
    [sym_comment] = STATE(1489),
    [sym_identifier] = ACTIONS(3668),
    [anon_sym_export] = ACTIONS(3668),
    [anon_sym_type] = ACTIONS(3668),
    [anon_sym_namespace] = ACTIONS(3668),
    [anon_sym_LBRACE] = ACTIONS(3668),
    [anon_sym_RBRACE] = ACTIONS(3668),
    [anon_sym_typeof] = ACTIONS(3668),
    [anon_sym_import] = ACTIONS(3668),
    [anon_sym_from] = ACTIONS(3668),
    [anon_sym_with] = ACTIONS(3668),
    [anon_sym_var] = ACTIONS(3668),
    [anon_sym_let] = ACTIONS(3668),
    [anon_sym_const] = ACTIONS(3668),
    [anon_sym_BANG] = ACTIONS(3668),
    [anon_sym_else] = ACTIONS(3668),
    [anon_sym_if] = ACTIONS(3668),
    [anon_sym_switch] = ACTIONS(3668),
    [anon_sym_for] = ACTIONS(3668),
    [anon_sym_LPAREN] = ACTIONS(3668),
    [anon_sym_await] = ACTIONS(3668),
    [anon_sym_of] = ACTIONS(3668),
    [anon_sym_while] = ACTIONS(3668),
    [anon_sym_do] = ACTIONS(3668),
    [anon_sym_try] = ACTIONS(3668),
    [anon_sym_break] = ACTIONS(3668),
    [anon_sym_continue] = ACTIONS(3668),
    [anon_sym_debugger] = ACTIONS(3668),
    [anon_sym_return] = ACTIONS(3668),
    [anon_sym_throw] = ACTIONS(3668),
    [anon_sym_SEMI] = ACTIONS(3668),
    [anon_sym_yield] = ACTIONS(3668),
    [anon_sym_LBRACK] = ACTIONS(3668),
    [anon_sym_LTtemplate_GT] = ACTIONS(3668),
    [anon_sym_DQUOTE] = ACTIONS(3668),
    [anon_sym_SQUOTE] = ACTIONS(3668),
    [anon_sym_class] = ACTIONS(3668),
    [anon_sym_async] = ACTIONS(3668),
    [anon_sym_function] = ACTIONS(3668),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_using] = ACTIONS(3668),
    [anon_sym_PLUS] = ACTIONS(3668),
    [anon_sym_DASH] = ACTIONS(3668),
    [anon_sym_SLASH] = ACTIONS(3668),
    [anon_sym_LT] = ACTIONS(3668),
    [anon_sym_TILDE] = ACTIONS(3668),
    [anon_sym_void] = ACTIONS(3668),
    [anon_sym_delete] = ACTIONS(3668),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3668),
    [sym_number] = ACTIONS(3668),
    [sym_private_property_identifier] = ACTIONS(3668),
    [sym_this] = ACTIONS(3668),
    [sym_super] = ACTIONS(3668),
    [sym_true] = ACTIONS(3668),
    [sym_false] = ACTIONS(3668),
    [sym_null] = ACTIONS(3668),
    [sym_undefined] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(3668),
    [anon_sym_static] = ACTIONS(3668),
    [anon_sym_readonly] = ACTIONS(3668),
    [anon_sym_get] = ACTIONS(3668),
    [anon_sym_set] = ACTIONS(3668),
    [anon_sym_declare] = ACTIONS(3668),
    [anon_sym_public] = ACTIONS(3668),
    [anon_sym_private] = ACTIONS(3668),
    [anon_sym_protected] = ACTIONS(3668),
    [anon_sym_override] = ACTIONS(3668),
    [anon_sym_module] = ACTIONS(3668),
    [anon_sym_any] = ACTIONS(3668),
    [anon_sym_number] = ACTIONS(3668),
    [anon_sym_boolean] = ACTIONS(3668),
    [anon_sym_string] = ACTIONS(3668),
    [anon_sym_symbol] = ACTIONS(3668),
    [anon_sym_object] = ACTIONS(3668),
    [anon_sym_property] = ACTIONS(3668),
    [anon_sym_signal] = ACTIONS(3668),
    [anon_sym_on] = ACTIONS(3668),
    [anon_sym_required] = ACTIONS(3668),
    [anon_sym_component] = ACTIONS(3668),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_interface] = ACTIONS(3668),
    [anon_sym_enum] = ACTIONS(3668),
    [sym_html_comment] = ACTIONS(5),
  },
  [1490] = {
    [sym_comment] = STATE(1490),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(2336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1491] = {
    [sym_comment] = STATE(1491),
    [sym_identifier] = ACTIONS(3526),
    [anon_sym_export] = ACTIONS(3526),
    [anon_sym_type] = ACTIONS(3526),
    [anon_sym_namespace] = ACTIONS(3526),
    [anon_sym_LBRACE] = ACTIONS(3526),
    [anon_sym_RBRACE] = ACTIONS(3526),
    [anon_sym_typeof] = ACTIONS(3526),
    [anon_sym_import] = ACTIONS(3526),
    [anon_sym_from] = ACTIONS(3526),
    [anon_sym_with] = ACTIONS(3526),
    [anon_sym_var] = ACTIONS(3526),
    [anon_sym_let] = ACTIONS(3526),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_else] = ACTIONS(3526),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(3526),
    [anon_sym_for] = ACTIONS(3526),
    [anon_sym_LPAREN] = ACTIONS(3526),
    [anon_sym_await] = ACTIONS(3526),
    [anon_sym_of] = ACTIONS(3526),
    [anon_sym_while] = ACTIONS(3526),
    [anon_sym_do] = ACTIONS(3526),
    [anon_sym_try] = ACTIONS(3526),
    [anon_sym_break] = ACTIONS(3526),
    [anon_sym_continue] = ACTIONS(3526),
    [anon_sym_debugger] = ACTIONS(3526),
    [anon_sym_return] = ACTIONS(3526),
    [anon_sym_throw] = ACTIONS(3526),
    [anon_sym_SEMI] = ACTIONS(3526),
    [anon_sym_yield] = ACTIONS(3526),
    [anon_sym_LBRACK] = ACTIONS(3526),
    [anon_sym_LTtemplate_GT] = ACTIONS(3526),
    [anon_sym_DQUOTE] = ACTIONS(3526),
    [anon_sym_SQUOTE] = ACTIONS(3526),
    [anon_sym_class] = ACTIONS(3526),
    [anon_sym_async] = ACTIONS(3526),
    [anon_sym_function] = ACTIONS(3526),
    [anon_sym_new] = ACTIONS(3526),
    [anon_sym_using] = ACTIONS(3526),
    [anon_sym_PLUS] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3526),
    [anon_sym_SLASH] = ACTIONS(3526),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_void] = ACTIONS(3526),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_PLUS_PLUS] = ACTIONS(3526),
    [anon_sym_DASH_DASH] = ACTIONS(3526),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3526),
    [sym_number] = ACTIONS(3526),
    [sym_private_property_identifier] = ACTIONS(3526),
    [sym_this] = ACTIONS(3526),
    [sym_super] = ACTIONS(3526),
    [sym_true] = ACTIONS(3526),
    [sym_false] = ACTIONS(3526),
    [sym_null] = ACTIONS(3526),
    [sym_undefined] = ACTIONS(3526),
    [anon_sym_AT] = ACTIONS(3526),
    [anon_sym_static] = ACTIONS(3526),
    [anon_sym_readonly] = ACTIONS(3526),
    [anon_sym_get] = ACTIONS(3526),
    [anon_sym_set] = ACTIONS(3526),
    [anon_sym_declare] = ACTIONS(3526),
    [anon_sym_public] = ACTIONS(3526),
    [anon_sym_private] = ACTIONS(3526),
    [anon_sym_protected] = ACTIONS(3526),
    [anon_sym_override] = ACTIONS(3526),
    [anon_sym_module] = ACTIONS(3526),
    [anon_sym_any] = ACTIONS(3526),
    [anon_sym_number] = ACTIONS(3526),
    [anon_sym_boolean] = ACTIONS(3526),
    [anon_sym_string] = ACTIONS(3526),
    [anon_sym_symbol] = ACTIONS(3526),
    [anon_sym_object] = ACTIONS(3526),
    [anon_sym_property] = ACTIONS(3526),
    [anon_sym_signal] = ACTIONS(3526),
    [anon_sym_on] = ACTIONS(3526),
    [anon_sym_required] = ACTIONS(3526),
    [anon_sym_component] = ACTIONS(3526),
    [anon_sym_abstract] = ACTIONS(3526),
    [anon_sym_interface] = ACTIONS(3526),
    [anon_sym_enum] = ACTIONS(3526),
    [sym_html_comment] = ACTIONS(5),
  },
  [1492] = {
    [sym_comment] = STATE(1492),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_type] = ACTIONS(3532),
    [anon_sym_namespace] = ACTIONS(3532),
    [anon_sym_LBRACE] = ACTIONS(3532),
    [anon_sym_RBRACE] = ACTIONS(3532),
    [anon_sym_typeof] = ACTIONS(3532),
    [anon_sym_import] = ACTIONS(3532),
    [anon_sym_from] = ACTIONS(3532),
    [anon_sym_with] = ACTIONS(3532),
    [anon_sym_var] = ACTIONS(3532),
    [anon_sym_let] = ACTIONS(3532),
    [anon_sym_const] = ACTIONS(3532),
    [anon_sym_BANG] = ACTIONS(3532),
    [anon_sym_else] = ACTIONS(3532),
    [anon_sym_if] = ACTIONS(3532),
    [anon_sym_switch] = ACTIONS(3532),
    [anon_sym_for] = ACTIONS(3532),
    [anon_sym_LPAREN] = ACTIONS(3532),
    [anon_sym_await] = ACTIONS(3532),
    [anon_sym_of] = ACTIONS(3532),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(3532),
    [anon_sym_try] = ACTIONS(3532),
    [anon_sym_break] = ACTIONS(3532),
    [anon_sym_continue] = ACTIONS(3532),
    [anon_sym_debugger] = ACTIONS(3532),
    [anon_sym_return] = ACTIONS(3532),
    [anon_sym_throw] = ACTIONS(3532),
    [anon_sym_SEMI] = ACTIONS(3532),
    [anon_sym_yield] = ACTIONS(3532),
    [anon_sym_LBRACK] = ACTIONS(3532),
    [anon_sym_LTtemplate_GT] = ACTIONS(3532),
    [anon_sym_DQUOTE] = ACTIONS(3532),
    [anon_sym_SQUOTE] = ACTIONS(3532),
    [anon_sym_class] = ACTIONS(3532),
    [anon_sym_async] = ACTIONS(3532),
    [anon_sym_function] = ACTIONS(3532),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_using] = ACTIONS(3532),
    [anon_sym_PLUS] = ACTIONS(3532),
    [anon_sym_DASH] = ACTIONS(3532),
    [anon_sym_SLASH] = ACTIONS(3532),
    [anon_sym_LT] = ACTIONS(3532),
    [anon_sym_TILDE] = ACTIONS(3532),
    [anon_sym_void] = ACTIONS(3532),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_PLUS_PLUS] = ACTIONS(3532),
    [anon_sym_DASH_DASH] = ACTIONS(3532),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3532),
    [sym_number] = ACTIONS(3532),
    [sym_private_property_identifier] = ACTIONS(3532),
    [sym_this] = ACTIONS(3532),
    [sym_super] = ACTIONS(3532),
    [sym_true] = ACTIONS(3532),
    [sym_false] = ACTIONS(3532),
    [sym_null] = ACTIONS(3532),
    [sym_undefined] = ACTIONS(3532),
    [anon_sym_AT] = ACTIONS(3532),
    [anon_sym_static] = ACTIONS(3532),
    [anon_sym_readonly] = ACTIONS(3532),
    [anon_sym_get] = ACTIONS(3532),
    [anon_sym_set] = ACTIONS(3532),
    [anon_sym_declare] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3532),
    [anon_sym_private] = ACTIONS(3532),
    [anon_sym_protected] = ACTIONS(3532),
    [anon_sym_override] = ACTIONS(3532),
    [anon_sym_module] = ACTIONS(3532),
    [anon_sym_any] = ACTIONS(3532),
    [anon_sym_number] = ACTIONS(3532),
    [anon_sym_boolean] = ACTIONS(3532),
    [anon_sym_string] = ACTIONS(3532),
    [anon_sym_symbol] = ACTIONS(3532),
    [anon_sym_object] = ACTIONS(3532),
    [anon_sym_property] = ACTIONS(3532),
    [anon_sym_signal] = ACTIONS(3532),
    [anon_sym_on] = ACTIONS(3532),
    [anon_sym_required] = ACTIONS(3532),
    [anon_sym_component] = ACTIONS(3532),
    [anon_sym_abstract] = ACTIONS(3532),
    [anon_sym_interface] = ACTIONS(3532),
    [anon_sym_enum] = ACTIONS(3532),
    [sym_html_comment] = ACTIONS(5),
  },
  [1493] = {
    [sym_comment] = STATE(1493),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_export] = ACTIONS(3558),
    [anon_sym_type] = ACTIONS(3558),
    [anon_sym_namespace] = ACTIONS(3558),
    [anon_sym_LBRACE] = ACTIONS(3558),
    [anon_sym_RBRACE] = ACTIONS(3558),
    [anon_sym_typeof] = ACTIONS(3558),
    [anon_sym_import] = ACTIONS(3558),
    [anon_sym_from] = ACTIONS(3558),
    [anon_sym_with] = ACTIONS(3558),
    [anon_sym_var] = ACTIONS(3558),
    [anon_sym_let] = ACTIONS(3558),
    [anon_sym_const] = ACTIONS(3558),
    [anon_sym_BANG] = ACTIONS(3558),
    [anon_sym_else] = ACTIONS(3558),
    [anon_sym_if] = ACTIONS(3558),
    [anon_sym_switch] = ACTIONS(3558),
    [anon_sym_for] = ACTIONS(3558),
    [anon_sym_LPAREN] = ACTIONS(3558),
    [anon_sym_await] = ACTIONS(3558),
    [anon_sym_of] = ACTIONS(3558),
    [anon_sym_while] = ACTIONS(3558),
    [anon_sym_do] = ACTIONS(3558),
    [anon_sym_try] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3558),
    [anon_sym_continue] = ACTIONS(3558),
    [anon_sym_debugger] = ACTIONS(3558),
    [anon_sym_return] = ACTIONS(3558),
    [anon_sym_throw] = ACTIONS(3558),
    [anon_sym_SEMI] = ACTIONS(3558),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_LBRACK] = ACTIONS(3558),
    [anon_sym_LTtemplate_GT] = ACTIONS(3558),
    [anon_sym_DQUOTE] = ACTIONS(3558),
    [anon_sym_SQUOTE] = ACTIONS(3558),
    [anon_sym_class] = ACTIONS(3558),
    [anon_sym_async] = ACTIONS(3558),
    [anon_sym_function] = ACTIONS(3558),
    [anon_sym_new] = ACTIONS(3558),
    [anon_sym_using] = ACTIONS(3558),
    [anon_sym_PLUS] = ACTIONS(3558),
    [anon_sym_DASH] = ACTIONS(3558),
    [anon_sym_SLASH] = ACTIONS(3558),
    [anon_sym_LT] = ACTIONS(3558),
    [anon_sym_TILDE] = ACTIONS(3558),
    [anon_sym_void] = ACTIONS(3558),
    [anon_sym_delete] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3558),
    [sym_number] = ACTIONS(3558),
    [sym_private_property_identifier] = ACTIONS(3558),
    [sym_this] = ACTIONS(3558),
    [sym_super] = ACTIONS(3558),
    [sym_true] = ACTIONS(3558),
    [sym_false] = ACTIONS(3558),
    [sym_null] = ACTIONS(3558),
    [sym_undefined] = ACTIONS(3558),
    [anon_sym_AT] = ACTIONS(3558),
    [anon_sym_static] = ACTIONS(3558),
    [anon_sym_readonly] = ACTIONS(3558),
    [anon_sym_get] = ACTIONS(3558),
    [anon_sym_set] = ACTIONS(3558),
    [anon_sym_declare] = ACTIONS(3558),
    [anon_sym_public] = ACTIONS(3558),
    [anon_sym_private] = ACTIONS(3558),
    [anon_sym_protected] = ACTIONS(3558),
    [anon_sym_override] = ACTIONS(3558),
    [anon_sym_module] = ACTIONS(3558),
    [anon_sym_any] = ACTIONS(3558),
    [anon_sym_number] = ACTIONS(3558),
    [anon_sym_boolean] = ACTIONS(3558),
    [anon_sym_string] = ACTIONS(3558),
    [anon_sym_symbol] = ACTIONS(3558),
    [anon_sym_object] = ACTIONS(3558),
    [anon_sym_property] = ACTIONS(3558),
    [anon_sym_signal] = ACTIONS(3558),
    [anon_sym_on] = ACTIONS(3558),
    [anon_sym_required] = ACTIONS(3558),
    [anon_sym_component] = ACTIONS(3558),
    [anon_sym_abstract] = ACTIONS(3558),
    [anon_sym_interface] = ACTIONS(3558),
    [anon_sym_enum] = ACTIONS(3558),
    [sym_html_comment] = ACTIONS(5),
  },
  [1494] = {
    [sym_comment] = STATE(1494),
    [sym_identifier] = ACTIONS(3660),
    [anon_sym_export] = ACTIONS(3660),
    [anon_sym_type] = ACTIONS(3660),
    [anon_sym_namespace] = ACTIONS(3660),
    [anon_sym_LBRACE] = ACTIONS(3660),
    [anon_sym_RBRACE] = ACTIONS(3660),
    [anon_sym_typeof] = ACTIONS(3660),
    [anon_sym_import] = ACTIONS(3660),
    [anon_sym_from] = ACTIONS(3660),
    [anon_sym_with] = ACTIONS(3660),
    [anon_sym_var] = ACTIONS(3660),
    [anon_sym_let] = ACTIONS(3660),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_BANG] = ACTIONS(3660),
    [anon_sym_else] = ACTIONS(3660),
    [anon_sym_if] = ACTIONS(3660),
    [anon_sym_switch] = ACTIONS(3660),
    [anon_sym_for] = ACTIONS(3660),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_await] = ACTIONS(3660),
    [anon_sym_of] = ACTIONS(3660),
    [anon_sym_while] = ACTIONS(3660),
    [anon_sym_do] = ACTIONS(3660),
    [anon_sym_try] = ACTIONS(3660),
    [anon_sym_break] = ACTIONS(3660),
    [anon_sym_continue] = ACTIONS(3660),
    [anon_sym_debugger] = ACTIONS(3660),
    [anon_sym_return] = ACTIONS(3660),
    [anon_sym_throw] = ACTIONS(3660),
    [anon_sym_SEMI] = ACTIONS(3660),
    [anon_sym_yield] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3660),
    [anon_sym_LTtemplate_GT] = ACTIONS(3660),
    [anon_sym_DQUOTE] = ACTIONS(3660),
    [anon_sym_SQUOTE] = ACTIONS(3660),
    [anon_sym_class] = ACTIONS(3660),
    [anon_sym_async] = ACTIONS(3660),
    [anon_sym_function] = ACTIONS(3660),
    [anon_sym_new] = ACTIONS(3660),
    [anon_sym_using] = ACTIONS(3660),
    [anon_sym_PLUS] = ACTIONS(3660),
    [anon_sym_DASH] = ACTIONS(3660),
    [anon_sym_SLASH] = ACTIONS(3660),
    [anon_sym_LT] = ACTIONS(3660),
    [anon_sym_TILDE] = ACTIONS(3660),
    [anon_sym_void] = ACTIONS(3660),
    [anon_sym_delete] = ACTIONS(3660),
    [anon_sym_PLUS_PLUS] = ACTIONS(3660),
    [anon_sym_DASH_DASH] = ACTIONS(3660),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3660),
    [sym_number] = ACTIONS(3660),
    [sym_private_property_identifier] = ACTIONS(3660),
    [sym_this] = ACTIONS(3660),
    [sym_super] = ACTIONS(3660),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_AT] = ACTIONS(3660),
    [anon_sym_static] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3660),
    [anon_sym_get] = ACTIONS(3660),
    [anon_sym_set] = ACTIONS(3660),
    [anon_sym_declare] = ACTIONS(3660),
    [anon_sym_public] = ACTIONS(3660),
    [anon_sym_private] = ACTIONS(3660),
    [anon_sym_protected] = ACTIONS(3660),
    [anon_sym_override] = ACTIONS(3660),
    [anon_sym_module] = ACTIONS(3660),
    [anon_sym_any] = ACTIONS(3660),
    [anon_sym_number] = ACTIONS(3660),
    [anon_sym_boolean] = ACTIONS(3660),
    [anon_sym_string] = ACTIONS(3660),
    [anon_sym_symbol] = ACTIONS(3660),
    [anon_sym_object] = ACTIONS(3660),
    [anon_sym_property] = ACTIONS(3660),
    [anon_sym_signal] = ACTIONS(3660),
    [anon_sym_on] = ACTIONS(3660),
    [anon_sym_required] = ACTIONS(3660),
    [anon_sym_component] = ACTIONS(3660),
    [anon_sym_abstract] = ACTIONS(3660),
    [anon_sym_interface] = ACTIONS(3660),
    [anon_sym_enum] = ACTIONS(3660),
    [sym_html_comment] = ACTIONS(5),
  },
  [1495] = {
    [sym_comment] = STATE(1495),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(3732),
    [sym_html_comment] = ACTIONS(5),
  },
  [1496] = {
    [sym_comment] = STATE(1496),
    [sym_identifier] = ACTIONS(3658),
    [anon_sym_export] = ACTIONS(3658),
    [anon_sym_type] = ACTIONS(3658),
    [anon_sym_namespace] = ACTIONS(3658),
    [anon_sym_LBRACE] = ACTIONS(3658),
    [anon_sym_RBRACE] = ACTIONS(3658),
    [anon_sym_typeof] = ACTIONS(3658),
    [anon_sym_import] = ACTIONS(3658),
    [anon_sym_from] = ACTIONS(3658),
    [anon_sym_with] = ACTIONS(3658),
    [anon_sym_var] = ACTIONS(3658),
    [anon_sym_let] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_BANG] = ACTIONS(3658),
    [anon_sym_else] = ACTIONS(3658),
    [anon_sym_if] = ACTIONS(3658),
    [anon_sym_switch] = ACTIONS(3658),
    [anon_sym_for] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3658),
    [anon_sym_await] = ACTIONS(3658),
    [anon_sym_of] = ACTIONS(3658),
    [anon_sym_while] = ACTIONS(3658),
    [anon_sym_do] = ACTIONS(3658),
    [anon_sym_try] = ACTIONS(3658),
    [anon_sym_break] = ACTIONS(3658),
    [anon_sym_continue] = ACTIONS(3658),
    [anon_sym_debugger] = ACTIONS(3658),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_throw] = ACTIONS(3658),
    [anon_sym_SEMI] = ACTIONS(3658),
    [anon_sym_yield] = ACTIONS(3658),
    [anon_sym_LBRACK] = ACTIONS(3658),
    [anon_sym_LTtemplate_GT] = ACTIONS(3658),
    [anon_sym_DQUOTE] = ACTIONS(3658),
    [anon_sym_SQUOTE] = ACTIONS(3658),
    [anon_sym_class] = ACTIONS(3658),
    [anon_sym_async] = ACTIONS(3658),
    [anon_sym_function] = ACTIONS(3658),
    [anon_sym_new] = ACTIONS(3658),
    [anon_sym_using] = ACTIONS(3658),
    [anon_sym_PLUS] = ACTIONS(3658),
    [anon_sym_DASH] = ACTIONS(3658),
    [anon_sym_SLASH] = ACTIONS(3658),
    [anon_sym_LT] = ACTIONS(3658),
    [anon_sym_TILDE] = ACTIONS(3658),
    [anon_sym_void] = ACTIONS(3658),
    [anon_sym_delete] = ACTIONS(3658),
    [anon_sym_PLUS_PLUS] = ACTIONS(3658),
    [anon_sym_DASH_DASH] = ACTIONS(3658),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3658),
    [sym_private_property_identifier] = ACTIONS(3658),
    [sym_this] = ACTIONS(3658),
    [sym_super] = ACTIONS(3658),
    [sym_true] = ACTIONS(3658),
    [sym_false] = ACTIONS(3658),
    [sym_null] = ACTIONS(3658),
    [sym_undefined] = ACTIONS(3658),
    [anon_sym_AT] = ACTIONS(3658),
    [anon_sym_static] = ACTIONS(3658),
    [anon_sym_readonly] = ACTIONS(3658),
    [anon_sym_get] = ACTIONS(3658),
    [anon_sym_set] = ACTIONS(3658),
    [anon_sym_declare] = ACTIONS(3658),
    [anon_sym_public] = ACTIONS(3658),
    [anon_sym_private] = ACTIONS(3658),
    [anon_sym_protected] = ACTIONS(3658),
    [anon_sym_override] = ACTIONS(3658),
    [anon_sym_module] = ACTIONS(3658),
    [anon_sym_any] = ACTIONS(3658),
    [anon_sym_number] = ACTIONS(3658),
    [anon_sym_boolean] = ACTIONS(3658),
    [anon_sym_string] = ACTIONS(3658),
    [anon_sym_symbol] = ACTIONS(3658),
    [anon_sym_object] = ACTIONS(3658),
    [anon_sym_property] = ACTIONS(3658),
    [anon_sym_signal] = ACTIONS(3658),
    [anon_sym_on] = ACTIONS(3658),
    [anon_sym_required] = ACTIONS(3658),
    [anon_sym_component] = ACTIONS(3658),
    [anon_sym_abstract] = ACTIONS(3658),
    [anon_sym_interface] = ACTIONS(3658),
    [anon_sym_enum] = ACTIONS(3658),
    [sym_html_comment] = ACTIONS(5),
  },
  [1497] = {
    [sym_comment] = STATE(1497),
    [sym_identifier] = ACTIONS(3654),
    [anon_sym_export] = ACTIONS(3654),
    [anon_sym_type] = ACTIONS(3654),
    [anon_sym_namespace] = ACTIONS(3654),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_RBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3654),
    [anon_sym_import] = ACTIONS(3654),
    [anon_sym_from] = ACTIONS(3654),
    [anon_sym_with] = ACTIONS(3654),
    [anon_sym_var] = ACTIONS(3654),
    [anon_sym_let] = ACTIONS(3654),
    [anon_sym_const] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_else] = ACTIONS(3654),
    [anon_sym_if] = ACTIONS(3654),
    [anon_sym_switch] = ACTIONS(3654),
    [anon_sym_for] = ACTIONS(3654),
    [anon_sym_LPAREN] = ACTIONS(3654),
    [anon_sym_await] = ACTIONS(3654),
    [anon_sym_of] = ACTIONS(3654),
    [anon_sym_while] = ACTIONS(3654),
    [anon_sym_do] = ACTIONS(3654),
    [anon_sym_try] = ACTIONS(3654),
    [anon_sym_break] = ACTIONS(3654),
    [anon_sym_continue] = ACTIONS(3654),
    [anon_sym_debugger] = ACTIONS(3654),
    [anon_sym_return] = ACTIONS(3654),
    [anon_sym_throw] = ACTIONS(3654),
    [anon_sym_SEMI] = ACTIONS(3654),
    [anon_sym_yield] = ACTIONS(3654),
    [anon_sym_LBRACK] = ACTIONS(3654),
    [anon_sym_LTtemplate_GT] = ACTIONS(3654),
    [anon_sym_DQUOTE] = ACTIONS(3654),
    [anon_sym_SQUOTE] = ACTIONS(3654),
    [anon_sym_class] = ACTIONS(3654),
    [anon_sym_async] = ACTIONS(3654),
    [anon_sym_function] = ACTIONS(3654),
    [anon_sym_new] = ACTIONS(3654),
    [anon_sym_using] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_SLASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_TILDE] = ACTIONS(3654),
    [anon_sym_void] = ACTIONS(3654),
    [anon_sym_delete] = ACTIONS(3654),
    [anon_sym_PLUS_PLUS] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(3654),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3654),
    [sym_number] = ACTIONS(3654),
    [sym_private_property_identifier] = ACTIONS(3654),
    [sym_this] = ACTIONS(3654),
    [sym_super] = ACTIONS(3654),
    [sym_true] = ACTIONS(3654),
    [sym_false] = ACTIONS(3654),
    [sym_null] = ACTIONS(3654),
    [sym_undefined] = ACTIONS(3654),
    [anon_sym_AT] = ACTIONS(3654),
    [anon_sym_static] = ACTIONS(3654),
    [anon_sym_readonly] = ACTIONS(3654),
    [anon_sym_get] = ACTIONS(3654),
    [anon_sym_set] = ACTIONS(3654),
    [anon_sym_declare] = ACTIONS(3654),
    [anon_sym_public] = ACTIONS(3654),
    [anon_sym_private] = ACTIONS(3654),
    [anon_sym_protected] = ACTIONS(3654),
    [anon_sym_override] = ACTIONS(3654),
    [anon_sym_module] = ACTIONS(3654),
    [anon_sym_any] = ACTIONS(3654),
    [anon_sym_number] = ACTIONS(3654),
    [anon_sym_boolean] = ACTIONS(3654),
    [anon_sym_string] = ACTIONS(3654),
    [anon_sym_symbol] = ACTIONS(3654),
    [anon_sym_object] = ACTIONS(3654),
    [anon_sym_property] = ACTIONS(3654),
    [anon_sym_signal] = ACTIONS(3654),
    [anon_sym_on] = ACTIONS(3654),
    [anon_sym_required] = ACTIONS(3654),
    [anon_sym_component] = ACTIONS(3654),
    [anon_sym_abstract] = ACTIONS(3654),
    [anon_sym_interface] = ACTIONS(3654),
    [anon_sym_enum] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1498] = {
    [sym_comment] = STATE(1498),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_export] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2328),
    [anon_sym_namespace] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [anon_sym_typeof] = ACTIONS(2328),
    [anon_sym_import] = ACTIONS(2328),
    [anon_sym_from] = ACTIONS(2328),
    [anon_sym_with] = ACTIONS(2328),
    [anon_sym_var] = ACTIONS(2328),
    [anon_sym_let] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_else] = ACTIONS(2328),
    [anon_sym_if] = ACTIONS(2328),
    [anon_sym_switch] = ACTIONS(2328),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_of] = ACTIONS(2328),
    [anon_sym_while] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2328),
    [anon_sym_break] = ACTIONS(2328),
    [anon_sym_continue] = ACTIONS(2328),
    [anon_sym_debugger] = ACTIONS(2328),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym_yield] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_LTtemplate_GT] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_class] = ACTIONS(2328),
    [anon_sym_async] = ACTIONS(2328),
    [anon_sym_function] = ACTIONS(2328),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_using] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_void] = ACTIONS(2328),
    [anon_sym_delete] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2328),
    [sym_number] = ACTIONS(2328),
    [sym_private_property_identifier] = ACTIONS(2328),
    [sym_this] = ACTIONS(2328),
    [sym_super] = ACTIONS(2328),
    [sym_true] = ACTIONS(2328),
    [sym_false] = ACTIONS(2328),
    [sym_null] = ACTIONS(2328),
    [sym_undefined] = ACTIONS(2328),
    [anon_sym_AT] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2328),
    [anon_sym_readonly] = ACTIONS(2328),
    [anon_sym_get] = ACTIONS(2328),
    [anon_sym_set] = ACTIONS(2328),
    [anon_sym_declare] = ACTIONS(2328),
    [anon_sym_public] = ACTIONS(2328),
    [anon_sym_private] = ACTIONS(2328),
    [anon_sym_protected] = ACTIONS(2328),
    [anon_sym_override] = ACTIONS(2328),
    [anon_sym_module] = ACTIONS(2328),
    [anon_sym_any] = ACTIONS(2328),
    [anon_sym_number] = ACTIONS(2328),
    [anon_sym_boolean] = ACTIONS(2328),
    [anon_sym_string] = ACTIONS(2328),
    [anon_sym_symbol] = ACTIONS(2328),
    [anon_sym_object] = ACTIONS(2328),
    [anon_sym_property] = ACTIONS(2328),
    [anon_sym_signal] = ACTIONS(2328),
    [anon_sym_on] = ACTIONS(2328),
    [anon_sym_required] = ACTIONS(2328),
    [anon_sym_component] = ACTIONS(2328),
    [anon_sym_abstract] = ACTIONS(2328),
    [anon_sym_interface] = ACTIONS(2328),
    [anon_sym_enum] = ACTIONS(2328),
    [sym_html_comment] = ACTIONS(5),
  },
  [1499] = {
    [sym_comment] = STATE(1499),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_finally] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym_html_comment] = ACTIONS(5),
  },
  [1500] = {
    [sym_comment] = STATE(1500),
    [sym_identifier] = ACTIONS(3654),
    [anon_sym_export] = ACTIONS(3654),
    [anon_sym_type] = ACTIONS(3654),
    [anon_sym_namespace] = ACTIONS(3654),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_RBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3654),
    [anon_sym_import] = ACTIONS(3654),
    [anon_sym_from] = ACTIONS(3654),
    [anon_sym_with] = ACTIONS(3654),
    [anon_sym_var] = ACTIONS(3654),
    [anon_sym_let] = ACTIONS(3654),
    [anon_sym_const] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_else] = ACTIONS(3654),
    [anon_sym_if] = ACTIONS(3654),
    [anon_sym_switch] = ACTIONS(3654),
    [anon_sym_for] = ACTIONS(3654),
    [anon_sym_LPAREN] = ACTIONS(3654),
    [anon_sym_await] = ACTIONS(3654),
    [anon_sym_of] = ACTIONS(3654),
    [anon_sym_while] = ACTIONS(3654),
    [anon_sym_do] = ACTIONS(3654),
    [anon_sym_try] = ACTIONS(3654),
    [anon_sym_break] = ACTIONS(3654),
    [anon_sym_continue] = ACTIONS(3654),
    [anon_sym_debugger] = ACTIONS(3654),
    [anon_sym_return] = ACTIONS(3654),
    [anon_sym_throw] = ACTIONS(3654),
    [anon_sym_SEMI] = ACTIONS(3654),
    [anon_sym_yield] = ACTIONS(3654),
    [anon_sym_LBRACK] = ACTIONS(3654),
    [anon_sym_LTtemplate_GT] = ACTIONS(3654),
    [anon_sym_DQUOTE] = ACTIONS(3654),
    [anon_sym_SQUOTE] = ACTIONS(3654),
    [anon_sym_class] = ACTIONS(3654),
    [anon_sym_async] = ACTIONS(3654),
    [anon_sym_function] = ACTIONS(3654),
    [anon_sym_new] = ACTIONS(3654),
    [anon_sym_using] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_SLASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_TILDE] = ACTIONS(3654),
    [anon_sym_void] = ACTIONS(3654),
    [anon_sym_delete] = ACTIONS(3654),
    [anon_sym_PLUS_PLUS] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(3654),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3654),
    [sym_number] = ACTIONS(3654),
    [sym_private_property_identifier] = ACTIONS(3654),
    [sym_this] = ACTIONS(3654),
    [sym_super] = ACTIONS(3654),
    [sym_true] = ACTIONS(3654),
    [sym_false] = ACTIONS(3654),
    [sym_null] = ACTIONS(3654),
    [sym_undefined] = ACTIONS(3654),
    [anon_sym_AT] = ACTIONS(3654),
    [anon_sym_static] = ACTIONS(3654),
    [anon_sym_readonly] = ACTIONS(3654),
    [anon_sym_get] = ACTIONS(3654),
    [anon_sym_set] = ACTIONS(3654),
    [anon_sym_declare] = ACTIONS(3654),
    [anon_sym_public] = ACTIONS(3654),
    [anon_sym_private] = ACTIONS(3654),
    [anon_sym_protected] = ACTIONS(3654),
    [anon_sym_override] = ACTIONS(3654),
    [anon_sym_module] = ACTIONS(3654),
    [anon_sym_any] = ACTIONS(3654),
    [anon_sym_number] = ACTIONS(3654),
    [anon_sym_boolean] = ACTIONS(3654),
    [anon_sym_string] = ACTIONS(3654),
    [anon_sym_symbol] = ACTIONS(3654),
    [anon_sym_object] = ACTIONS(3654),
    [anon_sym_property] = ACTIONS(3654),
    [anon_sym_signal] = ACTIONS(3654),
    [anon_sym_on] = ACTIONS(3654),
    [anon_sym_required] = ACTIONS(3654),
    [anon_sym_component] = ACTIONS(3654),
    [anon_sym_abstract] = ACTIONS(3654),
    [anon_sym_interface] = ACTIONS(3654),
    [anon_sym_enum] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1501] = {
    [sym_comment] = STATE(1501),
    [sym_identifier] = ACTIONS(3648),
    [anon_sym_export] = ACTIONS(3648),
    [anon_sym_type] = ACTIONS(3648),
    [anon_sym_namespace] = ACTIONS(3648),
    [anon_sym_LBRACE] = ACTIONS(3648),
    [anon_sym_RBRACE] = ACTIONS(3648),
    [anon_sym_typeof] = ACTIONS(3648),
    [anon_sym_import] = ACTIONS(3648),
    [anon_sym_from] = ACTIONS(3648),
    [anon_sym_with] = ACTIONS(3648),
    [anon_sym_var] = ACTIONS(3648),
    [anon_sym_let] = ACTIONS(3648),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_BANG] = ACTIONS(3648),
    [anon_sym_else] = ACTIONS(3648),
    [anon_sym_if] = ACTIONS(3648),
    [anon_sym_switch] = ACTIONS(3648),
    [anon_sym_for] = ACTIONS(3648),
    [anon_sym_LPAREN] = ACTIONS(3648),
    [anon_sym_await] = ACTIONS(3648),
    [anon_sym_of] = ACTIONS(3648),
    [anon_sym_while] = ACTIONS(3648),
    [anon_sym_do] = ACTIONS(3648),
    [anon_sym_try] = ACTIONS(3648),
    [anon_sym_break] = ACTIONS(3648),
    [anon_sym_continue] = ACTIONS(3648),
    [anon_sym_debugger] = ACTIONS(3648),
    [anon_sym_return] = ACTIONS(3648),
    [anon_sym_throw] = ACTIONS(3648),
    [anon_sym_SEMI] = ACTIONS(3648),
    [anon_sym_yield] = ACTIONS(3648),
    [anon_sym_LBRACK] = ACTIONS(3648),
    [anon_sym_LTtemplate_GT] = ACTIONS(3648),
    [anon_sym_DQUOTE] = ACTIONS(3648),
    [anon_sym_SQUOTE] = ACTIONS(3648),
    [anon_sym_class] = ACTIONS(3648),
    [anon_sym_async] = ACTIONS(3648),
    [anon_sym_function] = ACTIONS(3648),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_using] = ACTIONS(3648),
    [anon_sym_PLUS] = ACTIONS(3648),
    [anon_sym_DASH] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3648),
    [anon_sym_LT] = ACTIONS(3648),
    [anon_sym_TILDE] = ACTIONS(3648),
    [anon_sym_void] = ACTIONS(3648),
    [anon_sym_delete] = ACTIONS(3648),
    [anon_sym_PLUS_PLUS] = ACTIONS(3648),
    [anon_sym_DASH_DASH] = ACTIONS(3648),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3648),
    [sym_number] = ACTIONS(3648),
    [sym_private_property_identifier] = ACTIONS(3648),
    [sym_this] = ACTIONS(3648),
    [sym_super] = ACTIONS(3648),
    [sym_true] = ACTIONS(3648),
    [sym_false] = ACTIONS(3648),
    [sym_null] = ACTIONS(3648),
    [sym_undefined] = ACTIONS(3648),
    [anon_sym_AT] = ACTIONS(3648),
    [anon_sym_static] = ACTIONS(3648),
    [anon_sym_readonly] = ACTIONS(3648),
    [anon_sym_get] = ACTIONS(3648),
    [anon_sym_set] = ACTIONS(3648),
    [anon_sym_declare] = ACTIONS(3648),
    [anon_sym_public] = ACTIONS(3648),
    [anon_sym_private] = ACTIONS(3648),
    [anon_sym_protected] = ACTIONS(3648),
    [anon_sym_override] = ACTIONS(3648),
    [anon_sym_module] = ACTIONS(3648),
    [anon_sym_any] = ACTIONS(3648),
    [anon_sym_number] = ACTIONS(3648),
    [anon_sym_boolean] = ACTIONS(3648),
    [anon_sym_string] = ACTIONS(3648),
    [anon_sym_symbol] = ACTIONS(3648),
    [anon_sym_object] = ACTIONS(3648),
    [anon_sym_property] = ACTIONS(3648),
    [anon_sym_signal] = ACTIONS(3648),
    [anon_sym_on] = ACTIONS(3648),
    [anon_sym_required] = ACTIONS(3648),
    [anon_sym_component] = ACTIONS(3648),
    [anon_sym_abstract] = ACTIONS(3648),
    [anon_sym_interface] = ACTIONS(3648),
    [anon_sym_enum] = ACTIONS(3648),
    [sym_html_comment] = ACTIONS(5),
  },
  [1502] = {
    [sym_comment] = STATE(1502),
    [sym_identifier] = ACTIONS(3630),
    [anon_sym_export] = ACTIONS(3630),
    [anon_sym_type] = ACTIONS(3630),
    [anon_sym_namespace] = ACTIONS(3630),
    [anon_sym_LBRACE] = ACTIONS(3630),
    [anon_sym_RBRACE] = ACTIONS(3630),
    [anon_sym_typeof] = ACTIONS(3630),
    [anon_sym_import] = ACTIONS(3630),
    [anon_sym_from] = ACTIONS(3630),
    [anon_sym_with] = ACTIONS(3630),
    [anon_sym_var] = ACTIONS(3630),
    [anon_sym_let] = ACTIONS(3630),
    [anon_sym_const] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3630),
    [anon_sym_else] = ACTIONS(3630),
    [anon_sym_if] = ACTIONS(3630),
    [anon_sym_switch] = ACTIONS(3630),
    [anon_sym_for] = ACTIONS(3630),
    [anon_sym_LPAREN] = ACTIONS(3630),
    [anon_sym_await] = ACTIONS(3630),
    [anon_sym_of] = ACTIONS(3630),
    [anon_sym_while] = ACTIONS(3630),
    [anon_sym_do] = ACTIONS(3630),
    [anon_sym_try] = ACTIONS(3630),
    [anon_sym_break] = ACTIONS(3630),
    [anon_sym_continue] = ACTIONS(3630),
    [anon_sym_debugger] = ACTIONS(3630),
    [anon_sym_return] = ACTIONS(3630),
    [anon_sym_throw] = ACTIONS(3630),
    [anon_sym_SEMI] = ACTIONS(3630),
    [anon_sym_yield] = ACTIONS(3630),
    [anon_sym_LBRACK] = ACTIONS(3630),
    [anon_sym_LTtemplate_GT] = ACTIONS(3630),
    [anon_sym_DQUOTE] = ACTIONS(3630),
    [anon_sym_SQUOTE] = ACTIONS(3630),
    [anon_sym_class] = ACTIONS(3630),
    [anon_sym_async] = ACTIONS(3630),
    [anon_sym_function] = ACTIONS(3630),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_using] = ACTIONS(3630),
    [anon_sym_PLUS] = ACTIONS(3630),
    [anon_sym_DASH] = ACTIONS(3630),
    [anon_sym_SLASH] = ACTIONS(3630),
    [anon_sym_LT] = ACTIONS(3630),
    [anon_sym_TILDE] = ACTIONS(3630),
    [anon_sym_void] = ACTIONS(3630),
    [anon_sym_delete] = ACTIONS(3630),
    [anon_sym_PLUS_PLUS] = ACTIONS(3630),
    [anon_sym_DASH_DASH] = ACTIONS(3630),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3630),
    [sym_number] = ACTIONS(3630),
    [sym_private_property_identifier] = ACTIONS(3630),
    [sym_this] = ACTIONS(3630),
    [sym_super] = ACTIONS(3630),
    [sym_true] = ACTIONS(3630),
    [sym_false] = ACTIONS(3630),
    [sym_null] = ACTIONS(3630),
    [sym_undefined] = ACTIONS(3630),
    [anon_sym_AT] = ACTIONS(3630),
    [anon_sym_static] = ACTIONS(3630),
    [anon_sym_readonly] = ACTIONS(3630),
    [anon_sym_get] = ACTIONS(3630),
    [anon_sym_set] = ACTIONS(3630),
    [anon_sym_declare] = ACTIONS(3630),
    [anon_sym_public] = ACTIONS(3630),
    [anon_sym_private] = ACTIONS(3630),
    [anon_sym_protected] = ACTIONS(3630),
    [anon_sym_override] = ACTIONS(3630),
    [anon_sym_module] = ACTIONS(3630),
    [anon_sym_any] = ACTIONS(3630),
    [anon_sym_number] = ACTIONS(3630),
    [anon_sym_boolean] = ACTIONS(3630),
    [anon_sym_string] = ACTIONS(3630),
    [anon_sym_symbol] = ACTIONS(3630),
    [anon_sym_object] = ACTIONS(3630),
    [anon_sym_property] = ACTIONS(3630),
    [anon_sym_signal] = ACTIONS(3630),
    [anon_sym_on] = ACTIONS(3630),
    [anon_sym_required] = ACTIONS(3630),
    [anon_sym_component] = ACTIONS(3630),
    [anon_sym_abstract] = ACTIONS(3630),
    [anon_sym_interface] = ACTIONS(3630),
    [anon_sym_enum] = ACTIONS(3630),
    [sym_html_comment] = ACTIONS(5),
  },
  [1503] = {
    [sym_comment] = STATE(1503),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_export] = ACTIONS(2442),
    [anon_sym_type] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_typeof] = ACTIONS(2442),
    [anon_sym_import] = ACTIONS(2442),
    [anon_sym_from] = ACTIONS(2442),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_var] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_else] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_switch] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_await] = ACTIONS(2442),
    [anon_sym_of] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_break] = ACTIONS(2442),
    [anon_sym_continue] = ACTIONS(2442),
    [anon_sym_debugger] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LTtemplate_GT] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_async] = ACTIONS(2442),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_void] = ACTIONS(2442),
    [anon_sym_delete] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2442),
    [sym_number] = ACTIONS(2442),
    [sym_private_property_identifier] = ACTIONS(2442),
    [sym_this] = ACTIONS(2442),
    [sym_super] = ACTIONS(2442),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [sym_null] = ACTIONS(2442),
    [sym_undefined] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_readonly] = ACTIONS(2442),
    [anon_sym_get] = ACTIONS(2442),
    [anon_sym_set] = ACTIONS(2442),
    [anon_sym_declare] = ACTIONS(2442),
    [anon_sym_public] = ACTIONS(2442),
    [anon_sym_private] = ACTIONS(2442),
    [anon_sym_protected] = ACTIONS(2442),
    [anon_sym_override] = ACTIONS(2442),
    [anon_sym_module] = ACTIONS(2442),
    [anon_sym_any] = ACTIONS(2442),
    [anon_sym_number] = ACTIONS(2442),
    [anon_sym_boolean] = ACTIONS(2442),
    [anon_sym_string] = ACTIONS(2442),
    [anon_sym_symbol] = ACTIONS(2442),
    [anon_sym_object] = ACTIONS(2442),
    [anon_sym_property] = ACTIONS(2442),
    [anon_sym_signal] = ACTIONS(2442),
    [anon_sym_on] = ACTIONS(2442),
    [anon_sym_required] = ACTIONS(2442),
    [anon_sym_component] = ACTIONS(2442),
    [anon_sym_abstract] = ACTIONS(2442),
    [anon_sym_interface] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [sym_html_comment] = ACTIONS(5),
  },
  [1504] = {
    [sym_comment] = STATE(1504),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_finally] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1505] = {
    [sym_comment] = STATE(1505),
    [sym_identifier] = ACTIONS(3570),
    [anon_sym_export] = ACTIONS(3570),
    [anon_sym_type] = ACTIONS(3570),
    [anon_sym_namespace] = ACTIONS(3570),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_RBRACE] = ACTIONS(3570),
    [anon_sym_typeof] = ACTIONS(3570),
    [anon_sym_import] = ACTIONS(3570),
    [anon_sym_from] = ACTIONS(3570),
    [anon_sym_with] = ACTIONS(3570),
    [anon_sym_var] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3570),
    [anon_sym_const] = ACTIONS(3570),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_else] = ACTIONS(3570),
    [anon_sym_if] = ACTIONS(3570),
    [anon_sym_switch] = ACTIONS(3570),
    [anon_sym_for] = ACTIONS(3570),
    [anon_sym_LPAREN] = ACTIONS(3570),
    [anon_sym_await] = ACTIONS(3570),
    [anon_sym_of] = ACTIONS(3570),
    [anon_sym_while] = ACTIONS(3570),
    [anon_sym_do] = ACTIONS(3570),
    [anon_sym_try] = ACTIONS(3570),
    [anon_sym_break] = ACTIONS(3570),
    [anon_sym_continue] = ACTIONS(3570),
    [anon_sym_debugger] = ACTIONS(3570),
    [anon_sym_return] = ACTIONS(3570),
    [anon_sym_throw] = ACTIONS(3570),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_yield] = ACTIONS(3570),
    [anon_sym_LBRACK] = ACTIONS(3570),
    [anon_sym_LTtemplate_GT] = ACTIONS(3570),
    [anon_sym_DQUOTE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3570),
    [anon_sym_class] = ACTIONS(3570),
    [anon_sym_async] = ACTIONS(3570),
    [anon_sym_function] = ACTIONS(3570),
    [anon_sym_new] = ACTIONS(3570),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_SLASH] = ACTIONS(3570),
    [anon_sym_LT] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [anon_sym_void] = ACTIONS(3570),
    [anon_sym_delete] = ACTIONS(3570),
    [anon_sym_PLUS_PLUS] = ACTIONS(3570),
    [anon_sym_DASH_DASH] = ACTIONS(3570),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3570),
    [sym_number] = ACTIONS(3570),
    [sym_private_property_identifier] = ACTIONS(3570),
    [sym_this] = ACTIONS(3570),
    [sym_super] = ACTIONS(3570),
    [sym_true] = ACTIONS(3570),
    [sym_false] = ACTIONS(3570),
    [sym_null] = ACTIONS(3570),
    [sym_undefined] = ACTIONS(3570),
    [anon_sym_AT] = ACTIONS(3570),
    [anon_sym_static] = ACTIONS(3570),
    [anon_sym_readonly] = ACTIONS(3570),
    [anon_sym_get] = ACTIONS(3570),
    [anon_sym_set] = ACTIONS(3570),
    [anon_sym_declare] = ACTIONS(3570),
    [anon_sym_public] = ACTIONS(3570),
    [anon_sym_private] = ACTIONS(3570),
    [anon_sym_protected] = ACTIONS(3570),
    [anon_sym_override] = ACTIONS(3570),
    [anon_sym_module] = ACTIONS(3570),
    [anon_sym_any] = ACTIONS(3570),
    [anon_sym_number] = ACTIONS(3570),
    [anon_sym_boolean] = ACTIONS(3570),
    [anon_sym_string] = ACTIONS(3570),
    [anon_sym_symbol] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(3570),
    [anon_sym_property] = ACTIONS(3570),
    [anon_sym_signal] = ACTIONS(3570),
    [anon_sym_on] = ACTIONS(3570),
    [anon_sym_required] = ACTIONS(3570),
    [anon_sym_component] = ACTIONS(3570),
    [anon_sym_abstract] = ACTIONS(3570),
    [anon_sym_interface] = ACTIONS(3570),
    [anon_sym_enum] = ACTIONS(3570),
    [sym_html_comment] = ACTIONS(5),
  },
  [1506] = {
    [sym_comment] = STATE(1506),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1507] = {
    [sym_comment] = STATE(1507),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1508] = {
    [sym_comment] = STATE(1508),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1509] = {
    [sym_comment] = STATE(1509),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_else] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1510] = {
    [sym_comment] = STATE(1510),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_else] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1511] = {
    [sym_comment] = STATE(1511),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_else] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1512] = {
    [sym_comment] = STATE(1512),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1513] = {
    [sym_comment] = STATE(1513),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_else] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1514] = {
    [sym_comment] = STATE(1514),
    [sym_identifier] = ACTIONS(3542),
    [anon_sym_export] = ACTIONS(3542),
    [anon_sym_type] = ACTIONS(3542),
    [anon_sym_namespace] = ACTIONS(3542),
    [anon_sym_LBRACE] = ACTIONS(3542),
    [anon_sym_RBRACE] = ACTIONS(3542),
    [anon_sym_typeof] = ACTIONS(3542),
    [anon_sym_import] = ACTIONS(3542),
    [anon_sym_from] = ACTIONS(3542),
    [anon_sym_with] = ACTIONS(3542),
    [anon_sym_var] = ACTIONS(3542),
    [anon_sym_let] = ACTIONS(3542),
    [anon_sym_const] = ACTIONS(3542),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_else] = ACTIONS(3542),
    [anon_sym_if] = ACTIONS(3542),
    [anon_sym_switch] = ACTIONS(3542),
    [anon_sym_for] = ACTIONS(3542),
    [anon_sym_LPAREN] = ACTIONS(3542),
    [anon_sym_await] = ACTIONS(3542),
    [anon_sym_of] = ACTIONS(3542),
    [anon_sym_while] = ACTIONS(3542),
    [anon_sym_do] = ACTIONS(3542),
    [anon_sym_try] = ACTIONS(3542),
    [anon_sym_break] = ACTIONS(3542),
    [anon_sym_continue] = ACTIONS(3542),
    [anon_sym_debugger] = ACTIONS(3542),
    [anon_sym_return] = ACTIONS(3542),
    [anon_sym_throw] = ACTIONS(3542),
    [anon_sym_SEMI] = ACTIONS(3542),
    [anon_sym_yield] = ACTIONS(3542),
    [anon_sym_LBRACK] = ACTIONS(3542),
    [anon_sym_LTtemplate_GT] = ACTIONS(3542),
    [anon_sym_DQUOTE] = ACTIONS(3542),
    [anon_sym_SQUOTE] = ACTIONS(3542),
    [anon_sym_class] = ACTIONS(3542),
    [anon_sym_async] = ACTIONS(3542),
    [anon_sym_function] = ACTIONS(3542),
    [anon_sym_new] = ACTIONS(3542),
    [anon_sym_using] = ACTIONS(3542),
    [anon_sym_PLUS] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3542),
    [anon_sym_SLASH] = ACTIONS(3542),
    [anon_sym_LT] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_void] = ACTIONS(3542),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_PLUS_PLUS] = ACTIONS(3542),
    [anon_sym_DASH_DASH] = ACTIONS(3542),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3542),
    [sym_number] = ACTIONS(3542),
    [sym_private_property_identifier] = ACTIONS(3542),
    [sym_this] = ACTIONS(3542),
    [sym_super] = ACTIONS(3542),
    [sym_true] = ACTIONS(3542),
    [sym_false] = ACTIONS(3542),
    [sym_null] = ACTIONS(3542),
    [sym_undefined] = ACTIONS(3542),
    [anon_sym_AT] = ACTIONS(3542),
    [anon_sym_static] = ACTIONS(3542),
    [anon_sym_readonly] = ACTIONS(3542),
    [anon_sym_get] = ACTIONS(3542),
    [anon_sym_set] = ACTIONS(3542),
    [anon_sym_declare] = ACTIONS(3542),
    [anon_sym_public] = ACTIONS(3542),
    [anon_sym_private] = ACTIONS(3542),
    [anon_sym_protected] = ACTIONS(3542),
    [anon_sym_override] = ACTIONS(3542),
    [anon_sym_module] = ACTIONS(3542),
    [anon_sym_any] = ACTIONS(3542),
    [anon_sym_number] = ACTIONS(3542),
    [anon_sym_boolean] = ACTIONS(3542),
    [anon_sym_string] = ACTIONS(3542),
    [anon_sym_symbol] = ACTIONS(3542),
    [anon_sym_object] = ACTIONS(3542),
    [anon_sym_property] = ACTIONS(3542),
    [anon_sym_signal] = ACTIONS(3542),
    [anon_sym_on] = ACTIONS(3542),
    [anon_sym_required] = ACTIONS(3542),
    [anon_sym_component] = ACTIONS(3542),
    [anon_sym_abstract] = ACTIONS(3542),
    [anon_sym_interface] = ACTIONS(3542),
    [anon_sym_enum] = ACTIONS(3542),
    [sym_html_comment] = ACTIONS(5),
  },
  [1515] = {
    [sym_comment] = STATE(1515),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1516] = {
    [sym_comment] = STATE(1516),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1517] = {
    [sym_comment] = STATE(1517),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1518] = {
    [sym_comment] = STATE(1518),
    [sym_identifier] = ACTIONS(3550),
    [anon_sym_export] = ACTIONS(3550),
    [anon_sym_type] = ACTIONS(3550),
    [anon_sym_namespace] = ACTIONS(3550),
    [anon_sym_LBRACE] = ACTIONS(3550),
    [anon_sym_RBRACE] = ACTIONS(3550),
    [anon_sym_typeof] = ACTIONS(3550),
    [anon_sym_import] = ACTIONS(3550),
    [anon_sym_from] = ACTIONS(3550),
    [anon_sym_with] = ACTIONS(3550),
    [anon_sym_var] = ACTIONS(3550),
    [anon_sym_let] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3550),
    [anon_sym_BANG] = ACTIONS(3550),
    [anon_sym_else] = ACTIONS(3550),
    [anon_sym_if] = ACTIONS(3550),
    [anon_sym_switch] = ACTIONS(3550),
    [anon_sym_for] = ACTIONS(3550),
    [anon_sym_LPAREN] = ACTIONS(3550),
    [anon_sym_await] = ACTIONS(3550),
    [anon_sym_of] = ACTIONS(3550),
    [anon_sym_while] = ACTIONS(3550),
    [anon_sym_do] = ACTIONS(3550),
    [anon_sym_try] = ACTIONS(3550),
    [anon_sym_break] = ACTIONS(3550),
    [anon_sym_continue] = ACTIONS(3550),
    [anon_sym_debugger] = ACTIONS(3550),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_throw] = ACTIONS(3550),
    [anon_sym_SEMI] = ACTIONS(3550),
    [anon_sym_yield] = ACTIONS(3550),
    [anon_sym_LBRACK] = ACTIONS(3550),
    [anon_sym_LTtemplate_GT] = ACTIONS(3550),
    [anon_sym_DQUOTE] = ACTIONS(3550),
    [anon_sym_SQUOTE] = ACTIONS(3550),
    [anon_sym_class] = ACTIONS(3550),
    [anon_sym_async] = ACTIONS(3550),
    [anon_sym_function] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3550),
    [anon_sym_using] = ACTIONS(3550),
    [anon_sym_PLUS] = ACTIONS(3550),
    [anon_sym_DASH] = ACTIONS(3550),
    [anon_sym_SLASH] = ACTIONS(3550),
    [anon_sym_LT] = ACTIONS(3550),
    [anon_sym_TILDE] = ACTIONS(3550),
    [anon_sym_void] = ACTIONS(3550),
    [anon_sym_delete] = ACTIONS(3550),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3550),
    [sym_number] = ACTIONS(3550),
    [sym_private_property_identifier] = ACTIONS(3550),
    [sym_this] = ACTIONS(3550),
    [sym_super] = ACTIONS(3550),
    [sym_true] = ACTIONS(3550),
    [sym_false] = ACTIONS(3550),
    [sym_null] = ACTIONS(3550),
    [sym_undefined] = ACTIONS(3550),
    [anon_sym_AT] = ACTIONS(3550),
    [anon_sym_static] = ACTIONS(3550),
    [anon_sym_readonly] = ACTIONS(3550),
    [anon_sym_get] = ACTIONS(3550),
    [anon_sym_set] = ACTIONS(3550),
    [anon_sym_declare] = ACTIONS(3550),
    [anon_sym_public] = ACTIONS(3550),
    [anon_sym_private] = ACTIONS(3550),
    [anon_sym_protected] = ACTIONS(3550),
    [anon_sym_override] = ACTIONS(3550),
    [anon_sym_module] = ACTIONS(3550),
    [anon_sym_any] = ACTIONS(3550),
    [anon_sym_number] = ACTIONS(3550),
    [anon_sym_boolean] = ACTIONS(3550),
    [anon_sym_string] = ACTIONS(3550),
    [anon_sym_symbol] = ACTIONS(3550),
    [anon_sym_object] = ACTIONS(3550),
    [anon_sym_property] = ACTIONS(3550),
    [anon_sym_signal] = ACTIONS(3550),
    [anon_sym_on] = ACTIONS(3550),
    [anon_sym_required] = ACTIONS(3550),
    [anon_sym_component] = ACTIONS(3550),
    [anon_sym_abstract] = ACTIONS(3550),
    [anon_sym_interface] = ACTIONS(3550),
    [anon_sym_enum] = ACTIONS(3550),
    [sym_html_comment] = ACTIONS(5),
  },
  [1519] = {
    [sym_comment] = STATE(1519),
    [sym_identifier] = ACTIONS(3540),
    [anon_sym_export] = ACTIONS(3540),
    [anon_sym_type] = ACTIONS(3540),
    [anon_sym_namespace] = ACTIONS(3540),
    [anon_sym_LBRACE] = ACTIONS(3540),
    [anon_sym_RBRACE] = ACTIONS(3540),
    [anon_sym_typeof] = ACTIONS(3540),
    [anon_sym_import] = ACTIONS(3540),
    [anon_sym_from] = ACTIONS(3540),
    [anon_sym_with] = ACTIONS(3540),
    [anon_sym_var] = ACTIONS(3540),
    [anon_sym_let] = ACTIONS(3540),
    [anon_sym_const] = ACTIONS(3540),
    [anon_sym_BANG] = ACTIONS(3540),
    [anon_sym_else] = ACTIONS(3540),
    [anon_sym_if] = ACTIONS(3540),
    [anon_sym_switch] = ACTIONS(3540),
    [anon_sym_for] = ACTIONS(3540),
    [anon_sym_LPAREN] = ACTIONS(3540),
    [anon_sym_await] = ACTIONS(3540),
    [anon_sym_of] = ACTIONS(3540),
    [anon_sym_while] = ACTIONS(3540),
    [anon_sym_do] = ACTIONS(3540),
    [anon_sym_try] = ACTIONS(3540),
    [anon_sym_break] = ACTIONS(3540),
    [anon_sym_continue] = ACTIONS(3540),
    [anon_sym_debugger] = ACTIONS(3540),
    [anon_sym_return] = ACTIONS(3540),
    [anon_sym_throw] = ACTIONS(3540),
    [anon_sym_SEMI] = ACTIONS(3540),
    [anon_sym_yield] = ACTIONS(3540),
    [anon_sym_LBRACK] = ACTIONS(3540),
    [anon_sym_LTtemplate_GT] = ACTIONS(3540),
    [anon_sym_DQUOTE] = ACTIONS(3540),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [anon_sym_class] = ACTIONS(3540),
    [anon_sym_async] = ACTIONS(3540),
    [anon_sym_function] = ACTIONS(3540),
    [anon_sym_new] = ACTIONS(3540),
    [anon_sym_using] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_SLASH] = ACTIONS(3540),
    [anon_sym_LT] = ACTIONS(3540),
    [anon_sym_TILDE] = ACTIONS(3540),
    [anon_sym_void] = ACTIONS(3540),
    [anon_sym_delete] = ACTIONS(3540),
    [anon_sym_PLUS_PLUS] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(3540),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3540),
    [sym_number] = ACTIONS(3540),
    [sym_private_property_identifier] = ACTIONS(3540),
    [sym_this] = ACTIONS(3540),
    [sym_super] = ACTIONS(3540),
    [sym_true] = ACTIONS(3540),
    [sym_false] = ACTIONS(3540),
    [sym_null] = ACTIONS(3540),
    [sym_undefined] = ACTIONS(3540),
    [anon_sym_AT] = ACTIONS(3540),
    [anon_sym_static] = ACTIONS(3540),
    [anon_sym_readonly] = ACTIONS(3540),
    [anon_sym_get] = ACTIONS(3540),
    [anon_sym_set] = ACTIONS(3540),
    [anon_sym_declare] = ACTIONS(3540),
    [anon_sym_public] = ACTIONS(3540),
    [anon_sym_private] = ACTIONS(3540),
    [anon_sym_protected] = ACTIONS(3540),
    [anon_sym_override] = ACTIONS(3540),
    [anon_sym_module] = ACTIONS(3540),
    [anon_sym_any] = ACTIONS(3540),
    [anon_sym_number] = ACTIONS(3540),
    [anon_sym_boolean] = ACTIONS(3540),
    [anon_sym_string] = ACTIONS(3540),
    [anon_sym_symbol] = ACTIONS(3540),
    [anon_sym_object] = ACTIONS(3540),
    [anon_sym_property] = ACTIONS(3540),
    [anon_sym_signal] = ACTIONS(3540),
    [anon_sym_on] = ACTIONS(3540),
    [anon_sym_required] = ACTIONS(3540),
    [anon_sym_component] = ACTIONS(3540),
    [anon_sym_abstract] = ACTIONS(3540),
    [anon_sym_interface] = ACTIONS(3540),
    [anon_sym_enum] = ACTIONS(3540),
    [sym_html_comment] = ACTIONS(5),
  },
  [1520] = {
    [sym_comment] = STATE(1520),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_else] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1521] = {
    [sym_comment] = STATE(1521),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_else] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1522] = {
    [sym_comment] = STATE(1522),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_RBRACE] = ACTIONS(2362),
    [anon_sym_typeof] = ACTIONS(2362),
    [anon_sym_import] = ACTIONS(2362),
    [anon_sym_from] = ACTIONS(2362),
    [anon_sym_with] = ACTIONS(2362),
    [anon_sym_var] = ACTIONS(2362),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_const] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_switch] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2362),
    [anon_sym_LPAREN] = ACTIONS(2362),
    [anon_sym_await] = ACTIONS(2362),
    [anon_sym_of] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_do] = ACTIONS(2362),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_break] = ACTIONS(2362),
    [anon_sym_continue] = ACTIONS(2362),
    [anon_sym_debugger] = ACTIONS(2362),
    [anon_sym_return] = ACTIONS(2362),
    [anon_sym_throw] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym_yield] = ACTIONS(2362),
    [anon_sym_LBRACK] = ACTIONS(2362),
    [anon_sym_LTtemplate_GT] = ACTIONS(2362),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_class] = ACTIONS(2362),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(2362),
    [anon_sym_new] = ACTIONS(2362),
    [anon_sym_using] = ACTIONS(2362),
    [anon_sym_PLUS] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2362),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_void] = ACTIONS(2362),
    [anon_sym_delete] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2362),
    [sym_number] = ACTIONS(2362),
    [sym_private_property_identifier] = ACTIONS(2362),
    [sym_this] = ACTIONS(2362),
    [sym_super] = ACTIONS(2362),
    [sym_true] = ACTIONS(2362),
    [sym_false] = ACTIONS(2362),
    [sym_null] = ACTIONS(2362),
    [sym_undefined] = ACTIONS(2362),
    [anon_sym_AT] = ACTIONS(2362),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2362),
    [anon_sym_get] = ACTIONS(2362),
    [anon_sym_set] = ACTIONS(2362),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_property] = ACTIONS(2362),
    [anon_sym_signal] = ACTIONS(2362),
    [anon_sym_on] = ACTIONS(2362),
    [anon_sym_required] = ACTIONS(2362),
    [anon_sym_component] = ACTIONS(2362),
    [anon_sym_abstract] = ACTIONS(2362),
    [anon_sym_interface] = ACTIONS(2362),
    [anon_sym_enum] = ACTIONS(2362),
    [sym__automatic_semicolon] = ACTIONS(2700),
    [sym_html_comment] = ACTIONS(5),
  },
  [1523] = {
    [sym_comment] = STATE(1523),
    [sym_identifier] = ACTIONS(2426),
    [anon_sym_export] = ACTIONS(2426),
    [anon_sym_type] = ACTIONS(2426),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_RBRACE] = ACTIONS(2426),
    [anon_sym_typeof] = ACTIONS(2426),
    [anon_sym_import] = ACTIONS(2426),
    [anon_sym_from] = ACTIONS(2426),
    [anon_sym_with] = ACTIONS(2426),
    [anon_sym_var] = ACTIONS(2426),
    [anon_sym_let] = ACTIONS(2426),
    [anon_sym_const] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_if] = ACTIONS(2426),
    [anon_sym_switch] = ACTIONS(2426),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_await] = ACTIONS(2426),
    [anon_sym_of] = ACTIONS(2426),
    [anon_sym_while] = ACTIONS(2426),
    [anon_sym_do] = ACTIONS(2426),
    [anon_sym_try] = ACTIONS(2426),
    [anon_sym_break] = ACTIONS(2426),
    [anon_sym_continue] = ACTIONS(2426),
    [anon_sym_debugger] = ACTIONS(2426),
    [anon_sym_return] = ACTIONS(2426),
    [anon_sym_throw] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym_yield] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_LTtemplate_GT] = ACTIONS(2426),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_class] = ACTIONS(2426),
    [anon_sym_async] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2426),
    [anon_sym_new] = ACTIONS(2426),
    [anon_sym_using] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_void] = ACTIONS(2426),
    [anon_sym_delete] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2426),
    [sym_number] = ACTIONS(2426),
    [sym_private_property_identifier] = ACTIONS(2426),
    [sym_this] = ACTIONS(2426),
    [sym_super] = ACTIONS(2426),
    [sym_true] = ACTIONS(2426),
    [sym_false] = ACTIONS(2426),
    [sym_null] = ACTIONS(2426),
    [sym_undefined] = ACTIONS(2426),
    [anon_sym_AT] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_readonly] = ACTIONS(2426),
    [anon_sym_get] = ACTIONS(2426),
    [anon_sym_set] = ACTIONS(2426),
    [anon_sym_declare] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_override] = ACTIONS(2426),
    [anon_sym_module] = ACTIONS(2426),
    [anon_sym_any] = ACTIONS(2426),
    [anon_sym_number] = ACTIONS(2426),
    [anon_sym_boolean] = ACTIONS(2426),
    [anon_sym_string] = ACTIONS(2426),
    [anon_sym_symbol] = ACTIONS(2426),
    [anon_sym_object] = ACTIONS(2426),
    [anon_sym_property] = ACTIONS(2426),
    [anon_sym_signal] = ACTIONS(2426),
    [anon_sym_on] = ACTIONS(2426),
    [anon_sym_required] = ACTIONS(2426),
    [anon_sym_component] = ACTIONS(2426),
    [anon_sym_abstract] = ACTIONS(2426),
    [anon_sym_interface] = ACTIONS(2426),
    [anon_sym_enum] = ACTIONS(2426),
    [sym__automatic_semicolon] = ACTIONS(2696),
    [sym_html_comment] = ACTIONS(5),
  },
  [1524] = {
    [sym_comment] = STATE(1524),
    [sym_identifier] = ACTIONS(2478),
    [anon_sym_export] = ACTIONS(2478),
    [anon_sym_type] = ACTIONS(2478),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_typeof] = ACTIONS(2478),
    [anon_sym_import] = ACTIONS(2478),
    [anon_sym_from] = ACTIONS(2478),
    [anon_sym_with] = ACTIONS(2478),
    [anon_sym_var] = ACTIONS(2478),
    [anon_sym_let] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_LPAREN] = ACTIONS(2478),
    [anon_sym_await] = ACTIONS(2478),
    [anon_sym_of] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_try] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_debugger] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_throw] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym_yield] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_LTtemplate_GT] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2478),
    [anon_sym_class] = ACTIONS(2478),
    [anon_sym_async] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2478),
    [anon_sym_new] = ACTIONS(2478),
    [anon_sym_using] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_SLASH] = ACTIONS(2478),
    [anon_sym_LT] = ACTIONS(2478),
    [anon_sym_TILDE] = ACTIONS(2478),
    [anon_sym_void] = ACTIONS(2478),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_PLUS_PLUS] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2478),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2478),
    [sym_number] = ACTIONS(2478),
    [sym_private_property_identifier] = ACTIONS(2478),
    [sym_this] = ACTIONS(2478),
    [sym_super] = ACTIONS(2478),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [sym_null] = ACTIONS(2478),
    [sym_undefined] = ACTIONS(2478),
    [anon_sym_AT] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_readonly] = ACTIONS(2478),
    [anon_sym_get] = ACTIONS(2478),
    [anon_sym_set] = ACTIONS(2478),
    [anon_sym_declare] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_override] = ACTIONS(2478),
    [anon_sym_module] = ACTIONS(2478),
    [anon_sym_any] = ACTIONS(2478),
    [anon_sym_number] = ACTIONS(2478),
    [anon_sym_boolean] = ACTIONS(2478),
    [anon_sym_string] = ACTIONS(2478),
    [anon_sym_symbol] = ACTIONS(2478),
    [anon_sym_object] = ACTIONS(2478),
    [anon_sym_property] = ACTIONS(2478),
    [anon_sym_signal] = ACTIONS(2478),
    [anon_sym_on] = ACTIONS(2478),
    [anon_sym_required] = ACTIONS(2478),
    [anon_sym_component] = ACTIONS(2478),
    [anon_sym_abstract] = ACTIONS(2478),
    [anon_sym_interface] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [sym__automatic_semicolon] = ACTIONS(2646),
    [sym_html_comment] = ACTIONS(5),
  },
  [1525] = {
    [sym_comment] = STATE(1525),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1526] = {
    [sym_comment] = STATE(1526),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1527] = {
    [sym_comment] = STATE(1527),
    [sym_identifier] = ACTIONS(3486),
    [anon_sym_export] = ACTIONS(3486),
    [anon_sym_type] = ACTIONS(3486),
    [anon_sym_namespace] = ACTIONS(3486),
    [anon_sym_LBRACE] = ACTIONS(3486),
    [anon_sym_RBRACE] = ACTIONS(3486),
    [anon_sym_typeof] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3486),
    [anon_sym_from] = ACTIONS(3486),
    [anon_sym_with] = ACTIONS(3486),
    [anon_sym_var] = ACTIONS(3486),
    [anon_sym_let] = ACTIONS(3486),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_BANG] = ACTIONS(3486),
    [anon_sym_else] = ACTIONS(3486),
    [anon_sym_if] = ACTIONS(3486),
    [anon_sym_switch] = ACTIONS(3486),
    [anon_sym_for] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3486),
    [anon_sym_await] = ACTIONS(3486),
    [anon_sym_of] = ACTIONS(3486),
    [anon_sym_while] = ACTIONS(3486),
    [anon_sym_do] = ACTIONS(3486),
    [anon_sym_try] = ACTIONS(3486),
    [anon_sym_break] = ACTIONS(3486),
    [anon_sym_continue] = ACTIONS(3486),
    [anon_sym_debugger] = ACTIONS(3486),
    [anon_sym_return] = ACTIONS(3486),
    [anon_sym_throw] = ACTIONS(3486),
    [anon_sym_SEMI] = ACTIONS(3486),
    [anon_sym_yield] = ACTIONS(3486),
    [anon_sym_LBRACK] = ACTIONS(3486),
    [anon_sym_LTtemplate_GT] = ACTIONS(3486),
    [anon_sym_DQUOTE] = ACTIONS(3486),
    [anon_sym_SQUOTE] = ACTIONS(3486),
    [anon_sym_class] = ACTIONS(3486),
    [anon_sym_async] = ACTIONS(3486),
    [anon_sym_function] = ACTIONS(3486),
    [anon_sym_new] = ACTIONS(3486),
    [anon_sym_using] = ACTIONS(3486),
    [anon_sym_PLUS] = ACTIONS(3486),
    [anon_sym_DASH] = ACTIONS(3486),
    [anon_sym_SLASH] = ACTIONS(3486),
    [anon_sym_LT] = ACTIONS(3486),
    [anon_sym_TILDE] = ACTIONS(3486),
    [anon_sym_void] = ACTIONS(3486),
    [anon_sym_delete] = ACTIONS(3486),
    [anon_sym_PLUS_PLUS] = ACTIONS(3486),
    [anon_sym_DASH_DASH] = ACTIONS(3486),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3486),
    [sym_number] = ACTIONS(3486),
    [sym_private_property_identifier] = ACTIONS(3486),
    [sym_this] = ACTIONS(3486),
    [sym_super] = ACTIONS(3486),
    [sym_true] = ACTIONS(3486),
    [sym_false] = ACTIONS(3486),
    [sym_null] = ACTIONS(3486),
    [sym_undefined] = ACTIONS(3486),
    [anon_sym_AT] = ACTIONS(3486),
    [anon_sym_static] = ACTIONS(3486),
    [anon_sym_readonly] = ACTIONS(3486),
    [anon_sym_get] = ACTIONS(3486),
    [anon_sym_set] = ACTIONS(3486),
    [anon_sym_declare] = ACTIONS(3486),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_private] = ACTIONS(3486),
    [anon_sym_protected] = ACTIONS(3486),
    [anon_sym_override] = ACTIONS(3486),
    [anon_sym_module] = ACTIONS(3486),
    [anon_sym_any] = ACTIONS(3486),
    [anon_sym_number] = ACTIONS(3486),
    [anon_sym_boolean] = ACTIONS(3486),
    [anon_sym_string] = ACTIONS(3486),
    [anon_sym_symbol] = ACTIONS(3486),
    [anon_sym_object] = ACTIONS(3486),
    [anon_sym_property] = ACTIONS(3486),
    [anon_sym_signal] = ACTIONS(3486),
    [anon_sym_on] = ACTIONS(3486),
    [anon_sym_required] = ACTIONS(3486),
    [anon_sym_component] = ACTIONS(3486),
    [anon_sym_abstract] = ACTIONS(3486),
    [anon_sym_interface] = ACTIONS(3486),
    [anon_sym_enum] = ACTIONS(3486),
    [sym_html_comment] = ACTIONS(5),
  },
  [1528] = {
    [sym_comment] = STATE(1528),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1529] = {
    [sym_comment] = STATE(1529),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1530] = {
    [sym_comment] = STATE(1530),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1531] = {
    [sym_comment] = STATE(1531),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1532] = {
    [sym_comment] = STATE(1532),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1533] = {
    [sym_comment] = STATE(1533),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1534] = {
    [sym_comment] = STATE(1534),
    [sym_identifier] = ACTIONS(2416),
    [anon_sym_export] = ACTIONS(2416),
    [anon_sym_type] = ACTIONS(2416),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_RBRACE] = ACTIONS(2416),
    [anon_sym_typeof] = ACTIONS(2416),
    [anon_sym_import] = ACTIONS(2416),
    [anon_sym_from] = ACTIONS(2416),
    [anon_sym_with] = ACTIONS(2416),
    [anon_sym_var] = ACTIONS(2416),
    [anon_sym_let] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_BANG] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_LPAREN] = ACTIONS(2416),
    [anon_sym_await] = ACTIONS(2416),
    [anon_sym_of] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_debugger] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2416),
    [anon_sym_yield] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_LTtemplate_GT] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2416),
    [anon_sym_SQUOTE] = ACTIONS(2416),
    [anon_sym_class] = ACTIONS(2416),
    [anon_sym_async] = ACTIONS(2416),
    [anon_sym_function] = ACTIONS(2416),
    [anon_sym_new] = ACTIONS(2416),
    [anon_sym_using] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_SLASH] = ACTIONS(2416),
    [anon_sym_LT] = ACTIONS(2416),
    [anon_sym_TILDE] = ACTIONS(2416),
    [anon_sym_void] = ACTIONS(2416),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_PLUS_PLUS] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2416),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2416),
    [sym_number] = ACTIONS(2416),
    [sym_private_property_identifier] = ACTIONS(2416),
    [sym_this] = ACTIONS(2416),
    [sym_super] = ACTIONS(2416),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [sym_null] = ACTIONS(2416),
    [sym_undefined] = ACTIONS(2416),
    [anon_sym_AT] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_readonly] = ACTIONS(2416),
    [anon_sym_get] = ACTIONS(2416),
    [anon_sym_set] = ACTIONS(2416),
    [anon_sym_declare] = ACTIONS(2416),
    [anon_sym_public] = ACTIONS(2416),
    [anon_sym_private] = ACTIONS(2416),
    [anon_sym_protected] = ACTIONS(2416),
    [anon_sym_override] = ACTIONS(2416),
    [anon_sym_module] = ACTIONS(2416),
    [anon_sym_any] = ACTIONS(2416),
    [anon_sym_number] = ACTIONS(2416),
    [anon_sym_boolean] = ACTIONS(2416),
    [anon_sym_string] = ACTIONS(2416),
    [anon_sym_symbol] = ACTIONS(2416),
    [anon_sym_object] = ACTIONS(2416),
    [anon_sym_property] = ACTIONS(2416),
    [anon_sym_signal] = ACTIONS(2416),
    [anon_sym_on] = ACTIONS(2416),
    [anon_sym_required] = ACTIONS(2416),
    [anon_sym_component] = ACTIONS(2416),
    [anon_sym_abstract] = ACTIONS(2416),
    [anon_sym_interface] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [sym__automatic_semicolon] = ACTIONS(2698),
    [sym_html_comment] = ACTIONS(5),
  },
  [1535] = {
    [sym_comment] = STATE(1535),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1536] = {
    [sym_comment] = STATE(1536),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1537] = {
    [sym_comment] = STATE(1537),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1538] = {
    [sym_comment] = STATE(1538),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1539] = {
    [sym_comment] = STATE(1539),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1540] = {
    [sym_comment] = STATE(1540),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1541] = {
    [sym_comment] = STATE(1541),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1542] = {
    [sym_comment] = STATE(1542),
    [sym_identifier] = ACTIONS(3480),
    [anon_sym_export] = ACTIONS(3480),
    [anon_sym_type] = ACTIONS(3480),
    [anon_sym_namespace] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3480),
    [anon_sym_RBRACE] = ACTIONS(3480),
    [anon_sym_typeof] = ACTIONS(3480),
    [anon_sym_import] = ACTIONS(3480),
    [anon_sym_from] = ACTIONS(3480),
    [anon_sym_with] = ACTIONS(3480),
    [anon_sym_var] = ACTIONS(3480),
    [anon_sym_let] = ACTIONS(3480),
    [anon_sym_const] = ACTIONS(3480),
    [anon_sym_BANG] = ACTIONS(3480),
    [anon_sym_else] = ACTIONS(3480),
    [anon_sym_if] = ACTIONS(3480),
    [anon_sym_switch] = ACTIONS(3480),
    [anon_sym_for] = ACTIONS(3480),
    [anon_sym_LPAREN] = ACTIONS(3480),
    [anon_sym_await] = ACTIONS(3480),
    [anon_sym_of] = ACTIONS(3480),
    [anon_sym_while] = ACTIONS(3480),
    [anon_sym_do] = ACTIONS(3480),
    [anon_sym_try] = ACTIONS(3480),
    [anon_sym_break] = ACTIONS(3480),
    [anon_sym_continue] = ACTIONS(3480),
    [anon_sym_debugger] = ACTIONS(3480),
    [anon_sym_return] = ACTIONS(3480),
    [anon_sym_throw] = ACTIONS(3480),
    [anon_sym_SEMI] = ACTIONS(3480),
    [anon_sym_yield] = ACTIONS(3480),
    [anon_sym_LBRACK] = ACTIONS(3480),
    [anon_sym_LTtemplate_GT] = ACTIONS(3480),
    [anon_sym_DQUOTE] = ACTIONS(3480),
    [anon_sym_SQUOTE] = ACTIONS(3480),
    [anon_sym_class] = ACTIONS(3480),
    [anon_sym_async] = ACTIONS(3480),
    [anon_sym_function] = ACTIONS(3480),
    [anon_sym_new] = ACTIONS(3480),
    [anon_sym_using] = ACTIONS(3480),
    [anon_sym_PLUS] = ACTIONS(3480),
    [anon_sym_DASH] = ACTIONS(3480),
    [anon_sym_SLASH] = ACTIONS(3480),
    [anon_sym_LT] = ACTIONS(3480),
    [anon_sym_TILDE] = ACTIONS(3480),
    [anon_sym_void] = ACTIONS(3480),
    [anon_sym_delete] = ACTIONS(3480),
    [anon_sym_PLUS_PLUS] = ACTIONS(3480),
    [anon_sym_DASH_DASH] = ACTIONS(3480),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3480),
    [sym_number] = ACTIONS(3480),
    [sym_private_property_identifier] = ACTIONS(3480),
    [sym_this] = ACTIONS(3480),
    [sym_super] = ACTIONS(3480),
    [sym_true] = ACTIONS(3480),
    [sym_false] = ACTIONS(3480),
    [sym_null] = ACTIONS(3480),
    [sym_undefined] = ACTIONS(3480),
    [anon_sym_AT] = ACTIONS(3480),
    [anon_sym_static] = ACTIONS(3480),
    [anon_sym_readonly] = ACTIONS(3480),
    [anon_sym_get] = ACTIONS(3480),
    [anon_sym_set] = ACTIONS(3480),
    [anon_sym_declare] = ACTIONS(3480),
    [anon_sym_public] = ACTIONS(3480),
    [anon_sym_private] = ACTIONS(3480),
    [anon_sym_protected] = ACTIONS(3480),
    [anon_sym_override] = ACTIONS(3480),
    [anon_sym_module] = ACTIONS(3480),
    [anon_sym_any] = ACTIONS(3480),
    [anon_sym_number] = ACTIONS(3480),
    [anon_sym_boolean] = ACTIONS(3480),
    [anon_sym_string] = ACTIONS(3480),
    [anon_sym_symbol] = ACTIONS(3480),
    [anon_sym_object] = ACTIONS(3480),
    [anon_sym_property] = ACTIONS(3480),
    [anon_sym_signal] = ACTIONS(3480),
    [anon_sym_on] = ACTIONS(3480),
    [anon_sym_required] = ACTIONS(3480),
    [anon_sym_component] = ACTIONS(3480),
    [anon_sym_abstract] = ACTIONS(3480),
    [anon_sym_interface] = ACTIONS(3480),
    [anon_sym_enum] = ACTIONS(3480),
    [sym_html_comment] = ACTIONS(5),
  },
  [1543] = {
    [sym_comment] = STATE(1543),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_else] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1544] = {
    [sym_comment] = STATE(1544),
    [sym_identifier] = ACTIONS(3632),
    [anon_sym_export] = ACTIONS(3632),
    [anon_sym_type] = ACTIONS(3632),
    [anon_sym_namespace] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3632),
    [anon_sym_RBRACE] = ACTIONS(3632),
    [anon_sym_typeof] = ACTIONS(3632),
    [anon_sym_import] = ACTIONS(3632),
    [anon_sym_from] = ACTIONS(3632),
    [anon_sym_with] = ACTIONS(3632),
    [anon_sym_var] = ACTIONS(3632),
    [anon_sym_let] = ACTIONS(3632),
    [anon_sym_const] = ACTIONS(3632),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_else] = ACTIONS(3632),
    [anon_sym_if] = ACTIONS(3632),
    [anon_sym_switch] = ACTIONS(3632),
    [anon_sym_for] = ACTIONS(3632),
    [anon_sym_LPAREN] = ACTIONS(3632),
    [anon_sym_await] = ACTIONS(3632),
    [anon_sym_of] = ACTIONS(3632),
    [anon_sym_while] = ACTIONS(3632),
    [anon_sym_do] = ACTIONS(3632),
    [anon_sym_try] = ACTIONS(3632),
    [anon_sym_break] = ACTIONS(3632),
    [anon_sym_continue] = ACTIONS(3632),
    [anon_sym_debugger] = ACTIONS(3632),
    [anon_sym_return] = ACTIONS(3632),
    [anon_sym_throw] = ACTIONS(3632),
    [anon_sym_SEMI] = ACTIONS(3632),
    [anon_sym_yield] = ACTIONS(3632),
    [anon_sym_LBRACK] = ACTIONS(3632),
    [anon_sym_LTtemplate_GT] = ACTIONS(3632),
    [anon_sym_DQUOTE] = ACTIONS(3632),
    [anon_sym_SQUOTE] = ACTIONS(3632),
    [anon_sym_class] = ACTIONS(3632),
    [anon_sym_async] = ACTIONS(3632),
    [anon_sym_function] = ACTIONS(3632),
    [anon_sym_new] = ACTIONS(3632),
    [anon_sym_using] = ACTIONS(3632),
    [anon_sym_PLUS] = ACTIONS(3632),
    [anon_sym_DASH] = ACTIONS(3632),
    [anon_sym_SLASH] = ACTIONS(3632),
    [anon_sym_LT] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [anon_sym_void] = ACTIONS(3632),
    [anon_sym_delete] = ACTIONS(3632),
    [anon_sym_PLUS_PLUS] = ACTIONS(3632),
    [anon_sym_DASH_DASH] = ACTIONS(3632),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3632),
    [sym_number] = ACTIONS(3632),
    [sym_private_property_identifier] = ACTIONS(3632),
    [sym_this] = ACTIONS(3632),
    [sym_super] = ACTIONS(3632),
    [sym_true] = ACTIONS(3632),
    [sym_false] = ACTIONS(3632),
    [sym_null] = ACTIONS(3632),
    [sym_undefined] = ACTIONS(3632),
    [anon_sym_AT] = ACTIONS(3632),
    [anon_sym_static] = ACTIONS(3632),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_get] = ACTIONS(3632),
    [anon_sym_set] = ACTIONS(3632),
    [anon_sym_declare] = ACTIONS(3632),
    [anon_sym_public] = ACTIONS(3632),
    [anon_sym_private] = ACTIONS(3632),
    [anon_sym_protected] = ACTIONS(3632),
    [anon_sym_override] = ACTIONS(3632),
    [anon_sym_module] = ACTIONS(3632),
    [anon_sym_any] = ACTIONS(3632),
    [anon_sym_number] = ACTIONS(3632),
    [anon_sym_boolean] = ACTIONS(3632),
    [anon_sym_string] = ACTIONS(3632),
    [anon_sym_symbol] = ACTIONS(3632),
    [anon_sym_object] = ACTIONS(3632),
    [anon_sym_property] = ACTIONS(3632),
    [anon_sym_signal] = ACTIONS(3632),
    [anon_sym_on] = ACTIONS(3632),
    [anon_sym_required] = ACTIONS(3632),
    [anon_sym_component] = ACTIONS(3632),
    [anon_sym_abstract] = ACTIONS(3632),
    [anon_sym_interface] = ACTIONS(3632),
    [anon_sym_enum] = ACTIONS(3632),
    [sym_html_comment] = ACTIONS(5),
  },
  [1545] = {
    [sym_comment] = STATE(1545),
    [sym_identifier] = ACTIONS(3574),
    [anon_sym_export] = ACTIONS(3574),
    [anon_sym_type] = ACTIONS(3574),
    [anon_sym_namespace] = ACTIONS(3574),
    [anon_sym_LBRACE] = ACTIONS(3574),
    [anon_sym_RBRACE] = ACTIONS(3574),
    [anon_sym_typeof] = ACTIONS(3574),
    [anon_sym_import] = ACTIONS(3574),
    [anon_sym_from] = ACTIONS(3574),
    [anon_sym_with] = ACTIONS(3574),
    [anon_sym_var] = ACTIONS(3574),
    [anon_sym_let] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3574),
    [anon_sym_BANG] = ACTIONS(3574),
    [anon_sym_else] = ACTIONS(3574),
    [anon_sym_if] = ACTIONS(3574),
    [anon_sym_switch] = ACTIONS(3574),
    [anon_sym_for] = ACTIONS(3574),
    [anon_sym_LPAREN] = ACTIONS(3574),
    [anon_sym_await] = ACTIONS(3574),
    [anon_sym_of] = ACTIONS(3574),
    [anon_sym_while] = ACTIONS(3574),
    [anon_sym_do] = ACTIONS(3574),
    [anon_sym_try] = ACTIONS(3574),
    [anon_sym_break] = ACTIONS(3574),
    [anon_sym_continue] = ACTIONS(3574),
    [anon_sym_debugger] = ACTIONS(3574),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_throw] = ACTIONS(3574),
    [anon_sym_SEMI] = ACTIONS(3574),
    [anon_sym_yield] = ACTIONS(3574),
    [anon_sym_LBRACK] = ACTIONS(3574),
    [anon_sym_LTtemplate_GT] = ACTIONS(3574),
    [anon_sym_DQUOTE] = ACTIONS(3574),
    [anon_sym_SQUOTE] = ACTIONS(3574),
    [anon_sym_class] = ACTIONS(3574),
    [anon_sym_async] = ACTIONS(3574),
    [anon_sym_function] = ACTIONS(3574),
    [anon_sym_new] = ACTIONS(3574),
    [anon_sym_using] = ACTIONS(3574),
    [anon_sym_PLUS] = ACTIONS(3574),
    [anon_sym_DASH] = ACTIONS(3574),
    [anon_sym_SLASH] = ACTIONS(3574),
    [anon_sym_LT] = ACTIONS(3574),
    [anon_sym_TILDE] = ACTIONS(3574),
    [anon_sym_void] = ACTIONS(3574),
    [anon_sym_delete] = ACTIONS(3574),
    [anon_sym_PLUS_PLUS] = ACTIONS(3574),
    [anon_sym_DASH_DASH] = ACTIONS(3574),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3574),
    [sym_number] = ACTIONS(3574),
    [sym_private_property_identifier] = ACTIONS(3574),
    [sym_this] = ACTIONS(3574),
    [sym_super] = ACTIONS(3574),
    [sym_true] = ACTIONS(3574),
    [sym_false] = ACTIONS(3574),
    [sym_null] = ACTIONS(3574),
    [sym_undefined] = ACTIONS(3574),
    [anon_sym_AT] = ACTIONS(3574),
    [anon_sym_static] = ACTIONS(3574),
    [anon_sym_readonly] = ACTIONS(3574),
    [anon_sym_get] = ACTIONS(3574),
    [anon_sym_set] = ACTIONS(3574),
    [anon_sym_declare] = ACTIONS(3574),
    [anon_sym_public] = ACTIONS(3574),
    [anon_sym_private] = ACTIONS(3574),
    [anon_sym_protected] = ACTIONS(3574),
    [anon_sym_override] = ACTIONS(3574),
    [anon_sym_module] = ACTIONS(3574),
    [anon_sym_any] = ACTIONS(3574),
    [anon_sym_number] = ACTIONS(3574),
    [anon_sym_boolean] = ACTIONS(3574),
    [anon_sym_string] = ACTIONS(3574),
    [anon_sym_symbol] = ACTIONS(3574),
    [anon_sym_object] = ACTIONS(3574),
    [anon_sym_property] = ACTIONS(3574),
    [anon_sym_signal] = ACTIONS(3574),
    [anon_sym_on] = ACTIONS(3574),
    [anon_sym_required] = ACTIONS(3574),
    [anon_sym_component] = ACTIONS(3574),
    [anon_sym_abstract] = ACTIONS(3574),
    [anon_sym_interface] = ACTIONS(3574),
    [anon_sym_enum] = ACTIONS(3574),
    [sym_html_comment] = ACTIONS(5),
  },
  [1546] = {
    [sym_comment] = STATE(1546),
    [sym_identifier] = ACTIONS(3554),
    [anon_sym_export] = ACTIONS(3554),
    [anon_sym_type] = ACTIONS(3554),
    [anon_sym_namespace] = ACTIONS(3554),
    [anon_sym_LBRACE] = ACTIONS(3554),
    [anon_sym_RBRACE] = ACTIONS(3554),
    [anon_sym_typeof] = ACTIONS(3554),
    [anon_sym_import] = ACTIONS(3554),
    [anon_sym_from] = ACTIONS(3554),
    [anon_sym_with] = ACTIONS(3554),
    [anon_sym_var] = ACTIONS(3554),
    [anon_sym_let] = ACTIONS(3554),
    [anon_sym_const] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3554),
    [anon_sym_else] = ACTIONS(3554),
    [anon_sym_if] = ACTIONS(3554),
    [anon_sym_switch] = ACTIONS(3554),
    [anon_sym_for] = ACTIONS(3554),
    [anon_sym_LPAREN] = ACTIONS(3554),
    [anon_sym_await] = ACTIONS(3554),
    [anon_sym_of] = ACTIONS(3554),
    [anon_sym_while] = ACTIONS(3554),
    [anon_sym_do] = ACTIONS(3554),
    [anon_sym_try] = ACTIONS(3554),
    [anon_sym_break] = ACTIONS(3554),
    [anon_sym_continue] = ACTIONS(3554),
    [anon_sym_debugger] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(3554),
    [anon_sym_throw] = ACTIONS(3554),
    [anon_sym_SEMI] = ACTIONS(3554),
    [anon_sym_yield] = ACTIONS(3554),
    [anon_sym_LBRACK] = ACTIONS(3554),
    [anon_sym_LTtemplate_GT] = ACTIONS(3554),
    [anon_sym_DQUOTE] = ACTIONS(3554),
    [anon_sym_SQUOTE] = ACTIONS(3554),
    [anon_sym_class] = ACTIONS(3554),
    [anon_sym_async] = ACTIONS(3554),
    [anon_sym_function] = ACTIONS(3554),
    [anon_sym_new] = ACTIONS(3554),
    [anon_sym_using] = ACTIONS(3554),
    [anon_sym_PLUS] = ACTIONS(3554),
    [anon_sym_DASH] = ACTIONS(3554),
    [anon_sym_SLASH] = ACTIONS(3554),
    [anon_sym_LT] = ACTIONS(3554),
    [anon_sym_TILDE] = ACTIONS(3554),
    [anon_sym_void] = ACTIONS(3554),
    [anon_sym_delete] = ACTIONS(3554),
    [anon_sym_PLUS_PLUS] = ACTIONS(3554),
    [anon_sym_DASH_DASH] = ACTIONS(3554),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3554),
    [sym_number] = ACTIONS(3554),
    [sym_private_property_identifier] = ACTIONS(3554),
    [sym_this] = ACTIONS(3554),
    [sym_super] = ACTIONS(3554),
    [sym_true] = ACTIONS(3554),
    [sym_false] = ACTIONS(3554),
    [sym_null] = ACTIONS(3554),
    [sym_undefined] = ACTIONS(3554),
    [anon_sym_AT] = ACTIONS(3554),
    [anon_sym_static] = ACTIONS(3554),
    [anon_sym_readonly] = ACTIONS(3554),
    [anon_sym_get] = ACTIONS(3554),
    [anon_sym_set] = ACTIONS(3554),
    [anon_sym_declare] = ACTIONS(3554),
    [anon_sym_public] = ACTIONS(3554),
    [anon_sym_private] = ACTIONS(3554),
    [anon_sym_protected] = ACTIONS(3554),
    [anon_sym_override] = ACTIONS(3554),
    [anon_sym_module] = ACTIONS(3554),
    [anon_sym_any] = ACTIONS(3554),
    [anon_sym_number] = ACTIONS(3554),
    [anon_sym_boolean] = ACTIONS(3554),
    [anon_sym_string] = ACTIONS(3554),
    [anon_sym_symbol] = ACTIONS(3554),
    [anon_sym_object] = ACTIONS(3554),
    [anon_sym_property] = ACTIONS(3554),
    [anon_sym_signal] = ACTIONS(3554),
    [anon_sym_on] = ACTIONS(3554),
    [anon_sym_required] = ACTIONS(3554),
    [anon_sym_component] = ACTIONS(3554),
    [anon_sym_abstract] = ACTIONS(3554),
    [anon_sym_interface] = ACTIONS(3554),
    [anon_sym_enum] = ACTIONS(3554),
    [sym_html_comment] = ACTIONS(5),
  },
  [1547] = {
    [sym_comment] = STATE(1547),
    [sym_identifier] = ACTIONS(3552),
    [anon_sym_export] = ACTIONS(3552),
    [anon_sym_type] = ACTIONS(3552),
    [anon_sym_namespace] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3552),
    [anon_sym_RBRACE] = ACTIONS(3552),
    [anon_sym_typeof] = ACTIONS(3552),
    [anon_sym_import] = ACTIONS(3552),
    [anon_sym_from] = ACTIONS(3552),
    [anon_sym_with] = ACTIONS(3552),
    [anon_sym_var] = ACTIONS(3552),
    [anon_sym_let] = ACTIONS(3552),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_BANG] = ACTIONS(3552),
    [anon_sym_else] = ACTIONS(3552),
    [anon_sym_if] = ACTIONS(3552),
    [anon_sym_switch] = ACTIONS(3552),
    [anon_sym_for] = ACTIONS(3552),
    [anon_sym_LPAREN] = ACTIONS(3552),
    [anon_sym_await] = ACTIONS(3552),
    [anon_sym_of] = ACTIONS(3552),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(3552),
    [anon_sym_try] = ACTIONS(3552),
    [anon_sym_break] = ACTIONS(3552),
    [anon_sym_continue] = ACTIONS(3552),
    [anon_sym_debugger] = ACTIONS(3552),
    [anon_sym_return] = ACTIONS(3552),
    [anon_sym_throw] = ACTIONS(3552),
    [anon_sym_SEMI] = ACTIONS(3552),
    [anon_sym_yield] = ACTIONS(3552),
    [anon_sym_LBRACK] = ACTIONS(3552),
    [anon_sym_LTtemplate_GT] = ACTIONS(3552),
    [anon_sym_DQUOTE] = ACTIONS(3552),
    [anon_sym_SQUOTE] = ACTIONS(3552),
    [anon_sym_class] = ACTIONS(3552),
    [anon_sym_async] = ACTIONS(3552),
    [anon_sym_function] = ACTIONS(3552),
    [anon_sym_new] = ACTIONS(3552),
    [anon_sym_using] = ACTIONS(3552),
    [anon_sym_PLUS] = ACTIONS(3552),
    [anon_sym_DASH] = ACTIONS(3552),
    [anon_sym_SLASH] = ACTIONS(3552),
    [anon_sym_LT] = ACTIONS(3552),
    [anon_sym_TILDE] = ACTIONS(3552),
    [anon_sym_void] = ACTIONS(3552),
    [anon_sym_delete] = ACTIONS(3552),
    [anon_sym_PLUS_PLUS] = ACTIONS(3552),
    [anon_sym_DASH_DASH] = ACTIONS(3552),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3552),
    [sym_number] = ACTIONS(3552),
    [sym_private_property_identifier] = ACTIONS(3552),
    [sym_this] = ACTIONS(3552),
    [sym_super] = ACTIONS(3552),
    [sym_true] = ACTIONS(3552),
    [sym_false] = ACTIONS(3552),
    [sym_null] = ACTIONS(3552),
    [sym_undefined] = ACTIONS(3552),
    [anon_sym_AT] = ACTIONS(3552),
    [anon_sym_static] = ACTIONS(3552),
    [anon_sym_readonly] = ACTIONS(3552),
    [anon_sym_get] = ACTIONS(3552),
    [anon_sym_set] = ACTIONS(3552),
    [anon_sym_declare] = ACTIONS(3552),
    [anon_sym_public] = ACTIONS(3552),
    [anon_sym_private] = ACTIONS(3552),
    [anon_sym_protected] = ACTIONS(3552),
    [anon_sym_override] = ACTIONS(3552),
    [anon_sym_module] = ACTIONS(3552),
    [anon_sym_any] = ACTIONS(3552),
    [anon_sym_number] = ACTIONS(3552),
    [anon_sym_boolean] = ACTIONS(3552),
    [anon_sym_string] = ACTIONS(3552),
    [anon_sym_symbol] = ACTIONS(3552),
    [anon_sym_object] = ACTIONS(3552),
    [anon_sym_property] = ACTIONS(3552),
    [anon_sym_signal] = ACTIONS(3552),
    [anon_sym_on] = ACTIONS(3552),
    [anon_sym_required] = ACTIONS(3552),
    [anon_sym_component] = ACTIONS(3552),
    [anon_sym_abstract] = ACTIONS(3552),
    [anon_sym_interface] = ACTIONS(3552),
    [anon_sym_enum] = ACTIONS(3552),
    [sym_html_comment] = ACTIONS(5),
  },
  [1548] = {
    [sym_comment] = STATE(1548),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1549] = {
    [sym_comment] = STATE(1549),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1550] = {
    [sym_comment] = STATE(1550),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1551] = {
    [sym_comment] = STATE(1551),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1552] = {
    [sym_comment] = STATE(1552),
    [sym_identifier] = ACTIONS(3598),
    [anon_sym_export] = ACTIONS(3598),
    [anon_sym_type] = ACTIONS(3598),
    [anon_sym_namespace] = ACTIONS(3598),
    [anon_sym_LBRACE] = ACTIONS(3598),
    [anon_sym_RBRACE] = ACTIONS(3598),
    [anon_sym_typeof] = ACTIONS(3598),
    [anon_sym_import] = ACTIONS(3598),
    [anon_sym_from] = ACTIONS(3598),
    [anon_sym_with] = ACTIONS(3598),
    [anon_sym_var] = ACTIONS(3598),
    [anon_sym_let] = ACTIONS(3598),
    [anon_sym_const] = ACTIONS(3598),
    [anon_sym_BANG] = ACTIONS(3598),
    [anon_sym_else] = ACTIONS(3598),
    [anon_sym_if] = ACTIONS(3598),
    [anon_sym_switch] = ACTIONS(3598),
    [anon_sym_for] = ACTIONS(3598),
    [anon_sym_LPAREN] = ACTIONS(3598),
    [anon_sym_await] = ACTIONS(3598),
    [anon_sym_of] = ACTIONS(3598),
    [anon_sym_while] = ACTIONS(3598),
    [anon_sym_do] = ACTIONS(3598),
    [anon_sym_try] = ACTIONS(3598),
    [anon_sym_break] = ACTIONS(3598),
    [anon_sym_continue] = ACTIONS(3598),
    [anon_sym_debugger] = ACTIONS(3598),
    [anon_sym_return] = ACTIONS(3598),
    [anon_sym_throw] = ACTIONS(3598),
    [anon_sym_SEMI] = ACTIONS(3598),
    [anon_sym_yield] = ACTIONS(3598),
    [anon_sym_LBRACK] = ACTIONS(3598),
    [anon_sym_LTtemplate_GT] = ACTIONS(3598),
    [anon_sym_DQUOTE] = ACTIONS(3598),
    [anon_sym_SQUOTE] = ACTIONS(3598),
    [anon_sym_class] = ACTIONS(3598),
    [anon_sym_async] = ACTIONS(3598),
    [anon_sym_function] = ACTIONS(3598),
    [anon_sym_new] = ACTIONS(3598),
    [anon_sym_using] = ACTIONS(3598),
    [anon_sym_PLUS] = ACTIONS(3598),
    [anon_sym_DASH] = ACTIONS(3598),
    [anon_sym_SLASH] = ACTIONS(3598),
    [anon_sym_LT] = ACTIONS(3598),
    [anon_sym_TILDE] = ACTIONS(3598),
    [anon_sym_void] = ACTIONS(3598),
    [anon_sym_delete] = ACTIONS(3598),
    [anon_sym_PLUS_PLUS] = ACTIONS(3598),
    [anon_sym_DASH_DASH] = ACTIONS(3598),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3598),
    [sym_number] = ACTIONS(3598),
    [sym_private_property_identifier] = ACTIONS(3598),
    [sym_this] = ACTIONS(3598),
    [sym_super] = ACTIONS(3598),
    [sym_true] = ACTIONS(3598),
    [sym_false] = ACTIONS(3598),
    [sym_null] = ACTIONS(3598),
    [sym_undefined] = ACTIONS(3598),
    [anon_sym_AT] = ACTIONS(3598),
    [anon_sym_static] = ACTIONS(3598),
    [anon_sym_readonly] = ACTIONS(3598),
    [anon_sym_get] = ACTIONS(3598),
    [anon_sym_set] = ACTIONS(3598),
    [anon_sym_declare] = ACTIONS(3598),
    [anon_sym_public] = ACTIONS(3598),
    [anon_sym_private] = ACTIONS(3598),
    [anon_sym_protected] = ACTIONS(3598),
    [anon_sym_override] = ACTIONS(3598),
    [anon_sym_module] = ACTIONS(3598),
    [anon_sym_any] = ACTIONS(3598),
    [anon_sym_number] = ACTIONS(3598),
    [anon_sym_boolean] = ACTIONS(3598),
    [anon_sym_string] = ACTIONS(3598),
    [anon_sym_symbol] = ACTIONS(3598),
    [anon_sym_object] = ACTIONS(3598),
    [anon_sym_property] = ACTIONS(3598),
    [anon_sym_signal] = ACTIONS(3598),
    [anon_sym_on] = ACTIONS(3598),
    [anon_sym_required] = ACTIONS(3598),
    [anon_sym_component] = ACTIONS(3598),
    [anon_sym_abstract] = ACTIONS(3598),
    [anon_sym_interface] = ACTIONS(3598),
    [anon_sym_enum] = ACTIONS(3598),
    [sym_html_comment] = ACTIONS(5),
  },
  [1553] = {
    [sym_comment] = STATE(1553),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_export] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_namespace] = ACTIONS(3538),
    [anon_sym_LBRACE] = ACTIONS(3538),
    [anon_sym_RBRACE] = ACTIONS(3538),
    [anon_sym_typeof] = ACTIONS(3538),
    [anon_sym_import] = ACTIONS(3538),
    [anon_sym_from] = ACTIONS(3538),
    [anon_sym_with] = ACTIONS(3538),
    [anon_sym_var] = ACTIONS(3538),
    [anon_sym_let] = ACTIONS(3538),
    [anon_sym_const] = ACTIONS(3538),
    [anon_sym_BANG] = ACTIONS(3538),
    [anon_sym_else] = ACTIONS(3538),
    [anon_sym_if] = ACTIONS(3538),
    [anon_sym_switch] = ACTIONS(3538),
    [anon_sym_for] = ACTIONS(3538),
    [anon_sym_LPAREN] = ACTIONS(3538),
    [anon_sym_await] = ACTIONS(3538),
    [anon_sym_of] = ACTIONS(3538),
    [anon_sym_while] = ACTIONS(3538),
    [anon_sym_do] = ACTIONS(3538),
    [anon_sym_try] = ACTIONS(3538),
    [anon_sym_break] = ACTIONS(3538),
    [anon_sym_continue] = ACTIONS(3538),
    [anon_sym_debugger] = ACTIONS(3538),
    [anon_sym_return] = ACTIONS(3538),
    [anon_sym_throw] = ACTIONS(3538),
    [anon_sym_SEMI] = ACTIONS(3538),
    [anon_sym_yield] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(3538),
    [anon_sym_LTtemplate_GT] = ACTIONS(3538),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_async] = ACTIONS(3538),
    [anon_sym_function] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(3538),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_PLUS] = ACTIONS(3538),
    [anon_sym_DASH] = ACTIONS(3538),
    [anon_sym_SLASH] = ACTIONS(3538),
    [anon_sym_LT] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(3538),
    [anon_sym_void] = ACTIONS(3538),
    [anon_sym_delete] = ACTIONS(3538),
    [anon_sym_PLUS_PLUS] = ACTIONS(3538),
    [anon_sym_DASH_DASH] = ACTIONS(3538),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3538),
    [sym_number] = ACTIONS(3538),
    [sym_private_property_identifier] = ACTIONS(3538),
    [sym_this] = ACTIONS(3538),
    [sym_super] = ACTIONS(3538),
    [sym_true] = ACTIONS(3538),
    [sym_false] = ACTIONS(3538),
    [sym_null] = ACTIONS(3538),
    [sym_undefined] = ACTIONS(3538),
    [anon_sym_AT] = ACTIONS(3538),
    [anon_sym_static] = ACTIONS(3538),
    [anon_sym_readonly] = ACTIONS(3538),
    [anon_sym_get] = ACTIONS(3538),
    [anon_sym_set] = ACTIONS(3538),
    [anon_sym_declare] = ACTIONS(3538),
    [anon_sym_public] = ACTIONS(3538),
    [anon_sym_private] = ACTIONS(3538),
    [anon_sym_protected] = ACTIONS(3538),
    [anon_sym_override] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_any] = ACTIONS(3538),
    [anon_sym_number] = ACTIONS(3538),
    [anon_sym_boolean] = ACTIONS(3538),
    [anon_sym_string] = ACTIONS(3538),
    [anon_sym_symbol] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(3538),
    [anon_sym_property] = ACTIONS(3538),
    [anon_sym_signal] = ACTIONS(3538),
    [anon_sym_on] = ACTIONS(3538),
    [anon_sym_required] = ACTIONS(3538),
    [anon_sym_component] = ACTIONS(3538),
    [anon_sym_abstract] = ACTIONS(3538),
    [anon_sym_interface] = ACTIONS(3538),
    [anon_sym_enum] = ACTIONS(3538),
    [sym_html_comment] = ACTIONS(5),
  },
  [1554] = {
    [sym_comment] = STATE(1554),
    [sym_identifier] = ACTIONS(3464),
    [anon_sym_export] = ACTIONS(3464),
    [anon_sym_type] = ACTIONS(3464),
    [anon_sym_namespace] = ACTIONS(3464),
    [anon_sym_LBRACE] = ACTIONS(3464),
    [anon_sym_RBRACE] = ACTIONS(3464),
    [anon_sym_typeof] = ACTIONS(3464),
    [anon_sym_import] = ACTIONS(3464),
    [anon_sym_from] = ACTIONS(3464),
    [anon_sym_with] = ACTIONS(3464),
    [anon_sym_var] = ACTIONS(3464),
    [anon_sym_let] = ACTIONS(3464),
    [anon_sym_const] = ACTIONS(3464),
    [anon_sym_BANG] = ACTIONS(3464),
    [anon_sym_if] = ACTIONS(3464),
    [anon_sym_switch] = ACTIONS(3464),
    [anon_sym_for] = ACTIONS(3464),
    [anon_sym_LPAREN] = ACTIONS(3464),
    [anon_sym_await] = ACTIONS(3464),
    [anon_sym_of] = ACTIONS(3464),
    [anon_sym_while] = ACTIONS(3464),
    [anon_sym_do] = ACTIONS(3464),
    [anon_sym_try] = ACTIONS(3464),
    [anon_sym_break] = ACTIONS(3464),
    [anon_sym_continue] = ACTIONS(3464),
    [anon_sym_debugger] = ACTIONS(3464),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_throw] = ACTIONS(3464),
    [anon_sym_SEMI] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3464),
    [anon_sym_LBRACK] = ACTIONS(3464),
    [anon_sym_LTtemplate_GT] = ACTIONS(3464),
    [anon_sym_DQUOTE] = ACTIONS(3464),
    [anon_sym_SQUOTE] = ACTIONS(3464),
    [anon_sym_class] = ACTIONS(3464),
    [anon_sym_async] = ACTIONS(3464),
    [anon_sym_function] = ACTIONS(3464),
    [anon_sym_new] = ACTIONS(3464),
    [anon_sym_using] = ACTIONS(3464),
    [anon_sym_PLUS] = ACTIONS(3464),
    [anon_sym_DASH] = ACTIONS(3464),
    [anon_sym_SLASH] = ACTIONS(3464),
    [anon_sym_LT] = ACTIONS(3464),
    [anon_sym_TILDE] = ACTIONS(3464),
    [anon_sym_void] = ACTIONS(3464),
    [anon_sym_delete] = ACTIONS(3464),
    [anon_sym_PLUS_PLUS] = ACTIONS(3464),
    [anon_sym_DASH_DASH] = ACTIONS(3464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3464),
    [sym_number] = ACTIONS(3464),
    [sym_private_property_identifier] = ACTIONS(3464),
    [sym_this] = ACTIONS(3464),
    [sym_super] = ACTIONS(3464),
    [sym_true] = ACTIONS(3464),
    [sym_false] = ACTIONS(3464),
    [sym_null] = ACTIONS(3464),
    [sym_undefined] = ACTIONS(3464),
    [anon_sym_AT] = ACTIONS(3464),
    [anon_sym_static] = ACTIONS(3464),
    [anon_sym_readonly] = ACTIONS(3464),
    [anon_sym_get] = ACTIONS(3464),
    [anon_sym_set] = ACTIONS(3464),
    [anon_sym_declare] = ACTIONS(3464),
    [anon_sym_public] = ACTIONS(3464),
    [anon_sym_private] = ACTIONS(3464),
    [anon_sym_protected] = ACTIONS(3464),
    [anon_sym_override] = ACTIONS(3464),
    [anon_sym_module] = ACTIONS(3464),
    [anon_sym_any] = ACTIONS(3464),
    [anon_sym_number] = ACTIONS(3464),
    [anon_sym_boolean] = ACTIONS(3464),
    [anon_sym_string] = ACTIONS(3464),
    [anon_sym_symbol] = ACTIONS(3464),
    [anon_sym_object] = ACTIONS(3464),
    [anon_sym_property] = ACTIONS(3464),
    [anon_sym_signal] = ACTIONS(3464),
    [anon_sym_on] = ACTIONS(3464),
    [anon_sym_required] = ACTIONS(3464),
    [anon_sym_component] = ACTIONS(3464),
    [anon_sym_abstract] = ACTIONS(3464),
    [anon_sym_interface] = ACTIONS(3464),
    [anon_sym_enum] = ACTIONS(3464),
    [sym__automatic_semicolon] = ACTIONS(3466),
    [sym_html_comment] = ACTIONS(5),
  },
  [1555] = {
    [sym_comment] = STATE(1555),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2458),
    [anon_sym_type] = ACTIONS(2458),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_typeof] = ACTIONS(2458),
    [anon_sym_import] = ACTIONS(2458),
    [anon_sym_from] = ACTIONS(2458),
    [anon_sym_with] = ACTIONS(2458),
    [anon_sym_var] = ACTIONS(2458),
    [anon_sym_let] = ACTIONS(2458),
    [anon_sym_const] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_if] = ACTIONS(2458),
    [anon_sym_switch] = ACTIONS(2458),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_LPAREN] = ACTIONS(2458),
    [anon_sym_await] = ACTIONS(2458),
    [anon_sym_of] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(2458),
    [anon_sym_do] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2458),
    [anon_sym_break] = ACTIONS(2458),
    [anon_sym_continue] = ACTIONS(2458),
    [anon_sym_debugger] = ACTIONS(2458),
    [anon_sym_return] = ACTIONS(2458),
    [anon_sym_throw] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym_yield] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_LTtemplate_GT] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_class] = ACTIONS(2458),
    [anon_sym_async] = ACTIONS(2458),
    [anon_sym_function] = ACTIONS(2458),
    [anon_sym_new] = ACTIONS(2458),
    [anon_sym_using] = ACTIONS(2458),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_SLASH] = ACTIONS(2458),
    [anon_sym_LT] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_void] = ACTIONS(2458),
    [anon_sym_delete] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2458),
    [sym_number] = ACTIONS(2458),
    [sym_private_property_identifier] = ACTIONS(2458),
    [sym_this] = ACTIONS(2458),
    [sym_super] = ACTIONS(2458),
    [sym_true] = ACTIONS(2458),
    [sym_false] = ACTIONS(2458),
    [sym_null] = ACTIONS(2458),
    [sym_undefined] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_readonly] = ACTIONS(2458),
    [anon_sym_get] = ACTIONS(2458),
    [anon_sym_set] = ACTIONS(2458),
    [anon_sym_declare] = ACTIONS(2458),
    [anon_sym_public] = ACTIONS(2458),
    [anon_sym_private] = ACTIONS(2458),
    [anon_sym_protected] = ACTIONS(2458),
    [anon_sym_override] = ACTIONS(2458),
    [anon_sym_module] = ACTIONS(2458),
    [anon_sym_any] = ACTIONS(2458),
    [anon_sym_number] = ACTIONS(2458),
    [anon_sym_boolean] = ACTIONS(2458),
    [anon_sym_string] = ACTIONS(2458),
    [anon_sym_symbol] = ACTIONS(2458),
    [anon_sym_object] = ACTIONS(2458),
    [anon_sym_property] = ACTIONS(2458),
    [anon_sym_signal] = ACTIONS(2458),
    [anon_sym_on] = ACTIONS(2458),
    [anon_sym_required] = ACTIONS(2458),
    [anon_sym_component] = ACTIONS(2458),
    [anon_sym_abstract] = ACTIONS(2458),
    [anon_sym_interface] = ACTIONS(2458),
    [anon_sym_enum] = ACTIONS(2458),
    [sym__automatic_semicolon] = ACTIONS(2706),
    [sym_html_comment] = ACTIONS(5),
  },
  [1556] = {
    [sym_comment] = STATE(1556),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1557] = {
    [sym_comment] = STATE(1557),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_export] = ACTIONS(2434),
    [anon_sym_type] = ACTIONS(2434),
    [anon_sym_namespace] = ACTIONS(2434),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_typeof] = ACTIONS(2434),
    [anon_sym_import] = ACTIONS(2434),
    [anon_sym_from] = ACTIONS(2434),
    [anon_sym_with] = ACTIONS(2434),
    [anon_sym_var] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_const] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_else] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_switch] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_await] = ACTIONS(2434),
    [anon_sym_of] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_break] = ACTIONS(2434),
    [anon_sym_continue] = ACTIONS(2434),
    [anon_sym_debugger] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LTtemplate_GT] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_class] = ACTIONS(2434),
    [anon_sym_async] = ACTIONS(2434),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_using] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_SLASH] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_void] = ACTIONS(2434),
    [anon_sym_delete] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2434),
    [sym_number] = ACTIONS(2434),
    [sym_private_property_identifier] = ACTIONS(2434),
    [sym_this] = ACTIONS(2434),
    [sym_super] = ACTIONS(2434),
    [sym_true] = ACTIONS(2434),
    [sym_false] = ACTIONS(2434),
    [sym_null] = ACTIONS(2434),
    [sym_undefined] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2434),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_readonly] = ACTIONS(2434),
    [anon_sym_get] = ACTIONS(2434),
    [anon_sym_set] = ACTIONS(2434),
    [anon_sym_declare] = ACTIONS(2434),
    [anon_sym_public] = ACTIONS(2434),
    [anon_sym_private] = ACTIONS(2434),
    [anon_sym_protected] = ACTIONS(2434),
    [anon_sym_override] = ACTIONS(2434),
    [anon_sym_module] = ACTIONS(2434),
    [anon_sym_any] = ACTIONS(2434),
    [anon_sym_number] = ACTIONS(2434),
    [anon_sym_boolean] = ACTIONS(2434),
    [anon_sym_string] = ACTIONS(2434),
    [anon_sym_symbol] = ACTIONS(2434),
    [anon_sym_object] = ACTIONS(2434),
    [anon_sym_property] = ACTIONS(2434),
    [anon_sym_signal] = ACTIONS(2434),
    [anon_sym_on] = ACTIONS(2434),
    [anon_sym_required] = ACTIONS(2434),
    [anon_sym_component] = ACTIONS(2434),
    [anon_sym_abstract] = ACTIONS(2434),
    [anon_sym_interface] = ACTIONS(2434),
    [anon_sym_enum] = ACTIONS(2434),
    [sym_html_comment] = ACTIONS(5),
  },
  [1558] = {
    [sym_comment] = STATE(1558),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1559] = {
    [sym_comment] = STATE(1559),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1560] = {
    [sym_comment] = STATE(1560),
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_import] = ACTIONS(2474),
    [anon_sym_from] = ACTIONS(2474),
    [anon_sym_with] = ACTIONS(2474),
    [anon_sym_var] = ACTIONS(2474),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_await] = ACTIONS(2474),
    [anon_sym_of] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_debugger] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_LTtemplate_GT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_SLASH] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_void] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2474),
    [sym_number] = ACTIONS(2474),
    [sym_private_property_identifier] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
    [sym_super] = ACTIONS(2474),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [sym_null] = ACTIONS(2474),
    [sym_undefined] = ACTIONS(2474),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_property] = ACTIONS(2474),
    [anon_sym_signal] = ACTIONS(2474),
    [anon_sym_on] = ACTIONS(2474),
    [anon_sym_required] = ACTIONS(2474),
    [anon_sym_component] = ACTIONS(2474),
    [anon_sym_abstract] = ACTIONS(2474),
    [anon_sym_interface] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [sym_html_comment] = ACTIONS(5),
  },
  [1561] = {
    [sym_comment] = STATE(1561),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(2438),
    [anon_sym_type] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_typeof] = ACTIONS(2438),
    [anon_sym_import] = ACTIONS(2438),
    [anon_sym_from] = ACTIONS(2438),
    [anon_sym_with] = ACTIONS(2438),
    [anon_sym_var] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_else] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_await] = ACTIONS(2438),
    [anon_sym_of] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_debugger] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LTtemplate_GT] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_async] = ACTIONS(2438),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_SLASH] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_void] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2438),
    [sym_number] = ACTIONS(2438),
    [sym_private_property_identifier] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [sym_super] = ACTIONS(2438),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [sym_null] = ACTIONS(2438),
    [sym_undefined] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_readonly] = ACTIONS(2438),
    [anon_sym_get] = ACTIONS(2438),
    [anon_sym_set] = ACTIONS(2438),
    [anon_sym_declare] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_override] = ACTIONS(2438),
    [anon_sym_module] = ACTIONS(2438),
    [anon_sym_any] = ACTIONS(2438),
    [anon_sym_number] = ACTIONS(2438),
    [anon_sym_boolean] = ACTIONS(2438),
    [anon_sym_string] = ACTIONS(2438),
    [anon_sym_symbol] = ACTIONS(2438),
    [anon_sym_object] = ACTIONS(2438),
    [anon_sym_property] = ACTIONS(2438),
    [anon_sym_signal] = ACTIONS(2438),
    [anon_sym_on] = ACTIONS(2438),
    [anon_sym_required] = ACTIONS(2438),
    [anon_sym_component] = ACTIONS(2438),
    [anon_sym_abstract] = ACTIONS(2438),
    [anon_sym_interface] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [sym_html_comment] = ACTIONS(5),
  },
  [1562] = {
    [sym_comment] = STATE(1562),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1563] = {
    [sym_comment] = STATE(1563),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1564] = {
    [sym_comment] = STATE(1564),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_else] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1565] = {
    [sym_comment] = STATE(1565),
    [sym_identifier] = ACTIONS(3536),
    [anon_sym_export] = ACTIONS(3536),
    [anon_sym_type] = ACTIONS(3536),
    [anon_sym_namespace] = ACTIONS(3536),
    [anon_sym_LBRACE] = ACTIONS(3536),
    [anon_sym_RBRACE] = ACTIONS(3536),
    [anon_sym_typeof] = ACTIONS(3536),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_from] = ACTIONS(3536),
    [anon_sym_with] = ACTIONS(3536),
    [anon_sym_var] = ACTIONS(3536),
    [anon_sym_let] = ACTIONS(3536),
    [anon_sym_const] = ACTIONS(3536),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_else] = ACTIONS(3536),
    [anon_sym_if] = ACTIONS(3536),
    [anon_sym_switch] = ACTIONS(3536),
    [anon_sym_for] = ACTIONS(3536),
    [anon_sym_LPAREN] = ACTIONS(3536),
    [anon_sym_await] = ACTIONS(3536),
    [anon_sym_of] = ACTIONS(3536),
    [anon_sym_while] = ACTIONS(3536),
    [anon_sym_do] = ACTIONS(3536),
    [anon_sym_try] = ACTIONS(3536),
    [anon_sym_break] = ACTIONS(3536),
    [anon_sym_continue] = ACTIONS(3536),
    [anon_sym_debugger] = ACTIONS(3536),
    [anon_sym_return] = ACTIONS(3536),
    [anon_sym_throw] = ACTIONS(3536),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_yield] = ACTIONS(3536),
    [anon_sym_LBRACK] = ACTIONS(3536),
    [anon_sym_LTtemplate_GT] = ACTIONS(3536),
    [anon_sym_DQUOTE] = ACTIONS(3536),
    [anon_sym_SQUOTE] = ACTIONS(3536),
    [anon_sym_class] = ACTIONS(3536),
    [anon_sym_async] = ACTIONS(3536),
    [anon_sym_function] = ACTIONS(3536),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3536),
    [anon_sym_LT] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_void] = ACTIONS(3536),
    [anon_sym_delete] = ACTIONS(3536),
    [anon_sym_PLUS_PLUS] = ACTIONS(3536),
    [anon_sym_DASH_DASH] = ACTIONS(3536),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3536),
    [sym_number] = ACTIONS(3536),
    [sym_private_property_identifier] = ACTIONS(3536),
    [sym_this] = ACTIONS(3536),
    [sym_super] = ACTIONS(3536),
    [sym_true] = ACTIONS(3536),
    [sym_false] = ACTIONS(3536),
    [sym_null] = ACTIONS(3536),
    [sym_undefined] = ACTIONS(3536),
    [anon_sym_AT] = ACTIONS(3536),
    [anon_sym_static] = ACTIONS(3536),
    [anon_sym_readonly] = ACTIONS(3536),
    [anon_sym_get] = ACTIONS(3536),
    [anon_sym_set] = ACTIONS(3536),
    [anon_sym_declare] = ACTIONS(3536),
    [anon_sym_public] = ACTIONS(3536),
    [anon_sym_private] = ACTIONS(3536),
    [anon_sym_protected] = ACTIONS(3536),
    [anon_sym_override] = ACTIONS(3536),
    [anon_sym_module] = ACTIONS(3536),
    [anon_sym_any] = ACTIONS(3536),
    [anon_sym_number] = ACTIONS(3536),
    [anon_sym_boolean] = ACTIONS(3536),
    [anon_sym_string] = ACTIONS(3536),
    [anon_sym_symbol] = ACTIONS(3536),
    [anon_sym_object] = ACTIONS(3536),
    [anon_sym_property] = ACTIONS(3536),
    [anon_sym_signal] = ACTIONS(3536),
    [anon_sym_on] = ACTIONS(3536),
    [anon_sym_required] = ACTIONS(3536),
    [anon_sym_component] = ACTIONS(3536),
    [anon_sym_abstract] = ACTIONS(3536),
    [anon_sym_interface] = ACTIONS(3536),
    [anon_sym_enum] = ACTIONS(3536),
    [sym_html_comment] = ACTIONS(5),
  },
  [1566] = {
    [sym_comment] = STATE(1566),
    [sym_identifier] = ACTIONS(3534),
    [anon_sym_export] = ACTIONS(3534),
    [anon_sym_type] = ACTIONS(3534),
    [anon_sym_namespace] = ACTIONS(3534),
    [anon_sym_LBRACE] = ACTIONS(3534),
    [anon_sym_RBRACE] = ACTIONS(3534),
    [anon_sym_typeof] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3534),
    [anon_sym_from] = ACTIONS(3534),
    [anon_sym_with] = ACTIONS(3534),
    [anon_sym_var] = ACTIONS(3534),
    [anon_sym_let] = ACTIONS(3534),
    [anon_sym_const] = ACTIONS(3534),
    [anon_sym_BANG] = ACTIONS(3534),
    [anon_sym_else] = ACTIONS(3534),
    [anon_sym_if] = ACTIONS(3534),
    [anon_sym_switch] = ACTIONS(3534),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_LPAREN] = ACTIONS(3534),
    [anon_sym_await] = ACTIONS(3534),
    [anon_sym_of] = ACTIONS(3534),
    [anon_sym_while] = ACTIONS(3534),
    [anon_sym_do] = ACTIONS(3534),
    [anon_sym_try] = ACTIONS(3534),
    [anon_sym_break] = ACTIONS(3534),
    [anon_sym_continue] = ACTIONS(3534),
    [anon_sym_debugger] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(3534),
    [anon_sym_throw] = ACTIONS(3534),
    [anon_sym_SEMI] = ACTIONS(3534),
    [anon_sym_yield] = ACTIONS(3534),
    [anon_sym_LBRACK] = ACTIONS(3534),
    [anon_sym_LTtemplate_GT] = ACTIONS(3534),
    [anon_sym_DQUOTE] = ACTIONS(3534),
    [anon_sym_SQUOTE] = ACTIONS(3534),
    [anon_sym_class] = ACTIONS(3534),
    [anon_sym_async] = ACTIONS(3534),
    [anon_sym_function] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3534),
    [anon_sym_using] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_SLASH] = ACTIONS(3534),
    [anon_sym_LT] = ACTIONS(3534),
    [anon_sym_TILDE] = ACTIONS(3534),
    [anon_sym_void] = ACTIONS(3534),
    [anon_sym_delete] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3534),
    [sym_number] = ACTIONS(3534),
    [sym_private_property_identifier] = ACTIONS(3534),
    [sym_this] = ACTIONS(3534),
    [sym_super] = ACTIONS(3534),
    [sym_true] = ACTIONS(3534),
    [sym_false] = ACTIONS(3534),
    [sym_null] = ACTIONS(3534),
    [sym_undefined] = ACTIONS(3534),
    [anon_sym_AT] = ACTIONS(3534),
    [anon_sym_static] = ACTIONS(3534),
    [anon_sym_readonly] = ACTIONS(3534),
    [anon_sym_get] = ACTIONS(3534),
    [anon_sym_set] = ACTIONS(3534),
    [anon_sym_declare] = ACTIONS(3534),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_private] = ACTIONS(3534),
    [anon_sym_protected] = ACTIONS(3534),
    [anon_sym_override] = ACTIONS(3534),
    [anon_sym_module] = ACTIONS(3534),
    [anon_sym_any] = ACTIONS(3534),
    [anon_sym_number] = ACTIONS(3534),
    [anon_sym_boolean] = ACTIONS(3534),
    [anon_sym_string] = ACTIONS(3534),
    [anon_sym_symbol] = ACTIONS(3534),
    [anon_sym_object] = ACTIONS(3534),
    [anon_sym_property] = ACTIONS(3534),
    [anon_sym_signal] = ACTIONS(3534),
    [anon_sym_on] = ACTIONS(3534),
    [anon_sym_required] = ACTIONS(3534),
    [anon_sym_component] = ACTIONS(3534),
    [anon_sym_abstract] = ACTIONS(3534),
    [anon_sym_interface] = ACTIONS(3534),
    [anon_sym_enum] = ACTIONS(3534),
    [sym_html_comment] = ACTIONS(5),
  },
  [1567] = {
    [sym_comment] = STATE(1567),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_else] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym_html_comment] = ACTIONS(5),
  },
  [1568] = {
    [sym_comment] = STATE(1568),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_export] = ACTIONS(3498),
    [anon_sym_type] = ACTIONS(3498),
    [anon_sym_namespace] = ACTIONS(3498),
    [anon_sym_LBRACE] = ACTIONS(3498),
    [anon_sym_RBRACE] = ACTIONS(3498),
    [anon_sym_typeof] = ACTIONS(3498),
    [anon_sym_import] = ACTIONS(3498),
    [anon_sym_from] = ACTIONS(3498),
    [anon_sym_with] = ACTIONS(3498),
    [anon_sym_var] = ACTIONS(3498),
    [anon_sym_let] = ACTIONS(3498),
    [anon_sym_const] = ACTIONS(3498),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_else] = ACTIONS(3498),
    [anon_sym_if] = ACTIONS(3498),
    [anon_sym_switch] = ACTIONS(3498),
    [anon_sym_for] = ACTIONS(3498),
    [anon_sym_LPAREN] = ACTIONS(3498),
    [anon_sym_await] = ACTIONS(3498),
    [anon_sym_of] = ACTIONS(3498),
    [anon_sym_while] = ACTIONS(3498),
    [anon_sym_do] = ACTIONS(3498),
    [anon_sym_try] = ACTIONS(3498),
    [anon_sym_break] = ACTIONS(3498),
    [anon_sym_continue] = ACTIONS(3498),
    [anon_sym_debugger] = ACTIONS(3498),
    [anon_sym_return] = ACTIONS(3498),
    [anon_sym_throw] = ACTIONS(3498),
    [anon_sym_SEMI] = ACTIONS(3498),
    [anon_sym_yield] = ACTIONS(3498),
    [anon_sym_LBRACK] = ACTIONS(3498),
    [anon_sym_LTtemplate_GT] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3498),
    [anon_sym_SQUOTE] = ACTIONS(3498),
    [anon_sym_class] = ACTIONS(3498),
    [anon_sym_async] = ACTIONS(3498),
    [anon_sym_function] = ACTIONS(3498),
    [anon_sym_new] = ACTIONS(3498),
    [anon_sym_using] = ACTIONS(3498),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_SLASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_void] = ACTIONS(3498),
    [anon_sym_delete] = ACTIONS(3498),
    [anon_sym_PLUS_PLUS] = ACTIONS(3498),
    [anon_sym_DASH_DASH] = ACTIONS(3498),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3498),
    [sym_number] = ACTIONS(3498),
    [sym_private_property_identifier] = ACTIONS(3498),
    [sym_this] = ACTIONS(3498),
    [sym_super] = ACTIONS(3498),
    [sym_true] = ACTIONS(3498),
    [sym_false] = ACTIONS(3498),
    [sym_null] = ACTIONS(3498),
    [sym_undefined] = ACTIONS(3498),
    [anon_sym_AT] = ACTIONS(3498),
    [anon_sym_static] = ACTIONS(3498),
    [anon_sym_readonly] = ACTIONS(3498),
    [anon_sym_get] = ACTIONS(3498),
    [anon_sym_set] = ACTIONS(3498),
    [anon_sym_declare] = ACTIONS(3498),
    [anon_sym_public] = ACTIONS(3498),
    [anon_sym_private] = ACTIONS(3498),
    [anon_sym_protected] = ACTIONS(3498),
    [anon_sym_override] = ACTIONS(3498),
    [anon_sym_module] = ACTIONS(3498),
    [anon_sym_any] = ACTIONS(3498),
    [anon_sym_number] = ACTIONS(3498),
    [anon_sym_boolean] = ACTIONS(3498),
    [anon_sym_string] = ACTIONS(3498),
    [anon_sym_symbol] = ACTIONS(3498),
    [anon_sym_object] = ACTIONS(3498),
    [anon_sym_property] = ACTIONS(3498),
    [anon_sym_signal] = ACTIONS(3498),
    [anon_sym_on] = ACTIONS(3498),
    [anon_sym_required] = ACTIONS(3498),
    [anon_sym_component] = ACTIONS(3498),
    [anon_sym_abstract] = ACTIONS(3498),
    [anon_sym_interface] = ACTIONS(3498),
    [anon_sym_enum] = ACTIONS(3498),
    [sym_html_comment] = ACTIONS(5),
  },
  [1569] = {
    [sym_comment] = STATE(1569),
    [sym_identifier] = ACTIONS(3502),
    [anon_sym_export] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_namespace] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(3502),
    [anon_sym_RBRACE] = ACTIONS(3502),
    [anon_sym_typeof] = ACTIONS(3502),
    [anon_sym_import] = ACTIONS(3502),
    [anon_sym_from] = ACTIONS(3502),
    [anon_sym_with] = ACTIONS(3502),
    [anon_sym_var] = ACTIONS(3502),
    [anon_sym_let] = ACTIONS(3502),
    [anon_sym_const] = ACTIONS(3502),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_else] = ACTIONS(3502),
    [anon_sym_if] = ACTIONS(3502),
    [anon_sym_switch] = ACTIONS(3502),
    [anon_sym_for] = ACTIONS(3502),
    [anon_sym_LPAREN] = ACTIONS(3502),
    [anon_sym_await] = ACTIONS(3502),
    [anon_sym_of] = ACTIONS(3502),
    [anon_sym_while] = ACTIONS(3502),
    [anon_sym_do] = ACTIONS(3502),
    [anon_sym_try] = ACTIONS(3502),
    [anon_sym_break] = ACTIONS(3502),
    [anon_sym_continue] = ACTIONS(3502),
    [anon_sym_debugger] = ACTIONS(3502),
    [anon_sym_return] = ACTIONS(3502),
    [anon_sym_throw] = ACTIONS(3502),
    [anon_sym_SEMI] = ACTIONS(3502),
    [anon_sym_yield] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(3502),
    [anon_sym_LTtemplate_GT] = ACTIONS(3502),
    [anon_sym_DQUOTE] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_async] = ACTIONS(3502),
    [anon_sym_function] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3502),
    [anon_sym_using] = ACTIONS(3502),
    [anon_sym_PLUS] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3502),
    [anon_sym_SLASH] = ACTIONS(3502),
    [anon_sym_LT] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_void] = ACTIONS(3502),
    [anon_sym_delete] = ACTIONS(3502),
    [anon_sym_PLUS_PLUS] = ACTIONS(3502),
    [anon_sym_DASH_DASH] = ACTIONS(3502),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3502),
    [sym_private_property_identifier] = ACTIONS(3502),
    [sym_this] = ACTIONS(3502),
    [sym_super] = ACTIONS(3502),
    [sym_true] = ACTIONS(3502),
    [sym_false] = ACTIONS(3502),
    [sym_null] = ACTIONS(3502),
    [sym_undefined] = ACTIONS(3502),
    [anon_sym_AT] = ACTIONS(3502),
    [anon_sym_static] = ACTIONS(3502),
    [anon_sym_readonly] = ACTIONS(3502),
    [anon_sym_get] = ACTIONS(3502),
    [anon_sym_set] = ACTIONS(3502),
    [anon_sym_declare] = ACTIONS(3502),
    [anon_sym_public] = ACTIONS(3502),
    [anon_sym_private] = ACTIONS(3502),
    [anon_sym_protected] = ACTIONS(3502),
    [anon_sym_override] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_any] = ACTIONS(3502),
    [anon_sym_number] = ACTIONS(3502),
    [anon_sym_boolean] = ACTIONS(3502),
    [anon_sym_string] = ACTIONS(3502),
    [anon_sym_symbol] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(3502),
    [anon_sym_property] = ACTIONS(3502),
    [anon_sym_signal] = ACTIONS(3502),
    [anon_sym_on] = ACTIONS(3502),
    [anon_sym_required] = ACTIONS(3502),
    [anon_sym_component] = ACTIONS(3502),
    [anon_sym_abstract] = ACTIONS(3502),
    [anon_sym_interface] = ACTIONS(3502),
    [anon_sym_enum] = ACTIONS(3502),
    [sym_html_comment] = ACTIONS(5),
  },
  [1570] = {
    [sym_comment] = STATE(1570),
    [sym_identifier] = ACTIONS(3548),
    [anon_sym_export] = ACTIONS(3548),
    [anon_sym_type] = ACTIONS(3548),
    [anon_sym_namespace] = ACTIONS(3548),
    [anon_sym_LBRACE] = ACTIONS(3548),
    [anon_sym_RBRACE] = ACTIONS(3548),
    [anon_sym_typeof] = ACTIONS(3548),
    [anon_sym_import] = ACTIONS(3548),
    [anon_sym_from] = ACTIONS(3548),
    [anon_sym_with] = ACTIONS(3548),
    [anon_sym_var] = ACTIONS(3548),
    [anon_sym_let] = ACTIONS(3548),
    [anon_sym_const] = ACTIONS(3548),
    [anon_sym_BANG] = ACTIONS(3548),
    [anon_sym_else] = ACTIONS(3548),
    [anon_sym_if] = ACTIONS(3548),
    [anon_sym_switch] = ACTIONS(3548),
    [anon_sym_for] = ACTIONS(3548),
    [anon_sym_LPAREN] = ACTIONS(3548),
    [anon_sym_await] = ACTIONS(3548),
    [anon_sym_of] = ACTIONS(3548),
    [anon_sym_while] = ACTIONS(3548),
    [anon_sym_do] = ACTIONS(3548),
    [anon_sym_try] = ACTIONS(3548),
    [anon_sym_break] = ACTIONS(3548),
    [anon_sym_continue] = ACTIONS(3548),
    [anon_sym_debugger] = ACTIONS(3548),
    [anon_sym_return] = ACTIONS(3548),
    [anon_sym_throw] = ACTIONS(3548),
    [anon_sym_SEMI] = ACTIONS(3548),
    [anon_sym_yield] = ACTIONS(3548),
    [anon_sym_LBRACK] = ACTIONS(3548),
    [anon_sym_LTtemplate_GT] = ACTIONS(3548),
    [anon_sym_DQUOTE] = ACTIONS(3548),
    [anon_sym_SQUOTE] = ACTIONS(3548),
    [anon_sym_class] = ACTIONS(3548),
    [anon_sym_async] = ACTIONS(3548),
    [anon_sym_function] = ACTIONS(3548),
    [anon_sym_new] = ACTIONS(3548),
    [anon_sym_using] = ACTIONS(3548),
    [anon_sym_PLUS] = ACTIONS(3548),
    [anon_sym_DASH] = ACTIONS(3548),
    [anon_sym_SLASH] = ACTIONS(3548),
    [anon_sym_LT] = ACTIONS(3548),
    [anon_sym_TILDE] = ACTIONS(3548),
    [anon_sym_void] = ACTIONS(3548),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_PLUS_PLUS] = ACTIONS(3548),
    [anon_sym_DASH_DASH] = ACTIONS(3548),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3548),
    [sym_number] = ACTIONS(3548),
    [sym_private_property_identifier] = ACTIONS(3548),
    [sym_this] = ACTIONS(3548),
    [sym_super] = ACTIONS(3548),
    [sym_true] = ACTIONS(3548),
    [sym_false] = ACTIONS(3548),
    [sym_null] = ACTIONS(3548),
    [sym_undefined] = ACTIONS(3548),
    [anon_sym_AT] = ACTIONS(3548),
    [anon_sym_static] = ACTIONS(3548),
    [anon_sym_readonly] = ACTIONS(3548),
    [anon_sym_get] = ACTIONS(3548),
    [anon_sym_set] = ACTIONS(3548),
    [anon_sym_declare] = ACTIONS(3548),
    [anon_sym_public] = ACTIONS(3548),
    [anon_sym_private] = ACTIONS(3548),
    [anon_sym_protected] = ACTIONS(3548),
    [anon_sym_override] = ACTIONS(3548),
    [anon_sym_module] = ACTIONS(3548),
    [anon_sym_any] = ACTIONS(3548),
    [anon_sym_number] = ACTIONS(3548),
    [anon_sym_boolean] = ACTIONS(3548),
    [anon_sym_string] = ACTIONS(3548),
    [anon_sym_symbol] = ACTIONS(3548),
    [anon_sym_object] = ACTIONS(3548),
    [anon_sym_property] = ACTIONS(3548),
    [anon_sym_signal] = ACTIONS(3548),
    [anon_sym_on] = ACTIONS(3548),
    [anon_sym_required] = ACTIONS(3548),
    [anon_sym_component] = ACTIONS(3548),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_interface] = ACTIONS(3548),
    [anon_sym_enum] = ACTIONS(3548),
    [sym_html_comment] = ACTIONS(5),
  },
  [1571] = {
    [sym_comment] = STATE(1571),
    [sym_identifier] = ACTIONS(3578),
    [anon_sym_export] = ACTIONS(3578),
    [anon_sym_type] = ACTIONS(3578),
    [anon_sym_namespace] = ACTIONS(3578),
    [anon_sym_LBRACE] = ACTIONS(3578),
    [anon_sym_RBRACE] = ACTIONS(3578),
    [anon_sym_typeof] = ACTIONS(3578),
    [anon_sym_import] = ACTIONS(3578),
    [anon_sym_from] = ACTIONS(3578),
    [anon_sym_with] = ACTIONS(3578),
    [anon_sym_var] = ACTIONS(3578),
    [anon_sym_let] = ACTIONS(3578),
    [anon_sym_const] = ACTIONS(3578),
    [anon_sym_BANG] = ACTIONS(3578),
    [anon_sym_else] = ACTIONS(3578),
    [anon_sym_if] = ACTIONS(3578),
    [anon_sym_switch] = ACTIONS(3578),
    [anon_sym_for] = ACTIONS(3578),
    [anon_sym_LPAREN] = ACTIONS(3578),
    [anon_sym_await] = ACTIONS(3578),
    [anon_sym_of] = ACTIONS(3578),
    [anon_sym_while] = ACTIONS(3578),
    [anon_sym_do] = ACTIONS(3578),
    [anon_sym_try] = ACTIONS(3578),
    [anon_sym_break] = ACTIONS(3578),
    [anon_sym_continue] = ACTIONS(3578),
    [anon_sym_debugger] = ACTIONS(3578),
    [anon_sym_return] = ACTIONS(3578),
    [anon_sym_throw] = ACTIONS(3578),
    [anon_sym_SEMI] = ACTIONS(3578),
    [anon_sym_yield] = ACTIONS(3578),
    [anon_sym_LBRACK] = ACTIONS(3578),
    [anon_sym_LTtemplate_GT] = ACTIONS(3578),
    [anon_sym_DQUOTE] = ACTIONS(3578),
    [anon_sym_SQUOTE] = ACTIONS(3578),
    [anon_sym_class] = ACTIONS(3578),
    [anon_sym_async] = ACTIONS(3578),
    [anon_sym_function] = ACTIONS(3578),
    [anon_sym_new] = ACTIONS(3578),
    [anon_sym_using] = ACTIONS(3578),
    [anon_sym_PLUS] = ACTIONS(3578),
    [anon_sym_DASH] = ACTIONS(3578),
    [anon_sym_SLASH] = ACTIONS(3578),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_TILDE] = ACTIONS(3578),
    [anon_sym_void] = ACTIONS(3578),
    [anon_sym_delete] = ACTIONS(3578),
    [anon_sym_PLUS_PLUS] = ACTIONS(3578),
    [anon_sym_DASH_DASH] = ACTIONS(3578),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3578),
    [sym_number] = ACTIONS(3578),
    [sym_private_property_identifier] = ACTIONS(3578),
    [sym_this] = ACTIONS(3578),
    [sym_super] = ACTIONS(3578),
    [sym_true] = ACTIONS(3578),
    [sym_false] = ACTIONS(3578),
    [sym_null] = ACTIONS(3578),
    [sym_undefined] = ACTIONS(3578),
    [anon_sym_AT] = ACTIONS(3578),
    [anon_sym_static] = ACTIONS(3578),
    [anon_sym_readonly] = ACTIONS(3578),
    [anon_sym_get] = ACTIONS(3578),
    [anon_sym_set] = ACTIONS(3578),
    [anon_sym_declare] = ACTIONS(3578),
    [anon_sym_public] = ACTIONS(3578),
    [anon_sym_private] = ACTIONS(3578),
    [anon_sym_protected] = ACTIONS(3578),
    [anon_sym_override] = ACTIONS(3578),
    [anon_sym_module] = ACTIONS(3578),
    [anon_sym_any] = ACTIONS(3578),
    [anon_sym_number] = ACTIONS(3578),
    [anon_sym_boolean] = ACTIONS(3578),
    [anon_sym_string] = ACTIONS(3578),
    [anon_sym_symbol] = ACTIONS(3578),
    [anon_sym_object] = ACTIONS(3578),
    [anon_sym_property] = ACTIONS(3578),
    [anon_sym_signal] = ACTIONS(3578),
    [anon_sym_on] = ACTIONS(3578),
    [anon_sym_required] = ACTIONS(3578),
    [anon_sym_component] = ACTIONS(3578),
    [anon_sym_abstract] = ACTIONS(3578),
    [anon_sym_interface] = ACTIONS(3578),
    [anon_sym_enum] = ACTIONS(3578),
    [sym_html_comment] = ACTIONS(5),
  },
  [1572] = {
    [sym_comment] = STATE(1572),
    [sym_identifier] = ACTIONS(2342),
    [anon_sym_export] = ACTIONS(2342),
    [anon_sym_type] = ACTIONS(2342),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2342),
    [anon_sym_RBRACE] = ACTIONS(2342),
    [anon_sym_typeof] = ACTIONS(2342),
    [anon_sym_import] = ACTIONS(2342),
    [anon_sym_from] = ACTIONS(2342),
    [anon_sym_with] = ACTIONS(2342),
    [anon_sym_var] = ACTIONS(2342),
    [anon_sym_let] = ACTIONS(2342),
    [anon_sym_const] = ACTIONS(2342),
    [anon_sym_BANG] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(2342),
    [anon_sym_await] = ACTIONS(2342),
    [anon_sym_of] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_debugger] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2342),
    [anon_sym_yield] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2342),
    [anon_sym_LTtemplate_GT] = ACTIONS(2342),
    [anon_sym_DQUOTE] = ACTIONS(2342),
    [anon_sym_SQUOTE] = ACTIONS(2342),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_async] = ACTIONS(2342),
    [anon_sym_function] = ACTIONS(2342),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_using] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_SLASH] = ACTIONS(2342),
    [anon_sym_LT] = ACTIONS(2342),
    [anon_sym_TILDE] = ACTIONS(2342),
    [anon_sym_void] = ACTIONS(2342),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_PLUS_PLUS] = ACTIONS(2342),
    [anon_sym_DASH_DASH] = ACTIONS(2342),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2342),
    [sym_number] = ACTIONS(2342),
    [sym_private_property_identifier] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [sym_super] = ACTIONS(2342),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [sym_null] = ACTIONS(2342),
    [sym_undefined] = ACTIONS(2342),
    [anon_sym_AT] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_readonly] = ACTIONS(2342),
    [anon_sym_get] = ACTIONS(2342),
    [anon_sym_set] = ACTIONS(2342),
    [anon_sym_declare] = ACTIONS(2342),
    [anon_sym_public] = ACTIONS(2342),
    [anon_sym_private] = ACTIONS(2342),
    [anon_sym_protected] = ACTIONS(2342),
    [anon_sym_override] = ACTIONS(2342),
    [anon_sym_module] = ACTIONS(2342),
    [anon_sym_any] = ACTIONS(2342),
    [anon_sym_number] = ACTIONS(2342),
    [anon_sym_boolean] = ACTIONS(2342),
    [anon_sym_string] = ACTIONS(2342),
    [anon_sym_symbol] = ACTIONS(2342),
    [anon_sym_object] = ACTIONS(2342),
    [anon_sym_property] = ACTIONS(2342),
    [anon_sym_signal] = ACTIONS(2342),
    [anon_sym_on] = ACTIONS(2342),
    [anon_sym_required] = ACTIONS(2342),
    [anon_sym_component] = ACTIONS(2342),
    [anon_sym_abstract] = ACTIONS(2342),
    [anon_sym_interface] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [sym__automatic_semicolon] = ACTIONS(2684),
    [sym_html_comment] = ACTIONS(5),
  },
  [1573] = {
    [sym_comment] = STATE(1573),
    [sym_identifier] = ACTIONS(3582),
    [anon_sym_export] = ACTIONS(3582),
    [anon_sym_type] = ACTIONS(3582),
    [anon_sym_namespace] = ACTIONS(3582),
    [anon_sym_LBRACE] = ACTIONS(3582),
    [anon_sym_RBRACE] = ACTIONS(3582),
    [anon_sym_typeof] = ACTIONS(3582),
    [anon_sym_import] = ACTIONS(3582),
    [anon_sym_from] = ACTIONS(3582),
    [anon_sym_with] = ACTIONS(3582),
    [anon_sym_var] = ACTIONS(3582),
    [anon_sym_let] = ACTIONS(3582),
    [anon_sym_const] = ACTIONS(3582),
    [anon_sym_BANG] = ACTIONS(3582),
    [anon_sym_else] = ACTIONS(3582),
    [anon_sym_if] = ACTIONS(3582),
    [anon_sym_switch] = ACTIONS(3582),
    [anon_sym_for] = ACTIONS(3582),
    [anon_sym_LPAREN] = ACTIONS(3582),
    [anon_sym_await] = ACTIONS(3582),
    [anon_sym_of] = ACTIONS(3582),
    [anon_sym_while] = ACTIONS(3582),
    [anon_sym_do] = ACTIONS(3582),
    [anon_sym_try] = ACTIONS(3582),
    [anon_sym_break] = ACTIONS(3582),
    [anon_sym_continue] = ACTIONS(3582),
    [anon_sym_debugger] = ACTIONS(3582),
    [anon_sym_return] = ACTIONS(3582),
    [anon_sym_throw] = ACTIONS(3582),
    [anon_sym_SEMI] = ACTIONS(3582),
    [anon_sym_yield] = ACTIONS(3582),
    [anon_sym_LBRACK] = ACTIONS(3582),
    [anon_sym_LTtemplate_GT] = ACTIONS(3582),
    [anon_sym_DQUOTE] = ACTIONS(3582),
    [anon_sym_SQUOTE] = ACTIONS(3582),
    [anon_sym_class] = ACTIONS(3582),
    [anon_sym_async] = ACTIONS(3582),
    [anon_sym_function] = ACTIONS(3582),
    [anon_sym_new] = ACTIONS(3582),
    [anon_sym_using] = ACTIONS(3582),
    [anon_sym_PLUS] = ACTIONS(3582),
    [anon_sym_DASH] = ACTIONS(3582),
    [anon_sym_SLASH] = ACTIONS(3582),
    [anon_sym_LT] = ACTIONS(3582),
    [anon_sym_TILDE] = ACTIONS(3582),
    [anon_sym_void] = ACTIONS(3582),
    [anon_sym_delete] = ACTIONS(3582),
    [anon_sym_PLUS_PLUS] = ACTIONS(3582),
    [anon_sym_DASH_DASH] = ACTIONS(3582),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3582),
    [sym_number] = ACTIONS(3582),
    [sym_private_property_identifier] = ACTIONS(3582),
    [sym_this] = ACTIONS(3582),
    [sym_super] = ACTIONS(3582),
    [sym_true] = ACTIONS(3582),
    [sym_false] = ACTIONS(3582),
    [sym_null] = ACTIONS(3582),
    [sym_undefined] = ACTIONS(3582),
    [anon_sym_AT] = ACTIONS(3582),
    [anon_sym_static] = ACTIONS(3582),
    [anon_sym_readonly] = ACTIONS(3582),
    [anon_sym_get] = ACTIONS(3582),
    [anon_sym_set] = ACTIONS(3582),
    [anon_sym_declare] = ACTIONS(3582),
    [anon_sym_public] = ACTIONS(3582),
    [anon_sym_private] = ACTIONS(3582),
    [anon_sym_protected] = ACTIONS(3582),
    [anon_sym_override] = ACTIONS(3582),
    [anon_sym_module] = ACTIONS(3582),
    [anon_sym_any] = ACTIONS(3582),
    [anon_sym_number] = ACTIONS(3582),
    [anon_sym_boolean] = ACTIONS(3582),
    [anon_sym_string] = ACTIONS(3582),
    [anon_sym_symbol] = ACTIONS(3582),
    [anon_sym_object] = ACTIONS(3582),
    [anon_sym_property] = ACTIONS(3582),
    [anon_sym_signal] = ACTIONS(3582),
    [anon_sym_on] = ACTIONS(3582),
    [anon_sym_required] = ACTIONS(3582),
    [anon_sym_component] = ACTIONS(3582),
    [anon_sym_abstract] = ACTIONS(3582),
    [anon_sym_interface] = ACTIONS(3582),
    [anon_sym_enum] = ACTIONS(3582),
    [sym_html_comment] = ACTIONS(5),
  },
  [1574] = {
    [sym_comment] = STATE(1574),
    [sym_identifier] = ACTIONS(3582),
    [anon_sym_export] = ACTIONS(3582),
    [anon_sym_type] = ACTIONS(3582),
    [anon_sym_namespace] = ACTIONS(3582),
    [anon_sym_LBRACE] = ACTIONS(3582),
    [anon_sym_RBRACE] = ACTIONS(3582),
    [anon_sym_typeof] = ACTIONS(3582),
    [anon_sym_import] = ACTIONS(3582),
    [anon_sym_from] = ACTIONS(3582),
    [anon_sym_with] = ACTIONS(3582),
    [anon_sym_var] = ACTIONS(3582),
    [anon_sym_let] = ACTIONS(3582),
    [anon_sym_const] = ACTIONS(3582),
    [anon_sym_BANG] = ACTIONS(3582),
    [anon_sym_else] = ACTIONS(3582),
    [anon_sym_if] = ACTIONS(3582),
    [anon_sym_switch] = ACTIONS(3582),
    [anon_sym_for] = ACTIONS(3582),
    [anon_sym_LPAREN] = ACTIONS(3582),
    [anon_sym_await] = ACTIONS(3582),
    [anon_sym_of] = ACTIONS(3582),
    [anon_sym_while] = ACTIONS(3582),
    [anon_sym_do] = ACTIONS(3582),
    [anon_sym_try] = ACTIONS(3582),
    [anon_sym_break] = ACTIONS(3582),
    [anon_sym_continue] = ACTIONS(3582),
    [anon_sym_debugger] = ACTIONS(3582),
    [anon_sym_return] = ACTIONS(3582),
    [anon_sym_throw] = ACTIONS(3582),
    [anon_sym_SEMI] = ACTIONS(3582),
    [anon_sym_yield] = ACTIONS(3582),
    [anon_sym_LBRACK] = ACTIONS(3582),
    [anon_sym_LTtemplate_GT] = ACTIONS(3582),
    [anon_sym_DQUOTE] = ACTIONS(3582),
    [anon_sym_SQUOTE] = ACTIONS(3582),
    [anon_sym_class] = ACTIONS(3582),
    [anon_sym_async] = ACTIONS(3582),
    [anon_sym_function] = ACTIONS(3582),
    [anon_sym_new] = ACTIONS(3582),
    [anon_sym_using] = ACTIONS(3582),
    [anon_sym_PLUS] = ACTIONS(3582),
    [anon_sym_DASH] = ACTIONS(3582),
    [anon_sym_SLASH] = ACTIONS(3582),
    [anon_sym_LT] = ACTIONS(3582),
    [anon_sym_TILDE] = ACTIONS(3582),
    [anon_sym_void] = ACTIONS(3582),
    [anon_sym_delete] = ACTIONS(3582),
    [anon_sym_PLUS_PLUS] = ACTIONS(3582),
    [anon_sym_DASH_DASH] = ACTIONS(3582),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3582),
    [sym_number] = ACTIONS(3582),
    [sym_private_property_identifier] = ACTIONS(3582),
    [sym_this] = ACTIONS(3582),
    [sym_super] = ACTIONS(3582),
    [sym_true] = ACTIONS(3582),
    [sym_false] = ACTIONS(3582),
    [sym_null] = ACTIONS(3582),
    [sym_undefined] = ACTIONS(3582),
    [anon_sym_AT] = ACTIONS(3582),
    [anon_sym_static] = ACTIONS(3582),
    [anon_sym_readonly] = ACTIONS(3582),
    [anon_sym_get] = ACTIONS(3582),
    [anon_sym_set] = ACTIONS(3582),
    [anon_sym_declare] = ACTIONS(3582),
    [anon_sym_public] = ACTIONS(3582),
    [anon_sym_private] = ACTIONS(3582),
    [anon_sym_protected] = ACTIONS(3582),
    [anon_sym_override] = ACTIONS(3582),
    [anon_sym_module] = ACTIONS(3582),
    [anon_sym_any] = ACTIONS(3582),
    [anon_sym_number] = ACTIONS(3582),
    [anon_sym_boolean] = ACTIONS(3582),
    [anon_sym_string] = ACTIONS(3582),
    [anon_sym_symbol] = ACTIONS(3582),
    [anon_sym_object] = ACTIONS(3582),
    [anon_sym_property] = ACTIONS(3582),
    [anon_sym_signal] = ACTIONS(3582),
    [anon_sym_on] = ACTIONS(3582),
    [anon_sym_required] = ACTIONS(3582),
    [anon_sym_component] = ACTIONS(3582),
    [anon_sym_abstract] = ACTIONS(3582),
    [anon_sym_interface] = ACTIONS(3582),
    [anon_sym_enum] = ACTIONS(3582),
    [sym_html_comment] = ACTIONS(5),
  },
  [1575] = {
    [sym_comment] = STATE(1575),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1576] = {
    [sym_comment] = STATE(1576),
    [sym_identifier] = ACTIONS(2338),
    [anon_sym_export] = ACTIONS(2338),
    [anon_sym_type] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2338),
    [anon_sym_RBRACE] = ACTIONS(2338),
    [anon_sym_typeof] = ACTIONS(2338),
    [anon_sym_import] = ACTIONS(2338),
    [anon_sym_from] = ACTIONS(2338),
    [anon_sym_with] = ACTIONS(2338),
    [anon_sym_var] = ACTIONS(2338),
    [anon_sym_let] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_BANG] = ACTIONS(2338),
    [anon_sym_else] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_LPAREN] = ACTIONS(2338),
    [anon_sym_await] = ACTIONS(2338),
    [anon_sym_of] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_debugger] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2338),
    [anon_sym_yield] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_LTtemplate_GT] = ACTIONS(2338),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_async] = ACTIONS(2338),
    [anon_sym_function] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_using] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_SLASH] = ACTIONS(2338),
    [anon_sym_LT] = ACTIONS(2338),
    [anon_sym_TILDE] = ACTIONS(2338),
    [anon_sym_void] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2338),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [sym_super] = ACTIONS(2338),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [sym_null] = ACTIONS(2338),
    [sym_undefined] = ACTIONS(2338),
    [anon_sym_AT] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_readonly] = ACTIONS(2338),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
    [anon_sym_declare] = ACTIONS(2338),
    [anon_sym_public] = ACTIONS(2338),
    [anon_sym_private] = ACTIONS(2338),
    [anon_sym_protected] = ACTIONS(2338),
    [anon_sym_override] = ACTIONS(2338),
    [anon_sym_module] = ACTIONS(2338),
    [anon_sym_any] = ACTIONS(2338),
    [anon_sym_number] = ACTIONS(2338),
    [anon_sym_boolean] = ACTIONS(2338),
    [anon_sym_string] = ACTIONS(2338),
    [anon_sym_symbol] = ACTIONS(2338),
    [anon_sym_object] = ACTIONS(2338),
    [anon_sym_property] = ACTIONS(2338),
    [anon_sym_signal] = ACTIONS(2338),
    [anon_sym_on] = ACTIONS(2338),
    [anon_sym_required] = ACTIONS(2338),
    [anon_sym_component] = ACTIONS(2338),
    [anon_sym_abstract] = ACTIONS(2338),
    [anon_sym_interface] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [sym_html_comment] = ACTIONS(5),
  },
  [1577] = {
    [sym_comment] = STATE(1577),
    [sym_identifier] = ACTIONS(3582),
    [anon_sym_export] = ACTIONS(3582),
    [anon_sym_type] = ACTIONS(3582),
    [anon_sym_namespace] = ACTIONS(3582),
    [anon_sym_LBRACE] = ACTIONS(3582),
    [anon_sym_RBRACE] = ACTIONS(3582),
    [anon_sym_typeof] = ACTIONS(3582),
    [anon_sym_import] = ACTIONS(3582),
    [anon_sym_from] = ACTIONS(3582),
    [anon_sym_with] = ACTIONS(3582),
    [anon_sym_var] = ACTIONS(3582),
    [anon_sym_let] = ACTIONS(3582),
    [anon_sym_const] = ACTIONS(3582),
    [anon_sym_BANG] = ACTIONS(3582),
    [anon_sym_else] = ACTIONS(3582),
    [anon_sym_if] = ACTIONS(3582),
    [anon_sym_switch] = ACTIONS(3582),
    [anon_sym_for] = ACTIONS(3582),
    [anon_sym_LPAREN] = ACTIONS(3582),
    [anon_sym_await] = ACTIONS(3582),
    [anon_sym_of] = ACTIONS(3582),
    [anon_sym_while] = ACTIONS(3582),
    [anon_sym_do] = ACTIONS(3582),
    [anon_sym_try] = ACTIONS(3582),
    [anon_sym_break] = ACTIONS(3582),
    [anon_sym_continue] = ACTIONS(3582),
    [anon_sym_debugger] = ACTIONS(3582),
    [anon_sym_return] = ACTIONS(3582),
    [anon_sym_throw] = ACTIONS(3582),
    [anon_sym_SEMI] = ACTIONS(3582),
    [anon_sym_yield] = ACTIONS(3582),
    [anon_sym_LBRACK] = ACTIONS(3582),
    [anon_sym_LTtemplate_GT] = ACTIONS(3582),
    [anon_sym_DQUOTE] = ACTIONS(3582),
    [anon_sym_SQUOTE] = ACTIONS(3582),
    [anon_sym_class] = ACTIONS(3582),
    [anon_sym_async] = ACTIONS(3582),
    [anon_sym_function] = ACTIONS(3582),
    [anon_sym_new] = ACTIONS(3582),
    [anon_sym_using] = ACTIONS(3582),
    [anon_sym_PLUS] = ACTIONS(3582),
    [anon_sym_DASH] = ACTIONS(3582),
    [anon_sym_SLASH] = ACTIONS(3582),
    [anon_sym_LT] = ACTIONS(3582),
    [anon_sym_TILDE] = ACTIONS(3582),
    [anon_sym_void] = ACTIONS(3582),
    [anon_sym_delete] = ACTIONS(3582),
    [anon_sym_PLUS_PLUS] = ACTIONS(3582),
    [anon_sym_DASH_DASH] = ACTIONS(3582),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3582),
    [sym_number] = ACTIONS(3582),
    [sym_private_property_identifier] = ACTIONS(3582),
    [sym_this] = ACTIONS(3582),
    [sym_super] = ACTIONS(3582),
    [sym_true] = ACTIONS(3582),
    [sym_false] = ACTIONS(3582),
    [sym_null] = ACTIONS(3582),
    [sym_undefined] = ACTIONS(3582),
    [anon_sym_AT] = ACTIONS(3582),
    [anon_sym_static] = ACTIONS(3582),
    [anon_sym_readonly] = ACTIONS(3582),
    [anon_sym_get] = ACTIONS(3582),
    [anon_sym_set] = ACTIONS(3582),
    [anon_sym_declare] = ACTIONS(3582),
    [anon_sym_public] = ACTIONS(3582),
    [anon_sym_private] = ACTIONS(3582),
    [anon_sym_protected] = ACTIONS(3582),
    [anon_sym_override] = ACTIONS(3582),
    [anon_sym_module] = ACTIONS(3582),
    [anon_sym_any] = ACTIONS(3582),
    [anon_sym_number] = ACTIONS(3582),
    [anon_sym_boolean] = ACTIONS(3582),
    [anon_sym_string] = ACTIONS(3582),
    [anon_sym_symbol] = ACTIONS(3582),
    [anon_sym_object] = ACTIONS(3582),
    [anon_sym_property] = ACTIONS(3582),
    [anon_sym_signal] = ACTIONS(3582),
    [anon_sym_on] = ACTIONS(3582),
    [anon_sym_required] = ACTIONS(3582),
    [anon_sym_component] = ACTIONS(3582),
    [anon_sym_abstract] = ACTIONS(3582),
    [anon_sym_interface] = ACTIONS(3582),
    [anon_sym_enum] = ACTIONS(3582),
    [sym_html_comment] = ACTIONS(5),
  },
  [1578] = {
    [sym_comment] = STATE(1578),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_export] = ACTIONS(3584),
    [anon_sym_type] = ACTIONS(3584),
    [anon_sym_namespace] = ACTIONS(3584),
    [anon_sym_LBRACE] = ACTIONS(3584),
    [anon_sym_RBRACE] = ACTIONS(3584),
    [anon_sym_typeof] = ACTIONS(3584),
    [anon_sym_import] = ACTIONS(3584),
    [anon_sym_from] = ACTIONS(3584),
    [anon_sym_with] = ACTIONS(3584),
    [anon_sym_var] = ACTIONS(3584),
    [anon_sym_let] = ACTIONS(3584),
    [anon_sym_const] = ACTIONS(3584),
    [anon_sym_BANG] = ACTIONS(3584),
    [anon_sym_else] = ACTIONS(3584),
    [anon_sym_if] = ACTIONS(3584),
    [anon_sym_switch] = ACTIONS(3584),
    [anon_sym_for] = ACTIONS(3584),
    [anon_sym_LPAREN] = ACTIONS(3584),
    [anon_sym_await] = ACTIONS(3584),
    [anon_sym_of] = ACTIONS(3584),
    [anon_sym_while] = ACTIONS(3584),
    [anon_sym_do] = ACTIONS(3584),
    [anon_sym_try] = ACTIONS(3584),
    [anon_sym_break] = ACTIONS(3584),
    [anon_sym_continue] = ACTIONS(3584),
    [anon_sym_debugger] = ACTIONS(3584),
    [anon_sym_return] = ACTIONS(3584),
    [anon_sym_throw] = ACTIONS(3584),
    [anon_sym_SEMI] = ACTIONS(3584),
    [anon_sym_yield] = ACTIONS(3584),
    [anon_sym_LBRACK] = ACTIONS(3584),
    [anon_sym_LTtemplate_GT] = ACTIONS(3584),
    [anon_sym_DQUOTE] = ACTIONS(3584),
    [anon_sym_SQUOTE] = ACTIONS(3584),
    [anon_sym_class] = ACTIONS(3584),
    [anon_sym_async] = ACTIONS(3584),
    [anon_sym_function] = ACTIONS(3584),
    [anon_sym_new] = ACTIONS(3584),
    [anon_sym_using] = ACTIONS(3584),
    [anon_sym_PLUS] = ACTIONS(3584),
    [anon_sym_DASH] = ACTIONS(3584),
    [anon_sym_SLASH] = ACTIONS(3584),
    [anon_sym_LT] = ACTIONS(3584),
    [anon_sym_TILDE] = ACTIONS(3584),
    [anon_sym_void] = ACTIONS(3584),
    [anon_sym_delete] = ACTIONS(3584),
    [anon_sym_PLUS_PLUS] = ACTIONS(3584),
    [anon_sym_DASH_DASH] = ACTIONS(3584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3584),
    [sym_number] = ACTIONS(3584),
    [sym_private_property_identifier] = ACTIONS(3584),
    [sym_this] = ACTIONS(3584),
    [sym_super] = ACTIONS(3584),
    [sym_true] = ACTIONS(3584),
    [sym_false] = ACTIONS(3584),
    [sym_null] = ACTIONS(3584),
    [sym_undefined] = ACTIONS(3584),
    [anon_sym_AT] = ACTIONS(3584),
    [anon_sym_static] = ACTIONS(3584),
    [anon_sym_readonly] = ACTIONS(3584),
    [anon_sym_get] = ACTIONS(3584),
    [anon_sym_set] = ACTIONS(3584),
    [anon_sym_declare] = ACTIONS(3584),
    [anon_sym_public] = ACTIONS(3584),
    [anon_sym_private] = ACTIONS(3584),
    [anon_sym_protected] = ACTIONS(3584),
    [anon_sym_override] = ACTIONS(3584),
    [anon_sym_module] = ACTIONS(3584),
    [anon_sym_any] = ACTIONS(3584),
    [anon_sym_number] = ACTIONS(3584),
    [anon_sym_boolean] = ACTIONS(3584),
    [anon_sym_string] = ACTIONS(3584),
    [anon_sym_symbol] = ACTIONS(3584),
    [anon_sym_object] = ACTIONS(3584),
    [anon_sym_property] = ACTIONS(3584),
    [anon_sym_signal] = ACTIONS(3584),
    [anon_sym_on] = ACTIONS(3584),
    [anon_sym_required] = ACTIONS(3584),
    [anon_sym_component] = ACTIONS(3584),
    [anon_sym_abstract] = ACTIONS(3584),
    [anon_sym_interface] = ACTIONS(3584),
    [anon_sym_enum] = ACTIONS(3584),
    [sym_html_comment] = ACTIONS(5),
  },
  [1579] = {
    [sym_comment] = STATE(1579),
    [sym_identifier] = ACTIONS(3530),
    [anon_sym_export] = ACTIONS(3530),
    [anon_sym_type] = ACTIONS(3530),
    [anon_sym_namespace] = ACTIONS(3530),
    [anon_sym_LBRACE] = ACTIONS(3530),
    [anon_sym_RBRACE] = ACTIONS(3530),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(3530),
    [anon_sym_from] = ACTIONS(3530),
    [anon_sym_with] = ACTIONS(3530),
    [anon_sym_var] = ACTIONS(3530),
    [anon_sym_let] = ACTIONS(3530),
    [anon_sym_const] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3530),
    [anon_sym_else] = ACTIONS(3530),
    [anon_sym_if] = ACTIONS(3530),
    [anon_sym_switch] = ACTIONS(3530),
    [anon_sym_for] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(3530),
    [anon_sym_await] = ACTIONS(3530),
    [anon_sym_of] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3530),
    [anon_sym_do] = ACTIONS(3530),
    [anon_sym_try] = ACTIONS(3530),
    [anon_sym_break] = ACTIONS(3530),
    [anon_sym_continue] = ACTIONS(3530),
    [anon_sym_debugger] = ACTIONS(3530),
    [anon_sym_return] = ACTIONS(3530),
    [anon_sym_throw] = ACTIONS(3530),
    [anon_sym_SEMI] = ACTIONS(3530),
    [anon_sym_yield] = ACTIONS(3530),
    [anon_sym_LBRACK] = ACTIONS(3530),
    [anon_sym_LTtemplate_GT] = ACTIONS(3530),
    [anon_sym_DQUOTE] = ACTIONS(3530),
    [anon_sym_SQUOTE] = ACTIONS(3530),
    [anon_sym_class] = ACTIONS(3530),
    [anon_sym_async] = ACTIONS(3530),
    [anon_sym_function] = ACTIONS(3530),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_using] = ACTIONS(3530),
    [anon_sym_PLUS] = ACTIONS(3530),
    [anon_sym_DASH] = ACTIONS(3530),
    [anon_sym_SLASH] = ACTIONS(3530),
    [anon_sym_LT] = ACTIONS(3530),
    [anon_sym_TILDE] = ACTIONS(3530),
    [anon_sym_void] = ACTIONS(3530),
    [anon_sym_delete] = ACTIONS(3530),
    [anon_sym_PLUS_PLUS] = ACTIONS(3530),
    [anon_sym_DASH_DASH] = ACTIONS(3530),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3530),
    [sym_number] = ACTIONS(3530),
    [sym_private_property_identifier] = ACTIONS(3530),
    [sym_this] = ACTIONS(3530),
    [sym_super] = ACTIONS(3530),
    [sym_true] = ACTIONS(3530),
    [sym_false] = ACTIONS(3530),
    [sym_null] = ACTIONS(3530),
    [sym_undefined] = ACTIONS(3530),
    [anon_sym_AT] = ACTIONS(3530),
    [anon_sym_static] = ACTIONS(3530),
    [anon_sym_readonly] = ACTIONS(3530),
    [anon_sym_get] = ACTIONS(3530),
    [anon_sym_set] = ACTIONS(3530),
    [anon_sym_declare] = ACTIONS(3530),
    [anon_sym_public] = ACTIONS(3530),
    [anon_sym_private] = ACTIONS(3530),
    [anon_sym_protected] = ACTIONS(3530),
    [anon_sym_override] = ACTIONS(3530),
    [anon_sym_module] = ACTIONS(3530),
    [anon_sym_any] = ACTIONS(3530),
    [anon_sym_number] = ACTIONS(3530),
    [anon_sym_boolean] = ACTIONS(3530),
    [anon_sym_string] = ACTIONS(3530),
    [anon_sym_symbol] = ACTIONS(3530),
    [anon_sym_object] = ACTIONS(3530),
    [anon_sym_property] = ACTIONS(3530),
    [anon_sym_signal] = ACTIONS(3530),
    [anon_sym_on] = ACTIONS(3530),
    [anon_sym_required] = ACTIONS(3530),
    [anon_sym_component] = ACTIONS(3530),
    [anon_sym_abstract] = ACTIONS(3530),
    [anon_sym_interface] = ACTIONS(3530),
    [anon_sym_enum] = ACTIONS(3530),
    [sym_html_comment] = ACTIONS(5),
  },
  [1580] = {
    [sym_comment] = STATE(1580),
    [sym_identifier] = ACTIONS(3528),
    [anon_sym_export] = ACTIONS(3528),
    [anon_sym_type] = ACTIONS(3528),
    [anon_sym_namespace] = ACTIONS(3528),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_RBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3528),
    [anon_sym_import] = ACTIONS(3528),
    [anon_sym_from] = ACTIONS(3528),
    [anon_sym_with] = ACTIONS(3528),
    [anon_sym_var] = ACTIONS(3528),
    [anon_sym_let] = ACTIONS(3528),
    [anon_sym_const] = ACTIONS(3528),
    [anon_sym_BANG] = ACTIONS(3528),
    [anon_sym_else] = ACTIONS(3528),
    [anon_sym_if] = ACTIONS(3528),
    [anon_sym_switch] = ACTIONS(3528),
    [anon_sym_for] = ACTIONS(3528),
    [anon_sym_LPAREN] = ACTIONS(3528),
    [anon_sym_await] = ACTIONS(3528),
    [anon_sym_of] = ACTIONS(3528),
    [anon_sym_while] = ACTIONS(3528),
    [anon_sym_do] = ACTIONS(3528),
    [anon_sym_try] = ACTIONS(3528),
    [anon_sym_break] = ACTIONS(3528),
    [anon_sym_continue] = ACTIONS(3528),
    [anon_sym_debugger] = ACTIONS(3528),
    [anon_sym_return] = ACTIONS(3528),
    [anon_sym_throw] = ACTIONS(3528),
    [anon_sym_SEMI] = ACTIONS(3528),
    [anon_sym_yield] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(3528),
    [anon_sym_LTtemplate_GT] = ACTIONS(3528),
    [anon_sym_DQUOTE] = ACTIONS(3528),
    [anon_sym_SQUOTE] = ACTIONS(3528),
    [anon_sym_class] = ACTIONS(3528),
    [anon_sym_async] = ACTIONS(3528),
    [anon_sym_function] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3528),
    [anon_sym_using] = ACTIONS(3528),
    [anon_sym_PLUS] = ACTIONS(3528),
    [anon_sym_DASH] = ACTIONS(3528),
    [anon_sym_SLASH] = ACTIONS(3528),
    [anon_sym_LT] = ACTIONS(3528),
    [anon_sym_TILDE] = ACTIONS(3528),
    [anon_sym_void] = ACTIONS(3528),
    [anon_sym_delete] = ACTIONS(3528),
    [anon_sym_PLUS_PLUS] = ACTIONS(3528),
    [anon_sym_DASH_DASH] = ACTIONS(3528),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3528),
    [sym_number] = ACTIONS(3528),
    [sym_private_property_identifier] = ACTIONS(3528),
    [sym_this] = ACTIONS(3528),
    [sym_super] = ACTIONS(3528),
    [sym_true] = ACTIONS(3528),
    [sym_false] = ACTIONS(3528),
    [sym_null] = ACTIONS(3528),
    [sym_undefined] = ACTIONS(3528),
    [anon_sym_AT] = ACTIONS(3528),
    [anon_sym_static] = ACTIONS(3528),
    [anon_sym_readonly] = ACTIONS(3528),
    [anon_sym_get] = ACTIONS(3528),
    [anon_sym_set] = ACTIONS(3528),
    [anon_sym_declare] = ACTIONS(3528),
    [anon_sym_public] = ACTIONS(3528),
    [anon_sym_private] = ACTIONS(3528),
    [anon_sym_protected] = ACTIONS(3528),
    [anon_sym_override] = ACTIONS(3528),
    [anon_sym_module] = ACTIONS(3528),
    [anon_sym_any] = ACTIONS(3528),
    [anon_sym_number] = ACTIONS(3528),
    [anon_sym_boolean] = ACTIONS(3528),
    [anon_sym_string] = ACTIONS(3528),
    [anon_sym_symbol] = ACTIONS(3528),
    [anon_sym_object] = ACTIONS(3528),
    [anon_sym_property] = ACTIONS(3528),
    [anon_sym_signal] = ACTIONS(3528),
    [anon_sym_on] = ACTIONS(3528),
    [anon_sym_required] = ACTIONS(3528),
    [anon_sym_component] = ACTIONS(3528),
    [anon_sym_abstract] = ACTIONS(3528),
    [anon_sym_interface] = ACTIONS(3528),
    [anon_sym_enum] = ACTIONS(3528),
    [sym_html_comment] = ACTIONS(5),
  },
  [1581] = {
    [sym_comment] = STATE(1581),
    [sym_identifier] = ACTIONS(3514),
    [anon_sym_export] = ACTIONS(3514),
    [anon_sym_type] = ACTIONS(3514),
    [anon_sym_namespace] = ACTIONS(3514),
    [anon_sym_LBRACE] = ACTIONS(3514),
    [anon_sym_RBRACE] = ACTIONS(3514),
    [anon_sym_typeof] = ACTIONS(3514),
    [anon_sym_import] = ACTIONS(3514),
    [anon_sym_from] = ACTIONS(3514),
    [anon_sym_with] = ACTIONS(3514),
    [anon_sym_var] = ACTIONS(3514),
    [anon_sym_let] = ACTIONS(3514),
    [anon_sym_const] = ACTIONS(3514),
    [anon_sym_BANG] = ACTIONS(3514),
    [anon_sym_else] = ACTIONS(3514),
    [anon_sym_if] = ACTIONS(3514),
    [anon_sym_switch] = ACTIONS(3514),
    [anon_sym_for] = ACTIONS(3514),
    [anon_sym_LPAREN] = ACTIONS(3514),
    [anon_sym_await] = ACTIONS(3514),
    [anon_sym_of] = ACTIONS(3514),
    [anon_sym_while] = ACTIONS(3514),
    [anon_sym_do] = ACTIONS(3514),
    [anon_sym_try] = ACTIONS(3514),
    [anon_sym_break] = ACTIONS(3514),
    [anon_sym_continue] = ACTIONS(3514),
    [anon_sym_debugger] = ACTIONS(3514),
    [anon_sym_return] = ACTIONS(3514),
    [anon_sym_throw] = ACTIONS(3514),
    [anon_sym_SEMI] = ACTIONS(3514),
    [anon_sym_yield] = ACTIONS(3514),
    [anon_sym_LBRACK] = ACTIONS(3514),
    [anon_sym_LTtemplate_GT] = ACTIONS(3514),
    [anon_sym_DQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_class] = ACTIONS(3514),
    [anon_sym_async] = ACTIONS(3514),
    [anon_sym_function] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(3514),
    [anon_sym_using] = ACTIONS(3514),
    [anon_sym_PLUS] = ACTIONS(3514),
    [anon_sym_DASH] = ACTIONS(3514),
    [anon_sym_SLASH] = ACTIONS(3514),
    [anon_sym_LT] = ACTIONS(3514),
    [anon_sym_TILDE] = ACTIONS(3514),
    [anon_sym_void] = ACTIONS(3514),
    [anon_sym_delete] = ACTIONS(3514),
    [anon_sym_PLUS_PLUS] = ACTIONS(3514),
    [anon_sym_DASH_DASH] = ACTIONS(3514),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3514),
    [sym_number] = ACTIONS(3514),
    [sym_private_property_identifier] = ACTIONS(3514),
    [sym_this] = ACTIONS(3514),
    [sym_super] = ACTIONS(3514),
    [sym_true] = ACTIONS(3514),
    [sym_false] = ACTIONS(3514),
    [sym_null] = ACTIONS(3514),
    [sym_undefined] = ACTIONS(3514),
    [anon_sym_AT] = ACTIONS(3514),
    [anon_sym_static] = ACTIONS(3514),
    [anon_sym_readonly] = ACTIONS(3514),
    [anon_sym_get] = ACTIONS(3514),
    [anon_sym_set] = ACTIONS(3514),
    [anon_sym_declare] = ACTIONS(3514),
    [anon_sym_public] = ACTIONS(3514),
    [anon_sym_private] = ACTIONS(3514),
    [anon_sym_protected] = ACTIONS(3514),
    [anon_sym_override] = ACTIONS(3514),
    [anon_sym_module] = ACTIONS(3514),
    [anon_sym_any] = ACTIONS(3514),
    [anon_sym_number] = ACTIONS(3514),
    [anon_sym_boolean] = ACTIONS(3514),
    [anon_sym_string] = ACTIONS(3514),
    [anon_sym_symbol] = ACTIONS(3514),
    [anon_sym_object] = ACTIONS(3514),
    [anon_sym_property] = ACTIONS(3514),
    [anon_sym_signal] = ACTIONS(3514),
    [anon_sym_on] = ACTIONS(3514),
    [anon_sym_required] = ACTIONS(3514),
    [anon_sym_component] = ACTIONS(3514),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_interface] = ACTIONS(3514),
    [anon_sym_enum] = ACTIONS(3514),
    [sym_html_comment] = ACTIONS(5),
  },
  [1582] = {
    [sym_comment] = STATE(1582),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_export] = ACTIONS(3586),
    [anon_sym_type] = ACTIONS(3586),
    [anon_sym_namespace] = ACTIONS(3586),
    [anon_sym_LBRACE] = ACTIONS(3586),
    [anon_sym_RBRACE] = ACTIONS(3586),
    [anon_sym_typeof] = ACTIONS(3586),
    [anon_sym_import] = ACTIONS(3586),
    [anon_sym_from] = ACTIONS(3586),
    [anon_sym_with] = ACTIONS(3586),
    [anon_sym_var] = ACTIONS(3586),
    [anon_sym_let] = ACTIONS(3586),
    [anon_sym_const] = ACTIONS(3586),
    [anon_sym_BANG] = ACTIONS(3586),
    [anon_sym_else] = ACTIONS(3586),
    [anon_sym_if] = ACTIONS(3586),
    [anon_sym_switch] = ACTIONS(3586),
    [anon_sym_for] = ACTIONS(3586),
    [anon_sym_LPAREN] = ACTIONS(3586),
    [anon_sym_await] = ACTIONS(3586),
    [anon_sym_of] = ACTIONS(3586),
    [anon_sym_while] = ACTIONS(3586),
    [anon_sym_do] = ACTIONS(3586),
    [anon_sym_try] = ACTIONS(3586),
    [anon_sym_break] = ACTIONS(3586),
    [anon_sym_continue] = ACTIONS(3586),
    [anon_sym_debugger] = ACTIONS(3586),
    [anon_sym_return] = ACTIONS(3586),
    [anon_sym_throw] = ACTIONS(3586),
    [anon_sym_SEMI] = ACTIONS(3586),
    [anon_sym_yield] = ACTIONS(3586),
    [anon_sym_LBRACK] = ACTIONS(3586),
    [anon_sym_LTtemplate_GT] = ACTIONS(3586),
    [anon_sym_DQUOTE] = ACTIONS(3586),
    [anon_sym_SQUOTE] = ACTIONS(3586),
    [anon_sym_class] = ACTIONS(3586),
    [anon_sym_async] = ACTIONS(3586),
    [anon_sym_function] = ACTIONS(3586),
    [anon_sym_new] = ACTIONS(3586),
    [anon_sym_using] = ACTIONS(3586),
    [anon_sym_PLUS] = ACTIONS(3586),
    [anon_sym_DASH] = ACTIONS(3586),
    [anon_sym_SLASH] = ACTIONS(3586),
    [anon_sym_LT] = ACTIONS(3586),
    [anon_sym_TILDE] = ACTIONS(3586),
    [anon_sym_void] = ACTIONS(3586),
    [anon_sym_delete] = ACTIONS(3586),
    [anon_sym_PLUS_PLUS] = ACTIONS(3586),
    [anon_sym_DASH_DASH] = ACTIONS(3586),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3586),
    [sym_number] = ACTIONS(3586),
    [sym_private_property_identifier] = ACTIONS(3586),
    [sym_this] = ACTIONS(3586),
    [sym_super] = ACTIONS(3586),
    [sym_true] = ACTIONS(3586),
    [sym_false] = ACTIONS(3586),
    [sym_null] = ACTIONS(3586),
    [sym_undefined] = ACTIONS(3586),
    [anon_sym_AT] = ACTIONS(3586),
    [anon_sym_static] = ACTIONS(3586),
    [anon_sym_readonly] = ACTIONS(3586),
    [anon_sym_get] = ACTIONS(3586),
    [anon_sym_set] = ACTIONS(3586),
    [anon_sym_declare] = ACTIONS(3586),
    [anon_sym_public] = ACTIONS(3586),
    [anon_sym_private] = ACTIONS(3586),
    [anon_sym_protected] = ACTIONS(3586),
    [anon_sym_override] = ACTIONS(3586),
    [anon_sym_module] = ACTIONS(3586),
    [anon_sym_any] = ACTIONS(3586),
    [anon_sym_number] = ACTIONS(3586),
    [anon_sym_boolean] = ACTIONS(3586),
    [anon_sym_string] = ACTIONS(3586),
    [anon_sym_symbol] = ACTIONS(3586),
    [anon_sym_object] = ACTIONS(3586),
    [anon_sym_property] = ACTIONS(3586),
    [anon_sym_signal] = ACTIONS(3586),
    [anon_sym_on] = ACTIONS(3586),
    [anon_sym_required] = ACTIONS(3586),
    [anon_sym_component] = ACTIONS(3586),
    [anon_sym_abstract] = ACTIONS(3586),
    [anon_sym_interface] = ACTIONS(3586),
    [anon_sym_enum] = ACTIONS(3586),
    [sym_html_comment] = ACTIONS(5),
  },
  [1583] = {
    [sym_comment] = STATE(1583),
    [sym_identifier] = ACTIONS(3588),
    [anon_sym_export] = ACTIONS(3588),
    [anon_sym_type] = ACTIONS(3588),
    [anon_sym_namespace] = ACTIONS(3588),
    [anon_sym_LBRACE] = ACTIONS(3588),
    [anon_sym_RBRACE] = ACTIONS(3588),
    [anon_sym_typeof] = ACTIONS(3588),
    [anon_sym_import] = ACTIONS(3588),
    [anon_sym_from] = ACTIONS(3588),
    [anon_sym_with] = ACTIONS(3588),
    [anon_sym_var] = ACTIONS(3588),
    [anon_sym_let] = ACTIONS(3588),
    [anon_sym_const] = ACTIONS(3588),
    [anon_sym_BANG] = ACTIONS(3588),
    [anon_sym_else] = ACTIONS(3588),
    [anon_sym_if] = ACTIONS(3588),
    [anon_sym_switch] = ACTIONS(3588),
    [anon_sym_for] = ACTIONS(3588),
    [anon_sym_LPAREN] = ACTIONS(3588),
    [anon_sym_await] = ACTIONS(3588),
    [anon_sym_of] = ACTIONS(3588),
    [anon_sym_while] = ACTIONS(3588),
    [anon_sym_do] = ACTIONS(3588),
    [anon_sym_try] = ACTIONS(3588),
    [anon_sym_break] = ACTIONS(3588),
    [anon_sym_continue] = ACTIONS(3588),
    [anon_sym_debugger] = ACTIONS(3588),
    [anon_sym_return] = ACTIONS(3588),
    [anon_sym_throw] = ACTIONS(3588),
    [anon_sym_SEMI] = ACTIONS(3588),
    [anon_sym_yield] = ACTIONS(3588),
    [anon_sym_LBRACK] = ACTIONS(3588),
    [anon_sym_LTtemplate_GT] = ACTIONS(3588),
    [anon_sym_DQUOTE] = ACTIONS(3588),
    [anon_sym_SQUOTE] = ACTIONS(3588),
    [anon_sym_class] = ACTIONS(3588),
    [anon_sym_async] = ACTIONS(3588),
    [anon_sym_function] = ACTIONS(3588),
    [anon_sym_new] = ACTIONS(3588),
    [anon_sym_using] = ACTIONS(3588),
    [anon_sym_PLUS] = ACTIONS(3588),
    [anon_sym_DASH] = ACTIONS(3588),
    [anon_sym_SLASH] = ACTIONS(3588),
    [anon_sym_LT] = ACTIONS(3588),
    [anon_sym_TILDE] = ACTIONS(3588),
    [anon_sym_void] = ACTIONS(3588),
    [anon_sym_delete] = ACTIONS(3588),
    [anon_sym_PLUS_PLUS] = ACTIONS(3588),
    [anon_sym_DASH_DASH] = ACTIONS(3588),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3588),
    [sym_number] = ACTIONS(3588),
    [sym_private_property_identifier] = ACTIONS(3588),
    [sym_this] = ACTIONS(3588),
    [sym_super] = ACTIONS(3588),
    [sym_true] = ACTIONS(3588),
    [sym_false] = ACTIONS(3588),
    [sym_null] = ACTIONS(3588),
    [sym_undefined] = ACTIONS(3588),
    [anon_sym_AT] = ACTIONS(3588),
    [anon_sym_static] = ACTIONS(3588),
    [anon_sym_readonly] = ACTIONS(3588),
    [anon_sym_get] = ACTIONS(3588),
    [anon_sym_set] = ACTIONS(3588),
    [anon_sym_declare] = ACTIONS(3588),
    [anon_sym_public] = ACTIONS(3588),
    [anon_sym_private] = ACTIONS(3588),
    [anon_sym_protected] = ACTIONS(3588),
    [anon_sym_override] = ACTIONS(3588),
    [anon_sym_module] = ACTIONS(3588),
    [anon_sym_any] = ACTIONS(3588),
    [anon_sym_number] = ACTIONS(3588),
    [anon_sym_boolean] = ACTIONS(3588),
    [anon_sym_string] = ACTIONS(3588),
    [anon_sym_symbol] = ACTIONS(3588),
    [anon_sym_object] = ACTIONS(3588),
    [anon_sym_property] = ACTIONS(3588),
    [anon_sym_signal] = ACTIONS(3588),
    [anon_sym_on] = ACTIONS(3588),
    [anon_sym_required] = ACTIONS(3588),
    [anon_sym_component] = ACTIONS(3588),
    [anon_sym_abstract] = ACTIONS(3588),
    [anon_sym_interface] = ACTIONS(3588),
    [anon_sym_enum] = ACTIONS(3588),
    [sym_html_comment] = ACTIONS(5),
  },
  [1584] = {
    [sym_comment] = STATE(1584),
    [sym_identifier] = ACTIONS(3510),
    [anon_sym_export] = ACTIONS(3510),
    [anon_sym_type] = ACTIONS(3510),
    [anon_sym_namespace] = ACTIONS(3510),
    [anon_sym_LBRACE] = ACTIONS(3510),
    [anon_sym_RBRACE] = ACTIONS(3510),
    [anon_sym_typeof] = ACTIONS(3510),
    [anon_sym_import] = ACTIONS(3510),
    [anon_sym_from] = ACTIONS(3510),
    [anon_sym_with] = ACTIONS(3510),
    [anon_sym_var] = ACTIONS(3510),
    [anon_sym_let] = ACTIONS(3510),
    [anon_sym_const] = ACTIONS(3510),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_else] = ACTIONS(3510),
    [anon_sym_if] = ACTIONS(3510),
    [anon_sym_switch] = ACTIONS(3510),
    [anon_sym_for] = ACTIONS(3510),
    [anon_sym_LPAREN] = ACTIONS(3510),
    [anon_sym_await] = ACTIONS(3510),
    [anon_sym_of] = ACTIONS(3510),
    [anon_sym_while] = ACTIONS(3510),
    [anon_sym_do] = ACTIONS(3510),
    [anon_sym_try] = ACTIONS(3510),
    [anon_sym_break] = ACTIONS(3510),
    [anon_sym_continue] = ACTIONS(3510),
    [anon_sym_debugger] = ACTIONS(3510),
    [anon_sym_return] = ACTIONS(3510),
    [anon_sym_throw] = ACTIONS(3510),
    [anon_sym_SEMI] = ACTIONS(3510),
    [anon_sym_yield] = ACTIONS(3510),
    [anon_sym_LBRACK] = ACTIONS(3510),
    [anon_sym_LTtemplate_GT] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [anon_sym_SQUOTE] = ACTIONS(3510),
    [anon_sym_class] = ACTIONS(3510),
    [anon_sym_async] = ACTIONS(3510),
    [anon_sym_function] = ACTIONS(3510),
    [anon_sym_new] = ACTIONS(3510),
    [anon_sym_using] = ACTIONS(3510),
    [anon_sym_PLUS] = ACTIONS(3510),
    [anon_sym_DASH] = ACTIONS(3510),
    [anon_sym_SLASH] = ACTIONS(3510),
    [anon_sym_LT] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [anon_sym_void] = ACTIONS(3510),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_PLUS_PLUS] = ACTIONS(3510),
    [anon_sym_DASH_DASH] = ACTIONS(3510),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3510),
    [sym_number] = ACTIONS(3510),
    [sym_private_property_identifier] = ACTIONS(3510),
    [sym_this] = ACTIONS(3510),
    [sym_super] = ACTIONS(3510),
    [sym_true] = ACTIONS(3510),
    [sym_false] = ACTIONS(3510),
    [sym_null] = ACTIONS(3510),
    [sym_undefined] = ACTIONS(3510),
    [anon_sym_AT] = ACTIONS(3510),
    [anon_sym_static] = ACTIONS(3510),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_get] = ACTIONS(3510),
    [anon_sym_set] = ACTIONS(3510),
    [anon_sym_declare] = ACTIONS(3510),
    [anon_sym_public] = ACTIONS(3510),
    [anon_sym_private] = ACTIONS(3510),
    [anon_sym_protected] = ACTIONS(3510),
    [anon_sym_override] = ACTIONS(3510),
    [anon_sym_module] = ACTIONS(3510),
    [anon_sym_any] = ACTIONS(3510),
    [anon_sym_number] = ACTIONS(3510),
    [anon_sym_boolean] = ACTIONS(3510),
    [anon_sym_string] = ACTIONS(3510),
    [anon_sym_symbol] = ACTIONS(3510),
    [anon_sym_object] = ACTIONS(3510),
    [anon_sym_property] = ACTIONS(3510),
    [anon_sym_signal] = ACTIONS(3510),
    [anon_sym_on] = ACTIONS(3510),
    [anon_sym_required] = ACTIONS(3510),
    [anon_sym_component] = ACTIONS(3510),
    [anon_sym_abstract] = ACTIONS(3510),
    [anon_sym_interface] = ACTIONS(3510),
    [anon_sym_enum] = ACTIONS(3510),
    [sym_html_comment] = ACTIONS(5),
  },
  [1585] = {
    [sym_comment] = STATE(1585),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_export] = ACTIONS(3636),
    [anon_sym_type] = ACTIONS(3636),
    [anon_sym_namespace] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3636),
    [anon_sym_RBRACE] = ACTIONS(3636),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_import] = ACTIONS(3636),
    [anon_sym_from] = ACTIONS(3636),
    [anon_sym_with] = ACTIONS(3636),
    [anon_sym_var] = ACTIONS(3636),
    [anon_sym_let] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_BANG] = ACTIONS(3636),
    [anon_sym_else] = ACTIONS(3636),
    [anon_sym_if] = ACTIONS(3636),
    [anon_sym_switch] = ACTIONS(3636),
    [anon_sym_for] = ACTIONS(3636),
    [anon_sym_LPAREN] = ACTIONS(3636),
    [anon_sym_await] = ACTIONS(3636),
    [anon_sym_of] = ACTIONS(3636),
    [anon_sym_while] = ACTIONS(3636),
    [anon_sym_do] = ACTIONS(3636),
    [anon_sym_try] = ACTIONS(3636),
    [anon_sym_break] = ACTIONS(3636),
    [anon_sym_continue] = ACTIONS(3636),
    [anon_sym_debugger] = ACTIONS(3636),
    [anon_sym_return] = ACTIONS(3636),
    [anon_sym_throw] = ACTIONS(3636),
    [anon_sym_SEMI] = ACTIONS(3636),
    [anon_sym_yield] = ACTIONS(3636),
    [anon_sym_LBRACK] = ACTIONS(3636),
    [anon_sym_LTtemplate_GT] = ACTIONS(3636),
    [anon_sym_DQUOTE] = ACTIONS(3636),
    [anon_sym_SQUOTE] = ACTIONS(3636),
    [anon_sym_class] = ACTIONS(3636),
    [anon_sym_async] = ACTIONS(3636),
    [anon_sym_function] = ACTIONS(3636),
    [anon_sym_new] = ACTIONS(3636),
    [anon_sym_using] = ACTIONS(3636),
    [anon_sym_PLUS] = ACTIONS(3636),
    [anon_sym_DASH] = ACTIONS(3636),
    [anon_sym_SLASH] = ACTIONS(3636),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_TILDE] = ACTIONS(3636),
    [anon_sym_void] = ACTIONS(3636),
    [anon_sym_delete] = ACTIONS(3636),
    [anon_sym_PLUS_PLUS] = ACTIONS(3636),
    [anon_sym_DASH_DASH] = ACTIONS(3636),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3636),
    [sym_number] = ACTIONS(3636),
    [sym_private_property_identifier] = ACTIONS(3636),
    [sym_this] = ACTIONS(3636),
    [sym_super] = ACTIONS(3636),
    [sym_true] = ACTIONS(3636),
    [sym_false] = ACTIONS(3636),
    [sym_null] = ACTIONS(3636),
    [sym_undefined] = ACTIONS(3636),
    [anon_sym_AT] = ACTIONS(3636),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_readonly] = ACTIONS(3636),
    [anon_sym_get] = ACTIONS(3636),
    [anon_sym_set] = ACTIONS(3636),
    [anon_sym_declare] = ACTIONS(3636),
    [anon_sym_public] = ACTIONS(3636),
    [anon_sym_private] = ACTIONS(3636),
    [anon_sym_protected] = ACTIONS(3636),
    [anon_sym_override] = ACTIONS(3636),
    [anon_sym_module] = ACTIONS(3636),
    [anon_sym_any] = ACTIONS(3636),
    [anon_sym_number] = ACTIONS(3636),
    [anon_sym_boolean] = ACTIONS(3636),
    [anon_sym_string] = ACTIONS(3636),
    [anon_sym_symbol] = ACTIONS(3636),
    [anon_sym_object] = ACTIONS(3636),
    [anon_sym_property] = ACTIONS(3636),
    [anon_sym_signal] = ACTIONS(3636),
    [anon_sym_on] = ACTIONS(3636),
    [anon_sym_required] = ACTIONS(3636),
    [anon_sym_component] = ACTIONS(3636),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_interface] = ACTIONS(3636),
    [anon_sym_enum] = ACTIONS(3636),
    [sym_html_comment] = ACTIONS(5),
  },
  [1586] = {
    [sym_comment] = STATE(1586),
    [sym_identifier] = ACTIONS(3518),
    [anon_sym_export] = ACTIONS(3518),
    [anon_sym_type] = ACTIONS(3518),
    [anon_sym_namespace] = ACTIONS(3518),
    [anon_sym_LBRACE] = ACTIONS(3518),
    [anon_sym_RBRACE] = ACTIONS(3518),
    [anon_sym_typeof] = ACTIONS(3518),
    [anon_sym_import] = ACTIONS(3518),
    [anon_sym_from] = ACTIONS(3518),
    [anon_sym_with] = ACTIONS(3518),
    [anon_sym_var] = ACTIONS(3518),
    [anon_sym_let] = ACTIONS(3518),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_BANG] = ACTIONS(3518),
    [anon_sym_else] = ACTIONS(3518),
    [anon_sym_if] = ACTIONS(3518),
    [anon_sym_switch] = ACTIONS(3518),
    [anon_sym_for] = ACTIONS(3518),
    [anon_sym_LPAREN] = ACTIONS(3518),
    [anon_sym_await] = ACTIONS(3518),
    [anon_sym_of] = ACTIONS(3518),
    [anon_sym_while] = ACTIONS(3518),
    [anon_sym_do] = ACTIONS(3518),
    [anon_sym_try] = ACTIONS(3518),
    [anon_sym_break] = ACTIONS(3518),
    [anon_sym_continue] = ACTIONS(3518),
    [anon_sym_debugger] = ACTIONS(3518),
    [anon_sym_return] = ACTIONS(3518),
    [anon_sym_throw] = ACTIONS(3518),
    [anon_sym_SEMI] = ACTIONS(3518),
    [anon_sym_yield] = ACTIONS(3518),
    [anon_sym_LBRACK] = ACTIONS(3518),
    [anon_sym_LTtemplate_GT] = ACTIONS(3518),
    [anon_sym_DQUOTE] = ACTIONS(3518),
    [anon_sym_SQUOTE] = ACTIONS(3518),
    [anon_sym_class] = ACTIONS(3518),
    [anon_sym_async] = ACTIONS(3518),
    [anon_sym_function] = ACTIONS(3518),
    [anon_sym_new] = ACTIONS(3518),
    [anon_sym_using] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_SLASH] = ACTIONS(3518),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_TILDE] = ACTIONS(3518),
    [anon_sym_void] = ACTIONS(3518),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_PLUS_PLUS] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3518),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3518),
    [sym_number] = ACTIONS(3518),
    [sym_private_property_identifier] = ACTIONS(3518),
    [sym_this] = ACTIONS(3518),
    [sym_super] = ACTIONS(3518),
    [sym_true] = ACTIONS(3518),
    [sym_false] = ACTIONS(3518),
    [sym_null] = ACTIONS(3518),
    [sym_undefined] = ACTIONS(3518),
    [anon_sym_AT] = ACTIONS(3518),
    [anon_sym_static] = ACTIONS(3518),
    [anon_sym_readonly] = ACTIONS(3518),
    [anon_sym_get] = ACTIONS(3518),
    [anon_sym_set] = ACTIONS(3518),
    [anon_sym_declare] = ACTIONS(3518),
    [anon_sym_public] = ACTIONS(3518),
    [anon_sym_private] = ACTIONS(3518),
    [anon_sym_protected] = ACTIONS(3518),
    [anon_sym_override] = ACTIONS(3518),
    [anon_sym_module] = ACTIONS(3518),
    [anon_sym_any] = ACTIONS(3518),
    [anon_sym_number] = ACTIONS(3518),
    [anon_sym_boolean] = ACTIONS(3518),
    [anon_sym_string] = ACTIONS(3518),
    [anon_sym_symbol] = ACTIONS(3518),
    [anon_sym_object] = ACTIONS(3518),
    [anon_sym_property] = ACTIONS(3518),
    [anon_sym_signal] = ACTIONS(3518),
    [anon_sym_on] = ACTIONS(3518),
    [anon_sym_required] = ACTIONS(3518),
    [anon_sym_component] = ACTIONS(3518),
    [anon_sym_abstract] = ACTIONS(3518),
    [anon_sym_interface] = ACTIONS(3518),
    [anon_sym_enum] = ACTIONS(3518),
    [sym_html_comment] = ACTIONS(5),
  },
  [1587] = {
    [sym_comment] = STATE(1587),
    [sym_identifier] = ACTIONS(2466),
    [anon_sym_export] = ACTIONS(2466),
    [anon_sym_type] = ACTIONS(2466),
    [anon_sym_namespace] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_typeof] = ACTIONS(2466),
    [anon_sym_import] = ACTIONS(2466),
    [anon_sym_from] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2466),
    [anon_sym_var] = ACTIONS(2466),
    [anon_sym_let] = ACTIONS(2466),
    [anon_sym_const] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_else] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_switch] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2466),
    [anon_sym_of] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2466),
    [anon_sym_do] = ACTIONS(2466),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_break] = ACTIONS(2466),
    [anon_sym_continue] = ACTIONS(2466),
    [anon_sym_debugger] = ACTIONS(2466),
    [anon_sym_return] = ACTIONS(2466),
    [anon_sym_throw] = ACTIONS(2466),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2466),
    [anon_sym_LTtemplate_GT] = ACTIONS(2466),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_class] = ACTIONS(2466),
    [anon_sym_async] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_using] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_void] = ACTIONS(2466),
    [anon_sym_delete] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2466),
    [sym_number] = ACTIONS(2466),
    [sym_private_property_identifier] = ACTIONS(2466),
    [sym_this] = ACTIONS(2466),
    [sym_super] = ACTIONS(2466),
    [sym_true] = ACTIONS(2466),
    [sym_false] = ACTIONS(2466),
    [sym_null] = ACTIONS(2466),
    [sym_undefined] = ACTIONS(2466),
    [anon_sym_AT] = ACTIONS(2466),
    [anon_sym_static] = ACTIONS(2466),
    [anon_sym_readonly] = ACTIONS(2466),
    [anon_sym_get] = ACTIONS(2466),
    [anon_sym_set] = ACTIONS(2466),
    [anon_sym_declare] = ACTIONS(2466),
    [anon_sym_public] = ACTIONS(2466),
    [anon_sym_private] = ACTIONS(2466),
    [anon_sym_protected] = ACTIONS(2466),
    [anon_sym_override] = ACTIONS(2466),
    [anon_sym_module] = ACTIONS(2466),
    [anon_sym_any] = ACTIONS(2466),
    [anon_sym_number] = ACTIONS(2466),
    [anon_sym_boolean] = ACTIONS(2466),
    [anon_sym_string] = ACTIONS(2466),
    [anon_sym_symbol] = ACTIONS(2466),
    [anon_sym_object] = ACTIONS(2466),
    [anon_sym_property] = ACTIONS(2466),
    [anon_sym_signal] = ACTIONS(2466),
    [anon_sym_on] = ACTIONS(2466),
    [anon_sym_required] = ACTIONS(2466),
    [anon_sym_component] = ACTIONS(2466),
    [anon_sym_abstract] = ACTIONS(2466),
    [anon_sym_interface] = ACTIONS(2466),
    [anon_sym_enum] = ACTIONS(2466),
    [sym_html_comment] = ACTIONS(5),
  },
  [1588] = {
    [sym_comment] = STATE(1588),
    [sym_identifier] = ACTIONS(3590),
    [anon_sym_export] = ACTIONS(3590),
    [anon_sym_type] = ACTIONS(3590),
    [anon_sym_namespace] = ACTIONS(3590),
    [anon_sym_LBRACE] = ACTIONS(3590),
    [anon_sym_RBRACE] = ACTIONS(3590),
    [anon_sym_typeof] = ACTIONS(3590),
    [anon_sym_import] = ACTIONS(3590),
    [anon_sym_from] = ACTIONS(3590),
    [anon_sym_with] = ACTIONS(3590),
    [anon_sym_var] = ACTIONS(3590),
    [anon_sym_let] = ACTIONS(3590),
    [anon_sym_const] = ACTIONS(3590),
    [anon_sym_BANG] = ACTIONS(3590),
    [anon_sym_else] = ACTIONS(3590),
    [anon_sym_if] = ACTIONS(3590),
    [anon_sym_switch] = ACTIONS(3590),
    [anon_sym_for] = ACTIONS(3590),
    [anon_sym_LPAREN] = ACTIONS(3590),
    [anon_sym_await] = ACTIONS(3590),
    [anon_sym_of] = ACTIONS(3590),
    [anon_sym_while] = ACTIONS(3590),
    [anon_sym_do] = ACTIONS(3590),
    [anon_sym_try] = ACTIONS(3590),
    [anon_sym_break] = ACTIONS(3590),
    [anon_sym_continue] = ACTIONS(3590),
    [anon_sym_debugger] = ACTIONS(3590),
    [anon_sym_return] = ACTIONS(3590),
    [anon_sym_throw] = ACTIONS(3590),
    [anon_sym_SEMI] = ACTIONS(3590),
    [anon_sym_yield] = ACTIONS(3590),
    [anon_sym_LBRACK] = ACTIONS(3590),
    [anon_sym_LTtemplate_GT] = ACTIONS(3590),
    [anon_sym_DQUOTE] = ACTIONS(3590),
    [anon_sym_SQUOTE] = ACTIONS(3590),
    [anon_sym_class] = ACTIONS(3590),
    [anon_sym_async] = ACTIONS(3590),
    [anon_sym_function] = ACTIONS(3590),
    [anon_sym_new] = ACTIONS(3590),
    [anon_sym_using] = ACTIONS(3590),
    [anon_sym_PLUS] = ACTIONS(3590),
    [anon_sym_DASH] = ACTIONS(3590),
    [anon_sym_SLASH] = ACTIONS(3590),
    [anon_sym_LT] = ACTIONS(3590),
    [anon_sym_TILDE] = ACTIONS(3590),
    [anon_sym_void] = ACTIONS(3590),
    [anon_sym_delete] = ACTIONS(3590),
    [anon_sym_PLUS_PLUS] = ACTIONS(3590),
    [anon_sym_DASH_DASH] = ACTIONS(3590),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3590),
    [sym_number] = ACTIONS(3590),
    [sym_private_property_identifier] = ACTIONS(3590),
    [sym_this] = ACTIONS(3590),
    [sym_super] = ACTIONS(3590),
    [sym_true] = ACTIONS(3590),
    [sym_false] = ACTIONS(3590),
    [sym_null] = ACTIONS(3590),
    [sym_undefined] = ACTIONS(3590),
    [anon_sym_AT] = ACTIONS(3590),
    [anon_sym_static] = ACTIONS(3590),
    [anon_sym_readonly] = ACTIONS(3590),
    [anon_sym_get] = ACTIONS(3590),
    [anon_sym_set] = ACTIONS(3590),
    [anon_sym_declare] = ACTIONS(3590),
    [anon_sym_public] = ACTIONS(3590),
    [anon_sym_private] = ACTIONS(3590),
    [anon_sym_protected] = ACTIONS(3590),
    [anon_sym_override] = ACTIONS(3590),
    [anon_sym_module] = ACTIONS(3590),
    [anon_sym_any] = ACTIONS(3590),
    [anon_sym_number] = ACTIONS(3590),
    [anon_sym_boolean] = ACTIONS(3590),
    [anon_sym_string] = ACTIONS(3590),
    [anon_sym_symbol] = ACTIONS(3590),
    [anon_sym_object] = ACTIONS(3590),
    [anon_sym_property] = ACTIONS(3590),
    [anon_sym_signal] = ACTIONS(3590),
    [anon_sym_on] = ACTIONS(3590),
    [anon_sym_required] = ACTIONS(3590),
    [anon_sym_component] = ACTIONS(3590),
    [anon_sym_abstract] = ACTIONS(3590),
    [anon_sym_interface] = ACTIONS(3590),
    [anon_sym_enum] = ACTIONS(3590),
    [sym_html_comment] = ACTIONS(5),
  },
  [1589] = {
    [sym_comment] = STATE(1589),
    [sym_identifier] = ACTIONS(3638),
    [anon_sym_export] = ACTIONS(3638),
    [anon_sym_type] = ACTIONS(3638),
    [anon_sym_namespace] = ACTIONS(3638),
    [anon_sym_LBRACE] = ACTIONS(3638),
    [anon_sym_RBRACE] = ACTIONS(3638),
    [anon_sym_typeof] = ACTIONS(3638),
    [anon_sym_import] = ACTIONS(3638),
    [anon_sym_from] = ACTIONS(3638),
    [anon_sym_with] = ACTIONS(3638),
    [anon_sym_var] = ACTIONS(3638),
    [anon_sym_let] = ACTIONS(3638),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_BANG] = ACTIONS(3638),
    [anon_sym_else] = ACTIONS(3638),
    [anon_sym_if] = ACTIONS(3638),
    [anon_sym_switch] = ACTIONS(3638),
    [anon_sym_for] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3638),
    [anon_sym_await] = ACTIONS(3638),
    [anon_sym_of] = ACTIONS(3638),
    [anon_sym_while] = ACTIONS(3638),
    [anon_sym_do] = ACTIONS(3638),
    [anon_sym_try] = ACTIONS(3638),
    [anon_sym_break] = ACTIONS(3638),
    [anon_sym_continue] = ACTIONS(3638),
    [anon_sym_debugger] = ACTIONS(3638),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_throw] = ACTIONS(3638),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3638),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_LTtemplate_GT] = ACTIONS(3638),
    [anon_sym_DQUOTE] = ACTIONS(3638),
    [anon_sym_SQUOTE] = ACTIONS(3638),
    [anon_sym_class] = ACTIONS(3638),
    [anon_sym_async] = ACTIONS(3638),
    [anon_sym_function] = ACTIONS(3638),
    [anon_sym_new] = ACTIONS(3638),
    [anon_sym_using] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3638),
    [anon_sym_SLASH] = ACTIONS(3638),
    [anon_sym_LT] = ACTIONS(3638),
    [anon_sym_TILDE] = ACTIONS(3638),
    [anon_sym_void] = ACTIONS(3638),
    [anon_sym_delete] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3638),
    [sym_number] = ACTIONS(3638),
    [sym_private_property_identifier] = ACTIONS(3638),
    [sym_this] = ACTIONS(3638),
    [sym_super] = ACTIONS(3638),
    [sym_true] = ACTIONS(3638),
    [sym_false] = ACTIONS(3638),
    [sym_null] = ACTIONS(3638),
    [sym_undefined] = ACTIONS(3638),
    [anon_sym_AT] = ACTIONS(3638),
    [anon_sym_static] = ACTIONS(3638),
    [anon_sym_readonly] = ACTIONS(3638),
    [anon_sym_get] = ACTIONS(3638),
    [anon_sym_set] = ACTIONS(3638),
    [anon_sym_declare] = ACTIONS(3638),
    [anon_sym_public] = ACTIONS(3638),
    [anon_sym_private] = ACTIONS(3638),
    [anon_sym_protected] = ACTIONS(3638),
    [anon_sym_override] = ACTIONS(3638),
    [anon_sym_module] = ACTIONS(3638),
    [anon_sym_any] = ACTIONS(3638),
    [anon_sym_number] = ACTIONS(3638),
    [anon_sym_boolean] = ACTIONS(3638),
    [anon_sym_string] = ACTIONS(3638),
    [anon_sym_symbol] = ACTIONS(3638),
    [anon_sym_object] = ACTIONS(3638),
    [anon_sym_property] = ACTIONS(3638),
    [anon_sym_signal] = ACTIONS(3638),
    [anon_sym_on] = ACTIONS(3638),
    [anon_sym_required] = ACTIONS(3638),
    [anon_sym_component] = ACTIONS(3638),
    [anon_sym_abstract] = ACTIONS(3638),
    [anon_sym_interface] = ACTIONS(3638),
    [anon_sym_enum] = ACTIONS(3638),
    [sym_html_comment] = ACTIONS(5),
  },
  [1590] = {
    [sym_comment] = STATE(1590),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(3734),
    [sym_html_comment] = ACTIONS(5),
  },
  [1591] = {
    [sym_comment] = STATE(1591),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_export] = ACTIONS(3522),
    [anon_sym_type] = ACTIONS(3522),
    [anon_sym_namespace] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(3522),
    [anon_sym_RBRACE] = ACTIONS(3522),
    [anon_sym_typeof] = ACTIONS(3522),
    [anon_sym_import] = ACTIONS(3522),
    [anon_sym_from] = ACTIONS(3522),
    [anon_sym_with] = ACTIONS(3522),
    [anon_sym_var] = ACTIONS(3522),
    [anon_sym_let] = ACTIONS(3522),
    [anon_sym_const] = ACTIONS(3522),
    [anon_sym_BANG] = ACTIONS(3522),
    [anon_sym_else] = ACTIONS(3522),
    [anon_sym_if] = ACTIONS(3522),
    [anon_sym_switch] = ACTIONS(3522),
    [anon_sym_for] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(3522),
    [anon_sym_await] = ACTIONS(3522),
    [anon_sym_of] = ACTIONS(3522),
    [anon_sym_while] = ACTIONS(3522),
    [anon_sym_do] = ACTIONS(3522),
    [anon_sym_try] = ACTIONS(3522),
    [anon_sym_break] = ACTIONS(3522),
    [anon_sym_continue] = ACTIONS(3522),
    [anon_sym_debugger] = ACTIONS(3522),
    [anon_sym_return] = ACTIONS(3522),
    [anon_sym_throw] = ACTIONS(3522),
    [anon_sym_SEMI] = ACTIONS(3522),
    [anon_sym_yield] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(3522),
    [anon_sym_LTtemplate_GT] = ACTIONS(3522),
    [anon_sym_DQUOTE] = ACTIONS(3522),
    [anon_sym_SQUOTE] = ACTIONS(3522),
    [anon_sym_class] = ACTIONS(3522),
    [anon_sym_async] = ACTIONS(3522),
    [anon_sym_function] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(3522),
    [anon_sym_using] = ACTIONS(3522),
    [anon_sym_PLUS] = ACTIONS(3522),
    [anon_sym_DASH] = ACTIONS(3522),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_LT] = ACTIONS(3522),
    [anon_sym_TILDE] = ACTIONS(3522),
    [anon_sym_void] = ACTIONS(3522),
    [anon_sym_delete] = ACTIONS(3522),
    [anon_sym_PLUS_PLUS] = ACTIONS(3522),
    [anon_sym_DASH_DASH] = ACTIONS(3522),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3522),
    [sym_number] = ACTIONS(3522),
    [sym_private_property_identifier] = ACTIONS(3522),
    [sym_this] = ACTIONS(3522),
    [sym_super] = ACTIONS(3522),
    [sym_true] = ACTIONS(3522),
    [sym_false] = ACTIONS(3522),
    [sym_null] = ACTIONS(3522),
    [sym_undefined] = ACTIONS(3522),
    [anon_sym_AT] = ACTIONS(3522),
    [anon_sym_static] = ACTIONS(3522),
    [anon_sym_readonly] = ACTIONS(3522),
    [anon_sym_get] = ACTIONS(3522),
    [anon_sym_set] = ACTIONS(3522),
    [anon_sym_declare] = ACTIONS(3522),
    [anon_sym_public] = ACTIONS(3522),
    [anon_sym_private] = ACTIONS(3522),
    [anon_sym_protected] = ACTIONS(3522),
    [anon_sym_override] = ACTIONS(3522),
    [anon_sym_module] = ACTIONS(3522),
    [anon_sym_any] = ACTIONS(3522),
    [anon_sym_number] = ACTIONS(3522),
    [anon_sym_boolean] = ACTIONS(3522),
    [anon_sym_string] = ACTIONS(3522),
    [anon_sym_symbol] = ACTIONS(3522),
    [anon_sym_object] = ACTIONS(3522),
    [anon_sym_property] = ACTIONS(3522),
    [anon_sym_signal] = ACTIONS(3522),
    [anon_sym_on] = ACTIONS(3522),
    [anon_sym_required] = ACTIONS(3522),
    [anon_sym_component] = ACTIONS(3522),
    [anon_sym_abstract] = ACTIONS(3522),
    [anon_sym_interface] = ACTIONS(3522),
    [anon_sym_enum] = ACTIONS(3522),
    [sym_html_comment] = ACTIONS(5),
  },
  [1592] = {
    [sym_comment] = STATE(1592),
    [sym_identifier] = ACTIONS(3618),
    [anon_sym_export] = ACTIONS(3618),
    [anon_sym_type] = ACTIONS(3618),
    [anon_sym_namespace] = ACTIONS(3618),
    [anon_sym_LBRACE] = ACTIONS(3618),
    [anon_sym_RBRACE] = ACTIONS(3618),
    [anon_sym_typeof] = ACTIONS(3618),
    [anon_sym_import] = ACTIONS(3618),
    [anon_sym_from] = ACTIONS(3618),
    [anon_sym_with] = ACTIONS(3618),
    [anon_sym_var] = ACTIONS(3618),
    [anon_sym_let] = ACTIONS(3618),
    [anon_sym_const] = ACTIONS(3618),
    [anon_sym_BANG] = ACTIONS(3618),
    [anon_sym_else] = ACTIONS(3618),
    [anon_sym_if] = ACTIONS(3618),
    [anon_sym_switch] = ACTIONS(3618),
    [anon_sym_for] = ACTIONS(3618),
    [anon_sym_LPAREN] = ACTIONS(3618),
    [anon_sym_await] = ACTIONS(3618),
    [anon_sym_of] = ACTIONS(3618),
    [anon_sym_while] = ACTIONS(3618),
    [anon_sym_do] = ACTIONS(3618),
    [anon_sym_try] = ACTIONS(3618),
    [anon_sym_break] = ACTIONS(3618),
    [anon_sym_continue] = ACTIONS(3618),
    [anon_sym_debugger] = ACTIONS(3618),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_throw] = ACTIONS(3618),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3618),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_LTtemplate_GT] = ACTIONS(3618),
    [anon_sym_DQUOTE] = ACTIONS(3618),
    [anon_sym_SQUOTE] = ACTIONS(3618),
    [anon_sym_class] = ACTIONS(3618),
    [anon_sym_async] = ACTIONS(3618),
    [anon_sym_function] = ACTIONS(3618),
    [anon_sym_new] = ACTIONS(3618),
    [anon_sym_using] = ACTIONS(3618),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_SLASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(3618),
    [anon_sym_TILDE] = ACTIONS(3618),
    [anon_sym_void] = ACTIONS(3618),
    [anon_sym_delete] = ACTIONS(3618),
    [anon_sym_PLUS_PLUS] = ACTIONS(3618),
    [anon_sym_DASH_DASH] = ACTIONS(3618),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3618),
    [sym_number] = ACTIONS(3618),
    [sym_private_property_identifier] = ACTIONS(3618),
    [sym_this] = ACTIONS(3618),
    [sym_super] = ACTIONS(3618),
    [sym_true] = ACTIONS(3618),
    [sym_false] = ACTIONS(3618),
    [sym_null] = ACTIONS(3618),
    [sym_undefined] = ACTIONS(3618),
    [anon_sym_AT] = ACTIONS(3618),
    [anon_sym_static] = ACTIONS(3618),
    [anon_sym_readonly] = ACTIONS(3618),
    [anon_sym_get] = ACTIONS(3618),
    [anon_sym_set] = ACTIONS(3618),
    [anon_sym_declare] = ACTIONS(3618),
    [anon_sym_public] = ACTIONS(3618),
    [anon_sym_private] = ACTIONS(3618),
    [anon_sym_protected] = ACTIONS(3618),
    [anon_sym_override] = ACTIONS(3618),
    [anon_sym_module] = ACTIONS(3618),
    [anon_sym_any] = ACTIONS(3618),
    [anon_sym_number] = ACTIONS(3618),
    [anon_sym_boolean] = ACTIONS(3618),
    [anon_sym_string] = ACTIONS(3618),
    [anon_sym_symbol] = ACTIONS(3618),
    [anon_sym_object] = ACTIONS(3618),
    [anon_sym_property] = ACTIONS(3618),
    [anon_sym_signal] = ACTIONS(3618),
    [anon_sym_on] = ACTIONS(3618),
    [anon_sym_required] = ACTIONS(3618),
    [anon_sym_component] = ACTIONS(3618),
    [anon_sym_abstract] = ACTIONS(3618),
    [anon_sym_interface] = ACTIONS(3618),
    [anon_sym_enum] = ACTIONS(3618),
    [sym_html_comment] = ACTIONS(5),
  },
  [1593] = {
    [sym_comment] = STATE(1593),
    [sym_identifier] = ACTIONS(3614),
    [anon_sym_export] = ACTIONS(3614),
    [anon_sym_type] = ACTIONS(3614),
    [anon_sym_namespace] = ACTIONS(3614),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(3614),
    [anon_sym_typeof] = ACTIONS(3614),
    [anon_sym_import] = ACTIONS(3614),
    [anon_sym_from] = ACTIONS(3614),
    [anon_sym_with] = ACTIONS(3614),
    [anon_sym_var] = ACTIONS(3614),
    [anon_sym_let] = ACTIONS(3614),
    [anon_sym_const] = ACTIONS(3614),
    [anon_sym_BANG] = ACTIONS(3614),
    [anon_sym_else] = ACTIONS(3614),
    [anon_sym_if] = ACTIONS(3614),
    [anon_sym_switch] = ACTIONS(3614),
    [anon_sym_for] = ACTIONS(3614),
    [anon_sym_LPAREN] = ACTIONS(3614),
    [anon_sym_await] = ACTIONS(3614),
    [anon_sym_of] = ACTIONS(3614),
    [anon_sym_while] = ACTIONS(3614),
    [anon_sym_do] = ACTIONS(3614),
    [anon_sym_try] = ACTIONS(3614),
    [anon_sym_break] = ACTIONS(3614),
    [anon_sym_continue] = ACTIONS(3614),
    [anon_sym_debugger] = ACTIONS(3614),
    [anon_sym_return] = ACTIONS(3614),
    [anon_sym_throw] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(3614),
    [anon_sym_yield] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(3614),
    [anon_sym_LTtemplate_GT] = ACTIONS(3614),
    [anon_sym_DQUOTE] = ACTIONS(3614),
    [anon_sym_SQUOTE] = ACTIONS(3614),
    [anon_sym_class] = ACTIONS(3614),
    [anon_sym_async] = ACTIONS(3614),
    [anon_sym_function] = ACTIONS(3614),
    [anon_sym_new] = ACTIONS(3614),
    [anon_sym_using] = ACTIONS(3614),
    [anon_sym_PLUS] = ACTIONS(3614),
    [anon_sym_DASH] = ACTIONS(3614),
    [anon_sym_SLASH] = ACTIONS(3614),
    [anon_sym_LT] = ACTIONS(3614),
    [anon_sym_TILDE] = ACTIONS(3614),
    [anon_sym_void] = ACTIONS(3614),
    [anon_sym_delete] = ACTIONS(3614),
    [anon_sym_PLUS_PLUS] = ACTIONS(3614),
    [anon_sym_DASH_DASH] = ACTIONS(3614),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3614),
    [sym_number] = ACTIONS(3614),
    [sym_private_property_identifier] = ACTIONS(3614),
    [sym_this] = ACTIONS(3614),
    [sym_super] = ACTIONS(3614),
    [sym_true] = ACTIONS(3614),
    [sym_false] = ACTIONS(3614),
    [sym_null] = ACTIONS(3614),
    [sym_undefined] = ACTIONS(3614),
    [anon_sym_AT] = ACTIONS(3614),
    [anon_sym_static] = ACTIONS(3614),
    [anon_sym_readonly] = ACTIONS(3614),
    [anon_sym_get] = ACTIONS(3614),
    [anon_sym_set] = ACTIONS(3614),
    [anon_sym_declare] = ACTIONS(3614),
    [anon_sym_public] = ACTIONS(3614),
    [anon_sym_private] = ACTIONS(3614),
    [anon_sym_protected] = ACTIONS(3614),
    [anon_sym_override] = ACTIONS(3614),
    [anon_sym_module] = ACTIONS(3614),
    [anon_sym_any] = ACTIONS(3614),
    [anon_sym_number] = ACTIONS(3614),
    [anon_sym_boolean] = ACTIONS(3614),
    [anon_sym_string] = ACTIONS(3614),
    [anon_sym_symbol] = ACTIONS(3614),
    [anon_sym_object] = ACTIONS(3614),
    [anon_sym_property] = ACTIONS(3614),
    [anon_sym_signal] = ACTIONS(3614),
    [anon_sym_on] = ACTIONS(3614),
    [anon_sym_required] = ACTIONS(3614),
    [anon_sym_component] = ACTIONS(3614),
    [anon_sym_abstract] = ACTIONS(3614),
    [anon_sym_interface] = ACTIONS(3614),
    [anon_sym_enum] = ACTIONS(3614),
    [sym_html_comment] = ACTIONS(5),
  },
  [1594] = {
    [sym_comment] = STATE(1594),
    [sym_identifier] = ACTIONS(3662),
    [anon_sym_export] = ACTIONS(3662),
    [anon_sym_type] = ACTIONS(3662),
    [anon_sym_namespace] = ACTIONS(3662),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(3662),
    [anon_sym_typeof] = ACTIONS(3662),
    [anon_sym_import] = ACTIONS(3662),
    [anon_sym_from] = ACTIONS(3662),
    [anon_sym_with] = ACTIONS(3662),
    [anon_sym_var] = ACTIONS(3662),
    [anon_sym_let] = ACTIONS(3662),
    [anon_sym_const] = ACTIONS(3662),
    [anon_sym_BANG] = ACTIONS(3662),
    [anon_sym_else] = ACTIONS(3662),
    [anon_sym_if] = ACTIONS(3662),
    [anon_sym_switch] = ACTIONS(3662),
    [anon_sym_for] = ACTIONS(3662),
    [anon_sym_LPAREN] = ACTIONS(3662),
    [anon_sym_await] = ACTIONS(3662),
    [anon_sym_of] = ACTIONS(3662),
    [anon_sym_while] = ACTIONS(3662),
    [anon_sym_do] = ACTIONS(3662),
    [anon_sym_try] = ACTIONS(3662),
    [anon_sym_break] = ACTIONS(3662),
    [anon_sym_continue] = ACTIONS(3662),
    [anon_sym_debugger] = ACTIONS(3662),
    [anon_sym_return] = ACTIONS(3662),
    [anon_sym_throw] = ACTIONS(3662),
    [anon_sym_SEMI] = ACTIONS(3662),
    [anon_sym_yield] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_LTtemplate_GT] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3662),
    [anon_sym_SQUOTE] = ACTIONS(3662),
    [anon_sym_class] = ACTIONS(3662),
    [anon_sym_async] = ACTIONS(3662),
    [anon_sym_function] = ACTIONS(3662),
    [anon_sym_new] = ACTIONS(3662),
    [anon_sym_using] = ACTIONS(3662),
    [anon_sym_PLUS] = ACTIONS(3662),
    [anon_sym_DASH] = ACTIONS(3662),
    [anon_sym_SLASH] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3662),
    [anon_sym_TILDE] = ACTIONS(3662),
    [anon_sym_void] = ACTIONS(3662),
    [anon_sym_delete] = ACTIONS(3662),
    [anon_sym_PLUS_PLUS] = ACTIONS(3662),
    [anon_sym_DASH_DASH] = ACTIONS(3662),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3662),
    [sym_number] = ACTIONS(3662),
    [sym_private_property_identifier] = ACTIONS(3662),
    [sym_this] = ACTIONS(3662),
    [sym_super] = ACTIONS(3662),
    [sym_true] = ACTIONS(3662),
    [sym_false] = ACTIONS(3662),
    [sym_null] = ACTIONS(3662),
    [sym_undefined] = ACTIONS(3662),
    [anon_sym_AT] = ACTIONS(3662),
    [anon_sym_static] = ACTIONS(3662),
    [anon_sym_readonly] = ACTIONS(3662),
    [anon_sym_get] = ACTIONS(3662),
    [anon_sym_set] = ACTIONS(3662),
    [anon_sym_declare] = ACTIONS(3662),
    [anon_sym_public] = ACTIONS(3662),
    [anon_sym_private] = ACTIONS(3662),
    [anon_sym_protected] = ACTIONS(3662),
    [anon_sym_override] = ACTIONS(3662),
    [anon_sym_module] = ACTIONS(3662),
    [anon_sym_any] = ACTIONS(3662),
    [anon_sym_number] = ACTIONS(3662),
    [anon_sym_boolean] = ACTIONS(3662),
    [anon_sym_string] = ACTIONS(3662),
    [anon_sym_symbol] = ACTIONS(3662),
    [anon_sym_object] = ACTIONS(3662),
    [anon_sym_property] = ACTIONS(3662),
    [anon_sym_signal] = ACTIONS(3662),
    [anon_sym_on] = ACTIONS(3662),
    [anon_sym_required] = ACTIONS(3662),
    [anon_sym_component] = ACTIONS(3662),
    [anon_sym_abstract] = ACTIONS(3662),
    [anon_sym_interface] = ACTIONS(3662),
    [anon_sym_enum] = ACTIONS(3662),
    [sym_html_comment] = ACTIONS(5),
  },
  [1595] = {
    [sym_comment] = STATE(1595),
    [sym_identifier] = ACTIONS(3594),
    [anon_sym_export] = ACTIONS(3594),
    [anon_sym_type] = ACTIONS(3594),
    [anon_sym_namespace] = ACTIONS(3594),
    [anon_sym_LBRACE] = ACTIONS(3594),
    [anon_sym_RBRACE] = ACTIONS(3594),
    [anon_sym_typeof] = ACTIONS(3594),
    [anon_sym_import] = ACTIONS(3594),
    [anon_sym_from] = ACTIONS(3594),
    [anon_sym_with] = ACTIONS(3594),
    [anon_sym_var] = ACTIONS(3594),
    [anon_sym_let] = ACTIONS(3594),
    [anon_sym_const] = ACTIONS(3594),
    [anon_sym_BANG] = ACTIONS(3594),
    [anon_sym_else] = ACTIONS(3594),
    [anon_sym_if] = ACTIONS(3594),
    [anon_sym_switch] = ACTIONS(3594),
    [anon_sym_for] = ACTIONS(3594),
    [anon_sym_LPAREN] = ACTIONS(3594),
    [anon_sym_await] = ACTIONS(3594),
    [anon_sym_of] = ACTIONS(3594),
    [anon_sym_while] = ACTIONS(3594),
    [anon_sym_do] = ACTIONS(3594),
    [anon_sym_try] = ACTIONS(3594),
    [anon_sym_break] = ACTIONS(3594),
    [anon_sym_continue] = ACTIONS(3594),
    [anon_sym_debugger] = ACTIONS(3594),
    [anon_sym_return] = ACTIONS(3594),
    [anon_sym_throw] = ACTIONS(3594),
    [anon_sym_SEMI] = ACTIONS(3594),
    [anon_sym_yield] = ACTIONS(3594),
    [anon_sym_LBRACK] = ACTIONS(3594),
    [anon_sym_LTtemplate_GT] = ACTIONS(3594),
    [anon_sym_DQUOTE] = ACTIONS(3594),
    [anon_sym_SQUOTE] = ACTIONS(3594),
    [anon_sym_class] = ACTIONS(3594),
    [anon_sym_async] = ACTIONS(3594),
    [anon_sym_function] = ACTIONS(3594),
    [anon_sym_new] = ACTIONS(3594),
    [anon_sym_using] = ACTIONS(3594),
    [anon_sym_PLUS] = ACTIONS(3594),
    [anon_sym_DASH] = ACTIONS(3594),
    [anon_sym_SLASH] = ACTIONS(3594),
    [anon_sym_LT] = ACTIONS(3594),
    [anon_sym_TILDE] = ACTIONS(3594),
    [anon_sym_void] = ACTIONS(3594),
    [anon_sym_delete] = ACTIONS(3594),
    [anon_sym_PLUS_PLUS] = ACTIONS(3594),
    [anon_sym_DASH_DASH] = ACTIONS(3594),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3594),
    [sym_number] = ACTIONS(3594),
    [sym_private_property_identifier] = ACTIONS(3594),
    [sym_this] = ACTIONS(3594),
    [sym_super] = ACTIONS(3594),
    [sym_true] = ACTIONS(3594),
    [sym_false] = ACTIONS(3594),
    [sym_null] = ACTIONS(3594),
    [sym_undefined] = ACTIONS(3594),
    [anon_sym_AT] = ACTIONS(3594),
    [anon_sym_static] = ACTIONS(3594),
    [anon_sym_readonly] = ACTIONS(3594),
    [anon_sym_get] = ACTIONS(3594),
    [anon_sym_set] = ACTIONS(3594),
    [anon_sym_declare] = ACTIONS(3594),
    [anon_sym_public] = ACTIONS(3594),
    [anon_sym_private] = ACTIONS(3594),
    [anon_sym_protected] = ACTIONS(3594),
    [anon_sym_override] = ACTIONS(3594),
    [anon_sym_module] = ACTIONS(3594),
    [anon_sym_any] = ACTIONS(3594),
    [anon_sym_number] = ACTIONS(3594),
    [anon_sym_boolean] = ACTIONS(3594),
    [anon_sym_string] = ACTIONS(3594),
    [anon_sym_symbol] = ACTIONS(3594),
    [anon_sym_object] = ACTIONS(3594),
    [anon_sym_property] = ACTIONS(3594),
    [anon_sym_signal] = ACTIONS(3594),
    [anon_sym_on] = ACTIONS(3594),
    [anon_sym_required] = ACTIONS(3594),
    [anon_sym_component] = ACTIONS(3594),
    [anon_sym_abstract] = ACTIONS(3594),
    [anon_sym_interface] = ACTIONS(3594),
    [anon_sym_enum] = ACTIONS(3594),
    [sym_html_comment] = ACTIONS(5),
  },
  [1596] = {
    [sym_comment] = STATE(1596),
    [sym_identifier] = ACTIONS(3600),
    [anon_sym_export] = ACTIONS(3600),
    [anon_sym_type] = ACTIONS(3600),
    [anon_sym_namespace] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3600),
    [anon_sym_RBRACE] = ACTIONS(3600),
    [anon_sym_typeof] = ACTIONS(3600),
    [anon_sym_import] = ACTIONS(3600),
    [anon_sym_from] = ACTIONS(3600),
    [anon_sym_with] = ACTIONS(3600),
    [anon_sym_var] = ACTIONS(3600),
    [anon_sym_let] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3600),
    [anon_sym_BANG] = ACTIONS(3600),
    [anon_sym_else] = ACTIONS(3600),
    [anon_sym_if] = ACTIONS(3600),
    [anon_sym_switch] = ACTIONS(3600),
    [anon_sym_for] = ACTIONS(3600),
    [anon_sym_LPAREN] = ACTIONS(3600),
    [anon_sym_await] = ACTIONS(3600),
    [anon_sym_of] = ACTIONS(3600),
    [anon_sym_while] = ACTIONS(3600),
    [anon_sym_do] = ACTIONS(3600),
    [anon_sym_try] = ACTIONS(3600),
    [anon_sym_break] = ACTIONS(3600),
    [anon_sym_continue] = ACTIONS(3600),
    [anon_sym_debugger] = ACTIONS(3600),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_throw] = ACTIONS(3600),
    [anon_sym_SEMI] = ACTIONS(3600),
    [anon_sym_yield] = ACTIONS(3600),
    [anon_sym_LBRACK] = ACTIONS(3600),
    [anon_sym_LTtemplate_GT] = ACTIONS(3600),
    [anon_sym_DQUOTE] = ACTIONS(3600),
    [anon_sym_SQUOTE] = ACTIONS(3600),
    [anon_sym_class] = ACTIONS(3600),
    [anon_sym_async] = ACTIONS(3600),
    [anon_sym_function] = ACTIONS(3600),
    [anon_sym_new] = ACTIONS(3600),
    [anon_sym_using] = ACTIONS(3600),
    [anon_sym_PLUS] = ACTIONS(3600),
    [anon_sym_DASH] = ACTIONS(3600),
    [anon_sym_SLASH] = ACTIONS(3600),
    [anon_sym_LT] = ACTIONS(3600),
    [anon_sym_TILDE] = ACTIONS(3600),
    [anon_sym_void] = ACTIONS(3600),
    [anon_sym_delete] = ACTIONS(3600),
    [anon_sym_PLUS_PLUS] = ACTIONS(3600),
    [anon_sym_DASH_DASH] = ACTIONS(3600),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3600),
    [sym_number] = ACTIONS(3600),
    [sym_private_property_identifier] = ACTIONS(3600),
    [sym_this] = ACTIONS(3600),
    [sym_super] = ACTIONS(3600),
    [sym_true] = ACTIONS(3600),
    [sym_false] = ACTIONS(3600),
    [sym_null] = ACTIONS(3600),
    [sym_undefined] = ACTIONS(3600),
    [anon_sym_AT] = ACTIONS(3600),
    [anon_sym_static] = ACTIONS(3600),
    [anon_sym_readonly] = ACTIONS(3600),
    [anon_sym_get] = ACTIONS(3600),
    [anon_sym_set] = ACTIONS(3600),
    [anon_sym_declare] = ACTIONS(3600),
    [anon_sym_public] = ACTIONS(3600),
    [anon_sym_private] = ACTIONS(3600),
    [anon_sym_protected] = ACTIONS(3600),
    [anon_sym_override] = ACTIONS(3600),
    [anon_sym_module] = ACTIONS(3600),
    [anon_sym_any] = ACTIONS(3600),
    [anon_sym_number] = ACTIONS(3600),
    [anon_sym_boolean] = ACTIONS(3600),
    [anon_sym_string] = ACTIONS(3600),
    [anon_sym_symbol] = ACTIONS(3600),
    [anon_sym_object] = ACTIONS(3600),
    [anon_sym_property] = ACTIONS(3600),
    [anon_sym_signal] = ACTIONS(3600),
    [anon_sym_on] = ACTIONS(3600),
    [anon_sym_required] = ACTIONS(3600),
    [anon_sym_component] = ACTIONS(3600),
    [anon_sym_abstract] = ACTIONS(3600),
    [anon_sym_interface] = ACTIONS(3600),
    [anon_sym_enum] = ACTIONS(3600),
    [sym_html_comment] = ACTIONS(5),
  },
  [1597] = {
    [sym_comment] = STATE(1597),
    [sym_identifier] = ACTIONS(3610),
    [anon_sym_export] = ACTIONS(3610),
    [anon_sym_type] = ACTIONS(3610),
    [anon_sym_namespace] = ACTIONS(3610),
    [anon_sym_LBRACE] = ACTIONS(3610),
    [anon_sym_RBRACE] = ACTIONS(3610),
    [anon_sym_typeof] = ACTIONS(3610),
    [anon_sym_import] = ACTIONS(3610),
    [anon_sym_from] = ACTIONS(3610),
    [anon_sym_with] = ACTIONS(3610),
    [anon_sym_var] = ACTIONS(3610),
    [anon_sym_let] = ACTIONS(3610),
    [anon_sym_const] = ACTIONS(3610),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_else] = ACTIONS(3610),
    [anon_sym_if] = ACTIONS(3610),
    [anon_sym_switch] = ACTIONS(3610),
    [anon_sym_for] = ACTIONS(3610),
    [anon_sym_LPAREN] = ACTIONS(3610),
    [anon_sym_await] = ACTIONS(3610),
    [anon_sym_of] = ACTIONS(3610),
    [anon_sym_while] = ACTIONS(3610),
    [anon_sym_do] = ACTIONS(3610),
    [anon_sym_try] = ACTIONS(3610),
    [anon_sym_break] = ACTIONS(3610),
    [anon_sym_continue] = ACTIONS(3610),
    [anon_sym_debugger] = ACTIONS(3610),
    [anon_sym_return] = ACTIONS(3610),
    [anon_sym_throw] = ACTIONS(3610),
    [anon_sym_SEMI] = ACTIONS(3610),
    [anon_sym_yield] = ACTIONS(3610),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_LTtemplate_GT] = ACTIONS(3610),
    [anon_sym_DQUOTE] = ACTIONS(3610),
    [anon_sym_SQUOTE] = ACTIONS(3610),
    [anon_sym_class] = ACTIONS(3610),
    [anon_sym_async] = ACTIONS(3610),
    [anon_sym_function] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3610),
    [anon_sym_using] = ACTIONS(3610),
    [anon_sym_PLUS] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3610),
    [anon_sym_SLASH] = ACTIONS(3610),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_void] = ACTIONS(3610),
    [anon_sym_delete] = ACTIONS(3610),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3610),
    [sym_number] = ACTIONS(3610),
    [sym_private_property_identifier] = ACTIONS(3610),
    [sym_this] = ACTIONS(3610),
    [sym_super] = ACTIONS(3610),
    [sym_true] = ACTIONS(3610),
    [sym_false] = ACTIONS(3610),
    [sym_null] = ACTIONS(3610),
    [sym_undefined] = ACTIONS(3610),
    [anon_sym_AT] = ACTIONS(3610),
    [anon_sym_static] = ACTIONS(3610),
    [anon_sym_readonly] = ACTIONS(3610),
    [anon_sym_get] = ACTIONS(3610),
    [anon_sym_set] = ACTIONS(3610),
    [anon_sym_declare] = ACTIONS(3610),
    [anon_sym_public] = ACTIONS(3610),
    [anon_sym_private] = ACTIONS(3610),
    [anon_sym_protected] = ACTIONS(3610),
    [anon_sym_override] = ACTIONS(3610),
    [anon_sym_module] = ACTIONS(3610),
    [anon_sym_any] = ACTIONS(3610),
    [anon_sym_number] = ACTIONS(3610),
    [anon_sym_boolean] = ACTIONS(3610),
    [anon_sym_string] = ACTIONS(3610),
    [anon_sym_symbol] = ACTIONS(3610),
    [anon_sym_object] = ACTIONS(3610),
    [anon_sym_property] = ACTIONS(3610),
    [anon_sym_signal] = ACTIONS(3610),
    [anon_sym_on] = ACTIONS(3610),
    [anon_sym_required] = ACTIONS(3610),
    [anon_sym_component] = ACTIONS(3610),
    [anon_sym_abstract] = ACTIONS(3610),
    [anon_sym_interface] = ACTIONS(3610),
    [anon_sym_enum] = ACTIONS(3610),
    [sym_html_comment] = ACTIONS(5),
  },
  [1598] = {
    [sym_comment] = STATE(1598),
    [sym_identifier] = ACTIONS(3610),
    [anon_sym_export] = ACTIONS(3610),
    [anon_sym_type] = ACTIONS(3610),
    [anon_sym_namespace] = ACTIONS(3610),
    [anon_sym_LBRACE] = ACTIONS(3610),
    [anon_sym_RBRACE] = ACTIONS(3610),
    [anon_sym_typeof] = ACTIONS(3610),
    [anon_sym_import] = ACTIONS(3610),
    [anon_sym_from] = ACTIONS(3610),
    [anon_sym_with] = ACTIONS(3610),
    [anon_sym_var] = ACTIONS(3610),
    [anon_sym_let] = ACTIONS(3610),
    [anon_sym_const] = ACTIONS(3610),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_else] = ACTIONS(3610),
    [anon_sym_if] = ACTIONS(3610),
    [anon_sym_switch] = ACTIONS(3610),
    [anon_sym_for] = ACTIONS(3610),
    [anon_sym_LPAREN] = ACTIONS(3610),
    [anon_sym_await] = ACTIONS(3610),
    [anon_sym_of] = ACTIONS(3610),
    [anon_sym_while] = ACTIONS(3610),
    [anon_sym_do] = ACTIONS(3610),
    [anon_sym_try] = ACTIONS(3610),
    [anon_sym_break] = ACTIONS(3610),
    [anon_sym_continue] = ACTIONS(3610),
    [anon_sym_debugger] = ACTIONS(3610),
    [anon_sym_return] = ACTIONS(3610),
    [anon_sym_throw] = ACTIONS(3610),
    [anon_sym_SEMI] = ACTIONS(3610),
    [anon_sym_yield] = ACTIONS(3610),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_LTtemplate_GT] = ACTIONS(3610),
    [anon_sym_DQUOTE] = ACTIONS(3610),
    [anon_sym_SQUOTE] = ACTIONS(3610),
    [anon_sym_class] = ACTIONS(3610),
    [anon_sym_async] = ACTIONS(3610),
    [anon_sym_function] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3610),
    [anon_sym_using] = ACTIONS(3610),
    [anon_sym_PLUS] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3610),
    [anon_sym_SLASH] = ACTIONS(3610),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_void] = ACTIONS(3610),
    [anon_sym_delete] = ACTIONS(3610),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3610),
    [sym_number] = ACTIONS(3610),
    [sym_private_property_identifier] = ACTIONS(3610),
    [sym_this] = ACTIONS(3610),
    [sym_super] = ACTIONS(3610),
    [sym_true] = ACTIONS(3610),
    [sym_false] = ACTIONS(3610),
    [sym_null] = ACTIONS(3610),
    [sym_undefined] = ACTIONS(3610),
    [anon_sym_AT] = ACTIONS(3610),
    [anon_sym_static] = ACTIONS(3610),
    [anon_sym_readonly] = ACTIONS(3610),
    [anon_sym_get] = ACTIONS(3610),
    [anon_sym_set] = ACTIONS(3610),
    [anon_sym_declare] = ACTIONS(3610),
    [anon_sym_public] = ACTIONS(3610),
    [anon_sym_private] = ACTIONS(3610),
    [anon_sym_protected] = ACTIONS(3610),
    [anon_sym_override] = ACTIONS(3610),
    [anon_sym_module] = ACTIONS(3610),
    [anon_sym_any] = ACTIONS(3610),
    [anon_sym_number] = ACTIONS(3610),
    [anon_sym_boolean] = ACTIONS(3610),
    [anon_sym_string] = ACTIONS(3610),
    [anon_sym_symbol] = ACTIONS(3610),
    [anon_sym_object] = ACTIONS(3610),
    [anon_sym_property] = ACTIONS(3610),
    [anon_sym_signal] = ACTIONS(3610),
    [anon_sym_on] = ACTIONS(3610),
    [anon_sym_required] = ACTIONS(3610),
    [anon_sym_component] = ACTIONS(3610),
    [anon_sym_abstract] = ACTIONS(3610),
    [anon_sym_interface] = ACTIONS(3610),
    [anon_sym_enum] = ACTIONS(3610),
    [sym_html_comment] = ACTIONS(5),
  },
  [1599] = {
    [sym_comment] = STATE(1599),
    [sym_identifier] = ACTIONS(3662),
    [anon_sym_export] = ACTIONS(3662),
    [anon_sym_type] = ACTIONS(3662),
    [anon_sym_namespace] = ACTIONS(3662),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(3662),
    [anon_sym_typeof] = ACTIONS(3662),
    [anon_sym_import] = ACTIONS(3662),
    [anon_sym_from] = ACTIONS(3662),
    [anon_sym_with] = ACTIONS(3662),
    [anon_sym_var] = ACTIONS(3662),
    [anon_sym_let] = ACTIONS(3662),
    [anon_sym_const] = ACTIONS(3662),
    [anon_sym_BANG] = ACTIONS(3662),
    [anon_sym_else] = ACTIONS(3662),
    [anon_sym_if] = ACTIONS(3662),
    [anon_sym_switch] = ACTIONS(3662),
    [anon_sym_for] = ACTIONS(3662),
    [anon_sym_LPAREN] = ACTIONS(3662),
    [anon_sym_await] = ACTIONS(3662),
    [anon_sym_of] = ACTIONS(3662),
    [anon_sym_while] = ACTIONS(3662),
    [anon_sym_do] = ACTIONS(3662),
    [anon_sym_try] = ACTIONS(3662),
    [anon_sym_break] = ACTIONS(3662),
    [anon_sym_continue] = ACTIONS(3662),
    [anon_sym_debugger] = ACTIONS(3662),
    [anon_sym_return] = ACTIONS(3662),
    [anon_sym_throw] = ACTIONS(3662),
    [anon_sym_SEMI] = ACTIONS(3662),
    [anon_sym_yield] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_LTtemplate_GT] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3662),
    [anon_sym_SQUOTE] = ACTIONS(3662),
    [anon_sym_class] = ACTIONS(3662),
    [anon_sym_async] = ACTIONS(3662),
    [anon_sym_function] = ACTIONS(3662),
    [anon_sym_new] = ACTIONS(3662),
    [anon_sym_using] = ACTIONS(3662),
    [anon_sym_PLUS] = ACTIONS(3662),
    [anon_sym_DASH] = ACTIONS(3662),
    [anon_sym_SLASH] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3662),
    [anon_sym_TILDE] = ACTIONS(3662),
    [anon_sym_void] = ACTIONS(3662),
    [anon_sym_delete] = ACTIONS(3662),
    [anon_sym_PLUS_PLUS] = ACTIONS(3662),
    [anon_sym_DASH_DASH] = ACTIONS(3662),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3662),
    [sym_number] = ACTIONS(3662),
    [sym_private_property_identifier] = ACTIONS(3662),
    [sym_this] = ACTIONS(3662),
    [sym_super] = ACTIONS(3662),
    [sym_true] = ACTIONS(3662),
    [sym_false] = ACTIONS(3662),
    [sym_null] = ACTIONS(3662),
    [sym_undefined] = ACTIONS(3662),
    [anon_sym_AT] = ACTIONS(3662),
    [anon_sym_static] = ACTIONS(3662),
    [anon_sym_readonly] = ACTIONS(3662),
    [anon_sym_get] = ACTIONS(3662),
    [anon_sym_set] = ACTIONS(3662),
    [anon_sym_declare] = ACTIONS(3662),
    [anon_sym_public] = ACTIONS(3662),
    [anon_sym_private] = ACTIONS(3662),
    [anon_sym_protected] = ACTIONS(3662),
    [anon_sym_override] = ACTIONS(3662),
    [anon_sym_module] = ACTIONS(3662),
    [anon_sym_any] = ACTIONS(3662),
    [anon_sym_number] = ACTIONS(3662),
    [anon_sym_boolean] = ACTIONS(3662),
    [anon_sym_string] = ACTIONS(3662),
    [anon_sym_symbol] = ACTIONS(3662),
    [anon_sym_object] = ACTIONS(3662),
    [anon_sym_property] = ACTIONS(3662),
    [anon_sym_signal] = ACTIONS(3662),
    [anon_sym_on] = ACTIONS(3662),
    [anon_sym_required] = ACTIONS(3662),
    [anon_sym_component] = ACTIONS(3662),
    [anon_sym_abstract] = ACTIONS(3662),
    [anon_sym_interface] = ACTIONS(3662),
    [anon_sym_enum] = ACTIONS(3662),
    [sym_html_comment] = ACTIONS(5),
  },
  [1600] = {
    [sym_comment] = STATE(1600),
    [sym_identifier] = ACTIONS(3608),
    [anon_sym_export] = ACTIONS(3608),
    [anon_sym_type] = ACTIONS(3608),
    [anon_sym_namespace] = ACTIONS(3608),
    [anon_sym_LBRACE] = ACTIONS(3608),
    [anon_sym_RBRACE] = ACTIONS(3608),
    [anon_sym_typeof] = ACTIONS(3608),
    [anon_sym_import] = ACTIONS(3608),
    [anon_sym_from] = ACTIONS(3608),
    [anon_sym_with] = ACTIONS(3608),
    [anon_sym_var] = ACTIONS(3608),
    [anon_sym_let] = ACTIONS(3608),
    [anon_sym_const] = ACTIONS(3608),
    [anon_sym_BANG] = ACTIONS(3608),
    [anon_sym_else] = ACTIONS(3608),
    [anon_sym_if] = ACTIONS(3608),
    [anon_sym_switch] = ACTIONS(3608),
    [anon_sym_for] = ACTIONS(3608),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_await] = ACTIONS(3608),
    [anon_sym_of] = ACTIONS(3608),
    [anon_sym_while] = ACTIONS(3608),
    [anon_sym_do] = ACTIONS(3608),
    [anon_sym_try] = ACTIONS(3608),
    [anon_sym_break] = ACTIONS(3608),
    [anon_sym_continue] = ACTIONS(3608),
    [anon_sym_debugger] = ACTIONS(3608),
    [anon_sym_return] = ACTIONS(3608),
    [anon_sym_throw] = ACTIONS(3608),
    [anon_sym_SEMI] = ACTIONS(3608),
    [anon_sym_yield] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3608),
    [anon_sym_LTtemplate_GT] = ACTIONS(3608),
    [anon_sym_DQUOTE] = ACTIONS(3608),
    [anon_sym_SQUOTE] = ACTIONS(3608),
    [anon_sym_class] = ACTIONS(3608),
    [anon_sym_async] = ACTIONS(3608),
    [anon_sym_function] = ACTIONS(3608),
    [anon_sym_new] = ACTIONS(3608),
    [anon_sym_using] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3608),
    [anon_sym_TILDE] = ACTIONS(3608),
    [anon_sym_void] = ACTIONS(3608),
    [anon_sym_delete] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(3608),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3608),
    [sym_number] = ACTIONS(3608),
    [sym_private_property_identifier] = ACTIONS(3608),
    [sym_this] = ACTIONS(3608),
    [sym_super] = ACTIONS(3608),
    [sym_true] = ACTIONS(3608),
    [sym_false] = ACTIONS(3608),
    [sym_null] = ACTIONS(3608),
    [sym_undefined] = ACTIONS(3608),
    [anon_sym_AT] = ACTIONS(3608),
    [anon_sym_static] = ACTIONS(3608),
    [anon_sym_readonly] = ACTIONS(3608),
    [anon_sym_get] = ACTIONS(3608),
    [anon_sym_set] = ACTIONS(3608),
    [anon_sym_declare] = ACTIONS(3608),
    [anon_sym_public] = ACTIONS(3608),
    [anon_sym_private] = ACTIONS(3608),
    [anon_sym_protected] = ACTIONS(3608),
    [anon_sym_override] = ACTIONS(3608),
    [anon_sym_module] = ACTIONS(3608),
    [anon_sym_any] = ACTIONS(3608),
    [anon_sym_number] = ACTIONS(3608),
    [anon_sym_boolean] = ACTIONS(3608),
    [anon_sym_string] = ACTIONS(3608),
    [anon_sym_symbol] = ACTIONS(3608),
    [anon_sym_object] = ACTIONS(3608),
    [anon_sym_property] = ACTIONS(3608),
    [anon_sym_signal] = ACTIONS(3608),
    [anon_sym_on] = ACTIONS(3608),
    [anon_sym_required] = ACTIONS(3608),
    [anon_sym_component] = ACTIONS(3608),
    [anon_sym_abstract] = ACTIONS(3608),
    [anon_sym_interface] = ACTIONS(3608),
    [anon_sym_enum] = ACTIONS(3608),
    [sym_html_comment] = ACTIONS(5),
  },
  [1601] = {
    [sym_comment] = STATE(1601),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_export] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2328),
    [anon_sym_namespace] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [anon_sym_typeof] = ACTIONS(2328),
    [anon_sym_import] = ACTIONS(2328),
    [anon_sym_from] = ACTIONS(2328),
    [anon_sym_with] = ACTIONS(2328),
    [anon_sym_var] = ACTIONS(2328),
    [anon_sym_let] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_if] = ACTIONS(2328),
    [anon_sym_switch] = ACTIONS(2328),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_of] = ACTIONS(2328),
    [anon_sym_while] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2328),
    [anon_sym_break] = ACTIONS(2328),
    [anon_sym_continue] = ACTIONS(2328),
    [anon_sym_debugger] = ACTIONS(2328),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym_yield] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_LTtemplate_GT] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_class] = ACTIONS(2328),
    [anon_sym_async] = ACTIONS(2328),
    [anon_sym_function] = ACTIONS(2328),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_using] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_void] = ACTIONS(2328),
    [anon_sym_delete] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2328),
    [sym_number] = ACTIONS(2328),
    [sym_private_property_identifier] = ACTIONS(2328),
    [sym_this] = ACTIONS(2328),
    [sym_super] = ACTIONS(2328),
    [sym_true] = ACTIONS(2328),
    [sym_false] = ACTIONS(2328),
    [sym_null] = ACTIONS(2328),
    [sym_undefined] = ACTIONS(2328),
    [anon_sym_AT] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2328),
    [anon_sym_readonly] = ACTIONS(2328),
    [anon_sym_get] = ACTIONS(2328),
    [anon_sym_set] = ACTIONS(2328),
    [anon_sym_declare] = ACTIONS(2328),
    [anon_sym_public] = ACTIONS(2328),
    [anon_sym_private] = ACTIONS(2328),
    [anon_sym_protected] = ACTIONS(2328),
    [anon_sym_override] = ACTIONS(2328),
    [anon_sym_module] = ACTIONS(2328),
    [anon_sym_any] = ACTIONS(2328),
    [anon_sym_number] = ACTIONS(2328),
    [anon_sym_boolean] = ACTIONS(2328),
    [anon_sym_string] = ACTIONS(2328),
    [anon_sym_symbol] = ACTIONS(2328),
    [anon_sym_object] = ACTIONS(2328),
    [anon_sym_property] = ACTIONS(2328),
    [anon_sym_signal] = ACTIONS(2328),
    [anon_sym_on] = ACTIONS(2328),
    [anon_sym_required] = ACTIONS(2328),
    [anon_sym_component] = ACTIONS(2328),
    [anon_sym_abstract] = ACTIONS(2328),
    [anon_sym_interface] = ACTIONS(2328),
    [anon_sym_enum] = ACTIONS(2328),
    [sym__automatic_semicolon] = ACTIONS(2330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1602] = {
    [sym_comment] = STATE(1602),
    [sym_identifier] = ACTIONS(3606),
    [anon_sym_export] = ACTIONS(3606),
    [anon_sym_type] = ACTIONS(3606),
    [anon_sym_namespace] = ACTIONS(3606),
    [anon_sym_LBRACE] = ACTIONS(3606),
    [anon_sym_RBRACE] = ACTIONS(3606),
    [anon_sym_typeof] = ACTIONS(3606),
    [anon_sym_import] = ACTIONS(3606),
    [anon_sym_from] = ACTIONS(3606),
    [anon_sym_with] = ACTIONS(3606),
    [anon_sym_var] = ACTIONS(3606),
    [anon_sym_let] = ACTIONS(3606),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_BANG] = ACTIONS(3606),
    [anon_sym_else] = ACTIONS(3606),
    [anon_sym_if] = ACTIONS(3606),
    [anon_sym_switch] = ACTIONS(3606),
    [anon_sym_for] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3606),
    [anon_sym_await] = ACTIONS(3606),
    [anon_sym_of] = ACTIONS(3606),
    [anon_sym_while] = ACTIONS(3606),
    [anon_sym_do] = ACTIONS(3606),
    [anon_sym_try] = ACTIONS(3606),
    [anon_sym_break] = ACTIONS(3606),
    [anon_sym_continue] = ACTIONS(3606),
    [anon_sym_debugger] = ACTIONS(3606),
    [anon_sym_return] = ACTIONS(3606),
    [anon_sym_throw] = ACTIONS(3606),
    [anon_sym_SEMI] = ACTIONS(3606),
    [anon_sym_yield] = ACTIONS(3606),
    [anon_sym_LBRACK] = ACTIONS(3606),
    [anon_sym_LTtemplate_GT] = ACTIONS(3606),
    [anon_sym_DQUOTE] = ACTIONS(3606),
    [anon_sym_SQUOTE] = ACTIONS(3606),
    [anon_sym_class] = ACTIONS(3606),
    [anon_sym_async] = ACTIONS(3606),
    [anon_sym_function] = ACTIONS(3606),
    [anon_sym_new] = ACTIONS(3606),
    [anon_sym_using] = ACTIONS(3606),
    [anon_sym_PLUS] = ACTIONS(3606),
    [anon_sym_DASH] = ACTIONS(3606),
    [anon_sym_SLASH] = ACTIONS(3606),
    [anon_sym_LT] = ACTIONS(3606),
    [anon_sym_TILDE] = ACTIONS(3606),
    [anon_sym_void] = ACTIONS(3606),
    [anon_sym_delete] = ACTIONS(3606),
    [anon_sym_PLUS_PLUS] = ACTIONS(3606),
    [anon_sym_DASH_DASH] = ACTIONS(3606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3606),
    [sym_number] = ACTIONS(3606),
    [sym_private_property_identifier] = ACTIONS(3606),
    [sym_this] = ACTIONS(3606),
    [sym_super] = ACTIONS(3606),
    [sym_true] = ACTIONS(3606),
    [sym_false] = ACTIONS(3606),
    [sym_null] = ACTIONS(3606),
    [sym_undefined] = ACTIONS(3606),
    [anon_sym_AT] = ACTIONS(3606),
    [anon_sym_static] = ACTIONS(3606),
    [anon_sym_readonly] = ACTIONS(3606),
    [anon_sym_get] = ACTIONS(3606),
    [anon_sym_set] = ACTIONS(3606),
    [anon_sym_declare] = ACTIONS(3606),
    [anon_sym_public] = ACTIONS(3606),
    [anon_sym_private] = ACTIONS(3606),
    [anon_sym_protected] = ACTIONS(3606),
    [anon_sym_override] = ACTIONS(3606),
    [anon_sym_module] = ACTIONS(3606),
    [anon_sym_any] = ACTIONS(3606),
    [anon_sym_number] = ACTIONS(3606),
    [anon_sym_boolean] = ACTIONS(3606),
    [anon_sym_string] = ACTIONS(3606),
    [anon_sym_symbol] = ACTIONS(3606),
    [anon_sym_object] = ACTIONS(3606),
    [anon_sym_property] = ACTIONS(3606),
    [anon_sym_signal] = ACTIONS(3606),
    [anon_sym_on] = ACTIONS(3606),
    [anon_sym_required] = ACTIONS(3606),
    [anon_sym_component] = ACTIONS(3606),
    [anon_sym_abstract] = ACTIONS(3606),
    [anon_sym_interface] = ACTIONS(3606),
    [anon_sym_enum] = ACTIONS(3606),
    [sym_html_comment] = ACTIONS(5),
  },
  [1603] = {
    [sym_comment] = STATE(1603),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_export] = ACTIONS(2370),
    [anon_sym_type] = ACTIONS(2370),
    [anon_sym_namespace] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_typeof] = ACTIONS(2370),
    [anon_sym_import] = ACTIONS(2370),
    [anon_sym_from] = ACTIONS(2370),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_var] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_const] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_switch] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_await] = ACTIONS(2370),
    [anon_sym_of] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_debugger] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LTtemplate_GT] = ACTIONS(2370),
    [anon_sym_DOT] = ACTIONS(2370),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_async] = ACTIONS(2370),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_using] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_SLASH] = ACTIONS(2370),
    [anon_sym_LT] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_void] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2370),
    [sym_number] = ACTIONS(2370),
    [sym_private_property_identifier] = ACTIONS(2370),
    [sym_this] = ACTIONS(2370),
    [sym_super] = ACTIONS(2370),
    [sym_true] = ACTIONS(2370),
    [sym_false] = ACTIONS(2370),
    [sym_null] = ACTIONS(2370),
    [sym_undefined] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2370),
    [anon_sym_readonly] = ACTIONS(2370),
    [anon_sym_get] = ACTIONS(2370),
    [anon_sym_set] = ACTIONS(2370),
    [anon_sym_declare] = ACTIONS(2370),
    [anon_sym_public] = ACTIONS(2370),
    [anon_sym_private] = ACTIONS(2370),
    [anon_sym_protected] = ACTIONS(2370),
    [anon_sym_override] = ACTIONS(2370),
    [anon_sym_module] = ACTIONS(2370),
    [anon_sym_any] = ACTIONS(2370),
    [anon_sym_number] = ACTIONS(2370),
    [anon_sym_boolean] = ACTIONS(2370),
    [anon_sym_string] = ACTIONS(2370),
    [anon_sym_symbol] = ACTIONS(2370),
    [anon_sym_object] = ACTIONS(2370),
    [anon_sym_property] = ACTIONS(2370),
    [anon_sym_signal] = ACTIONS(2370),
    [anon_sym_on] = ACTIONS(2370),
    [anon_sym_required] = ACTIONS(2370),
    [anon_sym_component] = ACTIONS(2370),
    [anon_sym_abstract] = ACTIONS(2370),
    [anon_sym_interface] = ACTIONS(2370),
    [anon_sym_enum] = ACTIONS(2370),
    [sym_html_comment] = ACTIONS(5),
  },
  [1604] = {
    [sym_comment] = STATE(1604),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_export] = ACTIONS(2410),
    [anon_sym_type] = ACTIONS(2410),
    [anon_sym_namespace] = ACTIONS(2410),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(2410),
    [anon_sym_typeof] = ACTIONS(2410),
    [anon_sym_import] = ACTIONS(2410),
    [anon_sym_from] = ACTIONS(2410),
    [anon_sym_with] = ACTIONS(2410),
    [anon_sym_var] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_const] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_if] = ACTIONS(2410),
    [anon_sym_switch] = ACTIONS(2410),
    [anon_sym_for] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_await] = ACTIONS(2410),
    [anon_sym_of] = ACTIONS(2410),
    [anon_sym_while] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2410),
    [anon_sym_break] = ACTIONS(2410),
    [anon_sym_continue] = ACTIONS(2410),
    [anon_sym_debugger] = ACTIONS(2410),
    [anon_sym_return] = ACTIONS(2410),
    [anon_sym_throw] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym_yield] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LTtemplate_GT] = ACTIONS(2410),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_class] = ACTIONS(2410),
    [anon_sym_async] = ACTIONS(2410),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_new] = ACTIONS(2410),
    [anon_sym_using] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_SLASH] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_void] = ACTIONS(2410),
    [anon_sym_delete] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2410),
    [sym_number] = ACTIONS(2410),
    [sym_private_property_identifier] = ACTIONS(2410),
    [sym_this] = ACTIONS(2410),
    [sym_super] = ACTIONS(2410),
    [sym_true] = ACTIONS(2410),
    [sym_false] = ACTIONS(2410),
    [sym_null] = ACTIONS(2410),
    [sym_undefined] = ACTIONS(2410),
    [anon_sym_AT] = ACTIONS(2410),
    [anon_sym_static] = ACTIONS(2410),
    [anon_sym_readonly] = ACTIONS(2410),
    [anon_sym_get] = ACTIONS(2410),
    [anon_sym_set] = ACTIONS(2410),
    [anon_sym_declare] = ACTIONS(2410),
    [anon_sym_public] = ACTIONS(2410),
    [anon_sym_private] = ACTIONS(2410),
    [anon_sym_protected] = ACTIONS(2410),
    [anon_sym_override] = ACTIONS(2410),
    [anon_sym_module] = ACTIONS(2410),
    [anon_sym_any] = ACTIONS(2410),
    [anon_sym_number] = ACTIONS(2410),
    [anon_sym_boolean] = ACTIONS(2410),
    [anon_sym_string] = ACTIONS(2410),
    [anon_sym_symbol] = ACTIONS(2410),
    [anon_sym_object] = ACTIONS(2410),
    [anon_sym_property] = ACTIONS(2410),
    [anon_sym_signal] = ACTIONS(2410),
    [anon_sym_on] = ACTIONS(2410),
    [anon_sym_required] = ACTIONS(2410),
    [anon_sym_component] = ACTIONS(2410),
    [anon_sym_abstract] = ACTIONS(2410),
    [anon_sym_interface] = ACTIONS(2410),
    [anon_sym_enum] = ACTIONS(2410),
    [sym_html_comment] = ACTIONS(5),
  },
  [1605] = {
    [sym_comment] = STATE(1605),
    [sym_identifier] = ACTIONS(3602),
    [anon_sym_export] = ACTIONS(3602),
    [anon_sym_type] = ACTIONS(3602),
    [anon_sym_namespace] = ACTIONS(3602),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_RBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3602),
    [anon_sym_import] = ACTIONS(3602),
    [anon_sym_from] = ACTIONS(3602),
    [anon_sym_with] = ACTIONS(3602),
    [anon_sym_var] = ACTIONS(3602),
    [anon_sym_let] = ACTIONS(3602),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_BANG] = ACTIONS(3602),
    [anon_sym_else] = ACTIONS(3602),
    [anon_sym_if] = ACTIONS(3602),
    [anon_sym_switch] = ACTIONS(3602),
    [anon_sym_for] = ACTIONS(3602),
    [anon_sym_LPAREN] = ACTIONS(3602),
    [anon_sym_await] = ACTIONS(3602),
    [anon_sym_of] = ACTIONS(3602),
    [anon_sym_while] = ACTIONS(3602),
    [anon_sym_do] = ACTIONS(3602),
    [anon_sym_try] = ACTIONS(3602),
    [anon_sym_break] = ACTIONS(3602),
    [anon_sym_continue] = ACTIONS(3602),
    [anon_sym_debugger] = ACTIONS(3602),
    [anon_sym_return] = ACTIONS(3602),
    [anon_sym_throw] = ACTIONS(3602),
    [anon_sym_SEMI] = ACTIONS(3602),
    [anon_sym_yield] = ACTIONS(3602),
    [anon_sym_LBRACK] = ACTIONS(3602),
    [anon_sym_LTtemplate_GT] = ACTIONS(3602),
    [anon_sym_DQUOTE] = ACTIONS(3602),
    [anon_sym_SQUOTE] = ACTIONS(3602),
    [anon_sym_class] = ACTIONS(3602),
    [anon_sym_async] = ACTIONS(3602),
    [anon_sym_function] = ACTIONS(3602),
    [anon_sym_new] = ACTIONS(3602),
    [anon_sym_using] = ACTIONS(3602),
    [anon_sym_PLUS] = ACTIONS(3602),
    [anon_sym_DASH] = ACTIONS(3602),
    [anon_sym_SLASH] = ACTIONS(3602),
    [anon_sym_LT] = ACTIONS(3602),
    [anon_sym_TILDE] = ACTIONS(3602),
    [anon_sym_void] = ACTIONS(3602),
    [anon_sym_delete] = ACTIONS(3602),
    [anon_sym_PLUS_PLUS] = ACTIONS(3602),
    [anon_sym_DASH_DASH] = ACTIONS(3602),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3602),
    [sym_number] = ACTIONS(3602),
    [sym_private_property_identifier] = ACTIONS(3602),
    [sym_this] = ACTIONS(3602),
    [sym_super] = ACTIONS(3602),
    [sym_true] = ACTIONS(3602),
    [sym_false] = ACTIONS(3602),
    [sym_null] = ACTIONS(3602),
    [sym_undefined] = ACTIONS(3602),
    [anon_sym_AT] = ACTIONS(3602),
    [anon_sym_static] = ACTIONS(3602),
    [anon_sym_readonly] = ACTIONS(3602),
    [anon_sym_get] = ACTIONS(3602),
    [anon_sym_set] = ACTIONS(3602),
    [anon_sym_declare] = ACTIONS(3602),
    [anon_sym_public] = ACTIONS(3602),
    [anon_sym_private] = ACTIONS(3602),
    [anon_sym_protected] = ACTIONS(3602),
    [anon_sym_override] = ACTIONS(3602),
    [anon_sym_module] = ACTIONS(3602),
    [anon_sym_any] = ACTIONS(3602),
    [anon_sym_number] = ACTIONS(3602),
    [anon_sym_boolean] = ACTIONS(3602),
    [anon_sym_string] = ACTIONS(3602),
    [anon_sym_symbol] = ACTIONS(3602),
    [anon_sym_object] = ACTIONS(3602),
    [anon_sym_property] = ACTIONS(3602),
    [anon_sym_signal] = ACTIONS(3602),
    [anon_sym_on] = ACTIONS(3602),
    [anon_sym_required] = ACTIONS(3602),
    [anon_sym_component] = ACTIONS(3602),
    [anon_sym_abstract] = ACTIONS(3602),
    [anon_sym_interface] = ACTIONS(3602),
    [anon_sym_enum] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1606] = {
    [sym_comment] = STATE(1606),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_export] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_namespace] = ACTIONS(3572),
    [anon_sym_LBRACE] = ACTIONS(3572),
    [anon_sym_RBRACE] = ACTIONS(3572),
    [anon_sym_typeof] = ACTIONS(3572),
    [anon_sym_import] = ACTIONS(3572),
    [anon_sym_from] = ACTIONS(3572),
    [anon_sym_with] = ACTIONS(3572),
    [anon_sym_var] = ACTIONS(3572),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_const] = ACTIONS(3572),
    [anon_sym_BANG] = ACTIONS(3572),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_if] = ACTIONS(3572),
    [anon_sym_switch] = ACTIONS(3572),
    [anon_sym_for] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(3572),
    [anon_sym_await] = ACTIONS(3572),
    [anon_sym_of] = ACTIONS(3572),
    [anon_sym_while] = ACTIONS(3572),
    [anon_sym_do] = ACTIONS(3572),
    [anon_sym_try] = ACTIONS(3572),
    [anon_sym_break] = ACTIONS(3572),
    [anon_sym_continue] = ACTIONS(3572),
    [anon_sym_debugger] = ACTIONS(3572),
    [anon_sym_return] = ACTIONS(3572),
    [anon_sym_throw] = ACTIONS(3572),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_yield] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(3572),
    [anon_sym_LTtemplate_GT] = ACTIONS(3572),
    [anon_sym_DQUOTE] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_async] = ACTIONS(3572),
    [anon_sym_function] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(3572),
    [anon_sym_using] = ACTIONS(3572),
    [anon_sym_PLUS] = ACTIONS(3572),
    [anon_sym_DASH] = ACTIONS(3572),
    [anon_sym_SLASH] = ACTIONS(3572),
    [anon_sym_LT] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(3572),
    [anon_sym_void] = ACTIONS(3572),
    [anon_sym_delete] = ACTIONS(3572),
    [anon_sym_PLUS_PLUS] = ACTIONS(3572),
    [anon_sym_DASH_DASH] = ACTIONS(3572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3572),
    [sym_number] = ACTIONS(3572),
    [sym_private_property_identifier] = ACTIONS(3572),
    [sym_this] = ACTIONS(3572),
    [sym_super] = ACTIONS(3572),
    [sym_true] = ACTIONS(3572),
    [sym_false] = ACTIONS(3572),
    [sym_null] = ACTIONS(3572),
    [sym_undefined] = ACTIONS(3572),
    [anon_sym_AT] = ACTIONS(3572),
    [anon_sym_static] = ACTIONS(3572),
    [anon_sym_readonly] = ACTIONS(3572),
    [anon_sym_get] = ACTIONS(3572),
    [anon_sym_set] = ACTIONS(3572),
    [anon_sym_declare] = ACTIONS(3572),
    [anon_sym_public] = ACTIONS(3572),
    [anon_sym_private] = ACTIONS(3572),
    [anon_sym_protected] = ACTIONS(3572),
    [anon_sym_override] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_any] = ACTIONS(3572),
    [anon_sym_number] = ACTIONS(3572),
    [anon_sym_boolean] = ACTIONS(3572),
    [anon_sym_string] = ACTIONS(3572),
    [anon_sym_symbol] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(3572),
    [anon_sym_property] = ACTIONS(3572),
    [anon_sym_signal] = ACTIONS(3572),
    [anon_sym_on] = ACTIONS(3572),
    [anon_sym_required] = ACTIONS(3572),
    [anon_sym_component] = ACTIONS(3572),
    [anon_sym_abstract] = ACTIONS(3572),
    [anon_sym_interface] = ACTIONS(3572),
    [anon_sym_enum] = ACTIONS(3572),
    [sym_html_comment] = ACTIONS(5),
  },
  [1607] = {
    [sym_comment] = STATE(1607),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_export] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_namespace] = ACTIONS(3572),
    [anon_sym_LBRACE] = ACTIONS(3572),
    [anon_sym_RBRACE] = ACTIONS(3572),
    [anon_sym_typeof] = ACTIONS(3572),
    [anon_sym_import] = ACTIONS(3572),
    [anon_sym_from] = ACTIONS(3572),
    [anon_sym_with] = ACTIONS(3572),
    [anon_sym_var] = ACTIONS(3572),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_const] = ACTIONS(3572),
    [anon_sym_BANG] = ACTIONS(3572),
    [anon_sym_else] = ACTIONS(3572),
    [anon_sym_if] = ACTIONS(3572),
    [anon_sym_switch] = ACTIONS(3572),
    [anon_sym_for] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(3572),
    [anon_sym_await] = ACTIONS(3572),
    [anon_sym_of] = ACTIONS(3572),
    [anon_sym_while] = ACTIONS(3572),
    [anon_sym_do] = ACTIONS(3572),
    [anon_sym_try] = ACTIONS(3572),
    [anon_sym_break] = ACTIONS(3572),
    [anon_sym_continue] = ACTIONS(3572),
    [anon_sym_debugger] = ACTIONS(3572),
    [anon_sym_return] = ACTIONS(3572),
    [anon_sym_throw] = ACTIONS(3572),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_yield] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(3572),
    [anon_sym_LTtemplate_GT] = ACTIONS(3572),
    [anon_sym_DQUOTE] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_async] = ACTIONS(3572),
    [anon_sym_function] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(3572),
    [anon_sym_using] = ACTIONS(3572),
    [anon_sym_PLUS] = ACTIONS(3572),
    [anon_sym_DASH] = ACTIONS(3572),
    [anon_sym_SLASH] = ACTIONS(3572),
    [anon_sym_LT] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(3572),
    [anon_sym_void] = ACTIONS(3572),
    [anon_sym_delete] = ACTIONS(3572),
    [anon_sym_PLUS_PLUS] = ACTIONS(3572),
    [anon_sym_DASH_DASH] = ACTIONS(3572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3572),
    [sym_number] = ACTIONS(3572),
    [sym_private_property_identifier] = ACTIONS(3572),
    [sym_this] = ACTIONS(3572),
    [sym_super] = ACTIONS(3572),
    [sym_true] = ACTIONS(3572),
    [sym_false] = ACTIONS(3572),
    [sym_null] = ACTIONS(3572),
    [sym_undefined] = ACTIONS(3572),
    [anon_sym_AT] = ACTIONS(3572),
    [anon_sym_static] = ACTIONS(3572),
    [anon_sym_readonly] = ACTIONS(3572),
    [anon_sym_get] = ACTIONS(3572),
    [anon_sym_set] = ACTIONS(3572),
    [anon_sym_declare] = ACTIONS(3572),
    [anon_sym_public] = ACTIONS(3572),
    [anon_sym_private] = ACTIONS(3572),
    [anon_sym_protected] = ACTIONS(3572),
    [anon_sym_override] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_any] = ACTIONS(3572),
    [anon_sym_number] = ACTIONS(3572),
    [anon_sym_boolean] = ACTIONS(3572),
    [anon_sym_string] = ACTIONS(3572),
    [anon_sym_symbol] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(3572),
    [anon_sym_property] = ACTIONS(3572),
    [anon_sym_signal] = ACTIONS(3572),
    [anon_sym_on] = ACTIONS(3572),
    [anon_sym_required] = ACTIONS(3572),
    [anon_sym_component] = ACTIONS(3572),
    [anon_sym_abstract] = ACTIONS(3572),
    [anon_sym_interface] = ACTIONS(3572),
    [anon_sym_enum] = ACTIONS(3572),
    [sym_html_comment] = ACTIONS(5),
  },
  [1608] = {
    [sym_comment] = STATE(1608),
    [sym_identifier] = ACTIONS(3560),
    [anon_sym_export] = ACTIONS(3560),
    [anon_sym_type] = ACTIONS(3560),
    [anon_sym_namespace] = ACTIONS(3560),
    [anon_sym_LBRACE] = ACTIONS(3560),
    [anon_sym_RBRACE] = ACTIONS(3560),
    [anon_sym_typeof] = ACTIONS(3560),
    [anon_sym_import] = ACTIONS(3560),
    [anon_sym_from] = ACTIONS(3560),
    [anon_sym_with] = ACTIONS(3560),
    [anon_sym_var] = ACTIONS(3560),
    [anon_sym_let] = ACTIONS(3560),
    [anon_sym_const] = ACTIONS(3560),
    [anon_sym_BANG] = ACTIONS(3560),
    [anon_sym_else] = ACTIONS(3560),
    [anon_sym_if] = ACTIONS(3560),
    [anon_sym_switch] = ACTIONS(3560),
    [anon_sym_for] = ACTIONS(3560),
    [anon_sym_LPAREN] = ACTIONS(3560),
    [anon_sym_await] = ACTIONS(3560),
    [anon_sym_of] = ACTIONS(3560),
    [anon_sym_while] = ACTIONS(3560),
    [anon_sym_do] = ACTIONS(3560),
    [anon_sym_try] = ACTIONS(3560),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_continue] = ACTIONS(3560),
    [anon_sym_debugger] = ACTIONS(3560),
    [anon_sym_return] = ACTIONS(3560),
    [anon_sym_throw] = ACTIONS(3560),
    [anon_sym_SEMI] = ACTIONS(3560),
    [anon_sym_yield] = ACTIONS(3560),
    [anon_sym_LBRACK] = ACTIONS(3560),
    [anon_sym_LTtemplate_GT] = ACTIONS(3560),
    [anon_sym_DQUOTE] = ACTIONS(3560),
    [anon_sym_SQUOTE] = ACTIONS(3560),
    [anon_sym_class] = ACTIONS(3560),
    [anon_sym_async] = ACTIONS(3560),
    [anon_sym_function] = ACTIONS(3560),
    [anon_sym_new] = ACTIONS(3560),
    [anon_sym_using] = ACTIONS(3560),
    [anon_sym_PLUS] = ACTIONS(3560),
    [anon_sym_DASH] = ACTIONS(3560),
    [anon_sym_SLASH] = ACTIONS(3560),
    [anon_sym_LT] = ACTIONS(3560),
    [anon_sym_TILDE] = ACTIONS(3560),
    [anon_sym_void] = ACTIONS(3560),
    [anon_sym_delete] = ACTIONS(3560),
    [anon_sym_PLUS_PLUS] = ACTIONS(3560),
    [anon_sym_DASH_DASH] = ACTIONS(3560),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3560),
    [sym_number] = ACTIONS(3560),
    [sym_private_property_identifier] = ACTIONS(3560),
    [sym_this] = ACTIONS(3560),
    [sym_super] = ACTIONS(3560),
    [sym_true] = ACTIONS(3560),
    [sym_false] = ACTIONS(3560),
    [sym_null] = ACTIONS(3560),
    [sym_undefined] = ACTIONS(3560),
    [anon_sym_AT] = ACTIONS(3560),
    [anon_sym_static] = ACTIONS(3560),
    [anon_sym_readonly] = ACTIONS(3560),
    [anon_sym_get] = ACTIONS(3560),
    [anon_sym_set] = ACTIONS(3560),
    [anon_sym_declare] = ACTIONS(3560),
    [anon_sym_public] = ACTIONS(3560),
    [anon_sym_private] = ACTIONS(3560),
    [anon_sym_protected] = ACTIONS(3560),
    [anon_sym_override] = ACTIONS(3560),
    [anon_sym_module] = ACTIONS(3560),
    [anon_sym_any] = ACTIONS(3560),
    [anon_sym_number] = ACTIONS(3560),
    [anon_sym_boolean] = ACTIONS(3560),
    [anon_sym_string] = ACTIONS(3560),
    [anon_sym_symbol] = ACTIONS(3560),
    [anon_sym_object] = ACTIONS(3560),
    [anon_sym_property] = ACTIONS(3560),
    [anon_sym_signal] = ACTIONS(3560),
    [anon_sym_on] = ACTIONS(3560),
    [anon_sym_required] = ACTIONS(3560),
    [anon_sym_component] = ACTIONS(3560),
    [anon_sym_abstract] = ACTIONS(3560),
    [anon_sym_interface] = ACTIONS(3560),
    [anon_sym_enum] = ACTIONS(3560),
    [sym_html_comment] = ACTIONS(5),
  },
  [1609] = {
    [sym_comment] = STATE(1609),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_export] = ACTIONS(2442),
    [anon_sym_type] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_typeof] = ACTIONS(2442),
    [anon_sym_import] = ACTIONS(2442),
    [anon_sym_from] = ACTIONS(2442),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_var] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_switch] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_await] = ACTIONS(2442),
    [anon_sym_of] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_break] = ACTIONS(2442),
    [anon_sym_continue] = ACTIONS(2442),
    [anon_sym_debugger] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LTtemplate_GT] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_async] = ACTIONS(2442),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_void] = ACTIONS(2442),
    [anon_sym_delete] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2442),
    [sym_number] = ACTIONS(2442),
    [sym_private_property_identifier] = ACTIONS(2442),
    [sym_this] = ACTIONS(2442),
    [sym_super] = ACTIONS(2442),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [sym_null] = ACTIONS(2442),
    [sym_undefined] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_readonly] = ACTIONS(2442),
    [anon_sym_get] = ACTIONS(2442),
    [anon_sym_set] = ACTIONS(2442),
    [anon_sym_declare] = ACTIONS(2442),
    [anon_sym_public] = ACTIONS(2442),
    [anon_sym_private] = ACTIONS(2442),
    [anon_sym_protected] = ACTIONS(2442),
    [anon_sym_override] = ACTIONS(2442),
    [anon_sym_module] = ACTIONS(2442),
    [anon_sym_any] = ACTIONS(2442),
    [anon_sym_number] = ACTIONS(2442),
    [anon_sym_boolean] = ACTIONS(2442),
    [anon_sym_string] = ACTIONS(2442),
    [anon_sym_symbol] = ACTIONS(2442),
    [anon_sym_object] = ACTIONS(2442),
    [anon_sym_property] = ACTIONS(2442),
    [anon_sym_signal] = ACTIONS(2442),
    [anon_sym_on] = ACTIONS(2442),
    [anon_sym_required] = ACTIONS(2442),
    [anon_sym_component] = ACTIONS(2442),
    [anon_sym_abstract] = ACTIONS(2442),
    [anon_sym_interface] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [sym__automatic_semicolon] = ACTIONS(2444),
    [sym_html_comment] = ACTIONS(5),
  },
  [1610] = {
    [sym_statement_block] = STATE(1822),
    [sym_comment] = STATE(1610),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(3706),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_typeof] = ACTIONS(2297),
    [anon_sym_import] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_with] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_const] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_switch] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_debugger] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_throw] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_yield] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LTtemplate_GT] = ACTIONS(2297),
    [anon_sym_DQUOTE] = ACTIONS(2297),
    [anon_sym_SQUOTE] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_new] = ACTIONS(2297),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_void] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [sym_private_property_identifier] = ACTIONS(2297),
    [sym_this] = ACTIONS(2297),
    [sym_super] = ACTIONS(2297),
    [sym_true] = ACTIONS(2297),
    [sym_false] = ACTIONS(2297),
    [sym_null] = ACTIONS(2297),
    [sym_undefined] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_abstract] = ACTIONS(2297),
    [anon_sym_interface] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym_html_comment] = ACTIONS(5),
  },
  [1611] = {
    [sym_comment] = STATE(1611),
    [sym_identifier] = ACTIONS(3604),
    [anon_sym_export] = ACTIONS(3604),
    [anon_sym_type] = ACTIONS(3604),
    [anon_sym_namespace] = ACTIONS(3604),
    [anon_sym_LBRACE] = ACTIONS(3604),
    [anon_sym_RBRACE] = ACTIONS(3604),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_import] = ACTIONS(3604),
    [anon_sym_from] = ACTIONS(3604),
    [anon_sym_with] = ACTIONS(3604),
    [anon_sym_var] = ACTIONS(3604),
    [anon_sym_let] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3604),
    [anon_sym_BANG] = ACTIONS(3604),
    [anon_sym_else] = ACTIONS(3604),
    [anon_sym_if] = ACTIONS(3604),
    [anon_sym_switch] = ACTIONS(3604),
    [anon_sym_for] = ACTIONS(3604),
    [anon_sym_LPAREN] = ACTIONS(3604),
    [anon_sym_await] = ACTIONS(3604),
    [anon_sym_of] = ACTIONS(3604),
    [anon_sym_while] = ACTIONS(3604),
    [anon_sym_do] = ACTIONS(3604),
    [anon_sym_try] = ACTIONS(3604),
    [anon_sym_break] = ACTIONS(3604),
    [anon_sym_continue] = ACTIONS(3604),
    [anon_sym_debugger] = ACTIONS(3604),
    [anon_sym_return] = ACTIONS(3604),
    [anon_sym_throw] = ACTIONS(3604),
    [anon_sym_SEMI] = ACTIONS(3604),
    [anon_sym_yield] = ACTIONS(3604),
    [anon_sym_LBRACK] = ACTIONS(3604),
    [anon_sym_LTtemplate_GT] = ACTIONS(3604),
    [anon_sym_DQUOTE] = ACTIONS(3604),
    [anon_sym_SQUOTE] = ACTIONS(3604),
    [anon_sym_class] = ACTIONS(3604),
    [anon_sym_async] = ACTIONS(3604),
    [anon_sym_function] = ACTIONS(3604),
    [anon_sym_new] = ACTIONS(3604),
    [anon_sym_using] = ACTIONS(3604),
    [anon_sym_PLUS] = ACTIONS(3604),
    [anon_sym_DASH] = ACTIONS(3604),
    [anon_sym_SLASH] = ACTIONS(3604),
    [anon_sym_LT] = ACTIONS(3604),
    [anon_sym_TILDE] = ACTIONS(3604),
    [anon_sym_void] = ACTIONS(3604),
    [anon_sym_delete] = ACTIONS(3604),
    [anon_sym_PLUS_PLUS] = ACTIONS(3604),
    [anon_sym_DASH_DASH] = ACTIONS(3604),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3604),
    [sym_number] = ACTIONS(3604),
    [sym_private_property_identifier] = ACTIONS(3604),
    [sym_this] = ACTIONS(3604),
    [sym_super] = ACTIONS(3604),
    [sym_true] = ACTIONS(3604),
    [sym_false] = ACTIONS(3604),
    [sym_null] = ACTIONS(3604),
    [sym_undefined] = ACTIONS(3604),
    [anon_sym_AT] = ACTIONS(3604),
    [anon_sym_static] = ACTIONS(3604),
    [anon_sym_readonly] = ACTIONS(3604),
    [anon_sym_get] = ACTIONS(3604),
    [anon_sym_set] = ACTIONS(3604),
    [anon_sym_declare] = ACTIONS(3604),
    [anon_sym_public] = ACTIONS(3604),
    [anon_sym_private] = ACTIONS(3604),
    [anon_sym_protected] = ACTIONS(3604),
    [anon_sym_override] = ACTIONS(3604),
    [anon_sym_module] = ACTIONS(3604),
    [anon_sym_any] = ACTIONS(3604),
    [anon_sym_number] = ACTIONS(3604),
    [anon_sym_boolean] = ACTIONS(3604),
    [anon_sym_string] = ACTIONS(3604),
    [anon_sym_symbol] = ACTIONS(3604),
    [anon_sym_object] = ACTIONS(3604),
    [anon_sym_property] = ACTIONS(3604),
    [anon_sym_signal] = ACTIONS(3604),
    [anon_sym_on] = ACTIONS(3604),
    [anon_sym_required] = ACTIONS(3604),
    [anon_sym_component] = ACTIONS(3604),
    [anon_sym_abstract] = ACTIONS(3604),
    [anon_sym_interface] = ACTIONS(3604),
    [anon_sym_enum] = ACTIONS(3604),
    [sym_html_comment] = ACTIONS(5),
  },
  [1612] = {
    [sym_comment] = STATE(1612),
    [sym_identifier] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(3612),
    [anon_sym_type] = ACTIONS(3612),
    [anon_sym_namespace] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(3612),
    [anon_sym_RBRACE] = ACTIONS(3612),
    [anon_sym_typeof] = ACTIONS(3612),
    [anon_sym_import] = ACTIONS(3612),
    [anon_sym_from] = ACTIONS(3612),
    [anon_sym_with] = ACTIONS(3612),
    [anon_sym_var] = ACTIONS(3612),
    [anon_sym_let] = ACTIONS(3612),
    [anon_sym_const] = ACTIONS(3612),
    [anon_sym_BANG] = ACTIONS(3612),
    [anon_sym_else] = ACTIONS(3612),
    [anon_sym_if] = ACTIONS(3612),
    [anon_sym_switch] = ACTIONS(3612),
    [anon_sym_for] = ACTIONS(3612),
    [anon_sym_LPAREN] = ACTIONS(3612),
    [anon_sym_await] = ACTIONS(3612),
    [anon_sym_of] = ACTIONS(3612),
    [anon_sym_while] = ACTIONS(3612),
    [anon_sym_do] = ACTIONS(3612),
    [anon_sym_try] = ACTIONS(3612),
    [anon_sym_break] = ACTIONS(3612),
    [anon_sym_continue] = ACTIONS(3612),
    [anon_sym_debugger] = ACTIONS(3612),
    [anon_sym_return] = ACTIONS(3612),
    [anon_sym_throw] = ACTIONS(3612),
    [anon_sym_SEMI] = ACTIONS(3612),
    [anon_sym_yield] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(3612),
    [anon_sym_LTtemplate_GT] = ACTIONS(3612),
    [anon_sym_DQUOTE] = ACTIONS(3612),
    [anon_sym_SQUOTE] = ACTIONS(3612),
    [anon_sym_class] = ACTIONS(3612),
    [anon_sym_async] = ACTIONS(3612),
    [anon_sym_function] = ACTIONS(3612),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_using] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3612),
    [anon_sym_DASH] = ACTIONS(3612),
    [anon_sym_SLASH] = ACTIONS(3612),
    [anon_sym_LT] = ACTIONS(3612),
    [anon_sym_TILDE] = ACTIONS(3612),
    [anon_sym_void] = ACTIONS(3612),
    [anon_sym_delete] = ACTIONS(3612),
    [anon_sym_PLUS_PLUS] = ACTIONS(3612),
    [anon_sym_DASH_DASH] = ACTIONS(3612),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3612),
    [sym_number] = ACTIONS(3612),
    [sym_private_property_identifier] = ACTIONS(3612),
    [sym_this] = ACTIONS(3612),
    [sym_super] = ACTIONS(3612),
    [sym_true] = ACTIONS(3612),
    [sym_false] = ACTIONS(3612),
    [sym_null] = ACTIONS(3612),
    [sym_undefined] = ACTIONS(3612),
    [anon_sym_AT] = ACTIONS(3612),
    [anon_sym_static] = ACTIONS(3612),
    [anon_sym_readonly] = ACTIONS(3612),
    [anon_sym_get] = ACTIONS(3612),
    [anon_sym_set] = ACTIONS(3612),
    [anon_sym_declare] = ACTIONS(3612),
    [anon_sym_public] = ACTIONS(3612),
    [anon_sym_private] = ACTIONS(3612),
    [anon_sym_protected] = ACTIONS(3612),
    [anon_sym_override] = ACTIONS(3612),
    [anon_sym_module] = ACTIONS(3612),
    [anon_sym_any] = ACTIONS(3612),
    [anon_sym_number] = ACTIONS(3612),
    [anon_sym_boolean] = ACTIONS(3612),
    [anon_sym_string] = ACTIONS(3612),
    [anon_sym_symbol] = ACTIONS(3612),
    [anon_sym_object] = ACTIONS(3612),
    [anon_sym_property] = ACTIONS(3612),
    [anon_sym_signal] = ACTIONS(3612),
    [anon_sym_on] = ACTIONS(3612),
    [anon_sym_required] = ACTIONS(3612),
    [anon_sym_component] = ACTIONS(3612),
    [anon_sym_abstract] = ACTIONS(3612),
    [anon_sym_interface] = ACTIONS(3612),
    [anon_sym_enum] = ACTIONS(3612),
    [sym_html_comment] = ACTIONS(5),
  },
  [1613] = {
    [sym_comment] = STATE(1613),
    [sym_identifier] = ACTIONS(3616),
    [anon_sym_export] = ACTIONS(3616),
    [anon_sym_type] = ACTIONS(3616),
    [anon_sym_namespace] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3616),
    [anon_sym_RBRACE] = ACTIONS(3616),
    [anon_sym_typeof] = ACTIONS(3616),
    [anon_sym_import] = ACTIONS(3616),
    [anon_sym_from] = ACTIONS(3616),
    [anon_sym_with] = ACTIONS(3616),
    [anon_sym_var] = ACTIONS(3616),
    [anon_sym_let] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_BANG] = ACTIONS(3616),
    [anon_sym_else] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_LPAREN] = ACTIONS(3616),
    [anon_sym_await] = ACTIONS(3616),
    [anon_sym_of] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_try] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_debugger] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_throw] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_yield] = ACTIONS(3616),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_LTtemplate_GT] = ACTIONS(3616),
    [anon_sym_DQUOTE] = ACTIONS(3616),
    [anon_sym_SQUOTE] = ACTIONS(3616),
    [anon_sym_class] = ACTIONS(3616),
    [anon_sym_async] = ACTIONS(3616),
    [anon_sym_function] = ACTIONS(3616),
    [anon_sym_new] = ACTIONS(3616),
    [anon_sym_using] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_SLASH] = ACTIONS(3616),
    [anon_sym_LT] = ACTIONS(3616),
    [anon_sym_TILDE] = ACTIONS(3616),
    [anon_sym_void] = ACTIONS(3616),
    [anon_sym_delete] = ACTIONS(3616),
    [anon_sym_PLUS_PLUS] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3616),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3616),
    [sym_number] = ACTIONS(3616),
    [sym_private_property_identifier] = ACTIONS(3616),
    [sym_this] = ACTIONS(3616),
    [sym_super] = ACTIONS(3616),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [sym_null] = ACTIONS(3616),
    [sym_undefined] = ACTIONS(3616),
    [anon_sym_AT] = ACTIONS(3616),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_readonly] = ACTIONS(3616),
    [anon_sym_get] = ACTIONS(3616),
    [anon_sym_set] = ACTIONS(3616),
    [anon_sym_declare] = ACTIONS(3616),
    [anon_sym_public] = ACTIONS(3616),
    [anon_sym_private] = ACTIONS(3616),
    [anon_sym_protected] = ACTIONS(3616),
    [anon_sym_override] = ACTIONS(3616),
    [anon_sym_module] = ACTIONS(3616),
    [anon_sym_any] = ACTIONS(3616),
    [anon_sym_number] = ACTIONS(3616),
    [anon_sym_boolean] = ACTIONS(3616),
    [anon_sym_string] = ACTIONS(3616),
    [anon_sym_symbol] = ACTIONS(3616),
    [anon_sym_object] = ACTIONS(3616),
    [anon_sym_property] = ACTIONS(3616),
    [anon_sym_signal] = ACTIONS(3616),
    [anon_sym_on] = ACTIONS(3616),
    [anon_sym_required] = ACTIONS(3616),
    [anon_sym_component] = ACTIONS(3616),
    [anon_sym_abstract] = ACTIONS(3616),
    [anon_sym_interface] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [sym_html_comment] = ACTIONS(5),
  },
  [1614] = {
    [sym_comment] = STATE(1614),
    [sym_identifier] = ACTIONS(3616),
    [anon_sym_export] = ACTIONS(3616),
    [anon_sym_type] = ACTIONS(3616),
    [anon_sym_namespace] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3616),
    [anon_sym_RBRACE] = ACTIONS(3616),
    [anon_sym_typeof] = ACTIONS(3616),
    [anon_sym_import] = ACTIONS(3616),
    [anon_sym_from] = ACTIONS(3616),
    [anon_sym_with] = ACTIONS(3616),
    [anon_sym_var] = ACTIONS(3616),
    [anon_sym_let] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_BANG] = ACTIONS(3616),
    [anon_sym_else] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_LPAREN] = ACTIONS(3616),
    [anon_sym_await] = ACTIONS(3616),
    [anon_sym_of] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_try] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_debugger] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_throw] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_yield] = ACTIONS(3616),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_LTtemplate_GT] = ACTIONS(3616),
    [anon_sym_DQUOTE] = ACTIONS(3616),
    [anon_sym_SQUOTE] = ACTIONS(3616),
    [anon_sym_class] = ACTIONS(3616),
    [anon_sym_async] = ACTIONS(3616),
    [anon_sym_function] = ACTIONS(3616),
    [anon_sym_new] = ACTIONS(3616),
    [anon_sym_using] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_SLASH] = ACTIONS(3616),
    [anon_sym_LT] = ACTIONS(3616),
    [anon_sym_TILDE] = ACTIONS(3616),
    [anon_sym_void] = ACTIONS(3616),
    [anon_sym_delete] = ACTIONS(3616),
    [anon_sym_PLUS_PLUS] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3616),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3616),
    [sym_number] = ACTIONS(3616),
    [sym_private_property_identifier] = ACTIONS(3616),
    [sym_this] = ACTIONS(3616),
    [sym_super] = ACTIONS(3616),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [sym_null] = ACTIONS(3616),
    [sym_undefined] = ACTIONS(3616),
    [anon_sym_AT] = ACTIONS(3616),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_readonly] = ACTIONS(3616),
    [anon_sym_get] = ACTIONS(3616),
    [anon_sym_set] = ACTIONS(3616),
    [anon_sym_declare] = ACTIONS(3616),
    [anon_sym_public] = ACTIONS(3616),
    [anon_sym_private] = ACTIONS(3616),
    [anon_sym_protected] = ACTIONS(3616),
    [anon_sym_override] = ACTIONS(3616),
    [anon_sym_module] = ACTIONS(3616),
    [anon_sym_any] = ACTIONS(3616),
    [anon_sym_number] = ACTIONS(3616),
    [anon_sym_boolean] = ACTIONS(3616),
    [anon_sym_string] = ACTIONS(3616),
    [anon_sym_symbol] = ACTIONS(3616),
    [anon_sym_object] = ACTIONS(3616),
    [anon_sym_property] = ACTIONS(3616),
    [anon_sym_signal] = ACTIONS(3616),
    [anon_sym_on] = ACTIONS(3616),
    [anon_sym_required] = ACTIONS(3616),
    [anon_sym_component] = ACTIONS(3616),
    [anon_sym_abstract] = ACTIONS(3616),
    [anon_sym_interface] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [sym_html_comment] = ACTIONS(5),
  },
  [1615] = {
    [sym_comment] = STATE(1615),
    [sym_identifier] = ACTIONS(3616),
    [anon_sym_export] = ACTIONS(3616),
    [anon_sym_type] = ACTIONS(3616),
    [anon_sym_namespace] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3616),
    [anon_sym_RBRACE] = ACTIONS(3616),
    [anon_sym_typeof] = ACTIONS(3616),
    [anon_sym_import] = ACTIONS(3616),
    [anon_sym_from] = ACTIONS(3616),
    [anon_sym_with] = ACTIONS(3616),
    [anon_sym_var] = ACTIONS(3616),
    [anon_sym_let] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_BANG] = ACTIONS(3616),
    [anon_sym_else] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_LPAREN] = ACTIONS(3616),
    [anon_sym_await] = ACTIONS(3616),
    [anon_sym_of] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_try] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_debugger] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_throw] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_yield] = ACTIONS(3616),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_LTtemplate_GT] = ACTIONS(3616),
    [anon_sym_DQUOTE] = ACTIONS(3616),
    [anon_sym_SQUOTE] = ACTIONS(3616),
    [anon_sym_class] = ACTIONS(3616),
    [anon_sym_async] = ACTIONS(3616),
    [anon_sym_function] = ACTIONS(3616),
    [anon_sym_new] = ACTIONS(3616),
    [anon_sym_using] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_SLASH] = ACTIONS(3616),
    [anon_sym_LT] = ACTIONS(3616),
    [anon_sym_TILDE] = ACTIONS(3616),
    [anon_sym_void] = ACTIONS(3616),
    [anon_sym_delete] = ACTIONS(3616),
    [anon_sym_PLUS_PLUS] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3616),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3616),
    [sym_number] = ACTIONS(3616),
    [sym_private_property_identifier] = ACTIONS(3616),
    [sym_this] = ACTIONS(3616),
    [sym_super] = ACTIONS(3616),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [sym_null] = ACTIONS(3616),
    [sym_undefined] = ACTIONS(3616),
    [anon_sym_AT] = ACTIONS(3616),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_readonly] = ACTIONS(3616),
    [anon_sym_get] = ACTIONS(3616),
    [anon_sym_set] = ACTIONS(3616),
    [anon_sym_declare] = ACTIONS(3616),
    [anon_sym_public] = ACTIONS(3616),
    [anon_sym_private] = ACTIONS(3616),
    [anon_sym_protected] = ACTIONS(3616),
    [anon_sym_override] = ACTIONS(3616),
    [anon_sym_module] = ACTIONS(3616),
    [anon_sym_any] = ACTIONS(3616),
    [anon_sym_number] = ACTIONS(3616),
    [anon_sym_boolean] = ACTIONS(3616),
    [anon_sym_string] = ACTIONS(3616),
    [anon_sym_symbol] = ACTIONS(3616),
    [anon_sym_object] = ACTIONS(3616),
    [anon_sym_property] = ACTIONS(3616),
    [anon_sym_signal] = ACTIONS(3616),
    [anon_sym_on] = ACTIONS(3616),
    [anon_sym_required] = ACTIONS(3616),
    [anon_sym_component] = ACTIONS(3616),
    [anon_sym_abstract] = ACTIONS(3616),
    [anon_sym_interface] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [sym_html_comment] = ACTIONS(5),
  },
  [1616] = {
    [sym_comment] = STATE(1616),
    [sym_identifier] = ACTIONS(3620),
    [anon_sym_export] = ACTIONS(3620),
    [anon_sym_type] = ACTIONS(3620),
    [anon_sym_namespace] = ACTIONS(3620),
    [anon_sym_LBRACE] = ACTIONS(3620),
    [anon_sym_RBRACE] = ACTIONS(3620),
    [anon_sym_typeof] = ACTIONS(3620),
    [anon_sym_import] = ACTIONS(3620),
    [anon_sym_from] = ACTIONS(3620),
    [anon_sym_with] = ACTIONS(3620),
    [anon_sym_var] = ACTIONS(3620),
    [anon_sym_let] = ACTIONS(3620),
    [anon_sym_const] = ACTIONS(3620),
    [anon_sym_BANG] = ACTIONS(3620),
    [anon_sym_else] = ACTIONS(3620),
    [anon_sym_if] = ACTIONS(3620),
    [anon_sym_switch] = ACTIONS(3620),
    [anon_sym_for] = ACTIONS(3620),
    [anon_sym_LPAREN] = ACTIONS(3620),
    [anon_sym_await] = ACTIONS(3620),
    [anon_sym_of] = ACTIONS(3620),
    [anon_sym_while] = ACTIONS(3620),
    [anon_sym_do] = ACTIONS(3620),
    [anon_sym_try] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3620),
    [anon_sym_continue] = ACTIONS(3620),
    [anon_sym_debugger] = ACTIONS(3620),
    [anon_sym_return] = ACTIONS(3620),
    [anon_sym_throw] = ACTIONS(3620),
    [anon_sym_SEMI] = ACTIONS(3620),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_LBRACK] = ACTIONS(3620),
    [anon_sym_LTtemplate_GT] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_class] = ACTIONS(3620),
    [anon_sym_async] = ACTIONS(3620),
    [anon_sym_function] = ACTIONS(3620),
    [anon_sym_new] = ACTIONS(3620),
    [anon_sym_using] = ACTIONS(3620),
    [anon_sym_PLUS] = ACTIONS(3620),
    [anon_sym_DASH] = ACTIONS(3620),
    [anon_sym_SLASH] = ACTIONS(3620),
    [anon_sym_LT] = ACTIONS(3620),
    [anon_sym_TILDE] = ACTIONS(3620),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_delete] = ACTIONS(3620),
    [anon_sym_PLUS_PLUS] = ACTIONS(3620),
    [anon_sym_DASH_DASH] = ACTIONS(3620),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3620),
    [sym_number] = ACTIONS(3620),
    [sym_private_property_identifier] = ACTIONS(3620),
    [sym_this] = ACTIONS(3620),
    [sym_super] = ACTIONS(3620),
    [sym_true] = ACTIONS(3620),
    [sym_false] = ACTIONS(3620),
    [sym_null] = ACTIONS(3620),
    [sym_undefined] = ACTIONS(3620),
    [anon_sym_AT] = ACTIONS(3620),
    [anon_sym_static] = ACTIONS(3620),
    [anon_sym_readonly] = ACTIONS(3620),
    [anon_sym_get] = ACTIONS(3620),
    [anon_sym_set] = ACTIONS(3620),
    [anon_sym_declare] = ACTIONS(3620),
    [anon_sym_public] = ACTIONS(3620),
    [anon_sym_private] = ACTIONS(3620),
    [anon_sym_protected] = ACTIONS(3620),
    [anon_sym_override] = ACTIONS(3620),
    [anon_sym_module] = ACTIONS(3620),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_property] = ACTIONS(3620),
    [anon_sym_signal] = ACTIONS(3620),
    [anon_sym_on] = ACTIONS(3620),
    [anon_sym_required] = ACTIONS(3620),
    [anon_sym_component] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3620),
    [anon_sym_interface] = ACTIONS(3620),
    [anon_sym_enum] = ACTIONS(3620),
    [sym_html_comment] = ACTIONS(5),
  },
  [1617] = {
    [sym_comment] = STATE(1617),
    [sym_identifier] = ACTIONS(3544),
    [anon_sym_export] = ACTIONS(3544),
    [anon_sym_type] = ACTIONS(3544),
    [anon_sym_namespace] = ACTIONS(3544),
    [anon_sym_LBRACE] = ACTIONS(3544),
    [anon_sym_RBRACE] = ACTIONS(3544),
    [anon_sym_typeof] = ACTIONS(3544),
    [anon_sym_import] = ACTIONS(3544),
    [anon_sym_from] = ACTIONS(3544),
    [anon_sym_with] = ACTIONS(3544),
    [anon_sym_var] = ACTIONS(3544),
    [anon_sym_let] = ACTIONS(3544),
    [anon_sym_const] = ACTIONS(3544),
    [anon_sym_BANG] = ACTIONS(3544),
    [anon_sym_else] = ACTIONS(3544),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_switch] = ACTIONS(3544),
    [anon_sym_for] = ACTIONS(3544),
    [anon_sym_LPAREN] = ACTIONS(3544),
    [anon_sym_await] = ACTIONS(3544),
    [anon_sym_of] = ACTIONS(3544),
    [anon_sym_while] = ACTIONS(3544),
    [anon_sym_do] = ACTIONS(3544),
    [anon_sym_try] = ACTIONS(3544),
    [anon_sym_break] = ACTIONS(3544),
    [anon_sym_continue] = ACTIONS(3544),
    [anon_sym_debugger] = ACTIONS(3544),
    [anon_sym_return] = ACTIONS(3544),
    [anon_sym_throw] = ACTIONS(3544),
    [anon_sym_SEMI] = ACTIONS(3544),
    [anon_sym_yield] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(3544),
    [anon_sym_LTtemplate_GT] = ACTIONS(3544),
    [anon_sym_DQUOTE] = ACTIONS(3544),
    [anon_sym_SQUOTE] = ACTIONS(3544),
    [anon_sym_class] = ACTIONS(3544),
    [anon_sym_async] = ACTIONS(3544),
    [anon_sym_function] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3544),
    [anon_sym_using] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3544),
    [anon_sym_DASH] = ACTIONS(3544),
    [anon_sym_SLASH] = ACTIONS(3544),
    [anon_sym_LT] = ACTIONS(3544),
    [anon_sym_TILDE] = ACTIONS(3544),
    [anon_sym_void] = ACTIONS(3544),
    [anon_sym_delete] = ACTIONS(3544),
    [anon_sym_PLUS_PLUS] = ACTIONS(3544),
    [anon_sym_DASH_DASH] = ACTIONS(3544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3544),
    [sym_number] = ACTIONS(3544),
    [sym_private_property_identifier] = ACTIONS(3544),
    [sym_this] = ACTIONS(3544),
    [sym_super] = ACTIONS(3544),
    [sym_true] = ACTIONS(3544),
    [sym_false] = ACTIONS(3544),
    [sym_null] = ACTIONS(3544),
    [sym_undefined] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(3544),
    [anon_sym_static] = ACTIONS(3544),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_get] = ACTIONS(3544),
    [anon_sym_set] = ACTIONS(3544),
    [anon_sym_declare] = ACTIONS(3544),
    [anon_sym_public] = ACTIONS(3544),
    [anon_sym_private] = ACTIONS(3544),
    [anon_sym_protected] = ACTIONS(3544),
    [anon_sym_override] = ACTIONS(3544),
    [anon_sym_module] = ACTIONS(3544),
    [anon_sym_any] = ACTIONS(3544),
    [anon_sym_number] = ACTIONS(3544),
    [anon_sym_boolean] = ACTIONS(3544),
    [anon_sym_string] = ACTIONS(3544),
    [anon_sym_symbol] = ACTIONS(3544),
    [anon_sym_object] = ACTIONS(3544),
    [anon_sym_property] = ACTIONS(3544),
    [anon_sym_signal] = ACTIONS(3544),
    [anon_sym_on] = ACTIONS(3544),
    [anon_sym_required] = ACTIONS(3544),
    [anon_sym_component] = ACTIONS(3544),
    [anon_sym_abstract] = ACTIONS(3544),
    [anon_sym_interface] = ACTIONS(3544),
    [anon_sym_enum] = ACTIONS(3544),
    [sym_html_comment] = ACTIONS(5),
  },
  [1618] = {
    [sym_comment] = STATE(1618),
    [sym_identifier] = ACTIONS(3622),
    [anon_sym_export] = ACTIONS(3622),
    [anon_sym_type] = ACTIONS(3622),
    [anon_sym_namespace] = ACTIONS(3622),
    [anon_sym_LBRACE] = ACTIONS(3622),
    [anon_sym_RBRACE] = ACTIONS(3622),
    [anon_sym_typeof] = ACTIONS(3622),
    [anon_sym_import] = ACTIONS(3622),
    [anon_sym_from] = ACTIONS(3622),
    [anon_sym_with] = ACTIONS(3622),
    [anon_sym_var] = ACTIONS(3622),
    [anon_sym_let] = ACTIONS(3622),
    [anon_sym_const] = ACTIONS(3622),
    [anon_sym_BANG] = ACTIONS(3622),
    [anon_sym_else] = ACTIONS(3622),
    [anon_sym_if] = ACTIONS(3622),
    [anon_sym_switch] = ACTIONS(3622),
    [anon_sym_for] = ACTIONS(3622),
    [anon_sym_LPAREN] = ACTIONS(3622),
    [anon_sym_await] = ACTIONS(3622),
    [anon_sym_of] = ACTIONS(3622),
    [anon_sym_while] = ACTIONS(3622),
    [anon_sym_do] = ACTIONS(3622),
    [anon_sym_try] = ACTIONS(3622),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_continue] = ACTIONS(3622),
    [anon_sym_debugger] = ACTIONS(3622),
    [anon_sym_return] = ACTIONS(3622),
    [anon_sym_throw] = ACTIONS(3622),
    [anon_sym_SEMI] = ACTIONS(3622),
    [anon_sym_yield] = ACTIONS(3622),
    [anon_sym_LBRACK] = ACTIONS(3622),
    [anon_sym_LTtemplate_GT] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3622),
    [anon_sym_class] = ACTIONS(3622),
    [anon_sym_async] = ACTIONS(3622),
    [anon_sym_function] = ACTIONS(3622),
    [anon_sym_new] = ACTIONS(3622),
    [anon_sym_using] = ACTIONS(3622),
    [anon_sym_PLUS] = ACTIONS(3622),
    [anon_sym_DASH] = ACTIONS(3622),
    [anon_sym_SLASH] = ACTIONS(3622),
    [anon_sym_LT] = ACTIONS(3622),
    [anon_sym_TILDE] = ACTIONS(3622),
    [anon_sym_void] = ACTIONS(3622),
    [anon_sym_delete] = ACTIONS(3622),
    [anon_sym_PLUS_PLUS] = ACTIONS(3622),
    [anon_sym_DASH_DASH] = ACTIONS(3622),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3622),
    [sym_number] = ACTIONS(3622),
    [sym_private_property_identifier] = ACTIONS(3622),
    [sym_this] = ACTIONS(3622),
    [sym_super] = ACTIONS(3622),
    [sym_true] = ACTIONS(3622),
    [sym_false] = ACTIONS(3622),
    [sym_null] = ACTIONS(3622),
    [sym_undefined] = ACTIONS(3622),
    [anon_sym_AT] = ACTIONS(3622),
    [anon_sym_static] = ACTIONS(3622),
    [anon_sym_readonly] = ACTIONS(3622),
    [anon_sym_get] = ACTIONS(3622),
    [anon_sym_set] = ACTIONS(3622),
    [anon_sym_declare] = ACTIONS(3622),
    [anon_sym_public] = ACTIONS(3622),
    [anon_sym_private] = ACTIONS(3622),
    [anon_sym_protected] = ACTIONS(3622),
    [anon_sym_override] = ACTIONS(3622),
    [anon_sym_module] = ACTIONS(3622),
    [anon_sym_any] = ACTIONS(3622),
    [anon_sym_number] = ACTIONS(3622),
    [anon_sym_boolean] = ACTIONS(3622),
    [anon_sym_string] = ACTIONS(3622),
    [anon_sym_symbol] = ACTIONS(3622),
    [anon_sym_object] = ACTIONS(3622),
    [anon_sym_property] = ACTIONS(3622),
    [anon_sym_signal] = ACTIONS(3622),
    [anon_sym_on] = ACTIONS(3622),
    [anon_sym_required] = ACTIONS(3622),
    [anon_sym_component] = ACTIONS(3622),
    [anon_sym_abstract] = ACTIONS(3622),
    [anon_sym_interface] = ACTIONS(3622),
    [anon_sym_enum] = ACTIONS(3622),
    [sym_html_comment] = ACTIONS(5),
  },
  [1619] = {
    [sym_comment] = STATE(1619),
    [sym_identifier] = ACTIONS(3624),
    [anon_sym_export] = ACTIONS(3624),
    [anon_sym_type] = ACTIONS(3624),
    [anon_sym_namespace] = ACTIONS(3624),
    [anon_sym_LBRACE] = ACTIONS(3624),
    [anon_sym_RBRACE] = ACTIONS(3624),
    [anon_sym_typeof] = ACTIONS(3624),
    [anon_sym_import] = ACTIONS(3624),
    [anon_sym_from] = ACTIONS(3624),
    [anon_sym_with] = ACTIONS(3624),
    [anon_sym_var] = ACTIONS(3624),
    [anon_sym_let] = ACTIONS(3624),
    [anon_sym_const] = ACTIONS(3624),
    [anon_sym_BANG] = ACTIONS(3624),
    [anon_sym_else] = ACTIONS(3624),
    [anon_sym_if] = ACTIONS(3624),
    [anon_sym_switch] = ACTIONS(3624),
    [anon_sym_for] = ACTIONS(3624),
    [anon_sym_LPAREN] = ACTIONS(3624),
    [anon_sym_await] = ACTIONS(3624),
    [anon_sym_of] = ACTIONS(3624),
    [anon_sym_while] = ACTIONS(3624),
    [anon_sym_do] = ACTIONS(3624),
    [anon_sym_try] = ACTIONS(3624),
    [anon_sym_break] = ACTIONS(3624),
    [anon_sym_continue] = ACTIONS(3624),
    [anon_sym_debugger] = ACTIONS(3624),
    [anon_sym_return] = ACTIONS(3624),
    [anon_sym_throw] = ACTIONS(3624),
    [anon_sym_SEMI] = ACTIONS(3624),
    [anon_sym_yield] = ACTIONS(3624),
    [anon_sym_LBRACK] = ACTIONS(3624),
    [anon_sym_LTtemplate_GT] = ACTIONS(3624),
    [anon_sym_DQUOTE] = ACTIONS(3624),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [anon_sym_class] = ACTIONS(3624),
    [anon_sym_async] = ACTIONS(3624),
    [anon_sym_function] = ACTIONS(3624),
    [anon_sym_new] = ACTIONS(3624),
    [anon_sym_using] = ACTIONS(3624),
    [anon_sym_PLUS] = ACTIONS(3624),
    [anon_sym_DASH] = ACTIONS(3624),
    [anon_sym_SLASH] = ACTIONS(3624),
    [anon_sym_LT] = ACTIONS(3624),
    [anon_sym_TILDE] = ACTIONS(3624),
    [anon_sym_void] = ACTIONS(3624),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_PLUS_PLUS] = ACTIONS(3624),
    [anon_sym_DASH_DASH] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3624),
    [sym_number] = ACTIONS(3624),
    [sym_private_property_identifier] = ACTIONS(3624),
    [sym_this] = ACTIONS(3624),
    [sym_super] = ACTIONS(3624),
    [sym_true] = ACTIONS(3624),
    [sym_false] = ACTIONS(3624),
    [sym_null] = ACTIONS(3624),
    [sym_undefined] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(3624),
    [anon_sym_static] = ACTIONS(3624),
    [anon_sym_readonly] = ACTIONS(3624),
    [anon_sym_get] = ACTIONS(3624),
    [anon_sym_set] = ACTIONS(3624),
    [anon_sym_declare] = ACTIONS(3624),
    [anon_sym_public] = ACTIONS(3624),
    [anon_sym_private] = ACTIONS(3624),
    [anon_sym_protected] = ACTIONS(3624),
    [anon_sym_override] = ACTIONS(3624),
    [anon_sym_module] = ACTIONS(3624),
    [anon_sym_any] = ACTIONS(3624),
    [anon_sym_number] = ACTIONS(3624),
    [anon_sym_boolean] = ACTIONS(3624),
    [anon_sym_string] = ACTIONS(3624),
    [anon_sym_symbol] = ACTIONS(3624),
    [anon_sym_object] = ACTIONS(3624),
    [anon_sym_property] = ACTIONS(3624),
    [anon_sym_signal] = ACTIONS(3624),
    [anon_sym_on] = ACTIONS(3624),
    [anon_sym_required] = ACTIONS(3624),
    [anon_sym_component] = ACTIONS(3624),
    [anon_sym_abstract] = ACTIONS(3624),
    [anon_sym_interface] = ACTIONS(3624),
    [anon_sym_enum] = ACTIONS(3624),
    [sym_html_comment] = ACTIONS(5),
  },
  [1620] = {
    [sym_comment] = STATE(1620),
    [sym_identifier] = ACTIONS(3634),
    [anon_sym_export] = ACTIONS(3634),
    [anon_sym_type] = ACTIONS(3634),
    [anon_sym_namespace] = ACTIONS(3634),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_RBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3634),
    [anon_sym_import] = ACTIONS(3634),
    [anon_sym_from] = ACTIONS(3634),
    [anon_sym_with] = ACTIONS(3634),
    [anon_sym_var] = ACTIONS(3634),
    [anon_sym_let] = ACTIONS(3634),
    [anon_sym_const] = ACTIONS(3634),
    [anon_sym_BANG] = ACTIONS(3634),
    [anon_sym_else] = ACTIONS(3634),
    [anon_sym_if] = ACTIONS(3634),
    [anon_sym_switch] = ACTIONS(3634),
    [anon_sym_for] = ACTIONS(3634),
    [anon_sym_LPAREN] = ACTIONS(3634),
    [anon_sym_await] = ACTIONS(3634),
    [anon_sym_of] = ACTIONS(3634),
    [anon_sym_while] = ACTIONS(3634),
    [anon_sym_do] = ACTIONS(3634),
    [anon_sym_try] = ACTIONS(3634),
    [anon_sym_break] = ACTIONS(3634),
    [anon_sym_continue] = ACTIONS(3634),
    [anon_sym_debugger] = ACTIONS(3634),
    [anon_sym_return] = ACTIONS(3634),
    [anon_sym_throw] = ACTIONS(3634),
    [anon_sym_SEMI] = ACTIONS(3634),
    [anon_sym_yield] = ACTIONS(3634),
    [anon_sym_LBRACK] = ACTIONS(3634),
    [anon_sym_LTtemplate_GT] = ACTIONS(3634),
    [anon_sym_DQUOTE] = ACTIONS(3634),
    [anon_sym_SQUOTE] = ACTIONS(3634),
    [anon_sym_class] = ACTIONS(3634),
    [anon_sym_async] = ACTIONS(3634),
    [anon_sym_function] = ACTIONS(3634),
    [anon_sym_new] = ACTIONS(3634),
    [anon_sym_using] = ACTIONS(3634),
    [anon_sym_PLUS] = ACTIONS(3634),
    [anon_sym_DASH] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_LT] = ACTIONS(3634),
    [anon_sym_TILDE] = ACTIONS(3634),
    [anon_sym_void] = ACTIONS(3634),
    [anon_sym_delete] = ACTIONS(3634),
    [anon_sym_PLUS_PLUS] = ACTIONS(3634),
    [anon_sym_DASH_DASH] = ACTIONS(3634),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3634),
    [sym_number] = ACTIONS(3634),
    [sym_private_property_identifier] = ACTIONS(3634),
    [sym_this] = ACTIONS(3634),
    [sym_super] = ACTIONS(3634),
    [sym_true] = ACTIONS(3634),
    [sym_false] = ACTIONS(3634),
    [sym_null] = ACTIONS(3634),
    [sym_undefined] = ACTIONS(3634),
    [anon_sym_AT] = ACTIONS(3634),
    [anon_sym_static] = ACTIONS(3634),
    [anon_sym_readonly] = ACTIONS(3634),
    [anon_sym_get] = ACTIONS(3634),
    [anon_sym_set] = ACTIONS(3634),
    [anon_sym_declare] = ACTIONS(3634),
    [anon_sym_public] = ACTIONS(3634),
    [anon_sym_private] = ACTIONS(3634),
    [anon_sym_protected] = ACTIONS(3634),
    [anon_sym_override] = ACTIONS(3634),
    [anon_sym_module] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3634),
    [anon_sym_number] = ACTIONS(3634),
    [anon_sym_boolean] = ACTIONS(3634),
    [anon_sym_string] = ACTIONS(3634),
    [anon_sym_symbol] = ACTIONS(3634),
    [anon_sym_object] = ACTIONS(3634),
    [anon_sym_property] = ACTIONS(3634),
    [anon_sym_signal] = ACTIONS(3634),
    [anon_sym_on] = ACTIONS(3634),
    [anon_sym_required] = ACTIONS(3634),
    [anon_sym_component] = ACTIONS(3634),
    [anon_sym_abstract] = ACTIONS(3634),
    [anon_sym_interface] = ACTIONS(3634),
    [anon_sym_enum] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1621] = {
    [sym_comment] = STATE(1621),
    [sym_identifier] = ACTIONS(3650),
    [anon_sym_export] = ACTIONS(3650),
    [anon_sym_type] = ACTIONS(3650),
    [anon_sym_namespace] = ACTIONS(3650),
    [anon_sym_LBRACE] = ACTIONS(3650),
    [anon_sym_RBRACE] = ACTIONS(3650),
    [anon_sym_typeof] = ACTIONS(3650),
    [anon_sym_import] = ACTIONS(3650),
    [anon_sym_from] = ACTIONS(3650),
    [anon_sym_with] = ACTIONS(3650),
    [anon_sym_var] = ACTIONS(3650),
    [anon_sym_let] = ACTIONS(3650),
    [anon_sym_const] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3650),
    [anon_sym_else] = ACTIONS(3650),
    [anon_sym_if] = ACTIONS(3650),
    [anon_sym_switch] = ACTIONS(3650),
    [anon_sym_for] = ACTIONS(3650),
    [anon_sym_LPAREN] = ACTIONS(3650),
    [anon_sym_await] = ACTIONS(3650),
    [anon_sym_of] = ACTIONS(3650),
    [anon_sym_while] = ACTIONS(3650),
    [anon_sym_do] = ACTIONS(3650),
    [anon_sym_try] = ACTIONS(3650),
    [anon_sym_break] = ACTIONS(3650),
    [anon_sym_continue] = ACTIONS(3650),
    [anon_sym_debugger] = ACTIONS(3650),
    [anon_sym_return] = ACTIONS(3650),
    [anon_sym_throw] = ACTIONS(3650),
    [anon_sym_SEMI] = ACTIONS(3650),
    [anon_sym_yield] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(3650),
    [anon_sym_LTtemplate_GT] = ACTIONS(3650),
    [anon_sym_DQUOTE] = ACTIONS(3650),
    [anon_sym_SQUOTE] = ACTIONS(3650),
    [anon_sym_class] = ACTIONS(3650),
    [anon_sym_async] = ACTIONS(3650),
    [anon_sym_function] = ACTIONS(3650),
    [anon_sym_new] = ACTIONS(3650),
    [anon_sym_using] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3650),
    [anon_sym_DASH] = ACTIONS(3650),
    [anon_sym_SLASH] = ACTIONS(3650),
    [anon_sym_LT] = ACTIONS(3650),
    [anon_sym_TILDE] = ACTIONS(3650),
    [anon_sym_void] = ACTIONS(3650),
    [anon_sym_delete] = ACTIONS(3650),
    [anon_sym_PLUS_PLUS] = ACTIONS(3650),
    [anon_sym_DASH_DASH] = ACTIONS(3650),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3650),
    [sym_number] = ACTIONS(3650),
    [sym_private_property_identifier] = ACTIONS(3650),
    [sym_this] = ACTIONS(3650),
    [sym_super] = ACTIONS(3650),
    [sym_true] = ACTIONS(3650),
    [sym_false] = ACTIONS(3650),
    [sym_null] = ACTIONS(3650),
    [sym_undefined] = ACTIONS(3650),
    [anon_sym_AT] = ACTIONS(3650),
    [anon_sym_static] = ACTIONS(3650),
    [anon_sym_readonly] = ACTIONS(3650),
    [anon_sym_get] = ACTIONS(3650),
    [anon_sym_set] = ACTIONS(3650),
    [anon_sym_declare] = ACTIONS(3650),
    [anon_sym_public] = ACTIONS(3650),
    [anon_sym_private] = ACTIONS(3650),
    [anon_sym_protected] = ACTIONS(3650),
    [anon_sym_override] = ACTIONS(3650),
    [anon_sym_module] = ACTIONS(3650),
    [anon_sym_any] = ACTIONS(3650),
    [anon_sym_number] = ACTIONS(3650),
    [anon_sym_boolean] = ACTIONS(3650),
    [anon_sym_string] = ACTIONS(3650),
    [anon_sym_symbol] = ACTIONS(3650),
    [anon_sym_object] = ACTIONS(3650),
    [anon_sym_property] = ACTIONS(3650),
    [anon_sym_signal] = ACTIONS(3650),
    [anon_sym_on] = ACTIONS(3650),
    [anon_sym_required] = ACTIONS(3650),
    [anon_sym_component] = ACTIONS(3650),
    [anon_sym_abstract] = ACTIONS(3650),
    [anon_sym_interface] = ACTIONS(3650),
    [anon_sym_enum] = ACTIONS(3650),
    [sym_html_comment] = ACTIONS(5),
  },
  [1622] = {
    [sym_comment] = STATE(1622),
    [sym_identifier] = ACTIONS(3666),
    [anon_sym_export] = ACTIONS(3666),
    [anon_sym_type] = ACTIONS(3666),
    [anon_sym_namespace] = ACTIONS(3666),
    [anon_sym_LBRACE] = ACTIONS(3666),
    [anon_sym_RBRACE] = ACTIONS(3666),
    [anon_sym_typeof] = ACTIONS(3666),
    [anon_sym_import] = ACTIONS(3666),
    [anon_sym_from] = ACTIONS(3666),
    [anon_sym_with] = ACTIONS(3666),
    [anon_sym_var] = ACTIONS(3666),
    [anon_sym_let] = ACTIONS(3666),
    [anon_sym_const] = ACTIONS(3666),
    [anon_sym_BANG] = ACTIONS(3666),
    [anon_sym_else] = ACTIONS(3666),
    [anon_sym_if] = ACTIONS(3666),
    [anon_sym_switch] = ACTIONS(3666),
    [anon_sym_for] = ACTIONS(3666),
    [anon_sym_LPAREN] = ACTIONS(3666),
    [anon_sym_await] = ACTIONS(3666),
    [anon_sym_of] = ACTIONS(3666),
    [anon_sym_while] = ACTIONS(3666),
    [anon_sym_do] = ACTIONS(3666),
    [anon_sym_try] = ACTIONS(3666),
    [anon_sym_break] = ACTIONS(3666),
    [anon_sym_continue] = ACTIONS(3666),
    [anon_sym_debugger] = ACTIONS(3666),
    [anon_sym_return] = ACTIONS(3666),
    [anon_sym_throw] = ACTIONS(3666),
    [anon_sym_SEMI] = ACTIONS(3666),
    [anon_sym_yield] = ACTIONS(3666),
    [anon_sym_LBRACK] = ACTIONS(3666),
    [anon_sym_LTtemplate_GT] = ACTIONS(3666),
    [anon_sym_DQUOTE] = ACTIONS(3666),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_class] = ACTIONS(3666),
    [anon_sym_async] = ACTIONS(3666),
    [anon_sym_function] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3666),
    [anon_sym_using] = ACTIONS(3666),
    [anon_sym_PLUS] = ACTIONS(3666),
    [anon_sym_DASH] = ACTIONS(3666),
    [anon_sym_SLASH] = ACTIONS(3666),
    [anon_sym_LT] = ACTIONS(3666),
    [anon_sym_TILDE] = ACTIONS(3666),
    [anon_sym_void] = ACTIONS(3666),
    [anon_sym_delete] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3666),
    [anon_sym_DASH_DASH] = ACTIONS(3666),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3666),
    [sym_number] = ACTIONS(3666),
    [sym_private_property_identifier] = ACTIONS(3666),
    [sym_this] = ACTIONS(3666),
    [sym_super] = ACTIONS(3666),
    [sym_true] = ACTIONS(3666),
    [sym_false] = ACTIONS(3666),
    [sym_null] = ACTIONS(3666),
    [sym_undefined] = ACTIONS(3666),
    [anon_sym_AT] = ACTIONS(3666),
    [anon_sym_static] = ACTIONS(3666),
    [anon_sym_readonly] = ACTIONS(3666),
    [anon_sym_get] = ACTIONS(3666),
    [anon_sym_set] = ACTIONS(3666),
    [anon_sym_declare] = ACTIONS(3666),
    [anon_sym_public] = ACTIONS(3666),
    [anon_sym_private] = ACTIONS(3666),
    [anon_sym_protected] = ACTIONS(3666),
    [anon_sym_override] = ACTIONS(3666),
    [anon_sym_module] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3666),
    [anon_sym_number] = ACTIONS(3666),
    [anon_sym_boolean] = ACTIONS(3666),
    [anon_sym_string] = ACTIONS(3666),
    [anon_sym_symbol] = ACTIONS(3666),
    [anon_sym_object] = ACTIONS(3666),
    [anon_sym_property] = ACTIONS(3666),
    [anon_sym_signal] = ACTIONS(3666),
    [anon_sym_on] = ACTIONS(3666),
    [anon_sym_required] = ACTIONS(3666),
    [anon_sym_component] = ACTIONS(3666),
    [anon_sym_abstract] = ACTIONS(3666),
    [anon_sym_interface] = ACTIONS(3666),
    [anon_sym_enum] = ACTIONS(3666),
    [sym_html_comment] = ACTIONS(5),
  },
  [1623] = {
    [sym_comment] = STATE(1623),
    [sym_identifier] = ACTIONS(3674),
    [anon_sym_export] = ACTIONS(3674),
    [anon_sym_type] = ACTIONS(3674),
    [anon_sym_namespace] = ACTIONS(3674),
    [anon_sym_LBRACE] = ACTIONS(3674),
    [anon_sym_RBRACE] = ACTIONS(3674),
    [anon_sym_typeof] = ACTIONS(3674),
    [anon_sym_import] = ACTIONS(3674),
    [anon_sym_from] = ACTIONS(3674),
    [anon_sym_with] = ACTIONS(3674),
    [anon_sym_var] = ACTIONS(3674),
    [anon_sym_let] = ACTIONS(3674),
    [anon_sym_const] = ACTIONS(3674),
    [anon_sym_BANG] = ACTIONS(3674),
    [anon_sym_else] = ACTIONS(3674),
    [anon_sym_if] = ACTIONS(3674),
    [anon_sym_switch] = ACTIONS(3674),
    [anon_sym_for] = ACTIONS(3674),
    [anon_sym_LPAREN] = ACTIONS(3674),
    [anon_sym_await] = ACTIONS(3674),
    [anon_sym_of] = ACTIONS(3674),
    [anon_sym_while] = ACTIONS(3674),
    [anon_sym_do] = ACTIONS(3674),
    [anon_sym_try] = ACTIONS(3674),
    [anon_sym_break] = ACTIONS(3674),
    [anon_sym_continue] = ACTIONS(3674),
    [anon_sym_debugger] = ACTIONS(3674),
    [anon_sym_return] = ACTIONS(3674),
    [anon_sym_throw] = ACTIONS(3674),
    [anon_sym_SEMI] = ACTIONS(3674),
    [anon_sym_yield] = ACTIONS(3674),
    [anon_sym_LBRACK] = ACTIONS(3674),
    [anon_sym_LTtemplate_GT] = ACTIONS(3674),
    [anon_sym_DQUOTE] = ACTIONS(3674),
    [anon_sym_SQUOTE] = ACTIONS(3674),
    [anon_sym_class] = ACTIONS(3674),
    [anon_sym_async] = ACTIONS(3674),
    [anon_sym_function] = ACTIONS(3674),
    [anon_sym_new] = ACTIONS(3674),
    [anon_sym_using] = ACTIONS(3674),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_SLASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3674),
    [anon_sym_TILDE] = ACTIONS(3674),
    [anon_sym_void] = ACTIONS(3674),
    [anon_sym_delete] = ACTIONS(3674),
    [anon_sym_PLUS_PLUS] = ACTIONS(3674),
    [anon_sym_DASH_DASH] = ACTIONS(3674),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3674),
    [sym_number] = ACTIONS(3674),
    [sym_private_property_identifier] = ACTIONS(3674),
    [sym_this] = ACTIONS(3674),
    [sym_super] = ACTIONS(3674),
    [sym_true] = ACTIONS(3674),
    [sym_false] = ACTIONS(3674),
    [sym_null] = ACTIONS(3674),
    [sym_undefined] = ACTIONS(3674),
    [anon_sym_AT] = ACTIONS(3674),
    [anon_sym_static] = ACTIONS(3674),
    [anon_sym_readonly] = ACTIONS(3674),
    [anon_sym_get] = ACTIONS(3674),
    [anon_sym_set] = ACTIONS(3674),
    [anon_sym_declare] = ACTIONS(3674),
    [anon_sym_public] = ACTIONS(3674),
    [anon_sym_private] = ACTIONS(3674),
    [anon_sym_protected] = ACTIONS(3674),
    [anon_sym_override] = ACTIONS(3674),
    [anon_sym_module] = ACTIONS(3674),
    [anon_sym_any] = ACTIONS(3674),
    [anon_sym_number] = ACTIONS(3674),
    [anon_sym_boolean] = ACTIONS(3674),
    [anon_sym_string] = ACTIONS(3674),
    [anon_sym_symbol] = ACTIONS(3674),
    [anon_sym_object] = ACTIONS(3674),
    [anon_sym_property] = ACTIONS(3674),
    [anon_sym_signal] = ACTIONS(3674),
    [anon_sym_on] = ACTIONS(3674),
    [anon_sym_required] = ACTIONS(3674),
    [anon_sym_component] = ACTIONS(3674),
    [anon_sym_abstract] = ACTIONS(3674),
    [anon_sym_interface] = ACTIONS(3674),
    [anon_sym_enum] = ACTIONS(3674),
    [sym_html_comment] = ACTIONS(5),
  },
  [1624] = {
    [sym_comment] = STATE(1624),
    [sym_identifier] = ACTIONS(2402),
    [anon_sym_export] = ACTIONS(2402),
    [anon_sym_type] = ACTIONS(2402),
    [anon_sym_namespace] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [anon_sym_typeof] = ACTIONS(2402),
    [anon_sym_import] = ACTIONS(2402),
    [anon_sym_from] = ACTIONS(2402),
    [anon_sym_with] = ACTIONS(2402),
    [anon_sym_var] = ACTIONS(2402),
    [anon_sym_let] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(2402),
    [anon_sym_await] = ACTIONS(2402),
    [anon_sym_of] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_try] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_debugger] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_throw] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym_yield] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_LTtemplate_GT] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2402),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_class] = ACTIONS(2402),
    [anon_sym_async] = ACTIONS(2402),
    [anon_sym_function] = ACTIONS(2402),
    [anon_sym_new] = ACTIONS(2402),
    [anon_sym_using] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_SLASH] = ACTIONS(2402),
    [anon_sym_LT] = ACTIONS(2402),
    [anon_sym_TILDE] = ACTIONS(2402),
    [anon_sym_void] = ACTIONS(2402),
    [anon_sym_delete] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2402),
    [sym_number] = ACTIONS(2402),
    [sym_private_property_identifier] = ACTIONS(2402),
    [sym_this] = ACTIONS(2402),
    [sym_super] = ACTIONS(2402),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [sym_null] = ACTIONS(2402),
    [sym_undefined] = ACTIONS(2402),
    [anon_sym_AT] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_readonly] = ACTIONS(2402),
    [anon_sym_get] = ACTIONS(2402),
    [anon_sym_set] = ACTIONS(2402),
    [anon_sym_declare] = ACTIONS(2402),
    [anon_sym_public] = ACTIONS(2402),
    [anon_sym_private] = ACTIONS(2402),
    [anon_sym_protected] = ACTIONS(2402),
    [anon_sym_override] = ACTIONS(2402),
    [anon_sym_module] = ACTIONS(2402),
    [anon_sym_any] = ACTIONS(2402),
    [anon_sym_number] = ACTIONS(2402),
    [anon_sym_boolean] = ACTIONS(2402),
    [anon_sym_string] = ACTIONS(2402),
    [anon_sym_symbol] = ACTIONS(2402),
    [anon_sym_object] = ACTIONS(2402),
    [anon_sym_property] = ACTIONS(2402),
    [anon_sym_signal] = ACTIONS(2402),
    [anon_sym_on] = ACTIONS(2402),
    [anon_sym_required] = ACTIONS(2402),
    [anon_sym_component] = ACTIONS(2402),
    [anon_sym_abstract] = ACTIONS(2402),
    [anon_sym_interface] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [sym__automatic_semicolon] = ACTIONS(2710),
    [sym_html_comment] = ACTIONS(5),
  },
  [1625] = {
    [sym_comment] = STATE(1625),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_export] = ACTIONS(3494),
    [anon_sym_type] = ACTIONS(3494),
    [anon_sym_namespace] = ACTIONS(3494),
    [anon_sym_LBRACE] = ACTIONS(3494),
    [anon_sym_RBRACE] = ACTIONS(3494),
    [anon_sym_typeof] = ACTIONS(3494),
    [anon_sym_import] = ACTIONS(3494),
    [anon_sym_from] = ACTIONS(3494),
    [anon_sym_with] = ACTIONS(3494),
    [anon_sym_var] = ACTIONS(3494),
    [anon_sym_let] = ACTIONS(3494),
    [anon_sym_const] = ACTIONS(3494),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_else] = ACTIONS(3494),
    [anon_sym_if] = ACTIONS(3494),
    [anon_sym_switch] = ACTIONS(3494),
    [anon_sym_for] = ACTIONS(3494),
    [anon_sym_LPAREN] = ACTIONS(3494),
    [anon_sym_await] = ACTIONS(3494),
    [anon_sym_of] = ACTIONS(3494),
    [anon_sym_while] = ACTIONS(3494),
    [anon_sym_do] = ACTIONS(3494),
    [anon_sym_try] = ACTIONS(3494),
    [anon_sym_break] = ACTIONS(3494),
    [anon_sym_continue] = ACTIONS(3494),
    [anon_sym_debugger] = ACTIONS(3494),
    [anon_sym_return] = ACTIONS(3494),
    [anon_sym_throw] = ACTIONS(3494),
    [anon_sym_SEMI] = ACTIONS(3494),
    [anon_sym_yield] = ACTIONS(3494),
    [anon_sym_LBRACK] = ACTIONS(3494),
    [anon_sym_LTtemplate_GT] = ACTIONS(3494),
    [anon_sym_DQUOTE] = ACTIONS(3494),
    [anon_sym_SQUOTE] = ACTIONS(3494),
    [anon_sym_class] = ACTIONS(3494),
    [anon_sym_async] = ACTIONS(3494),
    [anon_sym_function] = ACTIONS(3494),
    [anon_sym_new] = ACTIONS(3494),
    [anon_sym_using] = ACTIONS(3494),
    [anon_sym_PLUS] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3494),
    [anon_sym_SLASH] = ACTIONS(3494),
    [anon_sym_LT] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_void] = ACTIONS(3494),
    [anon_sym_delete] = ACTIONS(3494),
    [anon_sym_PLUS_PLUS] = ACTIONS(3494),
    [anon_sym_DASH_DASH] = ACTIONS(3494),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3494),
    [sym_number] = ACTIONS(3494),
    [sym_private_property_identifier] = ACTIONS(3494),
    [sym_this] = ACTIONS(3494),
    [sym_super] = ACTIONS(3494),
    [sym_true] = ACTIONS(3494),
    [sym_false] = ACTIONS(3494),
    [sym_null] = ACTIONS(3494),
    [sym_undefined] = ACTIONS(3494),
    [anon_sym_AT] = ACTIONS(3494),
    [anon_sym_static] = ACTIONS(3494),
    [anon_sym_readonly] = ACTIONS(3494),
    [anon_sym_get] = ACTIONS(3494),
    [anon_sym_set] = ACTIONS(3494),
    [anon_sym_declare] = ACTIONS(3494),
    [anon_sym_public] = ACTIONS(3494),
    [anon_sym_private] = ACTIONS(3494),
    [anon_sym_protected] = ACTIONS(3494),
    [anon_sym_override] = ACTIONS(3494),
    [anon_sym_module] = ACTIONS(3494),
    [anon_sym_any] = ACTIONS(3494),
    [anon_sym_number] = ACTIONS(3494),
    [anon_sym_boolean] = ACTIONS(3494),
    [anon_sym_string] = ACTIONS(3494),
    [anon_sym_symbol] = ACTIONS(3494),
    [anon_sym_object] = ACTIONS(3494),
    [anon_sym_property] = ACTIONS(3494),
    [anon_sym_signal] = ACTIONS(3494),
    [anon_sym_on] = ACTIONS(3494),
    [anon_sym_required] = ACTIONS(3494),
    [anon_sym_component] = ACTIONS(3494),
    [anon_sym_abstract] = ACTIONS(3494),
    [anon_sym_interface] = ACTIONS(3494),
    [anon_sym_enum] = ACTIONS(3494),
    [sym_html_comment] = ACTIONS(5),
  },
  [1626] = {
    [sym_comment] = STATE(1626),
    [sym_identifier] = ACTIONS(3694),
    [anon_sym_export] = ACTIONS(3694),
    [anon_sym_type] = ACTIONS(3694),
    [anon_sym_namespace] = ACTIONS(3694),
    [anon_sym_LBRACE] = ACTIONS(3694),
    [anon_sym_RBRACE] = ACTIONS(3694),
    [anon_sym_typeof] = ACTIONS(3694),
    [anon_sym_import] = ACTIONS(3694),
    [anon_sym_from] = ACTIONS(3694),
    [anon_sym_with] = ACTIONS(3694),
    [anon_sym_var] = ACTIONS(3694),
    [anon_sym_let] = ACTIONS(3694),
    [anon_sym_const] = ACTIONS(3694),
    [anon_sym_BANG] = ACTIONS(3694),
    [anon_sym_else] = ACTIONS(3694),
    [anon_sym_if] = ACTIONS(3694),
    [anon_sym_switch] = ACTIONS(3694),
    [anon_sym_for] = ACTIONS(3694),
    [anon_sym_LPAREN] = ACTIONS(3694),
    [anon_sym_await] = ACTIONS(3694),
    [anon_sym_of] = ACTIONS(3694),
    [anon_sym_while] = ACTIONS(3694),
    [anon_sym_do] = ACTIONS(3694),
    [anon_sym_try] = ACTIONS(3694),
    [anon_sym_break] = ACTIONS(3694),
    [anon_sym_continue] = ACTIONS(3694),
    [anon_sym_debugger] = ACTIONS(3694),
    [anon_sym_return] = ACTIONS(3694),
    [anon_sym_throw] = ACTIONS(3694),
    [anon_sym_SEMI] = ACTIONS(3694),
    [anon_sym_yield] = ACTIONS(3694),
    [anon_sym_LBRACK] = ACTIONS(3694),
    [anon_sym_LTtemplate_GT] = ACTIONS(3694),
    [anon_sym_DQUOTE] = ACTIONS(3694),
    [anon_sym_SQUOTE] = ACTIONS(3694),
    [anon_sym_class] = ACTIONS(3694),
    [anon_sym_async] = ACTIONS(3694),
    [anon_sym_function] = ACTIONS(3694),
    [anon_sym_new] = ACTIONS(3694),
    [anon_sym_using] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3694),
    [anon_sym_DASH] = ACTIONS(3694),
    [anon_sym_SLASH] = ACTIONS(3694),
    [anon_sym_LT] = ACTIONS(3694),
    [anon_sym_TILDE] = ACTIONS(3694),
    [anon_sym_void] = ACTIONS(3694),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_PLUS_PLUS] = ACTIONS(3694),
    [anon_sym_DASH_DASH] = ACTIONS(3694),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3694),
    [sym_number] = ACTIONS(3694),
    [sym_private_property_identifier] = ACTIONS(3694),
    [sym_this] = ACTIONS(3694),
    [sym_super] = ACTIONS(3694),
    [sym_true] = ACTIONS(3694),
    [sym_false] = ACTIONS(3694),
    [sym_null] = ACTIONS(3694),
    [sym_undefined] = ACTIONS(3694),
    [anon_sym_AT] = ACTIONS(3694),
    [anon_sym_static] = ACTIONS(3694),
    [anon_sym_readonly] = ACTIONS(3694),
    [anon_sym_get] = ACTIONS(3694),
    [anon_sym_set] = ACTIONS(3694),
    [anon_sym_declare] = ACTIONS(3694),
    [anon_sym_public] = ACTIONS(3694),
    [anon_sym_private] = ACTIONS(3694),
    [anon_sym_protected] = ACTIONS(3694),
    [anon_sym_override] = ACTIONS(3694),
    [anon_sym_module] = ACTIONS(3694),
    [anon_sym_any] = ACTIONS(3694),
    [anon_sym_number] = ACTIONS(3694),
    [anon_sym_boolean] = ACTIONS(3694),
    [anon_sym_string] = ACTIONS(3694),
    [anon_sym_symbol] = ACTIONS(3694),
    [anon_sym_object] = ACTIONS(3694),
    [anon_sym_property] = ACTIONS(3694),
    [anon_sym_signal] = ACTIONS(3694),
    [anon_sym_on] = ACTIONS(3694),
    [anon_sym_required] = ACTIONS(3694),
    [anon_sym_component] = ACTIONS(3694),
    [anon_sym_abstract] = ACTIONS(3694),
    [anon_sym_interface] = ACTIONS(3694),
    [anon_sym_enum] = ACTIONS(3694),
    [sym_html_comment] = ACTIONS(5),
  },
  [1627] = {
    [sym_comment] = STATE(1627),
    [sym_identifier] = ACTIONS(3508),
    [anon_sym_export] = ACTIONS(3508),
    [anon_sym_type] = ACTIONS(3508),
    [anon_sym_namespace] = ACTIONS(3508),
    [anon_sym_LBRACE] = ACTIONS(3508),
    [anon_sym_RBRACE] = ACTIONS(3508),
    [anon_sym_typeof] = ACTIONS(3508),
    [anon_sym_import] = ACTIONS(3508),
    [anon_sym_from] = ACTIONS(3508),
    [anon_sym_with] = ACTIONS(3508),
    [anon_sym_var] = ACTIONS(3508),
    [anon_sym_let] = ACTIONS(3508),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_else] = ACTIONS(3508),
    [anon_sym_if] = ACTIONS(3508),
    [anon_sym_switch] = ACTIONS(3508),
    [anon_sym_for] = ACTIONS(3508),
    [anon_sym_LPAREN] = ACTIONS(3508),
    [anon_sym_await] = ACTIONS(3508),
    [anon_sym_of] = ACTIONS(3508),
    [anon_sym_while] = ACTIONS(3508),
    [anon_sym_do] = ACTIONS(3508),
    [anon_sym_try] = ACTIONS(3508),
    [anon_sym_break] = ACTIONS(3508),
    [anon_sym_continue] = ACTIONS(3508),
    [anon_sym_debugger] = ACTIONS(3508),
    [anon_sym_return] = ACTIONS(3508),
    [anon_sym_throw] = ACTIONS(3508),
    [anon_sym_SEMI] = ACTIONS(3508),
    [anon_sym_yield] = ACTIONS(3508),
    [anon_sym_LBRACK] = ACTIONS(3508),
    [anon_sym_LTtemplate_GT] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_class] = ACTIONS(3508),
    [anon_sym_async] = ACTIONS(3508),
    [anon_sym_function] = ACTIONS(3508),
    [anon_sym_new] = ACTIONS(3508),
    [anon_sym_using] = ACTIONS(3508),
    [anon_sym_PLUS] = ACTIONS(3508),
    [anon_sym_DASH] = ACTIONS(3508),
    [anon_sym_SLASH] = ACTIONS(3508),
    [anon_sym_LT] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3508),
    [anon_sym_void] = ACTIONS(3508),
    [anon_sym_delete] = ACTIONS(3508),
    [anon_sym_PLUS_PLUS] = ACTIONS(3508),
    [anon_sym_DASH_DASH] = ACTIONS(3508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3508),
    [sym_number] = ACTIONS(3508),
    [sym_private_property_identifier] = ACTIONS(3508),
    [sym_this] = ACTIONS(3508),
    [sym_super] = ACTIONS(3508),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_AT] = ACTIONS(3508),
    [anon_sym_static] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3508),
    [anon_sym_get] = ACTIONS(3508),
    [anon_sym_set] = ACTIONS(3508),
    [anon_sym_declare] = ACTIONS(3508),
    [anon_sym_public] = ACTIONS(3508),
    [anon_sym_private] = ACTIONS(3508),
    [anon_sym_protected] = ACTIONS(3508),
    [anon_sym_override] = ACTIONS(3508),
    [anon_sym_module] = ACTIONS(3508),
    [anon_sym_any] = ACTIONS(3508),
    [anon_sym_number] = ACTIONS(3508),
    [anon_sym_boolean] = ACTIONS(3508),
    [anon_sym_string] = ACTIONS(3508),
    [anon_sym_symbol] = ACTIONS(3508),
    [anon_sym_object] = ACTIONS(3508),
    [anon_sym_property] = ACTIONS(3508),
    [anon_sym_signal] = ACTIONS(3508),
    [anon_sym_on] = ACTIONS(3508),
    [anon_sym_required] = ACTIONS(3508),
    [anon_sym_component] = ACTIONS(3508),
    [anon_sym_abstract] = ACTIONS(3508),
    [anon_sym_interface] = ACTIONS(3508),
    [anon_sym_enum] = ACTIONS(3508),
    [sym_html_comment] = ACTIONS(5),
  },
  [1628] = {
    [sym_comment] = STATE(1628),
    [sym_identifier] = ACTIONS(3508),
    [anon_sym_export] = ACTIONS(3508),
    [anon_sym_type] = ACTIONS(3508),
    [anon_sym_namespace] = ACTIONS(3508),
    [anon_sym_LBRACE] = ACTIONS(3508),
    [anon_sym_RBRACE] = ACTIONS(3508),
    [anon_sym_typeof] = ACTIONS(3508),
    [anon_sym_import] = ACTIONS(3508),
    [anon_sym_from] = ACTIONS(3508),
    [anon_sym_with] = ACTIONS(3508),
    [anon_sym_var] = ACTIONS(3508),
    [anon_sym_let] = ACTIONS(3508),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_else] = ACTIONS(3508),
    [anon_sym_if] = ACTIONS(3508),
    [anon_sym_switch] = ACTIONS(3508),
    [anon_sym_for] = ACTIONS(3508),
    [anon_sym_LPAREN] = ACTIONS(3508),
    [anon_sym_await] = ACTIONS(3508),
    [anon_sym_of] = ACTIONS(3508),
    [anon_sym_while] = ACTIONS(3508),
    [anon_sym_do] = ACTIONS(3508),
    [anon_sym_try] = ACTIONS(3508),
    [anon_sym_break] = ACTIONS(3508),
    [anon_sym_continue] = ACTIONS(3508),
    [anon_sym_debugger] = ACTIONS(3508),
    [anon_sym_return] = ACTIONS(3508),
    [anon_sym_throw] = ACTIONS(3508),
    [anon_sym_SEMI] = ACTIONS(3508),
    [anon_sym_yield] = ACTIONS(3508),
    [anon_sym_LBRACK] = ACTIONS(3508),
    [anon_sym_LTtemplate_GT] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_class] = ACTIONS(3508),
    [anon_sym_async] = ACTIONS(3508),
    [anon_sym_function] = ACTIONS(3508),
    [anon_sym_new] = ACTIONS(3508),
    [anon_sym_using] = ACTIONS(3508),
    [anon_sym_PLUS] = ACTIONS(3508),
    [anon_sym_DASH] = ACTIONS(3508),
    [anon_sym_SLASH] = ACTIONS(3508),
    [anon_sym_LT] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3508),
    [anon_sym_void] = ACTIONS(3508),
    [anon_sym_delete] = ACTIONS(3508),
    [anon_sym_PLUS_PLUS] = ACTIONS(3508),
    [anon_sym_DASH_DASH] = ACTIONS(3508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3508),
    [sym_number] = ACTIONS(3508),
    [sym_private_property_identifier] = ACTIONS(3508),
    [sym_this] = ACTIONS(3508),
    [sym_super] = ACTIONS(3508),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_AT] = ACTIONS(3508),
    [anon_sym_static] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3508),
    [anon_sym_get] = ACTIONS(3508),
    [anon_sym_set] = ACTIONS(3508),
    [anon_sym_declare] = ACTIONS(3508),
    [anon_sym_public] = ACTIONS(3508),
    [anon_sym_private] = ACTIONS(3508),
    [anon_sym_protected] = ACTIONS(3508),
    [anon_sym_override] = ACTIONS(3508),
    [anon_sym_module] = ACTIONS(3508),
    [anon_sym_any] = ACTIONS(3508),
    [anon_sym_number] = ACTIONS(3508),
    [anon_sym_boolean] = ACTIONS(3508),
    [anon_sym_string] = ACTIONS(3508),
    [anon_sym_symbol] = ACTIONS(3508),
    [anon_sym_object] = ACTIONS(3508),
    [anon_sym_property] = ACTIONS(3508),
    [anon_sym_signal] = ACTIONS(3508),
    [anon_sym_on] = ACTIONS(3508),
    [anon_sym_required] = ACTIONS(3508),
    [anon_sym_component] = ACTIONS(3508),
    [anon_sym_abstract] = ACTIONS(3508),
    [anon_sym_interface] = ACTIONS(3508),
    [anon_sym_enum] = ACTIONS(3508),
    [sym_html_comment] = ACTIONS(5),
  },
  [1629] = {
    [sym_comment] = STATE(1629),
    [sym_identifier] = ACTIONS(3504),
    [anon_sym_export] = ACTIONS(3504),
    [anon_sym_type] = ACTIONS(3504),
    [anon_sym_namespace] = ACTIONS(3504),
    [anon_sym_LBRACE] = ACTIONS(3504),
    [anon_sym_RBRACE] = ACTIONS(3504),
    [anon_sym_typeof] = ACTIONS(3504),
    [anon_sym_import] = ACTIONS(3504),
    [anon_sym_from] = ACTIONS(3504),
    [anon_sym_with] = ACTIONS(3504),
    [anon_sym_var] = ACTIONS(3504),
    [anon_sym_let] = ACTIONS(3504),
    [anon_sym_const] = ACTIONS(3504),
    [anon_sym_BANG] = ACTIONS(3504),
    [anon_sym_else] = ACTIONS(3504),
    [anon_sym_if] = ACTIONS(3504),
    [anon_sym_switch] = ACTIONS(3504),
    [anon_sym_for] = ACTIONS(3504),
    [anon_sym_LPAREN] = ACTIONS(3504),
    [anon_sym_await] = ACTIONS(3504),
    [anon_sym_of] = ACTIONS(3504),
    [anon_sym_while] = ACTIONS(3504),
    [anon_sym_do] = ACTIONS(3504),
    [anon_sym_try] = ACTIONS(3504),
    [anon_sym_break] = ACTIONS(3504),
    [anon_sym_continue] = ACTIONS(3504),
    [anon_sym_debugger] = ACTIONS(3504),
    [anon_sym_return] = ACTIONS(3504),
    [anon_sym_throw] = ACTIONS(3504),
    [anon_sym_SEMI] = ACTIONS(3504),
    [anon_sym_yield] = ACTIONS(3504),
    [anon_sym_LBRACK] = ACTIONS(3504),
    [anon_sym_LTtemplate_GT] = ACTIONS(3504),
    [anon_sym_DQUOTE] = ACTIONS(3504),
    [anon_sym_SQUOTE] = ACTIONS(3504),
    [anon_sym_class] = ACTIONS(3504),
    [anon_sym_async] = ACTIONS(3504),
    [anon_sym_function] = ACTIONS(3504),
    [anon_sym_new] = ACTIONS(3504),
    [anon_sym_using] = ACTIONS(3504),
    [anon_sym_PLUS] = ACTIONS(3504),
    [anon_sym_DASH] = ACTIONS(3504),
    [anon_sym_SLASH] = ACTIONS(3504),
    [anon_sym_LT] = ACTIONS(3504),
    [anon_sym_TILDE] = ACTIONS(3504),
    [anon_sym_void] = ACTIONS(3504),
    [anon_sym_delete] = ACTIONS(3504),
    [anon_sym_PLUS_PLUS] = ACTIONS(3504),
    [anon_sym_DASH_DASH] = ACTIONS(3504),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3504),
    [sym_number] = ACTIONS(3504),
    [sym_private_property_identifier] = ACTIONS(3504),
    [sym_this] = ACTIONS(3504),
    [sym_super] = ACTIONS(3504),
    [sym_true] = ACTIONS(3504),
    [sym_false] = ACTIONS(3504),
    [sym_null] = ACTIONS(3504),
    [sym_undefined] = ACTIONS(3504),
    [anon_sym_AT] = ACTIONS(3504),
    [anon_sym_static] = ACTIONS(3504),
    [anon_sym_readonly] = ACTIONS(3504),
    [anon_sym_get] = ACTIONS(3504),
    [anon_sym_set] = ACTIONS(3504),
    [anon_sym_declare] = ACTIONS(3504),
    [anon_sym_public] = ACTIONS(3504),
    [anon_sym_private] = ACTIONS(3504),
    [anon_sym_protected] = ACTIONS(3504),
    [anon_sym_override] = ACTIONS(3504),
    [anon_sym_module] = ACTIONS(3504),
    [anon_sym_any] = ACTIONS(3504),
    [anon_sym_number] = ACTIONS(3504),
    [anon_sym_boolean] = ACTIONS(3504),
    [anon_sym_string] = ACTIONS(3504),
    [anon_sym_symbol] = ACTIONS(3504),
    [anon_sym_object] = ACTIONS(3504),
    [anon_sym_property] = ACTIONS(3504),
    [anon_sym_signal] = ACTIONS(3504),
    [anon_sym_on] = ACTIONS(3504),
    [anon_sym_required] = ACTIONS(3504),
    [anon_sym_component] = ACTIONS(3504),
    [anon_sym_abstract] = ACTIONS(3504),
    [anon_sym_interface] = ACTIONS(3504),
    [anon_sym_enum] = ACTIONS(3504),
    [sym_html_comment] = ACTIONS(5),
  },
  [1630] = {
    [sym_comment] = STATE(1630),
    [sym_identifier] = ACTIONS(3500),
    [anon_sym_export] = ACTIONS(3500),
    [anon_sym_type] = ACTIONS(3500),
    [anon_sym_namespace] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3500),
    [anon_sym_RBRACE] = ACTIONS(3500),
    [anon_sym_typeof] = ACTIONS(3500),
    [anon_sym_import] = ACTIONS(3500),
    [anon_sym_from] = ACTIONS(3500),
    [anon_sym_with] = ACTIONS(3500),
    [anon_sym_var] = ACTIONS(3500),
    [anon_sym_let] = ACTIONS(3500),
    [anon_sym_const] = ACTIONS(3500),
    [anon_sym_BANG] = ACTIONS(3500),
    [anon_sym_else] = ACTIONS(3500),
    [anon_sym_if] = ACTIONS(3500),
    [anon_sym_switch] = ACTIONS(3500),
    [anon_sym_for] = ACTIONS(3500),
    [anon_sym_LPAREN] = ACTIONS(3500),
    [anon_sym_await] = ACTIONS(3500),
    [anon_sym_of] = ACTIONS(3500),
    [anon_sym_while] = ACTIONS(3500),
    [anon_sym_do] = ACTIONS(3500),
    [anon_sym_try] = ACTIONS(3500),
    [anon_sym_break] = ACTIONS(3500),
    [anon_sym_continue] = ACTIONS(3500),
    [anon_sym_debugger] = ACTIONS(3500),
    [anon_sym_return] = ACTIONS(3500),
    [anon_sym_throw] = ACTIONS(3500),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_yield] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(3500),
    [anon_sym_LTtemplate_GT] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_SQUOTE] = ACTIONS(3500),
    [anon_sym_class] = ACTIONS(3500),
    [anon_sym_async] = ACTIONS(3500),
    [anon_sym_function] = ACTIONS(3500),
    [anon_sym_new] = ACTIONS(3500),
    [anon_sym_using] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_SLASH] = ACTIONS(3500),
    [anon_sym_LT] = ACTIONS(3500),
    [anon_sym_TILDE] = ACTIONS(3500),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_PLUS_PLUS] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(3500),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3500),
    [sym_number] = ACTIONS(3500),
    [sym_private_property_identifier] = ACTIONS(3500),
    [sym_this] = ACTIONS(3500),
    [sym_super] = ACTIONS(3500),
    [sym_true] = ACTIONS(3500),
    [sym_false] = ACTIONS(3500),
    [sym_null] = ACTIONS(3500),
    [sym_undefined] = ACTIONS(3500),
    [anon_sym_AT] = ACTIONS(3500),
    [anon_sym_static] = ACTIONS(3500),
    [anon_sym_readonly] = ACTIONS(3500),
    [anon_sym_get] = ACTIONS(3500),
    [anon_sym_set] = ACTIONS(3500),
    [anon_sym_declare] = ACTIONS(3500),
    [anon_sym_public] = ACTIONS(3500),
    [anon_sym_private] = ACTIONS(3500),
    [anon_sym_protected] = ACTIONS(3500),
    [anon_sym_override] = ACTIONS(3500),
    [anon_sym_module] = ACTIONS(3500),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_property] = ACTIONS(3500),
    [anon_sym_signal] = ACTIONS(3500),
    [anon_sym_on] = ACTIONS(3500),
    [anon_sym_required] = ACTIONS(3500),
    [anon_sym_component] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3500),
    [anon_sym_interface] = ACTIONS(3500),
    [anon_sym_enum] = ACTIONS(3500),
    [sym_html_comment] = ACTIONS(5),
  },
  [1631] = {
    [sym_comment] = STATE(1631),
    [sym_identifier] = ACTIONS(3568),
    [anon_sym_export] = ACTIONS(3568),
    [anon_sym_type] = ACTIONS(3568),
    [anon_sym_namespace] = ACTIONS(3568),
    [anon_sym_LBRACE] = ACTIONS(3568),
    [anon_sym_RBRACE] = ACTIONS(3568),
    [anon_sym_typeof] = ACTIONS(3568),
    [anon_sym_import] = ACTIONS(3568),
    [anon_sym_from] = ACTIONS(3568),
    [anon_sym_with] = ACTIONS(3568),
    [anon_sym_var] = ACTIONS(3568),
    [anon_sym_let] = ACTIONS(3568),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_BANG] = ACTIONS(3568),
    [anon_sym_else] = ACTIONS(3568),
    [anon_sym_if] = ACTIONS(3568),
    [anon_sym_switch] = ACTIONS(3568),
    [anon_sym_for] = ACTIONS(3568),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_await] = ACTIONS(3568),
    [anon_sym_of] = ACTIONS(3568),
    [anon_sym_while] = ACTIONS(3568),
    [anon_sym_do] = ACTIONS(3568),
    [anon_sym_try] = ACTIONS(3568),
    [anon_sym_break] = ACTIONS(3568),
    [anon_sym_continue] = ACTIONS(3568),
    [anon_sym_debugger] = ACTIONS(3568),
    [anon_sym_return] = ACTIONS(3568),
    [anon_sym_throw] = ACTIONS(3568),
    [anon_sym_SEMI] = ACTIONS(3568),
    [anon_sym_yield] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3568),
    [anon_sym_LTtemplate_GT] = ACTIONS(3568),
    [anon_sym_DQUOTE] = ACTIONS(3568),
    [anon_sym_SQUOTE] = ACTIONS(3568),
    [anon_sym_class] = ACTIONS(3568),
    [anon_sym_async] = ACTIONS(3568),
    [anon_sym_function] = ACTIONS(3568),
    [anon_sym_new] = ACTIONS(3568),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_PLUS] = ACTIONS(3568),
    [anon_sym_DASH] = ACTIONS(3568),
    [anon_sym_SLASH] = ACTIONS(3568),
    [anon_sym_LT] = ACTIONS(3568),
    [anon_sym_TILDE] = ACTIONS(3568),
    [anon_sym_void] = ACTIONS(3568),
    [anon_sym_delete] = ACTIONS(3568),
    [anon_sym_PLUS_PLUS] = ACTIONS(3568),
    [anon_sym_DASH_DASH] = ACTIONS(3568),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3568),
    [sym_number] = ACTIONS(3568),
    [sym_private_property_identifier] = ACTIONS(3568),
    [sym_this] = ACTIONS(3568),
    [sym_super] = ACTIONS(3568),
    [sym_true] = ACTIONS(3568),
    [sym_false] = ACTIONS(3568),
    [sym_null] = ACTIONS(3568),
    [sym_undefined] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(3568),
    [anon_sym_static] = ACTIONS(3568),
    [anon_sym_readonly] = ACTIONS(3568),
    [anon_sym_get] = ACTIONS(3568),
    [anon_sym_set] = ACTIONS(3568),
    [anon_sym_declare] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3568),
    [anon_sym_private] = ACTIONS(3568),
    [anon_sym_protected] = ACTIONS(3568),
    [anon_sym_override] = ACTIONS(3568),
    [anon_sym_module] = ACTIONS(3568),
    [anon_sym_any] = ACTIONS(3568),
    [anon_sym_number] = ACTIONS(3568),
    [anon_sym_boolean] = ACTIONS(3568),
    [anon_sym_string] = ACTIONS(3568),
    [anon_sym_symbol] = ACTIONS(3568),
    [anon_sym_object] = ACTIONS(3568),
    [anon_sym_property] = ACTIONS(3568),
    [anon_sym_signal] = ACTIONS(3568),
    [anon_sym_on] = ACTIONS(3568),
    [anon_sym_required] = ACTIONS(3568),
    [anon_sym_component] = ACTIONS(3568),
    [anon_sym_abstract] = ACTIONS(3568),
    [anon_sym_interface] = ACTIONS(3568),
    [anon_sym_enum] = ACTIONS(3568),
    [sym_html_comment] = ACTIONS(5),
  },
  [1632] = {
    [sym_comment] = STATE(1632),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_export] = ACTIONS(3700),
    [anon_sym_type] = ACTIONS(3700),
    [anon_sym_namespace] = ACTIONS(3700),
    [anon_sym_LBRACE] = ACTIONS(3700),
    [anon_sym_RBRACE] = ACTIONS(3700),
    [anon_sym_typeof] = ACTIONS(3700),
    [anon_sym_import] = ACTIONS(3700),
    [anon_sym_from] = ACTIONS(3700),
    [anon_sym_with] = ACTIONS(3700),
    [anon_sym_var] = ACTIONS(3700),
    [anon_sym_let] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3700),
    [anon_sym_BANG] = ACTIONS(3700),
    [anon_sym_else] = ACTIONS(3700),
    [anon_sym_if] = ACTIONS(3700),
    [anon_sym_switch] = ACTIONS(3700),
    [anon_sym_for] = ACTIONS(3700),
    [anon_sym_LPAREN] = ACTIONS(3700),
    [anon_sym_await] = ACTIONS(3700),
    [anon_sym_of] = ACTIONS(3700),
    [anon_sym_while] = ACTIONS(3700),
    [anon_sym_do] = ACTIONS(3700),
    [anon_sym_try] = ACTIONS(3700),
    [anon_sym_break] = ACTIONS(3700),
    [anon_sym_continue] = ACTIONS(3700),
    [anon_sym_debugger] = ACTIONS(3700),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_throw] = ACTIONS(3700),
    [anon_sym_SEMI] = ACTIONS(3700),
    [anon_sym_yield] = ACTIONS(3700),
    [anon_sym_LBRACK] = ACTIONS(3700),
    [anon_sym_LTtemplate_GT] = ACTIONS(3700),
    [anon_sym_DQUOTE] = ACTIONS(3700),
    [anon_sym_SQUOTE] = ACTIONS(3700),
    [anon_sym_class] = ACTIONS(3700),
    [anon_sym_async] = ACTIONS(3700),
    [anon_sym_function] = ACTIONS(3700),
    [anon_sym_new] = ACTIONS(3700),
    [anon_sym_using] = ACTIONS(3700),
    [anon_sym_PLUS] = ACTIONS(3700),
    [anon_sym_DASH] = ACTIONS(3700),
    [anon_sym_SLASH] = ACTIONS(3700),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_TILDE] = ACTIONS(3700),
    [anon_sym_void] = ACTIONS(3700),
    [anon_sym_delete] = ACTIONS(3700),
    [anon_sym_PLUS_PLUS] = ACTIONS(3700),
    [anon_sym_DASH_DASH] = ACTIONS(3700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3700),
    [sym_number] = ACTIONS(3700),
    [sym_private_property_identifier] = ACTIONS(3700),
    [sym_this] = ACTIONS(3700),
    [sym_super] = ACTIONS(3700),
    [sym_true] = ACTIONS(3700),
    [sym_false] = ACTIONS(3700),
    [sym_null] = ACTIONS(3700),
    [sym_undefined] = ACTIONS(3700),
    [anon_sym_AT] = ACTIONS(3700),
    [anon_sym_static] = ACTIONS(3700),
    [anon_sym_readonly] = ACTIONS(3700),
    [anon_sym_get] = ACTIONS(3700),
    [anon_sym_set] = ACTIONS(3700),
    [anon_sym_declare] = ACTIONS(3700),
    [anon_sym_public] = ACTIONS(3700),
    [anon_sym_private] = ACTIONS(3700),
    [anon_sym_protected] = ACTIONS(3700),
    [anon_sym_override] = ACTIONS(3700),
    [anon_sym_module] = ACTIONS(3700),
    [anon_sym_any] = ACTIONS(3700),
    [anon_sym_number] = ACTIONS(3700),
    [anon_sym_boolean] = ACTIONS(3700),
    [anon_sym_string] = ACTIONS(3700),
    [anon_sym_symbol] = ACTIONS(3700),
    [anon_sym_object] = ACTIONS(3700),
    [anon_sym_property] = ACTIONS(3700),
    [anon_sym_signal] = ACTIONS(3700),
    [anon_sym_on] = ACTIONS(3700),
    [anon_sym_required] = ACTIONS(3700),
    [anon_sym_component] = ACTIONS(3700),
    [anon_sym_abstract] = ACTIONS(3700),
    [anon_sym_interface] = ACTIONS(3700),
    [anon_sym_enum] = ACTIONS(3700),
    [sym_html_comment] = ACTIONS(5),
  },
  [1633] = {
    [sym_comment] = STATE(1633),
    [sym_identifier] = ACTIONS(3698),
    [anon_sym_export] = ACTIONS(3698),
    [anon_sym_type] = ACTIONS(3698),
    [anon_sym_namespace] = ACTIONS(3698),
    [anon_sym_LBRACE] = ACTIONS(3698),
    [anon_sym_RBRACE] = ACTIONS(3698),
    [anon_sym_typeof] = ACTIONS(3698),
    [anon_sym_import] = ACTIONS(3698),
    [anon_sym_from] = ACTIONS(3698),
    [anon_sym_with] = ACTIONS(3698),
    [anon_sym_var] = ACTIONS(3698),
    [anon_sym_let] = ACTIONS(3698),
    [anon_sym_const] = ACTIONS(3698),
    [anon_sym_BANG] = ACTIONS(3698),
    [anon_sym_else] = ACTIONS(3698),
    [anon_sym_if] = ACTIONS(3698),
    [anon_sym_switch] = ACTIONS(3698),
    [anon_sym_for] = ACTIONS(3698),
    [anon_sym_LPAREN] = ACTIONS(3698),
    [anon_sym_await] = ACTIONS(3698),
    [anon_sym_of] = ACTIONS(3698),
    [anon_sym_while] = ACTIONS(3698),
    [anon_sym_do] = ACTIONS(3698),
    [anon_sym_try] = ACTIONS(3698),
    [anon_sym_break] = ACTIONS(3698),
    [anon_sym_continue] = ACTIONS(3698),
    [anon_sym_debugger] = ACTIONS(3698),
    [anon_sym_return] = ACTIONS(3698),
    [anon_sym_throw] = ACTIONS(3698),
    [anon_sym_SEMI] = ACTIONS(3698),
    [anon_sym_yield] = ACTIONS(3698),
    [anon_sym_LBRACK] = ACTIONS(3698),
    [anon_sym_LTtemplate_GT] = ACTIONS(3698),
    [anon_sym_DQUOTE] = ACTIONS(3698),
    [anon_sym_SQUOTE] = ACTIONS(3698),
    [anon_sym_class] = ACTIONS(3698),
    [anon_sym_async] = ACTIONS(3698),
    [anon_sym_function] = ACTIONS(3698),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_using] = ACTIONS(3698),
    [anon_sym_PLUS] = ACTIONS(3698),
    [anon_sym_DASH] = ACTIONS(3698),
    [anon_sym_SLASH] = ACTIONS(3698),
    [anon_sym_LT] = ACTIONS(3698),
    [anon_sym_TILDE] = ACTIONS(3698),
    [anon_sym_void] = ACTIONS(3698),
    [anon_sym_delete] = ACTIONS(3698),
    [anon_sym_PLUS_PLUS] = ACTIONS(3698),
    [anon_sym_DASH_DASH] = ACTIONS(3698),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3698),
    [sym_number] = ACTIONS(3698),
    [sym_private_property_identifier] = ACTIONS(3698),
    [sym_this] = ACTIONS(3698),
    [sym_super] = ACTIONS(3698),
    [sym_true] = ACTIONS(3698),
    [sym_false] = ACTIONS(3698),
    [sym_null] = ACTIONS(3698),
    [sym_undefined] = ACTIONS(3698),
    [anon_sym_AT] = ACTIONS(3698),
    [anon_sym_static] = ACTIONS(3698),
    [anon_sym_readonly] = ACTIONS(3698),
    [anon_sym_get] = ACTIONS(3698),
    [anon_sym_set] = ACTIONS(3698),
    [anon_sym_declare] = ACTIONS(3698),
    [anon_sym_public] = ACTIONS(3698),
    [anon_sym_private] = ACTIONS(3698),
    [anon_sym_protected] = ACTIONS(3698),
    [anon_sym_override] = ACTIONS(3698),
    [anon_sym_module] = ACTIONS(3698),
    [anon_sym_any] = ACTIONS(3698),
    [anon_sym_number] = ACTIONS(3698),
    [anon_sym_boolean] = ACTIONS(3698),
    [anon_sym_string] = ACTIONS(3698),
    [anon_sym_symbol] = ACTIONS(3698),
    [anon_sym_object] = ACTIONS(3698),
    [anon_sym_property] = ACTIONS(3698),
    [anon_sym_signal] = ACTIONS(3698),
    [anon_sym_on] = ACTIONS(3698),
    [anon_sym_required] = ACTIONS(3698),
    [anon_sym_component] = ACTIONS(3698),
    [anon_sym_abstract] = ACTIONS(3698),
    [anon_sym_interface] = ACTIONS(3698),
    [anon_sym_enum] = ACTIONS(3698),
    [sym_html_comment] = ACTIONS(5),
  },
  [1634] = {
    [sym_comment] = STATE(1634),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_export] = ACTIONS(3546),
    [anon_sym_type] = ACTIONS(3546),
    [anon_sym_namespace] = ACTIONS(3546),
    [anon_sym_LBRACE] = ACTIONS(3546),
    [anon_sym_RBRACE] = ACTIONS(3546),
    [anon_sym_typeof] = ACTIONS(3546),
    [anon_sym_import] = ACTIONS(3546),
    [anon_sym_from] = ACTIONS(3546),
    [anon_sym_with] = ACTIONS(3546),
    [anon_sym_var] = ACTIONS(3546),
    [anon_sym_let] = ACTIONS(3546),
    [anon_sym_const] = ACTIONS(3546),
    [anon_sym_BANG] = ACTIONS(3546),
    [anon_sym_else] = ACTIONS(3546),
    [anon_sym_if] = ACTIONS(3546),
    [anon_sym_switch] = ACTIONS(3546),
    [anon_sym_for] = ACTIONS(3546),
    [anon_sym_LPAREN] = ACTIONS(3546),
    [anon_sym_await] = ACTIONS(3546),
    [anon_sym_of] = ACTIONS(3546),
    [anon_sym_while] = ACTIONS(3546),
    [anon_sym_do] = ACTIONS(3546),
    [anon_sym_try] = ACTIONS(3546),
    [anon_sym_break] = ACTIONS(3546),
    [anon_sym_continue] = ACTIONS(3546),
    [anon_sym_debugger] = ACTIONS(3546),
    [anon_sym_return] = ACTIONS(3546),
    [anon_sym_throw] = ACTIONS(3546),
    [anon_sym_SEMI] = ACTIONS(3546),
    [anon_sym_yield] = ACTIONS(3546),
    [anon_sym_LBRACK] = ACTIONS(3546),
    [anon_sym_LTtemplate_GT] = ACTIONS(3546),
    [anon_sym_DQUOTE] = ACTIONS(3546),
    [anon_sym_SQUOTE] = ACTIONS(3546),
    [anon_sym_class] = ACTIONS(3546),
    [anon_sym_async] = ACTIONS(3546),
    [anon_sym_function] = ACTIONS(3546),
    [anon_sym_new] = ACTIONS(3546),
    [anon_sym_using] = ACTIONS(3546),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_DASH] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3546),
    [anon_sym_LT] = ACTIONS(3546),
    [anon_sym_TILDE] = ACTIONS(3546),
    [anon_sym_void] = ACTIONS(3546),
    [anon_sym_delete] = ACTIONS(3546),
    [anon_sym_PLUS_PLUS] = ACTIONS(3546),
    [anon_sym_DASH_DASH] = ACTIONS(3546),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3546),
    [sym_number] = ACTIONS(3546),
    [sym_private_property_identifier] = ACTIONS(3546),
    [sym_this] = ACTIONS(3546),
    [sym_super] = ACTIONS(3546),
    [sym_true] = ACTIONS(3546),
    [sym_false] = ACTIONS(3546),
    [sym_null] = ACTIONS(3546),
    [sym_undefined] = ACTIONS(3546),
    [anon_sym_AT] = ACTIONS(3546),
    [anon_sym_static] = ACTIONS(3546),
    [anon_sym_readonly] = ACTIONS(3546),
    [anon_sym_get] = ACTIONS(3546),
    [anon_sym_set] = ACTIONS(3546),
    [anon_sym_declare] = ACTIONS(3546),
    [anon_sym_public] = ACTIONS(3546),
    [anon_sym_private] = ACTIONS(3546),
    [anon_sym_protected] = ACTIONS(3546),
    [anon_sym_override] = ACTIONS(3546),
    [anon_sym_module] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(3546),
    [anon_sym_number] = ACTIONS(3546),
    [anon_sym_boolean] = ACTIONS(3546),
    [anon_sym_string] = ACTIONS(3546),
    [anon_sym_symbol] = ACTIONS(3546),
    [anon_sym_object] = ACTIONS(3546),
    [anon_sym_property] = ACTIONS(3546),
    [anon_sym_signal] = ACTIONS(3546),
    [anon_sym_on] = ACTIONS(3546),
    [anon_sym_required] = ACTIONS(3546),
    [anon_sym_component] = ACTIONS(3546),
    [anon_sym_abstract] = ACTIONS(3546),
    [anon_sym_interface] = ACTIONS(3546),
    [anon_sym_enum] = ACTIONS(3546),
    [sym_html_comment] = ACTIONS(5),
  },
  [1635] = {
    [sym_comment] = STATE(1635),
    [sym_identifier] = ACTIONS(3692),
    [anon_sym_export] = ACTIONS(3692),
    [anon_sym_type] = ACTIONS(3692),
    [anon_sym_namespace] = ACTIONS(3692),
    [anon_sym_LBRACE] = ACTIONS(3692),
    [anon_sym_RBRACE] = ACTIONS(3692),
    [anon_sym_typeof] = ACTIONS(3692),
    [anon_sym_import] = ACTIONS(3692),
    [anon_sym_from] = ACTIONS(3692),
    [anon_sym_with] = ACTIONS(3692),
    [anon_sym_var] = ACTIONS(3692),
    [anon_sym_let] = ACTIONS(3692),
    [anon_sym_const] = ACTIONS(3692),
    [anon_sym_BANG] = ACTIONS(3692),
    [anon_sym_else] = ACTIONS(3692),
    [anon_sym_if] = ACTIONS(3692),
    [anon_sym_switch] = ACTIONS(3692),
    [anon_sym_for] = ACTIONS(3692),
    [anon_sym_LPAREN] = ACTIONS(3692),
    [anon_sym_await] = ACTIONS(3692),
    [anon_sym_of] = ACTIONS(3692),
    [anon_sym_while] = ACTIONS(3692),
    [anon_sym_do] = ACTIONS(3692),
    [anon_sym_try] = ACTIONS(3692),
    [anon_sym_break] = ACTIONS(3692),
    [anon_sym_continue] = ACTIONS(3692),
    [anon_sym_debugger] = ACTIONS(3692),
    [anon_sym_return] = ACTIONS(3692),
    [anon_sym_throw] = ACTIONS(3692),
    [anon_sym_SEMI] = ACTIONS(3692),
    [anon_sym_yield] = ACTIONS(3692),
    [anon_sym_LBRACK] = ACTIONS(3692),
    [anon_sym_LTtemplate_GT] = ACTIONS(3692),
    [anon_sym_DQUOTE] = ACTIONS(3692),
    [anon_sym_SQUOTE] = ACTIONS(3692),
    [anon_sym_class] = ACTIONS(3692),
    [anon_sym_async] = ACTIONS(3692),
    [anon_sym_function] = ACTIONS(3692),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_using] = ACTIONS(3692),
    [anon_sym_PLUS] = ACTIONS(3692),
    [anon_sym_DASH] = ACTIONS(3692),
    [anon_sym_SLASH] = ACTIONS(3692),
    [anon_sym_LT] = ACTIONS(3692),
    [anon_sym_TILDE] = ACTIONS(3692),
    [anon_sym_void] = ACTIONS(3692),
    [anon_sym_delete] = ACTIONS(3692),
    [anon_sym_PLUS_PLUS] = ACTIONS(3692),
    [anon_sym_DASH_DASH] = ACTIONS(3692),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3692),
    [sym_number] = ACTIONS(3692),
    [sym_private_property_identifier] = ACTIONS(3692),
    [sym_this] = ACTIONS(3692),
    [sym_super] = ACTIONS(3692),
    [sym_true] = ACTIONS(3692),
    [sym_false] = ACTIONS(3692),
    [sym_null] = ACTIONS(3692),
    [sym_undefined] = ACTIONS(3692),
    [anon_sym_AT] = ACTIONS(3692),
    [anon_sym_static] = ACTIONS(3692),
    [anon_sym_readonly] = ACTIONS(3692),
    [anon_sym_get] = ACTIONS(3692),
    [anon_sym_set] = ACTIONS(3692),
    [anon_sym_declare] = ACTIONS(3692),
    [anon_sym_public] = ACTIONS(3692),
    [anon_sym_private] = ACTIONS(3692),
    [anon_sym_protected] = ACTIONS(3692),
    [anon_sym_override] = ACTIONS(3692),
    [anon_sym_module] = ACTIONS(3692),
    [anon_sym_any] = ACTIONS(3692),
    [anon_sym_number] = ACTIONS(3692),
    [anon_sym_boolean] = ACTIONS(3692),
    [anon_sym_string] = ACTIONS(3692),
    [anon_sym_symbol] = ACTIONS(3692),
    [anon_sym_object] = ACTIONS(3692),
    [anon_sym_property] = ACTIONS(3692),
    [anon_sym_signal] = ACTIONS(3692),
    [anon_sym_on] = ACTIONS(3692),
    [anon_sym_required] = ACTIONS(3692),
    [anon_sym_component] = ACTIONS(3692),
    [anon_sym_abstract] = ACTIONS(3692),
    [anon_sym_interface] = ACTIONS(3692),
    [anon_sym_enum] = ACTIONS(3692),
    [sym_html_comment] = ACTIONS(5),
  },
  [1636] = {
    [sym_comment] = STATE(1636),
    [sym_identifier] = ACTIONS(3688),
    [anon_sym_export] = ACTIONS(3688),
    [anon_sym_type] = ACTIONS(3688),
    [anon_sym_namespace] = ACTIONS(3688),
    [anon_sym_LBRACE] = ACTIONS(3688),
    [anon_sym_RBRACE] = ACTIONS(3688),
    [anon_sym_typeof] = ACTIONS(3688),
    [anon_sym_import] = ACTIONS(3688),
    [anon_sym_from] = ACTIONS(3688),
    [anon_sym_with] = ACTIONS(3688),
    [anon_sym_var] = ACTIONS(3688),
    [anon_sym_let] = ACTIONS(3688),
    [anon_sym_const] = ACTIONS(3688),
    [anon_sym_BANG] = ACTIONS(3688),
    [anon_sym_else] = ACTIONS(3688),
    [anon_sym_if] = ACTIONS(3688),
    [anon_sym_switch] = ACTIONS(3688),
    [anon_sym_for] = ACTIONS(3688),
    [anon_sym_LPAREN] = ACTIONS(3688),
    [anon_sym_await] = ACTIONS(3688),
    [anon_sym_of] = ACTIONS(3688),
    [anon_sym_while] = ACTIONS(3688),
    [anon_sym_do] = ACTIONS(3688),
    [anon_sym_try] = ACTIONS(3688),
    [anon_sym_break] = ACTIONS(3688),
    [anon_sym_continue] = ACTIONS(3688),
    [anon_sym_debugger] = ACTIONS(3688),
    [anon_sym_return] = ACTIONS(3688),
    [anon_sym_throw] = ACTIONS(3688),
    [anon_sym_SEMI] = ACTIONS(3688),
    [anon_sym_yield] = ACTIONS(3688),
    [anon_sym_LBRACK] = ACTIONS(3688),
    [anon_sym_LTtemplate_GT] = ACTIONS(3688),
    [anon_sym_DQUOTE] = ACTIONS(3688),
    [anon_sym_SQUOTE] = ACTIONS(3688),
    [anon_sym_class] = ACTIONS(3688),
    [anon_sym_async] = ACTIONS(3688),
    [anon_sym_function] = ACTIONS(3688),
    [anon_sym_new] = ACTIONS(3688),
    [anon_sym_using] = ACTIONS(3688),
    [anon_sym_PLUS] = ACTIONS(3688),
    [anon_sym_DASH] = ACTIONS(3688),
    [anon_sym_SLASH] = ACTIONS(3688),
    [anon_sym_LT] = ACTIONS(3688),
    [anon_sym_TILDE] = ACTIONS(3688),
    [anon_sym_void] = ACTIONS(3688),
    [anon_sym_delete] = ACTIONS(3688),
    [anon_sym_PLUS_PLUS] = ACTIONS(3688),
    [anon_sym_DASH_DASH] = ACTIONS(3688),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3688),
    [sym_number] = ACTIONS(3688),
    [sym_private_property_identifier] = ACTIONS(3688),
    [sym_this] = ACTIONS(3688),
    [sym_super] = ACTIONS(3688),
    [sym_true] = ACTIONS(3688),
    [sym_false] = ACTIONS(3688),
    [sym_null] = ACTIONS(3688),
    [sym_undefined] = ACTIONS(3688),
    [anon_sym_AT] = ACTIONS(3688),
    [anon_sym_static] = ACTIONS(3688),
    [anon_sym_readonly] = ACTIONS(3688),
    [anon_sym_get] = ACTIONS(3688),
    [anon_sym_set] = ACTIONS(3688),
    [anon_sym_declare] = ACTIONS(3688),
    [anon_sym_public] = ACTIONS(3688),
    [anon_sym_private] = ACTIONS(3688),
    [anon_sym_protected] = ACTIONS(3688),
    [anon_sym_override] = ACTIONS(3688),
    [anon_sym_module] = ACTIONS(3688),
    [anon_sym_any] = ACTIONS(3688),
    [anon_sym_number] = ACTIONS(3688),
    [anon_sym_boolean] = ACTIONS(3688),
    [anon_sym_string] = ACTIONS(3688),
    [anon_sym_symbol] = ACTIONS(3688),
    [anon_sym_object] = ACTIONS(3688),
    [anon_sym_property] = ACTIONS(3688),
    [anon_sym_signal] = ACTIONS(3688),
    [anon_sym_on] = ACTIONS(3688),
    [anon_sym_required] = ACTIONS(3688),
    [anon_sym_component] = ACTIONS(3688),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_interface] = ACTIONS(3688),
    [anon_sym_enum] = ACTIONS(3688),
    [sym_html_comment] = ACTIONS(5),
  },
  [1637] = {
    [sym_comment] = STATE(1637),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_export] = ACTIONS(3682),
    [anon_sym_type] = ACTIONS(3682),
    [anon_sym_namespace] = ACTIONS(3682),
    [anon_sym_LBRACE] = ACTIONS(3682),
    [anon_sym_RBRACE] = ACTIONS(3682),
    [anon_sym_typeof] = ACTIONS(3682),
    [anon_sym_import] = ACTIONS(3682),
    [anon_sym_from] = ACTIONS(3682),
    [anon_sym_with] = ACTIONS(3682),
    [anon_sym_var] = ACTIONS(3682),
    [anon_sym_let] = ACTIONS(3682),
    [anon_sym_const] = ACTIONS(3682),
    [anon_sym_BANG] = ACTIONS(3682),
    [anon_sym_else] = ACTIONS(3682),
    [anon_sym_if] = ACTIONS(3682),
    [anon_sym_switch] = ACTIONS(3682),
    [anon_sym_for] = ACTIONS(3682),
    [anon_sym_LPAREN] = ACTIONS(3682),
    [anon_sym_await] = ACTIONS(3682),
    [anon_sym_of] = ACTIONS(3682),
    [anon_sym_while] = ACTIONS(3682),
    [anon_sym_do] = ACTIONS(3682),
    [anon_sym_try] = ACTIONS(3682),
    [anon_sym_break] = ACTIONS(3682),
    [anon_sym_continue] = ACTIONS(3682),
    [anon_sym_debugger] = ACTIONS(3682),
    [anon_sym_return] = ACTIONS(3682),
    [anon_sym_throw] = ACTIONS(3682),
    [anon_sym_SEMI] = ACTIONS(3682),
    [anon_sym_yield] = ACTIONS(3682),
    [anon_sym_LBRACK] = ACTIONS(3682),
    [anon_sym_LTtemplate_GT] = ACTIONS(3682),
    [anon_sym_DQUOTE] = ACTIONS(3682),
    [anon_sym_SQUOTE] = ACTIONS(3682),
    [anon_sym_class] = ACTIONS(3682),
    [anon_sym_async] = ACTIONS(3682),
    [anon_sym_function] = ACTIONS(3682),
    [anon_sym_new] = ACTIONS(3682),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_PLUS] = ACTIONS(3682),
    [anon_sym_DASH] = ACTIONS(3682),
    [anon_sym_SLASH] = ACTIONS(3682),
    [anon_sym_LT] = ACTIONS(3682),
    [anon_sym_TILDE] = ACTIONS(3682),
    [anon_sym_void] = ACTIONS(3682),
    [anon_sym_delete] = ACTIONS(3682),
    [anon_sym_PLUS_PLUS] = ACTIONS(3682),
    [anon_sym_DASH_DASH] = ACTIONS(3682),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3682),
    [sym_number] = ACTIONS(3682),
    [sym_private_property_identifier] = ACTIONS(3682),
    [sym_this] = ACTIONS(3682),
    [sym_super] = ACTIONS(3682),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [sym_null] = ACTIONS(3682),
    [sym_undefined] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(3682),
    [anon_sym_static] = ACTIONS(3682),
    [anon_sym_readonly] = ACTIONS(3682),
    [anon_sym_get] = ACTIONS(3682),
    [anon_sym_set] = ACTIONS(3682),
    [anon_sym_declare] = ACTIONS(3682),
    [anon_sym_public] = ACTIONS(3682),
    [anon_sym_private] = ACTIONS(3682),
    [anon_sym_protected] = ACTIONS(3682),
    [anon_sym_override] = ACTIONS(3682),
    [anon_sym_module] = ACTIONS(3682),
    [anon_sym_any] = ACTIONS(3682),
    [anon_sym_number] = ACTIONS(3682),
    [anon_sym_boolean] = ACTIONS(3682),
    [anon_sym_string] = ACTIONS(3682),
    [anon_sym_symbol] = ACTIONS(3682),
    [anon_sym_object] = ACTIONS(3682),
    [anon_sym_property] = ACTIONS(3682),
    [anon_sym_signal] = ACTIONS(3682),
    [anon_sym_on] = ACTIONS(3682),
    [anon_sym_required] = ACTIONS(3682),
    [anon_sym_component] = ACTIONS(3682),
    [anon_sym_abstract] = ACTIONS(3682),
    [anon_sym_interface] = ACTIONS(3682),
    [anon_sym_enum] = ACTIONS(3682),
    [sym_html_comment] = ACTIONS(5),
  },
  [1638] = {
    [sym_comment] = STATE(1638),
    [sym_identifier] = ACTIONS(3680),
    [anon_sym_export] = ACTIONS(3680),
    [anon_sym_type] = ACTIONS(3680),
    [anon_sym_namespace] = ACTIONS(3680),
    [anon_sym_LBRACE] = ACTIONS(3680),
    [anon_sym_RBRACE] = ACTIONS(3680),
    [anon_sym_typeof] = ACTIONS(3680),
    [anon_sym_import] = ACTIONS(3680),
    [anon_sym_from] = ACTIONS(3680),
    [anon_sym_with] = ACTIONS(3680),
    [anon_sym_var] = ACTIONS(3680),
    [anon_sym_let] = ACTIONS(3680),
    [anon_sym_const] = ACTIONS(3680),
    [anon_sym_BANG] = ACTIONS(3680),
    [anon_sym_else] = ACTIONS(3680),
    [anon_sym_if] = ACTIONS(3680),
    [anon_sym_switch] = ACTIONS(3680),
    [anon_sym_for] = ACTIONS(3680),
    [anon_sym_LPAREN] = ACTIONS(3680),
    [anon_sym_await] = ACTIONS(3680),
    [anon_sym_of] = ACTIONS(3680),
    [anon_sym_while] = ACTIONS(3680),
    [anon_sym_do] = ACTIONS(3680),
    [anon_sym_try] = ACTIONS(3680),
    [anon_sym_break] = ACTIONS(3680),
    [anon_sym_continue] = ACTIONS(3680),
    [anon_sym_debugger] = ACTIONS(3680),
    [anon_sym_return] = ACTIONS(3680),
    [anon_sym_throw] = ACTIONS(3680),
    [anon_sym_SEMI] = ACTIONS(3680),
    [anon_sym_yield] = ACTIONS(3680),
    [anon_sym_LBRACK] = ACTIONS(3680),
    [anon_sym_LTtemplate_GT] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [anon_sym_SQUOTE] = ACTIONS(3680),
    [anon_sym_class] = ACTIONS(3680),
    [anon_sym_async] = ACTIONS(3680),
    [anon_sym_function] = ACTIONS(3680),
    [anon_sym_new] = ACTIONS(3680),
    [anon_sym_using] = ACTIONS(3680),
    [anon_sym_PLUS] = ACTIONS(3680),
    [anon_sym_DASH] = ACTIONS(3680),
    [anon_sym_SLASH] = ACTIONS(3680),
    [anon_sym_LT] = ACTIONS(3680),
    [anon_sym_TILDE] = ACTIONS(3680),
    [anon_sym_void] = ACTIONS(3680),
    [anon_sym_delete] = ACTIONS(3680),
    [anon_sym_PLUS_PLUS] = ACTIONS(3680),
    [anon_sym_DASH_DASH] = ACTIONS(3680),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3680),
    [sym_number] = ACTIONS(3680),
    [sym_private_property_identifier] = ACTIONS(3680),
    [sym_this] = ACTIONS(3680),
    [sym_super] = ACTIONS(3680),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_AT] = ACTIONS(3680),
    [anon_sym_static] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3680),
    [anon_sym_get] = ACTIONS(3680),
    [anon_sym_set] = ACTIONS(3680),
    [anon_sym_declare] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3680),
    [anon_sym_private] = ACTIONS(3680),
    [anon_sym_protected] = ACTIONS(3680),
    [anon_sym_override] = ACTIONS(3680),
    [anon_sym_module] = ACTIONS(3680),
    [anon_sym_any] = ACTIONS(3680),
    [anon_sym_number] = ACTIONS(3680),
    [anon_sym_boolean] = ACTIONS(3680),
    [anon_sym_string] = ACTIONS(3680),
    [anon_sym_symbol] = ACTIONS(3680),
    [anon_sym_object] = ACTIONS(3680),
    [anon_sym_property] = ACTIONS(3680),
    [anon_sym_signal] = ACTIONS(3680),
    [anon_sym_on] = ACTIONS(3680),
    [anon_sym_required] = ACTIONS(3680),
    [anon_sym_component] = ACTIONS(3680),
    [anon_sym_abstract] = ACTIONS(3680),
    [anon_sym_interface] = ACTIONS(3680),
    [anon_sym_enum] = ACTIONS(3680),
    [sym_html_comment] = ACTIONS(5),
  },
  [1639] = {
    [sym_comment] = STATE(1639),
    [sym_identifier] = ACTIONS(3678),
    [anon_sym_export] = ACTIONS(3678),
    [anon_sym_type] = ACTIONS(3678),
    [anon_sym_namespace] = ACTIONS(3678),
    [anon_sym_LBRACE] = ACTIONS(3678),
    [anon_sym_RBRACE] = ACTIONS(3678),
    [anon_sym_typeof] = ACTIONS(3678),
    [anon_sym_import] = ACTIONS(3678),
    [anon_sym_from] = ACTIONS(3678),
    [anon_sym_with] = ACTIONS(3678),
    [anon_sym_var] = ACTIONS(3678),
    [anon_sym_let] = ACTIONS(3678),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_BANG] = ACTIONS(3678),
    [anon_sym_else] = ACTIONS(3678),
    [anon_sym_if] = ACTIONS(3678),
    [anon_sym_switch] = ACTIONS(3678),
    [anon_sym_for] = ACTIONS(3678),
    [anon_sym_LPAREN] = ACTIONS(3678),
    [anon_sym_await] = ACTIONS(3678),
    [anon_sym_of] = ACTIONS(3678),
    [anon_sym_while] = ACTIONS(3678),
    [anon_sym_do] = ACTIONS(3678),
    [anon_sym_try] = ACTIONS(3678),
    [anon_sym_break] = ACTIONS(3678),
    [anon_sym_continue] = ACTIONS(3678),
    [anon_sym_debugger] = ACTIONS(3678),
    [anon_sym_return] = ACTIONS(3678),
    [anon_sym_throw] = ACTIONS(3678),
    [anon_sym_SEMI] = ACTIONS(3678),
    [anon_sym_yield] = ACTIONS(3678),
    [anon_sym_LBRACK] = ACTIONS(3678),
    [anon_sym_LTtemplate_GT] = ACTIONS(3678),
    [anon_sym_DQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_class] = ACTIONS(3678),
    [anon_sym_async] = ACTIONS(3678),
    [anon_sym_function] = ACTIONS(3678),
    [anon_sym_new] = ACTIONS(3678),
    [anon_sym_using] = ACTIONS(3678),
    [anon_sym_PLUS] = ACTIONS(3678),
    [anon_sym_DASH] = ACTIONS(3678),
    [anon_sym_SLASH] = ACTIONS(3678),
    [anon_sym_LT] = ACTIONS(3678),
    [anon_sym_TILDE] = ACTIONS(3678),
    [anon_sym_void] = ACTIONS(3678),
    [anon_sym_delete] = ACTIONS(3678),
    [anon_sym_PLUS_PLUS] = ACTIONS(3678),
    [anon_sym_DASH_DASH] = ACTIONS(3678),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3678),
    [sym_private_property_identifier] = ACTIONS(3678),
    [sym_this] = ACTIONS(3678),
    [sym_super] = ACTIONS(3678),
    [sym_true] = ACTIONS(3678),
    [sym_false] = ACTIONS(3678),
    [sym_null] = ACTIONS(3678),
    [sym_undefined] = ACTIONS(3678),
    [anon_sym_AT] = ACTIONS(3678),
    [anon_sym_static] = ACTIONS(3678),
    [anon_sym_readonly] = ACTIONS(3678),
    [anon_sym_get] = ACTIONS(3678),
    [anon_sym_set] = ACTIONS(3678),
    [anon_sym_declare] = ACTIONS(3678),
    [anon_sym_public] = ACTIONS(3678),
    [anon_sym_private] = ACTIONS(3678),
    [anon_sym_protected] = ACTIONS(3678),
    [anon_sym_override] = ACTIONS(3678),
    [anon_sym_module] = ACTIONS(3678),
    [anon_sym_any] = ACTIONS(3678),
    [anon_sym_number] = ACTIONS(3678),
    [anon_sym_boolean] = ACTIONS(3678),
    [anon_sym_string] = ACTIONS(3678),
    [anon_sym_symbol] = ACTIONS(3678),
    [anon_sym_object] = ACTIONS(3678),
    [anon_sym_property] = ACTIONS(3678),
    [anon_sym_signal] = ACTIONS(3678),
    [anon_sym_on] = ACTIONS(3678),
    [anon_sym_required] = ACTIONS(3678),
    [anon_sym_component] = ACTIONS(3678),
    [anon_sym_abstract] = ACTIONS(3678),
    [anon_sym_interface] = ACTIONS(3678),
    [anon_sym_enum] = ACTIONS(3678),
    [sym_html_comment] = ACTIONS(5),
  },
  [1640] = {
    [sym_comment] = STATE(1640),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_export] = ACTIONS(2450),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_typeof] = ACTIONS(2450),
    [anon_sym_import] = ACTIONS(2450),
    [anon_sym_from] = ACTIONS(2450),
    [anon_sym_with] = ACTIONS(2450),
    [anon_sym_var] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_const] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_switch] = ACTIONS(2450),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_await] = ACTIONS(2450),
    [anon_sym_of] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_do] = ACTIONS(2450),
    [anon_sym_try] = ACTIONS(2450),
    [anon_sym_break] = ACTIONS(2450),
    [anon_sym_continue] = ACTIONS(2450),
    [anon_sym_debugger] = ACTIONS(2450),
    [anon_sym_return] = ACTIONS(2450),
    [anon_sym_throw] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_yield] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LTtemplate_GT] = ACTIONS(2450),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_class] = ACTIONS(2450),
    [anon_sym_async] = ACTIONS(2450),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_new] = ACTIONS(2450),
    [anon_sym_using] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_void] = ACTIONS(2450),
    [anon_sym_delete] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2450),
    [sym_number] = ACTIONS(2450),
    [sym_private_property_identifier] = ACTIONS(2450),
    [sym_this] = ACTIONS(2450),
    [sym_super] = ACTIONS(2450),
    [sym_true] = ACTIONS(2450),
    [sym_false] = ACTIONS(2450),
    [sym_null] = ACTIONS(2450),
    [sym_undefined] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2450),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_readonly] = ACTIONS(2450),
    [anon_sym_get] = ACTIONS(2450),
    [anon_sym_set] = ACTIONS(2450),
    [anon_sym_declare] = ACTIONS(2450),
    [anon_sym_public] = ACTIONS(2450),
    [anon_sym_private] = ACTIONS(2450),
    [anon_sym_protected] = ACTIONS(2450),
    [anon_sym_override] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_any] = ACTIONS(2450),
    [anon_sym_number] = ACTIONS(2450),
    [anon_sym_boolean] = ACTIONS(2450),
    [anon_sym_string] = ACTIONS(2450),
    [anon_sym_symbol] = ACTIONS(2450),
    [anon_sym_object] = ACTIONS(2450),
    [anon_sym_property] = ACTIONS(2450),
    [anon_sym_signal] = ACTIONS(2450),
    [anon_sym_on] = ACTIONS(2450),
    [anon_sym_required] = ACTIONS(2450),
    [anon_sym_component] = ACTIONS(2450),
    [anon_sym_abstract] = ACTIONS(2450),
    [anon_sym_interface] = ACTIONS(2450),
    [anon_sym_enum] = ACTIONS(2450),
    [sym__automatic_semicolon] = ACTIONS(2708),
    [sym_html_comment] = ACTIONS(5),
  },
  [1641] = {
    [sym_comment] = STATE(1641),
    [sym_identifier] = ACTIONS(3676),
    [anon_sym_export] = ACTIONS(3676),
    [anon_sym_type] = ACTIONS(3676),
    [anon_sym_namespace] = ACTIONS(3676),
    [anon_sym_LBRACE] = ACTIONS(3676),
    [anon_sym_RBRACE] = ACTIONS(3676),
    [anon_sym_typeof] = ACTIONS(3676),
    [anon_sym_import] = ACTIONS(3676),
    [anon_sym_from] = ACTIONS(3676),
    [anon_sym_with] = ACTIONS(3676),
    [anon_sym_var] = ACTIONS(3676),
    [anon_sym_let] = ACTIONS(3676),
    [anon_sym_const] = ACTIONS(3676),
    [anon_sym_BANG] = ACTIONS(3676),
    [anon_sym_else] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(3676),
    [anon_sym_switch] = ACTIONS(3676),
    [anon_sym_for] = ACTIONS(3676),
    [anon_sym_LPAREN] = ACTIONS(3676),
    [anon_sym_await] = ACTIONS(3676),
    [anon_sym_of] = ACTIONS(3676),
    [anon_sym_while] = ACTIONS(3676),
    [anon_sym_do] = ACTIONS(3676),
    [anon_sym_try] = ACTIONS(3676),
    [anon_sym_break] = ACTIONS(3676),
    [anon_sym_continue] = ACTIONS(3676),
    [anon_sym_debugger] = ACTIONS(3676),
    [anon_sym_return] = ACTIONS(3676),
    [anon_sym_throw] = ACTIONS(3676),
    [anon_sym_SEMI] = ACTIONS(3676),
    [anon_sym_yield] = ACTIONS(3676),
    [anon_sym_LBRACK] = ACTIONS(3676),
    [anon_sym_LTtemplate_GT] = ACTIONS(3676),
    [anon_sym_DQUOTE] = ACTIONS(3676),
    [anon_sym_SQUOTE] = ACTIONS(3676),
    [anon_sym_class] = ACTIONS(3676),
    [anon_sym_async] = ACTIONS(3676),
    [anon_sym_function] = ACTIONS(3676),
    [anon_sym_new] = ACTIONS(3676),
    [anon_sym_using] = ACTIONS(3676),
    [anon_sym_PLUS] = ACTIONS(3676),
    [anon_sym_DASH] = ACTIONS(3676),
    [anon_sym_SLASH] = ACTIONS(3676),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_TILDE] = ACTIONS(3676),
    [anon_sym_void] = ACTIONS(3676),
    [anon_sym_delete] = ACTIONS(3676),
    [anon_sym_PLUS_PLUS] = ACTIONS(3676),
    [anon_sym_DASH_DASH] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3676),
    [sym_number] = ACTIONS(3676),
    [sym_private_property_identifier] = ACTIONS(3676),
    [sym_this] = ACTIONS(3676),
    [sym_super] = ACTIONS(3676),
    [sym_true] = ACTIONS(3676),
    [sym_false] = ACTIONS(3676),
    [sym_null] = ACTIONS(3676),
    [sym_undefined] = ACTIONS(3676),
    [anon_sym_AT] = ACTIONS(3676),
    [anon_sym_static] = ACTIONS(3676),
    [anon_sym_readonly] = ACTIONS(3676),
    [anon_sym_get] = ACTIONS(3676),
    [anon_sym_set] = ACTIONS(3676),
    [anon_sym_declare] = ACTIONS(3676),
    [anon_sym_public] = ACTIONS(3676),
    [anon_sym_private] = ACTIONS(3676),
    [anon_sym_protected] = ACTIONS(3676),
    [anon_sym_override] = ACTIONS(3676),
    [anon_sym_module] = ACTIONS(3676),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_property] = ACTIONS(3676),
    [anon_sym_signal] = ACTIONS(3676),
    [anon_sym_on] = ACTIONS(3676),
    [anon_sym_required] = ACTIONS(3676),
    [anon_sym_component] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3676),
    [anon_sym_interface] = ACTIONS(3676),
    [anon_sym_enum] = ACTIONS(3676),
    [sym_html_comment] = ACTIONS(5),
  },
  [1642] = {
    [sym_comment] = STATE(1642),
    [sym_identifier] = ACTIONS(3460),
    [anon_sym_export] = ACTIONS(3460),
    [anon_sym_type] = ACTIONS(3460),
    [anon_sym_namespace] = ACTIONS(3460),
    [anon_sym_LBRACE] = ACTIONS(3460),
    [anon_sym_RBRACE] = ACTIONS(3460),
    [anon_sym_typeof] = ACTIONS(3460),
    [anon_sym_import] = ACTIONS(3460),
    [anon_sym_from] = ACTIONS(3460),
    [anon_sym_with] = ACTIONS(3460),
    [anon_sym_var] = ACTIONS(3460),
    [anon_sym_let] = ACTIONS(3460),
    [anon_sym_const] = ACTIONS(3460),
    [anon_sym_BANG] = ACTIONS(3460),
    [anon_sym_if] = ACTIONS(3460),
    [anon_sym_switch] = ACTIONS(3460),
    [anon_sym_for] = ACTIONS(3460),
    [anon_sym_LPAREN] = ACTIONS(3460),
    [anon_sym_await] = ACTIONS(3460),
    [anon_sym_of] = ACTIONS(3460),
    [anon_sym_while] = ACTIONS(3460),
    [anon_sym_do] = ACTIONS(3460),
    [anon_sym_try] = ACTIONS(3460),
    [anon_sym_break] = ACTIONS(3460),
    [anon_sym_continue] = ACTIONS(3460),
    [anon_sym_debugger] = ACTIONS(3460),
    [anon_sym_return] = ACTIONS(3460),
    [anon_sym_throw] = ACTIONS(3460),
    [anon_sym_SEMI] = ACTIONS(3460),
    [anon_sym_finally] = ACTIONS(3460),
    [anon_sym_yield] = ACTIONS(3460),
    [anon_sym_LBRACK] = ACTIONS(3460),
    [anon_sym_LTtemplate_GT] = ACTIONS(3460),
    [anon_sym_DQUOTE] = ACTIONS(3460),
    [anon_sym_SQUOTE] = ACTIONS(3460),
    [anon_sym_class] = ACTIONS(3460),
    [anon_sym_async] = ACTIONS(3460),
    [anon_sym_function] = ACTIONS(3460),
    [anon_sym_new] = ACTIONS(3460),
    [anon_sym_using] = ACTIONS(3460),
    [anon_sym_PLUS] = ACTIONS(3460),
    [anon_sym_DASH] = ACTIONS(3460),
    [anon_sym_SLASH] = ACTIONS(3460),
    [anon_sym_LT] = ACTIONS(3460),
    [anon_sym_TILDE] = ACTIONS(3460),
    [anon_sym_void] = ACTIONS(3460),
    [anon_sym_delete] = ACTIONS(3460),
    [anon_sym_PLUS_PLUS] = ACTIONS(3460),
    [anon_sym_DASH_DASH] = ACTIONS(3460),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3460),
    [sym_number] = ACTIONS(3460),
    [sym_private_property_identifier] = ACTIONS(3460),
    [sym_this] = ACTIONS(3460),
    [sym_super] = ACTIONS(3460),
    [sym_true] = ACTIONS(3460),
    [sym_false] = ACTIONS(3460),
    [sym_null] = ACTIONS(3460),
    [sym_undefined] = ACTIONS(3460),
    [anon_sym_AT] = ACTIONS(3460),
    [anon_sym_static] = ACTIONS(3460),
    [anon_sym_readonly] = ACTIONS(3460),
    [anon_sym_get] = ACTIONS(3460),
    [anon_sym_set] = ACTIONS(3460),
    [anon_sym_declare] = ACTIONS(3460),
    [anon_sym_public] = ACTIONS(3460),
    [anon_sym_private] = ACTIONS(3460),
    [anon_sym_protected] = ACTIONS(3460),
    [anon_sym_override] = ACTIONS(3460),
    [anon_sym_module] = ACTIONS(3460),
    [anon_sym_any] = ACTIONS(3460),
    [anon_sym_number] = ACTIONS(3460),
    [anon_sym_boolean] = ACTIONS(3460),
    [anon_sym_string] = ACTIONS(3460),
    [anon_sym_symbol] = ACTIONS(3460),
    [anon_sym_object] = ACTIONS(3460),
    [anon_sym_property] = ACTIONS(3460),
    [anon_sym_signal] = ACTIONS(3460),
    [anon_sym_on] = ACTIONS(3460),
    [anon_sym_required] = ACTIONS(3460),
    [anon_sym_component] = ACTIONS(3460),
    [anon_sym_abstract] = ACTIONS(3460),
    [anon_sym_interface] = ACTIONS(3460),
    [anon_sym_enum] = ACTIONS(3460),
    [sym_html_comment] = ACTIONS(5),
  },
  [1643] = {
    [sym_comment] = STATE(1643),
    [sym_identifier] = ACTIONS(3520),
    [anon_sym_export] = ACTIONS(3520),
    [anon_sym_type] = ACTIONS(3520),
    [anon_sym_namespace] = ACTIONS(3520),
    [anon_sym_LBRACE] = ACTIONS(3520),
    [anon_sym_RBRACE] = ACTIONS(3520),
    [anon_sym_typeof] = ACTIONS(3520),
    [anon_sym_import] = ACTIONS(3520),
    [anon_sym_from] = ACTIONS(3520),
    [anon_sym_with] = ACTIONS(3520),
    [anon_sym_var] = ACTIONS(3520),
    [anon_sym_let] = ACTIONS(3520),
    [anon_sym_const] = ACTIONS(3520),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_else] = ACTIONS(3520),
    [anon_sym_if] = ACTIONS(3520),
    [anon_sym_switch] = ACTIONS(3520),
    [anon_sym_for] = ACTIONS(3520),
    [anon_sym_LPAREN] = ACTIONS(3520),
    [anon_sym_await] = ACTIONS(3520),
    [anon_sym_of] = ACTIONS(3520),
    [anon_sym_while] = ACTIONS(3520),
    [anon_sym_do] = ACTIONS(3520),
    [anon_sym_try] = ACTIONS(3520),
    [anon_sym_break] = ACTIONS(3520),
    [anon_sym_continue] = ACTIONS(3520),
    [anon_sym_debugger] = ACTIONS(3520),
    [anon_sym_return] = ACTIONS(3520),
    [anon_sym_throw] = ACTIONS(3520),
    [anon_sym_SEMI] = ACTIONS(3520),
    [anon_sym_yield] = ACTIONS(3520),
    [anon_sym_LBRACK] = ACTIONS(3520),
    [anon_sym_LTtemplate_GT] = ACTIONS(3520),
    [anon_sym_DQUOTE] = ACTIONS(3520),
    [anon_sym_SQUOTE] = ACTIONS(3520),
    [anon_sym_class] = ACTIONS(3520),
    [anon_sym_async] = ACTIONS(3520),
    [anon_sym_function] = ACTIONS(3520),
    [anon_sym_new] = ACTIONS(3520),
    [anon_sym_using] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3520),
    [anon_sym_SLASH] = ACTIONS(3520),
    [anon_sym_LT] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_void] = ACTIONS(3520),
    [anon_sym_delete] = ACTIONS(3520),
    [anon_sym_PLUS_PLUS] = ACTIONS(3520),
    [anon_sym_DASH_DASH] = ACTIONS(3520),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3520),
    [sym_number] = ACTIONS(3520),
    [sym_private_property_identifier] = ACTIONS(3520),
    [sym_this] = ACTIONS(3520),
    [sym_super] = ACTIONS(3520),
    [sym_true] = ACTIONS(3520),
    [sym_false] = ACTIONS(3520),
    [sym_null] = ACTIONS(3520),
    [sym_undefined] = ACTIONS(3520),
    [anon_sym_AT] = ACTIONS(3520),
    [anon_sym_static] = ACTIONS(3520),
    [anon_sym_readonly] = ACTIONS(3520),
    [anon_sym_get] = ACTIONS(3520),
    [anon_sym_set] = ACTIONS(3520),
    [anon_sym_declare] = ACTIONS(3520),
    [anon_sym_public] = ACTIONS(3520),
    [anon_sym_private] = ACTIONS(3520),
    [anon_sym_protected] = ACTIONS(3520),
    [anon_sym_override] = ACTIONS(3520),
    [anon_sym_module] = ACTIONS(3520),
    [anon_sym_any] = ACTIONS(3520),
    [anon_sym_number] = ACTIONS(3520),
    [anon_sym_boolean] = ACTIONS(3520),
    [anon_sym_string] = ACTIONS(3520),
    [anon_sym_symbol] = ACTIONS(3520),
    [anon_sym_object] = ACTIONS(3520),
    [anon_sym_property] = ACTIONS(3520),
    [anon_sym_signal] = ACTIONS(3520),
    [anon_sym_on] = ACTIONS(3520),
    [anon_sym_required] = ACTIONS(3520),
    [anon_sym_component] = ACTIONS(3520),
    [anon_sym_abstract] = ACTIONS(3520),
    [anon_sym_interface] = ACTIONS(3520),
    [anon_sym_enum] = ACTIONS(3520),
    [sym_html_comment] = ACTIONS(5),
  },
  [1644] = {
    [sym_comment] = STATE(1644),
    [sym_identifier] = ACTIONS(3488),
    [anon_sym_export] = ACTIONS(3488),
    [anon_sym_type] = ACTIONS(3488),
    [anon_sym_namespace] = ACTIONS(3488),
    [anon_sym_LBRACE] = ACTIONS(3488),
    [anon_sym_RBRACE] = ACTIONS(3488),
    [anon_sym_typeof] = ACTIONS(3488),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_from] = ACTIONS(3488),
    [anon_sym_with] = ACTIONS(3488),
    [anon_sym_var] = ACTIONS(3488),
    [anon_sym_let] = ACTIONS(3488),
    [anon_sym_const] = ACTIONS(3488),
    [anon_sym_BANG] = ACTIONS(3488),
    [anon_sym_else] = ACTIONS(3488),
    [anon_sym_if] = ACTIONS(3488),
    [anon_sym_switch] = ACTIONS(3488),
    [anon_sym_for] = ACTIONS(3488),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_await] = ACTIONS(3488),
    [anon_sym_of] = ACTIONS(3488),
    [anon_sym_while] = ACTIONS(3488),
    [anon_sym_do] = ACTIONS(3488),
    [anon_sym_try] = ACTIONS(3488),
    [anon_sym_break] = ACTIONS(3488),
    [anon_sym_continue] = ACTIONS(3488),
    [anon_sym_debugger] = ACTIONS(3488),
    [anon_sym_return] = ACTIONS(3488),
    [anon_sym_throw] = ACTIONS(3488),
    [anon_sym_SEMI] = ACTIONS(3488),
    [anon_sym_yield] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3488),
    [anon_sym_LTtemplate_GT] = ACTIONS(3488),
    [anon_sym_DQUOTE] = ACTIONS(3488),
    [anon_sym_SQUOTE] = ACTIONS(3488),
    [anon_sym_class] = ACTIONS(3488),
    [anon_sym_async] = ACTIONS(3488),
    [anon_sym_function] = ACTIONS(3488),
    [anon_sym_new] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3488),
    [anon_sym_PLUS] = ACTIONS(3488),
    [anon_sym_DASH] = ACTIONS(3488),
    [anon_sym_SLASH] = ACTIONS(3488),
    [anon_sym_LT] = ACTIONS(3488),
    [anon_sym_TILDE] = ACTIONS(3488),
    [anon_sym_void] = ACTIONS(3488),
    [anon_sym_delete] = ACTIONS(3488),
    [anon_sym_PLUS_PLUS] = ACTIONS(3488),
    [anon_sym_DASH_DASH] = ACTIONS(3488),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3488),
    [sym_number] = ACTIONS(3488),
    [sym_private_property_identifier] = ACTIONS(3488),
    [sym_this] = ACTIONS(3488),
    [sym_super] = ACTIONS(3488),
    [sym_true] = ACTIONS(3488),
    [sym_false] = ACTIONS(3488),
    [sym_null] = ACTIONS(3488),
    [sym_undefined] = ACTIONS(3488),
    [anon_sym_AT] = ACTIONS(3488),
    [anon_sym_static] = ACTIONS(3488),
    [anon_sym_readonly] = ACTIONS(3488),
    [anon_sym_get] = ACTIONS(3488),
    [anon_sym_set] = ACTIONS(3488),
    [anon_sym_declare] = ACTIONS(3488),
    [anon_sym_public] = ACTIONS(3488),
    [anon_sym_private] = ACTIONS(3488),
    [anon_sym_protected] = ACTIONS(3488),
    [anon_sym_override] = ACTIONS(3488),
    [anon_sym_module] = ACTIONS(3488),
    [anon_sym_any] = ACTIONS(3488),
    [anon_sym_number] = ACTIONS(3488),
    [anon_sym_boolean] = ACTIONS(3488),
    [anon_sym_string] = ACTIONS(3488),
    [anon_sym_symbol] = ACTIONS(3488),
    [anon_sym_object] = ACTIONS(3488),
    [anon_sym_property] = ACTIONS(3488),
    [anon_sym_signal] = ACTIONS(3488),
    [anon_sym_on] = ACTIONS(3488),
    [anon_sym_required] = ACTIONS(3488),
    [anon_sym_component] = ACTIONS(3488),
    [anon_sym_abstract] = ACTIONS(3488),
    [anon_sym_interface] = ACTIONS(3488),
    [anon_sym_enum] = ACTIONS(3488),
    [sym_html_comment] = ACTIONS(5),
  },
  [1645] = {
    [sym_comment] = STATE(1645),
    [sym_identifier] = ACTIONS(3664),
    [anon_sym_export] = ACTIONS(3664),
    [anon_sym_type] = ACTIONS(3664),
    [anon_sym_namespace] = ACTIONS(3664),
    [anon_sym_LBRACE] = ACTIONS(3664),
    [anon_sym_RBRACE] = ACTIONS(3664),
    [anon_sym_typeof] = ACTIONS(3664),
    [anon_sym_import] = ACTIONS(3664),
    [anon_sym_from] = ACTIONS(3664),
    [anon_sym_with] = ACTIONS(3664),
    [anon_sym_var] = ACTIONS(3664),
    [anon_sym_let] = ACTIONS(3664),
    [anon_sym_const] = ACTIONS(3664),
    [anon_sym_BANG] = ACTIONS(3664),
    [anon_sym_else] = ACTIONS(3664),
    [anon_sym_if] = ACTIONS(3664),
    [anon_sym_switch] = ACTIONS(3664),
    [anon_sym_for] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(3664),
    [anon_sym_await] = ACTIONS(3664),
    [anon_sym_of] = ACTIONS(3664),
    [anon_sym_while] = ACTIONS(3664),
    [anon_sym_do] = ACTIONS(3664),
    [anon_sym_try] = ACTIONS(3664),
    [anon_sym_break] = ACTIONS(3664),
    [anon_sym_continue] = ACTIONS(3664),
    [anon_sym_debugger] = ACTIONS(3664),
    [anon_sym_return] = ACTIONS(3664),
    [anon_sym_throw] = ACTIONS(3664),
    [anon_sym_SEMI] = ACTIONS(3664),
    [anon_sym_yield] = ACTIONS(3664),
    [anon_sym_LBRACK] = ACTIONS(3664),
    [anon_sym_LTtemplate_GT] = ACTIONS(3664),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3664),
    [anon_sym_class] = ACTIONS(3664),
    [anon_sym_async] = ACTIONS(3664),
    [anon_sym_function] = ACTIONS(3664),
    [anon_sym_new] = ACTIONS(3664),
    [anon_sym_using] = ACTIONS(3664),
    [anon_sym_PLUS] = ACTIONS(3664),
    [anon_sym_DASH] = ACTIONS(3664),
    [anon_sym_SLASH] = ACTIONS(3664),
    [anon_sym_LT] = ACTIONS(3664),
    [anon_sym_TILDE] = ACTIONS(3664),
    [anon_sym_void] = ACTIONS(3664),
    [anon_sym_delete] = ACTIONS(3664),
    [anon_sym_PLUS_PLUS] = ACTIONS(3664),
    [anon_sym_DASH_DASH] = ACTIONS(3664),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3664),
    [sym_number] = ACTIONS(3664),
    [sym_private_property_identifier] = ACTIONS(3664),
    [sym_this] = ACTIONS(3664),
    [sym_super] = ACTIONS(3664),
    [sym_true] = ACTIONS(3664),
    [sym_false] = ACTIONS(3664),
    [sym_null] = ACTIONS(3664),
    [sym_undefined] = ACTIONS(3664),
    [anon_sym_AT] = ACTIONS(3664),
    [anon_sym_static] = ACTIONS(3664),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_get] = ACTIONS(3664),
    [anon_sym_set] = ACTIONS(3664),
    [anon_sym_declare] = ACTIONS(3664),
    [anon_sym_public] = ACTIONS(3664),
    [anon_sym_private] = ACTIONS(3664),
    [anon_sym_protected] = ACTIONS(3664),
    [anon_sym_override] = ACTIONS(3664),
    [anon_sym_module] = ACTIONS(3664),
    [anon_sym_any] = ACTIONS(3664),
    [anon_sym_number] = ACTIONS(3664),
    [anon_sym_boolean] = ACTIONS(3664),
    [anon_sym_string] = ACTIONS(3664),
    [anon_sym_symbol] = ACTIONS(3664),
    [anon_sym_object] = ACTIONS(3664),
    [anon_sym_property] = ACTIONS(3664),
    [anon_sym_signal] = ACTIONS(3664),
    [anon_sym_on] = ACTIONS(3664),
    [anon_sym_required] = ACTIONS(3664),
    [anon_sym_component] = ACTIONS(3664),
    [anon_sym_abstract] = ACTIONS(3664),
    [anon_sym_interface] = ACTIONS(3664),
    [anon_sym_enum] = ACTIONS(3664),
    [sym_html_comment] = ACTIONS(5),
  },
  [1646] = {
    [sym_comment] = STATE(1646),
    [sym_identifier] = ACTIONS(3652),
    [anon_sym_export] = ACTIONS(3652),
    [anon_sym_type] = ACTIONS(3652),
    [anon_sym_namespace] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3652),
    [anon_sym_RBRACE] = ACTIONS(3652),
    [anon_sym_typeof] = ACTIONS(3652),
    [anon_sym_import] = ACTIONS(3652),
    [anon_sym_from] = ACTIONS(3652),
    [anon_sym_with] = ACTIONS(3652),
    [anon_sym_var] = ACTIONS(3652),
    [anon_sym_let] = ACTIONS(3652),
    [anon_sym_const] = ACTIONS(3652),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_else] = ACTIONS(3652),
    [anon_sym_if] = ACTIONS(3652),
    [anon_sym_switch] = ACTIONS(3652),
    [anon_sym_for] = ACTIONS(3652),
    [anon_sym_LPAREN] = ACTIONS(3652),
    [anon_sym_await] = ACTIONS(3652),
    [anon_sym_of] = ACTIONS(3652),
    [anon_sym_while] = ACTIONS(3652),
    [anon_sym_do] = ACTIONS(3652),
    [anon_sym_try] = ACTIONS(3652),
    [anon_sym_break] = ACTIONS(3652),
    [anon_sym_continue] = ACTIONS(3652),
    [anon_sym_debugger] = ACTIONS(3652),
    [anon_sym_return] = ACTIONS(3652),
    [anon_sym_throw] = ACTIONS(3652),
    [anon_sym_SEMI] = ACTIONS(3652),
    [anon_sym_yield] = ACTIONS(3652),
    [anon_sym_LBRACK] = ACTIONS(3652),
    [anon_sym_LTtemplate_GT] = ACTIONS(3652),
    [anon_sym_DQUOTE] = ACTIONS(3652),
    [anon_sym_SQUOTE] = ACTIONS(3652),
    [anon_sym_class] = ACTIONS(3652),
    [anon_sym_async] = ACTIONS(3652),
    [anon_sym_function] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(3652),
    [anon_sym_using] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3652),
    [anon_sym_DASH] = ACTIONS(3652),
    [anon_sym_SLASH] = ACTIONS(3652),
    [anon_sym_LT] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [anon_sym_void] = ACTIONS(3652),
    [anon_sym_delete] = ACTIONS(3652),
    [anon_sym_PLUS_PLUS] = ACTIONS(3652),
    [anon_sym_DASH_DASH] = ACTIONS(3652),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3652),
    [sym_number] = ACTIONS(3652),
    [sym_private_property_identifier] = ACTIONS(3652),
    [sym_this] = ACTIONS(3652),
    [sym_super] = ACTIONS(3652),
    [sym_true] = ACTIONS(3652),
    [sym_false] = ACTIONS(3652),
    [sym_null] = ACTIONS(3652),
    [sym_undefined] = ACTIONS(3652),
    [anon_sym_AT] = ACTIONS(3652),
    [anon_sym_static] = ACTIONS(3652),
    [anon_sym_readonly] = ACTIONS(3652),
    [anon_sym_get] = ACTIONS(3652),
    [anon_sym_set] = ACTIONS(3652),
    [anon_sym_declare] = ACTIONS(3652),
    [anon_sym_public] = ACTIONS(3652),
    [anon_sym_private] = ACTIONS(3652),
    [anon_sym_protected] = ACTIONS(3652),
    [anon_sym_override] = ACTIONS(3652),
    [anon_sym_module] = ACTIONS(3652),
    [anon_sym_any] = ACTIONS(3652),
    [anon_sym_number] = ACTIONS(3652),
    [anon_sym_boolean] = ACTIONS(3652),
    [anon_sym_string] = ACTIONS(3652),
    [anon_sym_symbol] = ACTIONS(3652),
    [anon_sym_object] = ACTIONS(3652),
    [anon_sym_property] = ACTIONS(3652),
    [anon_sym_signal] = ACTIONS(3652),
    [anon_sym_on] = ACTIONS(3652),
    [anon_sym_required] = ACTIONS(3652),
    [anon_sym_component] = ACTIONS(3652),
    [anon_sym_abstract] = ACTIONS(3652),
    [anon_sym_interface] = ACTIONS(3652),
    [anon_sym_enum] = ACTIONS(3652),
    [sym_html_comment] = ACTIONS(5),
  },
  [1647] = {
    [sym_comment] = STATE(1647),
    [sym_identifier] = ACTIONS(3646),
    [anon_sym_export] = ACTIONS(3646),
    [anon_sym_type] = ACTIONS(3646),
    [anon_sym_namespace] = ACTIONS(3646),
    [anon_sym_LBRACE] = ACTIONS(3646),
    [anon_sym_RBRACE] = ACTIONS(3646),
    [anon_sym_typeof] = ACTIONS(3646),
    [anon_sym_import] = ACTIONS(3646),
    [anon_sym_from] = ACTIONS(3646),
    [anon_sym_with] = ACTIONS(3646),
    [anon_sym_var] = ACTIONS(3646),
    [anon_sym_let] = ACTIONS(3646),
    [anon_sym_const] = ACTIONS(3646),
    [anon_sym_BANG] = ACTIONS(3646),
    [anon_sym_else] = ACTIONS(3646),
    [anon_sym_if] = ACTIONS(3646),
    [anon_sym_switch] = ACTIONS(3646),
    [anon_sym_for] = ACTIONS(3646),
    [anon_sym_LPAREN] = ACTIONS(3646),
    [anon_sym_await] = ACTIONS(3646),
    [anon_sym_of] = ACTIONS(3646),
    [anon_sym_while] = ACTIONS(3646),
    [anon_sym_do] = ACTIONS(3646),
    [anon_sym_try] = ACTIONS(3646),
    [anon_sym_break] = ACTIONS(3646),
    [anon_sym_continue] = ACTIONS(3646),
    [anon_sym_debugger] = ACTIONS(3646),
    [anon_sym_return] = ACTIONS(3646),
    [anon_sym_throw] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3646),
    [anon_sym_yield] = ACTIONS(3646),
    [anon_sym_LBRACK] = ACTIONS(3646),
    [anon_sym_LTtemplate_GT] = ACTIONS(3646),
    [anon_sym_DQUOTE] = ACTIONS(3646),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_class] = ACTIONS(3646),
    [anon_sym_async] = ACTIONS(3646),
    [anon_sym_function] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3646),
    [anon_sym_using] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3646),
    [anon_sym_TILDE] = ACTIONS(3646),
    [anon_sym_void] = ACTIONS(3646),
    [anon_sym_delete] = ACTIONS(3646),
    [anon_sym_PLUS_PLUS] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3646),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3646),
    [sym_number] = ACTIONS(3646),
    [sym_private_property_identifier] = ACTIONS(3646),
    [sym_this] = ACTIONS(3646),
    [sym_super] = ACTIONS(3646),
    [sym_true] = ACTIONS(3646),
    [sym_false] = ACTIONS(3646),
    [sym_null] = ACTIONS(3646),
    [sym_undefined] = ACTIONS(3646),
    [anon_sym_AT] = ACTIONS(3646),
    [anon_sym_static] = ACTIONS(3646),
    [anon_sym_readonly] = ACTIONS(3646),
    [anon_sym_get] = ACTIONS(3646),
    [anon_sym_set] = ACTIONS(3646),
    [anon_sym_declare] = ACTIONS(3646),
    [anon_sym_public] = ACTIONS(3646),
    [anon_sym_private] = ACTIONS(3646),
    [anon_sym_protected] = ACTIONS(3646),
    [anon_sym_override] = ACTIONS(3646),
    [anon_sym_module] = ACTIONS(3646),
    [anon_sym_any] = ACTIONS(3646),
    [anon_sym_number] = ACTIONS(3646),
    [anon_sym_boolean] = ACTIONS(3646),
    [anon_sym_string] = ACTIONS(3646),
    [anon_sym_symbol] = ACTIONS(3646),
    [anon_sym_object] = ACTIONS(3646),
    [anon_sym_property] = ACTIONS(3646),
    [anon_sym_signal] = ACTIONS(3646),
    [anon_sym_on] = ACTIONS(3646),
    [anon_sym_required] = ACTIONS(3646),
    [anon_sym_component] = ACTIONS(3646),
    [anon_sym_abstract] = ACTIONS(3646),
    [anon_sym_interface] = ACTIONS(3646),
    [anon_sym_enum] = ACTIONS(3646),
    [sym_html_comment] = ACTIONS(5),
  },
  [1648] = {
    [sym_comment] = STATE(1648),
    [sym_identifier] = ACTIONS(3644),
    [anon_sym_export] = ACTIONS(3644),
    [anon_sym_type] = ACTIONS(3644),
    [anon_sym_namespace] = ACTIONS(3644),
    [anon_sym_LBRACE] = ACTIONS(3644),
    [anon_sym_RBRACE] = ACTIONS(3644),
    [anon_sym_typeof] = ACTIONS(3644),
    [anon_sym_import] = ACTIONS(3644),
    [anon_sym_from] = ACTIONS(3644),
    [anon_sym_with] = ACTIONS(3644),
    [anon_sym_var] = ACTIONS(3644),
    [anon_sym_let] = ACTIONS(3644),
    [anon_sym_const] = ACTIONS(3644),
    [anon_sym_BANG] = ACTIONS(3644),
    [anon_sym_else] = ACTIONS(3644),
    [anon_sym_if] = ACTIONS(3644),
    [anon_sym_switch] = ACTIONS(3644),
    [anon_sym_for] = ACTIONS(3644),
    [anon_sym_LPAREN] = ACTIONS(3644),
    [anon_sym_await] = ACTIONS(3644),
    [anon_sym_of] = ACTIONS(3644),
    [anon_sym_while] = ACTIONS(3644),
    [anon_sym_do] = ACTIONS(3644),
    [anon_sym_try] = ACTIONS(3644),
    [anon_sym_break] = ACTIONS(3644),
    [anon_sym_continue] = ACTIONS(3644),
    [anon_sym_debugger] = ACTIONS(3644),
    [anon_sym_return] = ACTIONS(3644),
    [anon_sym_throw] = ACTIONS(3644),
    [anon_sym_SEMI] = ACTIONS(3644),
    [anon_sym_yield] = ACTIONS(3644),
    [anon_sym_LBRACK] = ACTIONS(3644),
    [anon_sym_LTtemplate_GT] = ACTIONS(3644),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3644),
    [anon_sym_class] = ACTIONS(3644),
    [anon_sym_async] = ACTIONS(3644),
    [anon_sym_function] = ACTIONS(3644),
    [anon_sym_new] = ACTIONS(3644),
    [anon_sym_using] = ACTIONS(3644),
    [anon_sym_PLUS] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3644),
    [anon_sym_SLASH] = ACTIONS(3644),
    [anon_sym_LT] = ACTIONS(3644),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_void] = ACTIONS(3644),
    [anon_sym_delete] = ACTIONS(3644),
    [anon_sym_PLUS_PLUS] = ACTIONS(3644),
    [anon_sym_DASH_DASH] = ACTIONS(3644),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3644),
    [sym_number] = ACTIONS(3644),
    [sym_private_property_identifier] = ACTIONS(3644),
    [sym_this] = ACTIONS(3644),
    [sym_super] = ACTIONS(3644),
    [sym_true] = ACTIONS(3644),
    [sym_false] = ACTIONS(3644),
    [sym_null] = ACTIONS(3644),
    [sym_undefined] = ACTIONS(3644),
    [anon_sym_AT] = ACTIONS(3644),
    [anon_sym_static] = ACTIONS(3644),
    [anon_sym_readonly] = ACTIONS(3644),
    [anon_sym_get] = ACTIONS(3644),
    [anon_sym_set] = ACTIONS(3644),
    [anon_sym_declare] = ACTIONS(3644),
    [anon_sym_public] = ACTIONS(3644),
    [anon_sym_private] = ACTIONS(3644),
    [anon_sym_protected] = ACTIONS(3644),
    [anon_sym_override] = ACTIONS(3644),
    [anon_sym_module] = ACTIONS(3644),
    [anon_sym_any] = ACTIONS(3644),
    [anon_sym_number] = ACTIONS(3644),
    [anon_sym_boolean] = ACTIONS(3644),
    [anon_sym_string] = ACTIONS(3644),
    [anon_sym_symbol] = ACTIONS(3644),
    [anon_sym_object] = ACTIONS(3644),
    [anon_sym_property] = ACTIONS(3644),
    [anon_sym_signal] = ACTIONS(3644),
    [anon_sym_on] = ACTIONS(3644),
    [anon_sym_required] = ACTIONS(3644),
    [anon_sym_component] = ACTIONS(3644),
    [anon_sym_abstract] = ACTIONS(3644),
    [anon_sym_interface] = ACTIONS(3644),
    [anon_sym_enum] = ACTIONS(3644),
    [sym_html_comment] = ACTIONS(5),
  },
  [1649] = {
    [sym_comment] = STATE(1649),
    [sym_identifier] = ACTIONS(3642),
    [anon_sym_export] = ACTIONS(3642),
    [anon_sym_type] = ACTIONS(3642),
    [anon_sym_namespace] = ACTIONS(3642),
    [anon_sym_LBRACE] = ACTIONS(3642),
    [anon_sym_RBRACE] = ACTIONS(3642),
    [anon_sym_typeof] = ACTIONS(3642),
    [anon_sym_import] = ACTIONS(3642),
    [anon_sym_from] = ACTIONS(3642),
    [anon_sym_with] = ACTIONS(3642),
    [anon_sym_var] = ACTIONS(3642),
    [anon_sym_let] = ACTIONS(3642),
    [anon_sym_const] = ACTIONS(3642),
    [anon_sym_BANG] = ACTIONS(3642),
    [anon_sym_else] = ACTIONS(3642),
    [anon_sym_if] = ACTIONS(3642),
    [anon_sym_switch] = ACTIONS(3642),
    [anon_sym_for] = ACTIONS(3642),
    [anon_sym_LPAREN] = ACTIONS(3642),
    [anon_sym_await] = ACTIONS(3642),
    [anon_sym_of] = ACTIONS(3642),
    [anon_sym_while] = ACTIONS(3642),
    [anon_sym_do] = ACTIONS(3642),
    [anon_sym_try] = ACTIONS(3642),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_continue] = ACTIONS(3642),
    [anon_sym_debugger] = ACTIONS(3642),
    [anon_sym_return] = ACTIONS(3642),
    [anon_sym_throw] = ACTIONS(3642),
    [anon_sym_SEMI] = ACTIONS(3642),
    [anon_sym_yield] = ACTIONS(3642),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_LTtemplate_GT] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3642),
    [anon_sym_SQUOTE] = ACTIONS(3642),
    [anon_sym_class] = ACTIONS(3642),
    [anon_sym_async] = ACTIONS(3642),
    [anon_sym_function] = ACTIONS(3642),
    [anon_sym_new] = ACTIONS(3642),
    [anon_sym_using] = ACTIONS(3642),
    [anon_sym_PLUS] = ACTIONS(3642),
    [anon_sym_DASH] = ACTIONS(3642),
    [anon_sym_SLASH] = ACTIONS(3642),
    [anon_sym_LT] = ACTIONS(3642),
    [anon_sym_TILDE] = ACTIONS(3642),
    [anon_sym_void] = ACTIONS(3642),
    [anon_sym_delete] = ACTIONS(3642),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3642),
    [sym_number] = ACTIONS(3642),
    [sym_private_property_identifier] = ACTIONS(3642),
    [sym_this] = ACTIONS(3642),
    [sym_super] = ACTIONS(3642),
    [sym_true] = ACTIONS(3642),
    [sym_false] = ACTIONS(3642),
    [sym_null] = ACTIONS(3642),
    [sym_undefined] = ACTIONS(3642),
    [anon_sym_AT] = ACTIONS(3642),
    [anon_sym_static] = ACTIONS(3642),
    [anon_sym_readonly] = ACTIONS(3642),
    [anon_sym_get] = ACTIONS(3642),
    [anon_sym_set] = ACTIONS(3642),
    [anon_sym_declare] = ACTIONS(3642),
    [anon_sym_public] = ACTIONS(3642),
    [anon_sym_private] = ACTIONS(3642),
    [anon_sym_protected] = ACTIONS(3642),
    [anon_sym_override] = ACTIONS(3642),
    [anon_sym_module] = ACTIONS(3642),
    [anon_sym_any] = ACTIONS(3642),
    [anon_sym_number] = ACTIONS(3642),
    [anon_sym_boolean] = ACTIONS(3642),
    [anon_sym_string] = ACTIONS(3642),
    [anon_sym_symbol] = ACTIONS(3642),
    [anon_sym_object] = ACTIONS(3642),
    [anon_sym_property] = ACTIONS(3642),
    [anon_sym_signal] = ACTIONS(3642),
    [anon_sym_on] = ACTIONS(3642),
    [anon_sym_required] = ACTIONS(3642),
    [anon_sym_component] = ACTIONS(3642),
    [anon_sym_abstract] = ACTIONS(3642),
    [anon_sym_interface] = ACTIONS(3642),
    [anon_sym_enum] = ACTIONS(3642),
    [sym_html_comment] = ACTIONS(5),
  },
  [1650] = {
    [sym_comment] = STATE(1650),
    [sym_identifier] = ACTIONS(3462),
    [anon_sym_export] = ACTIONS(3462),
    [anon_sym_type] = ACTIONS(3462),
    [anon_sym_namespace] = ACTIONS(3462),
    [anon_sym_LBRACE] = ACTIONS(3462),
    [anon_sym_RBRACE] = ACTIONS(3462),
    [anon_sym_typeof] = ACTIONS(3462),
    [anon_sym_import] = ACTIONS(3462),
    [anon_sym_from] = ACTIONS(3462),
    [anon_sym_with] = ACTIONS(3462),
    [anon_sym_var] = ACTIONS(3462),
    [anon_sym_let] = ACTIONS(3462),
    [anon_sym_const] = ACTIONS(3462),
    [anon_sym_BANG] = ACTIONS(3462),
    [anon_sym_if] = ACTIONS(3462),
    [anon_sym_switch] = ACTIONS(3462),
    [anon_sym_for] = ACTIONS(3462),
    [anon_sym_LPAREN] = ACTIONS(3462),
    [anon_sym_await] = ACTIONS(3462),
    [anon_sym_of] = ACTIONS(3462),
    [anon_sym_while] = ACTIONS(3462),
    [anon_sym_do] = ACTIONS(3462),
    [anon_sym_try] = ACTIONS(3462),
    [anon_sym_break] = ACTIONS(3462),
    [anon_sym_continue] = ACTIONS(3462),
    [anon_sym_debugger] = ACTIONS(3462),
    [anon_sym_return] = ACTIONS(3462),
    [anon_sym_throw] = ACTIONS(3462),
    [anon_sym_SEMI] = ACTIONS(3462),
    [anon_sym_finally] = ACTIONS(3462),
    [anon_sym_yield] = ACTIONS(3462),
    [anon_sym_LBRACK] = ACTIONS(3462),
    [anon_sym_LTtemplate_GT] = ACTIONS(3462),
    [anon_sym_DQUOTE] = ACTIONS(3462),
    [anon_sym_SQUOTE] = ACTIONS(3462),
    [anon_sym_class] = ACTIONS(3462),
    [anon_sym_async] = ACTIONS(3462),
    [anon_sym_function] = ACTIONS(3462),
    [anon_sym_new] = ACTIONS(3462),
    [anon_sym_using] = ACTIONS(3462),
    [anon_sym_PLUS] = ACTIONS(3462),
    [anon_sym_DASH] = ACTIONS(3462),
    [anon_sym_SLASH] = ACTIONS(3462),
    [anon_sym_LT] = ACTIONS(3462),
    [anon_sym_TILDE] = ACTIONS(3462),
    [anon_sym_void] = ACTIONS(3462),
    [anon_sym_delete] = ACTIONS(3462),
    [anon_sym_PLUS_PLUS] = ACTIONS(3462),
    [anon_sym_DASH_DASH] = ACTIONS(3462),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3462),
    [sym_number] = ACTIONS(3462),
    [sym_private_property_identifier] = ACTIONS(3462),
    [sym_this] = ACTIONS(3462),
    [sym_super] = ACTIONS(3462),
    [sym_true] = ACTIONS(3462),
    [sym_false] = ACTIONS(3462),
    [sym_null] = ACTIONS(3462),
    [sym_undefined] = ACTIONS(3462),
    [anon_sym_AT] = ACTIONS(3462),
    [anon_sym_static] = ACTIONS(3462),
    [anon_sym_readonly] = ACTIONS(3462),
    [anon_sym_get] = ACTIONS(3462),
    [anon_sym_set] = ACTIONS(3462),
    [anon_sym_declare] = ACTIONS(3462),
    [anon_sym_public] = ACTIONS(3462),
    [anon_sym_private] = ACTIONS(3462),
    [anon_sym_protected] = ACTIONS(3462),
    [anon_sym_override] = ACTIONS(3462),
    [anon_sym_module] = ACTIONS(3462),
    [anon_sym_any] = ACTIONS(3462),
    [anon_sym_number] = ACTIONS(3462),
    [anon_sym_boolean] = ACTIONS(3462),
    [anon_sym_string] = ACTIONS(3462),
    [anon_sym_symbol] = ACTIONS(3462),
    [anon_sym_object] = ACTIONS(3462),
    [anon_sym_property] = ACTIONS(3462),
    [anon_sym_signal] = ACTIONS(3462),
    [anon_sym_on] = ACTIONS(3462),
    [anon_sym_required] = ACTIONS(3462),
    [anon_sym_component] = ACTIONS(3462),
    [anon_sym_abstract] = ACTIONS(3462),
    [anon_sym_interface] = ACTIONS(3462),
    [anon_sym_enum] = ACTIONS(3462),
    [sym_html_comment] = ACTIONS(5),
  },
  [1651] = {
    [sym_comment] = STATE(1651),
    [sym_identifier] = ACTIONS(2394),
    [anon_sym_export] = ACTIONS(2394),
    [anon_sym_type] = ACTIONS(2394),
    [anon_sym_namespace] = ACTIONS(2394),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_typeof] = ACTIONS(2394),
    [anon_sym_import] = ACTIONS(2394),
    [anon_sym_from] = ACTIONS(2394),
    [anon_sym_with] = ACTIONS(2394),
    [anon_sym_var] = ACTIONS(2394),
    [anon_sym_let] = ACTIONS(2394),
    [anon_sym_const] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_if] = ACTIONS(2394),
    [anon_sym_switch] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_LPAREN] = ACTIONS(2394),
    [anon_sym_await] = ACTIONS(2394),
    [anon_sym_of] = ACTIONS(2394),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_do] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2394),
    [anon_sym_break] = ACTIONS(2394),
    [anon_sym_continue] = ACTIONS(2394),
    [anon_sym_debugger] = ACTIONS(2394),
    [anon_sym_return] = ACTIONS(2394),
    [anon_sym_throw] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym_yield] = ACTIONS(2394),
    [anon_sym_LBRACK] = ACTIONS(2394),
    [anon_sym_LTtemplate_GT] = ACTIONS(2394),
    [anon_sym_DQUOTE] = ACTIONS(2394),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_class] = ACTIONS(2394),
    [anon_sym_async] = ACTIONS(2394),
    [anon_sym_function] = ACTIONS(2394),
    [anon_sym_new] = ACTIONS(2394),
    [anon_sym_using] = ACTIONS(2394),
    [anon_sym_PLUS] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2394),
    [anon_sym_SLASH] = ACTIONS(2394),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_TILDE] = ACTIONS(2394),
    [anon_sym_void] = ACTIONS(2394),
    [anon_sym_delete] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2394),
    [sym_number] = ACTIONS(2394),
    [sym_private_property_identifier] = ACTIONS(2394),
    [sym_this] = ACTIONS(2394),
    [sym_super] = ACTIONS(2394),
    [sym_true] = ACTIONS(2394),
    [sym_false] = ACTIONS(2394),
    [sym_null] = ACTIONS(2394),
    [sym_undefined] = ACTIONS(2394),
    [anon_sym_AT] = ACTIONS(2394),
    [anon_sym_static] = ACTIONS(2394),
    [anon_sym_readonly] = ACTIONS(2394),
    [anon_sym_get] = ACTIONS(2394),
    [anon_sym_set] = ACTIONS(2394),
    [anon_sym_declare] = ACTIONS(2394),
    [anon_sym_public] = ACTIONS(2394),
    [anon_sym_private] = ACTIONS(2394),
    [anon_sym_protected] = ACTIONS(2394),
    [anon_sym_override] = ACTIONS(2394),
    [anon_sym_module] = ACTIONS(2394),
    [anon_sym_any] = ACTIONS(2394),
    [anon_sym_number] = ACTIONS(2394),
    [anon_sym_boolean] = ACTIONS(2394),
    [anon_sym_string] = ACTIONS(2394),
    [anon_sym_symbol] = ACTIONS(2394),
    [anon_sym_object] = ACTIONS(2394),
    [anon_sym_property] = ACTIONS(2394),
    [anon_sym_signal] = ACTIONS(2394),
    [anon_sym_on] = ACTIONS(2394),
    [anon_sym_required] = ACTIONS(2394),
    [anon_sym_component] = ACTIONS(2394),
    [anon_sym_abstract] = ACTIONS(2394),
    [anon_sym_interface] = ACTIONS(2394),
    [anon_sym_enum] = ACTIONS(2394),
    [sym__automatic_semicolon] = ACTIONS(2658),
    [sym_html_comment] = ACTIONS(5),
  },
  [1652] = {
    [sym_comment] = STATE(1652),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(2287),
    [anon_sym_import] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_with] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_const] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_if] = ACTIONS(2287),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_for] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_await] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_while] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2287),
    [anon_sym_try] = ACTIONS(2287),
    [anon_sym_break] = ACTIONS(2287),
    [anon_sym_continue] = ACTIONS(2287),
    [anon_sym_debugger] = ACTIONS(2287),
    [anon_sym_return] = ACTIONS(2287),
    [anon_sym_throw] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_yield] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_LTtemplate_GT] = ACTIONS(2287),
    [anon_sym_DQUOTE] = ACTIONS(2287),
    [anon_sym_SQUOTE] = ACTIONS(2287),
    [anon_sym_class] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_new] = ACTIONS(2287),
    [anon_sym_using] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(2287),
    [anon_sym_void] = ACTIONS(2287),
    [anon_sym_delete] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [sym_number] = ACTIONS(2287),
    [sym_private_property_identifier] = ACTIONS(2287),
    [sym_this] = ACTIONS(2287),
    [sym_super] = ACTIONS(2287),
    [sym_true] = ACTIONS(2287),
    [sym_false] = ACTIONS(2287),
    [sym_null] = ACTIONS(2287),
    [sym_undefined] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_abstract] = ACTIONS(2287),
    [anon_sym_interface] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(2640),
    [sym_html_comment] = ACTIONS(5),
  },
  [1653] = {
    [sym_comment] = STATE(1653),
    [sym_identifier] = ACTIONS(2382),
    [anon_sym_export] = ACTIONS(2382),
    [anon_sym_type] = ACTIONS(2382),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_typeof] = ACTIONS(2382),
    [anon_sym_import] = ACTIONS(2382),
    [anon_sym_from] = ACTIONS(2382),
    [anon_sym_with] = ACTIONS(2382),
    [anon_sym_var] = ACTIONS(2382),
    [anon_sym_let] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_switch] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_await] = ACTIONS(2382),
    [anon_sym_of] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_do] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2382),
    [anon_sym_break] = ACTIONS(2382),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_debugger] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2382),
    [anon_sym_throw] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_LTtemplate_GT] = ACTIONS(2382),
    [anon_sym_DQUOTE] = ACTIONS(2382),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_class] = ACTIONS(2382),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2382),
    [anon_sym_new] = ACTIONS(2382),
    [anon_sym_using] = ACTIONS(2382),
    [anon_sym_PLUS] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_SLASH] = ACTIONS(2382),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_TILDE] = ACTIONS(2382),
    [anon_sym_void] = ACTIONS(2382),
    [anon_sym_delete] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2382),
    [sym_number] = ACTIONS(2382),
    [sym_private_property_identifier] = ACTIONS(2382),
    [sym_this] = ACTIONS(2382),
    [sym_super] = ACTIONS(2382),
    [sym_true] = ACTIONS(2382),
    [sym_false] = ACTIONS(2382),
    [sym_null] = ACTIONS(2382),
    [sym_undefined] = ACTIONS(2382),
    [anon_sym_AT] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_readonly] = ACTIONS(2382),
    [anon_sym_get] = ACTIONS(2382),
    [anon_sym_set] = ACTIONS(2382),
    [anon_sym_declare] = ACTIONS(2382),
    [anon_sym_public] = ACTIONS(2382),
    [anon_sym_private] = ACTIONS(2382),
    [anon_sym_protected] = ACTIONS(2382),
    [anon_sym_override] = ACTIONS(2382),
    [anon_sym_module] = ACTIONS(2382),
    [anon_sym_any] = ACTIONS(2382),
    [anon_sym_number] = ACTIONS(2382),
    [anon_sym_boolean] = ACTIONS(2382),
    [anon_sym_string] = ACTIONS(2382),
    [anon_sym_symbol] = ACTIONS(2382),
    [anon_sym_object] = ACTIONS(2382),
    [anon_sym_property] = ACTIONS(2382),
    [anon_sym_signal] = ACTIONS(2382),
    [anon_sym_on] = ACTIONS(2382),
    [anon_sym_required] = ACTIONS(2382),
    [anon_sym_component] = ACTIONS(2382),
    [anon_sym_abstract] = ACTIONS(2382),
    [anon_sym_interface] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [sym__automatic_semicolon] = ACTIONS(2694),
    [sym_html_comment] = ACTIONS(5),
  },
  [1654] = {
    [sym_comment] = STATE(1654),
    [sym_identifier] = ACTIONS(3474),
    [anon_sym_export] = ACTIONS(3474),
    [anon_sym_type] = ACTIONS(3474),
    [anon_sym_namespace] = ACTIONS(3474),
    [anon_sym_LBRACE] = ACTIONS(3474),
    [anon_sym_RBRACE] = ACTIONS(3474),
    [anon_sym_typeof] = ACTIONS(3474),
    [anon_sym_import] = ACTIONS(3474),
    [anon_sym_from] = ACTIONS(3474),
    [anon_sym_with] = ACTIONS(3474),
    [anon_sym_var] = ACTIONS(3474),
    [anon_sym_let] = ACTIONS(3474),
    [anon_sym_const] = ACTIONS(3474),
    [anon_sym_BANG] = ACTIONS(3474),
    [anon_sym_if] = ACTIONS(3474),
    [anon_sym_switch] = ACTIONS(3474),
    [anon_sym_for] = ACTIONS(3474),
    [anon_sym_LPAREN] = ACTIONS(3474),
    [anon_sym_await] = ACTIONS(3474),
    [anon_sym_of] = ACTIONS(3474),
    [anon_sym_while] = ACTIONS(3474),
    [anon_sym_do] = ACTIONS(3474),
    [anon_sym_try] = ACTIONS(3474),
    [anon_sym_break] = ACTIONS(3474),
    [anon_sym_continue] = ACTIONS(3474),
    [anon_sym_debugger] = ACTIONS(3474),
    [anon_sym_return] = ACTIONS(3474),
    [anon_sym_throw] = ACTIONS(3474),
    [anon_sym_SEMI] = ACTIONS(3474),
    [anon_sym_finally] = ACTIONS(3474),
    [anon_sym_yield] = ACTIONS(3474),
    [anon_sym_LBRACK] = ACTIONS(3474),
    [anon_sym_LTtemplate_GT] = ACTIONS(3474),
    [anon_sym_DQUOTE] = ACTIONS(3474),
    [anon_sym_SQUOTE] = ACTIONS(3474),
    [anon_sym_class] = ACTIONS(3474),
    [anon_sym_async] = ACTIONS(3474),
    [anon_sym_function] = ACTIONS(3474),
    [anon_sym_new] = ACTIONS(3474),
    [anon_sym_using] = ACTIONS(3474),
    [anon_sym_PLUS] = ACTIONS(3474),
    [anon_sym_DASH] = ACTIONS(3474),
    [anon_sym_SLASH] = ACTIONS(3474),
    [anon_sym_LT] = ACTIONS(3474),
    [anon_sym_TILDE] = ACTIONS(3474),
    [anon_sym_void] = ACTIONS(3474),
    [anon_sym_delete] = ACTIONS(3474),
    [anon_sym_PLUS_PLUS] = ACTIONS(3474),
    [anon_sym_DASH_DASH] = ACTIONS(3474),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3474),
    [sym_number] = ACTIONS(3474),
    [sym_private_property_identifier] = ACTIONS(3474),
    [sym_this] = ACTIONS(3474),
    [sym_super] = ACTIONS(3474),
    [sym_true] = ACTIONS(3474),
    [sym_false] = ACTIONS(3474),
    [sym_null] = ACTIONS(3474),
    [sym_undefined] = ACTIONS(3474),
    [anon_sym_AT] = ACTIONS(3474),
    [anon_sym_static] = ACTIONS(3474),
    [anon_sym_readonly] = ACTIONS(3474),
    [anon_sym_get] = ACTIONS(3474),
    [anon_sym_set] = ACTIONS(3474),
    [anon_sym_declare] = ACTIONS(3474),
    [anon_sym_public] = ACTIONS(3474),
    [anon_sym_private] = ACTIONS(3474),
    [anon_sym_protected] = ACTIONS(3474),
    [anon_sym_override] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(3474),
    [anon_sym_any] = ACTIONS(3474),
    [anon_sym_number] = ACTIONS(3474),
    [anon_sym_boolean] = ACTIONS(3474),
    [anon_sym_string] = ACTIONS(3474),
    [anon_sym_symbol] = ACTIONS(3474),
    [anon_sym_object] = ACTIONS(3474),
    [anon_sym_property] = ACTIONS(3474),
    [anon_sym_signal] = ACTIONS(3474),
    [anon_sym_on] = ACTIONS(3474),
    [anon_sym_required] = ACTIONS(3474),
    [anon_sym_component] = ACTIONS(3474),
    [anon_sym_abstract] = ACTIONS(3474),
    [anon_sym_interface] = ACTIONS(3474),
    [anon_sym_enum] = ACTIONS(3474),
    [sym_html_comment] = ACTIONS(5),
  },
  [1655] = {
    [sym_comment] = STATE(1655),
    [sym_identifier] = ACTIONS(2374),
    [anon_sym_export] = ACTIONS(2374),
    [anon_sym_type] = ACTIONS(2374),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [anon_sym_typeof] = ACTIONS(2374),
    [anon_sym_import] = ACTIONS(2374),
    [anon_sym_from] = ACTIONS(2374),
    [anon_sym_with] = ACTIONS(2374),
    [anon_sym_var] = ACTIONS(2374),
    [anon_sym_let] = ACTIONS(2374),
    [anon_sym_const] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [anon_sym_await] = ACTIONS(2374),
    [anon_sym_of] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_debugger] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym_yield] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_LTtemplate_GT] = ACTIONS(2374),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE] = ACTIONS(2374),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_async] = ACTIONS(2374),
    [anon_sym_function] = ACTIONS(2374),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_using] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_SLASH] = ACTIONS(2374),
    [anon_sym_LT] = ACTIONS(2374),
    [anon_sym_TILDE] = ACTIONS(2374),
    [anon_sym_void] = ACTIONS(2374),
    [anon_sym_delete] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2374),
    [sym_number] = ACTIONS(2374),
    [sym_private_property_identifier] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [sym_super] = ACTIONS(2374),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [sym_null] = ACTIONS(2374),
    [sym_undefined] = ACTIONS(2374),
    [anon_sym_AT] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_readonly] = ACTIONS(2374),
    [anon_sym_get] = ACTIONS(2374),
    [anon_sym_set] = ACTIONS(2374),
    [anon_sym_declare] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_override] = ACTIONS(2374),
    [anon_sym_module] = ACTIONS(2374),
    [anon_sym_any] = ACTIONS(2374),
    [anon_sym_number] = ACTIONS(2374),
    [anon_sym_boolean] = ACTIONS(2374),
    [anon_sym_string] = ACTIONS(2374),
    [anon_sym_symbol] = ACTIONS(2374),
    [anon_sym_object] = ACTIONS(2374),
    [anon_sym_property] = ACTIONS(2374),
    [anon_sym_signal] = ACTIONS(2374),
    [anon_sym_on] = ACTIONS(2374),
    [anon_sym_required] = ACTIONS(2374),
    [anon_sym_component] = ACTIONS(2374),
    [anon_sym_abstract] = ACTIONS(2374),
    [anon_sym_interface] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [sym__automatic_semicolon] = ACTIONS(2654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1656] = {
    [sym_comment] = STATE(1656),
    [sym_identifier] = ACTIONS(2354),
    [anon_sym_export] = ACTIONS(2354),
    [anon_sym_type] = ACTIONS(2354),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2354),
    [anon_sym_RBRACE] = ACTIONS(2354),
    [anon_sym_typeof] = ACTIONS(2354),
    [anon_sym_import] = ACTIONS(2354),
    [anon_sym_from] = ACTIONS(2354),
    [anon_sym_with] = ACTIONS(2354),
    [anon_sym_var] = ACTIONS(2354),
    [anon_sym_let] = ACTIONS(2354),
    [anon_sym_const] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_LPAREN] = ACTIONS(2354),
    [anon_sym_await] = ACTIONS(2354),
    [anon_sym_of] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_debugger] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2354),
    [anon_sym_yield] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2354),
    [anon_sym_LTtemplate_GT] = ACTIONS(2354),
    [anon_sym_DQUOTE] = ACTIONS(2354),
    [anon_sym_SQUOTE] = ACTIONS(2354),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_async] = ACTIONS(2354),
    [anon_sym_function] = ACTIONS(2354),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_using] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_SLASH] = ACTIONS(2354),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_TILDE] = ACTIONS(2354),
    [anon_sym_void] = ACTIONS(2354),
    [anon_sym_delete] = ACTIONS(2354),
    [anon_sym_PLUS_PLUS] = ACTIONS(2354),
    [anon_sym_DASH_DASH] = ACTIONS(2354),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2354),
    [sym_number] = ACTIONS(2354),
    [sym_private_property_identifier] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [sym_super] = ACTIONS(2354),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [sym_null] = ACTIONS(2354),
    [sym_undefined] = ACTIONS(2354),
    [anon_sym_AT] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_readonly] = ACTIONS(2354),
    [anon_sym_get] = ACTIONS(2354),
    [anon_sym_set] = ACTIONS(2354),
    [anon_sym_declare] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_override] = ACTIONS(2354),
    [anon_sym_module] = ACTIONS(2354),
    [anon_sym_any] = ACTIONS(2354),
    [anon_sym_number] = ACTIONS(2354),
    [anon_sym_boolean] = ACTIONS(2354),
    [anon_sym_string] = ACTIONS(2354),
    [anon_sym_symbol] = ACTIONS(2354),
    [anon_sym_object] = ACTIONS(2354),
    [anon_sym_property] = ACTIONS(2354),
    [anon_sym_signal] = ACTIONS(2354),
    [anon_sym_on] = ACTIONS(2354),
    [anon_sym_required] = ACTIONS(2354),
    [anon_sym_component] = ACTIONS(2354),
    [anon_sym_abstract] = ACTIONS(2354),
    [anon_sym_interface] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [sym__automatic_semicolon] = ACTIONS(2648),
    [sym_html_comment] = ACTIONS(5),
  },
  [1657] = {
    [sym_comment] = STATE(1657),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(3736),
    [sym_html_comment] = ACTIONS(5),
  },
  [1658] = {
    [sym_comment] = STATE(1658),
    [sym_identifier] = ACTIONS(3506),
    [anon_sym_export] = ACTIONS(3506),
    [anon_sym_type] = ACTIONS(3506),
    [anon_sym_namespace] = ACTIONS(3506),
    [anon_sym_LBRACE] = ACTIONS(3506),
    [anon_sym_RBRACE] = ACTIONS(3506),
    [anon_sym_typeof] = ACTIONS(3506),
    [anon_sym_import] = ACTIONS(3506),
    [anon_sym_from] = ACTIONS(3506),
    [anon_sym_with] = ACTIONS(3506),
    [anon_sym_var] = ACTIONS(3506),
    [anon_sym_let] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3506),
    [anon_sym_else] = ACTIONS(3506),
    [anon_sym_if] = ACTIONS(3506),
    [anon_sym_switch] = ACTIONS(3506),
    [anon_sym_for] = ACTIONS(3506),
    [anon_sym_LPAREN] = ACTIONS(3506),
    [anon_sym_await] = ACTIONS(3506),
    [anon_sym_of] = ACTIONS(3506),
    [anon_sym_while] = ACTIONS(3506),
    [anon_sym_do] = ACTIONS(3506),
    [anon_sym_try] = ACTIONS(3506),
    [anon_sym_break] = ACTIONS(3506),
    [anon_sym_continue] = ACTIONS(3506),
    [anon_sym_debugger] = ACTIONS(3506),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_throw] = ACTIONS(3506),
    [anon_sym_SEMI] = ACTIONS(3506),
    [anon_sym_yield] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(3506),
    [anon_sym_LTtemplate_GT] = ACTIONS(3506),
    [anon_sym_DQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_class] = ACTIONS(3506),
    [anon_sym_async] = ACTIONS(3506),
    [anon_sym_function] = ACTIONS(3506),
    [anon_sym_new] = ACTIONS(3506),
    [anon_sym_using] = ACTIONS(3506),
    [anon_sym_PLUS] = ACTIONS(3506),
    [anon_sym_DASH] = ACTIONS(3506),
    [anon_sym_SLASH] = ACTIONS(3506),
    [anon_sym_LT] = ACTIONS(3506),
    [anon_sym_TILDE] = ACTIONS(3506),
    [anon_sym_void] = ACTIONS(3506),
    [anon_sym_delete] = ACTIONS(3506),
    [anon_sym_PLUS_PLUS] = ACTIONS(3506),
    [anon_sym_DASH_DASH] = ACTIONS(3506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3506),
    [sym_number] = ACTIONS(3506),
    [sym_private_property_identifier] = ACTIONS(3506),
    [sym_this] = ACTIONS(3506),
    [sym_super] = ACTIONS(3506),
    [sym_true] = ACTIONS(3506),
    [sym_false] = ACTIONS(3506),
    [sym_null] = ACTIONS(3506),
    [sym_undefined] = ACTIONS(3506),
    [anon_sym_AT] = ACTIONS(3506),
    [anon_sym_static] = ACTIONS(3506),
    [anon_sym_readonly] = ACTIONS(3506),
    [anon_sym_get] = ACTIONS(3506),
    [anon_sym_set] = ACTIONS(3506),
    [anon_sym_declare] = ACTIONS(3506),
    [anon_sym_public] = ACTIONS(3506),
    [anon_sym_private] = ACTIONS(3506),
    [anon_sym_protected] = ACTIONS(3506),
    [anon_sym_override] = ACTIONS(3506),
    [anon_sym_module] = ACTIONS(3506),
    [anon_sym_any] = ACTIONS(3506),
    [anon_sym_number] = ACTIONS(3506),
    [anon_sym_boolean] = ACTIONS(3506),
    [anon_sym_string] = ACTIONS(3506),
    [anon_sym_symbol] = ACTIONS(3506),
    [anon_sym_object] = ACTIONS(3506),
    [anon_sym_property] = ACTIONS(3506),
    [anon_sym_signal] = ACTIONS(3506),
    [anon_sym_on] = ACTIONS(3506),
    [anon_sym_required] = ACTIONS(3506),
    [anon_sym_component] = ACTIONS(3506),
    [anon_sym_abstract] = ACTIONS(3506),
    [anon_sym_interface] = ACTIONS(3506),
    [anon_sym_enum] = ACTIONS(3506),
    [sym_html_comment] = ACTIONS(5),
  },
  [1659] = {
    [sym_comment] = STATE(1659),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1660] = {
    [sym_comment] = STATE(1660),
    [sym_identifier] = ACTIONS(3662),
    [anon_sym_export] = ACTIONS(3662),
    [anon_sym_type] = ACTIONS(3662),
    [anon_sym_namespace] = ACTIONS(3662),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(3662),
    [anon_sym_typeof] = ACTIONS(3662),
    [anon_sym_import] = ACTIONS(3662),
    [anon_sym_from] = ACTIONS(3662),
    [anon_sym_with] = ACTIONS(3662),
    [anon_sym_var] = ACTIONS(3662),
    [anon_sym_let] = ACTIONS(3662),
    [anon_sym_const] = ACTIONS(3662),
    [anon_sym_BANG] = ACTIONS(3662),
    [anon_sym_if] = ACTIONS(3662),
    [anon_sym_switch] = ACTIONS(3662),
    [anon_sym_for] = ACTIONS(3662),
    [anon_sym_LPAREN] = ACTIONS(3662),
    [anon_sym_await] = ACTIONS(3662),
    [anon_sym_of] = ACTIONS(3662),
    [anon_sym_while] = ACTIONS(3662),
    [anon_sym_do] = ACTIONS(3662),
    [anon_sym_try] = ACTIONS(3662),
    [anon_sym_break] = ACTIONS(3662),
    [anon_sym_continue] = ACTIONS(3662),
    [anon_sym_debugger] = ACTIONS(3662),
    [anon_sym_return] = ACTIONS(3662),
    [anon_sym_throw] = ACTIONS(3662),
    [anon_sym_SEMI] = ACTIONS(3662),
    [anon_sym_yield] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_LTtemplate_GT] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3662),
    [anon_sym_SQUOTE] = ACTIONS(3662),
    [anon_sym_class] = ACTIONS(3662),
    [anon_sym_async] = ACTIONS(3662),
    [anon_sym_function] = ACTIONS(3662),
    [anon_sym_new] = ACTIONS(3662),
    [anon_sym_using] = ACTIONS(3662),
    [anon_sym_PLUS] = ACTIONS(3662),
    [anon_sym_DASH] = ACTIONS(3662),
    [anon_sym_SLASH] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3662),
    [anon_sym_TILDE] = ACTIONS(3662),
    [anon_sym_void] = ACTIONS(3662),
    [anon_sym_delete] = ACTIONS(3662),
    [anon_sym_PLUS_PLUS] = ACTIONS(3662),
    [anon_sym_DASH_DASH] = ACTIONS(3662),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3662),
    [sym_number] = ACTIONS(3662),
    [sym_private_property_identifier] = ACTIONS(3662),
    [sym_this] = ACTIONS(3662),
    [sym_super] = ACTIONS(3662),
    [sym_true] = ACTIONS(3662),
    [sym_false] = ACTIONS(3662),
    [sym_null] = ACTIONS(3662),
    [sym_undefined] = ACTIONS(3662),
    [anon_sym_AT] = ACTIONS(3662),
    [anon_sym_static] = ACTIONS(3662),
    [anon_sym_readonly] = ACTIONS(3662),
    [anon_sym_get] = ACTIONS(3662),
    [anon_sym_set] = ACTIONS(3662),
    [anon_sym_declare] = ACTIONS(3662),
    [anon_sym_public] = ACTIONS(3662),
    [anon_sym_private] = ACTIONS(3662),
    [anon_sym_protected] = ACTIONS(3662),
    [anon_sym_override] = ACTIONS(3662),
    [anon_sym_module] = ACTIONS(3662),
    [anon_sym_any] = ACTIONS(3662),
    [anon_sym_number] = ACTIONS(3662),
    [anon_sym_boolean] = ACTIONS(3662),
    [anon_sym_string] = ACTIONS(3662),
    [anon_sym_symbol] = ACTIONS(3662),
    [anon_sym_object] = ACTIONS(3662),
    [anon_sym_property] = ACTIONS(3662),
    [anon_sym_signal] = ACTIONS(3662),
    [anon_sym_on] = ACTIONS(3662),
    [anon_sym_required] = ACTIONS(3662),
    [anon_sym_component] = ACTIONS(3662),
    [anon_sym_abstract] = ACTIONS(3662),
    [anon_sym_interface] = ACTIONS(3662),
    [anon_sym_enum] = ACTIONS(3662),
    [sym_html_comment] = ACTIONS(5),
  },
  [1661] = {
    [sym_comment] = STATE(1661),
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_import] = ACTIONS(2474),
    [anon_sym_from] = ACTIONS(2474),
    [anon_sym_with] = ACTIONS(2474),
    [anon_sym_var] = ACTIONS(2474),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_await] = ACTIONS(2474),
    [anon_sym_of] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_try] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_debugger] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_throw] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_yield] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_LTtemplate_GT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2474),
    [anon_sym_class] = ACTIONS(2474),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2474),
    [anon_sym_new] = ACTIONS(2474),
    [anon_sym_using] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_SLASH] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_TILDE] = ACTIONS(2474),
    [anon_sym_void] = ACTIONS(2474),
    [anon_sym_delete] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2474),
    [sym_number] = ACTIONS(2474),
    [sym_private_property_identifier] = ACTIONS(2474),
    [sym_this] = ACTIONS(2474),
    [sym_super] = ACTIONS(2474),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [sym_null] = ACTIONS(2474),
    [sym_undefined] = ACTIONS(2474),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_property] = ACTIONS(2474),
    [anon_sym_signal] = ACTIONS(2474),
    [anon_sym_on] = ACTIONS(2474),
    [anon_sym_required] = ACTIONS(2474),
    [anon_sym_component] = ACTIONS(2474),
    [anon_sym_abstract] = ACTIONS(2474),
    [anon_sym_interface] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [sym_html_comment] = ACTIONS(5),
  },
  [1662] = {
    [sym_comment] = STATE(1662),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_export] = ACTIONS(3522),
    [anon_sym_type] = ACTIONS(3522),
    [anon_sym_namespace] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(3522),
    [anon_sym_RBRACE] = ACTIONS(3522),
    [anon_sym_typeof] = ACTIONS(3522),
    [anon_sym_import] = ACTIONS(3522),
    [anon_sym_from] = ACTIONS(3522),
    [anon_sym_with] = ACTIONS(3522),
    [anon_sym_var] = ACTIONS(3522),
    [anon_sym_let] = ACTIONS(3522),
    [anon_sym_const] = ACTIONS(3522),
    [anon_sym_BANG] = ACTIONS(3522),
    [anon_sym_if] = ACTIONS(3522),
    [anon_sym_switch] = ACTIONS(3522),
    [anon_sym_for] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(3522),
    [anon_sym_await] = ACTIONS(3522),
    [anon_sym_of] = ACTIONS(3522),
    [anon_sym_while] = ACTIONS(3522),
    [anon_sym_do] = ACTIONS(3522),
    [anon_sym_try] = ACTIONS(3522),
    [anon_sym_break] = ACTIONS(3522),
    [anon_sym_continue] = ACTIONS(3522),
    [anon_sym_debugger] = ACTIONS(3522),
    [anon_sym_return] = ACTIONS(3522),
    [anon_sym_throw] = ACTIONS(3522),
    [anon_sym_SEMI] = ACTIONS(3522),
    [anon_sym_yield] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(3522),
    [anon_sym_LTtemplate_GT] = ACTIONS(3522),
    [anon_sym_DQUOTE] = ACTIONS(3522),
    [anon_sym_SQUOTE] = ACTIONS(3522),
    [anon_sym_class] = ACTIONS(3522),
    [anon_sym_async] = ACTIONS(3522),
    [anon_sym_function] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(3522),
    [anon_sym_using] = ACTIONS(3522),
    [anon_sym_PLUS] = ACTIONS(3522),
    [anon_sym_DASH] = ACTIONS(3522),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_LT] = ACTIONS(3522),
    [anon_sym_TILDE] = ACTIONS(3522),
    [anon_sym_void] = ACTIONS(3522),
    [anon_sym_delete] = ACTIONS(3522),
    [anon_sym_PLUS_PLUS] = ACTIONS(3522),
    [anon_sym_DASH_DASH] = ACTIONS(3522),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3522),
    [sym_number] = ACTIONS(3522),
    [sym_private_property_identifier] = ACTIONS(3522),
    [sym_this] = ACTIONS(3522),
    [sym_super] = ACTIONS(3522),
    [sym_true] = ACTIONS(3522),
    [sym_false] = ACTIONS(3522),
    [sym_null] = ACTIONS(3522),
    [sym_undefined] = ACTIONS(3522),
    [anon_sym_AT] = ACTIONS(3522),
    [anon_sym_static] = ACTIONS(3522),
    [anon_sym_readonly] = ACTIONS(3522),
    [anon_sym_get] = ACTIONS(3522),
    [anon_sym_set] = ACTIONS(3522),
    [anon_sym_declare] = ACTIONS(3522),
    [anon_sym_public] = ACTIONS(3522),
    [anon_sym_private] = ACTIONS(3522),
    [anon_sym_protected] = ACTIONS(3522),
    [anon_sym_override] = ACTIONS(3522),
    [anon_sym_module] = ACTIONS(3522),
    [anon_sym_any] = ACTIONS(3522),
    [anon_sym_number] = ACTIONS(3522),
    [anon_sym_boolean] = ACTIONS(3522),
    [anon_sym_string] = ACTIONS(3522),
    [anon_sym_symbol] = ACTIONS(3522),
    [anon_sym_object] = ACTIONS(3522),
    [anon_sym_property] = ACTIONS(3522),
    [anon_sym_signal] = ACTIONS(3522),
    [anon_sym_on] = ACTIONS(3522),
    [anon_sym_required] = ACTIONS(3522),
    [anon_sym_component] = ACTIONS(3522),
    [anon_sym_abstract] = ACTIONS(3522),
    [anon_sym_interface] = ACTIONS(3522),
    [anon_sym_enum] = ACTIONS(3522),
    [sym_html_comment] = ACTIONS(5),
  },
  [1663] = {
    [sym_comment] = STATE(1663),
    [sym_identifier] = ACTIONS(3510),
    [anon_sym_export] = ACTIONS(3510),
    [anon_sym_type] = ACTIONS(3510),
    [anon_sym_namespace] = ACTIONS(3510),
    [anon_sym_LBRACE] = ACTIONS(3510),
    [anon_sym_RBRACE] = ACTIONS(3510),
    [anon_sym_typeof] = ACTIONS(3510),
    [anon_sym_import] = ACTIONS(3510),
    [anon_sym_from] = ACTIONS(3510),
    [anon_sym_with] = ACTIONS(3510),
    [anon_sym_var] = ACTIONS(3510),
    [anon_sym_let] = ACTIONS(3510),
    [anon_sym_const] = ACTIONS(3510),
    [anon_sym_BANG] = ACTIONS(3510),
    [anon_sym_if] = ACTIONS(3510),
    [anon_sym_switch] = ACTIONS(3510),
    [anon_sym_for] = ACTIONS(3510),
    [anon_sym_LPAREN] = ACTIONS(3510),
    [anon_sym_await] = ACTIONS(3510),
    [anon_sym_of] = ACTIONS(3510),
    [anon_sym_while] = ACTIONS(3510),
    [anon_sym_do] = ACTIONS(3510),
    [anon_sym_try] = ACTIONS(3510),
    [anon_sym_break] = ACTIONS(3510),
    [anon_sym_continue] = ACTIONS(3510),
    [anon_sym_debugger] = ACTIONS(3510),
    [anon_sym_return] = ACTIONS(3510),
    [anon_sym_throw] = ACTIONS(3510),
    [anon_sym_SEMI] = ACTIONS(3510),
    [anon_sym_yield] = ACTIONS(3510),
    [anon_sym_LBRACK] = ACTIONS(3510),
    [anon_sym_LTtemplate_GT] = ACTIONS(3510),
    [anon_sym_DQUOTE] = ACTIONS(3510),
    [anon_sym_SQUOTE] = ACTIONS(3510),
    [anon_sym_class] = ACTIONS(3510),
    [anon_sym_async] = ACTIONS(3510),
    [anon_sym_function] = ACTIONS(3510),
    [anon_sym_new] = ACTIONS(3510),
    [anon_sym_using] = ACTIONS(3510),
    [anon_sym_PLUS] = ACTIONS(3510),
    [anon_sym_DASH] = ACTIONS(3510),
    [anon_sym_SLASH] = ACTIONS(3510),
    [anon_sym_LT] = ACTIONS(3510),
    [anon_sym_TILDE] = ACTIONS(3510),
    [anon_sym_void] = ACTIONS(3510),
    [anon_sym_delete] = ACTIONS(3510),
    [anon_sym_PLUS_PLUS] = ACTIONS(3510),
    [anon_sym_DASH_DASH] = ACTIONS(3510),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3510),
    [sym_number] = ACTIONS(3510),
    [sym_private_property_identifier] = ACTIONS(3510),
    [sym_this] = ACTIONS(3510),
    [sym_super] = ACTIONS(3510),
    [sym_true] = ACTIONS(3510),
    [sym_false] = ACTIONS(3510),
    [sym_null] = ACTIONS(3510),
    [sym_undefined] = ACTIONS(3510),
    [anon_sym_AT] = ACTIONS(3510),
    [anon_sym_static] = ACTIONS(3510),
    [anon_sym_readonly] = ACTIONS(3510),
    [anon_sym_get] = ACTIONS(3510),
    [anon_sym_set] = ACTIONS(3510),
    [anon_sym_declare] = ACTIONS(3510),
    [anon_sym_public] = ACTIONS(3510),
    [anon_sym_private] = ACTIONS(3510),
    [anon_sym_protected] = ACTIONS(3510),
    [anon_sym_override] = ACTIONS(3510),
    [anon_sym_module] = ACTIONS(3510),
    [anon_sym_any] = ACTIONS(3510),
    [anon_sym_number] = ACTIONS(3510),
    [anon_sym_boolean] = ACTIONS(3510),
    [anon_sym_string] = ACTIONS(3510),
    [anon_sym_symbol] = ACTIONS(3510),
    [anon_sym_object] = ACTIONS(3510),
    [anon_sym_property] = ACTIONS(3510),
    [anon_sym_signal] = ACTIONS(3510),
    [anon_sym_on] = ACTIONS(3510),
    [anon_sym_required] = ACTIONS(3510),
    [anon_sym_component] = ACTIONS(3510),
    [anon_sym_abstract] = ACTIONS(3510),
    [anon_sym_interface] = ACTIONS(3510),
    [anon_sym_enum] = ACTIONS(3510),
    [sym_html_comment] = ACTIONS(5),
  },
  [1664] = {
    [sym_comment] = STATE(1664),
    [sym_identifier] = ACTIONS(3514),
    [anon_sym_export] = ACTIONS(3514),
    [anon_sym_type] = ACTIONS(3514),
    [anon_sym_namespace] = ACTIONS(3514),
    [anon_sym_LBRACE] = ACTIONS(3514),
    [anon_sym_RBRACE] = ACTIONS(3514),
    [anon_sym_typeof] = ACTIONS(3514),
    [anon_sym_import] = ACTIONS(3514),
    [anon_sym_from] = ACTIONS(3514),
    [anon_sym_with] = ACTIONS(3514),
    [anon_sym_var] = ACTIONS(3514),
    [anon_sym_let] = ACTIONS(3514),
    [anon_sym_const] = ACTIONS(3514),
    [anon_sym_BANG] = ACTIONS(3514),
    [anon_sym_if] = ACTIONS(3514),
    [anon_sym_switch] = ACTIONS(3514),
    [anon_sym_for] = ACTIONS(3514),
    [anon_sym_LPAREN] = ACTIONS(3514),
    [anon_sym_await] = ACTIONS(3514),
    [anon_sym_of] = ACTIONS(3514),
    [anon_sym_while] = ACTIONS(3514),
    [anon_sym_do] = ACTIONS(3514),
    [anon_sym_try] = ACTIONS(3514),
    [anon_sym_break] = ACTIONS(3514),
    [anon_sym_continue] = ACTIONS(3514),
    [anon_sym_debugger] = ACTIONS(3514),
    [anon_sym_return] = ACTIONS(3514),
    [anon_sym_throw] = ACTIONS(3514),
    [anon_sym_SEMI] = ACTIONS(3514),
    [anon_sym_yield] = ACTIONS(3514),
    [anon_sym_LBRACK] = ACTIONS(3514),
    [anon_sym_LTtemplate_GT] = ACTIONS(3514),
    [anon_sym_DQUOTE] = ACTIONS(3514),
    [anon_sym_SQUOTE] = ACTIONS(3514),
    [anon_sym_class] = ACTIONS(3514),
    [anon_sym_async] = ACTIONS(3514),
    [anon_sym_function] = ACTIONS(3514),
    [anon_sym_new] = ACTIONS(3514),
    [anon_sym_using] = ACTIONS(3514),
    [anon_sym_PLUS] = ACTIONS(3514),
    [anon_sym_DASH] = ACTIONS(3514),
    [anon_sym_SLASH] = ACTIONS(3514),
    [anon_sym_LT] = ACTIONS(3514),
    [anon_sym_TILDE] = ACTIONS(3514),
    [anon_sym_void] = ACTIONS(3514),
    [anon_sym_delete] = ACTIONS(3514),
    [anon_sym_PLUS_PLUS] = ACTIONS(3514),
    [anon_sym_DASH_DASH] = ACTIONS(3514),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3514),
    [sym_number] = ACTIONS(3514),
    [sym_private_property_identifier] = ACTIONS(3514),
    [sym_this] = ACTIONS(3514),
    [sym_super] = ACTIONS(3514),
    [sym_true] = ACTIONS(3514),
    [sym_false] = ACTIONS(3514),
    [sym_null] = ACTIONS(3514),
    [sym_undefined] = ACTIONS(3514),
    [anon_sym_AT] = ACTIONS(3514),
    [anon_sym_static] = ACTIONS(3514),
    [anon_sym_readonly] = ACTIONS(3514),
    [anon_sym_get] = ACTIONS(3514),
    [anon_sym_set] = ACTIONS(3514),
    [anon_sym_declare] = ACTIONS(3514),
    [anon_sym_public] = ACTIONS(3514),
    [anon_sym_private] = ACTIONS(3514),
    [anon_sym_protected] = ACTIONS(3514),
    [anon_sym_override] = ACTIONS(3514),
    [anon_sym_module] = ACTIONS(3514),
    [anon_sym_any] = ACTIONS(3514),
    [anon_sym_number] = ACTIONS(3514),
    [anon_sym_boolean] = ACTIONS(3514),
    [anon_sym_string] = ACTIONS(3514),
    [anon_sym_symbol] = ACTIONS(3514),
    [anon_sym_object] = ACTIONS(3514),
    [anon_sym_property] = ACTIONS(3514),
    [anon_sym_signal] = ACTIONS(3514),
    [anon_sym_on] = ACTIONS(3514),
    [anon_sym_required] = ACTIONS(3514),
    [anon_sym_component] = ACTIONS(3514),
    [anon_sym_abstract] = ACTIONS(3514),
    [anon_sym_interface] = ACTIONS(3514),
    [anon_sym_enum] = ACTIONS(3514),
    [sym_html_comment] = ACTIONS(5),
  },
  [1665] = {
    [sym_comment] = STATE(1665),
    [sym_identifier] = ACTIONS(3528),
    [anon_sym_export] = ACTIONS(3528),
    [anon_sym_type] = ACTIONS(3528),
    [anon_sym_namespace] = ACTIONS(3528),
    [anon_sym_LBRACE] = ACTIONS(3528),
    [anon_sym_RBRACE] = ACTIONS(3528),
    [anon_sym_typeof] = ACTIONS(3528),
    [anon_sym_import] = ACTIONS(3528),
    [anon_sym_from] = ACTIONS(3528),
    [anon_sym_with] = ACTIONS(3528),
    [anon_sym_var] = ACTIONS(3528),
    [anon_sym_let] = ACTIONS(3528),
    [anon_sym_const] = ACTIONS(3528),
    [anon_sym_BANG] = ACTIONS(3528),
    [anon_sym_if] = ACTIONS(3528),
    [anon_sym_switch] = ACTIONS(3528),
    [anon_sym_for] = ACTIONS(3528),
    [anon_sym_LPAREN] = ACTIONS(3528),
    [anon_sym_await] = ACTIONS(3528),
    [anon_sym_of] = ACTIONS(3528),
    [anon_sym_while] = ACTIONS(3528),
    [anon_sym_do] = ACTIONS(3528),
    [anon_sym_try] = ACTIONS(3528),
    [anon_sym_break] = ACTIONS(3528),
    [anon_sym_continue] = ACTIONS(3528),
    [anon_sym_debugger] = ACTIONS(3528),
    [anon_sym_return] = ACTIONS(3528),
    [anon_sym_throw] = ACTIONS(3528),
    [anon_sym_SEMI] = ACTIONS(3528),
    [anon_sym_yield] = ACTIONS(3528),
    [anon_sym_LBRACK] = ACTIONS(3528),
    [anon_sym_LTtemplate_GT] = ACTIONS(3528),
    [anon_sym_DQUOTE] = ACTIONS(3528),
    [anon_sym_SQUOTE] = ACTIONS(3528),
    [anon_sym_class] = ACTIONS(3528),
    [anon_sym_async] = ACTIONS(3528),
    [anon_sym_function] = ACTIONS(3528),
    [anon_sym_new] = ACTIONS(3528),
    [anon_sym_using] = ACTIONS(3528),
    [anon_sym_PLUS] = ACTIONS(3528),
    [anon_sym_DASH] = ACTIONS(3528),
    [anon_sym_SLASH] = ACTIONS(3528),
    [anon_sym_LT] = ACTIONS(3528),
    [anon_sym_TILDE] = ACTIONS(3528),
    [anon_sym_void] = ACTIONS(3528),
    [anon_sym_delete] = ACTIONS(3528),
    [anon_sym_PLUS_PLUS] = ACTIONS(3528),
    [anon_sym_DASH_DASH] = ACTIONS(3528),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3528),
    [sym_number] = ACTIONS(3528),
    [sym_private_property_identifier] = ACTIONS(3528),
    [sym_this] = ACTIONS(3528),
    [sym_super] = ACTIONS(3528),
    [sym_true] = ACTIONS(3528),
    [sym_false] = ACTIONS(3528),
    [sym_null] = ACTIONS(3528),
    [sym_undefined] = ACTIONS(3528),
    [anon_sym_AT] = ACTIONS(3528),
    [anon_sym_static] = ACTIONS(3528),
    [anon_sym_readonly] = ACTIONS(3528),
    [anon_sym_get] = ACTIONS(3528),
    [anon_sym_set] = ACTIONS(3528),
    [anon_sym_declare] = ACTIONS(3528),
    [anon_sym_public] = ACTIONS(3528),
    [anon_sym_private] = ACTIONS(3528),
    [anon_sym_protected] = ACTIONS(3528),
    [anon_sym_override] = ACTIONS(3528),
    [anon_sym_module] = ACTIONS(3528),
    [anon_sym_any] = ACTIONS(3528),
    [anon_sym_number] = ACTIONS(3528),
    [anon_sym_boolean] = ACTIONS(3528),
    [anon_sym_string] = ACTIONS(3528),
    [anon_sym_symbol] = ACTIONS(3528),
    [anon_sym_object] = ACTIONS(3528),
    [anon_sym_property] = ACTIONS(3528),
    [anon_sym_signal] = ACTIONS(3528),
    [anon_sym_on] = ACTIONS(3528),
    [anon_sym_required] = ACTIONS(3528),
    [anon_sym_component] = ACTIONS(3528),
    [anon_sym_abstract] = ACTIONS(3528),
    [anon_sym_interface] = ACTIONS(3528),
    [anon_sym_enum] = ACTIONS(3528),
    [sym_html_comment] = ACTIONS(5),
  },
  [1666] = {
    [sym_comment] = STATE(1666),
    [sym_identifier] = ACTIONS(3530),
    [anon_sym_export] = ACTIONS(3530),
    [anon_sym_type] = ACTIONS(3530),
    [anon_sym_namespace] = ACTIONS(3530),
    [anon_sym_LBRACE] = ACTIONS(3530),
    [anon_sym_RBRACE] = ACTIONS(3530),
    [anon_sym_typeof] = ACTIONS(3530),
    [anon_sym_import] = ACTIONS(3530),
    [anon_sym_from] = ACTIONS(3530),
    [anon_sym_with] = ACTIONS(3530),
    [anon_sym_var] = ACTIONS(3530),
    [anon_sym_let] = ACTIONS(3530),
    [anon_sym_const] = ACTIONS(3530),
    [anon_sym_BANG] = ACTIONS(3530),
    [anon_sym_if] = ACTIONS(3530),
    [anon_sym_switch] = ACTIONS(3530),
    [anon_sym_for] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(3530),
    [anon_sym_await] = ACTIONS(3530),
    [anon_sym_of] = ACTIONS(3530),
    [anon_sym_while] = ACTIONS(3530),
    [anon_sym_do] = ACTIONS(3530),
    [anon_sym_try] = ACTIONS(3530),
    [anon_sym_break] = ACTIONS(3530),
    [anon_sym_continue] = ACTIONS(3530),
    [anon_sym_debugger] = ACTIONS(3530),
    [anon_sym_return] = ACTIONS(3530),
    [anon_sym_throw] = ACTIONS(3530),
    [anon_sym_SEMI] = ACTIONS(3530),
    [anon_sym_yield] = ACTIONS(3530),
    [anon_sym_LBRACK] = ACTIONS(3530),
    [anon_sym_LTtemplate_GT] = ACTIONS(3530),
    [anon_sym_DQUOTE] = ACTIONS(3530),
    [anon_sym_SQUOTE] = ACTIONS(3530),
    [anon_sym_class] = ACTIONS(3530),
    [anon_sym_async] = ACTIONS(3530),
    [anon_sym_function] = ACTIONS(3530),
    [anon_sym_new] = ACTIONS(3530),
    [anon_sym_using] = ACTIONS(3530),
    [anon_sym_PLUS] = ACTIONS(3530),
    [anon_sym_DASH] = ACTIONS(3530),
    [anon_sym_SLASH] = ACTIONS(3530),
    [anon_sym_LT] = ACTIONS(3530),
    [anon_sym_TILDE] = ACTIONS(3530),
    [anon_sym_void] = ACTIONS(3530),
    [anon_sym_delete] = ACTIONS(3530),
    [anon_sym_PLUS_PLUS] = ACTIONS(3530),
    [anon_sym_DASH_DASH] = ACTIONS(3530),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3530),
    [sym_number] = ACTIONS(3530),
    [sym_private_property_identifier] = ACTIONS(3530),
    [sym_this] = ACTIONS(3530),
    [sym_super] = ACTIONS(3530),
    [sym_true] = ACTIONS(3530),
    [sym_false] = ACTIONS(3530),
    [sym_null] = ACTIONS(3530),
    [sym_undefined] = ACTIONS(3530),
    [anon_sym_AT] = ACTIONS(3530),
    [anon_sym_static] = ACTIONS(3530),
    [anon_sym_readonly] = ACTIONS(3530),
    [anon_sym_get] = ACTIONS(3530),
    [anon_sym_set] = ACTIONS(3530),
    [anon_sym_declare] = ACTIONS(3530),
    [anon_sym_public] = ACTIONS(3530),
    [anon_sym_private] = ACTIONS(3530),
    [anon_sym_protected] = ACTIONS(3530),
    [anon_sym_override] = ACTIONS(3530),
    [anon_sym_module] = ACTIONS(3530),
    [anon_sym_any] = ACTIONS(3530),
    [anon_sym_number] = ACTIONS(3530),
    [anon_sym_boolean] = ACTIONS(3530),
    [anon_sym_string] = ACTIONS(3530),
    [anon_sym_symbol] = ACTIONS(3530),
    [anon_sym_object] = ACTIONS(3530),
    [anon_sym_property] = ACTIONS(3530),
    [anon_sym_signal] = ACTIONS(3530),
    [anon_sym_on] = ACTIONS(3530),
    [anon_sym_required] = ACTIONS(3530),
    [anon_sym_component] = ACTIONS(3530),
    [anon_sym_abstract] = ACTIONS(3530),
    [anon_sym_interface] = ACTIONS(3530),
    [anon_sym_enum] = ACTIONS(3530),
    [sym_html_comment] = ACTIONS(5),
  },
  [1667] = {
    [sym_comment] = STATE(1667),
    [sym_identifier] = ACTIONS(3502),
    [anon_sym_export] = ACTIONS(3502),
    [anon_sym_type] = ACTIONS(3502),
    [anon_sym_namespace] = ACTIONS(3502),
    [anon_sym_LBRACE] = ACTIONS(3502),
    [anon_sym_RBRACE] = ACTIONS(3502),
    [anon_sym_typeof] = ACTIONS(3502),
    [anon_sym_import] = ACTIONS(3502),
    [anon_sym_from] = ACTIONS(3502),
    [anon_sym_with] = ACTIONS(3502),
    [anon_sym_var] = ACTIONS(3502),
    [anon_sym_let] = ACTIONS(3502),
    [anon_sym_const] = ACTIONS(3502),
    [anon_sym_BANG] = ACTIONS(3502),
    [anon_sym_if] = ACTIONS(3502),
    [anon_sym_switch] = ACTIONS(3502),
    [anon_sym_for] = ACTIONS(3502),
    [anon_sym_LPAREN] = ACTIONS(3502),
    [anon_sym_await] = ACTIONS(3502),
    [anon_sym_of] = ACTIONS(3502),
    [anon_sym_while] = ACTIONS(3502),
    [anon_sym_do] = ACTIONS(3502),
    [anon_sym_try] = ACTIONS(3502),
    [anon_sym_break] = ACTIONS(3502),
    [anon_sym_continue] = ACTIONS(3502),
    [anon_sym_debugger] = ACTIONS(3502),
    [anon_sym_return] = ACTIONS(3502),
    [anon_sym_throw] = ACTIONS(3502),
    [anon_sym_SEMI] = ACTIONS(3502),
    [anon_sym_yield] = ACTIONS(3502),
    [anon_sym_LBRACK] = ACTIONS(3502),
    [anon_sym_LTtemplate_GT] = ACTIONS(3502),
    [anon_sym_DQUOTE] = ACTIONS(3502),
    [anon_sym_SQUOTE] = ACTIONS(3502),
    [anon_sym_class] = ACTIONS(3502),
    [anon_sym_async] = ACTIONS(3502),
    [anon_sym_function] = ACTIONS(3502),
    [anon_sym_new] = ACTIONS(3502),
    [anon_sym_using] = ACTIONS(3502),
    [anon_sym_PLUS] = ACTIONS(3502),
    [anon_sym_DASH] = ACTIONS(3502),
    [anon_sym_SLASH] = ACTIONS(3502),
    [anon_sym_LT] = ACTIONS(3502),
    [anon_sym_TILDE] = ACTIONS(3502),
    [anon_sym_void] = ACTIONS(3502),
    [anon_sym_delete] = ACTIONS(3502),
    [anon_sym_PLUS_PLUS] = ACTIONS(3502),
    [anon_sym_DASH_DASH] = ACTIONS(3502),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3502),
    [sym_number] = ACTIONS(3502),
    [sym_private_property_identifier] = ACTIONS(3502),
    [sym_this] = ACTIONS(3502),
    [sym_super] = ACTIONS(3502),
    [sym_true] = ACTIONS(3502),
    [sym_false] = ACTIONS(3502),
    [sym_null] = ACTIONS(3502),
    [sym_undefined] = ACTIONS(3502),
    [anon_sym_AT] = ACTIONS(3502),
    [anon_sym_static] = ACTIONS(3502),
    [anon_sym_readonly] = ACTIONS(3502),
    [anon_sym_get] = ACTIONS(3502),
    [anon_sym_set] = ACTIONS(3502),
    [anon_sym_declare] = ACTIONS(3502),
    [anon_sym_public] = ACTIONS(3502),
    [anon_sym_private] = ACTIONS(3502),
    [anon_sym_protected] = ACTIONS(3502),
    [anon_sym_override] = ACTIONS(3502),
    [anon_sym_module] = ACTIONS(3502),
    [anon_sym_any] = ACTIONS(3502),
    [anon_sym_number] = ACTIONS(3502),
    [anon_sym_boolean] = ACTIONS(3502),
    [anon_sym_string] = ACTIONS(3502),
    [anon_sym_symbol] = ACTIONS(3502),
    [anon_sym_object] = ACTIONS(3502),
    [anon_sym_property] = ACTIONS(3502),
    [anon_sym_signal] = ACTIONS(3502),
    [anon_sym_on] = ACTIONS(3502),
    [anon_sym_required] = ACTIONS(3502),
    [anon_sym_component] = ACTIONS(3502),
    [anon_sym_abstract] = ACTIONS(3502),
    [anon_sym_interface] = ACTIONS(3502),
    [anon_sym_enum] = ACTIONS(3502),
    [sym_html_comment] = ACTIONS(5),
  },
  [1668] = {
    [sym_comment] = STATE(1668),
    [sym_identifier] = ACTIONS(3498),
    [anon_sym_export] = ACTIONS(3498),
    [anon_sym_type] = ACTIONS(3498),
    [anon_sym_namespace] = ACTIONS(3498),
    [anon_sym_LBRACE] = ACTIONS(3498),
    [anon_sym_RBRACE] = ACTIONS(3498),
    [anon_sym_typeof] = ACTIONS(3498),
    [anon_sym_import] = ACTIONS(3498),
    [anon_sym_from] = ACTIONS(3498),
    [anon_sym_with] = ACTIONS(3498),
    [anon_sym_var] = ACTIONS(3498),
    [anon_sym_let] = ACTIONS(3498),
    [anon_sym_const] = ACTIONS(3498),
    [anon_sym_BANG] = ACTIONS(3498),
    [anon_sym_if] = ACTIONS(3498),
    [anon_sym_switch] = ACTIONS(3498),
    [anon_sym_for] = ACTIONS(3498),
    [anon_sym_LPAREN] = ACTIONS(3498),
    [anon_sym_await] = ACTIONS(3498),
    [anon_sym_of] = ACTIONS(3498),
    [anon_sym_while] = ACTIONS(3498),
    [anon_sym_do] = ACTIONS(3498),
    [anon_sym_try] = ACTIONS(3498),
    [anon_sym_break] = ACTIONS(3498),
    [anon_sym_continue] = ACTIONS(3498),
    [anon_sym_debugger] = ACTIONS(3498),
    [anon_sym_return] = ACTIONS(3498),
    [anon_sym_throw] = ACTIONS(3498),
    [anon_sym_SEMI] = ACTIONS(3498),
    [anon_sym_yield] = ACTIONS(3498),
    [anon_sym_LBRACK] = ACTIONS(3498),
    [anon_sym_LTtemplate_GT] = ACTIONS(3498),
    [anon_sym_DQUOTE] = ACTIONS(3498),
    [anon_sym_SQUOTE] = ACTIONS(3498),
    [anon_sym_class] = ACTIONS(3498),
    [anon_sym_async] = ACTIONS(3498),
    [anon_sym_function] = ACTIONS(3498),
    [anon_sym_new] = ACTIONS(3498),
    [anon_sym_using] = ACTIONS(3498),
    [anon_sym_PLUS] = ACTIONS(3498),
    [anon_sym_DASH] = ACTIONS(3498),
    [anon_sym_SLASH] = ACTIONS(3498),
    [anon_sym_LT] = ACTIONS(3498),
    [anon_sym_TILDE] = ACTIONS(3498),
    [anon_sym_void] = ACTIONS(3498),
    [anon_sym_delete] = ACTIONS(3498),
    [anon_sym_PLUS_PLUS] = ACTIONS(3498),
    [anon_sym_DASH_DASH] = ACTIONS(3498),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3498),
    [sym_number] = ACTIONS(3498),
    [sym_private_property_identifier] = ACTIONS(3498),
    [sym_this] = ACTIONS(3498),
    [sym_super] = ACTIONS(3498),
    [sym_true] = ACTIONS(3498),
    [sym_false] = ACTIONS(3498),
    [sym_null] = ACTIONS(3498),
    [sym_undefined] = ACTIONS(3498),
    [anon_sym_AT] = ACTIONS(3498),
    [anon_sym_static] = ACTIONS(3498),
    [anon_sym_readonly] = ACTIONS(3498),
    [anon_sym_get] = ACTIONS(3498),
    [anon_sym_set] = ACTIONS(3498),
    [anon_sym_declare] = ACTIONS(3498),
    [anon_sym_public] = ACTIONS(3498),
    [anon_sym_private] = ACTIONS(3498),
    [anon_sym_protected] = ACTIONS(3498),
    [anon_sym_override] = ACTIONS(3498),
    [anon_sym_module] = ACTIONS(3498),
    [anon_sym_any] = ACTIONS(3498),
    [anon_sym_number] = ACTIONS(3498),
    [anon_sym_boolean] = ACTIONS(3498),
    [anon_sym_string] = ACTIONS(3498),
    [anon_sym_symbol] = ACTIONS(3498),
    [anon_sym_object] = ACTIONS(3498),
    [anon_sym_property] = ACTIONS(3498),
    [anon_sym_signal] = ACTIONS(3498),
    [anon_sym_on] = ACTIONS(3498),
    [anon_sym_required] = ACTIONS(3498),
    [anon_sym_component] = ACTIONS(3498),
    [anon_sym_abstract] = ACTIONS(3498),
    [anon_sym_interface] = ACTIONS(3498),
    [anon_sym_enum] = ACTIONS(3498),
    [sym_html_comment] = ACTIONS(5),
  },
  [1669] = {
    [sym_comment] = STATE(1669),
    [sym_identifier] = ACTIONS(3638),
    [anon_sym_export] = ACTIONS(3638),
    [anon_sym_type] = ACTIONS(3638),
    [anon_sym_namespace] = ACTIONS(3638),
    [anon_sym_LBRACE] = ACTIONS(3638),
    [anon_sym_RBRACE] = ACTIONS(3638),
    [anon_sym_typeof] = ACTIONS(3638),
    [anon_sym_import] = ACTIONS(3638),
    [anon_sym_from] = ACTIONS(3638),
    [anon_sym_with] = ACTIONS(3638),
    [anon_sym_var] = ACTIONS(3638),
    [anon_sym_let] = ACTIONS(3638),
    [anon_sym_const] = ACTIONS(3638),
    [anon_sym_BANG] = ACTIONS(3638),
    [anon_sym_if] = ACTIONS(3638),
    [anon_sym_switch] = ACTIONS(3638),
    [anon_sym_for] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3638),
    [anon_sym_await] = ACTIONS(3638),
    [anon_sym_of] = ACTIONS(3638),
    [anon_sym_while] = ACTIONS(3638),
    [anon_sym_do] = ACTIONS(3638),
    [anon_sym_try] = ACTIONS(3638),
    [anon_sym_break] = ACTIONS(3638),
    [anon_sym_continue] = ACTIONS(3638),
    [anon_sym_debugger] = ACTIONS(3638),
    [anon_sym_return] = ACTIONS(3638),
    [anon_sym_throw] = ACTIONS(3638),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3638),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_LTtemplate_GT] = ACTIONS(3638),
    [anon_sym_DQUOTE] = ACTIONS(3638),
    [anon_sym_SQUOTE] = ACTIONS(3638),
    [anon_sym_class] = ACTIONS(3638),
    [anon_sym_async] = ACTIONS(3638),
    [anon_sym_function] = ACTIONS(3638),
    [anon_sym_new] = ACTIONS(3638),
    [anon_sym_using] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3638),
    [anon_sym_SLASH] = ACTIONS(3638),
    [anon_sym_LT] = ACTIONS(3638),
    [anon_sym_TILDE] = ACTIONS(3638),
    [anon_sym_void] = ACTIONS(3638),
    [anon_sym_delete] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3638),
    [sym_number] = ACTIONS(3638),
    [sym_private_property_identifier] = ACTIONS(3638),
    [sym_this] = ACTIONS(3638),
    [sym_super] = ACTIONS(3638),
    [sym_true] = ACTIONS(3638),
    [sym_false] = ACTIONS(3638),
    [sym_null] = ACTIONS(3638),
    [sym_undefined] = ACTIONS(3638),
    [anon_sym_AT] = ACTIONS(3638),
    [anon_sym_static] = ACTIONS(3638),
    [anon_sym_readonly] = ACTIONS(3638),
    [anon_sym_get] = ACTIONS(3638),
    [anon_sym_set] = ACTIONS(3638),
    [anon_sym_declare] = ACTIONS(3638),
    [anon_sym_public] = ACTIONS(3638),
    [anon_sym_private] = ACTIONS(3638),
    [anon_sym_protected] = ACTIONS(3638),
    [anon_sym_override] = ACTIONS(3638),
    [anon_sym_module] = ACTIONS(3638),
    [anon_sym_any] = ACTIONS(3638),
    [anon_sym_number] = ACTIONS(3638),
    [anon_sym_boolean] = ACTIONS(3638),
    [anon_sym_string] = ACTIONS(3638),
    [anon_sym_symbol] = ACTIONS(3638),
    [anon_sym_object] = ACTIONS(3638),
    [anon_sym_property] = ACTIONS(3638),
    [anon_sym_signal] = ACTIONS(3638),
    [anon_sym_on] = ACTIONS(3638),
    [anon_sym_required] = ACTIONS(3638),
    [anon_sym_component] = ACTIONS(3638),
    [anon_sym_abstract] = ACTIONS(3638),
    [anon_sym_interface] = ACTIONS(3638),
    [anon_sym_enum] = ACTIONS(3638),
    [sym_html_comment] = ACTIONS(5),
  },
  [1670] = {
    [sym_comment] = STATE(1670),
    [sym_identifier] = ACTIONS(3518),
    [anon_sym_export] = ACTIONS(3518),
    [anon_sym_type] = ACTIONS(3518),
    [anon_sym_namespace] = ACTIONS(3518),
    [anon_sym_LBRACE] = ACTIONS(3518),
    [anon_sym_RBRACE] = ACTIONS(3518),
    [anon_sym_typeof] = ACTIONS(3518),
    [anon_sym_import] = ACTIONS(3518),
    [anon_sym_from] = ACTIONS(3518),
    [anon_sym_with] = ACTIONS(3518),
    [anon_sym_var] = ACTIONS(3518),
    [anon_sym_let] = ACTIONS(3518),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_BANG] = ACTIONS(3518),
    [anon_sym_if] = ACTIONS(3518),
    [anon_sym_switch] = ACTIONS(3518),
    [anon_sym_for] = ACTIONS(3518),
    [anon_sym_LPAREN] = ACTIONS(3518),
    [anon_sym_await] = ACTIONS(3518),
    [anon_sym_of] = ACTIONS(3518),
    [anon_sym_while] = ACTIONS(3518),
    [anon_sym_do] = ACTIONS(3518),
    [anon_sym_try] = ACTIONS(3518),
    [anon_sym_break] = ACTIONS(3518),
    [anon_sym_continue] = ACTIONS(3518),
    [anon_sym_debugger] = ACTIONS(3518),
    [anon_sym_return] = ACTIONS(3518),
    [anon_sym_throw] = ACTIONS(3518),
    [anon_sym_SEMI] = ACTIONS(3518),
    [anon_sym_yield] = ACTIONS(3518),
    [anon_sym_LBRACK] = ACTIONS(3518),
    [anon_sym_LTtemplate_GT] = ACTIONS(3518),
    [anon_sym_DQUOTE] = ACTIONS(3518),
    [anon_sym_SQUOTE] = ACTIONS(3518),
    [anon_sym_class] = ACTIONS(3518),
    [anon_sym_async] = ACTIONS(3518),
    [anon_sym_function] = ACTIONS(3518),
    [anon_sym_new] = ACTIONS(3518),
    [anon_sym_using] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_SLASH] = ACTIONS(3518),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_TILDE] = ACTIONS(3518),
    [anon_sym_void] = ACTIONS(3518),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_PLUS_PLUS] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3518),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3518),
    [sym_number] = ACTIONS(3518),
    [sym_private_property_identifier] = ACTIONS(3518),
    [sym_this] = ACTIONS(3518),
    [sym_super] = ACTIONS(3518),
    [sym_true] = ACTIONS(3518),
    [sym_false] = ACTIONS(3518),
    [sym_null] = ACTIONS(3518),
    [sym_undefined] = ACTIONS(3518),
    [anon_sym_AT] = ACTIONS(3518),
    [anon_sym_static] = ACTIONS(3518),
    [anon_sym_readonly] = ACTIONS(3518),
    [anon_sym_get] = ACTIONS(3518),
    [anon_sym_set] = ACTIONS(3518),
    [anon_sym_declare] = ACTIONS(3518),
    [anon_sym_public] = ACTIONS(3518),
    [anon_sym_private] = ACTIONS(3518),
    [anon_sym_protected] = ACTIONS(3518),
    [anon_sym_override] = ACTIONS(3518),
    [anon_sym_module] = ACTIONS(3518),
    [anon_sym_any] = ACTIONS(3518),
    [anon_sym_number] = ACTIONS(3518),
    [anon_sym_boolean] = ACTIONS(3518),
    [anon_sym_string] = ACTIONS(3518),
    [anon_sym_symbol] = ACTIONS(3518),
    [anon_sym_object] = ACTIONS(3518),
    [anon_sym_property] = ACTIONS(3518),
    [anon_sym_signal] = ACTIONS(3518),
    [anon_sym_on] = ACTIONS(3518),
    [anon_sym_required] = ACTIONS(3518),
    [anon_sym_component] = ACTIONS(3518),
    [anon_sym_abstract] = ACTIONS(3518),
    [anon_sym_interface] = ACTIONS(3518),
    [anon_sym_enum] = ACTIONS(3518),
    [sym_html_comment] = ACTIONS(5),
  },
  [1671] = {
    [sym_comment] = STATE(1671),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_export] = ACTIONS(3636),
    [anon_sym_type] = ACTIONS(3636),
    [anon_sym_namespace] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3636),
    [anon_sym_RBRACE] = ACTIONS(3636),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_import] = ACTIONS(3636),
    [anon_sym_from] = ACTIONS(3636),
    [anon_sym_with] = ACTIONS(3636),
    [anon_sym_var] = ACTIONS(3636),
    [anon_sym_let] = ACTIONS(3636),
    [anon_sym_const] = ACTIONS(3636),
    [anon_sym_BANG] = ACTIONS(3636),
    [anon_sym_if] = ACTIONS(3636),
    [anon_sym_switch] = ACTIONS(3636),
    [anon_sym_for] = ACTIONS(3636),
    [anon_sym_LPAREN] = ACTIONS(3636),
    [anon_sym_await] = ACTIONS(3636),
    [anon_sym_of] = ACTIONS(3636),
    [anon_sym_while] = ACTIONS(3636),
    [anon_sym_do] = ACTIONS(3636),
    [anon_sym_try] = ACTIONS(3636),
    [anon_sym_break] = ACTIONS(3636),
    [anon_sym_continue] = ACTIONS(3636),
    [anon_sym_debugger] = ACTIONS(3636),
    [anon_sym_return] = ACTIONS(3636),
    [anon_sym_throw] = ACTIONS(3636),
    [anon_sym_SEMI] = ACTIONS(3636),
    [anon_sym_yield] = ACTIONS(3636),
    [anon_sym_LBRACK] = ACTIONS(3636),
    [anon_sym_LTtemplate_GT] = ACTIONS(3636),
    [anon_sym_DQUOTE] = ACTIONS(3636),
    [anon_sym_SQUOTE] = ACTIONS(3636),
    [anon_sym_class] = ACTIONS(3636),
    [anon_sym_async] = ACTIONS(3636),
    [anon_sym_function] = ACTIONS(3636),
    [anon_sym_new] = ACTIONS(3636),
    [anon_sym_using] = ACTIONS(3636),
    [anon_sym_PLUS] = ACTIONS(3636),
    [anon_sym_DASH] = ACTIONS(3636),
    [anon_sym_SLASH] = ACTIONS(3636),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_TILDE] = ACTIONS(3636),
    [anon_sym_void] = ACTIONS(3636),
    [anon_sym_delete] = ACTIONS(3636),
    [anon_sym_PLUS_PLUS] = ACTIONS(3636),
    [anon_sym_DASH_DASH] = ACTIONS(3636),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3636),
    [sym_number] = ACTIONS(3636),
    [sym_private_property_identifier] = ACTIONS(3636),
    [sym_this] = ACTIONS(3636),
    [sym_super] = ACTIONS(3636),
    [sym_true] = ACTIONS(3636),
    [sym_false] = ACTIONS(3636),
    [sym_null] = ACTIONS(3636),
    [sym_undefined] = ACTIONS(3636),
    [anon_sym_AT] = ACTIONS(3636),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_readonly] = ACTIONS(3636),
    [anon_sym_get] = ACTIONS(3636),
    [anon_sym_set] = ACTIONS(3636),
    [anon_sym_declare] = ACTIONS(3636),
    [anon_sym_public] = ACTIONS(3636),
    [anon_sym_private] = ACTIONS(3636),
    [anon_sym_protected] = ACTIONS(3636),
    [anon_sym_override] = ACTIONS(3636),
    [anon_sym_module] = ACTIONS(3636),
    [anon_sym_any] = ACTIONS(3636),
    [anon_sym_number] = ACTIONS(3636),
    [anon_sym_boolean] = ACTIONS(3636),
    [anon_sym_string] = ACTIONS(3636),
    [anon_sym_symbol] = ACTIONS(3636),
    [anon_sym_object] = ACTIONS(3636),
    [anon_sym_property] = ACTIONS(3636),
    [anon_sym_signal] = ACTIONS(3636),
    [anon_sym_on] = ACTIONS(3636),
    [anon_sym_required] = ACTIONS(3636),
    [anon_sym_component] = ACTIONS(3636),
    [anon_sym_abstract] = ACTIONS(3636),
    [anon_sym_interface] = ACTIONS(3636),
    [anon_sym_enum] = ACTIONS(3636),
    [sym_html_comment] = ACTIONS(5),
  },
  [1672] = {
    [sym_comment] = STATE(1672),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1673] = {
    [sym_comment] = STATE(1673),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_typeof] = ACTIONS(2332),
    [anon_sym_import] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_with] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_const] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_switch] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_debugger] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_throw] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_yield] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LTtemplate_GT] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2332),
    [anon_sym_using] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_void] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [sym_private_property_identifier] = ACTIONS(2332),
    [sym_this] = ACTIONS(2332),
    [sym_super] = ACTIONS(2332),
    [sym_true] = ACTIONS(2332),
    [sym_false] = ACTIONS(2332),
    [sym_null] = ACTIONS(2332),
    [sym_undefined] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_abstract] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym_html_comment] = ACTIONS(5),
  },
  [1674] = {
    [sym_comment] = STATE(1674),
    [sym_identifier] = ACTIONS(3544),
    [anon_sym_export] = ACTIONS(3544),
    [anon_sym_type] = ACTIONS(3544),
    [anon_sym_namespace] = ACTIONS(3544),
    [anon_sym_LBRACE] = ACTIONS(3544),
    [anon_sym_RBRACE] = ACTIONS(3544),
    [anon_sym_typeof] = ACTIONS(3544),
    [anon_sym_import] = ACTIONS(3544),
    [anon_sym_from] = ACTIONS(3544),
    [anon_sym_with] = ACTIONS(3544),
    [anon_sym_var] = ACTIONS(3544),
    [anon_sym_let] = ACTIONS(3544),
    [anon_sym_const] = ACTIONS(3544),
    [anon_sym_BANG] = ACTIONS(3544),
    [anon_sym_if] = ACTIONS(3544),
    [anon_sym_switch] = ACTIONS(3544),
    [anon_sym_for] = ACTIONS(3544),
    [anon_sym_LPAREN] = ACTIONS(3544),
    [anon_sym_await] = ACTIONS(3544),
    [anon_sym_of] = ACTIONS(3544),
    [anon_sym_while] = ACTIONS(3544),
    [anon_sym_do] = ACTIONS(3544),
    [anon_sym_try] = ACTIONS(3544),
    [anon_sym_break] = ACTIONS(3544),
    [anon_sym_continue] = ACTIONS(3544),
    [anon_sym_debugger] = ACTIONS(3544),
    [anon_sym_return] = ACTIONS(3544),
    [anon_sym_throw] = ACTIONS(3544),
    [anon_sym_SEMI] = ACTIONS(3544),
    [anon_sym_yield] = ACTIONS(3544),
    [anon_sym_LBRACK] = ACTIONS(3544),
    [anon_sym_LTtemplate_GT] = ACTIONS(3544),
    [anon_sym_DQUOTE] = ACTIONS(3544),
    [anon_sym_SQUOTE] = ACTIONS(3544),
    [anon_sym_class] = ACTIONS(3544),
    [anon_sym_async] = ACTIONS(3544),
    [anon_sym_function] = ACTIONS(3544),
    [anon_sym_new] = ACTIONS(3544),
    [anon_sym_using] = ACTIONS(3544),
    [anon_sym_PLUS] = ACTIONS(3544),
    [anon_sym_DASH] = ACTIONS(3544),
    [anon_sym_SLASH] = ACTIONS(3544),
    [anon_sym_LT] = ACTIONS(3544),
    [anon_sym_TILDE] = ACTIONS(3544),
    [anon_sym_void] = ACTIONS(3544),
    [anon_sym_delete] = ACTIONS(3544),
    [anon_sym_PLUS_PLUS] = ACTIONS(3544),
    [anon_sym_DASH_DASH] = ACTIONS(3544),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3544),
    [sym_number] = ACTIONS(3544),
    [sym_private_property_identifier] = ACTIONS(3544),
    [sym_this] = ACTIONS(3544),
    [sym_super] = ACTIONS(3544),
    [sym_true] = ACTIONS(3544),
    [sym_false] = ACTIONS(3544),
    [sym_null] = ACTIONS(3544),
    [sym_undefined] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(3544),
    [anon_sym_static] = ACTIONS(3544),
    [anon_sym_readonly] = ACTIONS(3544),
    [anon_sym_get] = ACTIONS(3544),
    [anon_sym_set] = ACTIONS(3544),
    [anon_sym_declare] = ACTIONS(3544),
    [anon_sym_public] = ACTIONS(3544),
    [anon_sym_private] = ACTIONS(3544),
    [anon_sym_protected] = ACTIONS(3544),
    [anon_sym_override] = ACTIONS(3544),
    [anon_sym_module] = ACTIONS(3544),
    [anon_sym_any] = ACTIONS(3544),
    [anon_sym_number] = ACTIONS(3544),
    [anon_sym_boolean] = ACTIONS(3544),
    [anon_sym_string] = ACTIONS(3544),
    [anon_sym_symbol] = ACTIONS(3544),
    [anon_sym_object] = ACTIONS(3544),
    [anon_sym_property] = ACTIONS(3544),
    [anon_sym_signal] = ACTIONS(3544),
    [anon_sym_on] = ACTIONS(3544),
    [anon_sym_required] = ACTIONS(3544),
    [anon_sym_component] = ACTIONS(3544),
    [anon_sym_abstract] = ACTIONS(3544),
    [anon_sym_interface] = ACTIONS(3544),
    [anon_sym_enum] = ACTIONS(3544),
    [sym_html_comment] = ACTIONS(5),
  },
  [1675] = {
    [sym_comment] = STATE(1675),
    [sym_identifier] = ACTIONS(3534),
    [anon_sym_export] = ACTIONS(3534),
    [anon_sym_type] = ACTIONS(3534),
    [anon_sym_namespace] = ACTIONS(3534),
    [anon_sym_LBRACE] = ACTIONS(3534),
    [anon_sym_RBRACE] = ACTIONS(3534),
    [anon_sym_typeof] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3534),
    [anon_sym_from] = ACTIONS(3534),
    [anon_sym_with] = ACTIONS(3534),
    [anon_sym_var] = ACTIONS(3534),
    [anon_sym_let] = ACTIONS(3534),
    [anon_sym_const] = ACTIONS(3534),
    [anon_sym_BANG] = ACTIONS(3534),
    [anon_sym_if] = ACTIONS(3534),
    [anon_sym_switch] = ACTIONS(3534),
    [anon_sym_for] = ACTIONS(3534),
    [anon_sym_LPAREN] = ACTIONS(3534),
    [anon_sym_await] = ACTIONS(3534),
    [anon_sym_of] = ACTIONS(3534),
    [anon_sym_while] = ACTIONS(3534),
    [anon_sym_do] = ACTIONS(3534),
    [anon_sym_try] = ACTIONS(3534),
    [anon_sym_break] = ACTIONS(3534),
    [anon_sym_continue] = ACTIONS(3534),
    [anon_sym_debugger] = ACTIONS(3534),
    [anon_sym_return] = ACTIONS(3534),
    [anon_sym_throw] = ACTIONS(3534),
    [anon_sym_SEMI] = ACTIONS(3534),
    [anon_sym_yield] = ACTIONS(3534),
    [anon_sym_LBRACK] = ACTIONS(3534),
    [anon_sym_LTtemplate_GT] = ACTIONS(3534),
    [anon_sym_DQUOTE] = ACTIONS(3534),
    [anon_sym_SQUOTE] = ACTIONS(3534),
    [anon_sym_class] = ACTIONS(3534),
    [anon_sym_async] = ACTIONS(3534),
    [anon_sym_function] = ACTIONS(3534),
    [anon_sym_new] = ACTIONS(3534),
    [anon_sym_using] = ACTIONS(3534),
    [anon_sym_PLUS] = ACTIONS(3534),
    [anon_sym_DASH] = ACTIONS(3534),
    [anon_sym_SLASH] = ACTIONS(3534),
    [anon_sym_LT] = ACTIONS(3534),
    [anon_sym_TILDE] = ACTIONS(3534),
    [anon_sym_void] = ACTIONS(3534),
    [anon_sym_delete] = ACTIONS(3534),
    [anon_sym_PLUS_PLUS] = ACTIONS(3534),
    [anon_sym_DASH_DASH] = ACTIONS(3534),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3534),
    [sym_number] = ACTIONS(3534),
    [sym_private_property_identifier] = ACTIONS(3534),
    [sym_this] = ACTIONS(3534),
    [sym_super] = ACTIONS(3534),
    [sym_true] = ACTIONS(3534),
    [sym_false] = ACTIONS(3534),
    [sym_null] = ACTIONS(3534),
    [sym_undefined] = ACTIONS(3534),
    [anon_sym_AT] = ACTIONS(3534),
    [anon_sym_static] = ACTIONS(3534),
    [anon_sym_readonly] = ACTIONS(3534),
    [anon_sym_get] = ACTIONS(3534),
    [anon_sym_set] = ACTIONS(3534),
    [anon_sym_declare] = ACTIONS(3534),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_private] = ACTIONS(3534),
    [anon_sym_protected] = ACTIONS(3534),
    [anon_sym_override] = ACTIONS(3534),
    [anon_sym_module] = ACTIONS(3534),
    [anon_sym_any] = ACTIONS(3534),
    [anon_sym_number] = ACTIONS(3534),
    [anon_sym_boolean] = ACTIONS(3534),
    [anon_sym_string] = ACTIONS(3534),
    [anon_sym_symbol] = ACTIONS(3534),
    [anon_sym_object] = ACTIONS(3534),
    [anon_sym_property] = ACTIONS(3534),
    [anon_sym_signal] = ACTIONS(3534),
    [anon_sym_on] = ACTIONS(3534),
    [anon_sym_required] = ACTIONS(3534),
    [anon_sym_component] = ACTIONS(3534),
    [anon_sym_abstract] = ACTIONS(3534),
    [anon_sym_interface] = ACTIONS(3534),
    [anon_sym_enum] = ACTIONS(3534),
    [sym_html_comment] = ACTIONS(5),
  },
  [1676] = {
    [sym_comment] = STATE(1676),
    [sym_identifier] = ACTIONS(3546),
    [anon_sym_export] = ACTIONS(3546),
    [anon_sym_type] = ACTIONS(3546),
    [anon_sym_namespace] = ACTIONS(3546),
    [anon_sym_LBRACE] = ACTIONS(3546),
    [anon_sym_RBRACE] = ACTIONS(3546),
    [anon_sym_typeof] = ACTIONS(3546),
    [anon_sym_import] = ACTIONS(3546),
    [anon_sym_from] = ACTIONS(3546),
    [anon_sym_with] = ACTIONS(3546),
    [anon_sym_var] = ACTIONS(3546),
    [anon_sym_let] = ACTIONS(3546),
    [anon_sym_const] = ACTIONS(3546),
    [anon_sym_BANG] = ACTIONS(3546),
    [anon_sym_if] = ACTIONS(3546),
    [anon_sym_switch] = ACTIONS(3546),
    [anon_sym_for] = ACTIONS(3546),
    [anon_sym_LPAREN] = ACTIONS(3546),
    [anon_sym_await] = ACTIONS(3546),
    [anon_sym_of] = ACTIONS(3546),
    [anon_sym_while] = ACTIONS(3546),
    [anon_sym_do] = ACTIONS(3546),
    [anon_sym_try] = ACTIONS(3546),
    [anon_sym_break] = ACTIONS(3546),
    [anon_sym_continue] = ACTIONS(3546),
    [anon_sym_debugger] = ACTIONS(3546),
    [anon_sym_return] = ACTIONS(3546),
    [anon_sym_throw] = ACTIONS(3546),
    [anon_sym_SEMI] = ACTIONS(3546),
    [anon_sym_yield] = ACTIONS(3546),
    [anon_sym_LBRACK] = ACTIONS(3546),
    [anon_sym_LTtemplate_GT] = ACTIONS(3546),
    [anon_sym_DQUOTE] = ACTIONS(3546),
    [anon_sym_SQUOTE] = ACTIONS(3546),
    [anon_sym_class] = ACTIONS(3546),
    [anon_sym_async] = ACTIONS(3546),
    [anon_sym_function] = ACTIONS(3546),
    [anon_sym_new] = ACTIONS(3546),
    [anon_sym_using] = ACTIONS(3546),
    [anon_sym_PLUS] = ACTIONS(3546),
    [anon_sym_DASH] = ACTIONS(3546),
    [anon_sym_SLASH] = ACTIONS(3546),
    [anon_sym_LT] = ACTIONS(3546),
    [anon_sym_TILDE] = ACTIONS(3546),
    [anon_sym_void] = ACTIONS(3546),
    [anon_sym_delete] = ACTIONS(3546),
    [anon_sym_PLUS_PLUS] = ACTIONS(3546),
    [anon_sym_DASH_DASH] = ACTIONS(3546),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3546),
    [sym_number] = ACTIONS(3546),
    [sym_private_property_identifier] = ACTIONS(3546),
    [sym_this] = ACTIONS(3546),
    [sym_super] = ACTIONS(3546),
    [sym_true] = ACTIONS(3546),
    [sym_false] = ACTIONS(3546),
    [sym_null] = ACTIONS(3546),
    [sym_undefined] = ACTIONS(3546),
    [anon_sym_AT] = ACTIONS(3546),
    [anon_sym_static] = ACTIONS(3546),
    [anon_sym_readonly] = ACTIONS(3546),
    [anon_sym_get] = ACTIONS(3546),
    [anon_sym_set] = ACTIONS(3546),
    [anon_sym_declare] = ACTIONS(3546),
    [anon_sym_public] = ACTIONS(3546),
    [anon_sym_private] = ACTIONS(3546),
    [anon_sym_protected] = ACTIONS(3546),
    [anon_sym_override] = ACTIONS(3546),
    [anon_sym_module] = ACTIONS(3546),
    [anon_sym_any] = ACTIONS(3546),
    [anon_sym_number] = ACTIONS(3546),
    [anon_sym_boolean] = ACTIONS(3546),
    [anon_sym_string] = ACTIONS(3546),
    [anon_sym_symbol] = ACTIONS(3546),
    [anon_sym_object] = ACTIONS(3546),
    [anon_sym_property] = ACTIONS(3546),
    [anon_sym_signal] = ACTIONS(3546),
    [anon_sym_on] = ACTIONS(3546),
    [anon_sym_required] = ACTIONS(3546),
    [anon_sym_component] = ACTIONS(3546),
    [anon_sym_abstract] = ACTIONS(3546),
    [anon_sym_interface] = ACTIONS(3546),
    [anon_sym_enum] = ACTIONS(3546),
    [sym_html_comment] = ACTIONS(5),
  },
  [1677] = {
    [sym_comment] = STATE(1677),
    [sym_identifier] = ACTIONS(3536),
    [anon_sym_export] = ACTIONS(3536),
    [anon_sym_type] = ACTIONS(3536),
    [anon_sym_namespace] = ACTIONS(3536),
    [anon_sym_LBRACE] = ACTIONS(3536),
    [anon_sym_RBRACE] = ACTIONS(3536),
    [anon_sym_typeof] = ACTIONS(3536),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_from] = ACTIONS(3536),
    [anon_sym_with] = ACTIONS(3536),
    [anon_sym_var] = ACTIONS(3536),
    [anon_sym_let] = ACTIONS(3536),
    [anon_sym_const] = ACTIONS(3536),
    [anon_sym_BANG] = ACTIONS(3536),
    [anon_sym_if] = ACTIONS(3536),
    [anon_sym_switch] = ACTIONS(3536),
    [anon_sym_for] = ACTIONS(3536),
    [anon_sym_LPAREN] = ACTIONS(3536),
    [anon_sym_await] = ACTIONS(3536),
    [anon_sym_of] = ACTIONS(3536),
    [anon_sym_while] = ACTIONS(3536),
    [anon_sym_do] = ACTIONS(3536),
    [anon_sym_try] = ACTIONS(3536),
    [anon_sym_break] = ACTIONS(3536),
    [anon_sym_continue] = ACTIONS(3536),
    [anon_sym_debugger] = ACTIONS(3536),
    [anon_sym_return] = ACTIONS(3536),
    [anon_sym_throw] = ACTIONS(3536),
    [anon_sym_SEMI] = ACTIONS(3536),
    [anon_sym_yield] = ACTIONS(3536),
    [anon_sym_LBRACK] = ACTIONS(3536),
    [anon_sym_LTtemplate_GT] = ACTIONS(3536),
    [anon_sym_DQUOTE] = ACTIONS(3536),
    [anon_sym_SQUOTE] = ACTIONS(3536),
    [anon_sym_class] = ACTIONS(3536),
    [anon_sym_async] = ACTIONS(3536),
    [anon_sym_function] = ACTIONS(3536),
    [anon_sym_new] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3536),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3536),
    [anon_sym_LT] = ACTIONS(3536),
    [anon_sym_TILDE] = ACTIONS(3536),
    [anon_sym_void] = ACTIONS(3536),
    [anon_sym_delete] = ACTIONS(3536),
    [anon_sym_PLUS_PLUS] = ACTIONS(3536),
    [anon_sym_DASH_DASH] = ACTIONS(3536),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3536),
    [sym_number] = ACTIONS(3536),
    [sym_private_property_identifier] = ACTIONS(3536),
    [sym_this] = ACTIONS(3536),
    [sym_super] = ACTIONS(3536),
    [sym_true] = ACTIONS(3536),
    [sym_false] = ACTIONS(3536),
    [sym_null] = ACTIONS(3536),
    [sym_undefined] = ACTIONS(3536),
    [anon_sym_AT] = ACTIONS(3536),
    [anon_sym_static] = ACTIONS(3536),
    [anon_sym_readonly] = ACTIONS(3536),
    [anon_sym_get] = ACTIONS(3536),
    [anon_sym_set] = ACTIONS(3536),
    [anon_sym_declare] = ACTIONS(3536),
    [anon_sym_public] = ACTIONS(3536),
    [anon_sym_private] = ACTIONS(3536),
    [anon_sym_protected] = ACTIONS(3536),
    [anon_sym_override] = ACTIONS(3536),
    [anon_sym_module] = ACTIONS(3536),
    [anon_sym_any] = ACTIONS(3536),
    [anon_sym_number] = ACTIONS(3536),
    [anon_sym_boolean] = ACTIONS(3536),
    [anon_sym_string] = ACTIONS(3536),
    [anon_sym_symbol] = ACTIONS(3536),
    [anon_sym_object] = ACTIONS(3536),
    [anon_sym_property] = ACTIONS(3536),
    [anon_sym_signal] = ACTIONS(3536),
    [anon_sym_on] = ACTIONS(3536),
    [anon_sym_required] = ACTIONS(3536),
    [anon_sym_component] = ACTIONS(3536),
    [anon_sym_abstract] = ACTIONS(3536),
    [anon_sym_interface] = ACTIONS(3536),
    [anon_sym_enum] = ACTIONS(3536),
    [sym_html_comment] = ACTIONS(5),
  },
  [1678] = {
    [sym_comment] = STATE(1678),
    [sym_identifier] = ACTIONS(3538),
    [anon_sym_export] = ACTIONS(3538),
    [anon_sym_type] = ACTIONS(3538),
    [anon_sym_namespace] = ACTIONS(3538),
    [anon_sym_LBRACE] = ACTIONS(3538),
    [anon_sym_RBRACE] = ACTIONS(3538),
    [anon_sym_typeof] = ACTIONS(3538),
    [anon_sym_import] = ACTIONS(3538),
    [anon_sym_from] = ACTIONS(3538),
    [anon_sym_with] = ACTIONS(3538),
    [anon_sym_var] = ACTIONS(3538),
    [anon_sym_let] = ACTIONS(3538),
    [anon_sym_const] = ACTIONS(3538),
    [anon_sym_BANG] = ACTIONS(3538),
    [anon_sym_if] = ACTIONS(3538),
    [anon_sym_switch] = ACTIONS(3538),
    [anon_sym_for] = ACTIONS(3538),
    [anon_sym_LPAREN] = ACTIONS(3538),
    [anon_sym_await] = ACTIONS(3538),
    [anon_sym_of] = ACTIONS(3538),
    [anon_sym_while] = ACTIONS(3538),
    [anon_sym_do] = ACTIONS(3538),
    [anon_sym_try] = ACTIONS(3538),
    [anon_sym_break] = ACTIONS(3538),
    [anon_sym_continue] = ACTIONS(3538),
    [anon_sym_debugger] = ACTIONS(3538),
    [anon_sym_return] = ACTIONS(3538),
    [anon_sym_throw] = ACTIONS(3538),
    [anon_sym_SEMI] = ACTIONS(3538),
    [anon_sym_yield] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(3538),
    [anon_sym_LTtemplate_GT] = ACTIONS(3538),
    [anon_sym_DQUOTE] = ACTIONS(3538),
    [anon_sym_SQUOTE] = ACTIONS(3538),
    [anon_sym_class] = ACTIONS(3538),
    [anon_sym_async] = ACTIONS(3538),
    [anon_sym_function] = ACTIONS(3538),
    [anon_sym_new] = ACTIONS(3538),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_PLUS] = ACTIONS(3538),
    [anon_sym_DASH] = ACTIONS(3538),
    [anon_sym_SLASH] = ACTIONS(3538),
    [anon_sym_LT] = ACTIONS(3538),
    [anon_sym_TILDE] = ACTIONS(3538),
    [anon_sym_void] = ACTIONS(3538),
    [anon_sym_delete] = ACTIONS(3538),
    [anon_sym_PLUS_PLUS] = ACTIONS(3538),
    [anon_sym_DASH_DASH] = ACTIONS(3538),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3538),
    [sym_number] = ACTIONS(3538),
    [sym_private_property_identifier] = ACTIONS(3538),
    [sym_this] = ACTIONS(3538),
    [sym_super] = ACTIONS(3538),
    [sym_true] = ACTIONS(3538),
    [sym_false] = ACTIONS(3538),
    [sym_null] = ACTIONS(3538),
    [sym_undefined] = ACTIONS(3538),
    [anon_sym_AT] = ACTIONS(3538),
    [anon_sym_static] = ACTIONS(3538),
    [anon_sym_readonly] = ACTIONS(3538),
    [anon_sym_get] = ACTIONS(3538),
    [anon_sym_set] = ACTIONS(3538),
    [anon_sym_declare] = ACTIONS(3538),
    [anon_sym_public] = ACTIONS(3538),
    [anon_sym_private] = ACTIONS(3538),
    [anon_sym_protected] = ACTIONS(3538),
    [anon_sym_override] = ACTIONS(3538),
    [anon_sym_module] = ACTIONS(3538),
    [anon_sym_any] = ACTIONS(3538),
    [anon_sym_number] = ACTIONS(3538),
    [anon_sym_boolean] = ACTIONS(3538),
    [anon_sym_string] = ACTIONS(3538),
    [anon_sym_symbol] = ACTIONS(3538),
    [anon_sym_object] = ACTIONS(3538),
    [anon_sym_property] = ACTIONS(3538),
    [anon_sym_signal] = ACTIONS(3538),
    [anon_sym_on] = ACTIONS(3538),
    [anon_sym_required] = ACTIONS(3538),
    [anon_sym_component] = ACTIONS(3538),
    [anon_sym_abstract] = ACTIONS(3538),
    [anon_sym_interface] = ACTIONS(3538),
    [anon_sym_enum] = ACTIONS(3538),
    [sym_html_comment] = ACTIONS(5),
  },
  [1679] = {
    [sym_comment] = STATE(1679),
    [sym_identifier] = ACTIONS(3598),
    [anon_sym_export] = ACTIONS(3598),
    [anon_sym_type] = ACTIONS(3598),
    [anon_sym_namespace] = ACTIONS(3598),
    [anon_sym_LBRACE] = ACTIONS(3598),
    [anon_sym_RBRACE] = ACTIONS(3598),
    [anon_sym_typeof] = ACTIONS(3598),
    [anon_sym_import] = ACTIONS(3598),
    [anon_sym_from] = ACTIONS(3598),
    [anon_sym_with] = ACTIONS(3598),
    [anon_sym_var] = ACTIONS(3598),
    [anon_sym_let] = ACTIONS(3598),
    [anon_sym_const] = ACTIONS(3598),
    [anon_sym_BANG] = ACTIONS(3598),
    [anon_sym_if] = ACTIONS(3598),
    [anon_sym_switch] = ACTIONS(3598),
    [anon_sym_for] = ACTIONS(3598),
    [anon_sym_LPAREN] = ACTIONS(3598),
    [anon_sym_await] = ACTIONS(3598),
    [anon_sym_of] = ACTIONS(3598),
    [anon_sym_while] = ACTIONS(3598),
    [anon_sym_do] = ACTIONS(3598),
    [anon_sym_try] = ACTIONS(3598),
    [anon_sym_break] = ACTIONS(3598),
    [anon_sym_continue] = ACTIONS(3598),
    [anon_sym_debugger] = ACTIONS(3598),
    [anon_sym_return] = ACTIONS(3598),
    [anon_sym_throw] = ACTIONS(3598),
    [anon_sym_SEMI] = ACTIONS(3598),
    [anon_sym_yield] = ACTIONS(3598),
    [anon_sym_LBRACK] = ACTIONS(3598),
    [anon_sym_LTtemplate_GT] = ACTIONS(3598),
    [anon_sym_DQUOTE] = ACTIONS(3598),
    [anon_sym_SQUOTE] = ACTIONS(3598),
    [anon_sym_class] = ACTIONS(3598),
    [anon_sym_async] = ACTIONS(3598),
    [anon_sym_function] = ACTIONS(3598),
    [anon_sym_new] = ACTIONS(3598),
    [anon_sym_using] = ACTIONS(3598),
    [anon_sym_PLUS] = ACTIONS(3598),
    [anon_sym_DASH] = ACTIONS(3598),
    [anon_sym_SLASH] = ACTIONS(3598),
    [anon_sym_LT] = ACTIONS(3598),
    [anon_sym_TILDE] = ACTIONS(3598),
    [anon_sym_void] = ACTIONS(3598),
    [anon_sym_delete] = ACTIONS(3598),
    [anon_sym_PLUS_PLUS] = ACTIONS(3598),
    [anon_sym_DASH_DASH] = ACTIONS(3598),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3598),
    [sym_number] = ACTIONS(3598),
    [sym_private_property_identifier] = ACTIONS(3598),
    [sym_this] = ACTIONS(3598),
    [sym_super] = ACTIONS(3598),
    [sym_true] = ACTIONS(3598),
    [sym_false] = ACTIONS(3598),
    [sym_null] = ACTIONS(3598),
    [sym_undefined] = ACTIONS(3598),
    [anon_sym_AT] = ACTIONS(3598),
    [anon_sym_static] = ACTIONS(3598),
    [anon_sym_readonly] = ACTIONS(3598),
    [anon_sym_get] = ACTIONS(3598),
    [anon_sym_set] = ACTIONS(3598),
    [anon_sym_declare] = ACTIONS(3598),
    [anon_sym_public] = ACTIONS(3598),
    [anon_sym_private] = ACTIONS(3598),
    [anon_sym_protected] = ACTIONS(3598),
    [anon_sym_override] = ACTIONS(3598),
    [anon_sym_module] = ACTIONS(3598),
    [anon_sym_any] = ACTIONS(3598),
    [anon_sym_number] = ACTIONS(3598),
    [anon_sym_boolean] = ACTIONS(3598),
    [anon_sym_string] = ACTIONS(3598),
    [anon_sym_symbol] = ACTIONS(3598),
    [anon_sym_object] = ACTIONS(3598),
    [anon_sym_property] = ACTIONS(3598),
    [anon_sym_signal] = ACTIONS(3598),
    [anon_sym_on] = ACTIONS(3598),
    [anon_sym_required] = ACTIONS(3598),
    [anon_sym_component] = ACTIONS(3598),
    [anon_sym_abstract] = ACTIONS(3598),
    [anon_sym_interface] = ACTIONS(3598),
    [anon_sym_enum] = ACTIONS(3598),
    [sym_html_comment] = ACTIONS(5),
  },
  [1680] = {
    [sym_comment] = STATE(1680),
    [sym_identifier] = ACTIONS(3520),
    [anon_sym_export] = ACTIONS(3520),
    [anon_sym_type] = ACTIONS(3520),
    [anon_sym_namespace] = ACTIONS(3520),
    [anon_sym_LBRACE] = ACTIONS(3520),
    [anon_sym_RBRACE] = ACTIONS(3520),
    [anon_sym_typeof] = ACTIONS(3520),
    [anon_sym_import] = ACTIONS(3520),
    [anon_sym_from] = ACTIONS(3520),
    [anon_sym_with] = ACTIONS(3520),
    [anon_sym_var] = ACTIONS(3520),
    [anon_sym_let] = ACTIONS(3520),
    [anon_sym_const] = ACTIONS(3520),
    [anon_sym_BANG] = ACTIONS(3520),
    [anon_sym_if] = ACTIONS(3520),
    [anon_sym_switch] = ACTIONS(3520),
    [anon_sym_for] = ACTIONS(3520),
    [anon_sym_LPAREN] = ACTIONS(3520),
    [anon_sym_await] = ACTIONS(3520),
    [anon_sym_of] = ACTIONS(3520),
    [anon_sym_while] = ACTIONS(3520),
    [anon_sym_do] = ACTIONS(3520),
    [anon_sym_try] = ACTIONS(3520),
    [anon_sym_break] = ACTIONS(3520),
    [anon_sym_continue] = ACTIONS(3520),
    [anon_sym_debugger] = ACTIONS(3520),
    [anon_sym_return] = ACTIONS(3520),
    [anon_sym_throw] = ACTIONS(3520),
    [anon_sym_SEMI] = ACTIONS(3520),
    [anon_sym_yield] = ACTIONS(3520),
    [anon_sym_LBRACK] = ACTIONS(3520),
    [anon_sym_LTtemplate_GT] = ACTIONS(3520),
    [anon_sym_DQUOTE] = ACTIONS(3520),
    [anon_sym_SQUOTE] = ACTIONS(3520),
    [anon_sym_class] = ACTIONS(3520),
    [anon_sym_async] = ACTIONS(3520),
    [anon_sym_function] = ACTIONS(3520),
    [anon_sym_new] = ACTIONS(3520),
    [anon_sym_using] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3520),
    [anon_sym_DASH] = ACTIONS(3520),
    [anon_sym_SLASH] = ACTIONS(3520),
    [anon_sym_LT] = ACTIONS(3520),
    [anon_sym_TILDE] = ACTIONS(3520),
    [anon_sym_void] = ACTIONS(3520),
    [anon_sym_delete] = ACTIONS(3520),
    [anon_sym_PLUS_PLUS] = ACTIONS(3520),
    [anon_sym_DASH_DASH] = ACTIONS(3520),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3520),
    [sym_number] = ACTIONS(3520),
    [sym_private_property_identifier] = ACTIONS(3520),
    [sym_this] = ACTIONS(3520),
    [sym_super] = ACTIONS(3520),
    [sym_true] = ACTIONS(3520),
    [sym_false] = ACTIONS(3520),
    [sym_null] = ACTIONS(3520),
    [sym_undefined] = ACTIONS(3520),
    [anon_sym_AT] = ACTIONS(3520),
    [anon_sym_static] = ACTIONS(3520),
    [anon_sym_readonly] = ACTIONS(3520),
    [anon_sym_get] = ACTIONS(3520),
    [anon_sym_set] = ACTIONS(3520),
    [anon_sym_declare] = ACTIONS(3520),
    [anon_sym_public] = ACTIONS(3520),
    [anon_sym_private] = ACTIONS(3520),
    [anon_sym_protected] = ACTIONS(3520),
    [anon_sym_override] = ACTIONS(3520),
    [anon_sym_module] = ACTIONS(3520),
    [anon_sym_any] = ACTIONS(3520),
    [anon_sym_number] = ACTIONS(3520),
    [anon_sym_boolean] = ACTIONS(3520),
    [anon_sym_string] = ACTIONS(3520),
    [anon_sym_symbol] = ACTIONS(3520),
    [anon_sym_object] = ACTIONS(3520),
    [anon_sym_property] = ACTIONS(3520),
    [anon_sym_signal] = ACTIONS(3520),
    [anon_sym_on] = ACTIONS(3520),
    [anon_sym_required] = ACTIONS(3520),
    [anon_sym_component] = ACTIONS(3520),
    [anon_sym_abstract] = ACTIONS(3520),
    [anon_sym_interface] = ACTIONS(3520),
    [anon_sym_enum] = ACTIONS(3520),
    [sym_html_comment] = ACTIONS(5),
  },
  [1681] = {
    [sym_comment] = STATE(1681),
    [sym_identifier] = ACTIONS(3548),
    [anon_sym_export] = ACTIONS(3548),
    [anon_sym_type] = ACTIONS(3548),
    [anon_sym_namespace] = ACTIONS(3548),
    [anon_sym_LBRACE] = ACTIONS(3548),
    [anon_sym_RBRACE] = ACTIONS(3548),
    [anon_sym_typeof] = ACTIONS(3548),
    [anon_sym_import] = ACTIONS(3548),
    [anon_sym_from] = ACTIONS(3548),
    [anon_sym_with] = ACTIONS(3548),
    [anon_sym_var] = ACTIONS(3548),
    [anon_sym_let] = ACTIONS(3548),
    [anon_sym_const] = ACTIONS(3548),
    [anon_sym_BANG] = ACTIONS(3548),
    [anon_sym_if] = ACTIONS(3548),
    [anon_sym_switch] = ACTIONS(3548),
    [anon_sym_for] = ACTIONS(3548),
    [anon_sym_LPAREN] = ACTIONS(3548),
    [anon_sym_await] = ACTIONS(3548),
    [anon_sym_of] = ACTIONS(3548),
    [anon_sym_while] = ACTIONS(3548),
    [anon_sym_do] = ACTIONS(3548),
    [anon_sym_try] = ACTIONS(3548),
    [anon_sym_break] = ACTIONS(3548),
    [anon_sym_continue] = ACTIONS(3548),
    [anon_sym_debugger] = ACTIONS(3548),
    [anon_sym_return] = ACTIONS(3548),
    [anon_sym_throw] = ACTIONS(3548),
    [anon_sym_SEMI] = ACTIONS(3548),
    [anon_sym_yield] = ACTIONS(3548),
    [anon_sym_LBRACK] = ACTIONS(3548),
    [anon_sym_LTtemplate_GT] = ACTIONS(3548),
    [anon_sym_DQUOTE] = ACTIONS(3548),
    [anon_sym_SQUOTE] = ACTIONS(3548),
    [anon_sym_class] = ACTIONS(3548),
    [anon_sym_async] = ACTIONS(3548),
    [anon_sym_function] = ACTIONS(3548),
    [anon_sym_new] = ACTIONS(3548),
    [anon_sym_using] = ACTIONS(3548),
    [anon_sym_PLUS] = ACTIONS(3548),
    [anon_sym_DASH] = ACTIONS(3548),
    [anon_sym_SLASH] = ACTIONS(3548),
    [anon_sym_LT] = ACTIONS(3548),
    [anon_sym_TILDE] = ACTIONS(3548),
    [anon_sym_void] = ACTIONS(3548),
    [anon_sym_delete] = ACTIONS(3548),
    [anon_sym_PLUS_PLUS] = ACTIONS(3548),
    [anon_sym_DASH_DASH] = ACTIONS(3548),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3548),
    [sym_number] = ACTIONS(3548),
    [sym_private_property_identifier] = ACTIONS(3548),
    [sym_this] = ACTIONS(3548),
    [sym_super] = ACTIONS(3548),
    [sym_true] = ACTIONS(3548),
    [sym_false] = ACTIONS(3548),
    [sym_null] = ACTIONS(3548),
    [sym_undefined] = ACTIONS(3548),
    [anon_sym_AT] = ACTIONS(3548),
    [anon_sym_static] = ACTIONS(3548),
    [anon_sym_readonly] = ACTIONS(3548),
    [anon_sym_get] = ACTIONS(3548),
    [anon_sym_set] = ACTIONS(3548),
    [anon_sym_declare] = ACTIONS(3548),
    [anon_sym_public] = ACTIONS(3548),
    [anon_sym_private] = ACTIONS(3548),
    [anon_sym_protected] = ACTIONS(3548),
    [anon_sym_override] = ACTIONS(3548),
    [anon_sym_module] = ACTIONS(3548),
    [anon_sym_any] = ACTIONS(3548),
    [anon_sym_number] = ACTIONS(3548),
    [anon_sym_boolean] = ACTIONS(3548),
    [anon_sym_string] = ACTIONS(3548),
    [anon_sym_symbol] = ACTIONS(3548),
    [anon_sym_object] = ACTIONS(3548),
    [anon_sym_property] = ACTIONS(3548),
    [anon_sym_signal] = ACTIONS(3548),
    [anon_sym_on] = ACTIONS(3548),
    [anon_sym_required] = ACTIONS(3548),
    [anon_sym_component] = ACTIONS(3548),
    [anon_sym_abstract] = ACTIONS(3548),
    [anon_sym_interface] = ACTIONS(3548),
    [anon_sym_enum] = ACTIONS(3548),
    [sym_html_comment] = ACTIONS(5),
  },
  [1682] = {
    [sym_comment] = STATE(1682),
    [sym_identifier] = ACTIONS(3552),
    [anon_sym_export] = ACTIONS(3552),
    [anon_sym_type] = ACTIONS(3552),
    [anon_sym_namespace] = ACTIONS(3552),
    [anon_sym_LBRACE] = ACTIONS(3552),
    [anon_sym_RBRACE] = ACTIONS(3552),
    [anon_sym_typeof] = ACTIONS(3552),
    [anon_sym_import] = ACTIONS(3552),
    [anon_sym_from] = ACTIONS(3552),
    [anon_sym_with] = ACTIONS(3552),
    [anon_sym_var] = ACTIONS(3552),
    [anon_sym_let] = ACTIONS(3552),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_BANG] = ACTIONS(3552),
    [anon_sym_if] = ACTIONS(3552),
    [anon_sym_switch] = ACTIONS(3552),
    [anon_sym_for] = ACTIONS(3552),
    [anon_sym_LPAREN] = ACTIONS(3552),
    [anon_sym_await] = ACTIONS(3552),
    [anon_sym_of] = ACTIONS(3552),
    [anon_sym_while] = ACTIONS(3552),
    [anon_sym_do] = ACTIONS(3552),
    [anon_sym_try] = ACTIONS(3552),
    [anon_sym_break] = ACTIONS(3552),
    [anon_sym_continue] = ACTIONS(3552),
    [anon_sym_debugger] = ACTIONS(3552),
    [anon_sym_return] = ACTIONS(3552),
    [anon_sym_throw] = ACTIONS(3552),
    [anon_sym_SEMI] = ACTIONS(3552),
    [anon_sym_yield] = ACTIONS(3552),
    [anon_sym_LBRACK] = ACTIONS(3552),
    [anon_sym_LTtemplate_GT] = ACTIONS(3552),
    [anon_sym_DQUOTE] = ACTIONS(3552),
    [anon_sym_SQUOTE] = ACTIONS(3552),
    [anon_sym_class] = ACTIONS(3552),
    [anon_sym_async] = ACTIONS(3552),
    [anon_sym_function] = ACTIONS(3552),
    [anon_sym_new] = ACTIONS(3552),
    [anon_sym_using] = ACTIONS(3552),
    [anon_sym_PLUS] = ACTIONS(3552),
    [anon_sym_DASH] = ACTIONS(3552),
    [anon_sym_SLASH] = ACTIONS(3552),
    [anon_sym_LT] = ACTIONS(3552),
    [anon_sym_TILDE] = ACTIONS(3552),
    [anon_sym_void] = ACTIONS(3552),
    [anon_sym_delete] = ACTIONS(3552),
    [anon_sym_PLUS_PLUS] = ACTIONS(3552),
    [anon_sym_DASH_DASH] = ACTIONS(3552),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3552),
    [sym_number] = ACTIONS(3552),
    [sym_private_property_identifier] = ACTIONS(3552),
    [sym_this] = ACTIONS(3552),
    [sym_super] = ACTIONS(3552),
    [sym_true] = ACTIONS(3552),
    [sym_false] = ACTIONS(3552),
    [sym_null] = ACTIONS(3552),
    [sym_undefined] = ACTIONS(3552),
    [anon_sym_AT] = ACTIONS(3552),
    [anon_sym_static] = ACTIONS(3552),
    [anon_sym_readonly] = ACTIONS(3552),
    [anon_sym_get] = ACTIONS(3552),
    [anon_sym_set] = ACTIONS(3552),
    [anon_sym_declare] = ACTIONS(3552),
    [anon_sym_public] = ACTIONS(3552),
    [anon_sym_private] = ACTIONS(3552),
    [anon_sym_protected] = ACTIONS(3552),
    [anon_sym_override] = ACTIONS(3552),
    [anon_sym_module] = ACTIONS(3552),
    [anon_sym_any] = ACTIONS(3552),
    [anon_sym_number] = ACTIONS(3552),
    [anon_sym_boolean] = ACTIONS(3552),
    [anon_sym_string] = ACTIONS(3552),
    [anon_sym_symbol] = ACTIONS(3552),
    [anon_sym_object] = ACTIONS(3552),
    [anon_sym_property] = ACTIONS(3552),
    [anon_sym_signal] = ACTIONS(3552),
    [anon_sym_on] = ACTIONS(3552),
    [anon_sym_required] = ACTIONS(3552),
    [anon_sym_component] = ACTIONS(3552),
    [anon_sym_abstract] = ACTIONS(3552),
    [anon_sym_interface] = ACTIONS(3552),
    [anon_sym_enum] = ACTIONS(3552),
    [sym_html_comment] = ACTIONS(5),
  },
  [1683] = {
    [sym_comment] = STATE(1683),
    [sym_identifier] = ACTIONS(3494),
    [anon_sym_export] = ACTIONS(3494),
    [anon_sym_type] = ACTIONS(3494),
    [anon_sym_namespace] = ACTIONS(3494),
    [anon_sym_LBRACE] = ACTIONS(3494),
    [anon_sym_RBRACE] = ACTIONS(3494),
    [anon_sym_typeof] = ACTIONS(3494),
    [anon_sym_import] = ACTIONS(3494),
    [anon_sym_from] = ACTIONS(3494),
    [anon_sym_with] = ACTIONS(3494),
    [anon_sym_var] = ACTIONS(3494),
    [anon_sym_let] = ACTIONS(3494),
    [anon_sym_const] = ACTIONS(3494),
    [anon_sym_BANG] = ACTIONS(3494),
    [anon_sym_if] = ACTIONS(3494),
    [anon_sym_switch] = ACTIONS(3494),
    [anon_sym_for] = ACTIONS(3494),
    [anon_sym_LPAREN] = ACTIONS(3494),
    [anon_sym_await] = ACTIONS(3494),
    [anon_sym_of] = ACTIONS(3494),
    [anon_sym_while] = ACTIONS(3494),
    [anon_sym_do] = ACTIONS(3494),
    [anon_sym_try] = ACTIONS(3494),
    [anon_sym_break] = ACTIONS(3494),
    [anon_sym_continue] = ACTIONS(3494),
    [anon_sym_debugger] = ACTIONS(3494),
    [anon_sym_return] = ACTIONS(3494),
    [anon_sym_throw] = ACTIONS(3494),
    [anon_sym_SEMI] = ACTIONS(3494),
    [anon_sym_yield] = ACTIONS(3494),
    [anon_sym_LBRACK] = ACTIONS(3494),
    [anon_sym_LTtemplate_GT] = ACTIONS(3494),
    [anon_sym_DQUOTE] = ACTIONS(3494),
    [anon_sym_SQUOTE] = ACTIONS(3494),
    [anon_sym_class] = ACTIONS(3494),
    [anon_sym_async] = ACTIONS(3494),
    [anon_sym_function] = ACTIONS(3494),
    [anon_sym_new] = ACTIONS(3494),
    [anon_sym_using] = ACTIONS(3494),
    [anon_sym_PLUS] = ACTIONS(3494),
    [anon_sym_DASH] = ACTIONS(3494),
    [anon_sym_SLASH] = ACTIONS(3494),
    [anon_sym_LT] = ACTIONS(3494),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_void] = ACTIONS(3494),
    [anon_sym_delete] = ACTIONS(3494),
    [anon_sym_PLUS_PLUS] = ACTIONS(3494),
    [anon_sym_DASH_DASH] = ACTIONS(3494),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3494),
    [sym_number] = ACTIONS(3494),
    [sym_private_property_identifier] = ACTIONS(3494),
    [sym_this] = ACTIONS(3494),
    [sym_super] = ACTIONS(3494),
    [sym_true] = ACTIONS(3494),
    [sym_false] = ACTIONS(3494),
    [sym_null] = ACTIONS(3494),
    [sym_undefined] = ACTIONS(3494),
    [anon_sym_AT] = ACTIONS(3494),
    [anon_sym_static] = ACTIONS(3494),
    [anon_sym_readonly] = ACTIONS(3494),
    [anon_sym_get] = ACTIONS(3494),
    [anon_sym_set] = ACTIONS(3494),
    [anon_sym_declare] = ACTIONS(3494),
    [anon_sym_public] = ACTIONS(3494),
    [anon_sym_private] = ACTIONS(3494),
    [anon_sym_protected] = ACTIONS(3494),
    [anon_sym_override] = ACTIONS(3494),
    [anon_sym_module] = ACTIONS(3494),
    [anon_sym_any] = ACTIONS(3494),
    [anon_sym_number] = ACTIONS(3494),
    [anon_sym_boolean] = ACTIONS(3494),
    [anon_sym_string] = ACTIONS(3494),
    [anon_sym_symbol] = ACTIONS(3494),
    [anon_sym_object] = ACTIONS(3494),
    [anon_sym_property] = ACTIONS(3494),
    [anon_sym_signal] = ACTIONS(3494),
    [anon_sym_on] = ACTIONS(3494),
    [anon_sym_required] = ACTIONS(3494),
    [anon_sym_component] = ACTIONS(3494),
    [anon_sym_abstract] = ACTIONS(3494),
    [anon_sym_interface] = ACTIONS(3494),
    [anon_sym_enum] = ACTIONS(3494),
    [sym_html_comment] = ACTIONS(5),
  },
  [1684] = {
    [sym_comment] = STATE(1684),
    [sym_identifier] = ACTIONS(3554),
    [anon_sym_export] = ACTIONS(3554),
    [anon_sym_type] = ACTIONS(3554),
    [anon_sym_namespace] = ACTIONS(3554),
    [anon_sym_LBRACE] = ACTIONS(3554),
    [anon_sym_RBRACE] = ACTIONS(3554),
    [anon_sym_typeof] = ACTIONS(3554),
    [anon_sym_import] = ACTIONS(3554),
    [anon_sym_from] = ACTIONS(3554),
    [anon_sym_with] = ACTIONS(3554),
    [anon_sym_var] = ACTIONS(3554),
    [anon_sym_let] = ACTIONS(3554),
    [anon_sym_const] = ACTIONS(3554),
    [anon_sym_BANG] = ACTIONS(3554),
    [anon_sym_if] = ACTIONS(3554),
    [anon_sym_switch] = ACTIONS(3554),
    [anon_sym_for] = ACTIONS(3554),
    [anon_sym_LPAREN] = ACTIONS(3554),
    [anon_sym_await] = ACTIONS(3554),
    [anon_sym_of] = ACTIONS(3554),
    [anon_sym_while] = ACTIONS(3554),
    [anon_sym_do] = ACTIONS(3554),
    [anon_sym_try] = ACTIONS(3554),
    [anon_sym_break] = ACTIONS(3554),
    [anon_sym_continue] = ACTIONS(3554),
    [anon_sym_debugger] = ACTIONS(3554),
    [anon_sym_return] = ACTIONS(3554),
    [anon_sym_throw] = ACTIONS(3554),
    [anon_sym_SEMI] = ACTIONS(3554),
    [anon_sym_yield] = ACTIONS(3554),
    [anon_sym_LBRACK] = ACTIONS(3554),
    [anon_sym_LTtemplate_GT] = ACTIONS(3554),
    [anon_sym_DQUOTE] = ACTIONS(3554),
    [anon_sym_SQUOTE] = ACTIONS(3554),
    [anon_sym_class] = ACTIONS(3554),
    [anon_sym_async] = ACTIONS(3554),
    [anon_sym_function] = ACTIONS(3554),
    [anon_sym_new] = ACTIONS(3554),
    [anon_sym_using] = ACTIONS(3554),
    [anon_sym_PLUS] = ACTIONS(3554),
    [anon_sym_DASH] = ACTIONS(3554),
    [anon_sym_SLASH] = ACTIONS(3554),
    [anon_sym_LT] = ACTIONS(3554),
    [anon_sym_TILDE] = ACTIONS(3554),
    [anon_sym_void] = ACTIONS(3554),
    [anon_sym_delete] = ACTIONS(3554),
    [anon_sym_PLUS_PLUS] = ACTIONS(3554),
    [anon_sym_DASH_DASH] = ACTIONS(3554),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3554),
    [sym_number] = ACTIONS(3554),
    [sym_private_property_identifier] = ACTIONS(3554),
    [sym_this] = ACTIONS(3554),
    [sym_super] = ACTIONS(3554),
    [sym_true] = ACTIONS(3554),
    [sym_false] = ACTIONS(3554),
    [sym_null] = ACTIONS(3554),
    [sym_undefined] = ACTIONS(3554),
    [anon_sym_AT] = ACTIONS(3554),
    [anon_sym_static] = ACTIONS(3554),
    [anon_sym_readonly] = ACTIONS(3554),
    [anon_sym_get] = ACTIONS(3554),
    [anon_sym_set] = ACTIONS(3554),
    [anon_sym_declare] = ACTIONS(3554),
    [anon_sym_public] = ACTIONS(3554),
    [anon_sym_private] = ACTIONS(3554),
    [anon_sym_protected] = ACTIONS(3554),
    [anon_sym_override] = ACTIONS(3554),
    [anon_sym_module] = ACTIONS(3554),
    [anon_sym_any] = ACTIONS(3554),
    [anon_sym_number] = ACTIONS(3554),
    [anon_sym_boolean] = ACTIONS(3554),
    [anon_sym_string] = ACTIONS(3554),
    [anon_sym_symbol] = ACTIONS(3554),
    [anon_sym_object] = ACTIONS(3554),
    [anon_sym_property] = ACTIONS(3554),
    [anon_sym_signal] = ACTIONS(3554),
    [anon_sym_on] = ACTIONS(3554),
    [anon_sym_required] = ACTIONS(3554),
    [anon_sym_component] = ACTIONS(3554),
    [anon_sym_abstract] = ACTIONS(3554),
    [anon_sym_interface] = ACTIONS(3554),
    [anon_sym_enum] = ACTIONS(3554),
    [sym_html_comment] = ACTIONS(5),
  },
  [1685] = {
    [sym_comment] = STATE(1685),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_typeof] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_const] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_await] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_debugger] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_LTtemplate_GT] = ACTIONS(2350),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE] = ACTIONS(2350),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_using] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_TILDE] = ACTIONS(2350),
    [anon_sym_void] = ACTIONS(2350),
    [anon_sym_delete] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [sym_number] = ACTIONS(2350),
    [sym_private_property_identifier] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_null] = ACTIONS(2350),
    [sym_undefined] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym_html_comment] = ACTIONS(5),
  },
  [1686] = {
    [sym_comment] = STATE(1686),
    [sym_identifier] = ACTIONS(3574),
    [anon_sym_export] = ACTIONS(3574),
    [anon_sym_type] = ACTIONS(3574),
    [anon_sym_namespace] = ACTIONS(3574),
    [anon_sym_LBRACE] = ACTIONS(3574),
    [anon_sym_RBRACE] = ACTIONS(3574),
    [anon_sym_typeof] = ACTIONS(3574),
    [anon_sym_import] = ACTIONS(3574),
    [anon_sym_from] = ACTIONS(3574),
    [anon_sym_with] = ACTIONS(3574),
    [anon_sym_var] = ACTIONS(3574),
    [anon_sym_let] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3574),
    [anon_sym_BANG] = ACTIONS(3574),
    [anon_sym_if] = ACTIONS(3574),
    [anon_sym_switch] = ACTIONS(3574),
    [anon_sym_for] = ACTIONS(3574),
    [anon_sym_LPAREN] = ACTIONS(3574),
    [anon_sym_await] = ACTIONS(3574),
    [anon_sym_of] = ACTIONS(3574),
    [anon_sym_while] = ACTIONS(3574),
    [anon_sym_do] = ACTIONS(3574),
    [anon_sym_try] = ACTIONS(3574),
    [anon_sym_break] = ACTIONS(3574),
    [anon_sym_continue] = ACTIONS(3574),
    [anon_sym_debugger] = ACTIONS(3574),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_throw] = ACTIONS(3574),
    [anon_sym_SEMI] = ACTIONS(3574),
    [anon_sym_yield] = ACTIONS(3574),
    [anon_sym_LBRACK] = ACTIONS(3574),
    [anon_sym_LTtemplate_GT] = ACTIONS(3574),
    [anon_sym_DQUOTE] = ACTIONS(3574),
    [anon_sym_SQUOTE] = ACTIONS(3574),
    [anon_sym_class] = ACTIONS(3574),
    [anon_sym_async] = ACTIONS(3574),
    [anon_sym_function] = ACTIONS(3574),
    [anon_sym_new] = ACTIONS(3574),
    [anon_sym_using] = ACTIONS(3574),
    [anon_sym_PLUS] = ACTIONS(3574),
    [anon_sym_DASH] = ACTIONS(3574),
    [anon_sym_SLASH] = ACTIONS(3574),
    [anon_sym_LT] = ACTIONS(3574),
    [anon_sym_TILDE] = ACTIONS(3574),
    [anon_sym_void] = ACTIONS(3574),
    [anon_sym_delete] = ACTIONS(3574),
    [anon_sym_PLUS_PLUS] = ACTIONS(3574),
    [anon_sym_DASH_DASH] = ACTIONS(3574),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3574),
    [sym_number] = ACTIONS(3574),
    [sym_private_property_identifier] = ACTIONS(3574),
    [sym_this] = ACTIONS(3574),
    [sym_super] = ACTIONS(3574),
    [sym_true] = ACTIONS(3574),
    [sym_false] = ACTIONS(3574),
    [sym_null] = ACTIONS(3574),
    [sym_undefined] = ACTIONS(3574),
    [anon_sym_AT] = ACTIONS(3574),
    [anon_sym_static] = ACTIONS(3574),
    [anon_sym_readonly] = ACTIONS(3574),
    [anon_sym_get] = ACTIONS(3574),
    [anon_sym_set] = ACTIONS(3574),
    [anon_sym_declare] = ACTIONS(3574),
    [anon_sym_public] = ACTIONS(3574),
    [anon_sym_private] = ACTIONS(3574),
    [anon_sym_protected] = ACTIONS(3574),
    [anon_sym_override] = ACTIONS(3574),
    [anon_sym_module] = ACTIONS(3574),
    [anon_sym_any] = ACTIONS(3574),
    [anon_sym_number] = ACTIONS(3574),
    [anon_sym_boolean] = ACTIONS(3574),
    [anon_sym_string] = ACTIONS(3574),
    [anon_sym_symbol] = ACTIONS(3574),
    [anon_sym_object] = ACTIONS(3574),
    [anon_sym_property] = ACTIONS(3574),
    [anon_sym_signal] = ACTIONS(3574),
    [anon_sym_on] = ACTIONS(3574),
    [anon_sym_required] = ACTIONS(3574),
    [anon_sym_component] = ACTIONS(3574),
    [anon_sym_abstract] = ACTIONS(3574),
    [anon_sym_interface] = ACTIONS(3574),
    [anon_sym_enum] = ACTIONS(3574),
    [sym_html_comment] = ACTIONS(5),
  },
  [1687] = {
    [sym_comment] = STATE(1687),
    [sym_identifier] = ACTIONS(3632),
    [anon_sym_export] = ACTIONS(3632),
    [anon_sym_type] = ACTIONS(3632),
    [anon_sym_namespace] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3632),
    [anon_sym_RBRACE] = ACTIONS(3632),
    [anon_sym_typeof] = ACTIONS(3632),
    [anon_sym_import] = ACTIONS(3632),
    [anon_sym_from] = ACTIONS(3632),
    [anon_sym_with] = ACTIONS(3632),
    [anon_sym_var] = ACTIONS(3632),
    [anon_sym_let] = ACTIONS(3632),
    [anon_sym_const] = ACTIONS(3632),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_if] = ACTIONS(3632),
    [anon_sym_switch] = ACTIONS(3632),
    [anon_sym_for] = ACTIONS(3632),
    [anon_sym_LPAREN] = ACTIONS(3632),
    [anon_sym_await] = ACTIONS(3632),
    [anon_sym_of] = ACTIONS(3632),
    [anon_sym_while] = ACTIONS(3632),
    [anon_sym_do] = ACTIONS(3632),
    [anon_sym_try] = ACTIONS(3632),
    [anon_sym_break] = ACTIONS(3632),
    [anon_sym_continue] = ACTIONS(3632),
    [anon_sym_debugger] = ACTIONS(3632),
    [anon_sym_return] = ACTIONS(3632),
    [anon_sym_throw] = ACTIONS(3632),
    [anon_sym_SEMI] = ACTIONS(3632),
    [anon_sym_yield] = ACTIONS(3632),
    [anon_sym_LBRACK] = ACTIONS(3632),
    [anon_sym_LTtemplate_GT] = ACTIONS(3632),
    [anon_sym_DQUOTE] = ACTIONS(3632),
    [anon_sym_SQUOTE] = ACTIONS(3632),
    [anon_sym_class] = ACTIONS(3632),
    [anon_sym_async] = ACTIONS(3632),
    [anon_sym_function] = ACTIONS(3632),
    [anon_sym_new] = ACTIONS(3632),
    [anon_sym_using] = ACTIONS(3632),
    [anon_sym_PLUS] = ACTIONS(3632),
    [anon_sym_DASH] = ACTIONS(3632),
    [anon_sym_SLASH] = ACTIONS(3632),
    [anon_sym_LT] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [anon_sym_void] = ACTIONS(3632),
    [anon_sym_delete] = ACTIONS(3632),
    [anon_sym_PLUS_PLUS] = ACTIONS(3632),
    [anon_sym_DASH_DASH] = ACTIONS(3632),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3632),
    [sym_number] = ACTIONS(3632),
    [sym_private_property_identifier] = ACTIONS(3632),
    [sym_this] = ACTIONS(3632),
    [sym_super] = ACTIONS(3632),
    [sym_true] = ACTIONS(3632),
    [sym_false] = ACTIONS(3632),
    [sym_null] = ACTIONS(3632),
    [sym_undefined] = ACTIONS(3632),
    [anon_sym_AT] = ACTIONS(3632),
    [anon_sym_static] = ACTIONS(3632),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_get] = ACTIONS(3632),
    [anon_sym_set] = ACTIONS(3632),
    [anon_sym_declare] = ACTIONS(3632),
    [anon_sym_public] = ACTIONS(3632),
    [anon_sym_private] = ACTIONS(3632),
    [anon_sym_protected] = ACTIONS(3632),
    [anon_sym_override] = ACTIONS(3632),
    [anon_sym_module] = ACTIONS(3632),
    [anon_sym_any] = ACTIONS(3632),
    [anon_sym_number] = ACTIONS(3632),
    [anon_sym_boolean] = ACTIONS(3632),
    [anon_sym_string] = ACTIONS(3632),
    [anon_sym_symbol] = ACTIONS(3632),
    [anon_sym_object] = ACTIONS(3632),
    [anon_sym_property] = ACTIONS(3632),
    [anon_sym_signal] = ACTIONS(3632),
    [anon_sym_on] = ACTIONS(3632),
    [anon_sym_required] = ACTIONS(3632),
    [anon_sym_component] = ACTIONS(3632),
    [anon_sym_abstract] = ACTIONS(3632),
    [anon_sym_interface] = ACTIONS(3632),
    [anon_sym_enum] = ACTIONS(3632),
    [sym_html_comment] = ACTIONS(5),
  },
  [1688] = {
    [sym_comment] = STATE(1688),
    [sym_identifier] = ACTIONS(3696),
    [anon_sym_export] = ACTIONS(3696),
    [anon_sym_type] = ACTIONS(3696),
    [anon_sym_namespace] = ACTIONS(3696),
    [anon_sym_LBRACE] = ACTIONS(3696),
    [anon_sym_RBRACE] = ACTIONS(3696),
    [anon_sym_typeof] = ACTIONS(3696),
    [anon_sym_import] = ACTIONS(3696),
    [anon_sym_from] = ACTIONS(3696),
    [anon_sym_with] = ACTIONS(3696),
    [anon_sym_var] = ACTIONS(3696),
    [anon_sym_let] = ACTIONS(3696),
    [anon_sym_const] = ACTIONS(3696),
    [anon_sym_BANG] = ACTIONS(3696),
    [anon_sym_if] = ACTIONS(3696),
    [anon_sym_switch] = ACTIONS(3696),
    [anon_sym_for] = ACTIONS(3696),
    [anon_sym_LPAREN] = ACTIONS(3696),
    [anon_sym_await] = ACTIONS(3696),
    [anon_sym_of] = ACTIONS(3696),
    [anon_sym_while] = ACTIONS(3696),
    [anon_sym_do] = ACTIONS(3696),
    [anon_sym_try] = ACTIONS(3696),
    [anon_sym_break] = ACTIONS(3696),
    [anon_sym_continue] = ACTIONS(3696),
    [anon_sym_debugger] = ACTIONS(3696),
    [anon_sym_return] = ACTIONS(3696),
    [anon_sym_throw] = ACTIONS(3696),
    [anon_sym_SEMI] = ACTIONS(3696),
    [anon_sym_yield] = ACTIONS(3696),
    [anon_sym_LBRACK] = ACTIONS(3696),
    [anon_sym_LTtemplate_GT] = ACTIONS(3696),
    [anon_sym_DQUOTE] = ACTIONS(3696),
    [anon_sym_SQUOTE] = ACTIONS(3696),
    [anon_sym_class] = ACTIONS(3696),
    [anon_sym_async] = ACTIONS(3696),
    [anon_sym_function] = ACTIONS(3696),
    [anon_sym_new] = ACTIONS(3696),
    [anon_sym_using] = ACTIONS(3696),
    [anon_sym_PLUS] = ACTIONS(3696),
    [anon_sym_DASH] = ACTIONS(3696),
    [anon_sym_SLASH] = ACTIONS(3696),
    [anon_sym_LT] = ACTIONS(3696),
    [anon_sym_TILDE] = ACTIONS(3696),
    [anon_sym_void] = ACTIONS(3696),
    [anon_sym_delete] = ACTIONS(3696),
    [anon_sym_PLUS_PLUS] = ACTIONS(3696),
    [anon_sym_DASH_DASH] = ACTIONS(3696),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3696),
    [sym_number] = ACTIONS(3696),
    [sym_private_property_identifier] = ACTIONS(3696),
    [sym_this] = ACTIONS(3696),
    [sym_super] = ACTIONS(3696),
    [sym_true] = ACTIONS(3696),
    [sym_false] = ACTIONS(3696),
    [sym_null] = ACTIONS(3696),
    [sym_undefined] = ACTIONS(3696),
    [anon_sym_AT] = ACTIONS(3696),
    [anon_sym_static] = ACTIONS(3696),
    [anon_sym_readonly] = ACTIONS(3696),
    [anon_sym_get] = ACTIONS(3696),
    [anon_sym_set] = ACTIONS(3696),
    [anon_sym_declare] = ACTIONS(3696),
    [anon_sym_public] = ACTIONS(3696),
    [anon_sym_private] = ACTIONS(3696),
    [anon_sym_protected] = ACTIONS(3696),
    [anon_sym_override] = ACTIONS(3696),
    [anon_sym_module] = ACTIONS(3696),
    [anon_sym_any] = ACTIONS(3696),
    [anon_sym_number] = ACTIONS(3696),
    [anon_sym_boolean] = ACTIONS(3696),
    [anon_sym_string] = ACTIONS(3696),
    [anon_sym_symbol] = ACTIONS(3696),
    [anon_sym_object] = ACTIONS(3696),
    [anon_sym_property] = ACTIONS(3696),
    [anon_sym_signal] = ACTIONS(3696),
    [anon_sym_on] = ACTIONS(3696),
    [anon_sym_required] = ACTIONS(3696),
    [anon_sym_component] = ACTIONS(3696),
    [anon_sym_abstract] = ACTIONS(3696),
    [anon_sym_interface] = ACTIONS(3696),
    [anon_sym_enum] = ACTIONS(3696),
    [sym_html_comment] = ACTIONS(5),
  },
  [1689] = {
    [sym_comment] = STATE(1689),
    [sym_identifier] = ACTIONS(3690),
    [anon_sym_export] = ACTIONS(3690),
    [anon_sym_type] = ACTIONS(3690),
    [anon_sym_namespace] = ACTIONS(3690),
    [anon_sym_LBRACE] = ACTIONS(3690),
    [anon_sym_RBRACE] = ACTIONS(3690),
    [anon_sym_typeof] = ACTIONS(3690),
    [anon_sym_import] = ACTIONS(3690),
    [anon_sym_from] = ACTIONS(3690),
    [anon_sym_with] = ACTIONS(3690),
    [anon_sym_var] = ACTIONS(3690),
    [anon_sym_let] = ACTIONS(3690),
    [anon_sym_const] = ACTIONS(3690),
    [anon_sym_BANG] = ACTIONS(3690),
    [anon_sym_if] = ACTIONS(3690),
    [anon_sym_switch] = ACTIONS(3690),
    [anon_sym_for] = ACTIONS(3690),
    [anon_sym_LPAREN] = ACTIONS(3690),
    [anon_sym_await] = ACTIONS(3690),
    [anon_sym_of] = ACTIONS(3690),
    [anon_sym_while] = ACTIONS(3690),
    [anon_sym_do] = ACTIONS(3690),
    [anon_sym_try] = ACTIONS(3690),
    [anon_sym_break] = ACTIONS(3690),
    [anon_sym_continue] = ACTIONS(3690),
    [anon_sym_debugger] = ACTIONS(3690),
    [anon_sym_return] = ACTIONS(3690),
    [anon_sym_throw] = ACTIONS(3690),
    [anon_sym_SEMI] = ACTIONS(3690),
    [anon_sym_yield] = ACTIONS(3690),
    [anon_sym_LBRACK] = ACTIONS(3690),
    [anon_sym_LTtemplate_GT] = ACTIONS(3690),
    [anon_sym_DQUOTE] = ACTIONS(3690),
    [anon_sym_SQUOTE] = ACTIONS(3690),
    [anon_sym_class] = ACTIONS(3690),
    [anon_sym_async] = ACTIONS(3690),
    [anon_sym_function] = ACTIONS(3690),
    [anon_sym_new] = ACTIONS(3690),
    [anon_sym_using] = ACTIONS(3690),
    [anon_sym_PLUS] = ACTIONS(3690),
    [anon_sym_DASH] = ACTIONS(3690),
    [anon_sym_SLASH] = ACTIONS(3690),
    [anon_sym_LT] = ACTIONS(3690),
    [anon_sym_TILDE] = ACTIONS(3690),
    [anon_sym_void] = ACTIONS(3690),
    [anon_sym_delete] = ACTIONS(3690),
    [anon_sym_PLUS_PLUS] = ACTIONS(3690),
    [anon_sym_DASH_DASH] = ACTIONS(3690),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3690),
    [sym_number] = ACTIONS(3690),
    [sym_private_property_identifier] = ACTIONS(3690),
    [sym_this] = ACTIONS(3690),
    [sym_super] = ACTIONS(3690),
    [sym_true] = ACTIONS(3690),
    [sym_false] = ACTIONS(3690),
    [sym_null] = ACTIONS(3690),
    [sym_undefined] = ACTIONS(3690),
    [anon_sym_AT] = ACTIONS(3690),
    [anon_sym_static] = ACTIONS(3690),
    [anon_sym_readonly] = ACTIONS(3690),
    [anon_sym_get] = ACTIONS(3690),
    [anon_sym_set] = ACTIONS(3690),
    [anon_sym_declare] = ACTIONS(3690),
    [anon_sym_public] = ACTIONS(3690),
    [anon_sym_private] = ACTIONS(3690),
    [anon_sym_protected] = ACTIONS(3690),
    [anon_sym_override] = ACTIONS(3690),
    [anon_sym_module] = ACTIONS(3690),
    [anon_sym_any] = ACTIONS(3690),
    [anon_sym_number] = ACTIONS(3690),
    [anon_sym_boolean] = ACTIONS(3690),
    [anon_sym_string] = ACTIONS(3690),
    [anon_sym_symbol] = ACTIONS(3690),
    [anon_sym_object] = ACTIONS(3690),
    [anon_sym_property] = ACTIONS(3690),
    [anon_sym_signal] = ACTIONS(3690),
    [anon_sym_on] = ACTIONS(3690),
    [anon_sym_required] = ACTIONS(3690),
    [anon_sym_component] = ACTIONS(3690),
    [anon_sym_abstract] = ACTIONS(3690),
    [anon_sym_interface] = ACTIONS(3690),
    [anon_sym_enum] = ACTIONS(3690),
    [sym_html_comment] = ACTIONS(5),
  },
  [1690] = {
    [sym_comment] = STATE(1690),
    [sym_identifier] = ACTIONS(3686),
    [anon_sym_export] = ACTIONS(3686),
    [anon_sym_type] = ACTIONS(3686),
    [anon_sym_namespace] = ACTIONS(3686),
    [anon_sym_LBRACE] = ACTIONS(3686),
    [anon_sym_RBRACE] = ACTIONS(3686),
    [anon_sym_typeof] = ACTIONS(3686),
    [anon_sym_import] = ACTIONS(3686),
    [anon_sym_from] = ACTIONS(3686),
    [anon_sym_with] = ACTIONS(3686),
    [anon_sym_var] = ACTIONS(3686),
    [anon_sym_let] = ACTIONS(3686),
    [anon_sym_const] = ACTIONS(3686),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_if] = ACTIONS(3686),
    [anon_sym_switch] = ACTIONS(3686),
    [anon_sym_for] = ACTIONS(3686),
    [anon_sym_LPAREN] = ACTIONS(3686),
    [anon_sym_await] = ACTIONS(3686),
    [anon_sym_of] = ACTIONS(3686),
    [anon_sym_while] = ACTIONS(3686),
    [anon_sym_do] = ACTIONS(3686),
    [anon_sym_try] = ACTIONS(3686),
    [anon_sym_break] = ACTIONS(3686),
    [anon_sym_continue] = ACTIONS(3686),
    [anon_sym_debugger] = ACTIONS(3686),
    [anon_sym_return] = ACTIONS(3686),
    [anon_sym_throw] = ACTIONS(3686),
    [anon_sym_SEMI] = ACTIONS(3686),
    [anon_sym_yield] = ACTIONS(3686),
    [anon_sym_LBRACK] = ACTIONS(3686),
    [anon_sym_LTtemplate_GT] = ACTIONS(3686),
    [anon_sym_DQUOTE] = ACTIONS(3686),
    [anon_sym_SQUOTE] = ACTIONS(3686),
    [anon_sym_class] = ACTIONS(3686),
    [anon_sym_async] = ACTIONS(3686),
    [anon_sym_function] = ACTIONS(3686),
    [anon_sym_new] = ACTIONS(3686),
    [anon_sym_using] = ACTIONS(3686),
    [anon_sym_PLUS] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3686),
    [anon_sym_SLASH] = ACTIONS(3686),
    [anon_sym_LT] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_void] = ACTIONS(3686),
    [anon_sym_delete] = ACTIONS(3686),
    [anon_sym_PLUS_PLUS] = ACTIONS(3686),
    [anon_sym_DASH_DASH] = ACTIONS(3686),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3686),
    [sym_number] = ACTIONS(3686),
    [sym_private_property_identifier] = ACTIONS(3686),
    [sym_this] = ACTIONS(3686),
    [sym_super] = ACTIONS(3686),
    [sym_true] = ACTIONS(3686),
    [sym_false] = ACTIONS(3686),
    [sym_null] = ACTIONS(3686),
    [sym_undefined] = ACTIONS(3686),
    [anon_sym_AT] = ACTIONS(3686),
    [anon_sym_static] = ACTIONS(3686),
    [anon_sym_readonly] = ACTIONS(3686),
    [anon_sym_get] = ACTIONS(3686),
    [anon_sym_set] = ACTIONS(3686),
    [anon_sym_declare] = ACTIONS(3686),
    [anon_sym_public] = ACTIONS(3686),
    [anon_sym_private] = ACTIONS(3686),
    [anon_sym_protected] = ACTIONS(3686),
    [anon_sym_override] = ACTIONS(3686),
    [anon_sym_module] = ACTIONS(3686),
    [anon_sym_any] = ACTIONS(3686),
    [anon_sym_number] = ACTIONS(3686),
    [anon_sym_boolean] = ACTIONS(3686),
    [anon_sym_string] = ACTIONS(3686),
    [anon_sym_symbol] = ACTIONS(3686),
    [anon_sym_object] = ACTIONS(3686),
    [anon_sym_property] = ACTIONS(3686),
    [anon_sym_signal] = ACTIONS(3686),
    [anon_sym_on] = ACTIONS(3686),
    [anon_sym_required] = ACTIONS(3686),
    [anon_sym_component] = ACTIONS(3686),
    [anon_sym_abstract] = ACTIONS(3686),
    [anon_sym_interface] = ACTIONS(3686),
    [anon_sym_enum] = ACTIONS(3686),
    [sym_html_comment] = ACTIONS(5),
  },
  [1691] = {
    [sym_comment] = STATE(1691),
    [sym_identifier] = ACTIONS(3488),
    [anon_sym_export] = ACTIONS(3488),
    [anon_sym_type] = ACTIONS(3488),
    [anon_sym_namespace] = ACTIONS(3488),
    [anon_sym_LBRACE] = ACTIONS(3488),
    [anon_sym_RBRACE] = ACTIONS(3488),
    [anon_sym_typeof] = ACTIONS(3488),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_from] = ACTIONS(3488),
    [anon_sym_with] = ACTIONS(3488),
    [anon_sym_var] = ACTIONS(3488),
    [anon_sym_let] = ACTIONS(3488),
    [anon_sym_const] = ACTIONS(3488),
    [anon_sym_BANG] = ACTIONS(3488),
    [anon_sym_if] = ACTIONS(3488),
    [anon_sym_switch] = ACTIONS(3488),
    [anon_sym_for] = ACTIONS(3488),
    [anon_sym_LPAREN] = ACTIONS(3488),
    [anon_sym_await] = ACTIONS(3488),
    [anon_sym_of] = ACTIONS(3488),
    [anon_sym_while] = ACTIONS(3488),
    [anon_sym_do] = ACTIONS(3488),
    [anon_sym_try] = ACTIONS(3488),
    [anon_sym_break] = ACTIONS(3488),
    [anon_sym_continue] = ACTIONS(3488),
    [anon_sym_debugger] = ACTIONS(3488),
    [anon_sym_return] = ACTIONS(3488),
    [anon_sym_throw] = ACTIONS(3488),
    [anon_sym_SEMI] = ACTIONS(3488),
    [anon_sym_yield] = ACTIONS(3488),
    [anon_sym_LBRACK] = ACTIONS(3488),
    [anon_sym_LTtemplate_GT] = ACTIONS(3488),
    [anon_sym_DQUOTE] = ACTIONS(3488),
    [anon_sym_SQUOTE] = ACTIONS(3488),
    [anon_sym_class] = ACTIONS(3488),
    [anon_sym_async] = ACTIONS(3488),
    [anon_sym_function] = ACTIONS(3488),
    [anon_sym_new] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3488),
    [anon_sym_PLUS] = ACTIONS(3488),
    [anon_sym_DASH] = ACTIONS(3488),
    [anon_sym_SLASH] = ACTIONS(3488),
    [anon_sym_LT] = ACTIONS(3488),
    [anon_sym_TILDE] = ACTIONS(3488),
    [anon_sym_void] = ACTIONS(3488),
    [anon_sym_delete] = ACTIONS(3488),
    [anon_sym_PLUS_PLUS] = ACTIONS(3488),
    [anon_sym_DASH_DASH] = ACTIONS(3488),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3488),
    [sym_number] = ACTIONS(3488),
    [sym_private_property_identifier] = ACTIONS(3488),
    [sym_this] = ACTIONS(3488),
    [sym_super] = ACTIONS(3488),
    [sym_true] = ACTIONS(3488),
    [sym_false] = ACTIONS(3488),
    [sym_null] = ACTIONS(3488),
    [sym_undefined] = ACTIONS(3488),
    [anon_sym_AT] = ACTIONS(3488),
    [anon_sym_static] = ACTIONS(3488),
    [anon_sym_readonly] = ACTIONS(3488),
    [anon_sym_get] = ACTIONS(3488),
    [anon_sym_set] = ACTIONS(3488),
    [anon_sym_declare] = ACTIONS(3488),
    [anon_sym_public] = ACTIONS(3488),
    [anon_sym_private] = ACTIONS(3488),
    [anon_sym_protected] = ACTIONS(3488),
    [anon_sym_override] = ACTIONS(3488),
    [anon_sym_module] = ACTIONS(3488),
    [anon_sym_any] = ACTIONS(3488),
    [anon_sym_number] = ACTIONS(3488),
    [anon_sym_boolean] = ACTIONS(3488),
    [anon_sym_string] = ACTIONS(3488),
    [anon_sym_symbol] = ACTIONS(3488),
    [anon_sym_object] = ACTIONS(3488),
    [anon_sym_property] = ACTIONS(3488),
    [anon_sym_signal] = ACTIONS(3488),
    [anon_sym_on] = ACTIONS(3488),
    [anon_sym_required] = ACTIONS(3488),
    [anon_sym_component] = ACTIONS(3488),
    [anon_sym_abstract] = ACTIONS(3488),
    [anon_sym_interface] = ACTIONS(3488),
    [anon_sym_enum] = ACTIONS(3488),
    [sym_html_comment] = ACTIONS(5),
  },
  [1692] = {
    [sym_comment] = STATE(1692),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1693] = {
    [sym_comment] = STATE(1693),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1694] = {
    [sym_comment] = STATE(1694),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1695] = {
    [sym_comment] = STATE(1695),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1696] = {
    [sym_comment] = STATE(1696),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1697] = {
    [sym_comment] = STATE(1697),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1698] = {
    [sym_comment] = STATE(1698),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1699] = {
    [sym_comment] = STATE(1699),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1700] = {
    [sym_comment] = STATE(1700),
    [sym_identifier] = ACTIONS(3664),
    [anon_sym_export] = ACTIONS(3664),
    [anon_sym_type] = ACTIONS(3664),
    [anon_sym_namespace] = ACTIONS(3664),
    [anon_sym_LBRACE] = ACTIONS(3664),
    [anon_sym_RBRACE] = ACTIONS(3664),
    [anon_sym_typeof] = ACTIONS(3664),
    [anon_sym_import] = ACTIONS(3664),
    [anon_sym_from] = ACTIONS(3664),
    [anon_sym_with] = ACTIONS(3664),
    [anon_sym_var] = ACTIONS(3664),
    [anon_sym_let] = ACTIONS(3664),
    [anon_sym_const] = ACTIONS(3664),
    [anon_sym_BANG] = ACTIONS(3664),
    [anon_sym_if] = ACTIONS(3664),
    [anon_sym_switch] = ACTIONS(3664),
    [anon_sym_for] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(3664),
    [anon_sym_await] = ACTIONS(3664),
    [anon_sym_of] = ACTIONS(3664),
    [anon_sym_while] = ACTIONS(3664),
    [anon_sym_do] = ACTIONS(3664),
    [anon_sym_try] = ACTIONS(3664),
    [anon_sym_break] = ACTIONS(3664),
    [anon_sym_continue] = ACTIONS(3664),
    [anon_sym_debugger] = ACTIONS(3664),
    [anon_sym_return] = ACTIONS(3664),
    [anon_sym_throw] = ACTIONS(3664),
    [anon_sym_SEMI] = ACTIONS(3664),
    [anon_sym_yield] = ACTIONS(3664),
    [anon_sym_LBRACK] = ACTIONS(3664),
    [anon_sym_LTtemplate_GT] = ACTIONS(3664),
    [anon_sym_DQUOTE] = ACTIONS(3664),
    [anon_sym_SQUOTE] = ACTIONS(3664),
    [anon_sym_class] = ACTIONS(3664),
    [anon_sym_async] = ACTIONS(3664),
    [anon_sym_function] = ACTIONS(3664),
    [anon_sym_new] = ACTIONS(3664),
    [anon_sym_using] = ACTIONS(3664),
    [anon_sym_PLUS] = ACTIONS(3664),
    [anon_sym_DASH] = ACTIONS(3664),
    [anon_sym_SLASH] = ACTIONS(3664),
    [anon_sym_LT] = ACTIONS(3664),
    [anon_sym_TILDE] = ACTIONS(3664),
    [anon_sym_void] = ACTIONS(3664),
    [anon_sym_delete] = ACTIONS(3664),
    [anon_sym_PLUS_PLUS] = ACTIONS(3664),
    [anon_sym_DASH_DASH] = ACTIONS(3664),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3664),
    [sym_number] = ACTIONS(3664),
    [sym_private_property_identifier] = ACTIONS(3664),
    [sym_this] = ACTIONS(3664),
    [sym_super] = ACTIONS(3664),
    [sym_true] = ACTIONS(3664),
    [sym_false] = ACTIONS(3664),
    [sym_null] = ACTIONS(3664),
    [sym_undefined] = ACTIONS(3664),
    [anon_sym_AT] = ACTIONS(3664),
    [anon_sym_static] = ACTIONS(3664),
    [anon_sym_readonly] = ACTIONS(3664),
    [anon_sym_get] = ACTIONS(3664),
    [anon_sym_set] = ACTIONS(3664),
    [anon_sym_declare] = ACTIONS(3664),
    [anon_sym_public] = ACTIONS(3664),
    [anon_sym_private] = ACTIONS(3664),
    [anon_sym_protected] = ACTIONS(3664),
    [anon_sym_override] = ACTIONS(3664),
    [anon_sym_module] = ACTIONS(3664),
    [anon_sym_any] = ACTIONS(3664),
    [anon_sym_number] = ACTIONS(3664),
    [anon_sym_boolean] = ACTIONS(3664),
    [anon_sym_string] = ACTIONS(3664),
    [anon_sym_symbol] = ACTIONS(3664),
    [anon_sym_object] = ACTIONS(3664),
    [anon_sym_property] = ACTIONS(3664),
    [anon_sym_signal] = ACTIONS(3664),
    [anon_sym_on] = ACTIONS(3664),
    [anon_sym_required] = ACTIONS(3664),
    [anon_sym_component] = ACTIONS(3664),
    [anon_sym_abstract] = ACTIONS(3664),
    [anon_sym_interface] = ACTIONS(3664),
    [anon_sym_enum] = ACTIONS(3664),
    [sym_html_comment] = ACTIONS(5),
  },
  [1701] = {
    [sym_comment] = STATE(1701),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_export] = ACTIONS(3596),
    [anon_sym_type] = ACTIONS(3596),
    [anon_sym_namespace] = ACTIONS(3596),
    [anon_sym_LBRACE] = ACTIONS(3596),
    [anon_sym_RBRACE] = ACTIONS(3596),
    [anon_sym_typeof] = ACTIONS(3596),
    [anon_sym_import] = ACTIONS(3596),
    [anon_sym_from] = ACTIONS(3596),
    [anon_sym_with] = ACTIONS(3596),
    [anon_sym_var] = ACTIONS(3596),
    [anon_sym_let] = ACTIONS(3596),
    [anon_sym_const] = ACTIONS(3596),
    [anon_sym_BANG] = ACTIONS(3596),
    [anon_sym_if] = ACTIONS(3596),
    [anon_sym_switch] = ACTIONS(3596),
    [anon_sym_for] = ACTIONS(3596),
    [anon_sym_LPAREN] = ACTIONS(3596),
    [anon_sym_await] = ACTIONS(3596),
    [anon_sym_of] = ACTIONS(3596),
    [anon_sym_while] = ACTIONS(3596),
    [anon_sym_do] = ACTIONS(3596),
    [anon_sym_try] = ACTIONS(3596),
    [anon_sym_break] = ACTIONS(3596),
    [anon_sym_continue] = ACTIONS(3596),
    [anon_sym_debugger] = ACTIONS(3596),
    [anon_sym_return] = ACTIONS(3596),
    [anon_sym_throw] = ACTIONS(3596),
    [anon_sym_SEMI] = ACTIONS(3596),
    [anon_sym_yield] = ACTIONS(3596),
    [anon_sym_LBRACK] = ACTIONS(3596),
    [anon_sym_LTtemplate_GT] = ACTIONS(3596),
    [anon_sym_DQUOTE] = ACTIONS(3596),
    [anon_sym_SQUOTE] = ACTIONS(3596),
    [anon_sym_class] = ACTIONS(3596),
    [anon_sym_async] = ACTIONS(3596),
    [anon_sym_function] = ACTIONS(3596),
    [anon_sym_new] = ACTIONS(3596),
    [anon_sym_using] = ACTIONS(3596),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3596),
    [anon_sym_LT] = ACTIONS(3596),
    [anon_sym_TILDE] = ACTIONS(3596),
    [anon_sym_void] = ACTIONS(3596),
    [anon_sym_delete] = ACTIONS(3596),
    [anon_sym_PLUS_PLUS] = ACTIONS(3596),
    [anon_sym_DASH_DASH] = ACTIONS(3596),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3596),
    [sym_number] = ACTIONS(3596),
    [sym_private_property_identifier] = ACTIONS(3596),
    [sym_this] = ACTIONS(3596),
    [sym_super] = ACTIONS(3596),
    [sym_true] = ACTIONS(3596),
    [sym_false] = ACTIONS(3596),
    [sym_null] = ACTIONS(3596),
    [sym_undefined] = ACTIONS(3596),
    [anon_sym_AT] = ACTIONS(3596),
    [anon_sym_static] = ACTIONS(3596),
    [anon_sym_readonly] = ACTIONS(3596),
    [anon_sym_get] = ACTIONS(3596),
    [anon_sym_set] = ACTIONS(3596),
    [anon_sym_declare] = ACTIONS(3596),
    [anon_sym_public] = ACTIONS(3596),
    [anon_sym_private] = ACTIONS(3596),
    [anon_sym_protected] = ACTIONS(3596),
    [anon_sym_override] = ACTIONS(3596),
    [anon_sym_module] = ACTIONS(3596),
    [anon_sym_any] = ACTIONS(3596),
    [anon_sym_number] = ACTIONS(3596),
    [anon_sym_boolean] = ACTIONS(3596),
    [anon_sym_string] = ACTIONS(3596),
    [anon_sym_symbol] = ACTIONS(3596),
    [anon_sym_object] = ACTIONS(3596),
    [anon_sym_property] = ACTIONS(3596),
    [anon_sym_signal] = ACTIONS(3596),
    [anon_sym_on] = ACTIONS(3596),
    [anon_sym_required] = ACTIONS(3596),
    [anon_sym_component] = ACTIONS(3596),
    [anon_sym_abstract] = ACTIONS(3596),
    [anon_sym_interface] = ACTIONS(3596),
    [anon_sym_enum] = ACTIONS(3596),
    [sym_html_comment] = ACTIONS(5),
  },
  [1702] = {
    [sym_comment] = STATE(1702),
    [sym_identifier] = ACTIONS(3596),
    [anon_sym_export] = ACTIONS(3596),
    [anon_sym_type] = ACTIONS(3596),
    [anon_sym_namespace] = ACTIONS(3596),
    [anon_sym_LBRACE] = ACTIONS(3596),
    [anon_sym_RBRACE] = ACTIONS(3596),
    [anon_sym_typeof] = ACTIONS(3596),
    [anon_sym_import] = ACTIONS(3596),
    [anon_sym_from] = ACTIONS(3596),
    [anon_sym_with] = ACTIONS(3596),
    [anon_sym_var] = ACTIONS(3596),
    [anon_sym_let] = ACTIONS(3596),
    [anon_sym_const] = ACTIONS(3596),
    [anon_sym_BANG] = ACTIONS(3596),
    [anon_sym_if] = ACTIONS(3596),
    [anon_sym_switch] = ACTIONS(3596),
    [anon_sym_for] = ACTIONS(3596),
    [anon_sym_LPAREN] = ACTIONS(3596),
    [anon_sym_await] = ACTIONS(3596),
    [anon_sym_of] = ACTIONS(3596),
    [anon_sym_while] = ACTIONS(3596),
    [anon_sym_do] = ACTIONS(3596),
    [anon_sym_try] = ACTIONS(3596),
    [anon_sym_break] = ACTIONS(3596),
    [anon_sym_continue] = ACTIONS(3596),
    [anon_sym_debugger] = ACTIONS(3596),
    [anon_sym_return] = ACTIONS(3596),
    [anon_sym_throw] = ACTIONS(3596),
    [anon_sym_SEMI] = ACTIONS(3596),
    [anon_sym_yield] = ACTIONS(3596),
    [anon_sym_LBRACK] = ACTIONS(3596),
    [anon_sym_LTtemplate_GT] = ACTIONS(3596),
    [anon_sym_DQUOTE] = ACTIONS(3596),
    [anon_sym_SQUOTE] = ACTIONS(3596),
    [anon_sym_class] = ACTIONS(3596),
    [anon_sym_async] = ACTIONS(3596),
    [anon_sym_function] = ACTIONS(3596),
    [anon_sym_new] = ACTIONS(3596),
    [anon_sym_using] = ACTIONS(3596),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3596),
    [anon_sym_LT] = ACTIONS(3596),
    [anon_sym_TILDE] = ACTIONS(3596),
    [anon_sym_void] = ACTIONS(3596),
    [anon_sym_delete] = ACTIONS(3596),
    [anon_sym_PLUS_PLUS] = ACTIONS(3596),
    [anon_sym_DASH_DASH] = ACTIONS(3596),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3596),
    [sym_number] = ACTIONS(3596),
    [sym_private_property_identifier] = ACTIONS(3596),
    [sym_this] = ACTIONS(3596),
    [sym_super] = ACTIONS(3596),
    [sym_true] = ACTIONS(3596),
    [sym_false] = ACTIONS(3596),
    [sym_null] = ACTIONS(3596),
    [sym_undefined] = ACTIONS(3596),
    [anon_sym_AT] = ACTIONS(3596),
    [anon_sym_static] = ACTIONS(3596),
    [anon_sym_readonly] = ACTIONS(3596),
    [anon_sym_get] = ACTIONS(3596),
    [anon_sym_set] = ACTIONS(3596),
    [anon_sym_declare] = ACTIONS(3596),
    [anon_sym_public] = ACTIONS(3596),
    [anon_sym_private] = ACTIONS(3596),
    [anon_sym_protected] = ACTIONS(3596),
    [anon_sym_override] = ACTIONS(3596),
    [anon_sym_module] = ACTIONS(3596),
    [anon_sym_any] = ACTIONS(3596),
    [anon_sym_number] = ACTIONS(3596),
    [anon_sym_boolean] = ACTIONS(3596),
    [anon_sym_string] = ACTIONS(3596),
    [anon_sym_symbol] = ACTIONS(3596),
    [anon_sym_object] = ACTIONS(3596),
    [anon_sym_property] = ACTIONS(3596),
    [anon_sym_signal] = ACTIONS(3596),
    [anon_sym_on] = ACTIONS(3596),
    [anon_sym_required] = ACTIONS(3596),
    [anon_sym_component] = ACTIONS(3596),
    [anon_sym_abstract] = ACTIONS(3596),
    [anon_sym_interface] = ACTIONS(3596),
    [anon_sym_enum] = ACTIONS(3596),
    [sym_html_comment] = ACTIONS(5),
  },
  [1703] = {
    [sym_comment] = STATE(1703),
    [sym_identifier] = ACTIONS(3480),
    [anon_sym_export] = ACTIONS(3480),
    [anon_sym_type] = ACTIONS(3480),
    [anon_sym_namespace] = ACTIONS(3480),
    [anon_sym_LBRACE] = ACTIONS(3480),
    [anon_sym_RBRACE] = ACTIONS(3480),
    [anon_sym_typeof] = ACTIONS(3480),
    [anon_sym_import] = ACTIONS(3480),
    [anon_sym_from] = ACTIONS(3480),
    [anon_sym_with] = ACTIONS(3480),
    [anon_sym_var] = ACTIONS(3480),
    [anon_sym_let] = ACTIONS(3480),
    [anon_sym_const] = ACTIONS(3480),
    [anon_sym_BANG] = ACTIONS(3480),
    [anon_sym_if] = ACTIONS(3480),
    [anon_sym_switch] = ACTIONS(3480),
    [anon_sym_for] = ACTIONS(3480),
    [anon_sym_LPAREN] = ACTIONS(3480),
    [anon_sym_await] = ACTIONS(3480),
    [anon_sym_of] = ACTIONS(3480),
    [anon_sym_while] = ACTIONS(3480),
    [anon_sym_do] = ACTIONS(3480),
    [anon_sym_try] = ACTIONS(3480),
    [anon_sym_break] = ACTIONS(3480),
    [anon_sym_continue] = ACTIONS(3480),
    [anon_sym_debugger] = ACTIONS(3480),
    [anon_sym_return] = ACTIONS(3480),
    [anon_sym_throw] = ACTIONS(3480),
    [anon_sym_SEMI] = ACTIONS(3480),
    [anon_sym_yield] = ACTIONS(3480),
    [anon_sym_LBRACK] = ACTIONS(3480),
    [anon_sym_LTtemplate_GT] = ACTIONS(3480),
    [anon_sym_DQUOTE] = ACTIONS(3480),
    [anon_sym_SQUOTE] = ACTIONS(3480),
    [anon_sym_class] = ACTIONS(3480),
    [anon_sym_async] = ACTIONS(3480),
    [anon_sym_function] = ACTIONS(3480),
    [anon_sym_new] = ACTIONS(3480),
    [anon_sym_using] = ACTIONS(3480),
    [anon_sym_PLUS] = ACTIONS(3480),
    [anon_sym_DASH] = ACTIONS(3480),
    [anon_sym_SLASH] = ACTIONS(3480),
    [anon_sym_LT] = ACTIONS(3480),
    [anon_sym_TILDE] = ACTIONS(3480),
    [anon_sym_void] = ACTIONS(3480),
    [anon_sym_delete] = ACTIONS(3480),
    [anon_sym_PLUS_PLUS] = ACTIONS(3480),
    [anon_sym_DASH_DASH] = ACTIONS(3480),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3480),
    [sym_number] = ACTIONS(3480),
    [sym_private_property_identifier] = ACTIONS(3480),
    [sym_this] = ACTIONS(3480),
    [sym_super] = ACTIONS(3480),
    [sym_true] = ACTIONS(3480),
    [sym_false] = ACTIONS(3480),
    [sym_null] = ACTIONS(3480),
    [sym_undefined] = ACTIONS(3480),
    [anon_sym_AT] = ACTIONS(3480),
    [anon_sym_static] = ACTIONS(3480),
    [anon_sym_readonly] = ACTIONS(3480),
    [anon_sym_get] = ACTIONS(3480),
    [anon_sym_set] = ACTIONS(3480),
    [anon_sym_declare] = ACTIONS(3480),
    [anon_sym_public] = ACTIONS(3480),
    [anon_sym_private] = ACTIONS(3480),
    [anon_sym_protected] = ACTIONS(3480),
    [anon_sym_override] = ACTIONS(3480),
    [anon_sym_module] = ACTIONS(3480),
    [anon_sym_any] = ACTIONS(3480),
    [anon_sym_number] = ACTIONS(3480),
    [anon_sym_boolean] = ACTIONS(3480),
    [anon_sym_string] = ACTIONS(3480),
    [anon_sym_symbol] = ACTIONS(3480),
    [anon_sym_object] = ACTIONS(3480),
    [anon_sym_property] = ACTIONS(3480),
    [anon_sym_signal] = ACTIONS(3480),
    [anon_sym_on] = ACTIONS(3480),
    [anon_sym_required] = ACTIONS(3480),
    [anon_sym_component] = ACTIONS(3480),
    [anon_sym_abstract] = ACTIONS(3480),
    [anon_sym_interface] = ACTIONS(3480),
    [anon_sym_enum] = ACTIONS(3480),
    [sym_html_comment] = ACTIONS(5),
  },
  [1704] = {
    [sym_comment] = STATE(1704),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1705] = {
    [sym_comment] = STATE(1705),
    [sym_identifier] = ACTIONS(3652),
    [anon_sym_export] = ACTIONS(3652),
    [anon_sym_type] = ACTIONS(3652),
    [anon_sym_namespace] = ACTIONS(3652),
    [anon_sym_LBRACE] = ACTIONS(3652),
    [anon_sym_RBRACE] = ACTIONS(3652),
    [anon_sym_typeof] = ACTIONS(3652),
    [anon_sym_import] = ACTIONS(3652),
    [anon_sym_from] = ACTIONS(3652),
    [anon_sym_with] = ACTIONS(3652),
    [anon_sym_var] = ACTIONS(3652),
    [anon_sym_let] = ACTIONS(3652),
    [anon_sym_const] = ACTIONS(3652),
    [anon_sym_BANG] = ACTIONS(3652),
    [anon_sym_if] = ACTIONS(3652),
    [anon_sym_switch] = ACTIONS(3652),
    [anon_sym_for] = ACTIONS(3652),
    [anon_sym_LPAREN] = ACTIONS(3652),
    [anon_sym_await] = ACTIONS(3652),
    [anon_sym_of] = ACTIONS(3652),
    [anon_sym_while] = ACTIONS(3652),
    [anon_sym_do] = ACTIONS(3652),
    [anon_sym_try] = ACTIONS(3652),
    [anon_sym_break] = ACTIONS(3652),
    [anon_sym_continue] = ACTIONS(3652),
    [anon_sym_debugger] = ACTIONS(3652),
    [anon_sym_return] = ACTIONS(3652),
    [anon_sym_throw] = ACTIONS(3652),
    [anon_sym_SEMI] = ACTIONS(3652),
    [anon_sym_yield] = ACTIONS(3652),
    [anon_sym_LBRACK] = ACTIONS(3652),
    [anon_sym_LTtemplate_GT] = ACTIONS(3652),
    [anon_sym_DQUOTE] = ACTIONS(3652),
    [anon_sym_SQUOTE] = ACTIONS(3652),
    [anon_sym_class] = ACTIONS(3652),
    [anon_sym_async] = ACTIONS(3652),
    [anon_sym_function] = ACTIONS(3652),
    [anon_sym_new] = ACTIONS(3652),
    [anon_sym_using] = ACTIONS(3652),
    [anon_sym_PLUS] = ACTIONS(3652),
    [anon_sym_DASH] = ACTIONS(3652),
    [anon_sym_SLASH] = ACTIONS(3652),
    [anon_sym_LT] = ACTIONS(3652),
    [anon_sym_TILDE] = ACTIONS(3652),
    [anon_sym_void] = ACTIONS(3652),
    [anon_sym_delete] = ACTIONS(3652),
    [anon_sym_PLUS_PLUS] = ACTIONS(3652),
    [anon_sym_DASH_DASH] = ACTIONS(3652),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3652),
    [sym_number] = ACTIONS(3652),
    [sym_private_property_identifier] = ACTIONS(3652),
    [sym_this] = ACTIONS(3652),
    [sym_super] = ACTIONS(3652),
    [sym_true] = ACTIONS(3652),
    [sym_false] = ACTIONS(3652),
    [sym_null] = ACTIONS(3652),
    [sym_undefined] = ACTIONS(3652),
    [anon_sym_AT] = ACTIONS(3652),
    [anon_sym_static] = ACTIONS(3652),
    [anon_sym_readonly] = ACTIONS(3652),
    [anon_sym_get] = ACTIONS(3652),
    [anon_sym_set] = ACTIONS(3652),
    [anon_sym_declare] = ACTIONS(3652),
    [anon_sym_public] = ACTIONS(3652),
    [anon_sym_private] = ACTIONS(3652),
    [anon_sym_protected] = ACTIONS(3652),
    [anon_sym_override] = ACTIONS(3652),
    [anon_sym_module] = ACTIONS(3652),
    [anon_sym_any] = ACTIONS(3652),
    [anon_sym_number] = ACTIONS(3652),
    [anon_sym_boolean] = ACTIONS(3652),
    [anon_sym_string] = ACTIONS(3652),
    [anon_sym_symbol] = ACTIONS(3652),
    [anon_sym_object] = ACTIONS(3652),
    [anon_sym_property] = ACTIONS(3652),
    [anon_sym_signal] = ACTIONS(3652),
    [anon_sym_on] = ACTIONS(3652),
    [anon_sym_required] = ACTIONS(3652),
    [anon_sym_component] = ACTIONS(3652),
    [anon_sym_abstract] = ACTIONS(3652),
    [anon_sym_interface] = ACTIONS(3652),
    [anon_sym_enum] = ACTIONS(3652),
    [sym_html_comment] = ACTIONS(5),
  },
  [1706] = {
    [sym_comment] = STATE(1706),
    [sym_identifier] = ACTIONS(3668),
    [anon_sym_export] = ACTIONS(3668),
    [anon_sym_type] = ACTIONS(3668),
    [anon_sym_namespace] = ACTIONS(3668),
    [anon_sym_LBRACE] = ACTIONS(3668),
    [anon_sym_RBRACE] = ACTIONS(3668),
    [anon_sym_typeof] = ACTIONS(3668),
    [anon_sym_import] = ACTIONS(3668),
    [anon_sym_from] = ACTIONS(3668),
    [anon_sym_with] = ACTIONS(3668),
    [anon_sym_var] = ACTIONS(3668),
    [anon_sym_let] = ACTIONS(3668),
    [anon_sym_const] = ACTIONS(3668),
    [anon_sym_BANG] = ACTIONS(3668),
    [anon_sym_if] = ACTIONS(3668),
    [anon_sym_switch] = ACTIONS(3668),
    [anon_sym_for] = ACTIONS(3668),
    [anon_sym_LPAREN] = ACTIONS(3668),
    [anon_sym_await] = ACTIONS(3668),
    [anon_sym_of] = ACTIONS(3668),
    [anon_sym_while] = ACTIONS(3668),
    [anon_sym_do] = ACTIONS(3668),
    [anon_sym_try] = ACTIONS(3668),
    [anon_sym_break] = ACTIONS(3668),
    [anon_sym_continue] = ACTIONS(3668),
    [anon_sym_debugger] = ACTIONS(3668),
    [anon_sym_return] = ACTIONS(3668),
    [anon_sym_throw] = ACTIONS(3668),
    [anon_sym_SEMI] = ACTIONS(3668),
    [anon_sym_yield] = ACTIONS(3668),
    [anon_sym_LBRACK] = ACTIONS(3668),
    [anon_sym_LTtemplate_GT] = ACTIONS(3668),
    [anon_sym_DQUOTE] = ACTIONS(3668),
    [anon_sym_SQUOTE] = ACTIONS(3668),
    [anon_sym_class] = ACTIONS(3668),
    [anon_sym_async] = ACTIONS(3668),
    [anon_sym_function] = ACTIONS(3668),
    [anon_sym_new] = ACTIONS(3668),
    [anon_sym_using] = ACTIONS(3668),
    [anon_sym_PLUS] = ACTIONS(3668),
    [anon_sym_DASH] = ACTIONS(3668),
    [anon_sym_SLASH] = ACTIONS(3668),
    [anon_sym_LT] = ACTIONS(3668),
    [anon_sym_TILDE] = ACTIONS(3668),
    [anon_sym_void] = ACTIONS(3668),
    [anon_sym_delete] = ACTIONS(3668),
    [anon_sym_PLUS_PLUS] = ACTIONS(3668),
    [anon_sym_DASH_DASH] = ACTIONS(3668),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3668),
    [sym_number] = ACTIONS(3668),
    [sym_private_property_identifier] = ACTIONS(3668),
    [sym_this] = ACTIONS(3668),
    [sym_super] = ACTIONS(3668),
    [sym_true] = ACTIONS(3668),
    [sym_false] = ACTIONS(3668),
    [sym_null] = ACTIONS(3668),
    [sym_undefined] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(3668),
    [anon_sym_static] = ACTIONS(3668),
    [anon_sym_readonly] = ACTIONS(3668),
    [anon_sym_get] = ACTIONS(3668),
    [anon_sym_set] = ACTIONS(3668),
    [anon_sym_declare] = ACTIONS(3668),
    [anon_sym_public] = ACTIONS(3668),
    [anon_sym_private] = ACTIONS(3668),
    [anon_sym_protected] = ACTIONS(3668),
    [anon_sym_override] = ACTIONS(3668),
    [anon_sym_module] = ACTIONS(3668),
    [anon_sym_any] = ACTIONS(3668),
    [anon_sym_number] = ACTIONS(3668),
    [anon_sym_boolean] = ACTIONS(3668),
    [anon_sym_string] = ACTIONS(3668),
    [anon_sym_symbol] = ACTIONS(3668),
    [anon_sym_object] = ACTIONS(3668),
    [anon_sym_property] = ACTIONS(3668),
    [anon_sym_signal] = ACTIONS(3668),
    [anon_sym_on] = ACTIONS(3668),
    [anon_sym_required] = ACTIONS(3668),
    [anon_sym_component] = ACTIONS(3668),
    [anon_sym_abstract] = ACTIONS(3668),
    [anon_sym_interface] = ACTIONS(3668),
    [anon_sym_enum] = ACTIONS(3668),
    [sym_html_comment] = ACTIONS(5),
  },
  [1707] = {
    [sym_comment] = STATE(1707),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1708] = {
    [sym_comment] = STATE(1708),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1709] = {
    [sym_comment] = STATE(1709),
    [sym_identifier] = ACTIONS(3646),
    [anon_sym_export] = ACTIONS(3646),
    [anon_sym_type] = ACTIONS(3646),
    [anon_sym_namespace] = ACTIONS(3646),
    [anon_sym_LBRACE] = ACTIONS(3646),
    [anon_sym_RBRACE] = ACTIONS(3646),
    [anon_sym_typeof] = ACTIONS(3646),
    [anon_sym_import] = ACTIONS(3646),
    [anon_sym_from] = ACTIONS(3646),
    [anon_sym_with] = ACTIONS(3646),
    [anon_sym_var] = ACTIONS(3646),
    [anon_sym_let] = ACTIONS(3646),
    [anon_sym_const] = ACTIONS(3646),
    [anon_sym_BANG] = ACTIONS(3646),
    [anon_sym_if] = ACTIONS(3646),
    [anon_sym_switch] = ACTIONS(3646),
    [anon_sym_for] = ACTIONS(3646),
    [anon_sym_LPAREN] = ACTIONS(3646),
    [anon_sym_await] = ACTIONS(3646),
    [anon_sym_of] = ACTIONS(3646),
    [anon_sym_while] = ACTIONS(3646),
    [anon_sym_do] = ACTIONS(3646),
    [anon_sym_try] = ACTIONS(3646),
    [anon_sym_break] = ACTIONS(3646),
    [anon_sym_continue] = ACTIONS(3646),
    [anon_sym_debugger] = ACTIONS(3646),
    [anon_sym_return] = ACTIONS(3646),
    [anon_sym_throw] = ACTIONS(3646),
    [anon_sym_SEMI] = ACTIONS(3646),
    [anon_sym_yield] = ACTIONS(3646),
    [anon_sym_LBRACK] = ACTIONS(3646),
    [anon_sym_LTtemplate_GT] = ACTIONS(3646),
    [anon_sym_DQUOTE] = ACTIONS(3646),
    [anon_sym_SQUOTE] = ACTIONS(3646),
    [anon_sym_class] = ACTIONS(3646),
    [anon_sym_async] = ACTIONS(3646),
    [anon_sym_function] = ACTIONS(3646),
    [anon_sym_new] = ACTIONS(3646),
    [anon_sym_using] = ACTIONS(3646),
    [anon_sym_PLUS] = ACTIONS(3646),
    [anon_sym_DASH] = ACTIONS(3646),
    [anon_sym_SLASH] = ACTIONS(3646),
    [anon_sym_LT] = ACTIONS(3646),
    [anon_sym_TILDE] = ACTIONS(3646),
    [anon_sym_void] = ACTIONS(3646),
    [anon_sym_delete] = ACTIONS(3646),
    [anon_sym_PLUS_PLUS] = ACTIONS(3646),
    [anon_sym_DASH_DASH] = ACTIONS(3646),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3646),
    [sym_number] = ACTIONS(3646),
    [sym_private_property_identifier] = ACTIONS(3646),
    [sym_this] = ACTIONS(3646),
    [sym_super] = ACTIONS(3646),
    [sym_true] = ACTIONS(3646),
    [sym_false] = ACTIONS(3646),
    [sym_null] = ACTIONS(3646),
    [sym_undefined] = ACTIONS(3646),
    [anon_sym_AT] = ACTIONS(3646),
    [anon_sym_static] = ACTIONS(3646),
    [anon_sym_readonly] = ACTIONS(3646),
    [anon_sym_get] = ACTIONS(3646),
    [anon_sym_set] = ACTIONS(3646),
    [anon_sym_declare] = ACTIONS(3646),
    [anon_sym_public] = ACTIONS(3646),
    [anon_sym_private] = ACTIONS(3646),
    [anon_sym_protected] = ACTIONS(3646),
    [anon_sym_override] = ACTIONS(3646),
    [anon_sym_module] = ACTIONS(3646),
    [anon_sym_any] = ACTIONS(3646),
    [anon_sym_number] = ACTIONS(3646),
    [anon_sym_boolean] = ACTIONS(3646),
    [anon_sym_string] = ACTIONS(3646),
    [anon_sym_symbol] = ACTIONS(3646),
    [anon_sym_object] = ACTIONS(3646),
    [anon_sym_property] = ACTIONS(3646),
    [anon_sym_signal] = ACTIONS(3646),
    [anon_sym_on] = ACTIONS(3646),
    [anon_sym_required] = ACTIONS(3646),
    [anon_sym_component] = ACTIONS(3646),
    [anon_sym_abstract] = ACTIONS(3646),
    [anon_sym_interface] = ACTIONS(3646),
    [anon_sym_enum] = ACTIONS(3646),
    [sym_html_comment] = ACTIONS(5),
  },
  [1710] = {
    [sym_comment] = STATE(1710),
    [sym_identifier] = ACTIONS(3644),
    [anon_sym_export] = ACTIONS(3644),
    [anon_sym_type] = ACTIONS(3644),
    [anon_sym_namespace] = ACTIONS(3644),
    [anon_sym_LBRACE] = ACTIONS(3644),
    [anon_sym_RBRACE] = ACTIONS(3644),
    [anon_sym_typeof] = ACTIONS(3644),
    [anon_sym_import] = ACTIONS(3644),
    [anon_sym_from] = ACTIONS(3644),
    [anon_sym_with] = ACTIONS(3644),
    [anon_sym_var] = ACTIONS(3644),
    [anon_sym_let] = ACTIONS(3644),
    [anon_sym_const] = ACTIONS(3644),
    [anon_sym_BANG] = ACTIONS(3644),
    [anon_sym_if] = ACTIONS(3644),
    [anon_sym_switch] = ACTIONS(3644),
    [anon_sym_for] = ACTIONS(3644),
    [anon_sym_LPAREN] = ACTIONS(3644),
    [anon_sym_await] = ACTIONS(3644),
    [anon_sym_of] = ACTIONS(3644),
    [anon_sym_while] = ACTIONS(3644),
    [anon_sym_do] = ACTIONS(3644),
    [anon_sym_try] = ACTIONS(3644),
    [anon_sym_break] = ACTIONS(3644),
    [anon_sym_continue] = ACTIONS(3644),
    [anon_sym_debugger] = ACTIONS(3644),
    [anon_sym_return] = ACTIONS(3644),
    [anon_sym_throw] = ACTIONS(3644),
    [anon_sym_SEMI] = ACTIONS(3644),
    [anon_sym_yield] = ACTIONS(3644),
    [anon_sym_LBRACK] = ACTIONS(3644),
    [anon_sym_LTtemplate_GT] = ACTIONS(3644),
    [anon_sym_DQUOTE] = ACTIONS(3644),
    [anon_sym_SQUOTE] = ACTIONS(3644),
    [anon_sym_class] = ACTIONS(3644),
    [anon_sym_async] = ACTIONS(3644),
    [anon_sym_function] = ACTIONS(3644),
    [anon_sym_new] = ACTIONS(3644),
    [anon_sym_using] = ACTIONS(3644),
    [anon_sym_PLUS] = ACTIONS(3644),
    [anon_sym_DASH] = ACTIONS(3644),
    [anon_sym_SLASH] = ACTIONS(3644),
    [anon_sym_LT] = ACTIONS(3644),
    [anon_sym_TILDE] = ACTIONS(3644),
    [anon_sym_void] = ACTIONS(3644),
    [anon_sym_delete] = ACTIONS(3644),
    [anon_sym_PLUS_PLUS] = ACTIONS(3644),
    [anon_sym_DASH_DASH] = ACTIONS(3644),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3644),
    [sym_number] = ACTIONS(3644),
    [sym_private_property_identifier] = ACTIONS(3644),
    [sym_this] = ACTIONS(3644),
    [sym_super] = ACTIONS(3644),
    [sym_true] = ACTIONS(3644),
    [sym_false] = ACTIONS(3644),
    [sym_null] = ACTIONS(3644),
    [sym_undefined] = ACTIONS(3644),
    [anon_sym_AT] = ACTIONS(3644),
    [anon_sym_static] = ACTIONS(3644),
    [anon_sym_readonly] = ACTIONS(3644),
    [anon_sym_get] = ACTIONS(3644),
    [anon_sym_set] = ACTIONS(3644),
    [anon_sym_declare] = ACTIONS(3644),
    [anon_sym_public] = ACTIONS(3644),
    [anon_sym_private] = ACTIONS(3644),
    [anon_sym_protected] = ACTIONS(3644),
    [anon_sym_override] = ACTIONS(3644),
    [anon_sym_module] = ACTIONS(3644),
    [anon_sym_any] = ACTIONS(3644),
    [anon_sym_number] = ACTIONS(3644),
    [anon_sym_boolean] = ACTIONS(3644),
    [anon_sym_string] = ACTIONS(3644),
    [anon_sym_symbol] = ACTIONS(3644),
    [anon_sym_object] = ACTIONS(3644),
    [anon_sym_property] = ACTIONS(3644),
    [anon_sym_signal] = ACTIONS(3644),
    [anon_sym_on] = ACTIONS(3644),
    [anon_sym_required] = ACTIONS(3644),
    [anon_sym_component] = ACTIONS(3644),
    [anon_sym_abstract] = ACTIONS(3644),
    [anon_sym_interface] = ACTIONS(3644),
    [anon_sym_enum] = ACTIONS(3644),
    [sym_html_comment] = ACTIONS(5),
  },
  [1711] = {
    [sym_comment] = STATE(1711),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1712] = {
    [sym_comment] = STATE(1712),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1713] = {
    [sym_comment] = STATE(1713),
    [sym_identifier] = ACTIONS(3526),
    [anon_sym_export] = ACTIONS(3526),
    [anon_sym_type] = ACTIONS(3526),
    [anon_sym_namespace] = ACTIONS(3526),
    [anon_sym_LBRACE] = ACTIONS(3526),
    [anon_sym_RBRACE] = ACTIONS(3526),
    [anon_sym_typeof] = ACTIONS(3526),
    [anon_sym_import] = ACTIONS(3526),
    [anon_sym_from] = ACTIONS(3526),
    [anon_sym_with] = ACTIONS(3526),
    [anon_sym_var] = ACTIONS(3526),
    [anon_sym_let] = ACTIONS(3526),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_BANG] = ACTIONS(3526),
    [anon_sym_if] = ACTIONS(3526),
    [anon_sym_switch] = ACTIONS(3526),
    [anon_sym_for] = ACTIONS(3526),
    [anon_sym_LPAREN] = ACTIONS(3526),
    [anon_sym_await] = ACTIONS(3526),
    [anon_sym_of] = ACTIONS(3526),
    [anon_sym_while] = ACTIONS(3526),
    [anon_sym_do] = ACTIONS(3526),
    [anon_sym_try] = ACTIONS(3526),
    [anon_sym_break] = ACTIONS(3526),
    [anon_sym_continue] = ACTIONS(3526),
    [anon_sym_debugger] = ACTIONS(3526),
    [anon_sym_return] = ACTIONS(3526),
    [anon_sym_throw] = ACTIONS(3526),
    [anon_sym_SEMI] = ACTIONS(3526),
    [anon_sym_yield] = ACTIONS(3526),
    [anon_sym_LBRACK] = ACTIONS(3526),
    [anon_sym_LTtemplate_GT] = ACTIONS(3526),
    [anon_sym_DQUOTE] = ACTIONS(3526),
    [anon_sym_SQUOTE] = ACTIONS(3526),
    [anon_sym_class] = ACTIONS(3526),
    [anon_sym_async] = ACTIONS(3526),
    [anon_sym_function] = ACTIONS(3526),
    [anon_sym_new] = ACTIONS(3526),
    [anon_sym_using] = ACTIONS(3526),
    [anon_sym_PLUS] = ACTIONS(3526),
    [anon_sym_DASH] = ACTIONS(3526),
    [anon_sym_SLASH] = ACTIONS(3526),
    [anon_sym_LT] = ACTIONS(3526),
    [anon_sym_TILDE] = ACTIONS(3526),
    [anon_sym_void] = ACTIONS(3526),
    [anon_sym_delete] = ACTIONS(3526),
    [anon_sym_PLUS_PLUS] = ACTIONS(3526),
    [anon_sym_DASH_DASH] = ACTIONS(3526),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3526),
    [sym_number] = ACTIONS(3526),
    [sym_private_property_identifier] = ACTIONS(3526),
    [sym_this] = ACTIONS(3526),
    [sym_super] = ACTIONS(3526),
    [sym_true] = ACTIONS(3526),
    [sym_false] = ACTIONS(3526),
    [sym_null] = ACTIONS(3526),
    [sym_undefined] = ACTIONS(3526),
    [anon_sym_AT] = ACTIONS(3526),
    [anon_sym_static] = ACTIONS(3526),
    [anon_sym_readonly] = ACTIONS(3526),
    [anon_sym_get] = ACTIONS(3526),
    [anon_sym_set] = ACTIONS(3526),
    [anon_sym_declare] = ACTIONS(3526),
    [anon_sym_public] = ACTIONS(3526),
    [anon_sym_private] = ACTIONS(3526),
    [anon_sym_protected] = ACTIONS(3526),
    [anon_sym_override] = ACTIONS(3526),
    [anon_sym_module] = ACTIONS(3526),
    [anon_sym_any] = ACTIONS(3526),
    [anon_sym_number] = ACTIONS(3526),
    [anon_sym_boolean] = ACTIONS(3526),
    [anon_sym_string] = ACTIONS(3526),
    [anon_sym_symbol] = ACTIONS(3526),
    [anon_sym_object] = ACTIONS(3526),
    [anon_sym_property] = ACTIONS(3526),
    [anon_sym_signal] = ACTIONS(3526),
    [anon_sym_on] = ACTIONS(3526),
    [anon_sym_required] = ACTIONS(3526),
    [anon_sym_component] = ACTIONS(3526),
    [anon_sym_abstract] = ACTIONS(3526),
    [anon_sym_interface] = ACTIONS(3526),
    [anon_sym_enum] = ACTIONS(3526),
    [sym_html_comment] = ACTIONS(5),
  },
  [1714] = {
    [sym_comment] = STATE(1714),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1715] = {
    [sym_comment] = STATE(1715),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1716] = {
    [sym_comment] = STATE(1716),
    [sym_identifier] = ACTIONS(3642),
    [anon_sym_export] = ACTIONS(3642),
    [anon_sym_type] = ACTIONS(3642),
    [anon_sym_namespace] = ACTIONS(3642),
    [anon_sym_LBRACE] = ACTIONS(3642),
    [anon_sym_RBRACE] = ACTIONS(3642),
    [anon_sym_typeof] = ACTIONS(3642),
    [anon_sym_import] = ACTIONS(3642),
    [anon_sym_from] = ACTIONS(3642),
    [anon_sym_with] = ACTIONS(3642),
    [anon_sym_var] = ACTIONS(3642),
    [anon_sym_let] = ACTIONS(3642),
    [anon_sym_const] = ACTIONS(3642),
    [anon_sym_BANG] = ACTIONS(3642),
    [anon_sym_if] = ACTIONS(3642),
    [anon_sym_switch] = ACTIONS(3642),
    [anon_sym_for] = ACTIONS(3642),
    [anon_sym_LPAREN] = ACTIONS(3642),
    [anon_sym_await] = ACTIONS(3642),
    [anon_sym_of] = ACTIONS(3642),
    [anon_sym_while] = ACTIONS(3642),
    [anon_sym_do] = ACTIONS(3642),
    [anon_sym_try] = ACTIONS(3642),
    [anon_sym_break] = ACTIONS(3642),
    [anon_sym_continue] = ACTIONS(3642),
    [anon_sym_debugger] = ACTIONS(3642),
    [anon_sym_return] = ACTIONS(3642),
    [anon_sym_throw] = ACTIONS(3642),
    [anon_sym_SEMI] = ACTIONS(3642),
    [anon_sym_yield] = ACTIONS(3642),
    [anon_sym_LBRACK] = ACTIONS(3642),
    [anon_sym_LTtemplate_GT] = ACTIONS(3642),
    [anon_sym_DQUOTE] = ACTIONS(3642),
    [anon_sym_SQUOTE] = ACTIONS(3642),
    [anon_sym_class] = ACTIONS(3642),
    [anon_sym_async] = ACTIONS(3642),
    [anon_sym_function] = ACTIONS(3642),
    [anon_sym_new] = ACTIONS(3642),
    [anon_sym_using] = ACTIONS(3642),
    [anon_sym_PLUS] = ACTIONS(3642),
    [anon_sym_DASH] = ACTIONS(3642),
    [anon_sym_SLASH] = ACTIONS(3642),
    [anon_sym_LT] = ACTIONS(3642),
    [anon_sym_TILDE] = ACTIONS(3642),
    [anon_sym_void] = ACTIONS(3642),
    [anon_sym_delete] = ACTIONS(3642),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3642),
    [sym_number] = ACTIONS(3642),
    [sym_private_property_identifier] = ACTIONS(3642),
    [sym_this] = ACTIONS(3642),
    [sym_super] = ACTIONS(3642),
    [sym_true] = ACTIONS(3642),
    [sym_false] = ACTIONS(3642),
    [sym_null] = ACTIONS(3642),
    [sym_undefined] = ACTIONS(3642),
    [anon_sym_AT] = ACTIONS(3642),
    [anon_sym_static] = ACTIONS(3642),
    [anon_sym_readonly] = ACTIONS(3642),
    [anon_sym_get] = ACTIONS(3642),
    [anon_sym_set] = ACTIONS(3642),
    [anon_sym_declare] = ACTIONS(3642),
    [anon_sym_public] = ACTIONS(3642),
    [anon_sym_private] = ACTIONS(3642),
    [anon_sym_protected] = ACTIONS(3642),
    [anon_sym_override] = ACTIONS(3642),
    [anon_sym_module] = ACTIONS(3642),
    [anon_sym_any] = ACTIONS(3642),
    [anon_sym_number] = ACTIONS(3642),
    [anon_sym_boolean] = ACTIONS(3642),
    [anon_sym_string] = ACTIONS(3642),
    [anon_sym_symbol] = ACTIONS(3642),
    [anon_sym_object] = ACTIONS(3642),
    [anon_sym_property] = ACTIONS(3642),
    [anon_sym_signal] = ACTIONS(3642),
    [anon_sym_on] = ACTIONS(3642),
    [anon_sym_required] = ACTIONS(3642),
    [anon_sym_component] = ACTIONS(3642),
    [anon_sym_abstract] = ACTIONS(3642),
    [anon_sym_interface] = ACTIONS(3642),
    [anon_sym_enum] = ACTIONS(3642),
    [sym_html_comment] = ACTIONS(5),
  },
  [1717] = {
    [sym_comment] = STATE(1717),
    [sym_identifier] = ACTIONS(3532),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_type] = ACTIONS(3532),
    [anon_sym_namespace] = ACTIONS(3532),
    [anon_sym_LBRACE] = ACTIONS(3532),
    [anon_sym_RBRACE] = ACTIONS(3532),
    [anon_sym_typeof] = ACTIONS(3532),
    [anon_sym_import] = ACTIONS(3532),
    [anon_sym_from] = ACTIONS(3532),
    [anon_sym_with] = ACTIONS(3532),
    [anon_sym_var] = ACTIONS(3532),
    [anon_sym_let] = ACTIONS(3532),
    [anon_sym_const] = ACTIONS(3532),
    [anon_sym_BANG] = ACTIONS(3532),
    [anon_sym_if] = ACTIONS(3532),
    [anon_sym_switch] = ACTIONS(3532),
    [anon_sym_for] = ACTIONS(3532),
    [anon_sym_LPAREN] = ACTIONS(3532),
    [anon_sym_await] = ACTIONS(3532),
    [anon_sym_of] = ACTIONS(3532),
    [anon_sym_while] = ACTIONS(3532),
    [anon_sym_do] = ACTIONS(3532),
    [anon_sym_try] = ACTIONS(3532),
    [anon_sym_break] = ACTIONS(3532),
    [anon_sym_continue] = ACTIONS(3532),
    [anon_sym_debugger] = ACTIONS(3532),
    [anon_sym_return] = ACTIONS(3532),
    [anon_sym_throw] = ACTIONS(3532),
    [anon_sym_SEMI] = ACTIONS(3532),
    [anon_sym_yield] = ACTIONS(3532),
    [anon_sym_LBRACK] = ACTIONS(3532),
    [anon_sym_LTtemplate_GT] = ACTIONS(3532),
    [anon_sym_DQUOTE] = ACTIONS(3532),
    [anon_sym_SQUOTE] = ACTIONS(3532),
    [anon_sym_class] = ACTIONS(3532),
    [anon_sym_async] = ACTIONS(3532),
    [anon_sym_function] = ACTIONS(3532),
    [anon_sym_new] = ACTIONS(3532),
    [anon_sym_using] = ACTIONS(3532),
    [anon_sym_PLUS] = ACTIONS(3532),
    [anon_sym_DASH] = ACTIONS(3532),
    [anon_sym_SLASH] = ACTIONS(3532),
    [anon_sym_LT] = ACTIONS(3532),
    [anon_sym_TILDE] = ACTIONS(3532),
    [anon_sym_void] = ACTIONS(3532),
    [anon_sym_delete] = ACTIONS(3532),
    [anon_sym_PLUS_PLUS] = ACTIONS(3532),
    [anon_sym_DASH_DASH] = ACTIONS(3532),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3532),
    [sym_number] = ACTIONS(3532),
    [sym_private_property_identifier] = ACTIONS(3532),
    [sym_this] = ACTIONS(3532),
    [sym_super] = ACTIONS(3532),
    [sym_true] = ACTIONS(3532),
    [sym_false] = ACTIONS(3532),
    [sym_null] = ACTIONS(3532),
    [sym_undefined] = ACTIONS(3532),
    [anon_sym_AT] = ACTIONS(3532),
    [anon_sym_static] = ACTIONS(3532),
    [anon_sym_readonly] = ACTIONS(3532),
    [anon_sym_get] = ACTIONS(3532),
    [anon_sym_set] = ACTIONS(3532),
    [anon_sym_declare] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3532),
    [anon_sym_private] = ACTIONS(3532),
    [anon_sym_protected] = ACTIONS(3532),
    [anon_sym_override] = ACTIONS(3532),
    [anon_sym_module] = ACTIONS(3532),
    [anon_sym_any] = ACTIONS(3532),
    [anon_sym_number] = ACTIONS(3532),
    [anon_sym_boolean] = ACTIONS(3532),
    [anon_sym_string] = ACTIONS(3532),
    [anon_sym_symbol] = ACTIONS(3532),
    [anon_sym_object] = ACTIONS(3532),
    [anon_sym_property] = ACTIONS(3532),
    [anon_sym_signal] = ACTIONS(3532),
    [anon_sym_on] = ACTIONS(3532),
    [anon_sym_required] = ACTIONS(3532),
    [anon_sym_component] = ACTIONS(3532),
    [anon_sym_abstract] = ACTIONS(3532),
    [anon_sym_interface] = ACTIONS(3532),
    [anon_sym_enum] = ACTIONS(3532),
    [sym_html_comment] = ACTIONS(5),
  },
  [1718] = {
    [sym_comment] = STATE(1718),
    [sym_identifier] = ACTIONS(3600),
    [anon_sym_export] = ACTIONS(3600),
    [anon_sym_type] = ACTIONS(3600),
    [anon_sym_namespace] = ACTIONS(3600),
    [anon_sym_LBRACE] = ACTIONS(3600),
    [anon_sym_RBRACE] = ACTIONS(3600),
    [anon_sym_typeof] = ACTIONS(3600),
    [anon_sym_import] = ACTIONS(3600),
    [anon_sym_from] = ACTIONS(3600),
    [anon_sym_with] = ACTIONS(3600),
    [anon_sym_var] = ACTIONS(3600),
    [anon_sym_let] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3600),
    [anon_sym_BANG] = ACTIONS(3600),
    [anon_sym_if] = ACTIONS(3600),
    [anon_sym_switch] = ACTIONS(3600),
    [anon_sym_for] = ACTIONS(3600),
    [anon_sym_LPAREN] = ACTIONS(3600),
    [anon_sym_await] = ACTIONS(3600),
    [anon_sym_of] = ACTIONS(3600),
    [anon_sym_while] = ACTIONS(3600),
    [anon_sym_do] = ACTIONS(3600),
    [anon_sym_try] = ACTIONS(3600),
    [anon_sym_break] = ACTIONS(3600),
    [anon_sym_continue] = ACTIONS(3600),
    [anon_sym_debugger] = ACTIONS(3600),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_throw] = ACTIONS(3600),
    [anon_sym_SEMI] = ACTIONS(3600),
    [anon_sym_yield] = ACTIONS(3600),
    [anon_sym_LBRACK] = ACTIONS(3600),
    [anon_sym_LTtemplate_GT] = ACTIONS(3600),
    [anon_sym_DQUOTE] = ACTIONS(3600),
    [anon_sym_SQUOTE] = ACTIONS(3600),
    [anon_sym_class] = ACTIONS(3600),
    [anon_sym_async] = ACTIONS(3600),
    [anon_sym_function] = ACTIONS(3600),
    [anon_sym_new] = ACTIONS(3600),
    [anon_sym_using] = ACTIONS(3600),
    [anon_sym_PLUS] = ACTIONS(3600),
    [anon_sym_DASH] = ACTIONS(3600),
    [anon_sym_SLASH] = ACTIONS(3600),
    [anon_sym_LT] = ACTIONS(3600),
    [anon_sym_TILDE] = ACTIONS(3600),
    [anon_sym_void] = ACTIONS(3600),
    [anon_sym_delete] = ACTIONS(3600),
    [anon_sym_PLUS_PLUS] = ACTIONS(3600),
    [anon_sym_DASH_DASH] = ACTIONS(3600),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3600),
    [sym_number] = ACTIONS(3600),
    [sym_private_property_identifier] = ACTIONS(3600),
    [sym_this] = ACTIONS(3600),
    [sym_super] = ACTIONS(3600),
    [sym_true] = ACTIONS(3600),
    [sym_false] = ACTIONS(3600),
    [sym_null] = ACTIONS(3600),
    [sym_undefined] = ACTIONS(3600),
    [anon_sym_AT] = ACTIONS(3600),
    [anon_sym_static] = ACTIONS(3600),
    [anon_sym_readonly] = ACTIONS(3600),
    [anon_sym_get] = ACTIONS(3600),
    [anon_sym_set] = ACTIONS(3600),
    [anon_sym_declare] = ACTIONS(3600),
    [anon_sym_public] = ACTIONS(3600),
    [anon_sym_private] = ACTIONS(3600),
    [anon_sym_protected] = ACTIONS(3600),
    [anon_sym_override] = ACTIONS(3600),
    [anon_sym_module] = ACTIONS(3600),
    [anon_sym_any] = ACTIONS(3600),
    [anon_sym_number] = ACTIONS(3600),
    [anon_sym_boolean] = ACTIONS(3600),
    [anon_sym_string] = ACTIONS(3600),
    [anon_sym_symbol] = ACTIONS(3600),
    [anon_sym_object] = ACTIONS(3600),
    [anon_sym_property] = ACTIONS(3600),
    [anon_sym_signal] = ACTIONS(3600),
    [anon_sym_on] = ACTIONS(3600),
    [anon_sym_required] = ACTIONS(3600),
    [anon_sym_component] = ACTIONS(3600),
    [anon_sym_abstract] = ACTIONS(3600),
    [anon_sym_interface] = ACTIONS(3600),
    [anon_sym_enum] = ACTIONS(3600),
    [sym_html_comment] = ACTIONS(5),
  },
  [1719] = {
    [sym_comment] = STATE(1719),
    [sym_identifier] = ACTIONS(3618),
    [anon_sym_export] = ACTIONS(3618),
    [anon_sym_type] = ACTIONS(3618),
    [anon_sym_namespace] = ACTIONS(3618),
    [anon_sym_LBRACE] = ACTIONS(3618),
    [anon_sym_RBRACE] = ACTIONS(3618),
    [anon_sym_typeof] = ACTIONS(3618),
    [anon_sym_import] = ACTIONS(3618),
    [anon_sym_from] = ACTIONS(3618),
    [anon_sym_with] = ACTIONS(3618),
    [anon_sym_var] = ACTIONS(3618),
    [anon_sym_let] = ACTIONS(3618),
    [anon_sym_const] = ACTIONS(3618),
    [anon_sym_BANG] = ACTIONS(3618),
    [anon_sym_if] = ACTIONS(3618),
    [anon_sym_switch] = ACTIONS(3618),
    [anon_sym_for] = ACTIONS(3618),
    [anon_sym_LPAREN] = ACTIONS(3618),
    [anon_sym_await] = ACTIONS(3618),
    [anon_sym_of] = ACTIONS(3618),
    [anon_sym_while] = ACTIONS(3618),
    [anon_sym_do] = ACTIONS(3618),
    [anon_sym_try] = ACTIONS(3618),
    [anon_sym_break] = ACTIONS(3618),
    [anon_sym_continue] = ACTIONS(3618),
    [anon_sym_debugger] = ACTIONS(3618),
    [anon_sym_return] = ACTIONS(3618),
    [anon_sym_throw] = ACTIONS(3618),
    [anon_sym_SEMI] = ACTIONS(3618),
    [anon_sym_yield] = ACTIONS(3618),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_LTtemplate_GT] = ACTIONS(3618),
    [anon_sym_DQUOTE] = ACTIONS(3618),
    [anon_sym_SQUOTE] = ACTIONS(3618),
    [anon_sym_class] = ACTIONS(3618),
    [anon_sym_async] = ACTIONS(3618),
    [anon_sym_function] = ACTIONS(3618),
    [anon_sym_new] = ACTIONS(3618),
    [anon_sym_using] = ACTIONS(3618),
    [anon_sym_PLUS] = ACTIONS(3618),
    [anon_sym_DASH] = ACTIONS(3618),
    [anon_sym_SLASH] = ACTIONS(3618),
    [anon_sym_LT] = ACTIONS(3618),
    [anon_sym_TILDE] = ACTIONS(3618),
    [anon_sym_void] = ACTIONS(3618),
    [anon_sym_delete] = ACTIONS(3618),
    [anon_sym_PLUS_PLUS] = ACTIONS(3618),
    [anon_sym_DASH_DASH] = ACTIONS(3618),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3618),
    [sym_number] = ACTIONS(3618),
    [sym_private_property_identifier] = ACTIONS(3618),
    [sym_this] = ACTIONS(3618),
    [sym_super] = ACTIONS(3618),
    [sym_true] = ACTIONS(3618),
    [sym_false] = ACTIONS(3618),
    [sym_null] = ACTIONS(3618),
    [sym_undefined] = ACTIONS(3618),
    [anon_sym_AT] = ACTIONS(3618),
    [anon_sym_static] = ACTIONS(3618),
    [anon_sym_readonly] = ACTIONS(3618),
    [anon_sym_get] = ACTIONS(3618),
    [anon_sym_set] = ACTIONS(3618),
    [anon_sym_declare] = ACTIONS(3618),
    [anon_sym_public] = ACTIONS(3618),
    [anon_sym_private] = ACTIONS(3618),
    [anon_sym_protected] = ACTIONS(3618),
    [anon_sym_override] = ACTIONS(3618),
    [anon_sym_module] = ACTIONS(3618),
    [anon_sym_any] = ACTIONS(3618),
    [anon_sym_number] = ACTIONS(3618),
    [anon_sym_boolean] = ACTIONS(3618),
    [anon_sym_string] = ACTIONS(3618),
    [anon_sym_symbol] = ACTIONS(3618),
    [anon_sym_object] = ACTIONS(3618),
    [anon_sym_property] = ACTIONS(3618),
    [anon_sym_signal] = ACTIONS(3618),
    [anon_sym_on] = ACTIONS(3618),
    [anon_sym_required] = ACTIONS(3618),
    [anon_sym_component] = ACTIONS(3618),
    [anon_sym_abstract] = ACTIONS(3618),
    [anon_sym_interface] = ACTIONS(3618),
    [anon_sym_enum] = ACTIONS(3618),
    [sym_html_comment] = ACTIONS(5),
  },
  [1720] = {
    [sym_comment] = STATE(1720),
    [sym_identifier] = ACTIONS(3610),
    [anon_sym_export] = ACTIONS(3610),
    [anon_sym_type] = ACTIONS(3610),
    [anon_sym_namespace] = ACTIONS(3610),
    [anon_sym_LBRACE] = ACTIONS(3610),
    [anon_sym_RBRACE] = ACTIONS(3610),
    [anon_sym_typeof] = ACTIONS(3610),
    [anon_sym_import] = ACTIONS(3610),
    [anon_sym_from] = ACTIONS(3610),
    [anon_sym_with] = ACTIONS(3610),
    [anon_sym_var] = ACTIONS(3610),
    [anon_sym_let] = ACTIONS(3610),
    [anon_sym_const] = ACTIONS(3610),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_if] = ACTIONS(3610),
    [anon_sym_switch] = ACTIONS(3610),
    [anon_sym_for] = ACTIONS(3610),
    [anon_sym_LPAREN] = ACTIONS(3610),
    [anon_sym_await] = ACTIONS(3610),
    [anon_sym_of] = ACTIONS(3610),
    [anon_sym_while] = ACTIONS(3610),
    [anon_sym_do] = ACTIONS(3610),
    [anon_sym_try] = ACTIONS(3610),
    [anon_sym_break] = ACTIONS(3610),
    [anon_sym_continue] = ACTIONS(3610),
    [anon_sym_debugger] = ACTIONS(3610),
    [anon_sym_return] = ACTIONS(3610),
    [anon_sym_throw] = ACTIONS(3610),
    [anon_sym_SEMI] = ACTIONS(3610),
    [anon_sym_yield] = ACTIONS(3610),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_LTtemplate_GT] = ACTIONS(3610),
    [anon_sym_DQUOTE] = ACTIONS(3610),
    [anon_sym_SQUOTE] = ACTIONS(3610),
    [anon_sym_class] = ACTIONS(3610),
    [anon_sym_async] = ACTIONS(3610),
    [anon_sym_function] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3610),
    [anon_sym_using] = ACTIONS(3610),
    [anon_sym_PLUS] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3610),
    [anon_sym_SLASH] = ACTIONS(3610),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_void] = ACTIONS(3610),
    [anon_sym_delete] = ACTIONS(3610),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3610),
    [sym_number] = ACTIONS(3610),
    [sym_private_property_identifier] = ACTIONS(3610),
    [sym_this] = ACTIONS(3610),
    [sym_super] = ACTIONS(3610),
    [sym_true] = ACTIONS(3610),
    [sym_false] = ACTIONS(3610),
    [sym_null] = ACTIONS(3610),
    [sym_undefined] = ACTIONS(3610),
    [anon_sym_AT] = ACTIONS(3610),
    [anon_sym_static] = ACTIONS(3610),
    [anon_sym_readonly] = ACTIONS(3610),
    [anon_sym_get] = ACTIONS(3610),
    [anon_sym_set] = ACTIONS(3610),
    [anon_sym_declare] = ACTIONS(3610),
    [anon_sym_public] = ACTIONS(3610),
    [anon_sym_private] = ACTIONS(3610),
    [anon_sym_protected] = ACTIONS(3610),
    [anon_sym_override] = ACTIONS(3610),
    [anon_sym_module] = ACTIONS(3610),
    [anon_sym_any] = ACTIONS(3610),
    [anon_sym_number] = ACTIONS(3610),
    [anon_sym_boolean] = ACTIONS(3610),
    [anon_sym_string] = ACTIONS(3610),
    [anon_sym_symbol] = ACTIONS(3610),
    [anon_sym_object] = ACTIONS(3610),
    [anon_sym_property] = ACTIONS(3610),
    [anon_sym_signal] = ACTIONS(3610),
    [anon_sym_on] = ACTIONS(3610),
    [anon_sym_required] = ACTIONS(3610),
    [anon_sym_component] = ACTIONS(3610),
    [anon_sym_abstract] = ACTIONS(3610),
    [anon_sym_interface] = ACTIONS(3610),
    [anon_sym_enum] = ACTIONS(3610),
    [sym_html_comment] = ACTIONS(5),
  },
  [1721] = {
    [sym_comment] = STATE(1721),
    [sym_identifier] = ACTIONS(3610),
    [anon_sym_export] = ACTIONS(3610),
    [anon_sym_type] = ACTIONS(3610),
    [anon_sym_namespace] = ACTIONS(3610),
    [anon_sym_LBRACE] = ACTIONS(3610),
    [anon_sym_RBRACE] = ACTIONS(3610),
    [anon_sym_typeof] = ACTIONS(3610),
    [anon_sym_import] = ACTIONS(3610),
    [anon_sym_from] = ACTIONS(3610),
    [anon_sym_with] = ACTIONS(3610),
    [anon_sym_var] = ACTIONS(3610),
    [anon_sym_let] = ACTIONS(3610),
    [anon_sym_const] = ACTIONS(3610),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_if] = ACTIONS(3610),
    [anon_sym_switch] = ACTIONS(3610),
    [anon_sym_for] = ACTIONS(3610),
    [anon_sym_LPAREN] = ACTIONS(3610),
    [anon_sym_await] = ACTIONS(3610),
    [anon_sym_of] = ACTIONS(3610),
    [anon_sym_while] = ACTIONS(3610),
    [anon_sym_do] = ACTIONS(3610),
    [anon_sym_try] = ACTIONS(3610),
    [anon_sym_break] = ACTIONS(3610),
    [anon_sym_continue] = ACTIONS(3610),
    [anon_sym_debugger] = ACTIONS(3610),
    [anon_sym_return] = ACTIONS(3610),
    [anon_sym_throw] = ACTIONS(3610),
    [anon_sym_SEMI] = ACTIONS(3610),
    [anon_sym_yield] = ACTIONS(3610),
    [anon_sym_LBRACK] = ACTIONS(3610),
    [anon_sym_LTtemplate_GT] = ACTIONS(3610),
    [anon_sym_DQUOTE] = ACTIONS(3610),
    [anon_sym_SQUOTE] = ACTIONS(3610),
    [anon_sym_class] = ACTIONS(3610),
    [anon_sym_async] = ACTIONS(3610),
    [anon_sym_function] = ACTIONS(3610),
    [anon_sym_new] = ACTIONS(3610),
    [anon_sym_using] = ACTIONS(3610),
    [anon_sym_PLUS] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3610),
    [anon_sym_SLASH] = ACTIONS(3610),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_void] = ACTIONS(3610),
    [anon_sym_delete] = ACTIONS(3610),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3610),
    [sym_number] = ACTIONS(3610),
    [sym_private_property_identifier] = ACTIONS(3610),
    [sym_this] = ACTIONS(3610),
    [sym_super] = ACTIONS(3610),
    [sym_true] = ACTIONS(3610),
    [sym_false] = ACTIONS(3610),
    [sym_null] = ACTIONS(3610),
    [sym_undefined] = ACTIONS(3610),
    [anon_sym_AT] = ACTIONS(3610),
    [anon_sym_static] = ACTIONS(3610),
    [anon_sym_readonly] = ACTIONS(3610),
    [anon_sym_get] = ACTIONS(3610),
    [anon_sym_set] = ACTIONS(3610),
    [anon_sym_declare] = ACTIONS(3610),
    [anon_sym_public] = ACTIONS(3610),
    [anon_sym_private] = ACTIONS(3610),
    [anon_sym_protected] = ACTIONS(3610),
    [anon_sym_override] = ACTIONS(3610),
    [anon_sym_module] = ACTIONS(3610),
    [anon_sym_any] = ACTIONS(3610),
    [anon_sym_number] = ACTIONS(3610),
    [anon_sym_boolean] = ACTIONS(3610),
    [anon_sym_string] = ACTIONS(3610),
    [anon_sym_symbol] = ACTIONS(3610),
    [anon_sym_object] = ACTIONS(3610),
    [anon_sym_property] = ACTIONS(3610),
    [anon_sym_signal] = ACTIONS(3610),
    [anon_sym_on] = ACTIONS(3610),
    [anon_sym_required] = ACTIONS(3610),
    [anon_sym_component] = ACTIONS(3610),
    [anon_sym_abstract] = ACTIONS(3610),
    [anon_sym_interface] = ACTIONS(3610),
    [anon_sym_enum] = ACTIONS(3610),
    [sym_html_comment] = ACTIONS(5),
  },
  [1722] = {
    [sym_comment] = STATE(1722),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1723] = {
    [sym_comment] = STATE(1723),
    [sym_identifier] = ACTIONS(3608),
    [anon_sym_export] = ACTIONS(3608),
    [anon_sym_type] = ACTIONS(3608),
    [anon_sym_namespace] = ACTIONS(3608),
    [anon_sym_LBRACE] = ACTIONS(3608),
    [anon_sym_RBRACE] = ACTIONS(3608),
    [anon_sym_typeof] = ACTIONS(3608),
    [anon_sym_import] = ACTIONS(3608),
    [anon_sym_from] = ACTIONS(3608),
    [anon_sym_with] = ACTIONS(3608),
    [anon_sym_var] = ACTIONS(3608),
    [anon_sym_let] = ACTIONS(3608),
    [anon_sym_const] = ACTIONS(3608),
    [anon_sym_BANG] = ACTIONS(3608),
    [anon_sym_if] = ACTIONS(3608),
    [anon_sym_switch] = ACTIONS(3608),
    [anon_sym_for] = ACTIONS(3608),
    [anon_sym_LPAREN] = ACTIONS(3608),
    [anon_sym_await] = ACTIONS(3608),
    [anon_sym_of] = ACTIONS(3608),
    [anon_sym_while] = ACTIONS(3608),
    [anon_sym_do] = ACTIONS(3608),
    [anon_sym_try] = ACTIONS(3608),
    [anon_sym_break] = ACTIONS(3608),
    [anon_sym_continue] = ACTIONS(3608),
    [anon_sym_debugger] = ACTIONS(3608),
    [anon_sym_return] = ACTIONS(3608),
    [anon_sym_throw] = ACTIONS(3608),
    [anon_sym_SEMI] = ACTIONS(3608),
    [anon_sym_yield] = ACTIONS(3608),
    [anon_sym_LBRACK] = ACTIONS(3608),
    [anon_sym_LTtemplate_GT] = ACTIONS(3608),
    [anon_sym_DQUOTE] = ACTIONS(3608),
    [anon_sym_SQUOTE] = ACTIONS(3608),
    [anon_sym_class] = ACTIONS(3608),
    [anon_sym_async] = ACTIONS(3608),
    [anon_sym_function] = ACTIONS(3608),
    [anon_sym_new] = ACTIONS(3608),
    [anon_sym_using] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3608),
    [anon_sym_TILDE] = ACTIONS(3608),
    [anon_sym_void] = ACTIONS(3608),
    [anon_sym_delete] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(3608),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3608),
    [sym_number] = ACTIONS(3608),
    [sym_private_property_identifier] = ACTIONS(3608),
    [sym_this] = ACTIONS(3608),
    [sym_super] = ACTIONS(3608),
    [sym_true] = ACTIONS(3608),
    [sym_false] = ACTIONS(3608),
    [sym_null] = ACTIONS(3608),
    [sym_undefined] = ACTIONS(3608),
    [anon_sym_AT] = ACTIONS(3608),
    [anon_sym_static] = ACTIONS(3608),
    [anon_sym_readonly] = ACTIONS(3608),
    [anon_sym_get] = ACTIONS(3608),
    [anon_sym_set] = ACTIONS(3608),
    [anon_sym_declare] = ACTIONS(3608),
    [anon_sym_public] = ACTIONS(3608),
    [anon_sym_private] = ACTIONS(3608),
    [anon_sym_protected] = ACTIONS(3608),
    [anon_sym_override] = ACTIONS(3608),
    [anon_sym_module] = ACTIONS(3608),
    [anon_sym_any] = ACTIONS(3608),
    [anon_sym_number] = ACTIONS(3608),
    [anon_sym_boolean] = ACTIONS(3608),
    [anon_sym_string] = ACTIONS(3608),
    [anon_sym_symbol] = ACTIONS(3608),
    [anon_sym_object] = ACTIONS(3608),
    [anon_sym_property] = ACTIONS(3608),
    [anon_sym_signal] = ACTIONS(3608),
    [anon_sym_on] = ACTIONS(3608),
    [anon_sym_required] = ACTIONS(3608),
    [anon_sym_component] = ACTIONS(3608),
    [anon_sym_abstract] = ACTIONS(3608),
    [anon_sym_interface] = ACTIONS(3608),
    [anon_sym_enum] = ACTIONS(3608),
    [sym_html_comment] = ACTIONS(5),
  },
  [1724] = {
    [sym_comment] = STATE(1724),
    [sym_identifier] = ACTIONS(3606),
    [anon_sym_export] = ACTIONS(3606),
    [anon_sym_type] = ACTIONS(3606),
    [anon_sym_namespace] = ACTIONS(3606),
    [anon_sym_LBRACE] = ACTIONS(3606),
    [anon_sym_RBRACE] = ACTIONS(3606),
    [anon_sym_typeof] = ACTIONS(3606),
    [anon_sym_import] = ACTIONS(3606),
    [anon_sym_from] = ACTIONS(3606),
    [anon_sym_with] = ACTIONS(3606),
    [anon_sym_var] = ACTIONS(3606),
    [anon_sym_let] = ACTIONS(3606),
    [anon_sym_const] = ACTIONS(3606),
    [anon_sym_BANG] = ACTIONS(3606),
    [anon_sym_if] = ACTIONS(3606),
    [anon_sym_switch] = ACTIONS(3606),
    [anon_sym_for] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(3606),
    [anon_sym_await] = ACTIONS(3606),
    [anon_sym_of] = ACTIONS(3606),
    [anon_sym_while] = ACTIONS(3606),
    [anon_sym_do] = ACTIONS(3606),
    [anon_sym_try] = ACTIONS(3606),
    [anon_sym_break] = ACTIONS(3606),
    [anon_sym_continue] = ACTIONS(3606),
    [anon_sym_debugger] = ACTIONS(3606),
    [anon_sym_return] = ACTIONS(3606),
    [anon_sym_throw] = ACTIONS(3606),
    [anon_sym_SEMI] = ACTIONS(3606),
    [anon_sym_yield] = ACTIONS(3606),
    [anon_sym_LBRACK] = ACTIONS(3606),
    [anon_sym_LTtemplate_GT] = ACTIONS(3606),
    [anon_sym_DQUOTE] = ACTIONS(3606),
    [anon_sym_SQUOTE] = ACTIONS(3606),
    [anon_sym_class] = ACTIONS(3606),
    [anon_sym_async] = ACTIONS(3606),
    [anon_sym_function] = ACTIONS(3606),
    [anon_sym_new] = ACTIONS(3606),
    [anon_sym_using] = ACTIONS(3606),
    [anon_sym_PLUS] = ACTIONS(3606),
    [anon_sym_DASH] = ACTIONS(3606),
    [anon_sym_SLASH] = ACTIONS(3606),
    [anon_sym_LT] = ACTIONS(3606),
    [anon_sym_TILDE] = ACTIONS(3606),
    [anon_sym_void] = ACTIONS(3606),
    [anon_sym_delete] = ACTIONS(3606),
    [anon_sym_PLUS_PLUS] = ACTIONS(3606),
    [anon_sym_DASH_DASH] = ACTIONS(3606),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3606),
    [sym_number] = ACTIONS(3606),
    [sym_private_property_identifier] = ACTIONS(3606),
    [sym_this] = ACTIONS(3606),
    [sym_super] = ACTIONS(3606),
    [sym_true] = ACTIONS(3606),
    [sym_false] = ACTIONS(3606),
    [sym_null] = ACTIONS(3606),
    [sym_undefined] = ACTIONS(3606),
    [anon_sym_AT] = ACTIONS(3606),
    [anon_sym_static] = ACTIONS(3606),
    [anon_sym_readonly] = ACTIONS(3606),
    [anon_sym_get] = ACTIONS(3606),
    [anon_sym_set] = ACTIONS(3606),
    [anon_sym_declare] = ACTIONS(3606),
    [anon_sym_public] = ACTIONS(3606),
    [anon_sym_private] = ACTIONS(3606),
    [anon_sym_protected] = ACTIONS(3606),
    [anon_sym_override] = ACTIONS(3606),
    [anon_sym_module] = ACTIONS(3606),
    [anon_sym_any] = ACTIONS(3606),
    [anon_sym_number] = ACTIONS(3606),
    [anon_sym_boolean] = ACTIONS(3606),
    [anon_sym_string] = ACTIONS(3606),
    [anon_sym_symbol] = ACTIONS(3606),
    [anon_sym_object] = ACTIONS(3606),
    [anon_sym_property] = ACTIONS(3606),
    [anon_sym_signal] = ACTIONS(3606),
    [anon_sym_on] = ACTIONS(3606),
    [anon_sym_required] = ACTIONS(3606),
    [anon_sym_component] = ACTIONS(3606),
    [anon_sym_abstract] = ACTIONS(3606),
    [anon_sym_interface] = ACTIONS(3606),
    [anon_sym_enum] = ACTIONS(3606),
    [sym_html_comment] = ACTIONS(5),
  },
  [1725] = {
    [sym_comment] = STATE(1725),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1726] = {
    [sym_comment] = STATE(1726),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1727] = {
    [sym_comment] = STATE(1727),
    [sym_identifier] = ACTIONS(3614),
    [anon_sym_export] = ACTIONS(3614),
    [anon_sym_type] = ACTIONS(3614),
    [anon_sym_namespace] = ACTIONS(3614),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(3614),
    [anon_sym_typeof] = ACTIONS(3614),
    [anon_sym_import] = ACTIONS(3614),
    [anon_sym_from] = ACTIONS(3614),
    [anon_sym_with] = ACTIONS(3614),
    [anon_sym_var] = ACTIONS(3614),
    [anon_sym_let] = ACTIONS(3614),
    [anon_sym_const] = ACTIONS(3614),
    [anon_sym_BANG] = ACTIONS(3614),
    [anon_sym_if] = ACTIONS(3614),
    [anon_sym_switch] = ACTIONS(3614),
    [anon_sym_for] = ACTIONS(3614),
    [anon_sym_LPAREN] = ACTIONS(3614),
    [anon_sym_await] = ACTIONS(3614),
    [anon_sym_of] = ACTIONS(3614),
    [anon_sym_while] = ACTIONS(3614),
    [anon_sym_do] = ACTIONS(3614),
    [anon_sym_try] = ACTIONS(3614),
    [anon_sym_break] = ACTIONS(3614),
    [anon_sym_continue] = ACTIONS(3614),
    [anon_sym_debugger] = ACTIONS(3614),
    [anon_sym_return] = ACTIONS(3614),
    [anon_sym_throw] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(3614),
    [anon_sym_yield] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(3614),
    [anon_sym_LTtemplate_GT] = ACTIONS(3614),
    [anon_sym_DQUOTE] = ACTIONS(3614),
    [anon_sym_SQUOTE] = ACTIONS(3614),
    [anon_sym_class] = ACTIONS(3614),
    [anon_sym_async] = ACTIONS(3614),
    [anon_sym_function] = ACTIONS(3614),
    [anon_sym_new] = ACTIONS(3614),
    [anon_sym_using] = ACTIONS(3614),
    [anon_sym_PLUS] = ACTIONS(3614),
    [anon_sym_DASH] = ACTIONS(3614),
    [anon_sym_SLASH] = ACTIONS(3614),
    [anon_sym_LT] = ACTIONS(3614),
    [anon_sym_TILDE] = ACTIONS(3614),
    [anon_sym_void] = ACTIONS(3614),
    [anon_sym_delete] = ACTIONS(3614),
    [anon_sym_PLUS_PLUS] = ACTIONS(3614),
    [anon_sym_DASH_DASH] = ACTIONS(3614),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3614),
    [sym_number] = ACTIONS(3614),
    [sym_private_property_identifier] = ACTIONS(3614),
    [sym_this] = ACTIONS(3614),
    [sym_super] = ACTIONS(3614),
    [sym_true] = ACTIONS(3614),
    [sym_false] = ACTIONS(3614),
    [sym_null] = ACTIONS(3614),
    [sym_undefined] = ACTIONS(3614),
    [anon_sym_AT] = ACTIONS(3614),
    [anon_sym_static] = ACTIONS(3614),
    [anon_sym_readonly] = ACTIONS(3614),
    [anon_sym_get] = ACTIONS(3614),
    [anon_sym_set] = ACTIONS(3614),
    [anon_sym_declare] = ACTIONS(3614),
    [anon_sym_public] = ACTIONS(3614),
    [anon_sym_private] = ACTIONS(3614),
    [anon_sym_protected] = ACTIONS(3614),
    [anon_sym_override] = ACTIONS(3614),
    [anon_sym_module] = ACTIONS(3614),
    [anon_sym_any] = ACTIONS(3614),
    [anon_sym_number] = ACTIONS(3614),
    [anon_sym_boolean] = ACTIONS(3614),
    [anon_sym_string] = ACTIONS(3614),
    [anon_sym_symbol] = ACTIONS(3614),
    [anon_sym_object] = ACTIONS(3614),
    [anon_sym_property] = ACTIONS(3614),
    [anon_sym_signal] = ACTIONS(3614),
    [anon_sym_on] = ACTIONS(3614),
    [anon_sym_required] = ACTIONS(3614),
    [anon_sym_component] = ACTIONS(3614),
    [anon_sym_abstract] = ACTIONS(3614),
    [anon_sym_interface] = ACTIONS(3614),
    [anon_sym_enum] = ACTIONS(3614),
    [sym_html_comment] = ACTIONS(5),
  },
  [1728] = {
    [sym_comment] = STATE(1728),
    [sym_identifier] = ACTIONS(3594),
    [anon_sym_export] = ACTIONS(3594),
    [anon_sym_type] = ACTIONS(3594),
    [anon_sym_namespace] = ACTIONS(3594),
    [anon_sym_LBRACE] = ACTIONS(3594),
    [anon_sym_RBRACE] = ACTIONS(3594),
    [anon_sym_typeof] = ACTIONS(3594),
    [anon_sym_import] = ACTIONS(3594),
    [anon_sym_from] = ACTIONS(3594),
    [anon_sym_with] = ACTIONS(3594),
    [anon_sym_var] = ACTIONS(3594),
    [anon_sym_let] = ACTIONS(3594),
    [anon_sym_const] = ACTIONS(3594),
    [anon_sym_BANG] = ACTIONS(3594),
    [anon_sym_if] = ACTIONS(3594),
    [anon_sym_switch] = ACTIONS(3594),
    [anon_sym_for] = ACTIONS(3594),
    [anon_sym_LPAREN] = ACTIONS(3594),
    [anon_sym_await] = ACTIONS(3594),
    [anon_sym_of] = ACTIONS(3594),
    [anon_sym_while] = ACTIONS(3594),
    [anon_sym_do] = ACTIONS(3594),
    [anon_sym_try] = ACTIONS(3594),
    [anon_sym_break] = ACTIONS(3594),
    [anon_sym_continue] = ACTIONS(3594),
    [anon_sym_debugger] = ACTIONS(3594),
    [anon_sym_return] = ACTIONS(3594),
    [anon_sym_throw] = ACTIONS(3594),
    [anon_sym_SEMI] = ACTIONS(3594),
    [anon_sym_yield] = ACTIONS(3594),
    [anon_sym_LBRACK] = ACTIONS(3594),
    [anon_sym_LTtemplate_GT] = ACTIONS(3594),
    [anon_sym_DQUOTE] = ACTIONS(3594),
    [anon_sym_SQUOTE] = ACTIONS(3594),
    [anon_sym_class] = ACTIONS(3594),
    [anon_sym_async] = ACTIONS(3594),
    [anon_sym_function] = ACTIONS(3594),
    [anon_sym_new] = ACTIONS(3594),
    [anon_sym_using] = ACTIONS(3594),
    [anon_sym_PLUS] = ACTIONS(3594),
    [anon_sym_DASH] = ACTIONS(3594),
    [anon_sym_SLASH] = ACTIONS(3594),
    [anon_sym_LT] = ACTIONS(3594),
    [anon_sym_TILDE] = ACTIONS(3594),
    [anon_sym_void] = ACTIONS(3594),
    [anon_sym_delete] = ACTIONS(3594),
    [anon_sym_PLUS_PLUS] = ACTIONS(3594),
    [anon_sym_DASH_DASH] = ACTIONS(3594),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3594),
    [sym_number] = ACTIONS(3594),
    [sym_private_property_identifier] = ACTIONS(3594),
    [sym_this] = ACTIONS(3594),
    [sym_super] = ACTIONS(3594),
    [sym_true] = ACTIONS(3594),
    [sym_false] = ACTIONS(3594),
    [sym_null] = ACTIONS(3594),
    [sym_undefined] = ACTIONS(3594),
    [anon_sym_AT] = ACTIONS(3594),
    [anon_sym_static] = ACTIONS(3594),
    [anon_sym_readonly] = ACTIONS(3594),
    [anon_sym_get] = ACTIONS(3594),
    [anon_sym_set] = ACTIONS(3594),
    [anon_sym_declare] = ACTIONS(3594),
    [anon_sym_public] = ACTIONS(3594),
    [anon_sym_private] = ACTIONS(3594),
    [anon_sym_protected] = ACTIONS(3594),
    [anon_sym_override] = ACTIONS(3594),
    [anon_sym_module] = ACTIONS(3594),
    [anon_sym_any] = ACTIONS(3594),
    [anon_sym_number] = ACTIONS(3594),
    [anon_sym_boolean] = ACTIONS(3594),
    [anon_sym_string] = ACTIONS(3594),
    [anon_sym_symbol] = ACTIONS(3594),
    [anon_sym_object] = ACTIONS(3594),
    [anon_sym_property] = ACTIONS(3594),
    [anon_sym_signal] = ACTIONS(3594),
    [anon_sym_on] = ACTIONS(3594),
    [anon_sym_required] = ACTIONS(3594),
    [anon_sym_component] = ACTIONS(3594),
    [anon_sym_abstract] = ACTIONS(3594),
    [anon_sym_interface] = ACTIONS(3594),
    [anon_sym_enum] = ACTIONS(3594),
    [sym_html_comment] = ACTIONS(5),
  },
  [1729] = {
    [sym_comment] = STATE(1729),
    [sym_identifier] = ACTIONS(3576),
    [anon_sym_export] = ACTIONS(3576),
    [anon_sym_type] = ACTIONS(3576),
    [anon_sym_namespace] = ACTIONS(3576),
    [anon_sym_LBRACE] = ACTIONS(3576),
    [anon_sym_RBRACE] = ACTIONS(3576),
    [anon_sym_typeof] = ACTIONS(3576),
    [anon_sym_import] = ACTIONS(3576),
    [anon_sym_from] = ACTIONS(3576),
    [anon_sym_with] = ACTIONS(3576),
    [anon_sym_var] = ACTIONS(3576),
    [anon_sym_let] = ACTIONS(3576),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_BANG] = ACTIONS(3576),
    [anon_sym_if] = ACTIONS(3576),
    [anon_sym_switch] = ACTIONS(3576),
    [anon_sym_for] = ACTIONS(3576),
    [anon_sym_LPAREN] = ACTIONS(3576),
    [anon_sym_await] = ACTIONS(3576),
    [anon_sym_of] = ACTIONS(3576),
    [anon_sym_while] = ACTIONS(3576),
    [anon_sym_do] = ACTIONS(3576),
    [anon_sym_try] = ACTIONS(3576),
    [anon_sym_break] = ACTIONS(3576),
    [anon_sym_continue] = ACTIONS(3576),
    [anon_sym_debugger] = ACTIONS(3576),
    [anon_sym_return] = ACTIONS(3576),
    [anon_sym_throw] = ACTIONS(3576),
    [anon_sym_SEMI] = ACTIONS(3576),
    [anon_sym_yield] = ACTIONS(3576),
    [anon_sym_LBRACK] = ACTIONS(3576),
    [anon_sym_LTtemplate_GT] = ACTIONS(3576),
    [anon_sym_DQUOTE] = ACTIONS(3576),
    [anon_sym_SQUOTE] = ACTIONS(3576),
    [anon_sym_class] = ACTIONS(3576),
    [anon_sym_async] = ACTIONS(3576),
    [anon_sym_function] = ACTIONS(3576),
    [anon_sym_new] = ACTIONS(3576),
    [anon_sym_using] = ACTIONS(3576),
    [anon_sym_PLUS] = ACTIONS(3576),
    [anon_sym_DASH] = ACTIONS(3576),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_LT] = ACTIONS(3576),
    [anon_sym_TILDE] = ACTIONS(3576),
    [anon_sym_void] = ACTIONS(3576),
    [anon_sym_delete] = ACTIONS(3576),
    [anon_sym_PLUS_PLUS] = ACTIONS(3576),
    [anon_sym_DASH_DASH] = ACTIONS(3576),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3576),
    [sym_number] = ACTIONS(3576),
    [sym_private_property_identifier] = ACTIONS(3576),
    [sym_this] = ACTIONS(3576),
    [sym_super] = ACTIONS(3576),
    [sym_true] = ACTIONS(3576),
    [sym_false] = ACTIONS(3576),
    [sym_null] = ACTIONS(3576),
    [sym_undefined] = ACTIONS(3576),
    [anon_sym_AT] = ACTIONS(3576),
    [anon_sym_static] = ACTIONS(3576),
    [anon_sym_readonly] = ACTIONS(3576),
    [anon_sym_get] = ACTIONS(3576),
    [anon_sym_set] = ACTIONS(3576),
    [anon_sym_declare] = ACTIONS(3576),
    [anon_sym_public] = ACTIONS(3576),
    [anon_sym_private] = ACTIONS(3576),
    [anon_sym_protected] = ACTIONS(3576),
    [anon_sym_override] = ACTIONS(3576),
    [anon_sym_module] = ACTIONS(3576),
    [anon_sym_any] = ACTIONS(3576),
    [anon_sym_number] = ACTIONS(3576),
    [anon_sym_boolean] = ACTIONS(3576),
    [anon_sym_string] = ACTIONS(3576),
    [anon_sym_symbol] = ACTIONS(3576),
    [anon_sym_object] = ACTIONS(3576),
    [anon_sym_property] = ACTIONS(3576),
    [anon_sym_signal] = ACTIONS(3576),
    [anon_sym_on] = ACTIONS(3576),
    [anon_sym_required] = ACTIONS(3576),
    [anon_sym_component] = ACTIONS(3576),
    [anon_sym_abstract] = ACTIONS(3576),
    [anon_sym_interface] = ACTIONS(3576),
    [anon_sym_enum] = ACTIONS(3576),
    [sym_html_comment] = ACTIONS(5),
  },
  [1730] = {
    [sym_comment] = STATE(1730),
    [sym_identifier] = ACTIONS(3694),
    [anon_sym_export] = ACTIONS(3694),
    [anon_sym_type] = ACTIONS(3694),
    [anon_sym_namespace] = ACTIONS(3694),
    [anon_sym_LBRACE] = ACTIONS(3694),
    [anon_sym_RBRACE] = ACTIONS(3694),
    [anon_sym_typeof] = ACTIONS(3694),
    [anon_sym_import] = ACTIONS(3694),
    [anon_sym_from] = ACTIONS(3694),
    [anon_sym_with] = ACTIONS(3694),
    [anon_sym_var] = ACTIONS(3694),
    [anon_sym_let] = ACTIONS(3694),
    [anon_sym_const] = ACTIONS(3694),
    [anon_sym_BANG] = ACTIONS(3694),
    [anon_sym_if] = ACTIONS(3694),
    [anon_sym_switch] = ACTIONS(3694),
    [anon_sym_for] = ACTIONS(3694),
    [anon_sym_LPAREN] = ACTIONS(3694),
    [anon_sym_await] = ACTIONS(3694),
    [anon_sym_of] = ACTIONS(3694),
    [anon_sym_while] = ACTIONS(3694),
    [anon_sym_do] = ACTIONS(3694),
    [anon_sym_try] = ACTIONS(3694),
    [anon_sym_break] = ACTIONS(3694),
    [anon_sym_continue] = ACTIONS(3694),
    [anon_sym_debugger] = ACTIONS(3694),
    [anon_sym_return] = ACTIONS(3694),
    [anon_sym_throw] = ACTIONS(3694),
    [anon_sym_SEMI] = ACTIONS(3694),
    [anon_sym_yield] = ACTIONS(3694),
    [anon_sym_LBRACK] = ACTIONS(3694),
    [anon_sym_LTtemplate_GT] = ACTIONS(3694),
    [anon_sym_DQUOTE] = ACTIONS(3694),
    [anon_sym_SQUOTE] = ACTIONS(3694),
    [anon_sym_class] = ACTIONS(3694),
    [anon_sym_async] = ACTIONS(3694),
    [anon_sym_function] = ACTIONS(3694),
    [anon_sym_new] = ACTIONS(3694),
    [anon_sym_using] = ACTIONS(3694),
    [anon_sym_PLUS] = ACTIONS(3694),
    [anon_sym_DASH] = ACTIONS(3694),
    [anon_sym_SLASH] = ACTIONS(3694),
    [anon_sym_LT] = ACTIONS(3694),
    [anon_sym_TILDE] = ACTIONS(3694),
    [anon_sym_void] = ACTIONS(3694),
    [anon_sym_delete] = ACTIONS(3694),
    [anon_sym_PLUS_PLUS] = ACTIONS(3694),
    [anon_sym_DASH_DASH] = ACTIONS(3694),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3694),
    [sym_number] = ACTIONS(3694),
    [sym_private_property_identifier] = ACTIONS(3694),
    [sym_this] = ACTIONS(3694),
    [sym_super] = ACTIONS(3694),
    [sym_true] = ACTIONS(3694),
    [sym_false] = ACTIONS(3694),
    [sym_null] = ACTIONS(3694),
    [sym_undefined] = ACTIONS(3694),
    [anon_sym_AT] = ACTIONS(3694),
    [anon_sym_static] = ACTIONS(3694),
    [anon_sym_readonly] = ACTIONS(3694),
    [anon_sym_get] = ACTIONS(3694),
    [anon_sym_set] = ACTIONS(3694),
    [anon_sym_declare] = ACTIONS(3694),
    [anon_sym_public] = ACTIONS(3694),
    [anon_sym_private] = ACTIONS(3694),
    [anon_sym_protected] = ACTIONS(3694),
    [anon_sym_override] = ACTIONS(3694),
    [anon_sym_module] = ACTIONS(3694),
    [anon_sym_any] = ACTIONS(3694),
    [anon_sym_number] = ACTIONS(3694),
    [anon_sym_boolean] = ACTIONS(3694),
    [anon_sym_string] = ACTIONS(3694),
    [anon_sym_symbol] = ACTIONS(3694),
    [anon_sym_object] = ACTIONS(3694),
    [anon_sym_property] = ACTIONS(3694),
    [anon_sym_signal] = ACTIONS(3694),
    [anon_sym_on] = ACTIONS(3694),
    [anon_sym_required] = ACTIONS(3694),
    [anon_sym_component] = ACTIONS(3694),
    [anon_sym_abstract] = ACTIONS(3694),
    [anon_sym_interface] = ACTIONS(3694),
    [anon_sym_enum] = ACTIONS(3694),
    [sym_html_comment] = ACTIONS(5),
  },
  [1731] = {
    [sym_comment] = STATE(1731),
    [sym_identifier] = ACTIONS(3640),
    [anon_sym_export] = ACTIONS(3640),
    [anon_sym_type] = ACTIONS(3640),
    [anon_sym_namespace] = ACTIONS(3640),
    [anon_sym_LBRACE] = ACTIONS(3640),
    [anon_sym_RBRACE] = ACTIONS(3640),
    [anon_sym_typeof] = ACTIONS(3640),
    [anon_sym_import] = ACTIONS(3640),
    [anon_sym_from] = ACTIONS(3640),
    [anon_sym_with] = ACTIONS(3640),
    [anon_sym_var] = ACTIONS(3640),
    [anon_sym_let] = ACTIONS(3640),
    [anon_sym_const] = ACTIONS(3640),
    [anon_sym_BANG] = ACTIONS(3640),
    [anon_sym_if] = ACTIONS(3640),
    [anon_sym_switch] = ACTIONS(3640),
    [anon_sym_for] = ACTIONS(3640),
    [anon_sym_LPAREN] = ACTIONS(3640),
    [anon_sym_await] = ACTIONS(3640),
    [anon_sym_of] = ACTIONS(3640),
    [anon_sym_while] = ACTIONS(3640),
    [anon_sym_do] = ACTIONS(3640),
    [anon_sym_try] = ACTIONS(3640),
    [anon_sym_break] = ACTIONS(3640),
    [anon_sym_continue] = ACTIONS(3640),
    [anon_sym_debugger] = ACTIONS(3640),
    [anon_sym_return] = ACTIONS(3640),
    [anon_sym_throw] = ACTIONS(3640),
    [anon_sym_SEMI] = ACTIONS(3640),
    [anon_sym_yield] = ACTIONS(3640),
    [anon_sym_LBRACK] = ACTIONS(3640),
    [anon_sym_LTtemplate_GT] = ACTIONS(3640),
    [anon_sym_DQUOTE] = ACTIONS(3640),
    [anon_sym_SQUOTE] = ACTIONS(3640),
    [anon_sym_class] = ACTIONS(3640),
    [anon_sym_async] = ACTIONS(3640),
    [anon_sym_function] = ACTIONS(3640),
    [anon_sym_new] = ACTIONS(3640),
    [anon_sym_using] = ACTIONS(3640),
    [anon_sym_PLUS] = ACTIONS(3640),
    [anon_sym_DASH] = ACTIONS(3640),
    [anon_sym_SLASH] = ACTIONS(3640),
    [anon_sym_LT] = ACTIONS(3640),
    [anon_sym_TILDE] = ACTIONS(3640),
    [anon_sym_void] = ACTIONS(3640),
    [anon_sym_delete] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3640),
    [anon_sym_DASH_DASH] = ACTIONS(3640),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3640),
    [sym_number] = ACTIONS(3640),
    [sym_private_property_identifier] = ACTIONS(3640),
    [sym_this] = ACTIONS(3640),
    [sym_super] = ACTIONS(3640),
    [sym_true] = ACTIONS(3640),
    [sym_false] = ACTIONS(3640),
    [sym_null] = ACTIONS(3640),
    [sym_undefined] = ACTIONS(3640),
    [anon_sym_AT] = ACTIONS(3640),
    [anon_sym_static] = ACTIONS(3640),
    [anon_sym_readonly] = ACTIONS(3640),
    [anon_sym_get] = ACTIONS(3640),
    [anon_sym_set] = ACTIONS(3640),
    [anon_sym_declare] = ACTIONS(3640),
    [anon_sym_public] = ACTIONS(3640),
    [anon_sym_private] = ACTIONS(3640),
    [anon_sym_protected] = ACTIONS(3640),
    [anon_sym_override] = ACTIONS(3640),
    [anon_sym_module] = ACTIONS(3640),
    [anon_sym_any] = ACTIONS(3640),
    [anon_sym_number] = ACTIONS(3640),
    [anon_sym_boolean] = ACTIONS(3640),
    [anon_sym_string] = ACTIONS(3640),
    [anon_sym_symbol] = ACTIONS(3640),
    [anon_sym_object] = ACTIONS(3640),
    [anon_sym_property] = ACTIONS(3640),
    [anon_sym_signal] = ACTIONS(3640),
    [anon_sym_on] = ACTIONS(3640),
    [anon_sym_required] = ACTIONS(3640),
    [anon_sym_component] = ACTIONS(3640),
    [anon_sym_abstract] = ACTIONS(3640),
    [anon_sym_interface] = ACTIONS(3640),
    [anon_sym_enum] = ACTIONS(3640),
    [sym_html_comment] = ACTIONS(5),
  },
  [1732] = {
    [sym_comment] = STATE(1732),
    [sym_identifier] = ACTIONS(3656),
    [anon_sym_export] = ACTIONS(3656),
    [anon_sym_type] = ACTIONS(3656),
    [anon_sym_namespace] = ACTIONS(3656),
    [anon_sym_LBRACE] = ACTIONS(3656),
    [anon_sym_RBRACE] = ACTIONS(3656),
    [anon_sym_typeof] = ACTIONS(3656),
    [anon_sym_import] = ACTIONS(3656),
    [anon_sym_from] = ACTIONS(3656),
    [anon_sym_with] = ACTIONS(3656),
    [anon_sym_var] = ACTIONS(3656),
    [anon_sym_let] = ACTIONS(3656),
    [anon_sym_const] = ACTIONS(3656),
    [anon_sym_BANG] = ACTIONS(3656),
    [anon_sym_if] = ACTIONS(3656),
    [anon_sym_switch] = ACTIONS(3656),
    [anon_sym_for] = ACTIONS(3656),
    [anon_sym_LPAREN] = ACTIONS(3656),
    [anon_sym_await] = ACTIONS(3656),
    [anon_sym_of] = ACTIONS(3656),
    [anon_sym_while] = ACTIONS(3656),
    [anon_sym_do] = ACTIONS(3656),
    [anon_sym_try] = ACTIONS(3656),
    [anon_sym_break] = ACTIONS(3656),
    [anon_sym_continue] = ACTIONS(3656),
    [anon_sym_debugger] = ACTIONS(3656),
    [anon_sym_return] = ACTIONS(3656),
    [anon_sym_throw] = ACTIONS(3656),
    [anon_sym_SEMI] = ACTIONS(3656),
    [anon_sym_yield] = ACTIONS(3656),
    [anon_sym_LBRACK] = ACTIONS(3656),
    [anon_sym_LTtemplate_GT] = ACTIONS(3656),
    [anon_sym_DQUOTE] = ACTIONS(3656),
    [anon_sym_SQUOTE] = ACTIONS(3656),
    [anon_sym_class] = ACTIONS(3656),
    [anon_sym_async] = ACTIONS(3656),
    [anon_sym_function] = ACTIONS(3656),
    [anon_sym_new] = ACTIONS(3656),
    [anon_sym_using] = ACTIONS(3656),
    [anon_sym_PLUS] = ACTIONS(3656),
    [anon_sym_DASH] = ACTIONS(3656),
    [anon_sym_SLASH] = ACTIONS(3656),
    [anon_sym_LT] = ACTIONS(3656),
    [anon_sym_TILDE] = ACTIONS(3656),
    [anon_sym_void] = ACTIONS(3656),
    [anon_sym_delete] = ACTIONS(3656),
    [anon_sym_PLUS_PLUS] = ACTIONS(3656),
    [anon_sym_DASH_DASH] = ACTIONS(3656),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3656),
    [sym_number] = ACTIONS(3656),
    [sym_private_property_identifier] = ACTIONS(3656),
    [sym_this] = ACTIONS(3656),
    [sym_super] = ACTIONS(3656),
    [sym_true] = ACTIONS(3656),
    [sym_false] = ACTIONS(3656),
    [sym_null] = ACTIONS(3656),
    [sym_undefined] = ACTIONS(3656),
    [anon_sym_AT] = ACTIONS(3656),
    [anon_sym_static] = ACTIONS(3656),
    [anon_sym_readonly] = ACTIONS(3656),
    [anon_sym_get] = ACTIONS(3656),
    [anon_sym_set] = ACTIONS(3656),
    [anon_sym_declare] = ACTIONS(3656),
    [anon_sym_public] = ACTIONS(3656),
    [anon_sym_private] = ACTIONS(3656),
    [anon_sym_protected] = ACTIONS(3656),
    [anon_sym_override] = ACTIONS(3656),
    [anon_sym_module] = ACTIONS(3656),
    [anon_sym_any] = ACTIONS(3656),
    [anon_sym_number] = ACTIONS(3656),
    [anon_sym_boolean] = ACTIONS(3656),
    [anon_sym_string] = ACTIONS(3656),
    [anon_sym_symbol] = ACTIONS(3656),
    [anon_sym_object] = ACTIONS(3656),
    [anon_sym_property] = ACTIONS(3656),
    [anon_sym_signal] = ACTIONS(3656),
    [anon_sym_on] = ACTIONS(3656),
    [anon_sym_required] = ACTIONS(3656),
    [anon_sym_component] = ACTIONS(3656),
    [anon_sym_abstract] = ACTIONS(3656),
    [anon_sym_interface] = ACTIONS(3656),
    [anon_sym_enum] = ACTIONS(3656),
    [sym_html_comment] = ACTIONS(5),
  },
  [1733] = {
    [sym_comment] = STATE(1733),
    [sym_identifier] = ACTIONS(3672),
    [anon_sym_export] = ACTIONS(3672),
    [anon_sym_type] = ACTIONS(3672),
    [anon_sym_namespace] = ACTIONS(3672),
    [anon_sym_LBRACE] = ACTIONS(3672),
    [anon_sym_RBRACE] = ACTIONS(3672),
    [anon_sym_typeof] = ACTIONS(3672),
    [anon_sym_import] = ACTIONS(3672),
    [anon_sym_from] = ACTIONS(3672),
    [anon_sym_with] = ACTIONS(3672),
    [anon_sym_var] = ACTIONS(3672),
    [anon_sym_let] = ACTIONS(3672),
    [anon_sym_const] = ACTIONS(3672),
    [anon_sym_BANG] = ACTIONS(3672),
    [anon_sym_if] = ACTIONS(3672),
    [anon_sym_switch] = ACTIONS(3672),
    [anon_sym_for] = ACTIONS(3672),
    [anon_sym_LPAREN] = ACTIONS(3672),
    [anon_sym_await] = ACTIONS(3672),
    [anon_sym_of] = ACTIONS(3672),
    [anon_sym_while] = ACTIONS(3672),
    [anon_sym_do] = ACTIONS(3672),
    [anon_sym_try] = ACTIONS(3672),
    [anon_sym_break] = ACTIONS(3672),
    [anon_sym_continue] = ACTIONS(3672),
    [anon_sym_debugger] = ACTIONS(3672),
    [anon_sym_return] = ACTIONS(3672),
    [anon_sym_throw] = ACTIONS(3672),
    [anon_sym_SEMI] = ACTIONS(3672),
    [anon_sym_yield] = ACTIONS(3672),
    [anon_sym_LBRACK] = ACTIONS(3672),
    [anon_sym_LTtemplate_GT] = ACTIONS(3672),
    [anon_sym_DQUOTE] = ACTIONS(3672),
    [anon_sym_SQUOTE] = ACTIONS(3672),
    [anon_sym_class] = ACTIONS(3672),
    [anon_sym_async] = ACTIONS(3672),
    [anon_sym_function] = ACTIONS(3672),
    [anon_sym_new] = ACTIONS(3672),
    [anon_sym_using] = ACTIONS(3672),
    [anon_sym_PLUS] = ACTIONS(3672),
    [anon_sym_DASH] = ACTIONS(3672),
    [anon_sym_SLASH] = ACTIONS(3672),
    [anon_sym_LT] = ACTIONS(3672),
    [anon_sym_TILDE] = ACTIONS(3672),
    [anon_sym_void] = ACTIONS(3672),
    [anon_sym_delete] = ACTIONS(3672),
    [anon_sym_PLUS_PLUS] = ACTIONS(3672),
    [anon_sym_DASH_DASH] = ACTIONS(3672),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3672),
    [sym_number] = ACTIONS(3672),
    [sym_private_property_identifier] = ACTIONS(3672),
    [sym_this] = ACTIONS(3672),
    [sym_super] = ACTIONS(3672),
    [sym_true] = ACTIONS(3672),
    [sym_false] = ACTIONS(3672),
    [sym_null] = ACTIONS(3672),
    [sym_undefined] = ACTIONS(3672),
    [anon_sym_AT] = ACTIONS(3672),
    [anon_sym_static] = ACTIONS(3672),
    [anon_sym_readonly] = ACTIONS(3672),
    [anon_sym_get] = ACTIONS(3672),
    [anon_sym_set] = ACTIONS(3672),
    [anon_sym_declare] = ACTIONS(3672),
    [anon_sym_public] = ACTIONS(3672),
    [anon_sym_private] = ACTIONS(3672),
    [anon_sym_protected] = ACTIONS(3672),
    [anon_sym_override] = ACTIONS(3672),
    [anon_sym_module] = ACTIONS(3672),
    [anon_sym_any] = ACTIONS(3672),
    [anon_sym_number] = ACTIONS(3672),
    [anon_sym_boolean] = ACTIONS(3672),
    [anon_sym_string] = ACTIONS(3672),
    [anon_sym_symbol] = ACTIONS(3672),
    [anon_sym_object] = ACTIONS(3672),
    [anon_sym_property] = ACTIONS(3672),
    [anon_sym_signal] = ACTIONS(3672),
    [anon_sym_on] = ACTIONS(3672),
    [anon_sym_required] = ACTIONS(3672),
    [anon_sym_component] = ACTIONS(3672),
    [anon_sym_abstract] = ACTIONS(3672),
    [anon_sym_interface] = ACTIONS(3672),
    [anon_sym_enum] = ACTIONS(3672),
    [sym_html_comment] = ACTIONS(5),
  },
  [1734] = {
    [sym_comment] = STATE(1734),
    [sym_identifier] = ACTIONS(3602),
    [anon_sym_export] = ACTIONS(3602),
    [anon_sym_type] = ACTIONS(3602),
    [anon_sym_namespace] = ACTIONS(3602),
    [anon_sym_LBRACE] = ACTIONS(3602),
    [anon_sym_RBRACE] = ACTIONS(3602),
    [anon_sym_typeof] = ACTIONS(3602),
    [anon_sym_import] = ACTIONS(3602),
    [anon_sym_from] = ACTIONS(3602),
    [anon_sym_with] = ACTIONS(3602),
    [anon_sym_var] = ACTIONS(3602),
    [anon_sym_let] = ACTIONS(3602),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_BANG] = ACTIONS(3602),
    [anon_sym_if] = ACTIONS(3602),
    [anon_sym_switch] = ACTIONS(3602),
    [anon_sym_for] = ACTIONS(3602),
    [anon_sym_LPAREN] = ACTIONS(3602),
    [anon_sym_await] = ACTIONS(3602),
    [anon_sym_of] = ACTIONS(3602),
    [anon_sym_while] = ACTIONS(3602),
    [anon_sym_do] = ACTIONS(3602),
    [anon_sym_try] = ACTIONS(3602),
    [anon_sym_break] = ACTIONS(3602),
    [anon_sym_continue] = ACTIONS(3602),
    [anon_sym_debugger] = ACTIONS(3602),
    [anon_sym_return] = ACTIONS(3602),
    [anon_sym_throw] = ACTIONS(3602),
    [anon_sym_SEMI] = ACTIONS(3602),
    [anon_sym_yield] = ACTIONS(3602),
    [anon_sym_LBRACK] = ACTIONS(3602),
    [anon_sym_LTtemplate_GT] = ACTIONS(3602),
    [anon_sym_DQUOTE] = ACTIONS(3602),
    [anon_sym_SQUOTE] = ACTIONS(3602),
    [anon_sym_class] = ACTIONS(3602),
    [anon_sym_async] = ACTIONS(3602),
    [anon_sym_function] = ACTIONS(3602),
    [anon_sym_new] = ACTIONS(3602),
    [anon_sym_using] = ACTIONS(3602),
    [anon_sym_PLUS] = ACTIONS(3602),
    [anon_sym_DASH] = ACTIONS(3602),
    [anon_sym_SLASH] = ACTIONS(3602),
    [anon_sym_LT] = ACTIONS(3602),
    [anon_sym_TILDE] = ACTIONS(3602),
    [anon_sym_void] = ACTIONS(3602),
    [anon_sym_delete] = ACTIONS(3602),
    [anon_sym_PLUS_PLUS] = ACTIONS(3602),
    [anon_sym_DASH_DASH] = ACTIONS(3602),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3602),
    [sym_number] = ACTIONS(3602),
    [sym_private_property_identifier] = ACTIONS(3602),
    [sym_this] = ACTIONS(3602),
    [sym_super] = ACTIONS(3602),
    [sym_true] = ACTIONS(3602),
    [sym_false] = ACTIONS(3602),
    [sym_null] = ACTIONS(3602),
    [sym_undefined] = ACTIONS(3602),
    [anon_sym_AT] = ACTIONS(3602),
    [anon_sym_static] = ACTIONS(3602),
    [anon_sym_readonly] = ACTIONS(3602),
    [anon_sym_get] = ACTIONS(3602),
    [anon_sym_set] = ACTIONS(3602),
    [anon_sym_declare] = ACTIONS(3602),
    [anon_sym_public] = ACTIONS(3602),
    [anon_sym_private] = ACTIONS(3602),
    [anon_sym_protected] = ACTIONS(3602),
    [anon_sym_override] = ACTIONS(3602),
    [anon_sym_module] = ACTIONS(3602),
    [anon_sym_any] = ACTIONS(3602),
    [anon_sym_number] = ACTIONS(3602),
    [anon_sym_boolean] = ACTIONS(3602),
    [anon_sym_string] = ACTIONS(3602),
    [anon_sym_symbol] = ACTIONS(3602),
    [anon_sym_object] = ACTIONS(3602),
    [anon_sym_property] = ACTIONS(3602),
    [anon_sym_signal] = ACTIONS(3602),
    [anon_sym_on] = ACTIONS(3602),
    [anon_sym_required] = ACTIONS(3602),
    [anon_sym_component] = ACTIONS(3602),
    [anon_sym_abstract] = ACTIONS(3602),
    [anon_sym_interface] = ACTIONS(3602),
    [anon_sym_enum] = ACTIONS(3602),
    [sym_html_comment] = ACTIONS(5),
  },
  [1735] = {
    [sym_comment] = STATE(1735),
    [sym_identifier] = ACTIONS(3684),
    [anon_sym_export] = ACTIONS(3684),
    [anon_sym_type] = ACTIONS(3684),
    [anon_sym_namespace] = ACTIONS(3684),
    [anon_sym_LBRACE] = ACTIONS(3684),
    [anon_sym_RBRACE] = ACTIONS(3684),
    [anon_sym_typeof] = ACTIONS(3684),
    [anon_sym_import] = ACTIONS(3684),
    [anon_sym_from] = ACTIONS(3684),
    [anon_sym_with] = ACTIONS(3684),
    [anon_sym_var] = ACTIONS(3684),
    [anon_sym_let] = ACTIONS(3684),
    [anon_sym_const] = ACTIONS(3684),
    [anon_sym_BANG] = ACTIONS(3684),
    [anon_sym_if] = ACTIONS(3684),
    [anon_sym_switch] = ACTIONS(3684),
    [anon_sym_for] = ACTIONS(3684),
    [anon_sym_LPAREN] = ACTIONS(3684),
    [anon_sym_await] = ACTIONS(3684),
    [anon_sym_of] = ACTIONS(3684),
    [anon_sym_while] = ACTIONS(3684),
    [anon_sym_do] = ACTIONS(3684),
    [anon_sym_try] = ACTIONS(3684),
    [anon_sym_break] = ACTIONS(3684),
    [anon_sym_continue] = ACTIONS(3684),
    [anon_sym_debugger] = ACTIONS(3684),
    [anon_sym_return] = ACTIONS(3684),
    [anon_sym_throw] = ACTIONS(3684),
    [anon_sym_SEMI] = ACTIONS(3684),
    [anon_sym_yield] = ACTIONS(3684),
    [anon_sym_LBRACK] = ACTIONS(3684),
    [anon_sym_LTtemplate_GT] = ACTIONS(3684),
    [anon_sym_DQUOTE] = ACTIONS(3684),
    [anon_sym_SQUOTE] = ACTIONS(3684),
    [anon_sym_class] = ACTIONS(3684),
    [anon_sym_async] = ACTIONS(3684),
    [anon_sym_function] = ACTIONS(3684),
    [anon_sym_new] = ACTIONS(3684),
    [anon_sym_using] = ACTIONS(3684),
    [anon_sym_PLUS] = ACTIONS(3684),
    [anon_sym_DASH] = ACTIONS(3684),
    [anon_sym_SLASH] = ACTIONS(3684),
    [anon_sym_LT] = ACTIONS(3684),
    [anon_sym_TILDE] = ACTIONS(3684),
    [anon_sym_void] = ACTIONS(3684),
    [anon_sym_delete] = ACTIONS(3684),
    [anon_sym_PLUS_PLUS] = ACTIONS(3684),
    [anon_sym_DASH_DASH] = ACTIONS(3684),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3684),
    [sym_number] = ACTIONS(3684),
    [sym_private_property_identifier] = ACTIONS(3684),
    [sym_this] = ACTIONS(3684),
    [sym_super] = ACTIONS(3684),
    [sym_true] = ACTIONS(3684),
    [sym_false] = ACTIONS(3684),
    [sym_null] = ACTIONS(3684),
    [sym_undefined] = ACTIONS(3684),
    [anon_sym_AT] = ACTIONS(3684),
    [anon_sym_static] = ACTIONS(3684),
    [anon_sym_readonly] = ACTIONS(3684),
    [anon_sym_get] = ACTIONS(3684),
    [anon_sym_set] = ACTIONS(3684),
    [anon_sym_declare] = ACTIONS(3684),
    [anon_sym_public] = ACTIONS(3684),
    [anon_sym_private] = ACTIONS(3684),
    [anon_sym_protected] = ACTIONS(3684),
    [anon_sym_override] = ACTIONS(3684),
    [anon_sym_module] = ACTIONS(3684),
    [anon_sym_any] = ACTIONS(3684),
    [anon_sym_number] = ACTIONS(3684),
    [anon_sym_boolean] = ACTIONS(3684),
    [anon_sym_string] = ACTIONS(3684),
    [anon_sym_symbol] = ACTIONS(3684),
    [anon_sym_object] = ACTIONS(3684),
    [anon_sym_property] = ACTIONS(3684),
    [anon_sym_signal] = ACTIONS(3684),
    [anon_sym_on] = ACTIONS(3684),
    [anon_sym_required] = ACTIONS(3684),
    [anon_sym_component] = ACTIONS(3684),
    [anon_sym_abstract] = ACTIONS(3684),
    [anon_sym_interface] = ACTIONS(3684),
    [anon_sym_enum] = ACTIONS(3684),
    [sym_html_comment] = ACTIONS(5),
  },
  [1736] = {
    [sym_comment] = STATE(1736),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_export] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_namespace] = ACTIONS(3572),
    [anon_sym_LBRACE] = ACTIONS(3572),
    [anon_sym_RBRACE] = ACTIONS(3572),
    [anon_sym_typeof] = ACTIONS(3572),
    [anon_sym_import] = ACTIONS(3572),
    [anon_sym_from] = ACTIONS(3572),
    [anon_sym_with] = ACTIONS(3572),
    [anon_sym_var] = ACTIONS(3572),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_const] = ACTIONS(3572),
    [anon_sym_BANG] = ACTIONS(3572),
    [anon_sym_if] = ACTIONS(3572),
    [anon_sym_switch] = ACTIONS(3572),
    [anon_sym_for] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(3572),
    [anon_sym_await] = ACTIONS(3572),
    [anon_sym_of] = ACTIONS(3572),
    [anon_sym_while] = ACTIONS(3572),
    [anon_sym_do] = ACTIONS(3572),
    [anon_sym_try] = ACTIONS(3572),
    [anon_sym_break] = ACTIONS(3572),
    [anon_sym_continue] = ACTIONS(3572),
    [anon_sym_debugger] = ACTIONS(3572),
    [anon_sym_return] = ACTIONS(3572),
    [anon_sym_throw] = ACTIONS(3572),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_yield] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(3572),
    [anon_sym_LTtemplate_GT] = ACTIONS(3572),
    [anon_sym_DQUOTE] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_async] = ACTIONS(3572),
    [anon_sym_function] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(3572),
    [anon_sym_using] = ACTIONS(3572),
    [anon_sym_PLUS] = ACTIONS(3572),
    [anon_sym_DASH] = ACTIONS(3572),
    [anon_sym_SLASH] = ACTIONS(3572),
    [anon_sym_LT] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(3572),
    [anon_sym_void] = ACTIONS(3572),
    [anon_sym_delete] = ACTIONS(3572),
    [anon_sym_PLUS_PLUS] = ACTIONS(3572),
    [anon_sym_DASH_DASH] = ACTIONS(3572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3572),
    [sym_number] = ACTIONS(3572),
    [sym_private_property_identifier] = ACTIONS(3572),
    [sym_this] = ACTIONS(3572),
    [sym_super] = ACTIONS(3572),
    [sym_true] = ACTIONS(3572),
    [sym_false] = ACTIONS(3572),
    [sym_null] = ACTIONS(3572),
    [sym_undefined] = ACTIONS(3572),
    [anon_sym_AT] = ACTIONS(3572),
    [anon_sym_static] = ACTIONS(3572),
    [anon_sym_readonly] = ACTIONS(3572),
    [anon_sym_get] = ACTIONS(3572),
    [anon_sym_set] = ACTIONS(3572),
    [anon_sym_declare] = ACTIONS(3572),
    [anon_sym_public] = ACTIONS(3572),
    [anon_sym_private] = ACTIONS(3572),
    [anon_sym_protected] = ACTIONS(3572),
    [anon_sym_override] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_any] = ACTIONS(3572),
    [anon_sym_number] = ACTIONS(3572),
    [anon_sym_boolean] = ACTIONS(3572),
    [anon_sym_string] = ACTIONS(3572),
    [anon_sym_symbol] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(3572),
    [anon_sym_property] = ACTIONS(3572),
    [anon_sym_signal] = ACTIONS(3572),
    [anon_sym_on] = ACTIONS(3572),
    [anon_sym_required] = ACTIONS(3572),
    [anon_sym_component] = ACTIONS(3572),
    [anon_sym_abstract] = ACTIONS(3572),
    [anon_sym_interface] = ACTIONS(3572),
    [anon_sym_enum] = ACTIONS(3572),
    [sym_html_comment] = ACTIONS(5),
  },
  [1737] = {
    [sym_comment] = STATE(1737),
    [sym_identifier] = ACTIONS(3572),
    [anon_sym_export] = ACTIONS(3572),
    [anon_sym_type] = ACTIONS(3572),
    [anon_sym_namespace] = ACTIONS(3572),
    [anon_sym_LBRACE] = ACTIONS(3572),
    [anon_sym_RBRACE] = ACTIONS(3572),
    [anon_sym_typeof] = ACTIONS(3572),
    [anon_sym_import] = ACTIONS(3572),
    [anon_sym_from] = ACTIONS(3572),
    [anon_sym_with] = ACTIONS(3572),
    [anon_sym_var] = ACTIONS(3572),
    [anon_sym_let] = ACTIONS(3572),
    [anon_sym_const] = ACTIONS(3572),
    [anon_sym_BANG] = ACTIONS(3572),
    [anon_sym_if] = ACTIONS(3572),
    [anon_sym_switch] = ACTIONS(3572),
    [anon_sym_for] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(3572),
    [anon_sym_await] = ACTIONS(3572),
    [anon_sym_of] = ACTIONS(3572),
    [anon_sym_while] = ACTIONS(3572),
    [anon_sym_do] = ACTIONS(3572),
    [anon_sym_try] = ACTIONS(3572),
    [anon_sym_break] = ACTIONS(3572),
    [anon_sym_continue] = ACTIONS(3572),
    [anon_sym_debugger] = ACTIONS(3572),
    [anon_sym_return] = ACTIONS(3572),
    [anon_sym_throw] = ACTIONS(3572),
    [anon_sym_SEMI] = ACTIONS(3572),
    [anon_sym_yield] = ACTIONS(3572),
    [anon_sym_LBRACK] = ACTIONS(3572),
    [anon_sym_LTtemplate_GT] = ACTIONS(3572),
    [anon_sym_DQUOTE] = ACTIONS(3572),
    [anon_sym_SQUOTE] = ACTIONS(3572),
    [anon_sym_class] = ACTIONS(3572),
    [anon_sym_async] = ACTIONS(3572),
    [anon_sym_function] = ACTIONS(3572),
    [anon_sym_new] = ACTIONS(3572),
    [anon_sym_using] = ACTIONS(3572),
    [anon_sym_PLUS] = ACTIONS(3572),
    [anon_sym_DASH] = ACTIONS(3572),
    [anon_sym_SLASH] = ACTIONS(3572),
    [anon_sym_LT] = ACTIONS(3572),
    [anon_sym_TILDE] = ACTIONS(3572),
    [anon_sym_void] = ACTIONS(3572),
    [anon_sym_delete] = ACTIONS(3572),
    [anon_sym_PLUS_PLUS] = ACTIONS(3572),
    [anon_sym_DASH_DASH] = ACTIONS(3572),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3572),
    [sym_number] = ACTIONS(3572),
    [sym_private_property_identifier] = ACTIONS(3572),
    [sym_this] = ACTIONS(3572),
    [sym_super] = ACTIONS(3572),
    [sym_true] = ACTIONS(3572),
    [sym_false] = ACTIONS(3572),
    [sym_null] = ACTIONS(3572),
    [sym_undefined] = ACTIONS(3572),
    [anon_sym_AT] = ACTIONS(3572),
    [anon_sym_static] = ACTIONS(3572),
    [anon_sym_readonly] = ACTIONS(3572),
    [anon_sym_get] = ACTIONS(3572),
    [anon_sym_set] = ACTIONS(3572),
    [anon_sym_declare] = ACTIONS(3572),
    [anon_sym_public] = ACTIONS(3572),
    [anon_sym_private] = ACTIONS(3572),
    [anon_sym_protected] = ACTIONS(3572),
    [anon_sym_override] = ACTIONS(3572),
    [anon_sym_module] = ACTIONS(3572),
    [anon_sym_any] = ACTIONS(3572),
    [anon_sym_number] = ACTIONS(3572),
    [anon_sym_boolean] = ACTIONS(3572),
    [anon_sym_string] = ACTIONS(3572),
    [anon_sym_symbol] = ACTIONS(3572),
    [anon_sym_object] = ACTIONS(3572),
    [anon_sym_property] = ACTIONS(3572),
    [anon_sym_signal] = ACTIONS(3572),
    [anon_sym_on] = ACTIONS(3572),
    [anon_sym_required] = ACTIONS(3572),
    [anon_sym_component] = ACTIONS(3572),
    [anon_sym_abstract] = ACTIONS(3572),
    [anon_sym_interface] = ACTIONS(3572),
    [anon_sym_enum] = ACTIONS(3572),
    [sym_html_comment] = ACTIONS(5),
  },
  [1738] = {
    [sym_comment] = STATE(1738),
    [sym_identifier] = ACTIONS(3628),
    [anon_sym_export] = ACTIONS(3628),
    [anon_sym_type] = ACTIONS(3628),
    [anon_sym_namespace] = ACTIONS(3628),
    [anon_sym_LBRACE] = ACTIONS(3628),
    [anon_sym_RBRACE] = ACTIONS(3628),
    [anon_sym_typeof] = ACTIONS(3628),
    [anon_sym_import] = ACTIONS(3628),
    [anon_sym_from] = ACTIONS(3628),
    [anon_sym_with] = ACTIONS(3628),
    [anon_sym_var] = ACTIONS(3628),
    [anon_sym_let] = ACTIONS(3628),
    [anon_sym_const] = ACTIONS(3628),
    [anon_sym_BANG] = ACTIONS(3628),
    [anon_sym_if] = ACTIONS(3628),
    [anon_sym_switch] = ACTIONS(3628),
    [anon_sym_for] = ACTIONS(3628),
    [anon_sym_LPAREN] = ACTIONS(3628),
    [anon_sym_await] = ACTIONS(3628),
    [anon_sym_of] = ACTIONS(3628),
    [anon_sym_while] = ACTIONS(3628),
    [anon_sym_do] = ACTIONS(3628),
    [anon_sym_try] = ACTIONS(3628),
    [anon_sym_break] = ACTIONS(3628),
    [anon_sym_continue] = ACTIONS(3628),
    [anon_sym_debugger] = ACTIONS(3628),
    [anon_sym_return] = ACTIONS(3628),
    [anon_sym_throw] = ACTIONS(3628),
    [anon_sym_SEMI] = ACTIONS(3628),
    [anon_sym_yield] = ACTIONS(3628),
    [anon_sym_LBRACK] = ACTIONS(3628),
    [anon_sym_LTtemplate_GT] = ACTIONS(3628),
    [anon_sym_DQUOTE] = ACTIONS(3628),
    [anon_sym_SQUOTE] = ACTIONS(3628),
    [anon_sym_class] = ACTIONS(3628),
    [anon_sym_async] = ACTIONS(3628),
    [anon_sym_function] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3628),
    [anon_sym_using] = ACTIONS(3628),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_SLASH] = ACTIONS(3628),
    [anon_sym_LT] = ACTIONS(3628),
    [anon_sym_TILDE] = ACTIONS(3628),
    [anon_sym_void] = ACTIONS(3628),
    [anon_sym_delete] = ACTIONS(3628),
    [anon_sym_PLUS_PLUS] = ACTIONS(3628),
    [anon_sym_DASH_DASH] = ACTIONS(3628),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3628),
    [sym_number] = ACTIONS(3628),
    [sym_private_property_identifier] = ACTIONS(3628),
    [sym_this] = ACTIONS(3628),
    [sym_super] = ACTIONS(3628),
    [sym_true] = ACTIONS(3628),
    [sym_false] = ACTIONS(3628),
    [sym_null] = ACTIONS(3628),
    [sym_undefined] = ACTIONS(3628),
    [anon_sym_AT] = ACTIONS(3628),
    [anon_sym_static] = ACTIONS(3628),
    [anon_sym_readonly] = ACTIONS(3628),
    [anon_sym_get] = ACTIONS(3628),
    [anon_sym_set] = ACTIONS(3628),
    [anon_sym_declare] = ACTIONS(3628),
    [anon_sym_public] = ACTIONS(3628),
    [anon_sym_private] = ACTIONS(3628),
    [anon_sym_protected] = ACTIONS(3628),
    [anon_sym_override] = ACTIONS(3628),
    [anon_sym_module] = ACTIONS(3628),
    [anon_sym_any] = ACTIONS(3628),
    [anon_sym_number] = ACTIONS(3628),
    [anon_sym_boolean] = ACTIONS(3628),
    [anon_sym_string] = ACTIONS(3628),
    [anon_sym_symbol] = ACTIONS(3628),
    [anon_sym_object] = ACTIONS(3628),
    [anon_sym_property] = ACTIONS(3628),
    [anon_sym_signal] = ACTIONS(3628),
    [anon_sym_on] = ACTIONS(3628),
    [anon_sym_required] = ACTIONS(3628),
    [anon_sym_component] = ACTIONS(3628),
    [anon_sym_abstract] = ACTIONS(3628),
    [anon_sym_interface] = ACTIONS(3628),
    [anon_sym_enum] = ACTIONS(3628),
    [sym_html_comment] = ACTIONS(5),
  },
  [1739] = {
    [sym_comment] = STATE(1739),
    [sym_identifier] = ACTIONS(3508),
    [anon_sym_export] = ACTIONS(3508),
    [anon_sym_type] = ACTIONS(3508),
    [anon_sym_namespace] = ACTIONS(3508),
    [anon_sym_LBRACE] = ACTIONS(3508),
    [anon_sym_RBRACE] = ACTIONS(3508),
    [anon_sym_typeof] = ACTIONS(3508),
    [anon_sym_import] = ACTIONS(3508),
    [anon_sym_from] = ACTIONS(3508),
    [anon_sym_with] = ACTIONS(3508),
    [anon_sym_var] = ACTIONS(3508),
    [anon_sym_let] = ACTIONS(3508),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_if] = ACTIONS(3508),
    [anon_sym_switch] = ACTIONS(3508),
    [anon_sym_for] = ACTIONS(3508),
    [anon_sym_LPAREN] = ACTIONS(3508),
    [anon_sym_await] = ACTIONS(3508),
    [anon_sym_of] = ACTIONS(3508),
    [anon_sym_while] = ACTIONS(3508),
    [anon_sym_do] = ACTIONS(3508),
    [anon_sym_try] = ACTIONS(3508),
    [anon_sym_break] = ACTIONS(3508),
    [anon_sym_continue] = ACTIONS(3508),
    [anon_sym_debugger] = ACTIONS(3508),
    [anon_sym_return] = ACTIONS(3508),
    [anon_sym_throw] = ACTIONS(3508),
    [anon_sym_SEMI] = ACTIONS(3508),
    [anon_sym_yield] = ACTIONS(3508),
    [anon_sym_LBRACK] = ACTIONS(3508),
    [anon_sym_LTtemplate_GT] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_class] = ACTIONS(3508),
    [anon_sym_async] = ACTIONS(3508),
    [anon_sym_function] = ACTIONS(3508),
    [anon_sym_new] = ACTIONS(3508),
    [anon_sym_using] = ACTIONS(3508),
    [anon_sym_PLUS] = ACTIONS(3508),
    [anon_sym_DASH] = ACTIONS(3508),
    [anon_sym_SLASH] = ACTIONS(3508),
    [anon_sym_LT] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3508),
    [anon_sym_void] = ACTIONS(3508),
    [anon_sym_delete] = ACTIONS(3508),
    [anon_sym_PLUS_PLUS] = ACTIONS(3508),
    [anon_sym_DASH_DASH] = ACTIONS(3508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3508),
    [sym_number] = ACTIONS(3508),
    [sym_private_property_identifier] = ACTIONS(3508),
    [sym_this] = ACTIONS(3508),
    [sym_super] = ACTIONS(3508),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_AT] = ACTIONS(3508),
    [anon_sym_static] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3508),
    [anon_sym_get] = ACTIONS(3508),
    [anon_sym_set] = ACTIONS(3508),
    [anon_sym_declare] = ACTIONS(3508),
    [anon_sym_public] = ACTIONS(3508),
    [anon_sym_private] = ACTIONS(3508),
    [anon_sym_protected] = ACTIONS(3508),
    [anon_sym_override] = ACTIONS(3508),
    [anon_sym_module] = ACTIONS(3508),
    [anon_sym_any] = ACTIONS(3508),
    [anon_sym_number] = ACTIONS(3508),
    [anon_sym_boolean] = ACTIONS(3508),
    [anon_sym_string] = ACTIONS(3508),
    [anon_sym_symbol] = ACTIONS(3508),
    [anon_sym_object] = ACTIONS(3508),
    [anon_sym_property] = ACTIONS(3508),
    [anon_sym_signal] = ACTIONS(3508),
    [anon_sym_on] = ACTIONS(3508),
    [anon_sym_required] = ACTIONS(3508),
    [anon_sym_component] = ACTIONS(3508),
    [anon_sym_abstract] = ACTIONS(3508),
    [anon_sym_interface] = ACTIONS(3508),
    [anon_sym_enum] = ACTIONS(3508),
    [sym_html_comment] = ACTIONS(5),
  },
  [1740] = {
    [sym_comment] = STATE(1740),
    [sym_identifier] = ACTIONS(3508),
    [anon_sym_export] = ACTIONS(3508),
    [anon_sym_type] = ACTIONS(3508),
    [anon_sym_namespace] = ACTIONS(3508),
    [anon_sym_LBRACE] = ACTIONS(3508),
    [anon_sym_RBRACE] = ACTIONS(3508),
    [anon_sym_typeof] = ACTIONS(3508),
    [anon_sym_import] = ACTIONS(3508),
    [anon_sym_from] = ACTIONS(3508),
    [anon_sym_with] = ACTIONS(3508),
    [anon_sym_var] = ACTIONS(3508),
    [anon_sym_let] = ACTIONS(3508),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_BANG] = ACTIONS(3508),
    [anon_sym_if] = ACTIONS(3508),
    [anon_sym_switch] = ACTIONS(3508),
    [anon_sym_for] = ACTIONS(3508),
    [anon_sym_LPAREN] = ACTIONS(3508),
    [anon_sym_await] = ACTIONS(3508),
    [anon_sym_of] = ACTIONS(3508),
    [anon_sym_while] = ACTIONS(3508),
    [anon_sym_do] = ACTIONS(3508),
    [anon_sym_try] = ACTIONS(3508),
    [anon_sym_break] = ACTIONS(3508),
    [anon_sym_continue] = ACTIONS(3508),
    [anon_sym_debugger] = ACTIONS(3508),
    [anon_sym_return] = ACTIONS(3508),
    [anon_sym_throw] = ACTIONS(3508),
    [anon_sym_SEMI] = ACTIONS(3508),
    [anon_sym_yield] = ACTIONS(3508),
    [anon_sym_LBRACK] = ACTIONS(3508),
    [anon_sym_LTtemplate_GT] = ACTIONS(3508),
    [anon_sym_DQUOTE] = ACTIONS(3508),
    [anon_sym_SQUOTE] = ACTIONS(3508),
    [anon_sym_class] = ACTIONS(3508),
    [anon_sym_async] = ACTIONS(3508),
    [anon_sym_function] = ACTIONS(3508),
    [anon_sym_new] = ACTIONS(3508),
    [anon_sym_using] = ACTIONS(3508),
    [anon_sym_PLUS] = ACTIONS(3508),
    [anon_sym_DASH] = ACTIONS(3508),
    [anon_sym_SLASH] = ACTIONS(3508),
    [anon_sym_LT] = ACTIONS(3508),
    [anon_sym_TILDE] = ACTIONS(3508),
    [anon_sym_void] = ACTIONS(3508),
    [anon_sym_delete] = ACTIONS(3508),
    [anon_sym_PLUS_PLUS] = ACTIONS(3508),
    [anon_sym_DASH_DASH] = ACTIONS(3508),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3508),
    [sym_number] = ACTIONS(3508),
    [sym_private_property_identifier] = ACTIONS(3508),
    [sym_this] = ACTIONS(3508),
    [sym_super] = ACTIONS(3508),
    [sym_true] = ACTIONS(3508),
    [sym_false] = ACTIONS(3508),
    [sym_null] = ACTIONS(3508),
    [sym_undefined] = ACTIONS(3508),
    [anon_sym_AT] = ACTIONS(3508),
    [anon_sym_static] = ACTIONS(3508),
    [anon_sym_readonly] = ACTIONS(3508),
    [anon_sym_get] = ACTIONS(3508),
    [anon_sym_set] = ACTIONS(3508),
    [anon_sym_declare] = ACTIONS(3508),
    [anon_sym_public] = ACTIONS(3508),
    [anon_sym_private] = ACTIONS(3508),
    [anon_sym_protected] = ACTIONS(3508),
    [anon_sym_override] = ACTIONS(3508),
    [anon_sym_module] = ACTIONS(3508),
    [anon_sym_any] = ACTIONS(3508),
    [anon_sym_number] = ACTIONS(3508),
    [anon_sym_boolean] = ACTIONS(3508),
    [anon_sym_string] = ACTIONS(3508),
    [anon_sym_symbol] = ACTIONS(3508),
    [anon_sym_object] = ACTIONS(3508),
    [anon_sym_property] = ACTIONS(3508),
    [anon_sym_signal] = ACTIONS(3508),
    [anon_sym_on] = ACTIONS(3508),
    [anon_sym_required] = ACTIONS(3508),
    [anon_sym_component] = ACTIONS(3508),
    [anon_sym_abstract] = ACTIONS(3508),
    [anon_sym_interface] = ACTIONS(3508),
    [anon_sym_enum] = ACTIONS(3508),
    [sym_html_comment] = ACTIONS(5),
  },
  [1741] = {
    [sym_comment] = STATE(1741),
    [sym_identifier] = ACTIONS(3504),
    [anon_sym_export] = ACTIONS(3504),
    [anon_sym_type] = ACTIONS(3504),
    [anon_sym_namespace] = ACTIONS(3504),
    [anon_sym_LBRACE] = ACTIONS(3504),
    [anon_sym_RBRACE] = ACTIONS(3504),
    [anon_sym_typeof] = ACTIONS(3504),
    [anon_sym_import] = ACTIONS(3504),
    [anon_sym_from] = ACTIONS(3504),
    [anon_sym_with] = ACTIONS(3504),
    [anon_sym_var] = ACTIONS(3504),
    [anon_sym_let] = ACTIONS(3504),
    [anon_sym_const] = ACTIONS(3504),
    [anon_sym_BANG] = ACTIONS(3504),
    [anon_sym_if] = ACTIONS(3504),
    [anon_sym_switch] = ACTIONS(3504),
    [anon_sym_for] = ACTIONS(3504),
    [anon_sym_LPAREN] = ACTIONS(3504),
    [anon_sym_await] = ACTIONS(3504),
    [anon_sym_of] = ACTIONS(3504),
    [anon_sym_while] = ACTIONS(3504),
    [anon_sym_do] = ACTIONS(3504),
    [anon_sym_try] = ACTIONS(3504),
    [anon_sym_break] = ACTIONS(3504),
    [anon_sym_continue] = ACTIONS(3504),
    [anon_sym_debugger] = ACTIONS(3504),
    [anon_sym_return] = ACTIONS(3504),
    [anon_sym_throw] = ACTIONS(3504),
    [anon_sym_SEMI] = ACTIONS(3504),
    [anon_sym_yield] = ACTIONS(3504),
    [anon_sym_LBRACK] = ACTIONS(3504),
    [anon_sym_LTtemplate_GT] = ACTIONS(3504),
    [anon_sym_DQUOTE] = ACTIONS(3504),
    [anon_sym_SQUOTE] = ACTIONS(3504),
    [anon_sym_class] = ACTIONS(3504),
    [anon_sym_async] = ACTIONS(3504),
    [anon_sym_function] = ACTIONS(3504),
    [anon_sym_new] = ACTIONS(3504),
    [anon_sym_using] = ACTIONS(3504),
    [anon_sym_PLUS] = ACTIONS(3504),
    [anon_sym_DASH] = ACTIONS(3504),
    [anon_sym_SLASH] = ACTIONS(3504),
    [anon_sym_LT] = ACTIONS(3504),
    [anon_sym_TILDE] = ACTIONS(3504),
    [anon_sym_void] = ACTIONS(3504),
    [anon_sym_delete] = ACTIONS(3504),
    [anon_sym_PLUS_PLUS] = ACTIONS(3504),
    [anon_sym_DASH_DASH] = ACTIONS(3504),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3504),
    [sym_number] = ACTIONS(3504),
    [sym_private_property_identifier] = ACTIONS(3504),
    [sym_this] = ACTIONS(3504),
    [sym_super] = ACTIONS(3504),
    [sym_true] = ACTIONS(3504),
    [sym_false] = ACTIONS(3504),
    [sym_null] = ACTIONS(3504),
    [sym_undefined] = ACTIONS(3504),
    [anon_sym_AT] = ACTIONS(3504),
    [anon_sym_static] = ACTIONS(3504),
    [anon_sym_readonly] = ACTIONS(3504),
    [anon_sym_get] = ACTIONS(3504),
    [anon_sym_set] = ACTIONS(3504),
    [anon_sym_declare] = ACTIONS(3504),
    [anon_sym_public] = ACTIONS(3504),
    [anon_sym_private] = ACTIONS(3504),
    [anon_sym_protected] = ACTIONS(3504),
    [anon_sym_override] = ACTIONS(3504),
    [anon_sym_module] = ACTIONS(3504),
    [anon_sym_any] = ACTIONS(3504),
    [anon_sym_number] = ACTIONS(3504),
    [anon_sym_boolean] = ACTIONS(3504),
    [anon_sym_string] = ACTIONS(3504),
    [anon_sym_symbol] = ACTIONS(3504),
    [anon_sym_object] = ACTIONS(3504),
    [anon_sym_property] = ACTIONS(3504),
    [anon_sym_signal] = ACTIONS(3504),
    [anon_sym_on] = ACTIONS(3504),
    [anon_sym_required] = ACTIONS(3504),
    [anon_sym_component] = ACTIONS(3504),
    [anon_sym_abstract] = ACTIONS(3504),
    [anon_sym_interface] = ACTIONS(3504),
    [anon_sym_enum] = ACTIONS(3504),
    [sym_html_comment] = ACTIONS(5),
  },
  [1742] = {
    [sym_comment] = STATE(1742),
    [sym_identifier] = ACTIONS(3484),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_type] = ACTIONS(3484),
    [anon_sym_namespace] = ACTIONS(3484),
    [anon_sym_LBRACE] = ACTIONS(3484),
    [anon_sym_RBRACE] = ACTIONS(3484),
    [anon_sym_typeof] = ACTIONS(3484),
    [anon_sym_import] = ACTIONS(3484),
    [anon_sym_from] = ACTIONS(3484),
    [anon_sym_with] = ACTIONS(3484),
    [anon_sym_var] = ACTIONS(3484),
    [anon_sym_let] = ACTIONS(3484),
    [anon_sym_const] = ACTIONS(3484),
    [anon_sym_BANG] = ACTIONS(3484),
    [anon_sym_if] = ACTIONS(3484),
    [anon_sym_switch] = ACTIONS(3484),
    [anon_sym_for] = ACTIONS(3484),
    [anon_sym_LPAREN] = ACTIONS(3484),
    [anon_sym_await] = ACTIONS(3484),
    [anon_sym_of] = ACTIONS(3484),
    [anon_sym_while] = ACTIONS(3484),
    [anon_sym_do] = ACTIONS(3484),
    [anon_sym_try] = ACTIONS(3484),
    [anon_sym_break] = ACTIONS(3484),
    [anon_sym_continue] = ACTIONS(3484),
    [anon_sym_debugger] = ACTIONS(3484),
    [anon_sym_return] = ACTIONS(3484),
    [anon_sym_throw] = ACTIONS(3484),
    [anon_sym_SEMI] = ACTIONS(3484),
    [anon_sym_yield] = ACTIONS(3484),
    [anon_sym_LBRACK] = ACTIONS(3484),
    [anon_sym_LTtemplate_GT] = ACTIONS(3484),
    [anon_sym_DQUOTE] = ACTIONS(3484),
    [anon_sym_SQUOTE] = ACTIONS(3484),
    [anon_sym_class] = ACTIONS(3484),
    [anon_sym_async] = ACTIONS(3484),
    [anon_sym_function] = ACTIONS(3484),
    [anon_sym_new] = ACTIONS(3484),
    [anon_sym_using] = ACTIONS(3484),
    [anon_sym_PLUS] = ACTIONS(3484),
    [anon_sym_DASH] = ACTIONS(3484),
    [anon_sym_SLASH] = ACTIONS(3484),
    [anon_sym_LT] = ACTIONS(3484),
    [anon_sym_TILDE] = ACTIONS(3484),
    [anon_sym_void] = ACTIONS(3484),
    [anon_sym_delete] = ACTIONS(3484),
    [anon_sym_PLUS_PLUS] = ACTIONS(3484),
    [anon_sym_DASH_DASH] = ACTIONS(3484),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3484),
    [sym_number] = ACTIONS(3484),
    [sym_private_property_identifier] = ACTIONS(3484),
    [sym_this] = ACTIONS(3484),
    [sym_super] = ACTIONS(3484),
    [sym_true] = ACTIONS(3484),
    [sym_false] = ACTIONS(3484),
    [sym_null] = ACTIONS(3484),
    [sym_undefined] = ACTIONS(3484),
    [anon_sym_AT] = ACTIONS(3484),
    [anon_sym_static] = ACTIONS(3484),
    [anon_sym_readonly] = ACTIONS(3484),
    [anon_sym_get] = ACTIONS(3484),
    [anon_sym_set] = ACTIONS(3484),
    [anon_sym_declare] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3484),
    [anon_sym_private] = ACTIONS(3484),
    [anon_sym_protected] = ACTIONS(3484),
    [anon_sym_override] = ACTIONS(3484),
    [anon_sym_module] = ACTIONS(3484),
    [anon_sym_any] = ACTIONS(3484),
    [anon_sym_number] = ACTIONS(3484),
    [anon_sym_boolean] = ACTIONS(3484),
    [anon_sym_string] = ACTIONS(3484),
    [anon_sym_symbol] = ACTIONS(3484),
    [anon_sym_object] = ACTIONS(3484),
    [anon_sym_property] = ACTIONS(3484),
    [anon_sym_signal] = ACTIONS(3484),
    [anon_sym_on] = ACTIONS(3484),
    [anon_sym_required] = ACTIONS(3484),
    [anon_sym_component] = ACTIONS(3484),
    [anon_sym_abstract] = ACTIONS(3484),
    [anon_sym_interface] = ACTIONS(3484),
    [anon_sym_enum] = ACTIONS(3484),
    [sym_html_comment] = ACTIONS(5),
  },
  [1743] = {
    [sym_comment] = STATE(1743),
    [sym_identifier] = ACTIONS(2466),
    [anon_sym_export] = ACTIONS(2466),
    [anon_sym_type] = ACTIONS(2466),
    [anon_sym_namespace] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_typeof] = ACTIONS(2466),
    [anon_sym_import] = ACTIONS(2466),
    [anon_sym_from] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2466),
    [anon_sym_var] = ACTIONS(2466),
    [anon_sym_let] = ACTIONS(2466),
    [anon_sym_const] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_switch] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2466),
    [anon_sym_of] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2466),
    [anon_sym_do] = ACTIONS(2466),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_break] = ACTIONS(2466),
    [anon_sym_continue] = ACTIONS(2466),
    [anon_sym_debugger] = ACTIONS(2466),
    [anon_sym_return] = ACTIONS(2466),
    [anon_sym_throw] = ACTIONS(2466),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2466),
    [anon_sym_LTtemplate_GT] = ACTIONS(2466),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_class] = ACTIONS(2466),
    [anon_sym_async] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_using] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_void] = ACTIONS(2466),
    [anon_sym_delete] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2466),
    [sym_number] = ACTIONS(2466),
    [sym_private_property_identifier] = ACTIONS(2466),
    [sym_this] = ACTIONS(2466),
    [sym_super] = ACTIONS(2466),
    [sym_true] = ACTIONS(2466),
    [sym_false] = ACTIONS(2466),
    [sym_null] = ACTIONS(2466),
    [sym_undefined] = ACTIONS(2466),
    [anon_sym_AT] = ACTIONS(2466),
    [anon_sym_static] = ACTIONS(2466),
    [anon_sym_readonly] = ACTIONS(2466),
    [anon_sym_get] = ACTIONS(2466),
    [anon_sym_set] = ACTIONS(2466),
    [anon_sym_declare] = ACTIONS(2466),
    [anon_sym_public] = ACTIONS(2466),
    [anon_sym_private] = ACTIONS(2466),
    [anon_sym_protected] = ACTIONS(2466),
    [anon_sym_override] = ACTIONS(2466),
    [anon_sym_module] = ACTIONS(2466),
    [anon_sym_any] = ACTIONS(2466),
    [anon_sym_number] = ACTIONS(2466),
    [anon_sym_boolean] = ACTIONS(2466),
    [anon_sym_string] = ACTIONS(2466),
    [anon_sym_symbol] = ACTIONS(2466),
    [anon_sym_object] = ACTIONS(2466),
    [anon_sym_property] = ACTIONS(2466),
    [anon_sym_signal] = ACTIONS(2466),
    [anon_sym_on] = ACTIONS(2466),
    [anon_sym_required] = ACTIONS(2466),
    [anon_sym_component] = ACTIONS(2466),
    [anon_sym_abstract] = ACTIONS(2466),
    [anon_sym_interface] = ACTIONS(2466),
    [anon_sym_enum] = ACTIONS(2466),
    [sym_html_comment] = ACTIONS(5),
  },
  [1744] = {
    [sym_comment] = STATE(1744),
    [sym_identifier] = ACTIONS(3516),
    [anon_sym_export] = ACTIONS(3516),
    [anon_sym_type] = ACTIONS(3516),
    [anon_sym_namespace] = ACTIONS(3516),
    [anon_sym_LBRACE] = ACTIONS(3516),
    [anon_sym_RBRACE] = ACTIONS(3516),
    [anon_sym_typeof] = ACTIONS(3516),
    [anon_sym_import] = ACTIONS(3516),
    [anon_sym_from] = ACTIONS(3516),
    [anon_sym_with] = ACTIONS(3516),
    [anon_sym_var] = ACTIONS(3516),
    [anon_sym_let] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3516),
    [anon_sym_BANG] = ACTIONS(3516),
    [anon_sym_if] = ACTIONS(3516),
    [anon_sym_switch] = ACTIONS(3516),
    [anon_sym_for] = ACTIONS(3516),
    [anon_sym_LPAREN] = ACTIONS(3516),
    [anon_sym_await] = ACTIONS(3516),
    [anon_sym_of] = ACTIONS(3516),
    [anon_sym_while] = ACTIONS(3516),
    [anon_sym_do] = ACTIONS(3516),
    [anon_sym_try] = ACTIONS(3516),
    [anon_sym_break] = ACTIONS(3516),
    [anon_sym_continue] = ACTIONS(3516),
    [anon_sym_debugger] = ACTIONS(3516),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_throw] = ACTIONS(3516),
    [anon_sym_SEMI] = ACTIONS(3516),
    [anon_sym_yield] = ACTIONS(3516),
    [anon_sym_LBRACK] = ACTIONS(3516),
    [anon_sym_LTtemplate_GT] = ACTIONS(3516),
    [anon_sym_DQUOTE] = ACTIONS(3516),
    [anon_sym_SQUOTE] = ACTIONS(3516),
    [anon_sym_class] = ACTIONS(3516),
    [anon_sym_async] = ACTIONS(3516),
    [anon_sym_function] = ACTIONS(3516),
    [anon_sym_new] = ACTIONS(3516),
    [anon_sym_using] = ACTIONS(3516),
    [anon_sym_PLUS] = ACTIONS(3516),
    [anon_sym_DASH] = ACTIONS(3516),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_LT] = ACTIONS(3516),
    [anon_sym_TILDE] = ACTIONS(3516),
    [anon_sym_void] = ACTIONS(3516),
    [anon_sym_delete] = ACTIONS(3516),
    [anon_sym_PLUS_PLUS] = ACTIONS(3516),
    [anon_sym_DASH_DASH] = ACTIONS(3516),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3516),
    [sym_number] = ACTIONS(3516),
    [sym_private_property_identifier] = ACTIONS(3516),
    [sym_this] = ACTIONS(3516),
    [sym_super] = ACTIONS(3516),
    [sym_true] = ACTIONS(3516),
    [sym_false] = ACTIONS(3516),
    [sym_null] = ACTIONS(3516),
    [sym_undefined] = ACTIONS(3516),
    [anon_sym_AT] = ACTIONS(3516),
    [anon_sym_static] = ACTIONS(3516),
    [anon_sym_readonly] = ACTIONS(3516),
    [anon_sym_get] = ACTIONS(3516),
    [anon_sym_set] = ACTIONS(3516),
    [anon_sym_declare] = ACTIONS(3516),
    [anon_sym_public] = ACTIONS(3516),
    [anon_sym_private] = ACTIONS(3516),
    [anon_sym_protected] = ACTIONS(3516),
    [anon_sym_override] = ACTIONS(3516),
    [anon_sym_module] = ACTIONS(3516),
    [anon_sym_any] = ACTIONS(3516),
    [anon_sym_number] = ACTIONS(3516),
    [anon_sym_boolean] = ACTIONS(3516),
    [anon_sym_string] = ACTIONS(3516),
    [anon_sym_symbol] = ACTIONS(3516),
    [anon_sym_object] = ACTIONS(3516),
    [anon_sym_property] = ACTIONS(3516),
    [anon_sym_signal] = ACTIONS(3516),
    [anon_sym_on] = ACTIONS(3516),
    [anon_sym_required] = ACTIONS(3516),
    [anon_sym_component] = ACTIONS(3516),
    [anon_sym_abstract] = ACTIONS(3516),
    [anon_sym_interface] = ACTIONS(3516),
    [anon_sym_enum] = ACTIONS(3516),
    [sym_html_comment] = ACTIONS(5),
  },
  [1745] = {
    [sym_comment] = STATE(1745),
    [sym_identifier] = ACTIONS(3500),
    [anon_sym_export] = ACTIONS(3500),
    [anon_sym_type] = ACTIONS(3500),
    [anon_sym_namespace] = ACTIONS(3500),
    [anon_sym_LBRACE] = ACTIONS(3500),
    [anon_sym_RBRACE] = ACTIONS(3500),
    [anon_sym_typeof] = ACTIONS(3500),
    [anon_sym_import] = ACTIONS(3500),
    [anon_sym_from] = ACTIONS(3500),
    [anon_sym_with] = ACTIONS(3500),
    [anon_sym_var] = ACTIONS(3500),
    [anon_sym_let] = ACTIONS(3500),
    [anon_sym_const] = ACTIONS(3500),
    [anon_sym_BANG] = ACTIONS(3500),
    [anon_sym_if] = ACTIONS(3500),
    [anon_sym_switch] = ACTIONS(3500),
    [anon_sym_for] = ACTIONS(3500),
    [anon_sym_LPAREN] = ACTIONS(3500),
    [anon_sym_await] = ACTIONS(3500),
    [anon_sym_of] = ACTIONS(3500),
    [anon_sym_while] = ACTIONS(3500),
    [anon_sym_do] = ACTIONS(3500),
    [anon_sym_try] = ACTIONS(3500),
    [anon_sym_break] = ACTIONS(3500),
    [anon_sym_continue] = ACTIONS(3500),
    [anon_sym_debugger] = ACTIONS(3500),
    [anon_sym_return] = ACTIONS(3500),
    [anon_sym_throw] = ACTIONS(3500),
    [anon_sym_SEMI] = ACTIONS(3500),
    [anon_sym_yield] = ACTIONS(3500),
    [anon_sym_LBRACK] = ACTIONS(3500),
    [anon_sym_LTtemplate_GT] = ACTIONS(3500),
    [anon_sym_DQUOTE] = ACTIONS(3500),
    [anon_sym_SQUOTE] = ACTIONS(3500),
    [anon_sym_class] = ACTIONS(3500),
    [anon_sym_async] = ACTIONS(3500),
    [anon_sym_function] = ACTIONS(3500),
    [anon_sym_new] = ACTIONS(3500),
    [anon_sym_using] = ACTIONS(3500),
    [anon_sym_PLUS] = ACTIONS(3500),
    [anon_sym_DASH] = ACTIONS(3500),
    [anon_sym_SLASH] = ACTIONS(3500),
    [anon_sym_LT] = ACTIONS(3500),
    [anon_sym_TILDE] = ACTIONS(3500),
    [anon_sym_void] = ACTIONS(3500),
    [anon_sym_delete] = ACTIONS(3500),
    [anon_sym_PLUS_PLUS] = ACTIONS(3500),
    [anon_sym_DASH_DASH] = ACTIONS(3500),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3500),
    [sym_number] = ACTIONS(3500),
    [sym_private_property_identifier] = ACTIONS(3500),
    [sym_this] = ACTIONS(3500),
    [sym_super] = ACTIONS(3500),
    [sym_true] = ACTIONS(3500),
    [sym_false] = ACTIONS(3500),
    [sym_null] = ACTIONS(3500),
    [sym_undefined] = ACTIONS(3500),
    [anon_sym_AT] = ACTIONS(3500),
    [anon_sym_static] = ACTIONS(3500),
    [anon_sym_readonly] = ACTIONS(3500),
    [anon_sym_get] = ACTIONS(3500),
    [anon_sym_set] = ACTIONS(3500),
    [anon_sym_declare] = ACTIONS(3500),
    [anon_sym_public] = ACTIONS(3500),
    [anon_sym_private] = ACTIONS(3500),
    [anon_sym_protected] = ACTIONS(3500),
    [anon_sym_override] = ACTIONS(3500),
    [anon_sym_module] = ACTIONS(3500),
    [anon_sym_any] = ACTIONS(3500),
    [anon_sym_number] = ACTIONS(3500),
    [anon_sym_boolean] = ACTIONS(3500),
    [anon_sym_string] = ACTIONS(3500),
    [anon_sym_symbol] = ACTIONS(3500),
    [anon_sym_object] = ACTIONS(3500),
    [anon_sym_property] = ACTIONS(3500),
    [anon_sym_signal] = ACTIONS(3500),
    [anon_sym_on] = ACTIONS(3500),
    [anon_sym_required] = ACTIONS(3500),
    [anon_sym_component] = ACTIONS(3500),
    [anon_sym_abstract] = ACTIONS(3500),
    [anon_sym_interface] = ACTIONS(3500),
    [anon_sym_enum] = ACTIONS(3500),
    [sym_html_comment] = ACTIONS(5),
  },
  [1746] = {
    [sym_comment] = STATE(1746),
    [sym_identifier] = ACTIONS(3506),
    [anon_sym_export] = ACTIONS(3506),
    [anon_sym_type] = ACTIONS(3506),
    [anon_sym_namespace] = ACTIONS(3506),
    [anon_sym_LBRACE] = ACTIONS(3506),
    [anon_sym_RBRACE] = ACTIONS(3506),
    [anon_sym_typeof] = ACTIONS(3506),
    [anon_sym_import] = ACTIONS(3506),
    [anon_sym_from] = ACTIONS(3506),
    [anon_sym_with] = ACTIONS(3506),
    [anon_sym_var] = ACTIONS(3506),
    [anon_sym_let] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3506),
    [anon_sym_BANG] = ACTIONS(3506),
    [anon_sym_if] = ACTIONS(3506),
    [anon_sym_switch] = ACTIONS(3506),
    [anon_sym_for] = ACTIONS(3506),
    [anon_sym_LPAREN] = ACTIONS(3506),
    [anon_sym_await] = ACTIONS(3506),
    [anon_sym_of] = ACTIONS(3506),
    [anon_sym_while] = ACTIONS(3506),
    [anon_sym_do] = ACTIONS(3506),
    [anon_sym_try] = ACTIONS(3506),
    [anon_sym_break] = ACTIONS(3506),
    [anon_sym_continue] = ACTIONS(3506),
    [anon_sym_debugger] = ACTIONS(3506),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_throw] = ACTIONS(3506),
    [anon_sym_SEMI] = ACTIONS(3506),
    [anon_sym_yield] = ACTIONS(3506),
    [anon_sym_LBRACK] = ACTIONS(3506),
    [anon_sym_LTtemplate_GT] = ACTIONS(3506),
    [anon_sym_DQUOTE] = ACTIONS(3506),
    [anon_sym_SQUOTE] = ACTIONS(3506),
    [anon_sym_class] = ACTIONS(3506),
    [anon_sym_async] = ACTIONS(3506),
    [anon_sym_function] = ACTIONS(3506),
    [anon_sym_new] = ACTIONS(3506),
    [anon_sym_using] = ACTIONS(3506),
    [anon_sym_PLUS] = ACTIONS(3506),
    [anon_sym_DASH] = ACTIONS(3506),
    [anon_sym_SLASH] = ACTIONS(3506),
    [anon_sym_LT] = ACTIONS(3506),
    [anon_sym_TILDE] = ACTIONS(3506),
    [anon_sym_void] = ACTIONS(3506),
    [anon_sym_delete] = ACTIONS(3506),
    [anon_sym_PLUS_PLUS] = ACTIONS(3506),
    [anon_sym_DASH_DASH] = ACTIONS(3506),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3506),
    [sym_number] = ACTIONS(3506),
    [sym_private_property_identifier] = ACTIONS(3506),
    [sym_this] = ACTIONS(3506),
    [sym_super] = ACTIONS(3506),
    [sym_true] = ACTIONS(3506),
    [sym_false] = ACTIONS(3506),
    [sym_null] = ACTIONS(3506),
    [sym_undefined] = ACTIONS(3506),
    [anon_sym_AT] = ACTIONS(3506),
    [anon_sym_static] = ACTIONS(3506),
    [anon_sym_readonly] = ACTIONS(3506),
    [anon_sym_get] = ACTIONS(3506),
    [anon_sym_set] = ACTIONS(3506),
    [anon_sym_declare] = ACTIONS(3506),
    [anon_sym_public] = ACTIONS(3506),
    [anon_sym_private] = ACTIONS(3506),
    [anon_sym_protected] = ACTIONS(3506),
    [anon_sym_override] = ACTIONS(3506),
    [anon_sym_module] = ACTIONS(3506),
    [anon_sym_any] = ACTIONS(3506),
    [anon_sym_number] = ACTIONS(3506),
    [anon_sym_boolean] = ACTIONS(3506),
    [anon_sym_string] = ACTIONS(3506),
    [anon_sym_symbol] = ACTIONS(3506),
    [anon_sym_object] = ACTIONS(3506),
    [anon_sym_property] = ACTIONS(3506),
    [anon_sym_signal] = ACTIONS(3506),
    [anon_sym_on] = ACTIONS(3506),
    [anon_sym_required] = ACTIONS(3506),
    [anon_sym_component] = ACTIONS(3506),
    [anon_sym_abstract] = ACTIONS(3506),
    [anon_sym_interface] = ACTIONS(3506),
    [anon_sym_enum] = ACTIONS(3506),
    [sym_html_comment] = ACTIONS(5),
  },
  [1747] = {
    [sym_comment] = STATE(1747),
    [sym_identifier] = ACTIONS(3496),
    [anon_sym_export] = ACTIONS(3496),
    [anon_sym_type] = ACTIONS(3496),
    [anon_sym_namespace] = ACTIONS(3496),
    [anon_sym_LBRACE] = ACTIONS(3496),
    [anon_sym_RBRACE] = ACTIONS(3496),
    [anon_sym_typeof] = ACTIONS(3496),
    [anon_sym_import] = ACTIONS(3496),
    [anon_sym_from] = ACTIONS(3496),
    [anon_sym_with] = ACTIONS(3496),
    [anon_sym_var] = ACTIONS(3496),
    [anon_sym_let] = ACTIONS(3496),
    [anon_sym_const] = ACTIONS(3496),
    [anon_sym_BANG] = ACTIONS(3496),
    [anon_sym_if] = ACTIONS(3496),
    [anon_sym_switch] = ACTIONS(3496),
    [anon_sym_for] = ACTIONS(3496),
    [anon_sym_LPAREN] = ACTIONS(3496),
    [anon_sym_await] = ACTIONS(3496),
    [anon_sym_of] = ACTIONS(3496),
    [anon_sym_while] = ACTIONS(3496),
    [anon_sym_do] = ACTIONS(3496),
    [anon_sym_try] = ACTIONS(3496),
    [anon_sym_break] = ACTIONS(3496),
    [anon_sym_continue] = ACTIONS(3496),
    [anon_sym_debugger] = ACTIONS(3496),
    [anon_sym_return] = ACTIONS(3496),
    [anon_sym_throw] = ACTIONS(3496),
    [anon_sym_SEMI] = ACTIONS(3496),
    [anon_sym_yield] = ACTIONS(3496),
    [anon_sym_LBRACK] = ACTIONS(3496),
    [anon_sym_LTtemplate_GT] = ACTIONS(3496),
    [anon_sym_DQUOTE] = ACTIONS(3496),
    [anon_sym_SQUOTE] = ACTIONS(3496),
    [anon_sym_class] = ACTIONS(3496),
    [anon_sym_async] = ACTIONS(3496),
    [anon_sym_function] = ACTIONS(3496),
    [anon_sym_new] = ACTIONS(3496),
    [anon_sym_using] = ACTIONS(3496),
    [anon_sym_PLUS] = ACTIONS(3496),
    [anon_sym_DASH] = ACTIONS(3496),
    [anon_sym_SLASH] = ACTIONS(3496),
    [anon_sym_LT] = ACTIONS(3496),
    [anon_sym_TILDE] = ACTIONS(3496),
    [anon_sym_void] = ACTIONS(3496),
    [anon_sym_delete] = ACTIONS(3496),
    [anon_sym_PLUS_PLUS] = ACTIONS(3496),
    [anon_sym_DASH_DASH] = ACTIONS(3496),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3496),
    [sym_number] = ACTIONS(3496),
    [sym_private_property_identifier] = ACTIONS(3496),
    [sym_this] = ACTIONS(3496),
    [sym_super] = ACTIONS(3496),
    [sym_true] = ACTIONS(3496),
    [sym_false] = ACTIONS(3496),
    [sym_null] = ACTIONS(3496),
    [sym_undefined] = ACTIONS(3496),
    [anon_sym_AT] = ACTIONS(3496),
    [anon_sym_static] = ACTIONS(3496),
    [anon_sym_readonly] = ACTIONS(3496),
    [anon_sym_get] = ACTIONS(3496),
    [anon_sym_set] = ACTIONS(3496),
    [anon_sym_declare] = ACTIONS(3496),
    [anon_sym_public] = ACTIONS(3496),
    [anon_sym_private] = ACTIONS(3496),
    [anon_sym_protected] = ACTIONS(3496),
    [anon_sym_override] = ACTIONS(3496),
    [anon_sym_module] = ACTIONS(3496),
    [anon_sym_any] = ACTIONS(3496),
    [anon_sym_number] = ACTIONS(3496),
    [anon_sym_boolean] = ACTIONS(3496),
    [anon_sym_string] = ACTIONS(3496),
    [anon_sym_symbol] = ACTIONS(3496),
    [anon_sym_object] = ACTIONS(3496),
    [anon_sym_property] = ACTIONS(3496),
    [anon_sym_signal] = ACTIONS(3496),
    [anon_sym_on] = ACTIONS(3496),
    [anon_sym_required] = ACTIONS(3496),
    [anon_sym_component] = ACTIONS(3496),
    [anon_sym_abstract] = ACTIONS(3496),
    [anon_sym_interface] = ACTIONS(3496),
    [anon_sym_enum] = ACTIONS(3496),
    [sym_html_comment] = ACTIONS(5),
  },
  [1748] = {
    [sym_comment] = STATE(1748),
    [sym_identifier] = ACTIONS(3592),
    [anon_sym_export] = ACTIONS(3592),
    [anon_sym_type] = ACTIONS(3592),
    [anon_sym_namespace] = ACTIONS(3592),
    [anon_sym_LBRACE] = ACTIONS(3592),
    [anon_sym_RBRACE] = ACTIONS(3592),
    [anon_sym_typeof] = ACTIONS(3592),
    [anon_sym_import] = ACTIONS(3592),
    [anon_sym_from] = ACTIONS(3592),
    [anon_sym_with] = ACTIONS(3592),
    [anon_sym_var] = ACTIONS(3592),
    [anon_sym_let] = ACTIONS(3592),
    [anon_sym_const] = ACTIONS(3592),
    [anon_sym_BANG] = ACTIONS(3592),
    [anon_sym_if] = ACTIONS(3592),
    [anon_sym_switch] = ACTIONS(3592),
    [anon_sym_for] = ACTIONS(3592),
    [anon_sym_LPAREN] = ACTIONS(3592),
    [anon_sym_await] = ACTIONS(3592),
    [anon_sym_of] = ACTIONS(3592),
    [anon_sym_while] = ACTIONS(3592),
    [anon_sym_do] = ACTIONS(3592),
    [anon_sym_try] = ACTIONS(3592),
    [anon_sym_break] = ACTIONS(3592),
    [anon_sym_continue] = ACTIONS(3592),
    [anon_sym_debugger] = ACTIONS(3592),
    [anon_sym_return] = ACTIONS(3592),
    [anon_sym_throw] = ACTIONS(3592),
    [anon_sym_SEMI] = ACTIONS(3592),
    [anon_sym_yield] = ACTIONS(3592),
    [anon_sym_LBRACK] = ACTIONS(3592),
    [anon_sym_LTtemplate_GT] = ACTIONS(3592),
    [anon_sym_DQUOTE] = ACTIONS(3592),
    [anon_sym_SQUOTE] = ACTIONS(3592),
    [anon_sym_class] = ACTIONS(3592),
    [anon_sym_async] = ACTIONS(3592),
    [anon_sym_function] = ACTIONS(3592),
    [anon_sym_new] = ACTIONS(3592),
    [anon_sym_using] = ACTIONS(3592),
    [anon_sym_PLUS] = ACTIONS(3592),
    [anon_sym_DASH] = ACTIONS(3592),
    [anon_sym_SLASH] = ACTIONS(3592),
    [anon_sym_LT] = ACTIONS(3592),
    [anon_sym_TILDE] = ACTIONS(3592),
    [anon_sym_void] = ACTIONS(3592),
    [anon_sym_delete] = ACTIONS(3592),
    [anon_sym_PLUS_PLUS] = ACTIONS(3592),
    [anon_sym_DASH_DASH] = ACTIONS(3592),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3592),
    [sym_number] = ACTIONS(3592),
    [sym_private_property_identifier] = ACTIONS(3592),
    [sym_this] = ACTIONS(3592),
    [sym_super] = ACTIONS(3592),
    [sym_true] = ACTIONS(3592),
    [sym_false] = ACTIONS(3592),
    [sym_null] = ACTIONS(3592),
    [sym_undefined] = ACTIONS(3592),
    [anon_sym_AT] = ACTIONS(3592),
    [anon_sym_static] = ACTIONS(3592),
    [anon_sym_readonly] = ACTIONS(3592),
    [anon_sym_get] = ACTIONS(3592),
    [anon_sym_set] = ACTIONS(3592),
    [anon_sym_declare] = ACTIONS(3592),
    [anon_sym_public] = ACTIONS(3592),
    [anon_sym_private] = ACTIONS(3592),
    [anon_sym_protected] = ACTIONS(3592),
    [anon_sym_override] = ACTIONS(3592),
    [anon_sym_module] = ACTIONS(3592),
    [anon_sym_any] = ACTIONS(3592),
    [anon_sym_number] = ACTIONS(3592),
    [anon_sym_boolean] = ACTIONS(3592),
    [anon_sym_string] = ACTIONS(3592),
    [anon_sym_symbol] = ACTIONS(3592),
    [anon_sym_object] = ACTIONS(3592),
    [anon_sym_property] = ACTIONS(3592),
    [anon_sym_signal] = ACTIONS(3592),
    [anon_sym_on] = ACTIONS(3592),
    [anon_sym_required] = ACTIONS(3592),
    [anon_sym_component] = ACTIONS(3592),
    [anon_sym_abstract] = ACTIONS(3592),
    [anon_sym_interface] = ACTIONS(3592),
    [anon_sym_enum] = ACTIONS(3592),
    [sym_html_comment] = ACTIONS(5),
  },
  [1749] = {
    [sym_comment] = STATE(1749),
    [sym_identifier] = ACTIONS(3568),
    [anon_sym_export] = ACTIONS(3568),
    [anon_sym_type] = ACTIONS(3568),
    [anon_sym_namespace] = ACTIONS(3568),
    [anon_sym_LBRACE] = ACTIONS(3568),
    [anon_sym_RBRACE] = ACTIONS(3568),
    [anon_sym_typeof] = ACTIONS(3568),
    [anon_sym_import] = ACTIONS(3568),
    [anon_sym_from] = ACTIONS(3568),
    [anon_sym_with] = ACTIONS(3568),
    [anon_sym_var] = ACTIONS(3568),
    [anon_sym_let] = ACTIONS(3568),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_BANG] = ACTIONS(3568),
    [anon_sym_if] = ACTIONS(3568),
    [anon_sym_switch] = ACTIONS(3568),
    [anon_sym_for] = ACTIONS(3568),
    [anon_sym_LPAREN] = ACTIONS(3568),
    [anon_sym_await] = ACTIONS(3568),
    [anon_sym_of] = ACTIONS(3568),
    [anon_sym_while] = ACTIONS(3568),
    [anon_sym_do] = ACTIONS(3568),
    [anon_sym_try] = ACTIONS(3568),
    [anon_sym_break] = ACTIONS(3568),
    [anon_sym_continue] = ACTIONS(3568),
    [anon_sym_debugger] = ACTIONS(3568),
    [anon_sym_return] = ACTIONS(3568),
    [anon_sym_throw] = ACTIONS(3568),
    [anon_sym_SEMI] = ACTIONS(3568),
    [anon_sym_yield] = ACTIONS(3568),
    [anon_sym_LBRACK] = ACTIONS(3568),
    [anon_sym_LTtemplate_GT] = ACTIONS(3568),
    [anon_sym_DQUOTE] = ACTIONS(3568),
    [anon_sym_SQUOTE] = ACTIONS(3568),
    [anon_sym_class] = ACTIONS(3568),
    [anon_sym_async] = ACTIONS(3568),
    [anon_sym_function] = ACTIONS(3568),
    [anon_sym_new] = ACTIONS(3568),
    [anon_sym_using] = ACTIONS(3568),
    [anon_sym_PLUS] = ACTIONS(3568),
    [anon_sym_DASH] = ACTIONS(3568),
    [anon_sym_SLASH] = ACTIONS(3568),
    [anon_sym_LT] = ACTIONS(3568),
    [anon_sym_TILDE] = ACTIONS(3568),
    [anon_sym_void] = ACTIONS(3568),
    [anon_sym_delete] = ACTIONS(3568),
    [anon_sym_PLUS_PLUS] = ACTIONS(3568),
    [anon_sym_DASH_DASH] = ACTIONS(3568),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3568),
    [sym_number] = ACTIONS(3568),
    [sym_private_property_identifier] = ACTIONS(3568),
    [sym_this] = ACTIONS(3568),
    [sym_super] = ACTIONS(3568),
    [sym_true] = ACTIONS(3568),
    [sym_false] = ACTIONS(3568),
    [sym_null] = ACTIONS(3568),
    [sym_undefined] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(3568),
    [anon_sym_static] = ACTIONS(3568),
    [anon_sym_readonly] = ACTIONS(3568),
    [anon_sym_get] = ACTIONS(3568),
    [anon_sym_set] = ACTIONS(3568),
    [anon_sym_declare] = ACTIONS(3568),
    [anon_sym_public] = ACTIONS(3568),
    [anon_sym_private] = ACTIONS(3568),
    [anon_sym_protected] = ACTIONS(3568),
    [anon_sym_override] = ACTIONS(3568),
    [anon_sym_module] = ACTIONS(3568),
    [anon_sym_any] = ACTIONS(3568),
    [anon_sym_number] = ACTIONS(3568),
    [anon_sym_boolean] = ACTIONS(3568),
    [anon_sym_string] = ACTIONS(3568),
    [anon_sym_symbol] = ACTIONS(3568),
    [anon_sym_object] = ACTIONS(3568),
    [anon_sym_property] = ACTIONS(3568),
    [anon_sym_signal] = ACTIONS(3568),
    [anon_sym_on] = ACTIONS(3568),
    [anon_sym_required] = ACTIONS(3568),
    [anon_sym_component] = ACTIONS(3568),
    [anon_sym_abstract] = ACTIONS(3568),
    [anon_sym_interface] = ACTIONS(3568),
    [anon_sym_enum] = ACTIONS(3568),
    [sym_html_comment] = ACTIONS(5),
  },
  [1750] = {
    [sym_comment] = STATE(1750),
    [sym_identifier] = ACTIONS(3702),
    [anon_sym_export] = ACTIONS(3702),
    [anon_sym_type] = ACTIONS(3702),
    [anon_sym_namespace] = ACTIONS(3702),
    [anon_sym_LBRACE] = ACTIONS(3702),
    [anon_sym_RBRACE] = ACTIONS(3702),
    [anon_sym_typeof] = ACTIONS(3702),
    [anon_sym_import] = ACTIONS(3702),
    [anon_sym_from] = ACTIONS(3702),
    [anon_sym_with] = ACTIONS(3702),
    [anon_sym_var] = ACTIONS(3702),
    [anon_sym_let] = ACTIONS(3702),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_BANG] = ACTIONS(3702),
    [anon_sym_if] = ACTIONS(3702),
    [anon_sym_switch] = ACTIONS(3702),
    [anon_sym_for] = ACTIONS(3702),
    [anon_sym_LPAREN] = ACTIONS(3702),
    [anon_sym_await] = ACTIONS(3702),
    [anon_sym_of] = ACTIONS(3702),
    [anon_sym_while] = ACTIONS(3702),
    [anon_sym_do] = ACTIONS(3702),
    [anon_sym_try] = ACTIONS(3702),
    [anon_sym_break] = ACTIONS(3702),
    [anon_sym_continue] = ACTIONS(3702),
    [anon_sym_debugger] = ACTIONS(3702),
    [anon_sym_return] = ACTIONS(3702),
    [anon_sym_throw] = ACTIONS(3702),
    [anon_sym_SEMI] = ACTIONS(3702),
    [anon_sym_yield] = ACTIONS(3702),
    [anon_sym_LBRACK] = ACTIONS(3702),
    [anon_sym_LTtemplate_GT] = ACTIONS(3702),
    [anon_sym_DQUOTE] = ACTIONS(3702),
    [anon_sym_SQUOTE] = ACTIONS(3702),
    [anon_sym_class] = ACTIONS(3702),
    [anon_sym_async] = ACTIONS(3702),
    [anon_sym_function] = ACTIONS(3702),
    [anon_sym_new] = ACTIONS(3702),
    [anon_sym_using] = ACTIONS(3702),
    [anon_sym_PLUS] = ACTIONS(3702),
    [anon_sym_DASH] = ACTIONS(3702),
    [anon_sym_SLASH] = ACTIONS(3702),
    [anon_sym_LT] = ACTIONS(3702),
    [anon_sym_TILDE] = ACTIONS(3702),
    [anon_sym_void] = ACTIONS(3702),
    [anon_sym_delete] = ACTIONS(3702),
    [anon_sym_PLUS_PLUS] = ACTIONS(3702),
    [anon_sym_DASH_DASH] = ACTIONS(3702),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3702),
    [sym_number] = ACTIONS(3702),
    [sym_private_property_identifier] = ACTIONS(3702),
    [sym_this] = ACTIONS(3702),
    [sym_super] = ACTIONS(3702),
    [sym_true] = ACTIONS(3702),
    [sym_false] = ACTIONS(3702),
    [sym_null] = ACTIONS(3702),
    [sym_undefined] = ACTIONS(3702),
    [anon_sym_AT] = ACTIONS(3702),
    [anon_sym_static] = ACTIONS(3702),
    [anon_sym_readonly] = ACTIONS(3702),
    [anon_sym_get] = ACTIONS(3702),
    [anon_sym_set] = ACTIONS(3702),
    [anon_sym_declare] = ACTIONS(3702),
    [anon_sym_public] = ACTIONS(3702),
    [anon_sym_private] = ACTIONS(3702),
    [anon_sym_protected] = ACTIONS(3702),
    [anon_sym_override] = ACTIONS(3702),
    [anon_sym_module] = ACTIONS(3702),
    [anon_sym_any] = ACTIONS(3702),
    [anon_sym_number] = ACTIONS(3702),
    [anon_sym_boolean] = ACTIONS(3702),
    [anon_sym_string] = ACTIONS(3702),
    [anon_sym_symbol] = ACTIONS(3702),
    [anon_sym_object] = ACTIONS(3702),
    [anon_sym_property] = ACTIONS(3702),
    [anon_sym_signal] = ACTIONS(3702),
    [anon_sym_on] = ACTIONS(3702),
    [anon_sym_required] = ACTIONS(3702),
    [anon_sym_component] = ACTIONS(3702),
    [anon_sym_abstract] = ACTIONS(3702),
    [anon_sym_interface] = ACTIONS(3702),
    [anon_sym_enum] = ACTIONS(3702),
    [sym_html_comment] = ACTIONS(5),
  },
  [1751] = {
    [sym_comment] = STATE(1751),
    [sym_identifier] = ACTIONS(2466),
    [anon_sym_export] = ACTIONS(2466),
    [anon_sym_type] = ACTIONS(2466),
    [anon_sym_namespace] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_typeof] = ACTIONS(2466),
    [anon_sym_import] = ACTIONS(2466),
    [anon_sym_from] = ACTIONS(2466),
    [anon_sym_with] = ACTIONS(2466),
    [anon_sym_var] = ACTIONS(2466),
    [anon_sym_let] = ACTIONS(2466),
    [anon_sym_const] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_if] = ACTIONS(2466),
    [anon_sym_switch] = ACTIONS(2466),
    [anon_sym_for] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_await] = ACTIONS(2466),
    [anon_sym_of] = ACTIONS(2466),
    [anon_sym_while] = ACTIONS(2466),
    [anon_sym_do] = ACTIONS(2466),
    [anon_sym_try] = ACTIONS(2466),
    [anon_sym_break] = ACTIONS(2466),
    [anon_sym_continue] = ACTIONS(2466),
    [anon_sym_debugger] = ACTIONS(2466),
    [anon_sym_return] = ACTIONS(2466),
    [anon_sym_throw] = ACTIONS(2466),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_yield] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2466),
    [anon_sym_LTtemplate_GT] = ACTIONS(2466),
    [anon_sym_DQUOTE] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2466),
    [anon_sym_class] = ACTIONS(2466),
    [anon_sym_async] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2466),
    [anon_sym_new] = ACTIONS(2466),
    [anon_sym_using] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_TILDE] = ACTIONS(2466),
    [anon_sym_void] = ACTIONS(2466),
    [anon_sym_delete] = ACTIONS(2466),
    [anon_sym_PLUS_PLUS] = ACTIONS(2466),
    [anon_sym_DASH_DASH] = ACTIONS(2466),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2466),
    [sym_number] = ACTIONS(2466),
    [sym_private_property_identifier] = ACTIONS(2466),
    [sym_this] = ACTIONS(2466),
    [sym_super] = ACTIONS(2466),
    [sym_true] = ACTIONS(2466),
    [sym_false] = ACTIONS(2466),
    [sym_null] = ACTIONS(2466),
    [sym_undefined] = ACTIONS(2466),
    [anon_sym_AT] = ACTIONS(2466),
    [anon_sym_static] = ACTIONS(2466),
    [anon_sym_readonly] = ACTIONS(2466),
    [anon_sym_get] = ACTIONS(2466),
    [anon_sym_set] = ACTIONS(2466),
    [anon_sym_declare] = ACTIONS(2466),
    [anon_sym_public] = ACTIONS(2466),
    [anon_sym_private] = ACTIONS(2466),
    [anon_sym_protected] = ACTIONS(2466),
    [anon_sym_override] = ACTIONS(2466),
    [anon_sym_module] = ACTIONS(2466),
    [anon_sym_any] = ACTIONS(2466),
    [anon_sym_number] = ACTIONS(2466),
    [anon_sym_boolean] = ACTIONS(2466),
    [anon_sym_string] = ACTIONS(2466),
    [anon_sym_symbol] = ACTIONS(2466),
    [anon_sym_object] = ACTIONS(2466),
    [anon_sym_property] = ACTIONS(2466),
    [anon_sym_signal] = ACTIONS(2466),
    [anon_sym_on] = ACTIONS(2466),
    [anon_sym_required] = ACTIONS(2466),
    [anon_sym_component] = ACTIONS(2466),
    [anon_sym_abstract] = ACTIONS(2466),
    [anon_sym_interface] = ACTIONS(2466),
    [anon_sym_enum] = ACTIONS(2466),
    [sym_html_comment] = ACTIONS(5),
  },
  [1752] = {
    [sym_comment] = STATE(1752),
    [sym_identifier] = ACTIONS(3590),
    [anon_sym_export] = ACTIONS(3590),
    [anon_sym_type] = ACTIONS(3590),
    [anon_sym_namespace] = ACTIONS(3590),
    [anon_sym_LBRACE] = ACTIONS(3590),
    [anon_sym_RBRACE] = ACTIONS(3590),
    [anon_sym_typeof] = ACTIONS(3590),
    [anon_sym_import] = ACTIONS(3590),
    [anon_sym_from] = ACTIONS(3590),
    [anon_sym_with] = ACTIONS(3590),
    [anon_sym_var] = ACTIONS(3590),
    [anon_sym_let] = ACTIONS(3590),
    [anon_sym_const] = ACTIONS(3590),
    [anon_sym_BANG] = ACTIONS(3590),
    [anon_sym_if] = ACTIONS(3590),
    [anon_sym_switch] = ACTIONS(3590),
    [anon_sym_for] = ACTIONS(3590),
    [anon_sym_LPAREN] = ACTIONS(3590),
    [anon_sym_await] = ACTIONS(3590),
    [anon_sym_of] = ACTIONS(3590),
    [anon_sym_while] = ACTIONS(3590),
    [anon_sym_do] = ACTIONS(3590),
    [anon_sym_try] = ACTIONS(3590),
    [anon_sym_break] = ACTIONS(3590),
    [anon_sym_continue] = ACTIONS(3590),
    [anon_sym_debugger] = ACTIONS(3590),
    [anon_sym_return] = ACTIONS(3590),
    [anon_sym_throw] = ACTIONS(3590),
    [anon_sym_SEMI] = ACTIONS(3590),
    [anon_sym_yield] = ACTIONS(3590),
    [anon_sym_LBRACK] = ACTIONS(3590),
    [anon_sym_LTtemplate_GT] = ACTIONS(3590),
    [anon_sym_DQUOTE] = ACTIONS(3590),
    [anon_sym_SQUOTE] = ACTIONS(3590),
    [anon_sym_class] = ACTIONS(3590),
    [anon_sym_async] = ACTIONS(3590),
    [anon_sym_function] = ACTIONS(3590),
    [anon_sym_new] = ACTIONS(3590),
    [anon_sym_using] = ACTIONS(3590),
    [anon_sym_PLUS] = ACTIONS(3590),
    [anon_sym_DASH] = ACTIONS(3590),
    [anon_sym_SLASH] = ACTIONS(3590),
    [anon_sym_LT] = ACTIONS(3590),
    [anon_sym_TILDE] = ACTIONS(3590),
    [anon_sym_void] = ACTIONS(3590),
    [anon_sym_delete] = ACTIONS(3590),
    [anon_sym_PLUS_PLUS] = ACTIONS(3590),
    [anon_sym_DASH_DASH] = ACTIONS(3590),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3590),
    [sym_number] = ACTIONS(3590),
    [sym_private_property_identifier] = ACTIONS(3590),
    [sym_this] = ACTIONS(3590),
    [sym_super] = ACTIONS(3590),
    [sym_true] = ACTIONS(3590),
    [sym_false] = ACTIONS(3590),
    [sym_null] = ACTIONS(3590),
    [sym_undefined] = ACTIONS(3590),
    [anon_sym_AT] = ACTIONS(3590),
    [anon_sym_static] = ACTIONS(3590),
    [anon_sym_readonly] = ACTIONS(3590),
    [anon_sym_get] = ACTIONS(3590),
    [anon_sym_set] = ACTIONS(3590),
    [anon_sym_declare] = ACTIONS(3590),
    [anon_sym_public] = ACTIONS(3590),
    [anon_sym_private] = ACTIONS(3590),
    [anon_sym_protected] = ACTIONS(3590),
    [anon_sym_override] = ACTIONS(3590),
    [anon_sym_module] = ACTIONS(3590),
    [anon_sym_any] = ACTIONS(3590),
    [anon_sym_number] = ACTIONS(3590),
    [anon_sym_boolean] = ACTIONS(3590),
    [anon_sym_string] = ACTIONS(3590),
    [anon_sym_symbol] = ACTIONS(3590),
    [anon_sym_object] = ACTIONS(3590),
    [anon_sym_property] = ACTIONS(3590),
    [anon_sym_signal] = ACTIONS(3590),
    [anon_sym_on] = ACTIONS(3590),
    [anon_sym_required] = ACTIONS(3590),
    [anon_sym_component] = ACTIONS(3590),
    [anon_sym_abstract] = ACTIONS(3590),
    [anon_sym_interface] = ACTIONS(3590),
    [anon_sym_enum] = ACTIONS(3590),
    [sym_html_comment] = ACTIONS(5),
  },
  [1753] = {
    [sym_comment] = STATE(1753),
    [sym_identifier] = ACTIONS(3588),
    [anon_sym_export] = ACTIONS(3588),
    [anon_sym_type] = ACTIONS(3588),
    [anon_sym_namespace] = ACTIONS(3588),
    [anon_sym_LBRACE] = ACTIONS(3588),
    [anon_sym_RBRACE] = ACTIONS(3588),
    [anon_sym_typeof] = ACTIONS(3588),
    [anon_sym_import] = ACTIONS(3588),
    [anon_sym_from] = ACTIONS(3588),
    [anon_sym_with] = ACTIONS(3588),
    [anon_sym_var] = ACTIONS(3588),
    [anon_sym_let] = ACTIONS(3588),
    [anon_sym_const] = ACTIONS(3588),
    [anon_sym_BANG] = ACTIONS(3588),
    [anon_sym_if] = ACTIONS(3588),
    [anon_sym_switch] = ACTIONS(3588),
    [anon_sym_for] = ACTIONS(3588),
    [anon_sym_LPAREN] = ACTIONS(3588),
    [anon_sym_await] = ACTIONS(3588),
    [anon_sym_of] = ACTIONS(3588),
    [anon_sym_while] = ACTIONS(3588),
    [anon_sym_do] = ACTIONS(3588),
    [anon_sym_try] = ACTIONS(3588),
    [anon_sym_break] = ACTIONS(3588),
    [anon_sym_continue] = ACTIONS(3588),
    [anon_sym_debugger] = ACTIONS(3588),
    [anon_sym_return] = ACTIONS(3588),
    [anon_sym_throw] = ACTIONS(3588),
    [anon_sym_SEMI] = ACTIONS(3588),
    [anon_sym_yield] = ACTIONS(3588),
    [anon_sym_LBRACK] = ACTIONS(3588),
    [anon_sym_LTtemplate_GT] = ACTIONS(3588),
    [anon_sym_DQUOTE] = ACTIONS(3588),
    [anon_sym_SQUOTE] = ACTIONS(3588),
    [anon_sym_class] = ACTIONS(3588),
    [anon_sym_async] = ACTIONS(3588),
    [anon_sym_function] = ACTIONS(3588),
    [anon_sym_new] = ACTIONS(3588),
    [anon_sym_using] = ACTIONS(3588),
    [anon_sym_PLUS] = ACTIONS(3588),
    [anon_sym_DASH] = ACTIONS(3588),
    [anon_sym_SLASH] = ACTIONS(3588),
    [anon_sym_LT] = ACTIONS(3588),
    [anon_sym_TILDE] = ACTIONS(3588),
    [anon_sym_void] = ACTIONS(3588),
    [anon_sym_delete] = ACTIONS(3588),
    [anon_sym_PLUS_PLUS] = ACTIONS(3588),
    [anon_sym_DASH_DASH] = ACTIONS(3588),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3588),
    [sym_number] = ACTIONS(3588),
    [sym_private_property_identifier] = ACTIONS(3588),
    [sym_this] = ACTIONS(3588),
    [sym_super] = ACTIONS(3588),
    [sym_true] = ACTIONS(3588),
    [sym_false] = ACTIONS(3588),
    [sym_null] = ACTIONS(3588),
    [sym_undefined] = ACTIONS(3588),
    [anon_sym_AT] = ACTIONS(3588),
    [anon_sym_static] = ACTIONS(3588),
    [anon_sym_readonly] = ACTIONS(3588),
    [anon_sym_get] = ACTIONS(3588),
    [anon_sym_set] = ACTIONS(3588),
    [anon_sym_declare] = ACTIONS(3588),
    [anon_sym_public] = ACTIONS(3588),
    [anon_sym_private] = ACTIONS(3588),
    [anon_sym_protected] = ACTIONS(3588),
    [anon_sym_override] = ACTIONS(3588),
    [anon_sym_module] = ACTIONS(3588),
    [anon_sym_any] = ACTIONS(3588),
    [anon_sym_number] = ACTIONS(3588),
    [anon_sym_boolean] = ACTIONS(3588),
    [anon_sym_string] = ACTIONS(3588),
    [anon_sym_symbol] = ACTIONS(3588),
    [anon_sym_object] = ACTIONS(3588),
    [anon_sym_property] = ACTIONS(3588),
    [anon_sym_signal] = ACTIONS(3588),
    [anon_sym_on] = ACTIONS(3588),
    [anon_sym_required] = ACTIONS(3588),
    [anon_sym_component] = ACTIONS(3588),
    [anon_sym_abstract] = ACTIONS(3588),
    [anon_sym_interface] = ACTIONS(3588),
    [anon_sym_enum] = ACTIONS(3588),
    [sym_html_comment] = ACTIONS(5),
  },
  [1754] = {
    [sym_comment] = STATE(1754),
    [sym_identifier] = ACTIONS(3700),
    [anon_sym_export] = ACTIONS(3700),
    [anon_sym_type] = ACTIONS(3700),
    [anon_sym_namespace] = ACTIONS(3700),
    [anon_sym_LBRACE] = ACTIONS(3700),
    [anon_sym_RBRACE] = ACTIONS(3700),
    [anon_sym_typeof] = ACTIONS(3700),
    [anon_sym_import] = ACTIONS(3700),
    [anon_sym_from] = ACTIONS(3700),
    [anon_sym_with] = ACTIONS(3700),
    [anon_sym_var] = ACTIONS(3700),
    [anon_sym_let] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3700),
    [anon_sym_BANG] = ACTIONS(3700),
    [anon_sym_if] = ACTIONS(3700),
    [anon_sym_switch] = ACTIONS(3700),
    [anon_sym_for] = ACTIONS(3700),
    [anon_sym_LPAREN] = ACTIONS(3700),
    [anon_sym_await] = ACTIONS(3700),
    [anon_sym_of] = ACTIONS(3700),
    [anon_sym_while] = ACTIONS(3700),
    [anon_sym_do] = ACTIONS(3700),
    [anon_sym_try] = ACTIONS(3700),
    [anon_sym_break] = ACTIONS(3700),
    [anon_sym_continue] = ACTIONS(3700),
    [anon_sym_debugger] = ACTIONS(3700),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_throw] = ACTIONS(3700),
    [anon_sym_SEMI] = ACTIONS(3700),
    [anon_sym_yield] = ACTIONS(3700),
    [anon_sym_LBRACK] = ACTIONS(3700),
    [anon_sym_LTtemplate_GT] = ACTIONS(3700),
    [anon_sym_DQUOTE] = ACTIONS(3700),
    [anon_sym_SQUOTE] = ACTIONS(3700),
    [anon_sym_class] = ACTIONS(3700),
    [anon_sym_async] = ACTIONS(3700),
    [anon_sym_function] = ACTIONS(3700),
    [anon_sym_new] = ACTIONS(3700),
    [anon_sym_using] = ACTIONS(3700),
    [anon_sym_PLUS] = ACTIONS(3700),
    [anon_sym_DASH] = ACTIONS(3700),
    [anon_sym_SLASH] = ACTIONS(3700),
    [anon_sym_LT] = ACTIONS(3700),
    [anon_sym_TILDE] = ACTIONS(3700),
    [anon_sym_void] = ACTIONS(3700),
    [anon_sym_delete] = ACTIONS(3700),
    [anon_sym_PLUS_PLUS] = ACTIONS(3700),
    [anon_sym_DASH_DASH] = ACTIONS(3700),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3700),
    [sym_number] = ACTIONS(3700),
    [sym_private_property_identifier] = ACTIONS(3700),
    [sym_this] = ACTIONS(3700),
    [sym_super] = ACTIONS(3700),
    [sym_true] = ACTIONS(3700),
    [sym_false] = ACTIONS(3700),
    [sym_null] = ACTIONS(3700),
    [sym_undefined] = ACTIONS(3700),
    [anon_sym_AT] = ACTIONS(3700),
    [anon_sym_static] = ACTIONS(3700),
    [anon_sym_readonly] = ACTIONS(3700),
    [anon_sym_get] = ACTIONS(3700),
    [anon_sym_set] = ACTIONS(3700),
    [anon_sym_declare] = ACTIONS(3700),
    [anon_sym_public] = ACTIONS(3700),
    [anon_sym_private] = ACTIONS(3700),
    [anon_sym_protected] = ACTIONS(3700),
    [anon_sym_override] = ACTIONS(3700),
    [anon_sym_module] = ACTIONS(3700),
    [anon_sym_any] = ACTIONS(3700),
    [anon_sym_number] = ACTIONS(3700),
    [anon_sym_boolean] = ACTIONS(3700),
    [anon_sym_string] = ACTIONS(3700),
    [anon_sym_symbol] = ACTIONS(3700),
    [anon_sym_object] = ACTIONS(3700),
    [anon_sym_property] = ACTIONS(3700),
    [anon_sym_signal] = ACTIONS(3700),
    [anon_sym_on] = ACTIONS(3700),
    [anon_sym_required] = ACTIONS(3700),
    [anon_sym_component] = ACTIONS(3700),
    [anon_sym_abstract] = ACTIONS(3700),
    [anon_sym_interface] = ACTIONS(3700),
    [anon_sym_enum] = ACTIONS(3700),
    [sym_html_comment] = ACTIONS(5),
  },
  [1755] = {
    [sym_comment] = STATE(1755),
    [sym_identifier] = ACTIONS(3550),
    [anon_sym_export] = ACTIONS(3550),
    [anon_sym_type] = ACTIONS(3550),
    [anon_sym_namespace] = ACTIONS(3550),
    [anon_sym_LBRACE] = ACTIONS(3550),
    [anon_sym_RBRACE] = ACTIONS(3550),
    [anon_sym_typeof] = ACTIONS(3550),
    [anon_sym_import] = ACTIONS(3550),
    [anon_sym_from] = ACTIONS(3550),
    [anon_sym_with] = ACTIONS(3550),
    [anon_sym_var] = ACTIONS(3550),
    [anon_sym_let] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3550),
    [anon_sym_BANG] = ACTIONS(3550),
    [anon_sym_if] = ACTIONS(3550),
    [anon_sym_switch] = ACTIONS(3550),
    [anon_sym_for] = ACTIONS(3550),
    [anon_sym_LPAREN] = ACTIONS(3550),
    [anon_sym_await] = ACTIONS(3550),
    [anon_sym_of] = ACTIONS(3550),
    [anon_sym_while] = ACTIONS(3550),
    [anon_sym_do] = ACTIONS(3550),
    [anon_sym_try] = ACTIONS(3550),
    [anon_sym_break] = ACTIONS(3550),
    [anon_sym_continue] = ACTIONS(3550),
    [anon_sym_debugger] = ACTIONS(3550),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_throw] = ACTIONS(3550),
    [anon_sym_SEMI] = ACTIONS(3550),
    [anon_sym_yield] = ACTIONS(3550),
    [anon_sym_LBRACK] = ACTIONS(3550),
    [anon_sym_LTtemplate_GT] = ACTIONS(3550),
    [anon_sym_DQUOTE] = ACTIONS(3550),
    [anon_sym_SQUOTE] = ACTIONS(3550),
    [anon_sym_class] = ACTIONS(3550),
    [anon_sym_async] = ACTIONS(3550),
    [anon_sym_function] = ACTIONS(3550),
    [anon_sym_new] = ACTIONS(3550),
    [anon_sym_using] = ACTIONS(3550),
    [anon_sym_PLUS] = ACTIONS(3550),
    [anon_sym_DASH] = ACTIONS(3550),
    [anon_sym_SLASH] = ACTIONS(3550),
    [anon_sym_LT] = ACTIONS(3550),
    [anon_sym_TILDE] = ACTIONS(3550),
    [anon_sym_void] = ACTIONS(3550),
    [anon_sym_delete] = ACTIONS(3550),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3550),
    [sym_number] = ACTIONS(3550),
    [sym_private_property_identifier] = ACTIONS(3550),
    [sym_this] = ACTIONS(3550),
    [sym_super] = ACTIONS(3550),
    [sym_true] = ACTIONS(3550),
    [sym_false] = ACTIONS(3550),
    [sym_null] = ACTIONS(3550),
    [sym_undefined] = ACTIONS(3550),
    [anon_sym_AT] = ACTIONS(3550),
    [anon_sym_static] = ACTIONS(3550),
    [anon_sym_readonly] = ACTIONS(3550),
    [anon_sym_get] = ACTIONS(3550),
    [anon_sym_set] = ACTIONS(3550),
    [anon_sym_declare] = ACTIONS(3550),
    [anon_sym_public] = ACTIONS(3550),
    [anon_sym_private] = ACTIONS(3550),
    [anon_sym_protected] = ACTIONS(3550),
    [anon_sym_override] = ACTIONS(3550),
    [anon_sym_module] = ACTIONS(3550),
    [anon_sym_any] = ACTIONS(3550),
    [anon_sym_number] = ACTIONS(3550),
    [anon_sym_boolean] = ACTIONS(3550),
    [anon_sym_string] = ACTIONS(3550),
    [anon_sym_symbol] = ACTIONS(3550),
    [anon_sym_object] = ACTIONS(3550),
    [anon_sym_property] = ACTIONS(3550),
    [anon_sym_signal] = ACTIONS(3550),
    [anon_sym_on] = ACTIONS(3550),
    [anon_sym_required] = ACTIONS(3550),
    [anon_sym_component] = ACTIONS(3550),
    [anon_sym_abstract] = ACTIONS(3550),
    [anon_sym_interface] = ACTIONS(3550),
    [anon_sym_enum] = ACTIONS(3550),
    [sym_html_comment] = ACTIONS(5),
  },
  [1756] = {
    [sym_comment] = STATE(1756),
    [sym_identifier] = ACTIONS(3586),
    [anon_sym_export] = ACTIONS(3586),
    [anon_sym_type] = ACTIONS(3586),
    [anon_sym_namespace] = ACTIONS(3586),
    [anon_sym_LBRACE] = ACTIONS(3586),
    [anon_sym_RBRACE] = ACTIONS(3586),
    [anon_sym_typeof] = ACTIONS(3586),
    [anon_sym_import] = ACTIONS(3586),
    [anon_sym_from] = ACTIONS(3586),
    [anon_sym_with] = ACTIONS(3586),
    [anon_sym_var] = ACTIONS(3586),
    [anon_sym_let] = ACTIONS(3586),
    [anon_sym_const] = ACTIONS(3586),
    [anon_sym_BANG] = ACTIONS(3586),
    [anon_sym_if] = ACTIONS(3586),
    [anon_sym_switch] = ACTIONS(3586),
    [anon_sym_for] = ACTIONS(3586),
    [anon_sym_LPAREN] = ACTIONS(3586),
    [anon_sym_await] = ACTIONS(3586),
    [anon_sym_of] = ACTIONS(3586),
    [anon_sym_while] = ACTIONS(3586),
    [anon_sym_do] = ACTIONS(3586),
    [anon_sym_try] = ACTIONS(3586),
    [anon_sym_break] = ACTIONS(3586),
    [anon_sym_continue] = ACTIONS(3586),
    [anon_sym_debugger] = ACTIONS(3586),
    [anon_sym_return] = ACTIONS(3586),
    [anon_sym_throw] = ACTIONS(3586),
    [anon_sym_SEMI] = ACTIONS(3586),
    [anon_sym_yield] = ACTIONS(3586),
    [anon_sym_LBRACK] = ACTIONS(3586),
    [anon_sym_LTtemplate_GT] = ACTIONS(3586),
    [anon_sym_DQUOTE] = ACTIONS(3586),
    [anon_sym_SQUOTE] = ACTIONS(3586),
    [anon_sym_class] = ACTIONS(3586),
    [anon_sym_async] = ACTIONS(3586),
    [anon_sym_function] = ACTIONS(3586),
    [anon_sym_new] = ACTIONS(3586),
    [anon_sym_using] = ACTIONS(3586),
    [anon_sym_PLUS] = ACTIONS(3586),
    [anon_sym_DASH] = ACTIONS(3586),
    [anon_sym_SLASH] = ACTIONS(3586),
    [anon_sym_LT] = ACTIONS(3586),
    [anon_sym_TILDE] = ACTIONS(3586),
    [anon_sym_void] = ACTIONS(3586),
    [anon_sym_delete] = ACTIONS(3586),
    [anon_sym_PLUS_PLUS] = ACTIONS(3586),
    [anon_sym_DASH_DASH] = ACTIONS(3586),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3586),
    [sym_number] = ACTIONS(3586),
    [sym_private_property_identifier] = ACTIONS(3586),
    [sym_this] = ACTIONS(3586),
    [sym_super] = ACTIONS(3586),
    [sym_true] = ACTIONS(3586),
    [sym_false] = ACTIONS(3586),
    [sym_null] = ACTIONS(3586),
    [sym_undefined] = ACTIONS(3586),
    [anon_sym_AT] = ACTIONS(3586),
    [anon_sym_static] = ACTIONS(3586),
    [anon_sym_readonly] = ACTIONS(3586),
    [anon_sym_get] = ACTIONS(3586),
    [anon_sym_set] = ACTIONS(3586),
    [anon_sym_declare] = ACTIONS(3586),
    [anon_sym_public] = ACTIONS(3586),
    [anon_sym_private] = ACTIONS(3586),
    [anon_sym_protected] = ACTIONS(3586),
    [anon_sym_override] = ACTIONS(3586),
    [anon_sym_module] = ACTIONS(3586),
    [anon_sym_any] = ACTIONS(3586),
    [anon_sym_number] = ACTIONS(3586),
    [anon_sym_boolean] = ACTIONS(3586),
    [anon_sym_string] = ACTIONS(3586),
    [anon_sym_symbol] = ACTIONS(3586),
    [anon_sym_object] = ACTIONS(3586),
    [anon_sym_property] = ACTIONS(3586),
    [anon_sym_signal] = ACTIONS(3586),
    [anon_sym_on] = ACTIONS(3586),
    [anon_sym_required] = ACTIONS(3586),
    [anon_sym_component] = ACTIONS(3586),
    [anon_sym_abstract] = ACTIONS(3586),
    [anon_sym_interface] = ACTIONS(3586),
    [anon_sym_enum] = ACTIONS(3586),
    [sym_html_comment] = ACTIONS(5),
  },
  [1757] = {
    [sym_comment] = STATE(1757),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_export] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2328),
    [anon_sym_namespace] = ACTIONS(2328),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [anon_sym_typeof] = ACTIONS(2328),
    [anon_sym_import] = ACTIONS(2328),
    [anon_sym_from] = ACTIONS(2328),
    [anon_sym_with] = ACTIONS(2328),
    [anon_sym_var] = ACTIONS(2328),
    [anon_sym_let] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_if] = ACTIONS(2328),
    [anon_sym_switch] = ACTIONS(2328),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_await] = ACTIONS(2328),
    [anon_sym_of] = ACTIONS(2328),
    [anon_sym_while] = ACTIONS(2328),
    [anon_sym_do] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2328),
    [anon_sym_break] = ACTIONS(2328),
    [anon_sym_continue] = ACTIONS(2328),
    [anon_sym_debugger] = ACTIONS(2328),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_throw] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym_yield] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_LTtemplate_GT] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2328),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_class] = ACTIONS(2328),
    [anon_sym_async] = ACTIONS(2328),
    [anon_sym_function] = ACTIONS(2328),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_using] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_void] = ACTIONS(2328),
    [anon_sym_delete] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2328),
    [sym_number] = ACTIONS(2328),
    [sym_private_property_identifier] = ACTIONS(2328),
    [sym_this] = ACTIONS(2328),
    [sym_super] = ACTIONS(2328),
    [sym_true] = ACTIONS(2328),
    [sym_false] = ACTIONS(2328),
    [sym_null] = ACTIONS(2328),
    [sym_undefined] = ACTIONS(2328),
    [anon_sym_AT] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2328),
    [anon_sym_readonly] = ACTIONS(2328),
    [anon_sym_get] = ACTIONS(2328),
    [anon_sym_set] = ACTIONS(2328),
    [anon_sym_declare] = ACTIONS(2328),
    [anon_sym_public] = ACTIONS(2328),
    [anon_sym_private] = ACTIONS(2328),
    [anon_sym_protected] = ACTIONS(2328),
    [anon_sym_override] = ACTIONS(2328),
    [anon_sym_module] = ACTIONS(2328),
    [anon_sym_any] = ACTIONS(2328),
    [anon_sym_number] = ACTIONS(2328),
    [anon_sym_boolean] = ACTIONS(2328),
    [anon_sym_string] = ACTIONS(2328),
    [anon_sym_symbol] = ACTIONS(2328),
    [anon_sym_object] = ACTIONS(2328),
    [anon_sym_property] = ACTIONS(2328),
    [anon_sym_signal] = ACTIONS(2328),
    [anon_sym_on] = ACTIONS(2328),
    [anon_sym_required] = ACTIONS(2328),
    [anon_sym_component] = ACTIONS(2328),
    [anon_sym_abstract] = ACTIONS(2328),
    [anon_sym_interface] = ACTIONS(2328),
    [anon_sym_enum] = ACTIONS(2328),
    [sym_html_comment] = ACTIONS(5),
  },
  [1758] = {
    [sym_comment] = STATE(1758),
    [sym_identifier] = ACTIONS(3560),
    [anon_sym_export] = ACTIONS(3560),
    [anon_sym_type] = ACTIONS(3560),
    [anon_sym_namespace] = ACTIONS(3560),
    [anon_sym_LBRACE] = ACTIONS(3560),
    [anon_sym_RBRACE] = ACTIONS(3560),
    [anon_sym_typeof] = ACTIONS(3560),
    [anon_sym_import] = ACTIONS(3560),
    [anon_sym_from] = ACTIONS(3560),
    [anon_sym_with] = ACTIONS(3560),
    [anon_sym_var] = ACTIONS(3560),
    [anon_sym_let] = ACTIONS(3560),
    [anon_sym_const] = ACTIONS(3560),
    [anon_sym_BANG] = ACTIONS(3560),
    [anon_sym_if] = ACTIONS(3560),
    [anon_sym_switch] = ACTIONS(3560),
    [anon_sym_for] = ACTIONS(3560),
    [anon_sym_LPAREN] = ACTIONS(3560),
    [anon_sym_await] = ACTIONS(3560),
    [anon_sym_of] = ACTIONS(3560),
    [anon_sym_while] = ACTIONS(3560),
    [anon_sym_do] = ACTIONS(3560),
    [anon_sym_try] = ACTIONS(3560),
    [anon_sym_break] = ACTIONS(3560),
    [anon_sym_continue] = ACTIONS(3560),
    [anon_sym_debugger] = ACTIONS(3560),
    [anon_sym_return] = ACTIONS(3560),
    [anon_sym_throw] = ACTIONS(3560),
    [anon_sym_SEMI] = ACTIONS(3560),
    [anon_sym_yield] = ACTIONS(3560),
    [anon_sym_LBRACK] = ACTIONS(3560),
    [anon_sym_LTtemplate_GT] = ACTIONS(3560),
    [anon_sym_DQUOTE] = ACTIONS(3560),
    [anon_sym_SQUOTE] = ACTIONS(3560),
    [anon_sym_class] = ACTIONS(3560),
    [anon_sym_async] = ACTIONS(3560),
    [anon_sym_function] = ACTIONS(3560),
    [anon_sym_new] = ACTIONS(3560),
    [anon_sym_using] = ACTIONS(3560),
    [anon_sym_PLUS] = ACTIONS(3560),
    [anon_sym_DASH] = ACTIONS(3560),
    [anon_sym_SLASH] = ACTIONS(3560),
    [anon_sym_LT] = ACTIONS(3560),
    [anon_sym_TILDE] = ACTIONS(3560),
    [anon_sym_void] = ACTIONS(3560),
    [anon_sym_delete] = ACTIONS(3560),
    [anon_sym_PLUS_PLUS] = ACTIONS(3560),
    [anon_sym_DASH_DASH] = ACTIONS(3560),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3560),
    [sym_number] = ACTIONS(3560),
    [sym_private_property_identifier] = ACTIONS(3560),
    [sym_this] = ACTIONS(3560),
    [sym_super] = ACTIONS(3560),
    [sym_true] = ACTIONS(3560),
    [sym_false] = ACTIONS(3560),
    [sym_null] = ACTIONS(3560),
    [sym_undefined] = ACTIONS(3560),
    [anon_sym_AT] = ACTIONS(3560),
    [anon_sym_static] = ACTIONS(3560),
    [anon_sym_readonly] = ACTIONS(3560),
    [anon_sym_get] = ACTIONS(3560),
    [anon_sym_set] = ACTIONS(3560),
    [anon_sym_declare] = ACTIONS(3560),
    [anon_sym_public] = ACTIONS(3560),
    [anon_sym_private] = ACTIONS(3560),
    [anon_sym_protected] = ACTIONS(3560),
    [anon_sym_override] = ACTIONS(3560),
    [anon_sym_module] = ACTIONS(3560),
    [anon_sym_any] = ACTIONS(3560),
    [anon_sym_number] = ACTIONS(3560),
    [anon_sym_boolean] = ACTIONS(3560),
    [anon_sym_string] = ACTIONS(3560),
    [anon_sym_symbol] = ACTIONS(3560),
    [anon_sym_object] = ACTIONS(3560),
    [anon_sym_property] = ACTIONS(3560),
    [anon_sym_signal] = ACTIONS(3560),
    [anon_sym_on] = ACTIONS(3560),
    [anon_sym_required] = ACTIONS(3560),
    [anon_sym_component] = ACTIONS(3560),
    [anon_sym_abstract] = ACTIONS(3560),
    [anon_sym_interface] = ACTIONS(3560),
    [anon_sym_enum] = ACTIONS(3560),
    [sym_html_comment] = ACTIONS(5),
  },
  [1759] = {
    [sym_comment] = STATE(1759),
    [sym_identifier] = ACTIONS(3604),
    [anon_sym_export] = ACTIONS(3604),
    [anon_sym_type] = ACTIONS(3604),
    [anon_sym_namespace] = ACTIONS(3604),
    [anon_sym_LBRACE] = ACTIONS(3604),
    [anon_sym_RBRACE] = ACTIONS(3604),
    [anon_sym_typeof] = ACTIONS(3604),
    [anon_sym_import] = ACTIONS(3604),
    [anon_sym_from] = ACTIONS(3604),
    [anon_sym_with] = ACTIONS(3604),
    [anon_sym_var] = ACTIONS(3604),
    [anon_sym_let] = ACTIONS(3604),
    [anon_sym_const] = ACTIONS(3604),
    [anon_sym_BANG] = ACTIONS(3604),
    [anon_sym_if] = ACTIONS(3604),
    [anon_sym_switch] = ACTIONS(3604),
    [anon_sym_for] = ACTIONS(3604),
    [anon_sym_LPAREN] = ACTIONS(3604),
    [anon_sym_await] = ACTIONS(3604),
    [anon_sym_of] = ACTIONS(3604),
    [anon_sym_while] = ACTIONS(3604),
    [anon_sym_do] = ACTIONS(3604),
    [anon_sym_try] = ACTIONS(3604),
    [anon_sym_break] = ACTIONS(3604),
    [anon_sym_continue] = ACTIONS(3604),
    [anon_sym_debugger] = ACTIONS(3604),
    [anon_sym_return] = ACTIONS(3604),
    [anon_sym_throw] = ACTIONS(3604),
    [anon_sym_SEMI] = ACTIONS(3604),
    [anon_sym_yield] = ACTIONS(3604),
    [anon_sym_LBRACK] = ACTIONS(3604),
    [anon_sym_LTtemplate_GT] = ACTIONS(3604),
    [anon_sym_DQUOTE] = ACTIONS(3604),
    [anon_sym_SQUOTE] = ACTIONS(3604),
    [anon_sym_class] = ACTIONS(3604),
    [anon_sym_async] = ACTIONS(3604),
    [anon_sym_function] = ACTIONS(3604),
    [anon_sym_new] = ACTIONS(3604),
    [anon_sym_using] = ACTIONS(3604),
    [anon_sym_PLUS] = ACTIONS(3604),
    [anon_sym_DASH] = ACTIONS(3604),
    [anon_sym_SLASH] = ACTIONS(3604),
    [anon_sym_LT] = ACTIONS(3604),
    [anon_sym_TILDE] = ACTIONS(3604),
    [anon_sym_void] = ACTIONS(3604),
    [anon_sym_delete] = ACTIONS(3604),
    [anon_sym_PLUS_PLUS] = ACTIONS(3604),
    [anon_sym_DASH_DASH] = ACTIONS(3604),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3604),
    [sym_number] = ACTIONS(3604),
    [sym_private_property_identifier] = ACTIONS(3604),
    [sym_this] = ACTIONS(3604),
    [sym_super] = ACTIONS(3604),
    [sym_true] = ACTIONS(3604),
    [sym_false] = ACTIONS(3604),
    [sym_null] = ACTIONS(3604),
    [sym_undefined] = ACTIONS(3604),
    [anon_sym_AT] = ACTIONS(3604),
    [anon_sym_static] = ACTIONS(3604),
    [anon_sym_readonly] = ACTIONS(3604),
    [anon_sym_get] = ACTIONS(3604),
    [anon_sym_set] = ACTIONS(3604),
    [anon_sym_declare] = ACTIONS(3604),
    [anon_sym_public] = ACTIONS(3604),
    [anon_sym_private] = ACTIONS(3604),
    [anon_sym_protected] = ACTIONS(3604),
    [anon_sym_override] = ACTIONS(3604),
    [anon_sym_module] = ACTIONS(3604),
    [anon_sym_any] = ACTIONS(3604),
    [anon_sym_number] = ACTIONS(3604),
    [anon_sym_boolean] = ACTIONS(3604),
    [anon_sym_string] = ACTIONS(3604),
    [anon_sym_symbol] = ACTIONS(3604),
    [anon_sym_object] = ACTIONS(3604),
    [anon_sym_property] = ACTIONS(3604),
    [anon_sym_signal] = ACTIONS(3604),
    [anon_sym_on] = ACTIONS(3604),
    [anon_sym_required] = ACTIONS(3604),
    [anon_sym_component] = ACTIONS(3604),
    [anon_sym_abstract] = ACTIONS(3604),
    [anon_sym_interface] = ACTIONS(3604),
    [anon_sym_enum] = ACTIONS(3604),
    [sym_html_comment] = ACTIONS(5),
  },
  [1760] = {
    [sym_comment] = STATE(1760),
    [sym_identifier] = ACTIONS(3584),
    [anon_sym_export] = ACTIONS(3584),
    [anon_sym_type] = ACTIONS(3584),
    [anon_sym_namespace] = ACTIONS(3584),
    [anon_sym_LBRACE] = ACTIONS(3584),
    [anon_sym_RBRACE] = ACTIONS(3584),
    [anon_sym_typeof] = ACTIONS(3584),
    [anon_sym_import] = ACTIONS(3584),
    [anon_sym_from] = ACTIONS(3584),
    [anon_sym_with] = ACTIONS(3584),
    [anon_sym_var] = ACTIONS(3584),
    [anon_sym_let] = ACTIONS(3584),
    [anon_sym_const] = ACTIONS(3584),
    [anon_sym_BANG] = ACTIONS(3584),
    [anon_sym_if] = ACTIONS(3584),
    [anon_sym_switch] = ACTIONS(3584),
    [anon_sym_for] = ACTIONS(3584),
    [anon_sym_LPAREN] = ACTIONS(3584),
    [anon_sym_await] = ACTIONS(3584),
    [anon_sym_of] = ACTIONS(3584),
    [anon_sym_while] = ACTIONS(3584),
    [anon_sym_do] = ACTIONS(3584),
    [anon_sym_try] = ACTIONS(3584),
    [anon_sym_break] = ACTIONS(3584),
    [anon_sym_continue] = ACTIONS(3584),
    [anon_sym_debugger] = ACTIONS(3584),
    [anon_sym_return] = ACTIONS(3584),
    [anon_sym_throw] = ACTIONS(3584),
    [anon_sym_SEMI] = ACTIONS(3584),
    [anon_sym_yield] = ACTIONS(3584),
    [anon_sym_LBRACK] = ACTIONS(3584),
    [anon_sym_LTtemplate_GT] = ACTIONS(3584),
    [anon_sym_DQUOTE] = ACTIONS(3584),
    [anon_sym_SQUOTE] = ACTIONS(3584),
    [anon_sym_class] = ACTIONS(3584),
    [anon_sym_async] = ACTIONS(3584),
    [anon_sym_function] = ACTIONS(3584),
    [anon_sym_new] = ACTIONS(3584),
    [anon_sym_using] = ACTIONS(3584),
    [anon_sym_PLUS] = ACTIONS(3584),
    [anon_sym_DASH] = ACTIONS(3584),
    [anon_sym_SLASH] = ACTIONS(3584),
    [anon_sym_LT] = ACTIONS(3584),
    [anon_sym_TILDE] = ACTIONS(3584),
    [anon_sym_void] = ACTIONS(3584),
    [anon_sym_delete] = ACTIONS(3584),
    [anon_sym_PLUS_PLUS] = ACTIONS(3584),
    [anon_sym_DASH_DASH] = ACTIONS(3584),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3584),
    [sym_number] = ACTIONS(3584),
    [sym_private_property_identifier] = ACTIONS(3584),
    [sym_this] = ACTIONS(3584),
    [sym_super] = ACTIONS(3584),
    [sym_true] = ACTIONS(3584),
    [sym_false] = ACTIONS(3584),
    [sym_null] = ACTIONS(3584),
    [sym_undefined] = ACTIONS(3584),
    [anon_sym_AT] = ACTIONS(3584),
    [anon_sym_static] = ACTIONS(3584),
    [anon_sym_readonly] = ACTIONS(3584),
    [anon_sym_get] = ACTIONS(3584),
    [anon_sym_set] = ACTIONS(3584),
    [anon_sym_declare] = ACTIONS(3584),
    [anon_sym_public] = ACTIONS(3584),
    [anon_sym_private] = ACTIONS(3584),
    [anon_sym_protected] = ACTIONS(3584),
    [anon_sym_override] = ACTIONS(3584),
    [anon_sym_module] = ACTIONS(3584),
    [anon_sym_any] = ACTIONS(3584),
    [anon_sym_number] = ACTIONS(3584),
    [anon_sym_boolean] = ACTIONS(3584),
    [anon_sym_string] = ACTIONS(3584),
    [anon_sym_symbol] = ACTIONS(3584),
    [anon_sym_object] = ACTIONS(3584),
    [anon_sym_property] = ACTIONS(3584),
    [anon_sym_signal] = ACTIONS(3584),
    [anon_sym_on] = ACTIONS(3584),
    [anon_sym_required] = ACTIONS(3584),
    [anon_sym_component] = ACTIONS(3584),
    [anon_sym_abstract] = ACTIONS(3584),
    [anon_sym_interface] = ACTIONS(3584),
    [anon_sym_enum] = ACTIONS(3584),
    [sym_html_comment] = ACTIONS(5),
  },
  [1761] = {
    [sym_comment] = STATE(1761),
    [sym_identifier] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(3612),
    [anon_sym_type] = ACTIONS(3612),
    [anon_sym_namespace] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(3612),
    [anon_sym_RBRACE] = ACTIONS(3612),
    [anon_sym_typeof] = ACTIONS(3612),
    [anon_sym_import] = ACTIONS(3612),
    [anon_sym_from] = ACTIONS(3612),
    [anon_sym_with] = ACTIONS(3612),
    [anon_sym_var] = ACTIONS(3612),
    [anon_sym_let] = ACTIONS(3612),
    [anon_sym_const] = ACTIONS(3612),
    [anon_sym_BANG] = ACTIONS(3612),
    [anon_sym_if] = ACTIONS(3612),
    [anon_sym_switch] = ACTIONS(3612),
    [anon_sym_for] = ACTIONS(3612),
    [anon_sym_LPAREN] = ACTIONS(3612),
    [anon_sym_await] = ACTIONS(3612),
    [anon_sym_of] = ACTIONS(3612),
    [anon_sym_while] = ACTIONS(3612),
    [anon_sym_do] = ACTIONS(3612),
    [anon_sym_try] = ACTIONS(3612),
    [anon_sym_break] = ACTIONS(3612),
    [anon_sym_continue] = ACTIONS(3612),
    [anon_sym_debugger] = ACTIONS(3612),
    [anon_sym_return] = ACTIONS(3612),
    [anon_sym_throw] = ACTIONS(3612),
    [anon_sym_SEMI] = ACTIONS(3612),
    [anon_sym_yield] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(3612),
    [anon_sym_LTtemplate_GT] = ACTIONS(3612),
    [anon_sym_DQUOTE] = ACTIONS(3612),
    [anon_sym_SQUOTE] = ACTIONS(3612),
    [anon_sym_class] = ACTIONS(3612),
    [anon_sym_async] = ACTIONS(3612),
    [anon_sym_function] = ACTIONS(3612),
    [anon_sym_new] = ACTIONS(3612),
    [anon_sym_using] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3612),
    [anon_sym_DASH] = ACTIONS(3612),
    [anon_sym_SLASH] = ACTIONS(3612),
    [anon_sym_LT] = ACTIONS(3612),
    [anon_sym_TILDE] = ACTIONS(3612),
    [anon_sym_void] = ACTIONS(3612),
    [anon_sym_delete] = ACTIONS(3612),
    [anon_sym_PLUS_PLUS] = ACTIONS(3612),
    [anon_sym_DASH_DASH] = ACTIONS(3612),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3612),
    [sym_number] = ACTIONS(3612),
    [sym_private_property_identifier] = ACTIONS(3612),
    [sym_this] = ACTIONS(3612),
    [sym_super] = ACTIONS(3612),
    [sym_true] = ACTIONS(3612),
    [sym_false] = ACTIONS(3612),
    [sym_null] = ACTIONS(3612),
    [sym_undefined] = ACTIONS(3612),
    [anon_sym_AT] = ACTIONS(3612),
    [anon_sym_static] = ACTIONS(3612),
    [anon_sym_readonly] = ACTIONS(3612),
    [anon_sym_get] = ACTIONS(3612),
    [anon_sym_set] = ACTIONS(3612),
    [anon_sym_declare] = ACTIONS(3612),
    [anon_sym_public] = ACTIONS(3612),
    [anon_sym_private] = ACTIONS(3612),
    [anon_sym_protected] = ACTIONS(3612),
    [anon_sym_override] = ACTIONS(3612),
    [anon_sym_module] = ACTIONS(3612),
    [anon_sym_any] = ACTIONS(3612),
    [anon_sym_number] = ACTIONS(3612),
    [anon_sym_boolean] = ACTIONS(3612),
    [anon_sym_string] = ACTIONS(3612),
    [anon_sym_symbol] = ACTIONS(3612),
    [anon_sym_object] = ACTIONS(3612),
    [anon_sym_property] = ACTIONS(3612),
    [anon_sym_signal] = ACTIONS(3612),
    [anon_sym_on] = ACTIONS(3612),
    [anon_sym_required] = ACTIONS(3612),
    [anon_sym_component] = ACTIONS(3612),
    [anon_sym_abstract] = ACTIONS(3612),
    [anon_sym_interface] = ACTIONS(3612),
    [anon_sym_enum] = ACTIONS(3612),
    [sym_html_comment] = ACTIONS(5),
  },
  [1762] = {
    [sym_comment] = STATE(1762),
    [sym_identifier] = ACTIONS(3698),
    [anon_sym_export] = ACTIONS(3698),
    [anon_sym_type] = ACTIONS(3698),
    [anon_sym_namespace] = ACTIONS(3698),
    [anon_sym_LBRACE] = ACTIONS(3698),
    [anon_sym_RBRACE] = ACTIONS(3698),
    [anon_sym_typeof] = ACTIONS(3698),
    [anon_sym_import] = ACTIONS(3698),
    [anon_sym_from] = ACTIONS(3698),
    [anon_sym_with] = ACTIONS(3698),
    [anon_sym_var] = ACTIONS(3698),
    [anon_sym_let] = ACTIONS(3698),
    [anon_sym_const] = ACTIONS(3698),
    [anon_sym_BANG] = ACTIONS(3698),
    [anon_sym_if] = ACTIONS(3698),
    [anon_sym_switch] = ACTIONS(3698),
    [anon_sym_for] = ACTIONS(3698),
    [anon_sym_LPAREN] = ACTIONS(3698),
    [anon_sym_await] = ACTIONS(3698),
    [anon_sym_of] = ACTIONS(3698),
    [anon_sym_while] = ACTIONS(3698),
    [anon_sym_do] = ACTIONS(3698),
    [anon_sym_try] = ACTIONS(3698),
    [anon_sym_break] = ACTIONS(3698),
    [anon_sym_continue] = ACTIONS(3698),
    [anon_sym_debugger] = ACTIONS(3698),
    [anon_sym_return] = ACTIONS(3698),
    [anon_sym_throw] = ACTIONS(3698),
    [anon_sym_SEMI] = ACTIONS(3698),
    [anon_sym_yield] = ACTIONS(3698),
    [anon_sym_LBRACK] = ACTIONS(3698),
    [anon_sym_LTtemplate_GT] = ACTIONS(3698),
    [anon_sym_DQUOTE] = ACTIONS(3698),
    [anon_sym_SQUOTE] = ACTIONS(3698),
    [anon_sym_class] = ACTIONS(3698),
    [anon_sym_async] = ACTIONS(3698),
    [anon_sym_function] = ACTIONS(3698),
    [anon_sym_new] = ACTIONS(3698),
    [anon_sym_using] = ACTIONS(3698),
    [anon_sym_PLUS] = ACTIONS(3698),
    [anon_sym_DASH] = ACTIONS(3698),
    [anon_sym_SLASH] = ACTIONS(3698),
    [anon_sym_LT] = ACTIONS(3698),
    [anon_sym_TILDE] = ACTIONS(3698),
    [anon_sym_void] = ACTIONS(3698),
    [anon_sym_delete] = ACTIONS(3698),
    [anon_sym_PLUS_PLUS] = ACTIONS(3698),
    [anon_sym_DASH_DASH] = ACTIONS(3698),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3698),
    [sym_number] = ACTIONS(3698),
    [sym_private_property_identifier] = ACTIONS(3698),
    [sym_this] = ACTIONS(3698),
    [sym_super] = ACTIONS(3698),
    [sym_true] = ACTIONS(3698),
    [sym_false] = ACTIONS(3698),
    [sym_null] = ACTIONS(3698),
    [sym_undefined] = ACTIONS(3698),
    [anon_sym_AT] = ACTIONS(3698),
    [anon_sym_static] = ACTIONS(3698),
    [anon_sym_readonly] = ACTIONS(3698),
    [anon_sym_get] = ACTIONS(3698),
    [anon_sym_set] = ACTIONS(3698),
    [anon_sym_declare] = ACTIONS(3698),
    [anon_sym_public] = ACTIONS(3698),
    [anon_sym_private] = ACTIONS(3698),
    [anon_sym_protected] = ACTIONS(3698),
    [anon_sym_override] = ACTIONS(3698),
    [anon_sym_module] = ACTIONS(3698),
    [anon_sym_any] = ACTIONS(3698),
    [anon_sym_number] = ACTIONS(3698),
    [anon_sym_boolean] = ACTIONS(3698),
    [anon_sym_string] = ACTIONS(3698),
    [anon_sym_symbol] = ACTIONS(3698),
    [anon_sym_object] = ACTIONS(3698),
    [anon_sym_property] = ACTIONS(3698),
    [anon_sym_signal] = ACTIONS(3698),
    [anon_sym_on] = ACTIONS(3698),
    [anon_sym_required] = ACTIONS(3698),
    [anon_sym_component] = ACTIONS(3698),
    [anon_sym_abstract] = ACTIONS(3698),
    [anon_sym_interface] = ACTIONS(3698),
    [anon_sym_enum] = ACTIONS(3698),
    [sym_html_comment] = ACTIONS(5),
  },
  [1763] = {
    [sym_comment] = STATE(1763),
    [sym_identifier] = ACTIONS(3486),
    [anon_sym_export] = ACTIONS(3486),
    [anon_sym_type] = ACTIONS(3486),
    [anon_sym_namespace] = ACTIONS(3486),
    [anon_sym_LBRACE] = ACTIONS(3486),
    [anon_sym_RBRACE] = ACTIONS(3486),
    [anon_sym_typeof] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3486),
    [anon_sym_from] = ACTIONS(3486),
    [anon_sym_with] = ACTIONS(3486),
    [anon_sym_var] = ACTIONS(3486),
    [anon_sym_let] = ACTIONS(3486),
    [anon_sym_const] = ACTIONS(3486),
    [anon_sym_BANG] = ACTIONS(3486),
    [anon_sym_if] = ACTIONS(3486),
    [anon_sym_switch] = ACTIONS(3486),
    [anon_sym_for] = ACTIONS(3486),
    [anon_sym_LPAREN] = ACTIONS(3486),
    [anon_sym_await] = ACTIONS(3486),
    [anon_sym_of] = ACTIONS(3486),
    [anon_sym_while] = ACTIONS(3486),
    [anon_sym_do] = ACTIONS(3486),
    [anon_sym_try] = ACTIONS(3486),
    [anon_sym_break] = ACTIONS(3486),
    [anon_sym_continue] = ACTIONS(3486),
    [anon_sym_debugger] = ACTIONS(3486),
    [anon_sym_return] = ACTIONS(3486),
    [anon_sym_throw] = ACTIONS(3486),
    [anon_sym_SEMI] = ACTIONS(3486),
    [anon_sym_yield] = ACTIONS(3486),
    [anon_sym_LBRACK] = ACTIONS(3486),
    [anon_sym_LTtemplate_GT] = ACTIONS(3486),
    [anon_sym_DQUOTE] = ACTIONS(3486),
    [anon_sym_SQUOTE] = ACTIONS(3486),
    [anon_sym_class] = ACTIONS(3486),
    [anon_sym_async] = ACTIONS(3486),
    [anon_sym_function] = ACTIONS(3486),
    [anon_sym_new] = ACTIONS(3486),
    [anon_sym_using] = ACTIONS(3486),
    [anon_sym_PLUS] = ACTIONS(3486),
    [anon_sym_DASH] = ACTIONS(3486),
    [anon_sym_SLASH] = ACTIONS(3486),
    [anon_sym_LT] = ACTIONS(3486),
    [anon_sym_TILDE] = ACTIONS(3486),
    [anon_sym_void] = ACTIONS(3486),
    [anon_sym_delete] = ACTIONS(3486),
    [anon_sym_PLUS_PLUS] = ACTIONS(3486),
    [anon_sym_DASH_DASH] = ACTIONS(3486),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3486),
    [sym_number] = ACTIONS(3486),
    [sym_private_property_identifier] = ACTIONS(3486),
    [sym_this] = ACTIONS(3486),
    [sym_super] = ACTIONS(3486),
    [sym_true] = ACTIONS(3486),
    [sym_false] = ACTIONS(3486),
    [sym_null] = ACTIONS(3486),
    [sym_undefined] = ACTIONS(3486),
    [anon_sym_AT] = ACTIONS(3486),
    [anon_sym_static] = ACTIONS(3486),
    [anon_sym_readonly] = ACTIONS(3486),
    [anon_sym_get] = ACTIONS(3486),
    [anon_sym_set] = ACTIONS(3486),
    [anon_sym_declare] = ACTIONS(3486),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_private] = ACTIONS(3486),
    [anon_sym_protected] = ACTIONS(3486),
    [anon_sym_override] = ACTIONS(3486),
    [anon_sym_module] = ACTIONS(3486),
    [anon_sym_any] = ACTIONS(3486),
    [anon_sym_number] = ACTIONS(3486),
    [anon_sym_boolean] = ACTIONS(3486),
    [anon_sym_string] = ACTIONS(3486),
    [anon_sym_symbol] = ACTIONS(3486),
    [anon_sym_object] = ACTIONS(3486),
    [anon_sym_property] = ACTIONS(3486),
    [anon_sym_signal] = ACTIONS(3486),
    [anon_sym_on] = ACTIONS(3486),
    [anon_sym_required] = ACTIONS(3486),
    [anon_sym_component] = ACTIONS(3486),
    [anon_sym_abstract] = ACTIONS(3486),
    [anon_sym_interface] = ACTIONS(3486),
    [anon_sym_enum] = ACTIONS(3486),
    [sym_html_comment] = ACTIONS(5),
  },
  [1764] = {
    [sym_comment] = STATE(1764),
    [sym_identifier] = ACTIONS(3582),
    [anon_sym_export] = ACTIONS(3582),
    [anon_sym_type] = ACTIONS(3582),
    [anon_sym_namespace] = ACTIONS(3582),
    [anon_sym_LBRACE] = ACTIONS(3582),
    [anon_sym_RBRACE] = ACTIONS(3582),
    [anon_sym_typeof] = ACTIONS(3582),
    [anon_sym_import] = ACTIONS(3582),
    [anon_sym_from] = ACTIONS(3582),
    [anon_sym_with] = ACTIONS(3582),
    [anon_sym_var] = ACTIONS(3582),
    [anon_sym_let] = ACTIONS(3582),
    [anon_sym_const] = ACTIONS(3582),
    [anon_sym_BANG] = ACTIONS(3582),
    [anon_sym_if] = ACTIONS(3582),
    [anon_sym_switch] = ACTIONS(3582),
    [anon_sym_for] = ACTIONS(3582),
    [anon_sym_LPAREN] = ACTIONS(3582),
    [anon_sym_await] = ACTIONS(3582),
    [anon_sym_of] = ACTIONS(3582),
    [anon_sym_while] = ACTIONS(3582),
    [anon_sym_do] = ACTIONS(3582),
    [anon_sym_try] = ACTIONS(3582),
    [anon_sym_break] = ACTIONS(3582),
    [anon_sym_continue] = ACTIONS(3582),
    [anon_sym_debugger] = ACTIONS(3582),
    [anon_sym_return] = ACTIONS(3582),
    [anon_sym_throw] = ACTIONS(3582),
    [anon_sym_SEMI] = ACTIONS(3582),
    [anon_sym_yield] = ACTIONS(3582),
    [anon_sym_LBRACK] = ACTIONS(3582),
    [anon_sym_LTtemplate_GT] = ACTIONS(3582),
    [anon_sym_DQUOTE] = ACTIONS(3582),
    [anon_sym_SQUOTE] = ACTIONS(3582),
    [anon_sym_class] = ACTIONS(3582),
    [anon_sym_async] = ACTIONS(3582),
    [anon_sym_function] = ACTIONS(3582),
    [anon_sym_new] = ACTIONS(3582),
    [anon_sym_using] = ACTIONS(3582),
    [anon_sym_PLUS] = ACTIONS(3582),
    [anon_sym_DASH] = ACTIONS(3582),
    [anon_sym_SLASH] = ACTIONS(3582),
    [anon_sym_LT] = ACTIONS(3582),
    [anon_sym_TILDE] = ACTIONS(3582),
    [anon_sym_void] = ACTIONS(3582),
    [anon_sym_delete] = ACTIONS(3582),
    [anon_sym_PLUS_PLUS] = ACTIONS(3582),
    [anon_sym_DASH_DASH] = ACTIONS(3582),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3582),
    [sym_number] = ACTIONS(3582),
    [sym_private_property_identifier] = ACTIONS(3582),
    [sym_this] = ACTIONS(3582),
    [sym_super] = ACTIONS(3582),
    [sym_true] = ACTIONS(3582),
    [sym_false] = ACTIONS(3582),
    [sym_null] = ACTIONS(3582),
    [sym_undefined] = ACTIONS(3582),
    [anon_sym_AT] = ACTIONS(3582),
    [anon_sym_static] = ACTIONS(3582),
    [anon_sym_readonly] = ACTIONS(3582),
    [anon_sym_get] = ACTIONS(3582),
    [anon_sym_set] = ACTIONS(3582),
    [anon_sym_declare] = ACTIONS(3582),
    [anon_sym_public] = ACTIONS(3582),
    [anon_sym_private] = ACTIONS(3582),
    [anon_sym_protected] = ACTIONS(3582),
    [anon_sym_override] = ACTIONS(3582),
    [anon_sym_module] = ACTIONS(3582),
    [anon_sym_any] = ACTIONS(3582),
    [anon_sym_number] = ACTIONS(3582),
    [anon_sym_boolean] = ACTIONS(3582),
    [anon_sym_string] = ACTIONS(3582),
    [anon_sym_symbol] = ACTIONS(3582),
    [anon_sym_object] = ACTIONS(3582),
    [anon_sym_property] = ACTIONS(3582),
    [anon_sym_signal] = ACTIONS(3582),
    [anon_sym_on] = ACTIONS(3582),
    [anon_sym_required] = ACTIONS(3582),
    [anon_sym_component] = ACTIONS(3582),
    [anon_sym_abstract] = ACTIONS(3582),
    [anon_sym_interface] = ACTIONS(3582),
    [anon_sym_enum] = ACTIONS(3582),
    [sym_html_comment] = ACTIONS(5),
  },
  [1765] = {
    [sym_comment] = STATE(1765),
    [sym_identifier] = ACTIONS(3616),
    [anon_sym_export] = ACTIONS(3616),
    [anon_sym_type] = ACTIONS(3616),
    [anon_sym_namespace] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3616),
    [anon_sym_RBRACE] = ACTIONS(3616),
    [anon_sym_typeof] = ACTIONS(3616),
    [anon_sym_import] = ACTIONS(3616),
    [anon_sym_from] = ACTIONS(3616),
    [anon_sym_with] = ACTIONS(3616),
    [anon_sym_var] = ACTIONS(3616),
    [anon_sym_let] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_BANG] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_LPAREN] = ACTIONS(3616),
    [anon_sym_await] = ACTIONS(3616),
    [anon_sym_of] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_try] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_debugger] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_throw] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_yield] = ACTIONS(3616),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_LTtemplate_GT] = ACTIONS(3616),
    [anon_sym_DQUOTE] = ACTIONS(3616),
    [anon_sym_SQUOTE] = ACTIONS(3616),
    [anon_sym_class] = ACTIONS(3616),
    [anon_sym_async] = ACTIONS(3616),
    [anon_sym_function] = ACTIONS(3616),
    [anon_sym_new] = ACTIONS(3616),
    [anon_sym_using] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_SLASH] = ACTIONS(3616),
    [anon_sym_LT] = ACTIONS(3616),
    [anon_sym_TILDE] = ACTIONS(3616),
    [anon_sym_void] = ACTIONS(3616),
    [anon_sym_delete] = ACTIONS(3616),
    [anon_sym_PLUS_PLUS] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3616),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3616),
    [sym_number] = ACTIONS(3616),
    [sym_private_property_identifier] = ACTIONS(3616),
    [sym_this] = ACTIONS(3616),
    [sym_super] = ACTIONS(3616),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [sym_null] = ACTIONS(3616),
    [sym_undefined] = ACTIONS(3616),
    [anon_sym_AT] = ACTIONS(3616),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_readonly] = ACTIONS(3616),
    [anon_sym_get] = ACTIONS(3616),
    [anon_sym_set] = ACTIONS(3616),
    [anon_sym_declare] = ACTIONS(3616),
    [anon_sym_public] = ACTIONS(3616),
    [anon_sym_private] = ACTIONS(3616),
    [anon_sym_protected] = ACTIONS(3616),
    [anon_sym_override] = ACTIONS(3616),
    [anon_sym_module] = ACTIONS(3616),
    [anon_sym_any] = ACTIONS(3616),
    [anon_sym_number] = ACTIONS(3616),
    [anon_sym_boolean] = ACTIONS(3616),
    [anon_sym_string] = ACTIONS(3616),
    [anon_sym_symbol] = ACTIONS(3616),
    [anon_sym_object] = ACTIONS(3616),
    [anon_sym_property] = ACTIONS(3616),
    [anon_sym_signal] = ACTIONS(3616),
    [anon_sym_on] = ACTIONS(3616),
    [anon_sym_required] = ACTIONS(3616),
    [anon_sym_component] = ACTIONS(3616),
    [anon_sym_abstract] = ACTIONS(3616),
    [anon_sym_interface] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [sym_html_comment] = ACTIONS(5),
  },
  [1766] = {
    [sym_comment] = STATE(1766),
    [sym_identifier] = ACTIONS(3616),
    [anon_sym_export] = ACTIONS(3616),
    [anon_sym_type] = ACTIONS(3616),
    [anon_sym_namespace] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3616),
    [anon_sym_RBRACE] = ACTIONS(3616),
    [anon_sym_typeof] = ACTIONS(3616),
    [anon_sym_import] = ACTIONS(3616),
    [anon_sym_from] = ACTIONS(3616),
    [anon_sym_with] = ACTIONS(3616),
    [anon_sym_var] = ACTIONS(3616),
    [anon_sym_let] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_BANG] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_LPAREN] = ACTIONS(3616),
    [anon_sym_await] = ACTIONS(3616),
    [anon_sym_of] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_try] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_debugger] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_throw] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_yield] = ACTIONS(3616),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_LTtemplate_GT] = ACTIONS(3616),
    [anon_sym_DQUOTE] = ACTIONS(3616),
    [anon_sym_SQUOTE] = ACTIONS(3616),
    [anon_sym_class] = ACTIONS(3616),
    [anon_sym_async] = ACTIONS(3616),
    [anon_sym_function] = ACTIONS(3616),
    [anon_sym_new] = ACTIONS(3616),
    [anon_sym_using] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_SLASH] = ACTIONS(3616),
    [anon_sym_LT] = ACTIONS(3616),
    [anon_sym_TILDE] = ACTIONS(3616),
    [anon_sym_void] = ACTIONS(3616),
    [anon_sym_delete] = ACTIONS(3616),
    [anon_sym_PLUS_PLUS] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3616),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3616),
    [sym_number] = ACTIONS(3616),
    [sym_private_property_identifier] = ACTIONS(3616),
    [sym_this] = ACTIONS(3616),
    [sym_super] = ACTIONS(3616),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [sym_null] = ACTIONS(3616),
    [sym_undefined] = ACTIONS(3616),
    [anon_sym_AT] = ACTIONS(3616),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_readonly] = ACTIONS(3616),
    [anon_sym_get] = ACTIONS(3616),
    [anon_sym_set] = ACTIONS(3616),
    [anon_sym_declare] = ACTIONS(3616),
    [anon_sym_public] = ACTIONS(3616),
    [anon_sym_private] = ACTIONS(3616),
    [anon_sym_protected] = ACTIONS(3616),
    [anon_sym_override] = ACTIONS(3616),
    [anon_sym_module] = ACTIONS(3616),
    [anon_sym_any] = ACTIONS(3616),
    [anon_sym_number] = ACTIONS(3616),
    [anon_sym_boolean] = ACTIONS(3616),
    [anon_sym_string] = ACTIONS(3616),
    [anon_sym_symbol] = ACTIONS(3616),
    [anon_sym_object] = ACTIONS(3616),
    [anon_sym_property] = ACTIONS(3616),
    [anon_sym_signal] = ACTIONS(3616),
    [anon_sym_on] = ACTIONS(3616),
    [anon_sym_required] = ACTIONS(3616),
    [anon_sym_component] = ACTIONS(3616),
    [anon_sym_abstract] = ACTIONS(3616),
    [anon_sym_interface] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [sym_html_comment] = ACTIONS(5),
  },
  [1767] = {
    [sym_comment] = STATE(1767),
    [sym_identifier] = ACTIONS(3616),
    [anon_sym_export] = ACTIONS(3616),
    [anon_sym_type] = ACTIONS(3616),
    [anon_sym_namespace] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(3616),
    [anon_sym_RBRACE] = ACTIONS(3616),
    [anon_sym_typeof] = ACTIONS(3616),
    [anon_sym_import] = ACTIONS(3616),
    [anon_sym_from] = ACTIONS(3616),
    [anon_sym_with] = ACTIONS(3616),
    [anon_sym_var] = ACTIONS(3616),
    [anon_sym_let] = ACTIONS(3616),
    [anon_sym_const] = ACTIONS(3616),
    [anon_sym_BANG] = ACTIONS(3616),
    [anon_sym_if] = ACTIONS(3616),
    [anon_sym_switch] = ACTIONS(3616),
    [anon_sym_for] = ACTIONS(3616),
    [anon_sym_LPAREN] = ACTIONS(3616),
    [anon_sym_await] = ACTIONS(3616),
    [anon_sym_of] = ACTIONS(3616),
    [anon_sym_while] = ACTIONS(3616),
    [anon_sym_do] = ACTIONS(3616),
    [anon_sym_try] = ACTIONS(3616),
    [anon_sym_break] = ACTIONS(3616),
    [anon_sym_continue] = ACTIONS(3616),
    [anon_sym_debugger] = ACTIONS(3616),
    [anon_sym_return] = ACTIONS(3616),
    [anon_sym_throw] = ACTIONS(3616),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_yield] = ACTIONS(3616),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_LTtemplate_GT] = ACTIONS(3616),
    [anon_sym_DQUOTE] = ACTIONS(3616),
    [anon_sym_SQUOTE] = ACTIONS(3616),
    [anon_sym_class] = ACTIONS(3616),
    [anon_sym_async] = ACTIONS(3616),
    [anon_sym_function] = ACTIONS(3616),
    [anon_sym_new] = ACTIONS(3616),
    [anon_sym_using] = ACTIONS(3616),
    [anon_sym_PLUS] = ACTIONS(3616),
    [anon_sym_DASH] = ACTIONS(3616),
    [anon_sym_SLASH] = ACTIONS(3616),
    [anon_sym_LT] = ACTIONS(3616),
    [anon_sym_TILDE] = ACTIONS(3616),
    [anon_sym_void] = ACTIONS(3616),
    [anon_sym_delete] = ACTIONS(3616),
    [anon_sym_PLUS_PLUS] = ACTIONS(3616),
    [anon_sym_DASH_DASH] = ACTIONS(3616),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3616),
    [sym_number] = ACTIONS(3616),
    [sym_private_property_identifier] = ACTIONS(3616),
    [sym_this] = ACTIONS(3616),
    [sym_super] = ACTIONS(3616),
    [sym_true] = ACTIONS(3616),
    [sym_false] = ACTIONS(3616),
    [sym_null] = ACTIONS(3616),
    [sym_undefined] = ACTIONS(3616),
    [anon_sym_AT] = ACTIONS(3616),
    [anon_sym_static] = ACTIONS(3616),
    [anon_sym_readonly] = ACTIONS(3616),
    [anon_sym_get] = ACTIONS(3616),
    [anon_sym_set] = ACTIONS(3616),
    [anon_sym_declare] = ACTIONS(3616),
    [anon_sym_public] = ACTIONS(3616),
    [anon_sym_private] = ACTIONS(3616),
    [anon_sym_protected] = ACTIONS(3616),
    [anon_sym_override] = ACTIONS(3616),
    [anon_sym_module] = ACTIONS(3616),
    [anon_sym_any] = ACTIONS(3616),
    [anon_sym_number] = ACTIONS(3616),
    [anon_sym_boolean] = ACTIONS(3616),
    [anon_sym_string] = ACTIONS(3616),
    [anon_sym_symbol] = ACTIONS(3616),
    [anon_sym_object] = ACTIONS(3616),
    [anon_sym_property] = ACTIONS(3616),
    [anon_sym_signal] = ACTIONS(3616),
    [anon_sym_on] = ACTIONS(3616),
    [anon_sym_required] = ACTIONS(3616),
    [anon_sym_component] = ACTIONS(3616),
    [anon_sym_abstract] = ACTIONS(3616),
    [anon_sym_interface] = ACTIONS(3616),
    [anon_sym_enum] = ACTIONS(3616),
    [sym_html_comment] = ACTIONS(5),
  },
  [1768] = {
    [sym_comment] = STATE(1768),
    [sym_identifier] = ACTIONS(3582),
    [anon_sym_export] = ACTIONS(3582),
    [anon_sym_type] = ACTIONS(3582),
    [anon_sym_namespace] = ACTIONS(3582),
    [anon_sym_LBRACE] = ACTIONS(3582),
    [anon_sym_RBRACE] = ACTIONS(3582),
    [anon_sym_typeof] = ACTIONS(3582),
    [anon_sym_import] = ACTIONS(3582),
    [anon_sym_from] = ACTIONS(3582),
    [anon_sym_with] = ACTIONS(3582),
    [anon_sym_var] = ACTIONS(3582),
    [anon_sym_let] = ACTIONS(3582),
    [anon_sym_const] = ACTIONS(3582),
    [anon_sym_BANG] = ACTIONS(3582),
    [anon_sym_if] = ACTIONS(3582),
    [anon_sym_switch] = ACTIONS(3582),
    [anon_sym_for] = ACTIONS(3582),
    [anon_sym_LPAREN] = ACTIONS(3582),
    [anon_sym_await] = ACTIONS(3582),
    [anon_sym_of] = ACTIONS(3582),
    [anon_sym_while] = ACTIONS(3582),
    [anon_sym_do] = ACTIONS(3582),
    [anon_sym_try] = ACTIONS(3582),
    [anon_sym_break] = ACTIONS(3582),
    [anon_sym_continue] = ACTIONS(3582),
    [anon_sym_debugger] = ACTIONS(3582),
    [anon_sym_return] = ACTIONS(3582),
    [anon_sym_throw] = ACTIONS(3582),
    [anon_sym_SEMI] = ACTIONS(3582),
    [anon_sym_yield] = ACTIONS(3582),
    [anon_sym_LBRACK] = ACTIONS(3582),
    [anon_sym_LTtemplate_GT] = ACTIONS(3582),
    [anon_sym_DQUOTE] = ACTIONS(3582),
    [anon_sym_SQUOTE] = ACTIONS(3582),
    [anon_sym_class] = ACTIONS(3582),
    [anon_sym_async] = ACTIONS(3582),
    [anon_sym_function] = ACTIONS(3582),
    [anon_sym_new] = ACTIONS(3582),
    [anon_sym_using] = ACTIONS(3582),
    [anon_sym_PLUS] = ACTIONS(3582),
    [anon_sym_DASH] = ACTIONS(3582),
    [anon_sym_SLASH] = ACTIONS(3582),
    [anon_sym_LT] = ACTIONS(3582),
    [anon_sym_TILDE] = ACTIONS(3582),
    [anon_sym_void] = ACTIONS(3582),
    [anon_sym_delete] = ACTIONS(3582),
    [anon_sym_PLUS_PLUS] = ACTIONS(3582),
    [anon_sym_DASH_DASH] = ACTIONS(3582),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3582),
    [sym_number] = ACTIONS(3582),
    [sym_private_property_identifier] = ACTIONS(3582),
    [sym_this] = ACTIONS(3582),
    [sym_super] = ACTIONS(3582),
    [sym_true] = ACTIONS(3582),
    [sym_false] = ACTIONS(3582),
    [sym_null] = ACTIONS(3582),
    [sym_undefined] = ACTIONS(3582),
    [anon_sym_AT] = ACTIONS(3582),
    [anon_sym_static] = ACTIONS(3582),
    [anon_sym_readonly] = ACTIONS(3582),
    [anon_sym_get] = ACTIONS(3582),
    [anon_sym_set] = ACTIONS(3582),
    [anon_sym_declare] = ACTIONS(3582),
    [anon_sym_public] = ACTIONS(3582),
    [anon_sym_private] = ACTIONS(3582),
    [anon_sym_protected] = ACTIONS(3582),
    [anon_sym_override] = ACTIONS(3582),
    [anon_sym_module] = ACTIONS(3582),
    [anon_sym_any] = ACTIONS(3582),
    [anon_sym_number] = ACTIONS(3582),
    [anon_sym_boolean] = ACTIONS(3582),
    [anon_sym_string] = ACTIONS(3582),
    [anon_sym_symbol] = ACTIONS(3582),
    [anon_sym_object] = ACTIONS(3582),
    [anon_sym_property] = ACTIONS(3582),
    [anon_sym_signal] = ACTIONS(3582),
    [anon_sym_on] = ACTIONS(3582),
    [anon_sym_required] = ACTIONS(3582),
    [anon_sym_component] = ACTIONS(3582),
    [anon_sym_abstract] = ACTIONS(3582),
    [anon_sym_interface] = ACTIONS(3582),
    [anon_sym_enum] = ACTIONS(3582),
    [sym_html_comment] = ACTIONS(5),
  },
  [1769] = {
    [sym_comment] = STATE(1769),
    [sym_identifier] = ACTIONS(3582),
    [anon_sym_export] = ACTIONS(3582),
    [anon_sym_type] = ACTIONS(3582),
    [anon_sym_namespace] = ACTIONS(3582),
    [anon_sym_LBRACE] = ACTIONS(3582),
    [anon_sym_RBRACE] = ACTIONS(3582),
    [anon_sym_typeof] = ACTIONS(3582),
    [anon_sym_import] = ACTIONS(3582),
    [anon_sym_from] = ACTIONS(3582),
    [anon_sym_with] = ACTIONS(3582),
    [anon_sym_var] = ACTIONS(3582),
    [anon_sym_let] = ACTIONS(3582),
    [anon_sym_const] = ACTIONS(3582),
    [anon_sym_BANG] = ACTIONS(3582),
    [anon_sym_if] = ACTIONS(3582),
    [anon_sym_switch] = ACTIONS(3582),
    [anon_sym_for] = ACTIONS(3582),
    [anon_sym_LPAREN] = ACTIONS(3582),
    [anon_sym_await] = ACTIONS(3582),
    [anon_sym_of] = ACTIONS(3582),
    [anon_sym_while] = ACTIONS(3582),
    [anon_sym_do] = ACTIONS(3582),
    [anon_sym_try] = ACTIONS(3582),
    [anon_sym_break] = ACTIONS(3582),
    [anon_sym_continue] = ACTIONS(3582),
    [anon_sym_debugger] = ACTIONS(3582),
    [anon_sym_return] = ACTIONS(3582),
    [anon_sym_throw] = ACTIONS(3582),
    [anon_sym_SEMI] = ACTIONS(3582),
    [anon_sym_yield] = ACTIONS(3582),
    [anon_sym_LBRACK] = ACTIONS(3582),
    [anon_sym_LTtemplate_GT] = ACTIONS(3582),
    [anon_sym_DQUOTE] = ACTIONS(3582),
    [anon_sym_SQUOTE] = ACTIONS(3582),
    [anon_sym_class] = ACTIONS(3582),
    [anon_sym_async] = ACTIONS(3582),
    [anon_sym_function] = ACTIONS(3582),
    [anon_sym_new] = ACTIONS(3582),
    [anon_sym_using] = ACTIONS(3582),
    [anon_sym_PLUS] = ACTIONS(3582),
    [anon_sym_DASH] = ACTIONS(3582),
    [anon_sym_SLASH] = ACTIONS(3582),
    [anon_sym_LT] = ACTIONS(3582),
    [anon_sym_TILDE] = ACTIONS(3582),
    [anon_sym_void] = ACTIONS(3582),
    [anon_sym_delete] = ACTIONS(3582),
    [anon_sym_PLUS_PLUS] = ACTIONS(3582),
    [anon_sym_DASH_DASH] = ACTIONS(3582),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3582),
    [sym_number] = ACTIONS(3582),
    [sym_private_property_identifier] = ACTIONS(3582),
    [sym_this] = ACTIONS(3582),
    [sym_super] = ACTIONS(3582),
    [sym_true] = ACTIONS(3582),
    [sym_false] = ACTIONS(3582),
    [sym_null] = ACTIONS(3582),
    [sym_undefined] = ACTIONS(3582),
    [anon_sym_AT] = ACTIONS(3582),
    [anon_sym_static] = ACTIONS(3582),
    [anon_sym_readonly] = ACTIONS(3582),
    [anon_sym_get] = ACTIONS(3582),
    [anon_sym_set] = ACTIONS(3582),
    [anon_sym_declare] = ACTIONS(3582),
    [anon_sym_public] = ACTIONS(3582),
    [anon_sym_private] = ACTIONS(3582),
    [anon_sym_protected] = ACTIONS(3582),
    [anon_sym_override] = ACTIONS(3582),
    [anon_sym_module] = ACTIONS(3582),
    [anon_sym_any] = ACTIONS(3582),
    [anon_sym_number] = ACTIONS(3582),
    [anon_sym_boolean] = ACTIONS(3582),
    [anon_sym_string] = ACTIONS(3582),
    [anon_sym_symbol] = ACTIONS(3582),
    [anon_sym_object] = ACTIONS(3582),
    [anon_sym_property] = ACTIONS(3582),
    [anon_sym_signal] = ACTIONS(3582),
    [anon_sym_on] = ACTIONS(3582),
    [anon_sym_required] = ACTIONS(3582),
    [anon_sym_component] = ACTIONS(3582),
    [anon_sym_abstract] = ACTIONS(3582),
    [anon_sym_interface] = ACTIONS(3582),
    [anon_sym_enum] = ACTIONS(3582),
    [sym_html_comment] = ACTIONS(5),
  },
  [1770] = {
    [sym_comment] = STATE(1770),
    [sym_identifier] = ACTIONS(3578),
    [anon_sym_export] = ACTIONS(3578),
    [anon_sym_type] = ACTIONS(3578),
    [anon_sym_namespace] = ACTIONS(3578),
    [anon_sym_LBRACE] = ACTIONS(3578),
    [anon_sym_RBRACE] = ACTIONS(3578),
    [anon_sym_typeof] = ACTIONS(3578),
    [anon_sym_import] = ACTIONS(3578),
    [anon_sym_from] = ACTIONS(3578),
    [anon_sym_with] = ACTIONS(3578),
    [anon_sym_var] = ACTIONS(3578),
    [anon_sym_let] = ACTIONS(3578),
    [anon_sym_const] = ACTIONS(3578),
    [anon_sym_BANG] = ACTIONS(3578),
    [anon_sym_if] = ACTIONS(3578),
    [anon_sym_switch] = ACTIONS(3578),
    [anon_sym_for] = ACTIONS(3578),
    [anon_sym_LPAREN] = ACTIONS(3578),
    [anon_sym_await] = ACTIONS(3578),
    [anon_sym_of] = ACTIONS(3578),
    [anon_sym_while] = ACTIONS(3578),
    [anon_sym_do] = ACTIONS(3578),
    [anon_sym_try] = ACTIONS(3578),
    [anon_sym_break] = ACTIONS(3578),
    [anon_sym_continue] = ACTIONS(3578),
    [anon_sym_debugger] = ACTIONS(3578),
    [anon_sym_return] = ACTIONS(3578),
    [anon_sym_throw] = ACTIONS(3578),
    [anon_sym_SEMI] = ACTIONS(3578),
    [anon_sym_yield] = ACTIONS(3578),
    [anon_sym_LBRACK] = ACTIONS(3578),
    [anon_sym_LTtemplate_GT] = ACTIONS(3578),
    [anon_sym_DQUOTE] = ACTIONS(3578),
    [anon_sym_SQUOTE] = ACTIONS(3578),
    [anon_sym_class] = ACTIONS(3578),
    [anon_sym_async] = ACTIONS(3578),
    [anon_sym_function] = ACTIONS(3578),
    [anon_sym_new] = ACTIONS(3578),
    [anon_sym_using] = ACTIONS(3578),
    [anon_sym_PLUS] = ACTIONS(3578),
    [anon_sym_DASH] = ACTIONS(3578),
    [anon_sym_SLASH] = ACTIONS(3578),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_TILDE] = ACTIONS(3578),
    [anon_sym_void] = ACTIONS(3578),
    [anon_sym_delete] = ACTIONS(3578),
    [anon_sym_PLUS_PLUS] = ACTIONS(3578),
    [anon_sym_DASH_DASH] = ACTIONS(3578),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3578),
    [sym_number] = ACTIONS(3578),
    [sym_private_property_identifier] = ACTIONS(3578),
    [sym_this] = ACTIONS(3578),
    [sym_super] = ACTIONS(3578),
    [sym_true] = ACTIONS(3578),
    [sym_false] = ACTIONS(3578),
    [sym_null] = ACTIONS(3578),
    [sym_undefined] = ACTIONS(3578),
    [anon_sym_AT] = ACTIONS(3578),
    [anon_sym_static] = ACTIONS(3578),
    [anon_sym_readonly] = ACTIONS(3578),
    [anon_sym_get] = ACTIONS(3578),
    [anon_sym_set] = ACTIONS(3578),
    [anon_sym_declare] = ACTIONS(3578),
    [anon_sym_public] = ACTIONS(3578),
    [anon_sym_private] = ACTIONS(3578),
    [anon_sym_protected] = ACTIONS(3578),
    [anon_sym_override] = ACTIONS(3578),
    [anon_sym_module] = ACTIONS(3578),
    [anon_sym_any] = ACTIONS(3578),
    [anon_sym_number] = ACTIONS(3578),
    [anon_sym_boolean] = ACTIONS(3578),
    [anon_sym_string] = ACTIONS(3578),
    [anon_sym_symbol] = ACTIONS(3578),
    [anon_sym_object] = ACTIONS(3578),
    [anon_sym_property] = ACTIONS(3578),
    [anon_sym_signal] = ACTIONS(3578),
    [anon_sym_on] = ACTIONS(3578),
    [anon_sym_required] = ACTIONS(3578),
    [anon_sym_component] = ACTIONS(3578),
    [anon_sym_abstract] = ACTIONS(3578),
    [anon_sym_interface] = ACTIONS(3578),
    [anon_sym_enum] = ACTIONS(3578),
    [sym_html_comment] = ACTIONS(5),
  },
  [1771] = {
    [sym_comment] = STATE(1771),
    [sym_identifier] = ACTIONS(3692),
    [anon_sym_export] = ACTIONS(3692),
    [anon_sym_type] = ACTIONS(3692),
    [anon_sym_namespace] = ACTIONS(3692),
    [anon_sym_LBRACE] = ACTIONS(3692),
    [anon_sym_RBRACE] = ACTIONS(3692),
    [anon_sym_typeof] = ACTIONS(3692),
    [anon_sym_import] = ACTIONS(3692),
    [anon_sym_from] = ACTIONS(3692),
    [anon_sym_with] = ACTIONS(3692),
    [anon_sym_var] = ACTIONS(3692),
    [anon_sym_let] = ACTIONS(3692),
    [anon_sym_const] = ACTIONS(3692),
    [anon_sym_BANG] = ACTIONS(3692),
    [anon_sym_if] = ACTIONS(3692),
    [anon_sym_switch] = ACTIONS(3692),
    [anon_sym_for] = ACTIONS(3692),
    [anon_sym_LPAREN] = ACTIONS(3692),
    [anon_sym_await] = ACTIONS(3692),
    [anon_sym_of] = ACTIONS(3692),
    [anon_sym_while] = ACTIONS(3692),
    [anon_sym_do] = ACTIONS(3692),
    [anon_sym_try] = ACTIONS(3692),
    [anon_sym_break] = ACTIONS(3692),
    [anon_sym_continue] = ACTIONS(3692),
    [anon_sym_debugger] = ACTIONS(3692),
    [anon_sym_return] = ACTIONS(3692),
    [anon_sym_throw] = ACTIONS(3692),
    [anon_sym_SEMI] = ACTIONS(3692),
    [anon_sym_yield] = ACTIONS(3692),
    [anon_sym_LBRACK] = ACTIONS(3692),
    [anon_sym_LTtemplate_GT] = ACTIONS(3692),
    [anon_sym_DQUOTE] = ACTIONS(3692),
    [anon_sym_SQUOTE] = ACTIONS(3692),
    [anon_sym_class] = ACTIONS(3692),
    [anon_sym_async] = ACTIONS(3692),
    [anon_sym_function] = ACTIONS(3692),
    [anon_sym_new] = ACTIONS(3692),
    [anon_sym_using] = ACTIONS(3692),
    [anon_sym_PLUS] = ACTIONS(3692),
    [anon_sym_DASH] = ACTIONS(3692),
    [anon_sym_SLASH] = ACTIONS(3692),
    [anon_sym_LT] = ACTIONS(3692),
    [anon_sym_TILDE] = ACTIONS(3692),
    [anon_sym_void] = ACTIONS(3692),
    [anon_sym_delete] = ACTIONS(3692),
    [anon_sym_PLUS_PLUS] = ACTIONS(3692),
    [anon_sym_DASH_DASH] = ACTIONS(3692),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3692),
    [sym_number] = ACTIONS(3692),
    [sym_private_property_identifier] = ACTIONS(3692),
    [sym_this] = ACTIONS(3692),
    [sym_super] = ACTIONS(3692),
    [sym_true] = ACTIONS(3692),
    [sym_false] = ACTIONS(3692),
    [sym_null] = ACTIONS(3692),
    [sym_undefined] = ACTIONS(3692),
    [anon_sym_AT] = ACTIONS(3692),
    [anon_sym_static] = ACTIONS(3692),
    [anon_sym_readonly] = ACTIONS(3692),
    [anon_sym_get] = ACTIONS(3692),
    [anon_sym_set] = ACTIONS(3692),
    [anon_sym_declare] = ACTIONS(3692),
    [anon_sym_public] = ACTIONS(3692),
    [anon_sym_private] = ACTIONS(3692),
    [anon_sym_protected] = ACTIONS(3692),
    [anon_sym_override] = ACTIONS(3692),
    [anon_sym_module] = ACTIONS(3692),
    [anon_sym_any] = ACTIONS(3692),
    [anon_sym_number] = ACTIONS(3692),
    [anon_sym_boolean] = ACTIONS(3692),
    [anon_sym_string] = ACTIONS(3692),
    [anon_sym_symbol] = ACTIONS(3692),
    [anon_sym_object] = ACTIONS(3692),
    [anon_sym_property] = ACTIONS(3692),
    [anon_sym_signal] = ACTIONS(3692),
    [anon_sym_on] = ACTIONS(3692),
    [anon_sym_required] = ACTIONS(3692),
    [anon_sym_component] = ACTIONS(3692),
    [anon_sym_abstract] = ACTIONS(3692),
    [anon_sym_interface] = ACTIONS(3692),
    [anon_sym_enum] = ACTIONS(3692),
    [sym_html_comment] = ACTIONS(5),
  },
  [1772] = {
    [sym_comment] = STATE(1772),
    [sym_identifier] = ACTIONS(3688),
    [anon_sym_export] = ACTIONS(3688),
    [anon_sym_type] = ACTIONS(3688),
    [anon_sym_namespace] = ACTIONS(3688),
    [anon_sym_LBRACE] = ACTIONS(3688),
    [anon_sym_RBRACE] = ACTIONS(3688),
    [anon_sym_typeof] = ACTIONS(3688),
    [anon_sym_import] = ACTIONS(3688),
    [anon_sym_from] = ACTIONS(3688),
    [anon_sym_with] = ACTIONS(3688),
    [anon_sym_var] = ACTIONS(3688),
    [anon_sym_let] = ACTIONS(3688),
    [anon_sym_const] = ACTIONS(3688),
    [anon_sym_BANG] = ACTIONS(3688),
    [anon_sym_if] = ACTIONS(3688),
    [anon_sym_switch] = ACTIONS(3688),
    [anon_sym_for] = ACTIONS(3688),
    [anon_sym_LPAREN] = ACTIONS(3688),
    [anon_sym_await] = ACTIONS(3688),
    [anon_sym_of] = ACTIONS(3688),
    [anon_sym_while] = ACTIONS(3688),
    [anon_sym_do] = ACTIONS(3688),
    [anon_sym_try] = ACTIONS(3688),
    [anon_sym_break] = ACTIONS(3688),
    [anon_sym_continue] = ACTIONS(3688),
    [anon_sym_debugger] = ACTIONS(3688),
    [anon_sym_return] = ACTIONS(3688),
    [anon_sym_throw] = ACTIONS(3688),
    [anon_sym_SEMI] = ACTIONS(3688),
    [anon_sym_yield] = ACTIONS(3688),
    [anon_sym_LBRACK] = ACTIONS(3688),
    [anon_sym_LTtemplate_GT] = ACTIONS(3688),
    [anon_sym_DQUOTE] = ACTIONS(3688),
    [anon_sym_SQUOTE] = ACTIONS(3688),
    [anon_sym_class] = ACTIONS(3688),
    [anon_sym_async] = ACTIONS(3688),
    [anon_sym_function] = ACTIONS(3688),
    [anon_sym_new] = ACTIONS(3688),
    [anon_sym_using] = ACTIONS(3688),
    [anon_sym_PLUS] = ACTIONS(3688),
    [anon_sym_DASH] = ACTIONS(3688),
    [anon_sym_SLASH] = ACTIONS(3688),
    [anon_sym_LT] = ACTIONS(3688),
    [anon_sym_TILDE] = ACTIONS(3688),
    [anon_sym_void] = ACTIONS(3688),
    [anon_sym_delete] = ACTIONS(3688),
    [anon_sym_PLUS_PLUS] = ACTIONS(3688),
    [anon_sym_DASH_DASH] = ACTIONS(3688),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3688),
    [sym_number] = ACTIONS(3688),
    [sym_private_property_identifier] = ACTIONS(3688),
    [sym_this] = ACTIONS(3688),
    [sym_super] = ACTIONS(3688),
    [sym_true] = ACTIONS(3688),
    [sym_false] = ACTIONS(3688),
    [sym_null] = ACTIONS(3688),
    [sym_undefined] = ACTIONS(3688),
    [anon_sym_AT] = ACTIONS(3688),
    [anon_sym_static] = ACTIONS(3688),
    [anon_sym_readonly] = ACTIONS(3688),
    [anon_sym_get] = ACTIONS(3688),
    [anon_sym_set] = ACTIONS(3688),
    [anon_sym_declare] = ACTIONS(3688),
    [anon_sym_public] = ACTIONS(3688),
    [anon_sym_private] = ACTIONS(3688),
    [anon_sym_protected] = ACTIONS(3688),
    [anon_sym_override] = ACTIONS(3688),
    [anon_sym_module] = ACTIONS(3688),
    [anon_sym_any] = ACTIONS(3688),
    [anon_sym_number] = ACTIONS(3688),
    [anon_sym_boolean] = ACTIONS(3688),
    [anon_sym_string] = ACTIONS(3688),
    [anon_sym_symbol] = ACTIONS(3688),
    [anon_sym_object] = ACTIONS(3688),
    [anon_sym_property] = ACTIONS(3688),
    [anon_sym_signal] = ACTIONS(3688),
    [anon_sym_on] = ACTIONS(3688),
    [anon_sym_required] = ACTIONS(3688),
    [anon_sym_component] = ACTIONS(3688),
    [anon_sym_abstract] = ACTIONS(3688),
    [anon_sym_interface] = ACTIONS(3688),
    [anon_sym_enum] = ACTIONS(3688),
    [sym_html_comment] = ACTIONS(5),
  },
  [1773] = {
    [sym_comment] = STATE(1773),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_export] = ACTIONS(2434),
    [anon_sym_type] = ACTIONS(2434),
    [anon_sym_namespace] = ACTIONS(2434),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_typeof] = ACTIONS(2434),
    [anon_sym_import] = ACTIONS(2434),
    [anon_sym_from] = ACTIONS(2434),
    [anon_sym_with] = ACTIONS(2434),
    [anon_sym_var] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_const] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_switch] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_await] = ACTIONS(2434),
    [anon_sym_of] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_try] = ACTIONS(2434),
    [anon_sym_break] = ACTIONS(2434),
    [anon_sym_continue] = ACTIONS(2434),
    [anon_sym_debugger] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_throw] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_yield] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LTtemplate_GT] = ACTIONS(2434),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_class] = ACTIONS(2434),
    [anon_sym_async] = ACTIONS(2434),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_using] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_SLASH] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_void] = ACTIONS(2434),
    [anon_sym_delete] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2434),
    [sym_number] = ACTIONS(2434),
    [sym_private_property_identifier] = ACTIONS(2434),
    [sym_this] = ACTIONS(2434),
    [sym_super] = ACTIONS(2434),
    [sym_true] = ACTIONS(2434),
    [sym_false] = ACTIONS(2434),
    [sym_null] = ACTIONS(2434),
    [sym_undefined] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2434),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_readonly] = ACTIONS(2434),
    [anon_sym_get] = ACTIONS(2434),
    [anon_sym_set] = ACTIONS(2434),
    [anon_sym_declare] = ACTIONS(2434),
    [anon_sym_public] = ACTIONS(2434),
    [anon_sym_private] = ACTIONS(2434),
    [anon_sym_protected] = ACTIONS(2434),
    [anon_sym_override] = ACTIONS(2434),
    [anon_sym_module] = ACTIONS(2434),
    [anon_sym_any] = ACTIONS(2434),
    [anon_sym_number] = ACTIONS(2434),
    [anon_sym_boolean] = ACTIONS(2434),
    [anon_sym_string] = ACTIONS(2434),
    [anon_sym_symbol] = ACTIONS(2434),
    [anon_sym_object] = ACTIONS(2434),
    [anon_sym_property] = ACTIONS(2434),
    [anon_sym_signal] = ACTIONS(2434),
    [anon_sym_on] = ACTIONS(2434),
    [anon_sym_required] = ACTIONS(2434),
    [anon_sym_component] = ACTIONS(2434),
    [anon_sym_abstract] = ACTIONS(2434),
    [anon_sym_interface] = ACTIONS(2434),
    [anon_sym_enum] = ACTIONS(2434),
    [sym_html_comment] = ACTIONS(5),
  },
  [1774] = {
    [sym_comment] = STATE(1774),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1775] = {
    [sym_comment] = STATE(1775),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1776] = {
    [sym_comment] = STATE(1776),
    [sym_identifier] = ACTIONS(3620),
    [anon_sym_export] = ACTIONS(3620),
    [anon_sym_type] = ACTIONS(3620),
    [anon_sym_namespace] = ACTIONS(3620),
    [anon_sym_LBRACE] = ACTIONS(3620),
    [anon_sym_RBRACE] = ACTIONS(3620),
    [anon_sym_typeof] = ACTIONS(3620),
    [anon_sym_import] = ACTIONS(3620),
    [anon_sym_from] = ACTIONS(3620),
    [anon_sym_with] = ACTIONS(3620),
    [anon_sym_var] = ACTIONS(3620),
    [anon_sym_let] = ACTIONS(3620),
    [anon_sym_const] = ACTIONS(3620),
    [anon_sym_BANG] = ACTIONS(3620),
    [anon_sym_if] = ACTIONS(3620),
    [anon_sym_switch] = ACTIONS(3620),
    [anon_sym_for] = ACTIONS(3620),
    [anon_sym_LPAREN] = ACTIONS(3620),
    [anon_sym_await] = ACTIONS(3620),
    [anon_sym_of] = ACTIONS(3620),
    [anon_sym_while] = ACTIONS(3620),
    [anon_sym_do] = ACTIONS(3620),
    [anon_sym_try] = ACTIONS(3620),
    [anon_sym_break] = ACTIONS(3620),
    [anon_sym_continue] = ACTIONS(3620),
    [anon_sym_debugger] = ACTIONS(3620),
    [anon_sym_return] = ACTIONS(3620),
    [anon_sym_throw] = ACTIONS(3620),
    [anon_sym_SEMI] = ACTIONS(3620),
    [anon_sym_yield] = ACTIONS(3620),
    [anon_sym_LBRACK] = ACTIONS(3620),
    [anon_sym_LTtemplate_GT] = ACTIONS(3620),
    [anon_sym_DQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_class] = ACTIONS(3620),
    [anon_sym_async] = ACTIONS(3620),
    [anon_sym_function] = ACTIONS(3620),
    [anon_sym_new] = ACTIONS(3620),
    [anon_sym_using] = ACTIONS(3620),
    [anon_sym_PLUS] = ACTIONS(3620),
    [anon_sym_DASH] = ACTIONS(3620),
    [anon_sym_SLASH] = ACTIONS(3620),
    [anon_sym_LT] = ACTIONS(3620),
    [anon_sym_TILDE] = ACTIONS(3620),
    [anon_sym_void] = ACTIONS(3620),
    [anon_sym_delete] = ACTIONS(3620),
    [anon_sym_PLUS_PLUS] = ACTIONS(3620),
    [anon_sym_DASH_DASH] = ACTIONS(3620),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3620),
    [sym_number] = ACTIONS(3620),
    [sym_private_property_identifier] = ACTIONS(3620),
    [sym_this] = ACTIONS(3620),
    [sym_super] = ACTIONS(3620),
    [sym_true] = ACTIONS(3620),
    [sym_false] = ACTIONS(3620),
    [sym_null] = ACTIONS(3620),
    [sym_undefined] = ACTIONS(3620),
    [anon_sym_AT] = ACTIONS(3620),
    [anon_sym_static] = ACTIONS(3620),
    [anon_sym_readonly] = ACTIONS(3620),
    [anon_sym_get] = ACTIONS(3620),
    [anon_sym_set] = ACTIONS(3620),
    [anon_sym_declare] = ACTIONS(3620),
    [anon_sym_public] = ACTIONS(3620),
    [anon_sym_private] = ACTIONS(3620),
    [anon_sym_protected] = ACTIONS(3620),
    [anon_sym_override] = ACTIONS(3620),
    [anon_sym_module] = ACTIONS(3620),
    [anon_sym_any] = ACTIONS(3620),
    [anon_sym_number] = ACTIONS(3620),
    [anon_sym_boolean] = ACTIONS(3620),
    [anon_sym_string] = ACTIONS(3620),
    [anon_sym_symbol] = ACTIONS(3620),
    [anon_sym_object] = ACTIONS(3620),
    [anon_sym_property] = ACTIONS(3620),
    [anon_sym_signal] = ACTIONS(3620),
    [anon_sym_on] = ACTIONS(3620),
    [anon_sym_required] = ACTIONS(3620),
    [anon_sym_component] = ACTIONS(3620),
    [anon_sym_abstract] = ACTIONS(3620),
    [anon_sym_interface] = ACTIONS(3620),
    [anon_sym_enum] = ACTIONS(3620),
    [sym_html_comment] = ACTIONS(5),
  },
  [1777] = {
    [sym_comment] = STATE(1777),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1778] = {
    [sym_comment] = STATE(1778),
    [sym_identifier] = ACTIONS(3622),
    [anon_sym_export] = ACTIONS(3622),
    [anon_sym_type] = ACTIONS(3622),
    [anon_sym_namespace] = ACTIONS(3622),
    [anon_sym_LBRACE] = ACTIONS(3622),
    [anon_sym_RBRACE] = ACTIONS(3622),
    [anon_sym_typeof] = ACTIONS(3622),
    [anon_sym_import] = ACTIONS(3622),
    [anon_sym_from] = ACTIONS(3622),
    [anon_sym_with] = ACTIONS(3622),
    [anon_sym_var] = ACTIONS(3622),
    [anon_sym_let] = ACTIONS(3622),
    [anon_sym_const] = ACTIONS(3622),
    [anon_sym_BANG] = ACTIONS(3622),
    [anon_sym_if] = ACTIONS(3622),
    [anon_sym_switch] = ACTIONS(3622),
    [anon_sym_for] = ACTIONS(3622),
    [anon_sym_LPAREN] = ACTIONS(3622),
    [anon_sym_await] = ACTIONS(3622),
    [anon_sym_of] = ACTIONS(3622),
    [anon_sym_while] = ACTIONS(3622),
    [anon_sym_do] = ACTIONS(3622),
    [anon_sym_try] = ACTIONS(3622),
    [anon_sym_break] = ACTIONS(3622),
    [anon_sym_continue] = ACTIONS(3622),
    [anon_sym_debugger] = ACTIONS(3622),
    [anon_sym_return] = ACTIONS(3622),
    [anon_sym_throw] = ACTIONS(3622),
    [anon_sym_SEMI] = ACTIONS(3622),
    [anon_sym_yield] = ACTIONS(3622),
    [anon_sym_LBRACK] = ACTIONS(3622),
    [anon_sym_LTtemplate_GT] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [anon_sym_SQUOTE] = ACTIONS(3622),
    [anon_sym_class] = ACTIONS(3622),
    [anon_sym_async] = ACTIONS(3622),
    [anon_sym_function] = ACTIONS(3622),
    [anon_sym_new] = ACTIONS(3622),
    [anon_sym_using] = ACTIONS(3622),
    [anon_sym_PLUS] = ACTIONS(3622),
    [anon_sym_DASH] = ACTIONS(3622),
    [anon_sym_SLASH] = ACTIONS(3622),
    [anon_sym_LT] = ACTIONS(3622),
    [anon_sym_TILDE] = ACTIONS(3622),
    [anon_sym_void] = ACTIONS(3622),
    [anon_sym_delete] = ACTIONS(3622),
    [anon_sym_PLUS_PLUS] = ACTIONS(3622),
    [anon_sym_DASH_DASH] = ACTIONS(3622),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3622),
    [sym_number] = ACTIONS(3622),
    [sym_private_property_identifier] = ACTIONS(3622),
    [sym_this] = ACTIONS(3622),
    [sym_super] = ACTIONS(3622),
    [sym_true] = ACTIONS(3622),
    [sym_false] = ACTIONS(3622),
    [sym_null] = ACTIONS(3622),
    [sym_undefined] = ACTIONS(3622),
    [anon_sym_AT] = ACTIONS(3622),
    [anon_sym_static] = ACTIONS(3622),
    [anon_sym_readonly] = ACTIONS(3622),
    [anon_sym_get] = ACTIONS(3622),
    [anon_sym_set] = ACTIONS(3622),
    [anon_sym_declare] = ACTIONS(3622),
    [anon_sym_public] = ACTIONS(3622),
    [anon_sym_private] = ACTIONS(3622),
    [anon_sym_protected] = ACTIONS(3622),
    [anon_sym_override] = ACTIONS(3622),
    [anon_sym_module] = ACTIONS(3622),
    [anon_sym_any] = ACTIONS(3622),
    [anon_sym_number] = ACTIONS(3622),
    [anon_sym_boolean] = ACTIONS(3622),
    [anon_sym_string] = ACTIONS(3622),
    [anon_sym_symbol] = ACTIONS(3622),
    [anon_sym_object] = ACTIONS(3622),
    [anon_sym_property] = ACTIONS(3622),
    [anon_sym_signal] = ACTIONS(3622),
    [anon_sym_on] = ACTIONS(3622),
    [anon_sym_required] = ACTIONS(3622),
    [anon_sym_component] = ACTIONS(3622),
    [anon_sym_abstract] = ACTIONS(3622),
    [anon_sym_interface] = ACTIONS(3622),
    [anon_sym_enum] = ACTIONS(3622),
    [sym_html_comment] = ACTIONS(5),
  },
  [1779] = {
    [sym_comment] = STATE(1779),
    [sym_identifier] = ACTIONS(3682),
    [anon_sym_export] = ACTIONS(3682),
    [anon_sym_type] = ACTIONS(3682),
    [anon_sym_namespace] = ACTIONS(3682),
    [anon_sym_LBRACE] = ACTIONS(3682),
    [anon_sym_RBRACE] = ACTIONS(3682),
    [anon_sym_typeof] = ACTIONS(3682),
    [anon_sym_import] = ACTIONS(3682),
    [anon_sym_from] = ACTIONS(3682),
    [anon_sym_with] = ACTIONS(3682),
    [anon_sym_var] = ACTIONS(3682),
    [anon_sym_let] = ACTIONS(3682),
    [anon_sym_const] = ACTIONS(3682),
    [anon_sym_BANG] = ACTIONS(3682),
    [anon_sym_if] = ACTIONS(3682),
    [anon_sym_switch] = ACTIONS(3682),
    [anon_sym_for] = ACTIONS(3682),
    [anon_sym_LPAREN] = ACTIONS(3682),
    [anon_sym_await] = ACTIONS(3682),
    [anon_sym_of] = ACTIONS(3682),
    [anon_sym_while] = ACTIONS(3682),
    [anon_sym_do] = ACTIONS(3682),
    [anon_sym_try] = ACTIONS(3682),
    [anon_sym_break] = ACTIONS(3682),
    [anon_sym_continue] = ACTIONS(3682),
    [anon_sym_debugger] = ACTIONS(3682),
    [anon_sym_return] = ACTIONS(3682),
    [anon_sym_throw] = ACTIONS(3682),
    [anon_sym_SEMI] = ACTIONS(3682),
    [anon_sym_yield] = ACTIONS(3682),
    [anon_sym_LBRACK] = ACTIONS(3682),
    [anon_sym_LTtemplate_GT] = ACTIONS(3682),
    [anon_sym_DQUOTE] = ACTIONS(3682),
    [anon_sym_SQUOTE] = ACTIONS(3682),
    [anon_sym_class] = ACTIONS(3682),
    [anon_sym_async] = ACTIONS(3682),
    [anon_sym_function] = ACTIONS(3682),
    [anon_sym_new] = ACTIONS(3682),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_PLUS] = ACTIONS(3682),
    [anon_sym_DASH] = ACTIONS(3682),
    [anon_sym_SLASH] = ACTIONS(3682),
    [anon_sym_LT] = ACTIONS(3682),
    [anon_sym_TILDE] = ACTIONS(3682),
    [anon_sym_void] = ACTIONS(3682),
    [anon_sym_delete] = ACTIONS(3682),
    [anon_sym_PLUS_PLUS] = ACTIONS(3682),
    [anon_sym_DASH_DASH] = ACTIONS(3682),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3682),
    [sym_number] = ACTIONS(3682),
    [sym_private_property_identifier] = ACTIONS(3682),
    [sym_this] = ACTIONS(3682),
    [sym_super] = ACTIONS(3682),
    [sym_true] = ACTIONS(3682),
    [sym_false] = ACTIONS(3682),
    [sym_null] = ACTIONS(3682),
    [sym_undefined] = ACTIONS(3682),
    [anon_sym_AT] = ACTIONS(3682),
    [anon_sym_static] = ACTIONS(3682),
    [anon_sym_readonly] = ACTIONS(3682),
    [anon_sym_get] = ACTIONS(3682),
    [anon_sym_set] = ACTIONS(3682),
    [anon_sym_declare] = ACTIONS(3682),
    [anon_sym_public] = ACTIONS(3682),
    [anon_sym_private] = ACTIONS(3682),
    [anon_sym_protected] = ACTIONS(3682),
    [anon_sym_override] = ACTIONS(3682),
    [anon_sym_module] = ACTIONS(3682),
    [anon_sym_any] = ACTIONS(3682),
    [anon_sym_number] = ACTIONS(3682),
    [anon_sym_boolean] = ACTIONS(3682),
    [anon_sym_string] = ACTIONS(3682),
    [anon_sym_symbol] = ACTIONS(3682),
    [anon_sym_object] = ACTIONS(3682),
    [anon_sym_property] = ACTIONS(3682),
    [anon_sym_signal] = ACTIONS(3682),
    [anon_sym_on] = ACTIONS(3682),
    [anon_sym_required] = ACTIONS(3682),
    [anon_sym_component] = ACTIONS(3682),
    [anon_sym_abstract] = ACTIONS(3682),
    [anon_sym_interface] = ACTIONS(3682),
    [anon_sym_enum] = ACTIONS(3682),
    [sym_html_comment] = ACTIONS(5),
  },
  [1780] = {
    [sym_comment] = STATE(1780),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1781] = {
    [sym_comment] = STATE(1781),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1782] = {
    [sym_comment] = STATE(1782),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1783] = {
    [sym_comment] = STATE(1783),
    [sym_identifier] = ACTIONS(3624),
    [anon_sym_export] = ACTIONS(3624),
    [anon_sym_type] = ACTIONS(3624),
    [anon_sym_namespace] = ACTIONS(3624),
    [anon_sym_LBRACE] = ACTIONS(3624),
    [anon_sym_RBRACE] = ACTIONS(3624),
    [anon_sym_typeof] = ACTIONS(3624),
    [anon_sym_import] = ACTIONS(3624),
    [anon_sym_from] = ACTIONS(3624),
    [anon_sym_with] = ACTIONS(3624),
    [anon_sym_var] = ACTIONS(3624),
    [anon_sym_let] = ACTIONS(3624),
    [anon_sym_const] = ACTIONS(3624),
    [anon_sym_BANG] = ACTIONS(3624),
    [anon_sym_if] = ACTIONS(3624),
    [anon_sym_switch] = ACTIONS(3624),
    [anon_sym_for] = ACTIONS(3624),
    [anon_sym_LPAREN] = ACTIONS(3624),
    [anon_sym_await] = ACTIONS(3624),
    [anon_sym_of] = ACTIONS(3624),
    [anon_sym_while] = ACTIONS(3624),
    [anon_sym_do] = ACTIONS(3624),
    [anon_sym_try] = ACTIONS(3624),
    [anon_sym_break] = ACTIONS(3624),
    [anon_sym_continue] = ACTIONS(3624),
    [anon_sym_debugger] = ACTIONS(3624),
    [anon_sym_return] = ACTIONS(3624),
    [anon_sym_throw] = ACTIONS(3624),
    [anon_sym_SEMI] = ACTIONS(3624),
    [anon_sym_yield] = ACTIONS(3624),
    [anon_sym_LBRACK] = ACTIONS(3624),
    [anon_sym_LTtemplate_GT] = ACTIONS(3624),
    [anon_sym_DQUOTE] = ACTIONS(3624),
    [anon_sym_SQUOTE] = ACTIONS(3624),
    [anon_sym_class] = ACTIONS(3624),
    [anon_sym_async] = ACTIONS(3624),
    [anon_sym_function] = ACTIONS(3624),
    [anon_sym_new] = ACTIONS(3624),
    [anon_sym_using] = ACTIONS(3624),
    [anon_sym_PLUS] = ACTIONS(3624),
    [anon_sym_DASH] = ACTIONS(3624),
    [anon_sym_SLASH] = ACTIONS(3624),
    [anon_sym_LT] = ACTIONS(3624),
    [anon_sym_TILDE] = ACTIONS(3624),
    [anon_sym_void] = ACTIONS(3624),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_PLUS_PLUS] = ACTIONS(3624),
    [anon_sym_DASH_DASH] = ACTIONS(3624),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3624),
    [sym_number] = ACTIONS(3624),
    [sym_private_property_identifier] = ACTIONS(3624),
    [sym_this] = ACTIONS(3624),
    [sym_super] = ACTIONS(3624),
    [sym_true] = ACTIONS(3624),
    [sym_false] = ACTIONS(3624),
    [sym_null] = ACTIONS(3624),
    [sym_undefined] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(3624),
    [anon_sym_static] = ACTIONS(3624),
    [anon_sym_readonly] = ACTIONS(3624),
    [anon_sym_get] = ACTIONS(3624),
    [anon_sym_set] = ACTIONS(3624),
    [anon_sym_declare] = ACTIONS(3624),
    [anon_sym_public] = ACTIONS(3624),
    [anon_sym_private] = ACTIONS(3624),
    [anon_sym_protected] = ACTIONS(3624),
    [anon_sym_override] = ACTIONS(3624),
    [anon_sym_module] = ACTIONS(3624),
    [anon_sym_any] = ACTIONS(3624),
    [anon_sym_number] = ACTIONS(3624),
    [anon_sym_boolean] = ACTIONS(3624),
    [anon_sym_string] = ACTIONS(3624),
    [anon_sym_symbol] = ACTIONS(3624),
    [anon_sym_object] = ACTIONS(3624),
    [anon_sym_property] = ACTIONS(3624),
    [anon_sym_signal] = ACTIONS(3624),
    [anon_sym_on] = ACTIONS(3624),
    [anon_sym_required] = ACTIONS(3624),
    [anon_sym_component] = ACTIONS(3624),
    [anon_sym_abstract] = ACTIONS(3624),
    [anon_sym_interface] = ACTIONS(3624),
    [anon_sym_enum] = ACTIONS(3624),
    [sym_html_comment] = ACTIONS(5),
  },
  [1784] = {
    [sym_comment] = STATE(1784),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1785] = {
    [sym_comment] = STATE(1785),
    [sym_identifier] = ACTIONS(3634),
    [anon_sym_export] = ACTIONS(3634),
    [anon_sym_type] = ACTIONS(3634),
    [anon_sym_namespace] = ACTIONS(3634),
    [anon_sym_LBRACE] = ACTIONS(3634),
    [anon_sym_RBRACE] = ACTIONS(3634),
    [anon_sym_typeof] = ACTIONS(3634),
    [anon_sym_import] = ACTIONS(3634),
    [anon_sym_from] = ACTIONS(3634),
    [anon_sym_with] = ACTIONS(3634),
    [anon_sym_var] = ACTIONS(3634),
    [anon_sym_let] = ACTIONS(3634),
    [anon_sym_const] = ACTIONS(3634),
    [anon_sym_BANG] = ACTIONS(3634),
    [anon_sym_if] = ACTIONS(3634),
    [anon_sym_switch] = ACTIONS(3634),
    [anon_sym_for] = ACTIONS(3634),
    [anon_sym_LPAREN] = ACTIONS(3634),
    [anon_sym_await] = ACTIONS(3634),
    [anon_sym_of] = ACTIONS(3634),
    [anon_sym_while] = ACTIONS(3634),
    [anon_sym_do] = ACTIONS(3634),
    [anon_sym_try] = ACTIONS(3634),
    [anon_sym_break] = ACTIONS(3634),
    [anon_sym_continue] = ACTIONS(3634),
    [anon_sym_debugger] = ACTIONS(3634),
    [anon_sym_return] = ACTIONS(3634),
    [anon_sym_throw] = ACTIONS(3634),
    [anon_sym_SEMI] = ACTIONS(3634),
    [anon_sym_yield] = ACTIONS(3634),
    [anon_sym_LBRACK] = ACTIONS(3634),
    [anon_sym_LTtemplate_GT] = ACTIONS(3634),
    [anon_sym_DQUOTE] = ACTIONS(3634),
    [anon_sym_SQUOTE] = ACTIONS(3634),
    [anon_sym_class] = ACTIONS(3634),
    [anon_sym_async] = ACTIONS(3634),
    [anon_sym_function] = ACTIONS(3634),
    [anon_sym_new] = ACTIONS(3634),
    [anon_sym_using] = ACTIONS(3634),
    [anon_sym_PLUS] = ACTIONS(3634),
    [anon_sym_DASH] = ACTIONS(3634),
    [anon_sym_SLASH] = ACTIONS(3634),
    [anon_sym_LT] = ACTIONS(3634),
    [anon_sym_TILDE] = ACTIONS(3634),
    [anon_sym_void] = ACTIONS(3634),
    [anon_sym_delete] = ACTIONS(3634),
    [anon_sym_PLUS_PLUS] = ACTIONS(3634),
    [anon_sym_DASH_DASH] = ACTIONS(3634),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3634),
    [sym_number] = ACTIONS(3634),
    [sym_private_property_identifier] = ACTIONS(3634),
    [sym_this] = ACTIONS(3634),
    [sym_super] = ACTIONS(3634),
    [sym_true] = ACTIONS(3634),
    [sym_false] = ACTIONS(3634),
    [sym_null] = ACTIONS(3634),
    [sym_undefined] = ACTIONS(3634),
    [anon_sym_AT] = ACTIONS(3634),
    [anon_sym_static] = ACTIONS(3634),
    [anon_sym_readonly] = ACTIONS(3634),
    [anon_sym_get] = ACTIONS(3634),
    [anon_sym_set] = ACTIONS(3634),
    [anon_sym_declare] = ACTIONS(3634),
    [anon_sym_public] = ACTIONS(3634),
    [anon_sym_private] = ACTIONS(3634),
    [anon_sym_protected] = ACTIONS(3634),
    [anon_sym_override] = ACTIONS(3634),
    [anon_sym_module] = ACTIONS(3634),
    [anon_sym_any] = ACTIONS(3634),
    [anon_sym_number] = ACTIONS(3634),
    [anon_sym_boolean] = ACTIONS(3634),
    [anon_sym_string] = ACTIONS(3634),
    [anon_sym_symbol] = ACTIONS(3634),
    [anon_sym_object] = ACTIONS(3634),
    [anon_sym_property] = ACTIONS(3634),
    [anon_sym_signal] = ACTIONS(3634),
    [anon_sym_on] = ACTIONS(3634),
    [anon_sym_required] = ACTIONS(3634),
    [anon_sym_component] = ACTIONS(3634),
    [anon_sym_abstract] = ACTIONS(3634),
    [anon_sym_interface] = ACTIONS(3634),
    [anon_sym_enum] = ACTIONS(3634),
    [sym_html_comment] = ACTIONS(5),
  },
  [1786] = {
    [sym_comment] = STATE(1786),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1787] = {
    [sym_comment] = STATE(1787),
    [sym_identifier] = ACTIONS(3680),
    [anon_sym_export] = ACTIONS(3680),
    [anon_sym_type] = ACTIONS(3680),
    [anon_sym_namespace] = ACTIONS(3680),
    [anon_sym_LBRACE] = ACTIONS(3680),
    [anon_sym_RBRACE] = ACTIONS(3680),
    [anon_sym_typeof] = ACTIONS(3680),
    [anon_sym_import] = ACTIONS(3680),
    [anon_sym_from] = ACTIONS(3680),
    [anon_sym_with] = ACTIONS(3680),
    [anon_sym_var] = ACTIONS(3680),
    [anon_sym_let] = ACTIONS(3680),
    [anon_sym_const] = ACTIONS(3680),
    [anon_sym_BANG] = ACTIONS(3680),
    [anon_sym_if] = ACTIONS(3680),
    [anon_sym_switch] = ACTIONS(3680),
    [anon_sym_for] = ACTIONS(3680),
    [anon_sym_LPAREN] = ACTIONS(3680),
    [anon_sym_await] = ACTIONS(3680),
    [anon_sym_of] = ACTIONS(3680),
    [anon_sym_while] = ACTIONS(3680),
    [anon_sym_do] = ACTIONS(3680),
    [anon_sym_try] = ACTIONS(3680),
    [anon_sym_break] = ACTIONS(3680),
    [anon_sym_continue] = ACTIONS(3680),
    [anon_sym_debugger] = ACTIONS(3680),
    [anon_sym_return] = ACTIONS(3680),
    [anon_sym_throw] = ACTIONS(3680),
    [anon_sym_SEMI] = ACTIONS(3680),
    [anon_sym_yield] = ACTIONS(3680),
    [anon_sym_LBRACK] = ACTIONS(3680),
    [anon_sym_LTtemplate_GT] = ACTIONS(3680),
    [anon_sym_DQUOTE] = ACTIONS(3680),
    [anon_sym_SQUOTE] = ACTIONS(3680),
    [anon_sym_class] = ACTIONS(3680),
    [anon_sym_async] = ACTIONS(3680),
    [anon_sym_function] = ACTIONS(3680),
    [anon_sym_new] = ACTIONS(3680),
    [anon_sym_using] = ACTIONS(3680),
    [anon_sym_PLUS] = ACTIONS(3680),
    [anon_sym_DASH] = ACTIONS(3680),
    [anon_sym_SLASH] = ACTIONS(3680),
    [anon_sym_LT] = ACTIONS(3680),
    [anon_sym_TILDE] = ACTIONS(3680),
    [anon_sym_void] = ACTIONS(3680),
    [anon_sym_delete] = ACTIONS(3680),
    [anon_sym_PLUS_PLUS] = ACTIONS(3680),
    [anon_sym_DASH_DASH] = ACTIONS(3680),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3680),
    [sym_number] = ACTIONS(3680),
    [sym_private_property_identifier] = ACTIONS(3680),
    [sym_this] = ACTIONS(3680),
    [sym_super] = ACTIONS(3680),
    [sym_true] = ACTIONS(3680),
    [sym_false] = ACTIONS(3680),
    [sym_null] = ACTIONS(3680),
    [sym_undefined] = ACTIONS(3680),
    [anon_sym_AT] = ACTIONS(3680),
    [anon_sym_static] = ACTIONS(3680),
    [anon_sym_readonly] = ACTIONS(3680),
    [anon_sym_get] = ACTIONS(3680),
    [anon_sym_set] = ACTIONS(3680),
    [anon_sym_declare] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3680),
    [anon_sym_private] = ACTIONS(3680),
    [anon_sym_protected] = ACTIONS(3680),
    [anon_sym_override] = ACTIONS(3680),
    [anon_sym_module] = ACTIONS(3680),
    [anon_sym_any] = ACTIONS(3680),
    [anon_sym_number] = ACTIONS(3680),
    [anon_sym_boolean] = ACTIONS(3680),
    [anon_sym_string] = ACTIONS(3680),
    [anon_sym_symbol] = ACTIONS(3680),
    [anon_sym_object] = ACTIONS(3680),
    [anon_sym_property] = ACTIONS(3680),
    [anon_sym_signal] = ACTIONS(3680),
    [anon_sym_on] = ACTIONS(3680),
    [anon_sym_required] = ACTIONS(3680),
    [anon_sym_component] = ACTIONS(3680),
    [anon_sym_abstract] = ACTIONS(3680),
    [anon_sym_interface] = ACTIONS(3680),
    [anon_sym_enum] = ACTIONS(3680),
    [sym_html_comment] = ACTIONS(5),
  },
  [1788] = {
    [sym_comment] = STATE(1788),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1789] = {
    [sym_comment] = STATE(1789),
    [sym_identifier] = ACTIONS(3650),
    [anon_sym_export] = ACTIONS(3650),
    [anon_sym_type] = ACTIONS(3650),
    [anon_sym_namespace] = ACTIONS(3650),
    [anon_sym_LBRACE] = ACTIONS(3650),
    [anon_sym_RBRACE] = ACTIONS(3650),
    [anon_sym_typeof] = ACTIONS(3650),
    [anon_sym_import] = ACTIONS(3650),
    [anon_sym_from] = ACTIONS(3650),
    [anon_sym_with] = ACTIONS(3650),
    [anon_sym_var] = ACTIONS(3650),
    [anon_sym_let] = ACTIONS(3650),
    [anon_sym_const] = ACTIONS(3650),
    [anon_sym_BANG] = ACTIONS(3650),
    [anon_sym_if] = ACTIONS(3650),
    [anon_sym_switch] = ACTIONS(3650),
    [anon_sym_for] = ACTIONS(3650),
    [anon_sym_LPAREN] = ACTIONS(3650),
    [anon_sym_await] = ACTIONS(3650),
    [anon_sym_of] = ACTIONS(3650),
    [anon_sym_while] = ACTIONS(3650),
    [anon_sym_do] = ACTIONS(3650),
    [anon_sym_try] = ACTIONS(3650),
    [anon_sym_break] = ACTIONS(3650),
    [anon_sym_continue] = ACTIONS(3650),
    [anon_sym_debugger] = ACTIONS(3650),
    [anon_sym_return] = ACTIONS(3650),
    [anon_sym_throw] = ACTIONS(3650),
    [anon_sym_SEMI] = ACTIONS(3650),
    [anon_sym_yield] = ACTIONS(3650),
    [anon_sym_LBRACK] = ACTIONS(3650),
    [anon_sym_LTtemplate_GT] = ACTIONS(3650),
    [anon_sym_DQUOTE] = ACTIONS(3650),
    [anon_sym_SQUOTE] = ACTIONS(3650),
    [anon_sym_class] = ACTIONS(3650),
    [anon_sym_async] = ACTIONS(3650),
    [anon_sym_function] = ACTIONS(3650),
    [anon_sym_new] = ACTIONS(3650),
    [anon_sym_using] = ACTIONS(3650),
    [anon_sym_PLUS] = ACTIONS(3650),
    [anon_sym_DASH] = ACTIONS(3650),
    [anon_sym_SLASH] = ACTIONS(3650),
    [anon_sym_LT] = ACTIONS(3650),
    [anon_sym_TILDE] = ACTIONS(3650),
    [anon_sym_void] = ACTIONS(3650),
    [anon_sym_delete] = ACTIONS(3650),
    [anon_sym_PLUS_PLUS] = ACTIONS(3650),
    [anon_sym_DASH_DASH] = ACTIONS(3650),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3650),
    [sym_number] = ACTIONS(3650),
    [sym_private_property_identifier] = ACTIONS(3650),
    [sym_this] = ACTIONS(3650),
    [sym_super] = ACTIONS(3650),
    [sym_true] = ACTIONS(3650),
    [sym_false] = ACTIONS(3650),
    [sym_null] = ACTIONS(3650),
    [sym_undefined] = ACTIONS(3650),
    [anon_sym_AT] = ACTIONS(3650),
    [anon_sym_static] = ACTIONS(3650),
    [anon_sym_readonly] = ACTIONS(3650),
    [anon_sym_get] = ACTIONS(3650),
    [anon_sym_set] = ACTIONS(3650),
    [anon_sym_declare] = ACTIONS(3650),
    [anon_sym_public] = ACTIONS(3650),
    [anon_sym_private] = ACTIONS(3650),
    [anon_sym_protected] = ACTIONS(3650),
    [anon_sym_override] = ACTIONS(3650),
    [anon_sym_module] = ACTIONS(3650),
    [anon_sym_any] = ACTIONS(3650),
    [anon_sym_number] = ACTIONS(3650),
    [anon_sym_boolean] = ACTIONS(3650),
    [anon_sym_string] = ACTIONS(3650),
    [anon_sym_symbol] = ACTIONS(3650),
    [anon_sym_object] = ACTIONS(3650),
    [anon_sym_property] = ACTIONS(3650),
    [anon_sym_signal] = ACTIONS(3650),
    [anon_sym_on] = ACTIONS(3650),
    [anon_sym_required] = ACTIONS(3650),
    [anon_sym_component] = ACTIONS(3650),
    [anon_sym_abstract] = ACTIONS(3650),
    [anon_sym_interface] = ACTIONS(3650),
    [anon_sym_enum] = ACTIONS(3650),
    [sym_html_comment] = ACTIONS(5),
  },
  [1790] = {
    [sym_comment] = STATE(1790),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1791] = {
    [sym_comment] = STATE(1791),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1792] = {
    [sym_comment] = STATE(1792),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(2438),
    [anon_sym_type] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_typeof] = ACTIONS(2438),
    [anon_sym_import] = ACTIONS(2438),
    [anon_sym_from] = ACTIONS(2438),
    [anon_sym_with] = ACTIONS(2438),
    [anon_sym_var] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_const] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2438),
    [anon_sym_switch] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_await] = ACTIONS(2438),
    [anon_sym_of] = ACTIONS(2438),
    [anon_sym_while] = ACTIONS(2438),
    [anon_sym_do] = ACTIONS(2438),
    [anon_sym_try] = ACTIONS(2438),
    [anon_sym_break] = ACTIONS(2438),
    [anon_sym_continue] = ACTIONS(2438),
    [anon_sym_debugger] = ACTIONS(2438),
    [anon_sym_return] = ACTIONS(2438),
    [anon_sym_throw] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_yield] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LTtemplate_GT] = ACTIONS(2438),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_class] = ACTIONS(2438),
    [anon_sym_async] = ACTIONS(2438),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_new] = ACTIONS(2438),
    [anon_sym_using] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_SLASH] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_void] = ACTIONS(2438),
    [anon_sym_delete] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2438),
    [sym_number] = ACTIONS(2438),
    [sym_private_property_identifier] = ACTIONS(2438),
    [sym_this] = ACTIONS(2438),
    [sym_super] = ACTIONS(2438),
    [sym_true] = ACTIONS(2438),
    [sym_false] = ACTIONS(2438),
    [sym_null] = ACTIONS(2438),
    [sym_undefined] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_readonly] = ACTIONS(2438),
    [anon_sym_get] = ACTIONS(2438),
    [anon_sym_set] = ACTIONS(2438),
    [anon_sym_declare] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_override] = ACTIONS(2438),
    [anon_sym_module] = ACTIONS(2438),
    [anon_sym_any] = ACTIONS(2438),
    [anon_sym_number] = ACTIONS(2438),
    [anon_sym_boolean] = ACTIONS(2438),
    [anon_sym_string] = ACTIONS(2438),
    [anon_sym_symbol] = ACTIONS(2438),
    [anon_sym_object] = ACTIONS(2438),
    [anon_sym_property] = ACTIONS(2438),
    [anon_sym_signal] = ACTIONS(2438),
    [anon_sym_on] = ACTIONS(2438),
    [anon_sym_required] = ACTIONS(2438),
    [anon_sym_component] = ACTIONS(2438),
    [anon_sym_abstract] = ACTIONS(2438),
    [anon_sym_interface] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [sym_html_comment] = ACTIONS(5),
  },
  [1793] = {
    [sym_comment] = STATE(1793),
    [sym_identifier] = ACTIONS(3662),
    [anon_sym_export] = ACTIONS(3662),
    [anon_sym_type] = ACTIONS(3662),
    [anon_sym_namespace] = ACTIONS(3662),
    [anon_sym_LBRACE] = ACTIONS(3662),
    [anon_sym_RBRACE] = ACTIONS(3662),
    [anon_sym_typeof] = ACTIONS(3662),
    [anon_sym_import] = ACTIONS(3662),
    [anon_sym_from] = ACTIONS(3662),
    [anon_sym_with] = ACTIONS(3662),
    [anon_sym_var] = ACTIONS(3662),
    [anon_sym_let] = ACTIONS(3662),
    [anon_sym_const] = ACTIONS(3662),
    [anon_sym_BANG] = ACTIONS(3662),
    [anon_sym_if] = ACTIONS(3662),
    [anon_sym_switch] = ACTIONS(3662),
    [anon_sym_for] = ACTIONS(3662),
    [anon_sym_LPAREN] = ACTIONS(3662),
    [anon_sym_await] = ACTIONS(3662),
    [anon_sym_of] = ACTIONS(3662),
    [anon_sym_while] = ACTIONS(3662),
    [anon_sym_do] = ACTIONS(3662),
    [anon_sym_try] = ACTIONS(3662),
    [anon_sym_break] = ACTIONS(3662),
    [anon_sym_continue] = ACTIONS(3662),
    [anon_sym_debugger] = ACTIONS(3662),
    [anon_sym_return] = ACTIONS(3662),
    [anon_sym_throw] = ACTIONS(3662),
    [anon_sym_SEMI] = ACTIONS(3662),
    [anon_sym_yield] = ACTIONS(3662),
    [anon_sym_LBRACK] = ACTIONS(3662),
    [anon_sym_LTtemplate_GT] = ACTIONS(3662),
    [anon_sym_DQUOTE] = ACTIONS(3662),
    [anon_sym_SQUOTE] = ACTIONS(3662),
    [anon_sym_class] = ACTIONS(3662),
    [anon_sym_async] = ACTIONS(3662),
    [anon_sym_function] = ACTIONS(3662),
    [anon_sym_new] = ACTIONS(3662),
    [anon_sym_using] = ACTIONS(3662),
    [anon_sym_PLUS] = ACTIONS(3662),
    [anon_sym_DASH] = ACTIONS(3662),
    [anon_sym_SLASH] = ACTIONS(3662),
    [anon_sym_LT] = ACTIONS(3662),
    [anon_sym_TILDE] = ACTIONS(3662),
    [anon_sym_void] = ACTIONS(3662),
    [anon_sym_delete] = ACTIONS(3662),
    [anon_sym_PLUS_PLUS] = ACTIONS(3662),
    [anon_sym_DASH_DASH] = ACTIONS(3662),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3662),
    [sym_number] = ACTIONS(3662),
    [sym_private_property_identifier] = ACTIONS(3662),
    [sym_this] = ACTIONS(3662),
    [sym_super] = ACTIONS(3662),
    [sym_true] = ACTIONS(3662),
    [sym_false] = ACTIONS(3662),
    [sym_null] = ACTIONS(3662),
    [sym_undefined] = ACTIONS(3662),
    [anon_sym_AT] = ACTIONS(3662),
    [anon_sym_static] = ACTIONS(3662),
    [anon_sym_readonly] = ACTIONS(3662),
    [anon_sym_get] = ACTIONS(3662),
    [anon_sym_set] = ACTIONS(3662),
    [anon_sym_declare] = ACTIONS(3662),
    [anon_sym_public] = ACTIONS(3662),
    [anon_sym_private] = ACTIONS(3662),
    [anon_sym_protected] = ACTIONS(3662),
    [anon_sym_override] = ACTIONS(3662),
    [anon_sym_module] = ACTIONS(3662),
    [anon_sym_any] = ACTIONS(3662),
    [anon_sym_number] = ACTIONS(3662),
    [anon_sym_boolean] = ACTIONS(3662),
    [anon_sym_string] = ACTIONS(3662),
    [anon_sym_symbol] = ACTIONS(3662),
    [anon_sym_object] = ACTIONS(3662),
    [anon_sym_property] = ACTIONS(3662),
    [anon_sym_signal] = ACTIONS(3662),
    [anon_sym_on] = ACTIONS(3662),
    [anon_sym_required] = ACTIONS(3662),
    [anon_sym_component] = ACTIONS(3662),
    [anon_sym_abstract] = ACTIONS(3662),
    [anon_sym_interface] = ACTIONS(3662),
    [anon_sym_enum] = ACTIONS(3662),
    [sym_html_comment] = ACTIONS(5),
  },
  [1794] = {
    [sym_comment] = STATE(1794),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1795] = {
    [sym_comment] = STATE(1795),
    [sym_identifier] = ACTIONS(3666),
    [anon_sym_export] = ACTIONS(3666),
    [anon_sym_type] = ACTIONS(3666),
    [anon_sym_namespace] = ACTIONS(3666),
    [anon_sym_LBRACE] = ACTIONS(3666),
    [anon_sym_RBRACE] = ACTIONS(3666),
    [anon_sym_typeof] = ACTIONS(3666),
    [anon_sym_import] = ACTIONS(3666),
    [anon_sym_from] = ACTIONS(3666),
    [anon_sym_with] = ACTIONS(3666),
    [anon_sym_var] = ACTIONS(3666),
    [anon_sym_let] = ACTIONS(3666),
    [anon_sym_const] = ACTIONS(3666),
    [anon_sym_BANG] = ACTIONS(3666),
    [anon_sym_if] = ACTIONS(3666),
    [anon_sym_switch] = ACTIONS(3666),
    [anon_sym_for] = ACTIONS(3666),
    [anon_sym_LPAREN] = ACTIONS(3666),
    [anon_sym_await] = ACTIONS(3666),
    [anon_sym_of] = ACTIONS(3666),
    [anon_sym_while] = ACTIONS(3666),
    [anon_sym_do] = ACTIONS(3666),
    [anon_sym_try] = ACTIONS(3666),
    [anon_sym_break] = ACTIONS(3666),
    [anon_sym_continue] = ACTIONS(3666),
    [anon_sym_debugger] = ACTIONS(3666),
    [anon_sym_return] = ACTIONS(3666),
    [anon_sym_throw] = ACTIONS(3666),
    [anon_sym_SEMI] = ACTIONS(3666),
    [anon_sym_yield] = ACTIONS(3666),
    [anon_sym_LBRACK] = ACTIONS(3666),
    [anon_sym_LTtemplate_GT] = ACTIONS(3666),
    [anon_sym_DQUOTE] = ACTIONS(3666),
    [anon_sym_SQUOTE] = ACTIONS(3666),
    [anon_sym_class] = ACTIONS(3666),
    [anon_sym_async] = ACTIONS(3666),
    [anon_sym_function] = ACTIONS(3666),
    [anon_sym_new] = ACTIONS(3666),
    [anon_sym_using] = ACTIONS(3666),
    [anon_sym_PLUS] = ACTIONS(3666),
    [anon_sym_DASH] = ACTIONS(3666),
    [anon_sym_SLASH] = ACTIONS(3666),
    [anon_sym_LT] = ACTIONS(3666),
    [anon_sym_TILDE] = ACTIONS(3666),
    [anon_sym_void] = ACTIONS(3666),
    [anon_sym_delete] = ACTIONS(3666),
    [anon_sym_PLUS_PLUS] = ACTIONS(3666),
    [anon_sym_DASH_DASH] = ACTIONS(3666),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3666),
    [sym_number] = ACTIONS(3666),
    [sym_private_property_identifier] = ACTIONS(3666),
    [sym_this] = ACTIONS(3666),
    [sym_super] = ACTIONS(3666),
    [sym_true] = ACTIONS(3666),
    [sym_false] = ACTIONS(3666),
    [sym_null] = ACTIONS(3666),
    [sym_undefined] = ACTIONS(3666),
    [anon_sym_AT] = ACTIONS(3666),
    [anon_sym_static] = ACTIONS(3666),
    [anon_sym_readonly] = ACTIONS(3666),
    [anon_sym_get] = ACTIONS(3666),
    [anon_sym_set] = ACTIONS(3666),
    [anon_sym_declare] = ACTIONS(3666),
    [anon_sym_public] = ACTIONS(3666),
    [anon_sym_private] = ACTIONS(3666),
    [anon_sym_protected] = ACTIONS(3666),
    [anon_sym_override] = ACTIONS(3666),
    [anon_sym_module] = ACTIONS(3666),
    [anon_sym_any] = ACTIONS(3666),
    [anon_sym_number] = ACTIONS(3666),
    [anon_sym_boolean] = ACTIONS(3666),
    [anon_sym_string] = ACTIONS(3666),
    [anon_sym_symbol] = ACTIONS(3666),
    [anon_sym_object] = ACTIONS(3666),
    [anon_sym_property] = ACTIONS(3666),
    [anon_sym_signal] = ACTIONS(3666),
    [anon_sym_on] = ACTIONS(3666),
    [anon_sym_required] = ACTIONS(3666),
    [anon_sym_component] = ACTIONS(3666),
    [anon_sym_abstract] = ACTIONS(3666),
    [anon_sym_interface] = ACTIONS(3666),
    [anon_sym_enum] = ACTIONS(3666),
    [sym_html_comment] = ACTIONS(5),
  },
  [1796] = {
    [sym_comment] = STATE(1796),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1797] = {
    [sym_comment] = STATE(1797),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1798] = {
    [sym_comment] = STATE(1798),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1799] = {
    [sym_comment] = STATE(1799),
    [sym_identifier] = ACTIONS(3674),
    [anon_sym_export] = ACTIONS(3674),
    [anon_sym_type] = ACTIONS(3674),
    [anon_sym_namespace] = ACTIONS(3674),
    [anon_sym_LBRACE] = ACTIONS(3674),
    [anon_sym_RBRACE] = ACTIONS(3674),
    [anon_sym_typeof] = ACTIONS(3674),
    [anon_sym_import] = ACTIONS(3674),
    [anon_sym_from] = ACTIONS(3674),
    [anon_sym_with] = ACTIONS(3674),
    [anon_sym_var] = ACTIONS(3674),
    [anon_sym_let] = ACTIONS(3674),
    [anon_sym_const] = ACTIONS(3674),
    [anon_sym_BANG] = ACTIONS(3674),
    [anon_sym_if] = ACTIONS(3674),
    [anon_sym_switch] = ACTIONS(3674),
    [anon_sym_for] = ACTIONS(3674),
    [anon_sym_LPAREN] = ACTIONS(3674),
    [anon_sym_await] = ACTIONS(3674),
    [anon_sym_of] = ACTIONS(3674),
    [anon_sym_while] = ACTIONS(3674),
    [anon_sym_do] = ACTIONS(3674),
    [anon_sym_try] = ACTIONS(3674),
    [anon_sym_break] = ACTIONS(3674),
    [anon_sym_continue] = ACTIONS(3674),
    [anon_sym_debugger] = ACTIONS(3674),
    [anon_sym_return] = ACTIONS(3674),
    [anon_sym_throw] = ACTIONS(3674),
    [anon_sym_SEMI] = ACTIONS(3674),
    [anon_sym_yield] = ACTIONS(3674),
    [anon_sym_LBRACK] = ACTIONS(3674),
    [anon_sym_LTtemplate_GT] = ACTIONS(3674),
    [anon_sym_DQUOTE] = ACTIONS(3674),
    [anon_sym_SQUOTE] = ACTIONS(3674),
    [anon_sym_class] = ACTIONS(3674),
    [anon_sym_async] = ACTIONS(3674),
    [anon_sym_function] = ACTIONS(3674),
    [anon_sym_new] = ACTIONS(3674),
    [anon_sym_using] = ACTIONS(3674),
    [anon_sym_PLUS] = ACTIONS(3674),
    [anon_sym_DASH] = ACTIONS(3674),
    [anon_sym_SLASH] = ACTIONS(3674),
    [anon_sym_LT] = ACTIONS(3674),
    [anon_sym_TILDE] = ACTIONS(3674),
    [anon_sym_void] = ACTIONS(3674),
    [anon_sym_delete] = ACTIONS(3674),
    [anon_sym_PLUS_PLUS] = ACTIONS(3674),
    [anon_sym_DASH_DASH] = ACTIONS(3674),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3674),
    [sym_number] = ACTIONS(3674),
    [sym_private_property_identifier] = ACTIONS(3674),
    [sym_this] = ACTIONS(3674),
    [sym_super] = ACTIONS(3674),
    [sym_true] = ACTIONS(3674),
    [sym_false] = ACTIONS(3674),
    [sym_null] = ACTIONS(3674),
    [sym_undefined] = ACTIONS(3674),
    [anon_sym_AT] = ACTIONS(3674),
    [anon_sym_static] = ACTIONS(3674),
    [anon_sym_readonly] = ACTIONS(3674),
    [anon_sym_get] = ACTIONS(3674),
    [anon_sym_set] = ACTIONS(3674),
    [anon_sym_declare] = ACTIONS(3674),
    [anon_sym_public] = ACTIONS(3674),
    [anon_sym_private] = ACTIONS(3674),
    [anon_sym_protected] = ACTIONS(3674),
    [anon_sym_override] = ACTIONS(3674),
    [anon_sym_module] = ACTIONS(3674),
    [anon_sym_any] = ACTIONS(3674),
    [anon_sym_number] = ACTIONS(3674),
    [anon_sym_boolean] = ACTIONS(3674),
    [anon_sym_string] = ACTIONS(3674),
    [anon_sym_symbol] = ACTIONS(3674),
    [anon_sym_object] = ACTIONS(3674),
    [anon_sym_property] = ACTIONS(3674),
    [anon_sym_signal] = ACTIONS(3674),
    [anon_sym_on] = ACTIONS(3674),
    [anon_sym_required] = ACTIONS(3674),
    [anon_sym_component] = ACTIONS(3674),
    [anon_sym_abstract] = ACTIONS(3674),
    [anon_sym_interface] = ACTIONS(3674),
    [anon_sym_enum] = ACTIONS(3674),
    [sym_html_comment] = ACTIONS(5),
  },
  [1800] = {
    [sym_comment] = STATE(1800),
    [sym_identifier] = ACTIONS(3654),
    [anon_sym_export] = ACTIONS(3654),
    [anon_sym_type] = ACTIONS(3654),
    [anon_sym_namespace] = ACTIONS(3654),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_RBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3654),
    [anon_sym_import] = ACTIONS(3654),
    [anon_sym_from] = ACTIONS(3654),
    [anon_sym_with] = ACTIONS(3654),
    [anon_sym_var] = ACTIONS(3654),
    [anon_sym_let] = ACTIONS(3654),
    [anon_sym_const] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_if] = ACTIONS(3654),
    [anon_sym_switch] = ACTIONS(3654),
    [anon_sym_for] = ACTIONS(3654),
    [anon_sym_LPAREN] = ACTIONS(3654),
    [anon_sym_await] = ACTIONS(3654),
    [anon_sym_of] = ACTIONS(3654),
    [anon_sym_while] = ACTIONS(3654),
    [anon_sym_do] = ACTIONS(3654),
    [anon_sym_try] = ACTIONS(3654),
    [anon_sym_break] = ACTIONS(3654),
    [anon_sym_continue] = ACTIONS(3654),
    [anon_sym_debugger] = ACTIONS(3654),
    [anon_sym_return] = ACTIONS(3654),
    [anon_sym_throw] = ACTIONS(3654),
    [anon_sym_SEMI] = ACTIONS(3654),
    [anon_sym_yield] = ACTIONS(3654),
    [anon_sym_LBRACK] = ACTIONS(3654),
    [anon_sym_LTtemplate_GT] = ACTIONS(3654),
    [anon_sym_DQUOTE] = ACTIONS(3654),
    [anon_sym_SQUOTE] = ACTIONS(3654),
    [anon_sym_class] = ACTIONS(3654),
    [anon_sym_async] = ACTIONS(3654),
    [anon_sym_function] = ACTIONS(3654),
    [anon_sym_new] = ACTIONS(3654),
    [anon_sym_using] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_SLASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_TILDE] = ACTIONS(3654),
    [anon_sym_void] = ACTIONS(3654),
    [anon_sym_delete] = ACTIONS(3654),
    [anon_sym_PLUS_PLUS] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(3654),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3654),
    [sym_number] = ACTIONS(3654),
    [sym_private_property_identifier] = ACTIONS(3654),
    [sym_this] = ACTIONS(3654),
    [sym_super] = ACTIONS(3654),
    [sym_true] = ACTIONS(3654),
    [sym_false] = ACTIONS(3654),
    [sym_null] = ACTIONS(3654),
    [sym_undefined] = ACTIONS(3654),
    [anon_sym_AT] = ACTIONS(3654),
    [anon_sym_static] = ACTIONS(3654),
    [anon_sym_readonly] = ACTIONS(3654),
    [anon_sym_get] = ACTIONS(3654),
    [anon_sym_set] = ACTIONS(3654),
    [anon_sym_declare] = ACTIONS(3654),
    [anon_sym_public] = ACTIONS(3654),
    [anon_sym_private] = ACTIONS(3654),
    [anon_sym_protected] = ACTIONS(3654),
    [anon_sym_override] = ACTIONS(3654),
    [anon_sym_module] = ACTIONS(3654),
    [anon_sym_any] = ACTIONS(3654),
    [anon_sym_number] = ACTIONS(3654),
    [anon_sym_boolean] = ACTIONS(3654),
    [anon_sym_string] = ACTIONS(3654),
    [anon_sym_symbol] = ACTIONS(3654),
    [anon_sym_object] = ACTIONS(3654),
    [anon_sym_property] = ACTIONS(3654),
    [anon_sym_signal] = ACTIONS(3654),
    [anon_sym_on] = ACTIONS(3654),
    [anon_sym_required] = ACTIONS(3654),
    [anon_sym_component] = ACTIONS(3654),
    [anon_sym_abstract] = ACTIONS(3654),
    [anon_sym_interface] = ACTIONS(3654),
    [anon_sym_enum] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1801] = {
    [sym_comment] = STATE(1801),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1802] = {
    [sym_comment] = STATE(1802),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1803] = {
    [sym_comment] = STATE(1803),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1804] = {
    [sym_comment] = STATE(1804),
    [sym_identifier] = ACTIONS(3626),
    [anon_sym_export] = ACTIONS(3626),
    [anon_sym_type] = ACTIONS(3626),
    [anon_sym_namespace] = ACTIONS(3626),
    [anon_sym_LBRACE] = ACTIONS(3626),
    [anon_sym_RBRACE] = ACTIONS(3626),
    [anon_sym_typeof] = ACTIONS(3626),
    [anon_sym_import] = ACTIONS(3626),
    [anon_sym_from] = ACTIONS(3626),
    [anon_sym_with] = ACTIONS(3626),
    [anon_sym_var] = ACTIONS(3626),
    [anon_sym_let] = ACTIONS(3626),
    [anon_sym_const] = ACTIONS(3626),
    [anon_sym_BANG] = ACTIONS(3626),
    [anon_sym_if] = ACTIONS(3626),
    [anon_sym_switch] = ACTIONS(3626),
    [anon_sym_for] = ACTIONS(3626),
    [anon_sym_LPAREN] = ACTIONS(3626),
    [anon_sym_await] = ACTIONS(3626),
    [anon_sym_of] = ACTIONS(3626),
    [anon_sym_while] = ACTIONS(3626),
    [anon_sym_do] = ACTIONS(3626),
    [anon_sym_try] = ACTIONS(3626),
    [anon_sym_break] = ACTIONS(3626),
    [anon_sym_continue] = ACTIONS(3626),
    [anon_sym_debugger] = ACTIONS(3626),
    [anon_sym_return] = ACTIONS(3626),
    [anon_sym_throw] = ACTIONS(3626),
    [anon_sym_SEMI] = ACTIONS(3626),
    [anon_sym_yield] = ACTIONS(3626),
    [anon_sym_LBRACK] = ACTIONS(3626),
    [anon_sym_LTtemplate_GT] = ACTIONS(3626),
    [anon_sym_DQUOTE] = ACTIONS(3626),
    [anon_sym_SQUOTE] = ACTIONS(3626),
    [anon_sym_class] = ACTIONS(3626),
    [anon_sym_async] = ACTIONS(3626),
    [anon_sym_function] = ACTIONS(3626),
    [anon_sym_new] = ACTIONS(3626),
    [anon_sym_using] = ACTIONS(3626),
    [anon_sym_PLUS] = ACTIONS(3626),
    [anon_sym_DASH] = ACTIONS(3626),
    [anon_sym_SLASH] = ACTIONS(3626),
    [anon_sym_LT] = ACTIONS(3626),
    [anon_sym_TILDE] = ACTIONS(3626),
    [anon_sym_void] = ACTIONS(3626),
    [anon_sym_delete] = ACTIONS(3626),
    [anon_sym_PLUS_PLUS] = ACTIONS(3626),
    [anon_sym_DASH_DASH] = ACTIONS(3626),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3626),
    [sym_number] = ACTIONS(3626),
    [sym_private_property_identifier] = ACTIONS(3626),
    [sym_this] = ACTIONS(3626),
    [sym_super] = ACTIONS(3626),
    [sym_true] = ACTIONS(3626),
    [sym_false] = ACTIONS(3626),
    [sym_null] = ACTIONS(3626),
    [sym_undefined] = ACTIONS(3626),
    [anon_sym_AT] = ACTIONS(3626),
    [anon_sym_static] = ACTIONS(3626),
    [anon_sym_readonly] = ACTIONS(3626),
    [anon_sym_get] = ACTIONS(3626),
    [anon_sym_set] = ACTIONS(3626),
    [anon_sym_declare] = ACTIONS(3626),
    [anon_sym_public] = ACTIONS(3626),
    [anon_sym_private] = ACTIONS(3626),
    [anon_sym_protected] = ACTIONS(3626),
    [anon_sym_override] = ACTIONS(3626),
    [anon_sym_module] = ACTIONS(3626),
    [anon_sym_any] = ACTIONS(3626),
    [anon_sym_number] = ACTIONS(3626),
    [anon_sym_boolean] = ACTIONS(3626),
    [anon_sym_string] = ACTIONS(3626),
    [anon_sym_symbol] = ACTIONS(3626),
    [anon_sym_object] = ACTIONS(3626),
    [anon_sym_property] = ACTIONS(3626),
    [anon_sym_signal] = ACTIONS(3626),
    [anon_sym_on] = ACTIONS(3626),
    [anon_sym_required] = ACTIONS(3626),
    [anon_sym_component] = ACTIONS(3626),
    [anon_sym_abstract] = ACTIONS(3626),
    [anon_sym_interface] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3626),
    [sym_html_comment] = ACTIONS(5),
  },
  [1805] = {
    [sym_comment] = STATE(1805),
    [sym_identifier] = ACTIONS(3570),
    [anon_sym_export] = ACTIONS(3570),
    [anon_sym_type] = ACTIONS(3570),
    [anon_sym_namespace] = ACTIONS(3570),
    [anon_sym_LBRACE] = ACTIONS(3570),
    [anon_sym_RBRACE] = ACTIONS(3570),
    [anon_sym_typeof] = ACTIONS(3570),
    [anon_sym_import] = ACTIONS(3570),
    [anon_sym_from] = ACTIONS(3570),
    [anon_sym_with] = ACTIONS(3570),
    [anon_sym_var] = ACTIONS(3570),
    [anon_sym_let] = ACTIONS(3570),
    [anon_sym_const] = ACTIONS(3570),
    [anon_sym_BANG] = ACTIONS(3570),
    [anon_sym_if] = ACTIONS(3570),
    [anon_sym_switch] = ACTIONS(3570),
    [anon_sym_for] = ACTIONS(3570),
    [anon_sym_LPAREN] = ACTIONS(3570),
    [anon_sym_await] = ACTIONS(3570),
    [anon_sym_of] = ACTIONS(3570),
    [anon_sym_while] = ACTIONS(3570),
    [anon_sym_do] = ACTIONS(3570),
    [anon_sym_try] = ACTIONS(3570),
    [anon_sym_break] = ACTIONS(3570),
    [anon_sym_continue] = ACTIONS(3570),
    [anon_sym_debugger] = ACTIONS(3570),
    [anon_sym_return] = ACTIONS(3570),
    [anon_sym_throw] = ACTIONS(3570),
    [anon_sym_SEMI] = ACTIONS(3570),
    [anon_sym_yield] = ACTIONS(3570),
    [anon_sym_LBRACK] = ACTIONS(3570),
    [anon_sym_LTtemplate_GT] = ACTIONS(3570),
    [anon_sym_DQUOTE] = ACTIONS(3570),
    [anon_sym_SQUOTE] = ACTIONS(3570),
    [anon_sym_class] = ACTIONS(3570),
    [anon_sym_async] = ACTIONS(3570),
    [anon_sym_function] = ACTIONS(3570),
    [anon_sym_new] = ACTIONS(3570),
    [anon_sym_using] = ACTIONS(3570),
    [anon_sym_PLUS] = ACTIONS(3570),
    [anon_sym_DASH] = ACTIONS(3570),
    [anon_sym_SLASH] = ACTIONS(3570),
    [anon_sym_LT] = ACTIONS(3570),
    [anon_sym_TILDE] = ACTIONS(3570),
    [anon_sym_void] = ACTIONS(3570),
    [anon_sym_delete] = ACTIONS(3570),
    [anon_sym_PLUS_PLUS] = ACTIONS(3570),
    [anon_sym_DASH_DASH] = ACTIONS(3570),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3570),
    [sym_number] = ACTIONS(3570),
    [sym_private_property_identifier] = ACTIONS(3570),
    [sym_this] = ACTIONS(3570),
    [sym_super] = ACTIONS(3570),
    [sym_true] = ACTIONS(3570),
    [sym_false] = ACTIONS(3570),
    [sym_null] = ACTIONS(3570),
    [sym_undefined] = ACTIONS(3570),
    [anon_sym_AT] = ACTIONS(3570),
    [anon_sym_static] = ACTIONS(3570),
    [anon_sym_readonly] = ACTIONS(3570),
    [anon_sym_get] = ACTIONS(3570),
    [anon_sym_set] = ACTIONS(3570),
    [anon_sym_declare] = ACTIONS(3570),
    [anon_sym_public] = ACTIONS(3570),
    [anon_sym_private] = ACTIONS(3570),
    [anon_sym_protected] = ACTIONS(3570),
    [anon_sym_override] = ACTIONS(3570),
    [anon_sym_module] = ACTIONS(3570),
    [anon_sym_any] = ACTIONS(3570),
    [anon_sym_number] = ACTIONS(3570),
    [anon_sym_boolean] = ACTIONS(3570),
    [anon_sym_string] = ACTIONS(3570),
    [anon_sym_symbol] = ACTIONS(3570),
    [anon_sym_object] = ACTIONS(3570),
    [anon_sym_property] = ACTIONS(3570),
    [anon_sym_signal] = ACTIONS(3570),
    [anon_sym_on] = ACTIONS(3570),
    [anon_sym_required] = ACTIONS(3570),
    [anon_sym_component] = ACTIONS(3570),
    [anon_sym_abstract] = ACTIONS(3570),
    [anon_sym_interface] = ACTIONS(3570),
    [anon_sym_enum] = ACTIONS(3570),
    [sym_html_comment] = ACTIONS(5),
  },
  [1806] = {
    [sym_comment] = STATE(1806),
    [sym_identifier] = ACTIONS(3630),
    [anon_sym_export] = ACTIONS(3630),
    [anon_sym_type] = ACTIONS(3630),
    [anon_sym_namespace] = ACTIONS(3630),
    [anon_sym_LBRACE] = ACTIONS(3630),
    [anon_sym_RBRACE] = ACTIONS(3630),
    [anon_sym_typeof] = ACTIONS(3630),
    [anon_sym_import] = ACTIONS(3630),
    [anon_sym_from] = ACTIONS(3630),
    [anon_sym_with] = ACTIONS(3630),
    [anon_sym_var] = ACTIONS(3630),
    [anon_sym_let] = ACTIONS(3630),
    [anon_sym_const] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3630),
    [anon_sym_if] = ACTIONS(3630),
    [anon_sym_switch] = ACTIONS(3630),
    [anon_sym_for] = ACTIONS(3630),
    [anon_sym_LPAREN] = ACTIONS(3630),
    [anon_sym_await] = ACTIONS(3630),
    [anon_sym_of] = ACTIONS(3630),
    [anon_sym_while] = ACTIONS(3630),
    [anon_sym_do] = ACTIONS(3630),
    [anon_sym_try] = ACTIONS(3630),
    [anon_sym_break] = ACTIONS(3630),
    [anon_sym_continue] = ACTIONS(3630),
    [anon_sym_debugger] = ACTIONS(3630),
    [anon_sym_return] = ACTIONS(3630),
    [anon_sym_throw] = ACTIONS(3630),
    [anon_sym_SEMI] = ACTIONS(3630),
    [anon_sym_yield] = ACTIONS(3630),
    [anon_sym_LBRACK] = ACTIONS(3630),
    [anon_sym_LTtemplate_GT] = ACTIONS(3630),
    [anon_sym_DQUOTE] = ACTIONS(3630),
    [anon_sym_SQUOTE] = ACTIONS(3630),
    [anon_sym_class] = ACTIONS(3630),
    [anon_sym_async] = ACTIONS(3630),
    [anon_sym_function] = ACTIONS(3630),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_using] = ACTIONS(3630),
    [anon_sym_PLUS] = ACTIONS(3630),
    [anon_sym_DASH] = ACTIONS(3630),
    [anon_sym_SLASH] = ACTIONS(3630),
    [anon_sym_LT] = ACTIONS(3630),
    [anon_sym_TILDE] = ACTIONS(3630),
    [anon_sym_void] = ACTIONS(3630),
    [anon_sym_delete] = ACTIONS(3630),
    [anon_sym_PLUS_PLUS] = ACTIONS(3630),
    [anon_sym_DASH_DASH] = ACTIONS(3630),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3630),
    [sym_number] = ACTIONS(3630),
    [sym_private_property_identifier] = ACTIONS(3630),
    [sym_this] = ACTIONS(3630),
    [sym_super] = ACTIONS(3630),
    [sym_true] = ACTIONS(3630),
    [sym_false] = ACTIONS(3630),
    [sym_null] = ACTIONS(3630),
    [sym_undefined] = ACTIONS(3630),
    [anon_sym_AT] = ACTIONS(3630),
    [anon_sym_static] = ACTIONS(3630),
    [anon_sym_readonly] = ACTIONS(3630),
    [anon_sym_get] = ACTIONS(3630),
    [anon_sym_set] = ACTIONS(3630),
    [anon_sym_declare] = ACTIONS(3630),
    [anon_sym_public] = ACTIONS(3630),
    [anon_sym_private] = ACTIONS(3630),
    [anon_sym_protected] = ACTIONS(3630),
    [anon_sym_override] = ACTIONS(3630),
    [anon_sym_module] = ACTIONS(3630),
    [anon_sym_any] = ACTIONS(3630),
    [anon_sym_number] = ACTIONS(3630),
    [anon_sym_boolean] = ACTIONS(3630),
    [anon_sym_string] = ACTIONS(3630),
    [anon_sym_symbol] = ACTIONS(3630),
    [anon_sym_object] = ACTIONS(3630),
    [anon_sym_property] = ACTIONS(3630),
    [anon_sym_signal] = ACTIONS(3630),
    [anon_sym_on] = ACTIONS(3630),
    [anon_sym_required] = ACTIONS(3630),
    [anon_sym_component] = ACTIONS(3630),
    [anon_sym_abstract] = ACTIONS(3630),
    [anon_sym_interface] = ACTIONS(3630),
    [anon_sym_enum] = ACTIONS(3630),
    [sym_html_comment] = ACTIONS(5),
  },
  [1807] = {
    [sym_comment] = STATE(1807),
    [sym_identifier] = ACTIONS(3648),
    [anon_sym_export] = ACTIONS(3648),
    [anon_sym_type] = ACTIONS(3648),
    [anon_sym_namespace] = ACTIONS(3648),
    [anon_sym_LBRACE] = ACTIONS(3648),
    [anon_sym_RBRACE] = ACTIONS(3648),
    [anon_sym_typeof] = ACTIONS(3648),
    [anon_sym_import] = ACTIONS(3648),
    [anon_sym_from] = ACTIONS(3648),
    [anon_sym_with] = ACTIONS(3648),
    [anon_sym_var] = ACTIONS(3648),
    [anon_sym_let] = ACTIONS(3648),
    [anon_sym_const] = ACTIONS(3648),
    [anon_sym_BANG] = ACTIONS(3648),
    [anon_sym_if] = ACTIONS(3648),
    [anon_sym_switch] = ACTIONS(3648),
    [anon_sym_for] = ACTIONS(3648),
    [anon_sym_LPAREN] = ACTIONS(3648),
    [anon_sym_await] = ACTIONS(3648),
    [anon_sym_of] = ACTIONS(3648),
    [anon_sym_while] = ACTIONS(3648),
    [anon_sym_do] = ACTIONS(3648),
    [anon_sym_try] = ACTIONS(3648),
    [anon_sym_break] = ACTIONS(3648),
    [anon_sym_continue] = ACTIONS(3648),
    [anon_sym_debugger] = ACTIONS(3648),
    [anon_sym_return] = ACTIONS(3648),
    [anon_sym_throw] = ACTIONS(3648),
    [anon_sym_SEMI] = ACTIONS(3648),
    [anon_sym_yield] = ACTIONS(3648),
    [anon_sym_LBRACK] = ACTIONS(3648),
    [anon_sym_LTtemplate_GT] = ACTIONS(3648),
    [anon_sym_DQUOTE] = ACTIONS(3648),
    [anon_sym_SQUOTE] = ACTIONS(3648),
    [anon_sym_class] = ACTIONS(3648),
    [anon_sym_async] = ACTIONS(3648),
    [anon_sym_function] = ACTIONS(3648),
    [anon_sym_new] = ACTIONS(3648),
    [anon_sym_using] = ACTIONS(3648),
    [anon_sym_PLUS] = ACTIONS(3648),
    [anon_sym_DASH] = ACTIONS(3648),
    [anon_sym_SLASH] = ACTIONS(3648),
    [anon_sym_LT] = ACTIONS(3648),
    [anon_sym_TILDE] = ACTIONS(3648),
    [anon_sym_void] = ACTIONS(3648),
    [anon_sym_delete] = ACTIONS(3648),
    [anon_sym_PLUS_PLUS] = ACTIONS(3648),
    [anon_sym_DASH_DASH] = ACTIONS(3648),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3648),
    [sym_number] = ACTIONS(3648),
    [sym_private_property_identifier] = ACTIONS(3648),
    [sym_this] = ACTIONS(3648),
    [sym_super] = ACTIONS(3648),
    [sym_true] = ACTIONS(3648),
    [sym_false] = ACTIONS(3648),
    [sym_null] = ACTIONS(3648),
    [sym_undefined] = ACTIONS(3648),
    [anon_sym_AT] = ACTIONS(3648),
    [anon_sym_static] = ACTIONS(3648),
    [anon_sym_readonly] = ACTIONS(3648),
    [anon_sym_get] = ACTIONS(3648),
    [anon_sym_set] = ACTIONS(3648),
    [anon_sym_declare] = ACTIONS(3648),
    [anon_sym_public] = ACTIONS(3648),
    [anon_sym_private] = ACTIONS(3648),
    [anon_sym_protected] = ACTIONS(3648),
    [anon_sym_override] = ACTIONS(3648),
    [anon_sym_module] = ACTIONS(3648),
    [anon_sym_any] = ACTIONS(3648),
    [anon_sym_number] = ACTIONS(3648),
    [anon_sym_boolean] = ACTIONS(3648),
    [anon_sym_string] = ACTIONS(3648),
    [anon_sym_symbol] = ACTIONS(3648),
    [anon_sym_object] = ACTIONS(3648),
    [anon_sym_property] = ACTIONS(3648),
    [anon_sym_signal] = ACTIONS(3648),
    [anon_sym_on] = ACTIONS(3648),
    [anon_sym_required] = ACTIONS(3648),
    [anon_sym_component] = ACTIONS(3648),
    [anon_sym_abstract] = ACTIONS(3648),
    [anon_sym_interface] = ACTIONS(3648),
    [anon_sym_enum] = ACTIONS(3648),
    [sym_html_comment] = ACTIONS(5),
  },
  [1808] = {
    [sym_comment] = STATE(1808),
    [sym_identifier] = ACTIONS(3654),
    [anon_sym_export] = ACTIONS(3654),
    [anon_sym_type] = ACTIONS(3654),
    [anon_sym_namespace] = ACTIONS(3654),
    [anon_sym_LBRACE] = ACTIONS(3654),
    [anon_sym_RBRACE] = ACTIONS(3654),
    [anon_sym_typeof] = ACTIONS(3654),
    [anon_sym_import] = ACTIONS(3654),
    [anon_sym_from] = ACTIONS(3654),
    [anon_sym_with] = ACTIONS(3654),
    [anon_sym_var] = ACTIONS(3654),
    [anon_sym_let] = ACTIONS(3654),
    [anon_sym_const] = ACTIONS(3654),
    [anon_sym_BANG] = ACTIONS(3654),
    [anon_sym_if] = ACTIONS(3654),
    [anon_sym_switch] = ACTIONS(3654),
    [anon_sym_for] = ACTIONS(3654),
    [anon_sym_LPAREN] = ACTIONS(3654),
    [anon_sym_await] = ACTIONS(3654),
    [anon_sym_of] = ACTIONS(3654),
    [anon_sym_while] = ACTIONS(3654),
    [anon_sym_do] = ACTIONS(3654),
    [anon_sym_try] = ACTIONS(3654),
    [anon_sym_break] = ACTIONS(3654),
    [anon_sym_continue] = ACTIONS(3654),
    [anon_sym_debugger] = ACTIONS(3654),
    [anon_sym_return] = ACTIONS(3654),
    [anon_sym_throw] = ACTIONS(3654),
    [anon_sym_SEMI] = ACTIONS(3654),
    [anon_sym_yield] = ACTIONS(3654),
    [anon_sym_LBRACK] = ACTIONS(3654),
    [anon_sym_LTtemplate_GT] = ACTIONS(3654),
    [anon_sym_DQUOTE] = ACTIONS(3654),
    [anon_sym_SQUOTE] = ACTIONS(3654),
    [anon_sym_class] = ACTIONS(3654),
    [anon_sym_async] = ACTIONS(3654),
    [anon_sym_function] = ACTIONS(3654),
    [anon_sym_new] = ACTIONS(3654),
    [anon_sym_using] = ACTIONS(3654),
    [anon_sym_PLUS] = ACTIONS(3654),
    [anon_sym_DASH] = ACTIONS(3654),
    [anon_sym_SLASH] = ACTIONS(3654),
    [anon_sym_LT] = ACTIONS(3654),
    [anon_sym_TILDE] = ACTIONS(3654),
    [anon_sym_void] = ACTIONS(3654),
    [anon_sym_delete] = ACTIONS(3654),
    [anon_sym_PLUS_PLUS] = ACTIONS(3654),
    [anon_sym_DASH_DASH] = ACTIONS(3654),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3654),
    [sym_number] = ACTIONS(3654),
    [sym_private_property_identifier] = ACTIONS(3654),
    [sym_this] = ACTIONS(3654),
    [sym_super] = ACTIONS(3654),
    [sym_true] = ACTIONS(3654),
    [sym_false] = ACTIONS(3654),
    [sym_null] = ACTIONS(3654),
    [sym_undefined] = ACTIONS(3654),
    [anon_sym_AT] = ACTIONS(3654),
    [anon_sym_static] = ACTIONS(3654),
    [anon_sym_readonly] = ACTIONS(3654),
    [anon_sym_get] = ACTIONS(3654),
    [anon_sym_set] = ACTIONS(3654),
    [anon_sym_declare] = ACTIONS(3654),
    [anon_sym_public] = ACTIONS(3654),
    [anon_sym_private] = ACTIONS(3654),
    [anon_sym_protected] = ACTIONS(3654),
    [anon_sym_override] = ACTIONS(3654),
    [anon_sym_module] = ACTIONS(3654),
    [anon_sym_any] = ACTIONS(3654),
    [anon_sym_number] = ACTIONS(3654),
    [anon_sym_boolean] = ACTIONS(3654),
    [anon_sym_string] = ACTIONS(3654),
    [anon_sym_symbol] = ACTIONS(3654),
    [anon_sym_object] = ACTIONS(3654),
    [anon_sym_property] = ACTIONS(3654),
    [anon_sym_signal] = ACTIONS(3654),
    [anon_sym_on] = ACTIONS(3654),
    [anon_sym_required] = ACTIONS(3654),
    [anon_sym_component] = ACTIONS(3654),
    [anon_sym_abstract] = ACTIONS(3654),
    [anon_sym_interface] = ACTIONS(3654),
    [anon_sym_enum] = ACTIONS(3654),
    [sym_html_comment] = ACTIONS(5),
  },
  [1809] = {
    [sym_comment] = STATE(1809),
    [sym_identifier] = ACTIONS(3678),
    [anon_sym_export] = ACTIONS(3678),
    [anon_sym_type] = ACTIONS(3678),
    [anon_sym_namespace] = ACTIONS(3678),
    [anon_sym_LBRACE] = ACTIONS(3678),
    [anon_sym_RBRACE] = ACTIONS(3678),
    [anon_sym_typeof] = ACTIONS(3678),
    [anon_sym_import] = ACTIONS(3678),
    [anon_sym_from] = ACTIONS(3678),
    [anon_sym_with] = ACTIONS(3678),
    [anon_sym_var] = ACTIONS(3678),
    [anon_sym_let] = ACTIONS(3678),
    [anon_sym_const] = ACTIONS(3678),
    [anon_sym_BANG] = ACTIONS(3678),
    [anon_sym_if] = ACTIONS(3678),
    [anon_sym_switch] = ACTIONS(3678),
    [anon_sym_for] = ACTIONS(3678),
    [anon_sym_LPAREN] = ACTIONS(3678),
    [anon_sym_await] = ACTIONS(3678),
    [anon_sym_of] = ACTIONS(3678),
    [anon_sym_while] = ACTIONS(3678),
    [anon_sym_do] = ACTIONS(3678),
    [anon_sym_try] = ACTIONS(3678),
    [anon_sym_break] = ACTIONS(3678),
    [anon_sym_continue] = ACTIONS(3678),
    [anon_sym_debugger] = ACTIONS(3678),
    [anon_sym_return] = ACTIONS(3678),
    [anon_sym_throw] = ACTIONS(3678),
    [anon_sym_SEMI] = ACTIONS(3678),
    [anon_sym_yield] = ACTIONS(3678),
    [anon_sym_LBRACK] = ACTIONS(3678),
    [anon_sym_LTtemplate_GT] = ACTIONS(3678),
    [anon_sym_DQUOTE] = ACTIONS(3678),
    [anon_sym_SQUOTE] = ACTIONS(3678),
    [anon_sym_class] = ACTIONS(3678),
    [anon_sym_async] = ACTIONS(3678),
    [anon_sym_function] = ACTIONS(3678),
    [anon_sym_new] = ACTIONS(3678),
    [anon_sym_using] = ACTIONS(3678),
    [anon_sym_PLUS] = ACTIONS(3678),
    [anon_sym_DASH] = ACTIONS(3678),
    [anon_sym_SLASH] = ACTIONS(3678),
    [anon_sym_LT] = ACTIONS(3678),
    [anon_sym_TILDE] = ACTIONS(3678),
    [anon_sym_void] = ACTIONS(3678),
    [anon_sym_delete] = ACTIONS(3678),
    [anon_sym_PLUS_PLUS] = ACTIONS(3678),
    [anon_sym_DASH_DASH] = ACTIONS(3678),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3678),
    [sym_number] = ACTIONS(3678),
    [sym_private_property_identifier] = ACTIONS(3678),
    [sym_this] = ACTIONS(3678),
    [sym_super] = ACTIONS(3678),
    [sym_true] = ACTIONS(3678),
    [sym_false] = ACTIONS(3678),
    [sym_null] = ACTIONS(3678),
    [sym_undefined] = ACTIONS(3678),
    [anon_sym_AT] = ACTIONS(3678),
    [anon_sym_static] = ACTIONS(3678),
    [anon_sym_readonly] = ACTIONS(3678),
    [anon_sym_get] = ACTIONS(3678),
    [anon_sym_set] = ACTIONS(3678),
    [anon_sym_declare] = ACTIONS(3678),
    [anon_sym_public] = ACTIONS(3678),
    [anon_sym_private] = ACTIONS(3678),
    [anon_sym_protected] = ACTIONS(3678),
    [anon_sym_override] = ACTIONS(3678),
    [anon_sym_module] = ACTIONS(3678),
    [anon_sym_any] = ACTIONS(3678),
    [anon_sym_number] = ACTIONS(3678),
    [anon_sym_boolean] = ACTIONS(3678),
    [anon_sym_string] = ACTIONS(3678),
    [anon_sym_symbol] = ACTIONS(3678),
    [anon_sym_object] = ACTIONS(3678),
    [anon_sym_property] = ACTIONS(3678),
    [anon_sym_signal] = ACTIONS(3678),
    [anon_sym_on] = ACTIONS(3678),
    [anon_sym_required] = ACTIONS(3678),
    [anon_sym_component] = ACTIONS(3678),
    [anon_sym_abstract] = ACTIONS(3678),
    [anon_sym_interface] = ACTIONS(3678),
    [anon_sym_enum] = ACTIONS(3678),
    [sym_html_comment] = ACTIONS(5),
  },
  [1810] = {
    [sym_comment] = STATE(1810),
    [sym_identifier] = ACTIONS(3658),
    [anon_sym_export] = ACTIONS(3658),
    [anon_sym_type] = ACTIONS(3658),
    [anon_sym_namespace] = ACTIONS(3658),
    [anon_sym_LBRACE] = ACTIONS(3658),
    [anon_sym_RBRACE] = ACTIONS(3658),
    [anon_sym_typeof] = ACTIONS(3658),
    [anon_sym_import] = ACTIONS(3658),
    [anon_sym_from] = ACTIONS(3658),
    [anon_sym_with] = ACTIONS(3658),
    [anon_sym_var] = ACTIONS(3658),
    [anon_sym_let] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3658),
    [anon_sym_BANG] = ACTIONS(3658),
    [anon_sym_if] = ACTIONS(3658),
    [anon_sym_switch] = ACTIONS(3658),
    [anon_sym_for] = ACTIONS(3658),
    [anon_sym_LPAREN] = ACTIONS(3658),
    [anon_sym_await] = ACTIONS(3658),
    [anon_sym_of] = ACTIONS(3658),
    [anon_sym_while] = ACTIONS(3658),
    [anon_sym_do] = ACTIONS(3658),
    [anon_sym_try] = ACTIONS(3658),
    [anon_sym_break] = ACTIONS(3658),
    [anon_sym_continue] = ACTIONS(3658),
    [anon_sym_debugger] = ACTIONS(3658),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_throw] = ACTIONS(3658),
    [anon_sym_SEMI] = ACTIONS(3658),
    [anon_sym_yield] = ACTIONS(3658),
    [anon_sym_LBRACK] = ACTIONS(3658),
    [anon_sym_LTtemplate_GT] = ACTIONS(3658),
    [anon_sym_DQUOTE] = ACTIONS(3658),
    [anon_sym_SQUOTE] = ACTIONS(3658),
    [anon_sym_class] = ACTIONS(3658),
    [anon_sym_async] = ACTIONS(3658),
    [anon_sym_function] = ACTIONS(3658),
    [anon_sym_new] = ACTIONS(3658),
    [anon_sym_using] = ACTIONS(3658),
    [anon_sym_PLUS] = ACTIONS(3658),
    [anon_sym_DASH] = ACTIONS(3658),
    [anon_sym_SLASH] = ACTIONS(3658),
    [anon_sym_LT] = ACTIONS(3658),
    [anon_sym_TILDE] = ACTIONS(3658),
    [anon_sym_void] = ACTIONS(3658),
    [anon_sym_delete] = ACTIONS(3658),
    [anon_sym_PLUS_PLUS] = ACTIONS(3658),
    [anon_sym_DASH_DASH] = ACTIONS(3658),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3658),
    [sym_number] = ACTIONS(3658),
    [sym_private_property_identifier] = ACTIONS(3658),
    [sym_this] = ACTIONS(3658),
    [sym_super] = ACTIONS(3658),
    [sym_true] = ACTIONS(3658),
    [sym_false] = ACTIONS(3658),
    [sym_null] = ACTIONS(3658),
    [sym_undefined] = ACTIONS(3658),
    [anon_sym_AT] = ACTIONS(3658),
    [anon_sym_static] = ACTIONS(3658),
    [anon_sym_readonly] = ACTIONS(3658),
    [anon_sym_get] = ACTIONS(3658),
    [anon_sym_set] = ACTIONS(3658),
    [anon_sym_declare] = ACTIONS(3658),
    [anon_sym_public] = ACTIONS(3658),
    [anon_sym_private] = ACTIONS(3658),
    [anon_sym_protected] = ACTIONS(3658),
    [anon_sym_override] = ACTIONS(3658),
    [anon_sym_module] = ACTIONS(3658),
    [anon_sym_any] = ACTIONS(3658),
    [anon_sym_number] = ACTIONS(3658),
    [anon_sym_boolean] = ACTIONS(3658),
    [anon_sym_string] = ACTIONS(3658),
    [anon_sym_symbol] = ACTIONS(3658),
    [anon_sym_object] = ACTIONS(3658),
    [anon_sym_property] = ACTIONS(3658),
    [anon_sym_signal] = ACTIONS(3658),
    [anon_sym_on] = ACTIONS(3658),
    [anon_sym_required] = ACTIONS(3658),
    [anon_sym_component] = ACTIONS(3658),
    [anon_sym_abstract] = ACTIONS(3658),
    [anon_sym_interface] = ACTIONS(3658),
    [anon_sym_enum] = ACTIONS(3658),
    [sym_html_comment] = ACTIONS(5),
  },
  [1811] = {
    [sym_comment] = STATE(1811),
    [sym_identifier] = ACTIONS(3660),
    [anon_sym_export] = ACTIONS(3660),
    [anon_sym_type] = ACTIONS(3660),
    [anon_sym_namespace] = ACTIONS(3660),
    [anon_sym_LBRACE] = ACTIONS(3660),
    [anon_sym_RBRACE] = ACTIONS(3660),
    [anon_sym_typeof] = ACTIONS(3660),
    [anon_sym_import] = ACTIONS(3660),
    [anon_sym_from] = ACTIONS(3660),
    [anon_sym_with] = ACTIONS(3660),
    [anon_sym_var] = ACTIONS(3660),
    [anon_sym_let] = ACTIONS(3660),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_BANG] = ACTIONS(3660),
    [anon_sym_if] = ACTIONS(3660),
    [anon_sym_switch] = ACTIONS(3660),
    [anon_sym_for] = ACTIONS(3660),
    [anon_sym_LPAREN] = ACTIONS(3660),
    [anon_sym_await] = ACTIONS(3660),
    [anon_sym_of] = ACTIONS(3660),
    [anon_sym_while] = ACTIONS(3660),
    [anon_sym_do] = ACTIONS(3660),
    [anon_sym_try] = ACTIONS(3660),
    [anon_sym_break] = ACTIONS(3660),
    [anon_sym_continue] = ACTIONS(3660),
    [anon_sym_debugger] = ACTIONS(3660),
    [anon_sym_return] = ACTIONS(3660),
    [anon_sym_throw] = ACTIONS(3660),
    [anon_sym_SEMI] = ACTIONS(3660),
    [anon_sym_yield] = ACTIONS(3660),
    [anon_sym_LBRACK] = ACTIONS(3660),
    [anon_sym_LTtemplate_GT] = ACTIONS(3660),
    [anon_sym_DQUOTE] = ACTIONS(3660),
    [anon_sym_SQUOTE] = ACTIONS(3660),
    [anon_sym_class] = ACTIONS(3660),
    [anon_sym_async] = ACTIONS(3660),
    [anon_sym_function] = ACTIONS(3660),
    [anon_sym_new] = ACTIONS(3660),
    [anon_sym_using] = ACTIONS(3660),
    [anon_sym_PLUS] = ACTIONS(3660),
    [anon_sym_DASH] = ACTIONS(3660),
    [anon_sym_SLASH] = ACTIONS(3660),
    [anon_sym_LT] = ACTIONS(3660),
    [anon_sym_TILDE] = ACTIONS(3660),
    [anon_sym_void] = ACTIONS(3660),
    [anon_sym_delete] = ACTIONS(3660),
    [anon_sym_PLUS_PLUS] = ACTIONS(3660),
    [anon_sym_DASH_DASH] = ACTIONS(3660),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3660),
    [sym_number] = ACTIONS(3660),
    [sym_private_property_identifier] = ACTIONS(3660),
    [sym_this] = ACTIONS(3660),
    [sym_super] = ACTIONS(3660),
    [sym_true] = ACTIONS(3660),
    [sym_false] = ACTIONS(3660),
    [sym_null] = ACTIONS(3660),
    [sym_undefined] = ACTIONS(3660),
    [anon_sym_AT] = ACTIONS(3660),
    [anon_sym_static] = ACTIONS(3660),
    [anon_sym_readonly] = ACTIONS(3660),
    [anon_sym_get] = ACTIONS(3660),
    [anon_sym_set] = ACTIONS(3660),
    [anon_sym_declare] = ACTIONS(3660),
    [anon_sym_public] = ACTIONS(3660),
    [anon_sym_private] = ACTIONS(3660),
    [anon_sym_protected] = ACTIONS(3660),
    [anon_sym_override] = ACTIONS(3660),
    [anon_sym_module] = ACTIONS(3660),
    [anon_sym_any] = ACTIONS(3660),
    [anon_sym_number] = ACTIONS(3660),
    [anon_sym_boolean] = ACTIONS(3660),
    [anon_sym_string] = ACTIONS(3660),
    [anon_sym_symbol] = ACTIONS(3660),
    [anon_sym_object] = ACTIONS(3660),
    [anon_sym_property] = ACTIONS(3660),
    [anon_sym_signal] = ACTIONS(3660),
    [anon_sym_on] = ACTIONS(3660),
    [anon_sym_required] = ACTIONS(3660),
    [anon_sym_component] = ACTIONS(3660),
    [anon_sym_abstract] = ACTIONS(3660),
    [anon_sym_interface] = ACTIONS(3660),
    [anon_sym_enum] = ACTIONS(3660),
    [sym_html_comment] = ACTIONS(5),
  },
  [1812] = {
    [sym_comment] = STATE(1812),
    [sym_identifier] = ACTIONS(3558),
    [anon_sym_export] = ACTIONS(3558),
    [anon_sym_type] = ACTIONS(3558),
    [anon_sym_namespace] = ACTIONS(3558),
    [anon_sym_LBRACE] = ACTIONS(3558),
    [anon_sym_RBRACE] = ACTIONS(3558),
    [anon_sym_typeof] = ACTIONS(3558),
    [anon_sym_import] = ACTIONS(3558),
    [anon_sym_from] = ACTIONS(3558),
    [anon_sym_with] = ACTIONS(3558),
    [anon_sym_var] = ACTIONS(3558),
    [anon_sym_let] = ACTIONS(3558),
    [anon_sym_const] = ACTIONS(3558),
    [anon_sym_BANG] = ACTIONS(3558),
    [anon_sym_if] = ACTIONS(3558),
    [anon_sym_switch] = ACTIONS(3558),
    [anon_sym_for] = ACTIONS(3558),
    [anon_sym_LPAREN] = ACTIONS(3558),
    [anon_sym_await] = ACTIONS(3558),
    [anon_sym_of] = ACTIONS(3558),
    [anon_sym_while] = ACTIONS(3558),
    [anon_sym_do] = ACTIONS(3558),
    [anon_sym_try] = ACTIONS(3558),
    [anon_sym_break] = ACTIONS(3558),
    [anon_sym_continue] = ACTIONS(3558),
    [anon_sym_debugger] = ACTIONS(3558),
    [anon_sym_return] = ACTIONS(3558),
    [anon_sym_throw] = ACTIONS(3558),
    [anon_sym_SEMI] = ACTIONS(3558),
    [anon_sym_yield] = ACTIONS(3558),
    [anon_sym_LBRACK] = ACTIONS(3558),
    [anon_sym_LTtemplate_GT] = ACTIONS(3558),
    [anon_sym_DQUOTE] = ACTIONS(3558),
    [anon_sym_SQUOTE] = ACTIONS(3558),
    [anon_sym_class] = ACTIONS(3558),
    [anon_sym_async] = ACTIONS(3558),
    [anon_sym_function] = ACTIONS(3558),
    [anon_sym_new] = ACTIONS(3558),
    [anon_sym_using] = ACTIONS(3558),
    [anon_sym_PLUS] = ACTIONS(3558),
    [anon_sym_DASH] = ACTIONS(3558),
    [anon_sym_SLASH] = ACTIONS(3558),
    [anon_sym_LT] = ACTIONS(3558),
    [anon_sym_TILDE] = ACTIONS(3558),
    [anon_sym_void] = ACTIONS(3558),
    [anon_sym_delete] = ACTIONS(3558),
    [anon_sym_PLUS_PLUS] = ACTIONS(3558),
    [anon_sym_DASH_DASH] = ACTIONS(3558),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3558),
    [sym_number] = ACTIONS(3558),
    [sym_private_property_identifier] = ACTIONS(3558),
    [sym_this] = ACTIONS(3558),
    [sym_super] = ACTIONS(3558),
    [sym_true] = ACTIONS(3558),
    [sym_false] = ACTIONS(3558),
    [sym_null] = ACTIONS(3558),
    [sym_undefined] = ACTIONS(3558),
    [anon_sym_AT] = ACTIONS(3558),
    [anon_sym_static] = ACTIONS(3558),
    [anon_sym_readonly] = ACTIONS(3558),
    [anon_sym_get] = ACTIONS(3558),
    [anon_sym_set] = ACTIONS(3558),
    [anon_sym_declare] = ACTIONS(3558),
    [anon_sym_public] = ACTIONS(3558),
    [anon_sym_private] = ACTIONS(3558),
    [anon_sym_protected] = ACTIONS(3558),
    [anon_sym_override] = ACTIONS(3558),
    [anon_sym_module] = ACTIONS(3558),
    [anon_sym_any] = ACTIONS(3558),
    [anon_sym_number] = ACTIONS(3558),
    [anon_sym_boolean] = ACTIONS(3558),
    [anon_sym_string] = ACTIONS(3558),
    [anon_sym_symbol] = ACTIONS(3558),
    [anon_sym_object] = ACTIONS(3558),
    [anon_sym_property] = ACTIONS(3558),
    [anon_sym_signal] = ACTIONS(3558),
    [anon_sym_on] = ACTIONS(3558),
    [anon_sym_required] = ACTIONS(3558),
    [anon_sym_component] = ACTIONS(3558),
    [anon_sym_abstract] = ACTIONS(3558),
    [anon_sym_interface] = ACTIONS(3558),
    [anon_sym_enum] = ACTIONS(3558),
    [sym_html_comment] = ACTIONS(5),
  },
  [1813] = {
    [sym_comment] = STATE(1813),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1814] = {
    [sym_comment] = STATE(1814),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1815] = {
    [sym_comment] = STATE(1815),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1816] = {
    [sym_comment] = STATE(1816),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1817] = {
    [sym_comment] = STATE(1817),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_export] = ACTIONS(2442),
    [anon_sym_type] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_typeof] = ACTIONS(2442),
    [anon_sym_import] = ACTIONS(2442),
    [anon_sym_from] = ACTIONS(2442),
    [anon_sym_with] = ACTIONS(2442),
    [anon_sym_var] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_const] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_switch] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_await] = ACTIONS(2442),
    [anon_sym_of] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2442),
    [anon_sym_do] = ACTIONS(2442),
    [anon_sym_try] = ACTIONS(2442),
    [anon_sym_break] = ACTIONS(2442),
    [anon_sym_continue] = ACTIONS(2442),
    [anon_sym_debugger] = ACTIONS(2442),
    [anon_sym_return] = ACTIONS(2442),
    [anon_sym_throw] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_yield] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LTtemplate_GT] = ACTIONS(2442),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_class] = ACTIONS(2442),
    [anon_sym_async] = ACTIONS(2442),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_new] = ACTIONS(2442),
    [anon_sym_using] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_void] = ACTIONS(2442),
    [anon_sym_delete] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2442),
    [sym_number] = ACTIONS(2442),
    [sym_private_property_identifier] = ACTIONS(2442),
    [sym_this] = ACTIONS(2442),
    [sym_super] = ACTIONS(2442),
    [sym_true] = ACTIONS(2442),
    [sym_false] = ACTIONS(2442),
    [sym_null] = ACTIONS(2442),
    [sym_undefined] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_readonly] = ACTIONS(2442),
    [anon_sym_get] = ACTIONS(2442),
    [anon_sym_set] = ACTIONS(2442),
    [anon_sym_declare] = ACTIONS(2442),
    [anon_sym_public] = ACTIONS(2442),
    [anon_sym_private] = ACTIONS(2442),
    [anon_sym_protected] = ACTIONS(2442),
    [anon_sym_override] = ACTIONS(2442),
    [anon_sym_module] = ACTIONS(2442),
    [anon_sym_any] = ACTIONS(2442),
    [anon_sym_number] = ACTIONS(2442),
    [anon_sym_boolean] = ACTIONS(2442),
    [anon_sym_string] = ACTIONS(2442),
    [anon_sym_symbol] = ACTIONS(2442),
    [anon_sym_object] = ACTIONS(2442),
    [anon_sym_property] = ACTIONS(2442),
    [anon_sym_signal] = ACTIONS(2442),
    [anon_sym_on] = ACTIONS(2442),
    [anon_sym_required] = ACTIONS(2442),
    [anon_sym_component] = ACTIONS(2442),
    [anon_sym_abstract] = ACTIONS(2442),
    [anon_sym_interface] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [sym_html_comment] = ACTIONS(5),
  },
  [1818] = {
    [sym_comment] = STATE(1818),
    [sym_identifier] = ACTIONS(3542),
    [anon_sym_export] = ACTIONS(3542),
    [anon_sym_type] = ACTIONS(3542),
    [anon_sym_namespace] = ACTIONS(3542),
    [anon_sym_LBRACE] = ACTIONS(3542),
    [anon_sym_RBRACE] = ACTIONS(3542),
    [anon_sym_typeof] = ACTIONS(3542),
    [anon_sym_import] = ACTIONS(3542),
    [anon_sym_from] = ACTIONS(3542),
    [anon_sym_with] = ACTIONS(3542),
    [anon_sym_var] = ACTIONS(3542),
    [anon_sym_let] = ACTIONS(3542),
    [anon_sym_const] = ACTIONS(3542),
    [anon_sym_BANG] = ACTIONS(3542),
    [anon_sym_if] = ACTIONS(3542),
    [anon_sym_switch] = ACTIONS(3542),
    [anon_sym_for] = ACTIONS(3542),
    [anon_sym_LPAREN] = ACTIONS(3542),
    [anon_sym_await] = ACTIONS(3542),
    [anon_sym_of] = ACTIONS(3542),
    [anon_sym_while] = ACTIONS(3542),
    [anon_sym_do] = ACTIONS(3542),
    [anon_sym_try] = ACTIONS(3542),
    [anon_sym_break] = ACTIONS(3542),
    [anon_sym_continue] = ACTIONS(3542),
    [anon_sym_debugger] = ACTIONS(3542),
    [anon_sym_return] = ACTIONS(3542),
    [anon_sym_throw] = ACTIONS(3542),
    [anon_sym_SEMI] = ACTIONS(3542),
    [anon_sym_yield] = ACTIONS(3542),
    [anon_sym_LBRACK] = ACTIONS(3542),
    [anon_sym_LTtemplate_GT] = ACTIONS(3542),
    [anon_sym_DQUOTE] = ACTIONS(3542),
    [anon_sym_SQUOTE] = ACTIONS(3542),
    [anon_sym_class] = ACTIONS(3542),
    [anon_sym_async] = ACTIONS(3542),
    [anon_sym_function] = ACTIONS(3542),
    [anon_sym_new] = ACTIONS(3542),
    [anon_sym_using] = ACTIONS(3542),
    [anon_sym_PLUS] = ACTIONS(3542),
    [anon_sym_DASH] = ACTIONS(3542),
    [anon_sym_SLASH] = ACTIONS(3542),
    [anon_sym_LT] = ACTIONS(3542),
    [anon_sym_TILDE] = ACTIONS(3542),
    [anon_sym_void] = ACTIONS(3542),
    [anon_sym_delete] = ACTIONS(3542),
    [anon_sym_PLUS_PLUS] = ACTIONS(3542),
    [anon_sym_DASH_DASH] = ACTIONS(3542),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3542),
    [sym_number] = ACTIONS(3542),
    [sym_private_property_identifier] = ACTIONS(3542),
    [sym_this] = ACTIONS(3542),
    [sym_super] = ACTIONS(3542),
    [sym_true] = ACTIONS(3542),
    [sym_false] = ACTIONS(3542),
    [sym_null] = ACTIONS(3542),
    [sym_undefined] = ACTIONS(3542),
    [anon_sym_AT] = ACTIONS(3542),
    [anon_sym_static] = ACTIONS(3542),
    [anon_sym_readonly] = ACTIONS(3542),
    [anon_sym_get] = ACTIONS(3542),
    [anon_sym_set] = ACTIONS(3542),
    [anon_sym_declare] = ACTIONS(3542),
    [anon_sym_public] = ACTIONS(3542),
    [anon_sym_private] = ACTIONS(3542),
    [anon_sym_protected] = ACTIONS(3542),
    [anon_sym_override] = ACTIONS(3542),
    [anon_sym_module] = ACTIONS(3542),
    [anon_sym_any] = ACTIONS(3542),
    [anon_sym_number] = ACTIONS(3542),
    [anon_sym_boolean] = ACTIONS(3542),
    [anon_sym_string] = ACTIONS(3542),
    [anon_sym_symbol] = ACTIONS(3542),
    [anon_sym_object] = ACTIONS(3542),
    [anon_sym_property] = ACTIONS(3542),
    [anon_sym_signal] = ACTIONS(3542),
    [anon_sym_on] = ACTIONS(3542),
    [anon_sym_required] = ACTIONS(3542),
    [anon_sym_component] = ACTIONS(3542),
    [anon_sym_abstract] = ACTIONS(3542),
    [anon_sym_interface] = ACTIONS(3542),
    [anon_sym_enum] = ACTIONS(3542),
    [sym_html_comment] = ACTIONS(5),
  },
  [1819] = {
    [sym_comment] = STATE(1819),
    [sym_identifier] = ACTIONS(3540),
    [anon_sym_export] = ACTIONS(3540),
    [anon_sym_type] = ACTIONS(3540),
    [anon_sym_namespace] = ACTIONS(3540),
    [anon_sym_LBRACE] = ACTIONS(3540),
    [anon_sym_RBRACE] = ACTIONS(3540),
    [anon_sym_typeof] = ACTIONS(3540),
    [anon_sym_import] = ACTIONS(3540),
    [anon_sym_from] = ACTIONS(3540),
    [anon_sym_with] = ACTIONS(3540),
    [anon_sym_var] = ACTIONS(3540),
    [anon_sym_let] = ACTIONS(3540),
    [anon_sym_const] = ACTIONS(3540),
    [anon_sym_BANG] = ACTIONS(3540),
    [anon_sym_if] = ACTIONS(3540),
    [anon_sym_switch] = ACTIONS(3540),
    [anon_sym_for] = ACTIONS(3540),
    [anon_sym_LPAREN] = ACTIONS(3540),
    [anon_sym_await] = ACTIONS(3540),
    [anon_sym_of] = ACTIONS(3540),
    [anon_sym_while] = ACTIONS(3540),
    [anon_sym_do] = ACTIONS(3540),
    [anon_sym_try] = ACTIONS(3540),
    [anon_sym_break] = ACTIONS(3540),
    [anon_sym_continue] = ACTIONS(3540),
    [anon_sym_debugger] = ACTIONS(3540),
    [anon_sym_return] = ACTIONS(3540),
    [anon_sym_throw] = ACTIONS(3540),
    [anon_sym_SEMI] = ACTIONS(3540),
    [anon_sym_yield] = ACTIONS(3540),
    [anon_sym_LBRACK] = ACTIONS(3540),
    [anon_sym_LTtemplate_GT] = ACTIONS(3540),
    [anon_sym_DQUOTE] = ACTIONS(3540),
    [anon_sym_SQUOTE] = ACTIONS(3540),
    [anon_sym_class] = ACTIONS(3540),
    [anon_sym_async] = ACTIONS(3540),
    [anon_sym_function] = ACTIONS(3540),
    [anon_sym_new] = ACTIONS(3540),
    [anon_sym_using] = ACTIONS(3540),
    [anon_sym_PLUS] = ACTIONS(3540),
    [anon_sym_DASH] = ACTIONS(3540),
    [anon_sym_SLASH] = ACTIONS(3540),
    [anon_sym_LT] = ACTIONS(3540),
    [anon_sym_TILDE] = ACTIONS(3540),
    [anon_sym_void] = ACTIONS(3540),
    [anon_sym_delete] = ACTIONS(3540),
    [anon_sym_PLUS_PLUS] = ACTIONS(3540),
    [anon_sym_DASH_DASH] = ACTIONS(3540),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3540),
    [sym_number] = ACTIONS(3540),
    [sym_private_property_identifier] = ACTIONS(3540),
    [sym_this] = ACTIONS(3540),
    [sym_super] = ACTIONS(3540),
    [sym_true] = ACTIONS(3540),
    [sym_false] = ACTIONS(3540),
    [sym_null] = ACTIONS(3540),
    [sym_undefined] = ACTIONS(3540),
    [anon_sym_AT] = ACTIONS(3540),
    [anon_sym_static] = ACTIONS(3540),
    [anon_sym_readonly] = ACTIONS(3540),
    [anon_sym_get] = ACTIONS(3540),
    [anon_sym_set] = ACTIONS(3540),
    [anon_sym_declare] = ACTIONS(3540),
    [anon_sym_public] = ACTIONS(3540),
    [anon_sym_private] = ACTIONS(3540),
    [anon_sym_protected] = ACTIONS(3540),
    [anon_sym_override] = ACTIONS(3540),
    [anon_sym_module] = ACTIONS(3540),
    [anon_sym_any] = ACTIONS(3540),
    [anon_sym_number] = ACTIONS(3540),
    [anon_sym_boolean] = ACTIONS(3540),
    [anon_sym_string] = ACTIONS(3540),
    [anon_sym_symbol] = ACTIONS(3540),
    [anon_sym_object] = ACTIONS(3540),
    [anon_sym_property] = ACTIONS(3540),
    [anon_sym_signal] = ACTIONS(3540),
    [anon_sym_on] = ACTIONS(3540),
    [anon_sym_required] = ACTIONS(3540),
    [anon_sym_component] = ACTIONS(3540),
    [anon_sym_abstract] = ACTIONS(3540),
    [anon_sym_interface] = ACTIONS(3540),
    [anon_sym_enum] = ACTIONS(3540),
    [sym_html_comment] = ACTIONS(5),
  },
  [1820] = {
    [sym_comment] = STATE(1820),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1821] = {
    [sym_comment] = STATE(1821),
    [sym_identifier] = ACTIONS(3524),
    [anon_sym_export] = ACTIONS(3524),
    [anon_sym_type] = ACTIONS(3524),
    [anon_sym_namespace] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3524),
    [anon_sym_RBRACE] = ACTIONS(3524),
    [anon_sym_typeof] = ACTIONS(3524),
    [anon_sym_import] = ACTIONS(3524),
    [anon_sym_from] = ACTIONS(3524),
    [anon_sym_with] = ACTIONS(3524),
    [anon_sym_var] = ACTIONS(3524),
    [anon_sym_let] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3524),
    [anon_sym_BANG] = ACTIONS(3524),
    [anon_sym_if] = ACTIONS(3524),
    [anon_sym_switch] = ACTIONS(3524),
    [anon_sym_for] = ACTIONS(3524),
    [anon_sym_LPAREN] = ACTIONS(3524),
    [anon_sym_await] = ACTIONS(3524),
    [anon_sym_of] = ACTIONS(3524),
    [anon_sym_while] = ACTIONS(3524),
    [anon_sym_do] = ACTIONS(3524),
    [anon_sym_try] = ACTIONS(3524),
    [anon_sym_break] = ACTIONS(3524),
    [anon_sym_continue] = ACTIONS(3524),
    [anon_sym_debugger] = ACTIONS(3524),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_throw] = ACTIONS(3524),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_yield] = ACTIONS(3524),
    [anon_sym_LBRACK] = ACTIONS(3524),
    [anon_sym_LTtemplate_GT] = ACTIONS(3524),
    [anon_sym_DQUOTE] = ACTIONS(3524),
    [anon_sym_SQUOTE] = ACTIONS(3524),
    [anon_sym_class] = ACTIONS(3524),
    [anon_sym_async] = ACTIONS(3524),
    [anon_sym_function] = ACTIONS(3524),
    [anon_sym_new] = ACTIONS(3524),
    [anon_sym_using] = ACTIONS(3524),
    [anon_sym_PLUS] = ACTIONS(3524),
    [anon_sym_DASH] = ACTIONS(3524),
    [anon_sym_SLASH] = ACTIONS(3524),
    [anon_sym_LT] = ACTIONS(3524),
    [anon_sym_TILDE] = ACTIONS(3524),
    [anon_sym_void] = ACTIONS(3524),
    [anon_sym_delete] = ACTIONS(3524),
    [anon_sym_PLUS_PLUS] = ACTIONS(3524),
    [anon_sym_DASH_DASH] = ACTIONS(3524),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3524),
    [sym_number] = ACTIONS(3524),
    [sym_private_property_identifier] = ACTIONS(3524),
    [sym_this] = ACTIONS(3524),
    [sym_super] = ACTIONS(3524),
    [sym_true] = ACTIONS(3524),
    [sym_false] = ACTIONS(3524),
    [sym_null] = ACTIONS(3524),
    [sym_undefined] = ACTIONS(3524),
    [anon_sym_AT] = ACTIONS(3524),
    [anon_sym_static] = ACTIONS(3524),
    [anon_sym_readonly] = ACTIONS(3524),
    [anon_sym_get] = ACTIONS(3524),
    [anon_sym_set] = ACTIONS(3524),
    [anon_sym_declare] = ACTIONS(3524),
    [anon_sym_public] = ACTIONS(3524),
    [anon_sym_private] = ACTIONS(3524),
    [anon_sym_protected] = ACTIONS(3524),
    [anon_sym_override] = ACTIONS(3524),
    [anon_sym_module] = ACTIONS(3524),
    [anon_sym_any] = ACTIONS(3524),
    [anon_sym_number] = ACTIONS(3524),
    [anon_sym_boolean] = ACTIONS(3524),
    [anon_sym_string] = ACTIONS(3524),
    [anon_sym_symbol] = ACTIONS(3524),
    [anon_sym_object] = ACTIONS(3524),
    [anon_sym_property] = ACTIONS(3524),
    [anon_sym_signal] = ACTIONS(3524),
    [anon_sym_on] = ACTIONS(3524),
    [anon_sym_required] = ACTIONS(3524),
    [anon_sym_component] = ACTIONS(3524),
    [anon_sym_abstract] = ACTIONS(3524),
    [anon_sym_interface] = ACTIONS(3524),
    [anon_sym_enum] = ACTIONS(3524),
    [sym_html_comment] = ACTIONS(5),
  },
  [1822] = {
    [sym_comment] = STATE(1822),
    [sym_identifier] = ACTIONS(2338),
    [anon_sym_export] = ACTIONS(2338),
    [anon_sym_type] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2338),
    [anon_sym_RBRACE] = ACTIONS(2338),
    [anon_sym_typeof] = ACTIONS(2338),
    [anon_sym_import] = ACTIONS(2338),
    [anon_sym_from] = ACTIONS(2338),
    [anon_sym_with] = ACTIONS(2338),
    [anon_sym_var] = ACTIONS(2338),
    [anon_sym_let] = ACTIONS(2338),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_BANG] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_LPAREN] = ACTIONS(2338),
    [anon_sym_await] = ACTIONS(2338),
    [anon_sym_of] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_debugger] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2338),
    [anon_sym_yield] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_LTtemplate_GT] = ACTIONS(2338),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE] = ACTIONS(2338),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_async] = ACTIONS(2338),
    [anon_sym_function] = ACTIONS(2338),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_using] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_SLASH] = ACTIONS(2338),
    [anon_sym_LT] = ACTIONS(2338),
    [anon_sym_TILDE] = ACTIONS(2338),
    [anon_sym_void] = ACTIONS(2338),
    [anon_sym_delete] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2338),
    [sym_number] = ACTIONS(2338),
    [sym_private_property_identifier] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [sym_super] = ACTIONS(2338),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [sym_null] = ACTIONS(2338),
    [sym_undefined] = ACTIONS(2338),
    [anon_sym_AT] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_readonly] = ACTIONS(2338),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
    [anon_sym_declare] = ACTIONS(2338),
    [anon_sym_public] = ACTIONS(2338),
    [anon_sym_private] = ACTIONS(2338),
    [anon_sym_protected] = ACTIONS(2338),
    [anon_sym_override] = ACTIONS(2338),
    [anon_sym_module] = ACTIONS(2338),
    [anon_sym_any] = ACTIONS(2338),
    [anon_sym_number] = ACTIONS(2338),
    [anon_sym_boolean] = ACTIONS(2338),
    [anon_sym_string] = ACTIONS(2338),
    [anon_sym_symbol] = ACTIONS(2338),
    [anon_sym_object] = ACTIONS(2338),
    [anon_sym_property] = ACTIONS(2338),
    [anon_sym_signal] = ACTIONS(2338),
    [anon_sym_on] = ACTIONS(2338),
    [anon_sym_required] = ACTIONS(2338),
    [anon_sym_component] = ACTIONS(2338),
    [anon_sym_abstract] = ACTIONS(2338),
    [anon_sym_interface] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [sym_html_comment] = ACTIONS(5),
  },
  [1823] = {
    [sym_comment] = STATE(1823),
    [sym_identifier] = ACTIONS(3676),
    [anon_sym_export] = ACTIONS(3676),
    [anon_sym_type] = ACTIONS(3676),
    [anon_sym_namespace] = ACTIONS(3676),
    [anon_sym_LBRACE] = ACTIONS(3676),
    [anon_sym_RBRACE] = ACTIONS(3676),
    [anon_sym_typeof] = ACTIONS(3676),
    [anon_sym_import] = ACTIONS(3676),
    [anon_sym_from] = ACTIONS(3676),
    [anon_sym_with] = ACTIONS(3676),
    [anon_sym_var] = ACTIONS(3676),
    [anon_sym_let] = ACTIONS(3676),
    [anon_sym_const] = ACTIONS(3676),
    [anon_sym_BANG] = ACTIONS(3676),
    [anon_sym_if] = ACTIONS(3676),
    [anon_sym_switch] = ACTIONS(3676),
    [anon_sym_for] = ACTIONS(3676),
    [anon_sym_LPAREN] = ACTIONS(3676),
    [anon_sym_await] = ACTIONS(3676),
    [anon_sym_of] = ACTIONS(3676),
    [anon_sym_while] = ACTIONS(3676),
    [anon_sym_do] = ACTIONS(3676),
    [anon_sym_try] = ACTIONS(3676),
    [anon_sym_break] = ACTIONS(3676),
    [anon_sym_continue] = ACTIONS(3676),
    [anon_sym_debugger] = ACTIONS(3676),
    [anon_sym_return] = ACTIONS(3676),
    [anon_sym_throw] = ACTIONS(3676),
    [anon_sym_SEMI] = ACTIONS(3676),
    [anon_sym_yield] = ACTIONS(3676),
    [anon_sym_LBRACK] = ACTIONS(3676),
    [anon_sym_LTtemplate_GT] = ACTIONS(3676),
    [anon_sym_DQUOTE] = ACTIONS(3676),
    [anon_sym_SQUOTE] = ACTIONS(3676),
    [anon_sym_class] = ACTIONS(3676),
    [anon_sym_async] = ACTIONS(3676),
    [anon_sym_function] = ACTIONS(3676),
    [anon_sym_new] = ACTIONS(3676),
    [anon_sym_using] = ACTIONS(3676),
    [anon_sym_PLUS] = ACTIONS(3676),
    [anon_sym_DASH] = ACTIONS(3676),
    [anon_sym_SLASH] = ACTIONS(3676),
    [anon_sym_LT] = ACTIONS(3676),
    [anon_sym_TILDE] = ACTIONS(3676),
    [anon_sym_void] = ACTIONS(3676),
    [anon_sym_delete] = ACTIONS(3676),
    [anon_sym_PLUS_PLUS] = ACTIONS(3676),
    [anon_sym_DASH_DASH] = ACTIONS(3676),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3676),
    [sym_number] = ACTIONS(3676),
    [sym_private_property_identifier] = ACTIONS(3676),
    [sym_this] = ACTIONS(3676),
    [sym_super] = ACTIONS(3676),
    [sym_true] = ACTIONS(3676),
    [sym_false] = ACTIONS(3676),
    [sym_null] = ACTIONS(3676),
    [sym_undefined] = ACTIONS(3676),
    [anon_sym_AT] = ACTIONS(3676),
    [anon_sym_static] = ACTIONS(3676),
    [anon_sym_readonly] = ACTIONS(3676),
    [anon_sym_get] = ACTIONS(3676),
    [anon_sym_set] = ACTIONS(3676),
    [anon_sym_declare] = ACTIONS(3676),
    [anon_sym_public] = ACTIONS(3676),
    [anon_sym_private] = ACTIONS(3676),
    [anon_sym_protected] = ACTIONS(3676),
    [anon_sym_override] = ACTIONS(3676),
    [anon_sym_module] = ACTIONS(3676),
    [anon_sym_any] = ACTIONS(3676),
    [anon_sym_number] = ACTIONS(3676),
    [anon_sym_boolean] = ACTIONS(3676),
    [anon_sym_string] = ACTIONS(3676),
    [anon_sym_symbol] = ACTIONS(3676),
    [anon_sym_object] = ACTIONS(3676),
    [anon_sym_property] = ACTIONS(3676),
    [anon_sym_signal] = ACTIONS(3676),
    [anon_sym_on] = ACTIONS(3676),
    [anon_sym_required] = ACTIONS(3676),
    [anon_sym_component] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(3676),
    [anon_sym_interface] = ACTIONS(3676),
    [anon_sym_enum] = ACTIONS(3676),
    [sym_html_comment] = ACTIONS(5),
  },
  [1824] = {
    [sym_comment] = STATE(1824),
    [sym_identifier] = ACTIONS(3738),
    [anon_sym_export] = ACTIONS(3738),
    [anon_sym_type] = ACTIONS(3738),
    [anon_sym_namespace] = ACTIONS(3738),
    [anon_sym_LBRACE] = ACTIONS(3738),
    [anon_sym_typeof] = ACTIONS(3738),
    [anon_sym_import] = ACTIONS(3738),
    [anon_sym_from] = ACTIONS(3738),
    [anon_sym_with] = ACTIONS(3738),
    [anon_sym_var] = ACTIONS(3738),
    [anon_sym_let] = ACTIONS(3738),
    [anon_sym_const] = ACTIONS(3738),
    [anon_sym_BANG] = ACTIONS(3738),
    [anon_sym_if] = ACTIONS(3738),
    [anon_sym_switch] = ACTIONS(3738),
    [anon_sym_for] = ACTIONS(3738),
    [anon_sym_LPAREN] = ACTIONS(3738),
    [anon_sym_await] = ACTIONS(3738),
    [anon_sym_of] = ACTIONS(3738),
    [anon_sym_while] = ACTIONS(3738),
    [anon_sym_do] = ACTIONS(3738),
    [anon_sym_try] = ACTIONS(3738),
    [anon_sym_break] = ACTIONS(3738),
    [anon_sym_continue] = ACTIONS(3738),
    [anon_sym_debugger] = ACTIONS(3738),
    [anon_sym_return] = ACTIONS(3738),
    [anon_sym_throw] = ACTIONS(3738),
    [anon_sym_SEMI] = ACTIONS(3738),
    [anon_sym_yield] = ACTIONS(3738),
    [anon_sym_LBRACK] = ACTIONS(3738),
    [anon_sym_LTtemplate_GT] = ACTIONS(3738),
    [anon_sym_DQUOTE] = ACTIONS(3738),
    [anon_sym_SQUOTE] = ACTIONS(3738),
    [anon_sym_class] = ACTIONS(3738),
    [anon_sym_async] = ACTIONS(3738),
    [anon_sym_function] = ACTIONS(3738),
    [anon_sym_new] = ACTIONS(3738),
    [anon_sym_using] = ACTIONS(3738),
    [anon_sym_PLUS] = ACTIONS(3738),
    [anon_sym_DASH] = ACTIONS(3738),
    [anon_sym_SLASH] = ACTIONS(3738),
    [anon_sym_LT] = ACTIONS(3738),
    [anon_sym_TILDE] = ACTIONS(3738),
    [anon_sym_void] = ACTIONS(3738),
    [anon_sym_delete] = ACTIONS(3738),
    [anon_sym_PLUS_PLUS] = ACTIONS(3738),
    [anon_sym_DASH_DASH] = ACTIONS(3738),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3738),
    [sym_number] = ACTIONS(3738),
    [sym_private_property_identifier] = ACTIONS(3738),
    [sym_this] = ACTIONS(3738),
    [sym_super] = ACTIONS(3738),
    [sym_true] = ACTIONS(3738),
    [sym_false] = ACTIONS(3738),
    [sym_null] = ACTIONS(3738),
    [sym_undefined] = ACTIONS(3738),
    [anon_sym_AT] = ACTIONS(3738),
    [anon_sym_static] = ACTIONS(3738),
    [anon_sym_readonly] = ACTIONS(3738),
    [anon_sym_get] = ACTIONS(3738),
    [anon_sym_set] = ACTIONS(3738),
    [anon_sym_declare] = ACTIONS(3738),
    [anon_sym_public] = ACTIONS(3738),
    [anon_sym_private] = ACTIONS(3738),
    [anon_sym_protected] = ACTIONS(3738),
    [anon_sym_override] = ACTIONS(3738),
    [anon_sym_module] = ACTIONS(3738),
    [anon_sym_any] = ACTIONS(3738),
    [anon_sym_number] = ACTIONS(3738),
    [anon_sym_boolean] = ACTIONS(3738),
    [anon_sym_string] = ACTIONS(3738),
    [anon_sym_symbol] = ACTIONS(3738),
    [anon_sym_object] = ACTIONS(3738),
    [anon_sym_property] = ACTIONS(3738),
    [anon_sym_signal] = ACTIONS(3738),
    [anon_sym_on] = ACTIONS(3738),
    [anon_sym_required] = ACTIONS(3738),
    [anon_sym_component] = ACTIONS(3738),
    [anon_sym_abstract] = ACTIONS(3738),
    [anon_sym_interface] = ACTIONS(3738),
    [anon_sym_enum] = ACTIONS(3738),
    [sym_html_comment] = ACTIONS(5),
  },
  [1825] = {
    [sym_comment] = STATE(1825),
    [sym_identifier] = ACTIONS(3740),
    [anon_sym_export] = ACTIONS(3740),
    [anon_sym_type] = ACTIONS(3740),
    [anon_sym_namespace] = ACTIONS(3740),
    [anon_sym_LBRACE] = ACTIONS(3740),
    [anon_sym_typeof] = ACTIONS(3740),
    [anon_sym_import] = ACTIONS(3740),
    [anon_sym_from] = ACTIONS(3740),
    [anon_sym_with] = ACTIONS(3740),
    [anon_sym_var] = ACTIONS(3740),
    [anon_sym_let] = ACTIONS(3740),
    [anon_sym_const] = ACTIONS(3740),
    [anon_sym_BANG] = ACTIONS(3740),
    [anon_sym_if] = ACTIONS(3740),
    [anon_sym_switch] = ACTIONS(3740),
    [anon_sym_for] = ACTIONS(3740),
    [anon_sym_LPAREN] = ACTIONS(3740),
    [anon_sym_await] = ACTIONS(3740),
    [anon_sym_of] = ACTIONS(3740),
    [anon_sym_while] = ACTIONS(3740),
    [anon_sym_do] = ACTIONS(3740),
    [anon_sym_try] = ACTIONS(3740),
    [anon_sym_break] = ACTIONS(3740),
    [anon_sym_continue] = ACTIONS(3740),
    [anon_sym_debugger] = ACTIONS(3740),
    [anon_sym_return] = ACTIONS(3740),
    [anon_sym_throw] = ACTIONS(3740),
    [anon_sym_SEMI] = ACTIONS(3740),
    [anon_sym_yield] = ACTIONS(3740),
    [anon_sym_LBRACK] = ACTIONS(3740),
    [anon_sym_LTtemplate_GT] = ACTIONS(3740),
    [anon_sym_DQUOTE] = ACTIONS(3740),
    [anon_sym_SQUOTE] = ACTIONS(3740),
    [anon_sym_class] = ACTIONS(3740),
    [anon_sym_async] = ACTIONS(3740),
    [anon_sym_function] = ACTIONS(3740),
    [anon_sym_new] = ACTIONS(3740),
    [anon_sym_using] = ACTIONS(3740),
    [anon_sym_PLUS] = ACTIONS(3740),
    [anon_sym_DASH] = ACTIONS(3740),
    [anon_sym_SLASH] = ACTIONS(3740),
    [anon_sym_LT] = ACTIONS(3740),
    [anon_sym_TILDE] = ACTIONS(3740),
    [anon_sym_void] = ACTIONS(3740),
    [anon_sym_delete] = ACTIONS(3740),
    [anon_sym_PLUS_PLUS] = ACTIONS(3740),
    [anon_sym_DASH_DASH] = ACTIONS(3740),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3740),
    [sym_number] = ACTIONS(3740),
    [sym_private_property_identifier] = ACTIONS(3740),
    [sym_this] = ACTIONS(3740),
    [sym_super] = ACTIONS(3740),
    [sym_true] = ACTIONS(3740),
    [sym_false] = ACTIONS(3740),
    [sym_null] = ACTIONS(3740),
    [sym_undefined] = ACTIONS(3740),
    [anon_sym_AT] = ACTIONS(3740),
    [anon_sym_static] = ACTIONS(3740),
    [anon_sym_readonly] = ACTIONS(3740),
    [anon_sym_get] = ACTIONS(3740),
    [anon_sym_set] = ACTIONS(3740),
    [anon_sym_declare] = ACTIONS(3740),
    [anon_sym_public] = ACTIONS(3740),
    [anon_sym_private] = ACTIONS(3740),
    [anon_sym_protected] = ACTIONS(3740),
    [anon_sym_override] = ACTIONS(3740),
    [anon_sym_module] = ACTIONS(3740),
    [anon_sym_any] = ACTIONS(3740),
    [anon_sym_number] = ACTIONS(3740),
    [anon_sym_boolean] = ACTIONS(3740),
    [anon_sym_string] = ACTIONS(3740),
    [anon_sym_symbol] = ACTIONS(3740),
    [anon_sym_object] = ACTIONS(3740),
    [anon_sym_property] = ACTIONS(3740),
    [anon_sym_signal] = ACTIONS(3740),
    [anon_sym_on] = ACTIONS(3740),
    [anon_sym_required] = ACTIONS(3740),
    [anon_sym_component] = ACTIONS(3740),
    [anon_sym_abstract] = ACTIONS(3740),
    [anon_sym_interface] = ACTIONS(3740),
    [anon_sym_enum] = ACTIONS(3740),
    [sym_html_comment] = ACTIONS(5),
  },
  [1826] = {
    [sym_comment] = STATE(1826),
    [sym_identifier] = ACTIONS(3742),
    [anon_sym_export] = ACTIONS(3742),
    [anon_sym_type] = ACTIONS(3742),
    [anon_sym_namespace] = ACTIONS(3742),
    [anon_sym_LBRACE] = ACTIONS(3742),
    [anon_sym_typeof] = ACTIONS(3742),
    [anon_sym_import] = ACTIONS(3742),
    [anon_sym_from] = ACTIONS(3742),
    [anon_sym_with] = ACTIONS(3742),
    [anon_sym_var] = ACTIONS(3742),
    [anon_sym_let] = ACTIONS(3742),
    [anon_sym_const] = ACTIONS(3742),
    [anon_sym_BANG] = ACTIONS(3742),
    [anon_sym_if] = ACTIONS(3742),
    [anon_sym_switch] = ACTIONS(3742),
    [anon_sym_for] = ACTIONS(3742),
    [anon_sym_LPAREN] = ACTIONS(3742),
    [anon_sym_await] = ACTIONS(3742),
    [anon_sym_of] = ACTIONS(3742),
    [anon_sym_while] = ACTIONS(3742),
    [anon_sym_do] = ACTIONS(3742),
    [anon_sym_try] = ACTIONS(3742),
    [anon_sym_break] = ACTIONS(3742),
    [anon_sym_continue] = ACTIONS(3742),
    [anon_sym_debugger] = ACTIONS(3742),
    [anon_sym_return] = ACTIONS(3742),
    [anon_sym_throw] = ACTIONS(3742),
    [anon_sym_SEMI] = ACTIONS(3742),
    [anon_sym_yield] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(3742),
    [anon_sym_LTtemplate_GT] = ACTIONS(3742),
    [anon_sym_DQUOTE] = ACTIONS(3742),
    [anon_sym_SQUOTE] = ACTIONS(3742),
    [anon_sym_class] = ACTIONS(3742),
    [anon_sym_async] = ACTIONS(3742),
    [anon_sym_function] = ACTIONS(3742),
    [anon_sym_new] = ACTIONS(3742),
    [anon_sym_using] = ACTIONS(3742),
    [anon_sym_PLUS] = ACTIONS(3742),
    [anon_sym_DASH] = ACTIONS(3742),
    [anon_sym_SLASH] = ACTIONS(3742),
    [anon_sym_LT] = ACTIONS(3742),
    [anon_sym_TILDE] = ACTIONS(3742),
    [anon_sym_void] = ACTIONS(3742),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_PLUS_PLUS] = ACTIONS(3742),
    [anon_sym_DASH_DASH] = ACTIONS(3742),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3742),
    [sym_number] = ACTIONS(3742),
    [sym_private_property_identifier] = ACTIONS(3742),
    [sym_this] = ACTIONS(3742),
    [sym_super] = ACTIONS(3742),
    [sym_true] = ACTIONS(3742),
    [sym_false] = ACTIONS(3742),
    [sym_null] = ACTIONS(3742),
    [sym_undefined] = ACTIONS(3742),
    [anon_sym_AT] = ACTIONS(3742),
    [anon_sym_static] = ACTIONS(3742),
    [anon_sym_readonly] = ACTIONS(3742),
    [anon_sym_get] = ACTIONS(3742),
    [anon_sym_set] = ACTIONS(3742),
    [anon_sym_declare] = ACTIONS(3742),
    [anon_sym_public] = ACTIONS(3742),
    [anon_sym_private] = ACTIONS(3742),
    [anon_sym_protected] = ACTIONS(3742),
    [anon_sym_override] = ACTIONS(3742),
    [anon_sym_module] = ACTIONS(3742),
    [anon_sym_any] = ACTIONS(3742),
    [anon_sym_number] = ACTIONS(3742),
    [anon_sym_boolean] = ACTIONS(3742),
    [anon_sym_string] = ACTIONS(3742),
    [anon_sym_symbol] = ACTIONS(3742),
    [anon_sym_object] = ACTIONS(3742),
    [anon_sym_property] = ACTIONS(3742),
    [anon_sym_signal] = ACTIONS(3742),
    [anon_sym_on] = ACTIONS(3742),
    [anon_sym_required] = ACTIONS(3742),
    [anon_sym_component] = ACTIONS(3742),
    [anon_sym_abstract] = ACTIONS(3742),
    [anon_sym_interface] = ACTIONS(3742),
    [anon_sym_enum] = ACTIONS(3742),
    [sym_html_comment] = ACTIONS(5),
  },
  [1827] = {
    [sym_comment] = STATE(1827),
    [sym_identifier] = ACTIONS(3742),
    [anon_sym_export] = ACTIONS(3742),
    [anon_sym_type] = ACTIONS(3742),
    [anon_sym_namespace] = ACTIONS(3742),
    [anon_sym_LBRACE] = ACTIONS(3742),
    [anon_sym_typeof] = ACTIONS(3742),
    [anon_sym_import] = ACTIONS(3742),
    [anon_sym_from] = ACTIONS(3742),
    [anon_sym_with] = ACTIONS(3742),
    [anon_sym_var] = ACTIONS(3742),
    [anon_sym_let] = ACTIONS(3742),
    [anon_sym_const] = ACTIONS(3742),
    [anon_sym_BANG] = ACTIONS(3742),
    [anon_sym_if] = ACTIONS(3742),
    [anon_sym_switch] = ACTIONS(3742),
    [anon_sym_for] = ACTIONS(3742),
    [anon_sym_LPAREN] = ACTIONS(3742),
    [anon_sym_await] = ACTIONS(3742),
    [anon_sym_of] = ACTIONS(3742),
    [anon_sym_while] = ACTIONS(3742),
    [anon_sym_do] = ACTIONS(3742),
    [anon_sym_try] = ACTIONS(3742),
    [anon_sym_break] = ACTIONS(3742),
    [anon_sym_continue] = ACTIONS(3742),
    [anon_sym_debugger] = ACTIONS(3742),
    [anon_sym_return] = ACTIONS(3742),
    [anon_sym_throw] = ACTIONS(3742),
    [anon_sym_SEMI] = ACTIONS(3742),
    [anon_sym_yield] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(3742),
    [anon_sym_LTtemplate_GT] = ACTIONS(3742),
    [anon_sym_DQUOTE] = ACTIONS(3742),
    [anon_sym_SQUOTE] = ACTIONS(3742),
    [anon_sym_class] = ACTIONS(3742),
    [anon_sym_async] = ACTIONS(3742),
    [anon_sym_function] = ACTIONS(3742),
    [anon_sym_new] = ACTIONS(3742),
    [anon_sym_using] = ACTIONS(3742),
    [anon_sym_PLUS] = ACTIONS(3742),
    [anon_sym_DASH] = ACTIONS(3742),
    [anon_sym_SLASH] = ACTIONS(3742),
    [anon_sym_LT] = ACTIONS(3742),
    [anon_sym_TILDE] = ACTIONS(3742),
    [anon_sym_void] = ACTIONS(3742),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_PLUS_PLUS] = ACTIONS(3742),
    [anon_sym_DASH_DASH] = ACTIONS(3742),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3742),
    [sym_number] = ACTIONS(3742),
    [sym_private_property_identifier] = ACTIONS(3742),
    [sym_this] = ACTIONS(3742),
    [sym_super] = ACTIONS(3742),
    [sym_true] = ACTIONS(3742),
    [sym_false] = ACTIONS(3742),
    [sym_null] = ACTIONS(3742),
    [sym_undefined] = ACTIONS(3742),
    [anon_sym_AT] = ACTIONS(3742),
    [anon_sym_static] = ACTIONS(3742),
    [anon_sym_readonly] = ACTIONS(3742),
    [anon_sym_get] = ACTIONS(3742),
    [anon_sym_set] = ACTIONS(3742),
    [anon_sym_declare] = ACTIONS(3742),
    [anon_sym_public] = ACTIONS(3742),
    [anon_sym_private] = ACTIONS(3742),
    [anon_sym_protected] = ACTIONS(3742),
    [anon_sym_override] = ACTIONS(3742),
    [anon_sym_module] = ACTIONS(3742),
    [anon_sym_any] = ACTIONS(3742),
    [anon_sym_number] = ACTIONS(3742),
    [anon_sym_boolean] = ACTIONS(3742),
    [anon_sym_string] = ACTIONS(3742),
    [anon_sym_symbol] = ACTIONS(3742),
    [anon_sym_object] = ACTIONS(3742),
    [anon_sym_property] = ACTIONS(3742),
    [anon_sym_signal] = ACTIONS(3742),
    [anon_sym_on] = ACTIONS(3742),
    [anon_sym_required] = ACTIONS(3742),
    [anon_sym_component] = ACTIONS(3742),
    [anon_sym_abstract] = ACTIONS(3742),
    [anon_sym_interface] = ACTIONS(3742),
    [anon_sym_enum] = ACTIONS(3742),
    [sym_html_comment] = ACTIONS(5),
  },
  [1828] = {
    [sym_comment] = STATE(1828),
    [sym_identifier] = ACTIONS(3428),
    [anon_sym_export] = ACTIONS(3428),
    [anon_sym_type] = ACTIONS(3428),
    [anon_sym_namespace] = ACTIONS(3428),
    [anon_sym_LBRACE] = ACTIONS(3428),
    [anon_sym_typeof] = ACTIONS(3428),
    [anon_sym_import] = ACTIONS(3428),
    [anon_sym_from] = ACTIONS(3428),
    [anon_sym_with] = ACTIONS(3428),
    [anon_sym_var] = ACTIONS(3428),
    [anon_sym_let] = ACTIONS(3428),
    [anon_sym_const] = ACTIONS(3428),
    [anon_sym_BANG] = ACTIONS(3428),
    [anon_sym_if] = ACTIONS(3428),
    [anon_sym_switch] = ACTIONS(3428),
    [anon_sym_for] = ACTIONS(3428),
    [anon_sym_LPAREN] = ACTIONS(3428),
    [anon_sym_await] = ACTIONS(3428),
    [anon_sym_of] = ACTIONS(3428),
    [anon_sym_while] = ACTIONS(3428),
    [anon_sym_do] = ACTIONS(3428),
    [anon_sym_try] = ACTIONS(3428),
    [anon_sym_break] = ACTIONS(3428),
    [anon_sym_continue] = ACTIONS(3428),
    [anon_sym_debugger] = ACTIONS(3428),
    [anon_sym_return] = ACTIONS(3428),
    [anon_sym_throw] = ACTIONS(3428),
    [anon_sym_SEMI] = ACTIONS(3428),
    [anon_sym_yield] = ACTIONS(3428),
    [anon_sym_LBRACK] = ACTIONS(3428),
    [anon_sym_LTtemplate_GT] = ACTIONS(3428),
    [anon_sym_DQUOTE] = ACTIONS(3428),
    [anon_sym_SQUOTE] = ACTIONS(3428),
    [anon_sym_class] = ACTIONS(3428),
    [anon_sym_async] = ACTIONS(3428),
    [anon_sym_function] = ACTIONS(3428),
    [anon_sym_new] = ACTIONS(3428),
    [anon_sym_using] = ACTIONS(3428),
    [anon_sym_PLUS] = ACTIONS(3428),
    [anon_sym_DASH] = ACTIONS(3428),
    [anon_sym_SLASH] = ACTIONS(3428),
    [anon_sym_LT] = ACTIONS(3428),
    [anon_sym_TILDE] = ACTIONS(3428),
    [anon_sym_void] = ACTIONS(3428),
    [anon_sym_delete] = ACTIONS(3428),
    [anon_sym_PLUS_PLUS] = ACTIONS(3428),
    [anon_sym_DASH_DASH] = ACTIONS(3428),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3428),
    [sym_number] = ACTIONS(3428),
    [sym_private_property_identifier] = ACTIONS(3428),
    [sym_this] = ACTIONS(3428),
    [sym_super] = ACTIONS(3428),
    [sym_true] = ACTIONS(3428),
    [sym_false] = ACTIONS(3428),
    [sym_null] = ACTIONS(3428),
    [sym_undefined] = ACTIONS(3428),
    [anon_sym_AT] = ACTIONS(3428),
    [anon_sym_static] = ACTIONS(3428),
    [anon_sym_readonly] = ACTIONS(3428),
    [anon_sym_get] = ACTIONS(3428),
    [anon_sym_set] = ACTIONS(3428),
    [anon_sym_declare] = ACTIONS(3428),
    [anon_sym_public] = ACTIONS(3428),
    [anon_sym_private] = ACTIONS(3428),
    [anon_sym_protected] = ACTIONS(3428),
    [anon_sym_override] = ACTIONS(3428),
    [anon_sym_module] = ACTIONS(3428),
    [anon_sym_any] = ACTIONS(3428),
    [anon_sym_number] = ACTIONS(3428),
    [anon_sym_boolean] = ACTIONS(3428),
    [anon_sym_string] = ACTIONS(3428),
    [anon_sym_symbol] = ACTIONS(3428),
    [anon_sym_object] = ACTIONS(3428),
    [anon_sym_property] = ACTIONS(3428),
    [anon_sym_signal] = ACTIONS(3428),
    [anon_sym_on] = ACTIONS(3428),
    [anon_sym_required] = ACTIONS(3428),
    [anon_sym_component] = ACTIONS(3428),
    [anon_sym_abstract] = ACTIONS(3428),
    [anon_sym_interface] = ACTIONS(3428),
    [anon_sym_enum] = ACTIONS(3428),
    [sym_html_comment] = ACTIONS(5),
  },
  [1829] = {
    [sym_comment] = STATE(1829),
    [sym_identifier] = ACTIONS(3742),
    [anon_sym_export] = ACTIONS(3742),
    [anon_sym_type] = ACTIONS(3742),
    [anon_sym_namespace] = ACTIONS(3742),
    [anon_sym_LBRACE] = ACTIONS(3742),
    [anon_sym_typeof] = ACTIONS(3742),
    [anon_sym_import] = ACTIONS(3742),
    [anon_sym_from] = ACTIONS(3742),
    [anon_sym_with] = ACTIONS(3742),
    [anon_sym_var] = ACTIONS(3742),
    [anon_sym_let] = ACTIONS(3742),
    [anon_sym_const] = ACTIONS(3742),
    [anon_sym_BANG] = ACTIONS(3742),
    [anon_sym_if] = ACTIONS(3742),
    [anon_sym_switch] = ACTIONS(3742),
    [anon_sym_for] = ACTIONS(3742),
    [anon_sym_LPAREN] = ACTIONS(3742),
    [anon_sym_await] = ACTIONS(3742),
    [anon_sym_of] = ACTIONS(3742),
    [anon_sym_while] = ACTIONS(3742),
    [anon_sym_do] = ACTIONS(3742),
    [anon_sym_try] = ACTIONS(3742),
    [anon_sym_break] = ACTIONS(3742),
    [anon_sym_continue] = ACTIONS(3742),
    [anon_sym_debugger] = ACTIONS(3742),
    [anon_sym_return] = ACTIONS(3742),
    [anon_sym_throw] = ACTIONS(3742),
    [anon_sym_SEMI] = ACTIONS(3742),
    [anon_sym_yield] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(3742),
    [anon_sym_LTtemplate_GT] = ACTIONS(3742),
    [anon_sym_DQUOTE] = ACTIONS(3742),
    [anon_sym_SQUOTE] = ACTIONS(3742),
    [anon_sym_class] = ACTIONS(3742),
    [anon_sym_async] = ACTIONS(3742),
    [anon_sym_function] = ACTIONS(3742),
    [anon_sym_new] = ACTIONS(3742),
    [anon_sym_using] = ACTIONS(3742),
    [anon_sym_PLUS] = ACTIONS(3742),
    [anon_sym_DASH] = ACTIONS(3742),
    [anon_sym_SLASH] = ACTIONS(3742),
    [anon_sym_LT] = ACTIONS(3742),
    [anon_sym_TILDE] = ACTIONS(3742),
    [anon_sym_void] = ACTIONS(3742),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_PLUS_PLUS] = ACTIONS(3742),
    [anon_sym_DASH_DASH] = ACTIONS(3742),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3742),
    [sym_number] = ACTIONS(3742),
    [sym_private_property_identifier] = ACTIONS(3742),
    [sym_this] = ACTIONS(3742),
    [sym_super] = ACTIONS(3742),
    [sym_true] = ACTIONS(3742),
    [sym_false] = ACTIONS(3742),
    [sym_null] = ACTIONS(3742),
    [sym_undefined] = ACTIONS(3742),
    [anon_sym_AT] = ACTIONS(3742),
    [anon_sym_static] = ACTIONS(3742),
    [anon_sym_readonly] = ACTIONS(3742),
    [anon_sym_get] = ACTIONS(3742),
    [anon_sym_set] = ACTIONS(3742),
    [anon_sym_declare] = ACTIONS(3742),
    [anon_sym_public] = ACTIONS(3742),
    [anon_sym_private] = ACTIONS(3742),
    [anon_sym_protected] = ACTIONS(3742),
    [anon_sym_override] = ACTIONS(3742),
    [anon_sym_module] = ACTIONS(3742),
    [anon_sym_any] = ACTIONS(3742),
    [anon_sym_number] = ACTIONS(3742),
    [anon_sym_boolean] = ACTIONS(3742),
    [anon_sym_string] = ACTIONS(3742),
    [anon_sym_symbol] = ACTIONS(3742),
    [anon_sym_object] = ACTIONS(3742),
    [anon_sym_property] = ACTIONS(3742),
    [anon_sym_signal] = ACTIONS(3742),
    [anon_sym_on] = ACTIONS(3742),
    [anon_sym_required] = ACTIONS(3742),
    [anon_sym_component] = ACTIONS(3742),
    [anon_sym_abstract] = ACTIONS(3742),
    [anon_sym_interface] = ACTIONS(3742),
    [anon_sym_enum] = ACTIONS(3742),
    [sym_html_comment] = ACTIONS(5),
  },
  [1830] = {
    [sym_comment] = STATE(1830),
    [sym_identifier] = ACTIONS(3742),
    [anon_sym_export] = ACTIONS(3742),
    [anon_sym_type] = ACTIONS(3742),
    [anon_sym_namespace] = ACTIONS(3742),
    [anon_sym_LBRACE] = ACTIONS(3742),
    [anon_sym_typeof] = ACTIONS(3742),
    [anon_sym_import] = ACTIONS(3742),
    [anon_sym_from] = ACTIONS(3742),
    [anon_sym_with] = ACTIONS(3742),
    [anon_sym_var] = ACTIONS(3742),
    [anon_sym_let] = ACTIONS(3742),
    [anon_sym_const] = ACTIONS(3742),
    [anon_sym_BANG] = ACTIONS(3742),
    [anon_sym_if] = ACTIONS(3742),
    [anon_sym_switch] = ACTIONS(3742),
    [anon_sym_for] = ACTIONS(3742),
    [anon_sym_LPAREN] = ACTIONS(3742),
    [anon_sym_await] = ACTIONS(3742),
    [anon_sym_of] = ACTIONS(3742),
    [anon_sym_while] = ACTIONS(3742),
    [anon_sym_do] = ACTIONS(3742),
    [anon_sym_try] = ACTIONS(3742),
    [anon_sym_break] = ACTIONS(3742),
    [anon_sym_continue] = ACTIONS(3742),
    [anon_sym_debugger] = ACTIONS(3742),
    [anon_sym_return] = ACTIONS(3742),
    [anon_sym_throw] = ACTIONS(3742),
    [anon_sym_SEMI] = ACTIONS(3742),
    [anon_sym_yield] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(3742),
    [anon_sym_LTtemplate_GT] = ACTIONS(3742),
    [anon_sym_DQUOTE] = ACTIONS(3742),
    [anon_sym_SQUOTE] = ACTIONS(3742),
    [anon_sym_class] = ACTIONS(3742),
    [anon_sym_async] = ACTIONS(3742),
    [anon_sym_function] = ACTIONS(3742),
    [anon_sym_new] = ACTIONS(3742),
    [anon_sym_using] = ACTIONS(3742),
    [anon_sym_PLUS] = ACTIONS(3742),
    [anon_sym_DASH] = ACTIONS(3742),
    [anon_sym_SLASH] = ACTIONS(3742),
    [anon_sym_LT] = ACTIONS(3742),
    [anon_sym_TILDE] = ACTIONS(3742),
    [anon_sym_void] = ACTIONS(3742),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_PLUS_PLUS] = ACTIONS(3742),
    [anon_sym_DASH_DASH] = ACTIONS(3742),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3742),
    [sym_number] = ACTIONS(3742),
    [sym_private_property_identifier] = ACTIONS(3742),
    [sym_this] = ACTIONS(3742),
    [sym_super] = ACTIONS(3742),
    [sym_true] = ACTIONS(3742),
    [sym_false] = ACTIONS(3742),
    [sym_null] = ACTIONS(3742),
    [sym_undefined] = ACTIONS(3742),
    [anon_sym_AT] = ACTIONS(3742),
    [anon_sym_static] = ACTIONS(3742),
    [anon_sym_readonly] = ACTIONS(3742),
    [anon_sym_get] = ACTIONS(3742),
    [anon_sym_set] = ACTIONS(3742),
    [anon_sym_declare] = ACTIONS(3742),
    [anon_sym_public] = ACTIONS(3742),
    [anon_sym_private] = ACTIONS(3742),
    [anon_sym_protected] = ACTIONS(3742),
    [anon_sym_override] = ACTIONS(3742),
    [anon_sym_module] = ACTIONS(3742),
    [anon_sym_any] = ACTIONS(3742),
    [anon_sym_number] = ACTIONS(3742),
    [anon_sym_boolean] = ACTIONS(3742),
    [anon_sym_string] = ACTIONS(3742),
    [anon_sym_symbol] = ACTIONS(3742),
    [anon_sym_object] = ACTIONS(3742),
    [anon_sym_property] = ACTIONS(3742),
    [anon_sym_signal] = ACTIONS(3742),
    [anon_sym_on] = ACTIONS(3742),
    [anon_sym_required] = ACTIONS(3742),
    [anon_sym_component] = ACTIONS(3742),
    [anon_sym_abstract] = ACTIONS(3742),
    [anon_sym_interface] = ACTIONS(3742),
    [anon_sym_enum] = ACTIONS(3742),
    [sym_html_comment] = ACTIONS(5),
  },
  [1831] = {
    [sym_comment] = STATE(1831),
    [sym_identifier] = ACTIONS(3464),
    [anon_sym_export] = ACTIONS(3464),
    [anon_sym_type] = ACTIONS(3464),
    [anon_sym_namespace] = ACTIONS(3464),
    [anon_sym_LBRACE] = ACTIONS(3464),
    [anon_sym_typeof] = ACTIONS(3464),
    [anon_sym_import] = ACTIONS(3464),
    [anon_sym_from] = ACTIONS(3464),
    [anon_sym_with] = ACTIONS(3464),
    [anon_sym_var] = ACTIONS(3464),
    [anon_sym_let] = ACTIONS(3464),
    [anon_sym_const] = ACTIONS(3464),
    [anon_sym_BANG] = ACTIONS(3464),
    [anon_sym_if] = ACTIONS(3464),
    [anon_sym_switch] = ACTIONS(3464),
    [anon_sym_for] = ACTIONS(3464),
    [anon_sym_LPAREN] = ACTIONS(3464),
    [anon_sym_await] = ACTIONS(3464),
    [anon_sym_of] = ACTIONS(3464),
    [anon_sym_while] = ACTIONS(3464),
    [anon_sym_do] = ACTIONS(3464),
    [anon_sym_try] = ACTIONS(3464),
    [anon_sym_break] = ACTIONS(3464),
    [anon_sym_continue] = ACTIONS(3464),
    [anon_sym_debugger] = ACTIONS(3464),
    [anon_sym_return] = ACTIONS(3464),
    [anon_sym_throw] = ACTIONS(3464),
    [anon_sym_SEMI] = ACTIONS(3464),
    [anon_sym_yield] = ACTIONS(3464),
    [anon_sym_LBRACK] = ACTIONS(3464),
    [anon_sym_LTtemplate_GT] = ACTIONS(3464),
    [anon_sym_DQUOTE] = ACTIONS(3464),
    [anon_sym_SQUOTE] = ACTIONS(3464),
    [anon_sym_class] = ACTIONS(3464),
    [anon_sym_async] = ACTIONS(3464),
    [anon_sym_function] = ACTIONS(3464),
    [anon_sym_new] = ACTIONS(3464),
    [anon_sym_using] = ACTIONS(3464),
    [anon_sym_PLUS] = ACTIONS(3464),
    [anon_sym_DASH] = ACTIONS(3464),
    [anon_sym_SLASH] = ACTIONS(3464),
    [anon_sym_LT] = ACTIONS(3464),
    [anon_sym_TILDE] = ACTIONS(3464),
    [anon_sym_void] = ACTIONS(3464),
    [anon_sym_delete] = ACTIONS(3464),
    [anon_sym_PLUS_PLUS] = ACTIONS(3464),
    [anon_sym_DASH_DASH] = ACTIONS(3464),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3464),
    [sym_number] = ACTIONS(3464),
    [sym_private_property_identifier] = ACTIONS(3464),
    [sym_this] = ACTIONS(3464),
    [sym_super] = ACTIONS(3464),
    [sym_true] = ACTIONS(3464),
    [sym_false] = ACTIONS(3464),
    [sym_null] = ACTIONS(3464),
    [sym_undefined] = ACTIONS(3464),
    [anon_sym_AT] = ACTIONS(3464),
    [anon_sym_static] = ACTIONS(3464),
    [anon_sym_readonly] = ACTIONS(3464),
    [anon_sym_get] = ACTIONS(3464),
    [anon_sym_set] = ACTIONS(3464),
    [anon_sym_declare] = ACTIONS(3464),
    [anon_sym_public] = ACTIONS(3464),
    [anon_sym_private] = ACTIONS(3464),
    [anon_sym_protected] = ACTIONS(3464),
    [anon_sym_override] = ACTIONS(3464),
    [anon_sym_module] = ACTIONS(3464),
    [anon_sym_any] = ACTIONS(3464),
    [anon_sym_number] = ACTIONS(3464),
    [anon_sym_boolean] = ACTIONS(3464),
    [anon_sym_string] = ACTIONS(3464),
    [anon_sym_symbol] = ACTIONS(3464),
    [anon_sym_object] = ACTIONS(3464),
    [anon_sym_property] = ACTIONS(3464),
    [anon_sym_signal] = ACTIONS(3464),
    [anon_sym_on] = ACTIONS(3464),
    [anon_sym_required] = ACTIONS(3464),
    [anon_sym_component] = ACTIONS(3464),
    [anon_sym_abstract] = ACTIONS(3464),
    [anon_sym_interface] = ACTIONS(3464),
    [anon_sym_enum] = ACTIONS(3464),
    [sym_html_comment] = ACTIONS(5),
  },
  [1832] = {
    [sym_comment] = STATE(1832),
    [sym_identifier] = ACTIONS(3742),
    [anon_sym_export] = ACTIONS(3742),
    [anon_sym_type] = ACTIONS(3742),
    [anon_sym_namespace] = ACTIONS(3742),
    [anon_sym_LBRACE] = ACTIONS(3742),
    [anon_sym_typeof] = ACTIONS(3742),
    [anon_sym_import] = ACTIONS(3742),
    [anon_sym_from] = ACTIONS(3742),
    [anon_sym_with] = ACTIONS(3742),
    [anon_sym_var] = ACTIONS(3742),
    [anon_sym_let] = ACTIONS(3742),
    [anon_sym_const] = ACTIONS(3742),
    [anon_sym_BANG] = ACTIONS(3742),
    [anon_sym_if] = ACTIONS(3742),
    [anon_sym_switch] = ACTIONS(3742),
    [anon_sym_for] = ACTIONS(3742),
    [anon_sym_LPAREN] = ACTIONS(3742),
    [anon_sym_await] = ACTIONS(3742),
    [anon_sym_of] = ACTIONS(3742),
    [anon_sym_while] = ACTIONS(3742),
    [anon_sym_do] = ACTIONS(3742),
    [anon_sym_try] = ACTIONS(3742),
    [anon_sym_break] = ACTIONS(3742),
    [anon_sym_continue] = ACTIONS(3742),
    [anon_sym_debugger] = ACTIONS(3742),
    [anon_sym_return] = ACTIONS(3742),
    [anon_sym_throw] = ACTIONS(3742),
    [anon_sym_SEMI] = ACTIONS(3742),
    [anon_sym_yield] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(3742),
    [anon_sym_LTtemplate_GT] = ACTIONS(3742),
    [anon_sym_DQUOTE] = ACTIONS(3742),
    [anon_sym_SQUOTE] = ACTIONS(3742),
    [anon_sym_class] = ACTIONS(3742),
    [anon_sym_async] = ACTIONS(3742),
    [anon_sym_function] = ACTIONS(3742),
    [anon_sym_new] = ACTIONS(3742),
    [anon_sym_using] = ACTIONS(3742),
    [anon_sym_PLUS] = ACTIONS(3742),
    [anon_sym_DASH] = ACTIONS(3742),
    [anon_sym_SLASH] = ACTIONS(3742),
    [anon_sym_LT] = ACTIONS(3742),
    [anon_sym_TILDE] = ACTIONS(3742),
    [anon_sym_void] = ACTIONS(3742),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_PLUS_PLUS] = ACTIONS(3742),
    [anon_sym_DASH_DASH] = ACTIONS(3742),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3742),
    [sym_number] = ACTIONS(3742),
    [sym_private_property_identifier] = ACTIONS(3742),
    [sym_this] = ACTIONS(3742),
    [sym_super] = ACTIONS(3742),
    [sym_true] = ACTIONS(3742),
    [sym_false] = ACTIONS(3742),
    [sym_null] = ACTIONS(3742),
    [sym_undefined] = ACTIONS(3742),
    [anon_sym_AT] = ACTIONS(3742),
    [anon_sym_static] = ACTIONS(3742),
    [anon_sym_readonly] = ACTIONS(3742),
    [anon_sym_get] = ACTIONS(3742),
    [anon_sym_set] = ACTIONS(3742),
    [anon_sym_declare] = ACTIONS(3742),
    [anon_sym_public] = ACTIONS(3742),
    [anon_sym_private] = ACTIONS(3742),
    [anon_sym_protected] = ACTIONS(3742),
    [anon_sym_override] = ACTIONS(3742),
    [anon_sym_module] = ACTIONS(3742),
    [anon_sym_any] = ACTIONS(3742),
    [anon_sym_number] = ACTIONS(3742),
    [anon_sym_boolean] = ACTIONS(3742),
    [anon_sym_string] = ACTIONS(3742),
    [anon_sym_symbol] = ACTIONS(3742),
    [anon_sym_object] = ACTIONS(3742),
    [anon_sym_property] = ACTIONS(3742),
    [anon_sym_signal] = ACTIONS(3742),
    [anon_sym_on] = ACTIONS(3742),
    [anon_sym_required] = ACTIONS(3742),
    [anon_sym_component] = ACTIONS(3742),
    [anon_sym_abstract] = ACTIONS(3742),
    [anon_sym_interface] = ACTIONS(3742),
    [anon_sym_enum] = ACTIONS(3742),
    [sym_html_comment] = ACTIONS(5),
  },
  [1833] = {
    [sym_comment] = STATE(1833),
    [sym_identifier] = ACTIONS(3742),
    [anon_sym_export] = ACTIONS(3742),
    [anon_sym_type] = ACTIONS(3742),
    [anon_sym_namespace] = ACTIONS(3742),
    [anon_sym_LBRACE] = ACTIONS(3742),
    [anon_sym_typeof] = ACTIONS(3742),
    [anon_sym_import] = ACTIONS(3742),
    [anon_sym_from] = ACTIONS(3742),
    [anon_sym_with] = ACTIONS(3742),
    [anon_sym_var] = ACTIONS(3742),
    [anon_sym_let] = ACTIONS(3742),
    [anon_sym_const] = ACTIONS(3742),
    [anon_sym_BANG] = ACTIONS(3742),
    [anon_sym_if] = ACTIONS(3742),
    [anon_sym_switch] = ACTIONS(3742),
    [anon_sym_for] = ACTIONS(3742),
    [anon_sym_LPAREN] = ACTIONS(3742),
    [anon_sym_await] = ACTIONS(3742),
    [anon_sym_of] = ACTIONS(3742),
    [anon_sym_while] = ACTIONS(3742),
    [anon_sym_do] = ACTIONS(3742),
    [anon_sym_try] = ACTIONS(3742),
    [anon_sym_break] = ACTIONS(3742),
    [anon_sym_continue] = ACTIONS(3742),
    [anon_sym_debugger] = ACTIONS(3742),
    [anon_sym_return] = ACTIONS(3742),
    [anon_sym_throw] = ACTIONS(3742),
    [anon_sym_SEMI] = ACTIONS(3742),
    [anon_sym_yield] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(3742),
    [anon_sym_LTtemplate_GT] = ACTIONS(3742),
    [anon_sym_DQUOTE] = ACTIONS(3742),
    [anon_sym_SQUOTE] = ACTIONS(3742),
    [anon_sym_class] = ACTIONS(3742),
    [anon_sym_async] = ACTIONS(3742),
    [anon_sym_function] = ACTIONS(3742),
    [anon_sym_new] = ACTIONS(3742),
    [anon_sym_using] = ACTIONS(3742),
    [anon_sym_PLUS] = ACTIONS(3742),
    [anon_sym_DASH] = ACTIONS(3742),
    [anon_sym_SLASH] = ACTIONS(3742),
    [anon_sym_LT] = ACTIONS(3742),
    [anon_sym_TILDE] = ACTIONS(3742),
    [anon_sym_void] = ACTIONS(3742),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_PLUS_PLUS] = ACTIONS(3742),
    [anon_sym_DASH_DASH] = ACTIONS(3742),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3742),
    [sym_number] = ACTIONS(3742),
    [sym_private_property_identifier] = ACTIONS(3742),
    [sym_this] = ACTIONS(3742),
    [sym_super] = ACTIONS(3742),
    [sym_true] = ACTIONS(3742),
    [sym_false] = ACTIONS(3742),
    [sym_null] = ACTIONS(3742),
    [sym_undefined] = ACTIONS(3742),
    [anon_sym_AT] = ACTIONS(3742),
    [anon_sym_static] = ACTIONS(3742),
    [anon_sym_readonly] = ACTIONS(3742),
    [anon_sym_get] = ACTIONS(3742),
    [anon_sym_set] = ACTIONS(3742),
    [anon_sym_declare] = ACTIONS(3742),
    [anon_sym_public] = ACTIONS(3742),
    [anon_sym_private] = ACTIONS(3742),
    [anon_sym_protected] = ACTIONS(3742),
    [anon_sym_override] = ACTIONS(3742),
    [anon_sym_module] = ACTIONS(3742),
    [anon_sym_any] = ACTIONS(3742),
    [anon_sym_number] = ACTIONS(3742),
    [anon_sym_boolean] = ACTIONS(3742),
    [anon_sym_string] = ACTIONS(3742),
    [anon_sym_symbol] = ACTIONS(3742),
    [anon_sym_object] = ACTIONS(3742),
    [anon_sym_property] = ACTIONS(3742),
    [anon_sym_signal] = ACTIONS(3742),
    [anon_sym_on] = ACTIONS(3742),
    [anon_sym_required] = ACTIONS(3742),
    [anon_sym_component] = ACTIONS(3742),
    [anon_sym_abstract] = ACTIONS(3742),
    [anon_sym_interface] = ACTIONS(3742),
    [anon_sym_enum] = ACTIONS(3742),
    [sym_html_comment] = ACTIONS(5),
  },
  [1834] = {
    [sym_comment] = STATE(1834),
    [sym_identifier] = ACTIONS(3742),
    [anon_sym_export] = ACTIONS(3742),
    [anon_sym_type] = ACTIONS(3742),
    [anon_sym_namespace] = ACTIONS(3742),
    [anon_sym_LBRACE] = ACTIONS(3742),
    [anon_sym_typeof] = ACTIONS(3742),
    [anon_sym_import] = ACTIONS(3742),
    [anon_sym_from] = ACTIONS(3742),
    [anon_sym_with] = ACTIONS(3742),
    [anon_sym_var] = ACTIONS(3742),
    [anon_sym_let] = ACTIONS(3742),
    [anon_sym_const] = ACTIONS(3742),
    [anon_sym_BANG] = ACTIONS(3742),
    [anon_sym_if] = ACTIONS(3742),
    [anon_sym_switch] = ACTIONS(3742),
    [anon_sym_for] = ACTIONS(3742),
    [anon_sym_LPAREN] = ACTIONS(3742),
    [anon_sym_await] = ACTIONS(3742),
    [anon_sym_of] = ACTIONS(3742),
    [anon_sym_while] = ACTIONS(3742),
    [anon_sym_do] = ACTIONS(3742),
    [anon_sym_try] = ACTIONS(3742),
    [anon_sym_break] = ACTIONS(3742),
    [anon_sym_continue] = ACTIONS(3742),
    [anon_sym_debugger] = ACTIONS(3742),
    [anon_sym_return] = ACTIONS(3742),
    [anon_sym_throw] = ACTIONS(3742),
    [anon_sym_SEMI] = ACTIONS(3742),
    [anon_sym_yield] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(3742),
    [anon_sym_LTtemplate_GT] = ACTIONS(3742),
    [anon_sym_DQUOTE] = ACTIONS(3742),
    [anon_sym_SQUOTE] = ACTIONS(3742),
    [anon_sym_class] = ACTIONS(3742),
    [anon_sym_async] = ACTIONS(3742),
    [anon_sym_function] = ACTIONS(3742),
    [anon_sym_new] = ACTIONS(3742),
    [anon_sym_using] = ACTIONS(3742),
    [anon_sym_PLUS] = ACTIONS(3742),
    [anon_sym_DASH] = ACTIONS(3742),
    [anon_sym_SLASH] = ACTIONS(3742),
    [anon_sym_LT] = ACTIONS(3742),
    [anon_sym_TILDE] = ACTIONS(3742),
    [anon_sym_void] = ACTIONS(3742),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_PLUS_PLUS] = ACTIONS(3742),
    [anon_sym_DASH_DASH] = ACTIONS(3742),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3742),
    [sym_number] = ACTIONS(3742),
    [sym_private_property_identifier] = ACTIONS(3742),
    [sym_this] = ACTIONS(3742),
    [sym_super] = ACTIONS(3742),
    [sym_true] = ACTIONS(3742),
    [sym_false] = ACTIONS(3742),
    [sym_null] = ACTIONS(3742),
    [sym_undefined] = ACTIONS(3742),
    [anon_sym_AT] = ACTIONS(3742),
    [anon_sym_static] = ACTIONS(3742),
    [anon_sym_readonly] = ACTIONS(3742),
    [anon_sym_get] = ACTIONS(3742),
    [anon_sym_set] = ACTIONS(3742),
    [anon_sym_declare] = ACTIONS(3742),
    [anon_sym_public] = ACTIONS(3742),
    [anon_sym_private] = ACTIONS(3742),
    [anon_sym_protected] = ACTIONS(3742),
    [anon_sym_override] = ACTIONS(3742),
    [anon_sym_module] = ACTIONS(3742),
    [anon_sym_any] = ACTIONS(3742),
    [anon_sym_number] = ACTIONS(3742),
    [anon_sym_boolean] = ACTIONS(3742),
    [anon_sym_string] = ACTIONS(3742),
    [anon_sym_symbol] = ACTIONS(3742),
    [anon_sym_object] = ACTIONS(3742),
    [anon_sym_property] = ACTIONS(3742),
    [anon_sym_signal] = ACTIONS(3742),
    [anon_sym_on] = ACTIONS(3742),
    [anon_sym_required] = ACTIONS(3742),
    [anon_sym_component] = ACTIONS(3742),
    [anon_sym_abstract] = ACTIONS(3742),
    [anon_sym_interface] = ACTIONS(3742),
    [anon_sym_enum] = ACTIONS(3742),
    [sym_html_comment] = ACTIONS(5),
  },
  [1835] = {
    [sym_comment] = STATE(1835),
    [sym_identifier] = ACTIONS(3744),
    [anon_sym_export] = ACTIONS(3744),
    [anon_sym_type] = ACTIONS(3744),
    [anon_sym_namespace] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3744),
    [anon_sym_typeof] = ACTIONS(3744),
    [anon_sym_import] = ACTIONS(3744),
    [anon_sym_from] = ACTIONS(3744),
    [anon_sym_with] = ACTIONS(3744),
    [anon_sym_var] = ACTIONS(3744),
    [anon_sym_let] = ACTIONS(3744),
    [anon_sym_const] = ACTIONS(3744),
    [anon_sym_BANG] = ACTIONS(3744),
    [anon_sym_if] = ACTIONS(3744),
    [anon_sym_switch] = ACTIONS(3744),
    [anon_sym_for] = ACTIONS(3744),
    [anon_sym_LPAREN] = ACTIONS(3744),
    [anon_sym_await] = ACTIONS(3744),
    [anon_sym_of] = ACTIONS(3744),
    [anon_sym_while] = ACTIONS(3744),
    [anon_sym_do] = ACTIONS(3744),
    [anon_sym_try] = ACTIONS(3744),
    [anon_sym_break] = ACTIONS(3744),
    [anon_sym_continue] = ACTIONS(3744),
    [anon_sym_debugger] = ACTIONS(3744),
    [anon_sym_return] = ACTIONS(3744),
    [anon_sym_throw] = ACTIONS(3744),
    [anon_sym_SEMI] = ACTIONS(3744),
    [anon_sym_yield] = ACTIONS(3744),
    [anon_sym_LBRACK] = ACTIONS(3744),
    [anon_sym_LTtemplate_GT] = ACTIONS(3744),
    [anon_sym_DQUOTE] = ACTIONS(3744),
    [anon_sym_SQUOTE] = ACTIONS(3744),
    [anon_sym_class] = ACTIONS(3744),
    [anon_sym_async] = ACTIONS(3744),
    [anon_sym_function] = ACTIONS(3744),
    [anon_sym_new] = ACTIONS(3744),
    [anon_sym_using] = ACTIONS(3744),
    [anon_sym_PLUS] = ACTIONS(3744),
    [anon_sym_DASH] = ACTIONS(3744),
    [anon_sym_SLASH] = ACTIONS(3744),
    [anon_sym_LT] = ACTIONS(3744),
    [anon_sym_TILDE] = ACTIONS(3744),
    [anon_sym_void] = ACTIONS(3744),
    [anon_sym_delete] = ACTIONS(3744),
    [anon_sym_PLUS_PLUS] = ACTIONS(3744),
    [anon_sym_DASH_DASH] = ACTIONS(3744),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3744),
    [sym_number] = ACTIONS(3744),
    [sym_private_property_identifier] = ACTIONS(3744),
    [sym_this] = ACTIONS(3744),
    [sym_super] = ACTIONS(3744),
    [sym_true] = ACTIONS(3744),
    [sym_false] = ACTIONS(3744),
    [sym_null] = ACTIONS(3744),
    [sym_undefined] = ACTIONS(3744),
    [anon_sym_AT] = ACTIONS(3744),
    [anon_sym_static] = ACTIONS(3744),
    [anon_sym_readonly] = ACTIONS(3744),
    [anon_sym_get] = ACTIONS(3744),
    [anon_sym_set] = ACTIONS(3744),
    [anon_sym_declare] = ACTIONS(3744),
    [anon_sym_public] = ACTIONS(3744),
    [anon_sym_private] = ACTIONS(3744),
    [anon_sym_protected] = ACTIONS(3744),
    [anon_sym_override] = ACTIONS(3744),
    [anon_sym_module] = ACTIONS(3744),
    [anon_sym_any] = ACTIONS(3744),
    [anon_sym_number] = ACTIONS(3744),
    [anon_sym_boolean] = ACTIONS(3744),
    [anon_sym_string] = ACTIONS(3744),
    [anon_sym_symbol] = ACTIONS(3744),
    [anon_sym_object] = ACTIONS(3744),
    [anon_sym_property] = ACTIONS(3744),
    [anon_sym_signal] = ACTIONS(3744),
    [anon_sym_on] = ACTIONS(3744),
    [anon_sym_required] = ACTIONS(3744),
    [anon_sym_component] = ACTIONS(3744),
    [anon_sym_abstract] = ACTIONS(3744),
    [anon_sym_interface] = ACTIONS(3744),
    [anon_sym_enum] = ACTIONS(3744),
    [sym_html_comment] = ACTIONS(5),
  },
  [1836] = {
    [sym_comment] = STATE(1836),
    [sym_identifier] = ACTIONS(3742),
    [anon_sym_export] = ACTIONS(3742),
    [anon_sym_type] = ACTIONS(3742),
    [anon_sym_namespace] = ACTIONS(3742),
    [anon_sym_LBRACE] = ACTIONS(3742),
    [anon_sym_typeof] = ACTIONS(3742),
    [anon_sym_import] = ACTIONS(3742),
    [anon_sym_from] = ACTIONS(3742),
    [anon_sym_with] = ACTIONS(3742),
    [anon_sym_var] = ACTIONS(3742),
    [anon_sym_let] = ACTIONS(3742),
    [anon_sym_const] = ACTIONS(3742),
    [anon_sym_BANG] = ACTIONS(3742),
    [anon_sym_if] = ACTIONS(3742),
    [anon_sym_switch] = ACTIONS(3742),
    [anon_sym_for] = ACTIONS(3742),
    [anon_sym_LPAREN] = ACTIONS(3742),
    [anon_sym_await] = ACTIONS(3742),
    [anon_sym_of] = ACTIONS(3742),
    [anon_sym_while] = ACTIONS(3742),
    [anon_sym_do] = ACTIONS(3742),
    [anon_sym_try] = ACTIONS(3742),
    [anon_sym_break] = ACTIONS(3742),
    [anon_sym_continue] = ACTIONS(3742),
    [anon_sym_debugger] = ACTIONS(3742),
    [anon_sym_return] = ACTIONS(3742),
    [anon_sym_throw] = ACTIONS(3742),
    [anon_sym_SEMI] = ACTIONS(3742),
    [anon_sym_yield] = ACTIONS(3742),
    [anon_sym_LBRACK] = ACTIONS(3742),
    [anon_sym_LTtemplate_GT] = ACTIONS(3742),
    [anon_sym_DQUOTE] = ACTIONS(3742),
    [anon_sym_SQUOTE] = ACTIONS(3742),
    [anon_sym_class] = ACTIONS(3742),
    [anon_sym_async] = ACTIONS(3742),
    [anon_sym_function] = ACTIONS(3742),
    [anon_sym_new] = ACTIONS(3742),
    [anon_sym_using] = ACTIONS(3742),
    [anon_sym_PLUS] = ACTIONS(3742),
    [anon_sym_DASH] = ACTIONS(3742),
    [anon_sym_SLASH] = ACTIONS(3742),
    [anon_sym_LT] = ACTIONS(3742),
    [anon_sym_TILDE] = ACTIONS(3742),
    [anon_sym_void] = ACTIONS(3742),
    [anon_sym_delete] = ACTIONS(3742),
    [anon_sym_PLUS_PLUS] = ACTIONS(3742),
    [anon_sym_DASH_DASH] = ACTIONS(3742),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3742),
    [sym_number] = ACTIONS(3742),
    [sym_private_property_identifier] = ACTIONS(3742),
    [sym_this] = ACTIONS(3742),
    [sym_super] = ACTIONS(3742),
    [sym_true] = ACTIONS(3742),
    [sym_false] = ACTIONS(3742),
    [sym_null] = ACTIONS(3742),
    [sym_undefined] = ACTIONS(3742),
    [anon_sym_AT] = ACTIONS(3742),
    [anon_sym_static] = ACTIONS(3742),
    [anon_sym_readonly] = ACTIONS(3742),
    [anon_sym_get] = ACTIONS(3742),
    [anon_sym_set] = ACTIONS(3742),
    [anon_sym_declare] = ACTIONS(3742),
    [anon_sym_public] = ACTIONS(3742),
    [anon_sym_private] = ACTIONS(3742),
    [anon_sym_protected] = ACTIONS(3742),
    [anon_sym_override] = ACTIONS(3742),
    [anon_sym_module] = ACTIONS(3742),
    [anon_sym_any] = ACTIONS(3742),
    [anon_sym_number] = ACTIONS(3742),
    [anon_sym_boolean] = ACTIONS(3742),
    [anon_sym_string] = ACTIONS(3742),
    [anon_sym_symbol] = ACTIONS(3742),
    [anon_sym_object] = ACTIONS(3742),
    [anon_sym_property] = ACTIONS(3742),
    [anon_sym_signal] = ACTIONS(3742),
    [anon_sym_on] = ACTIONS(3742),
    [anon_sym_required] = ACTIONS(3742),
    [anon_sym_component] = ACTIONS(3742),
    [anon_sym_abstract] = ACTIONS(3742),
    [anon_sym_interface] = ACTIONS(3742),
    [anon_sym_enum] = ACTIONS(3742),
    [sym_html_comment] = ACTIONS(5),
  },
  [1837] = {
    [sym_statement_block] = STATE(1862),
    [sym_comment] = STATE(1837),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_as] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_COMMA] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_else] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_in] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_QMARK_DOT] = ACTIONS(2297),
    [anon_sym_AMP_AMP] = ACTIONS(2297),
    [anon_sym_PIPE_PIPE] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_GT_GT_GT] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_AMP] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2297),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_STAR_STAR] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_QMARK_QMARK] = ACTIONS(2297),
    [anon_sym_instanceof] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_satisfies] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [1838] = {
    [sym_statement_block] = STATE(1862),
    [sym_comment] = STATE(1838),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_as] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_COMMA] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_else] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_in] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(3748),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_QMARK_DOT] = ACTIONS(2297),
    [anon_sym_AMP_AMP] = ACTIONS(2297),
    [anon_sym_PIPE_PIPE] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_GT_GT_GT] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_AMP] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2297),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_STAR_STAR] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_QMARK_QMARK] = ACTIONS(2297),
    [anon_sym_instanceof] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_satisfies] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [1839] = {
    [sym_statement_block] = STATE(1862),
    [sym_comment] = STATE(1839),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_as] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(3746),
    [anon_sym_COMMA] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_else] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_in] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(3750),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_QMARK_DOT] = ACTIONS(2297),
    [anon_sym_AMP_AMP] = ACTIONS(2297),
    [anon_sym_PIPE_PIPE] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_GT_GT_GT] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_AMP] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2297),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_STAR_STAR] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_QMARK_QMARK] = ACTIONS(2297),
    [anon_sym_instanceof] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_satisfies] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [1840] = {
    [sym_comment] = STATE(1840),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_export] = ACTIONS(2410),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_default] = ACTIONS(2410),
    [anon_sym_type] = ACTIONS(2410),
    [anon_sym_as] = ACTIONS(2410),
    [anon_sym_namespace] = ACTIONS(2410),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(2410),
    [anon_sym_from] = ACTIONS(2410),
    [anon_sym_var] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_else] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_in] = ACTIONS(2410),
    [anon_sym_of] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_GT] = ACTIONS(2410),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_async] = ACTIONS(2410),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_QMARK_DOT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_GT_GT] = ACTIONS(2410),
    [anon_sym_GT_GT_GT] = ACTIONS(2410),
    [anon_sym_LT_LT] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_CARET] = ACTIONS(2410),
    [anon_sym_PIPE] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_SLASH] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_STAR_STAR] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2410),
    [anon_sym_LT_EQ] = ACTIONS(2410),
    [anon_sym_EQ_EQ] = ACTIONS(2410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2410),
    [anon_sym_GT_EQ] = ACTIONS(2410),
    [anon_sym_QMARK_QMARK] = ACTIONS(2410),
    [anon_sym_instanceof] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2410),
    [anon_sym_AT] = ACTIONS(2410),
    [anon_sym_static] = ACTIONS(2410),
    [anon_sym_readonly] = ACTIONS(2410),
    [anon_sym_get] = ACTIONS(2410),
    [anon_sym_set] = ACTIONS(2410),
    [anon_sym_declare] = ACTIONS(2410),
    [anon_sym_public] = ACTIONS(2410),
    [anon_sym_private] = ACTIONS(2410),
    [anon_sym_protected] = ACTIONS(2410),
    [anon_sym_override] = ACTIONS(2410),
    [anon_sym_module] = ACTIONS(2410),
    [anon_sym_any] = ACTIONS(2410),
    [anon_sym_number] = ACTIONS(2410),
    [anon_sym_boolean] = ACTIONS(2410),
    [anon_sym_string] = ACTIONS(2410),
    [anon_sym_symbol] = ACTIONS(2410),
    [anon_sym_object] = ACTIONS(2410),
    [anon_sym_property] = ACTIONS(2410),
    [anon_sym_signal] = ACTIONS(2410),
    [anon_sym_on] = ACTIONS(2410),
    [anon_sym_required] = ACTIONS(2410),
    [anon_sym_component] = ACTIONS(2410),
    [anon_sym_satisfies] = ACTIONS(2410),
    [anon_sym_enum] = ACTIONS(2410),
    [sym__automatic_semicolon] = ACTIONS(2412),
    [sym__ternary_qmark] = ACTIONS(2412),
    [sym_html_comment] = ACTIONS(5),
  },
  [1841] = {
    [sym_comment] = STATE(1841),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_EQ] = ACTIONS(2291),
    [anon_sym_as] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_COMMA] = ACTIONS(2289),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2289),
    [anon_sym_else] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_in] = ACTIONS(2289),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2289),
    [anon_sym_GT] = ACTIONS(2289),
    [anon_sym_DOT] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_QMARK_DOT] = ACTIONS(2289),
    [anon_sym_AMP_AMP] = ACTIONS(2289),
    [anon_sym_PIPE_PIPE] = ACTIONS(2289),
    [anon_sym_GT_GT] = ACTIONS(2289),
    [anon_sym_GT_GT_GT] = ACTIONS(2289),
    [anon_sym_LT_LT] = ACTIONS(2289),
    [anon_sym_AMP] = ACTIONS(2289),
    [anon_sym_CARET] = ACTIONS(2289),
    [anon_sym_PIPE] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_PERCENT] = ACTIONS(2289),
    [anon_sym_STAR_STAR] = ACTIONS(2289),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_LT_EQ] = ACTIONS(2289),
    [anon_sym_EQ_EQ] = ACTIONS(2289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2289),
    [anon_sym_BANG_EQ] = ACTIONS(2289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2289),
    [anon_sym_GT_EQ] = ACTIONS(2289),
    [anon_sym_QMARK_QMARK] = ACTIONS(2289),
    [anon_sym_instanceof] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2289),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_satisfies] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(3752),
    [sym__ternary_qmark] = ACTIONS(2295),
    [sym_html_comment] = ACTIONS(5),
  },
  [1842] = {
    [sym_statement_block] = STATE(1922),
    [sym_comment] = STATE(1842),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_as] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(3754),
    [anon_sym_COMMA] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_in] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_QMARK_DOT] = ACTIONS(2297),
    [anon_sym_AMP_AMP] = ACTIONS(2297),
    [anon_sym_PIPE_PIPE] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_GT_GT_GT] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_AMP] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2297),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_STAR_STAR] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_QMARK_QMARK] = ACTIONS(2297),
    [anon_sym_instanceof] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_satisfies] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [1843] = {
    [sym_comment] = STATE(1843),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_export] = ACTIONS(2370),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_default] = ACTIONS(2370),
    [anon_sym_type] = ACTIONS(2370),
    [anon_sym_as] = ACTIONS(2370),
    [anon_sym_namespace] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_from] = ACTIONS(2370),
    [anon_sym_var] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_else] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_in] = ACTIONS(2370),
    [anon_sym_of] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_GT] = ACTIONS(2370),
    [anon_sym_DOT] = ACTIONS(2370),
    [anon_sym_async] = ACTIONS(2370),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_QMARK_DOT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_GT_GT] = ACTIONS(2370),
    [anon_sym_GT_GT_GT] = ACTIONS(2370),
    [anon_sym_LT_LT] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_PIPE] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_SLASH] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_STAR_STAR] = ACTIONS(2370),
    [anon_sym_LT] = ACTIONS(2370),
    [anon_sym_LT_EQ] = ACTIONS(2370),
    [anon_sym_EQ_EQ] = ACTIONS(2370),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2370),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2370),
    [anon_sym_GT_EQ] = ACTIONS(2370),
    [anon_sym_QMARK_QMARK] = ACTIONS(2370),
    [anon_sym_instanceof] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2370),
    [anon_sym_readonly] = ACTIONS(2370),
    [anon_sym_get] = ACTIONS(2370),
    [anon_sym_set] = ACTIONS(2370),
    [anon_sym_declare] = ACTIONS(2370),
    [anon_sym_public] = ACTIONS(2370),
    [anon_sym_private] = ACTIONS(2370),
    [anon_sym_protected] = ACTIONS(2370),
    [anon_sym_override] = ACTIONS(2370),
    [anon_sym_module] = ACTIONS(2370),
    [anon_sym_any] = ACTIONS(2370),
    [anon_sym_number] = ACTIONS(2370),
    [anon_sym_boolean] = ACTIONS(2370),
    [anon_sym_string] = ACTIONS(2370),
    [anon_sym_symbol] = ACTIONS(2370),
    [anon_sym_object] = ACTIONS(2370),
    [anon_sym_property] = ACTIONS(2370),
    [anon_sym_signal] = ACTIONS(2370),
    [anon_sym_on] = ACTIONS(2370),
    [anon_sym_required] = ACTIONS(2370),
    [anon_sym_component] = ACTIONS(2370),
    [anon_sym_satisfies] = ACTIONS(2370),
    [anon_sym_enum] = ACTIONS(2370),
    [sym__automatic_semicolon] = ACTIONS(2372),
    [sym__ternary_qmark] = ACTIONS(2372),
    [sym_html_comment] = ACTIONS(5),
  },
  [1844] = {
    [sym_comment] = STATE(1844),
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_as] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_from] = ACTIONS(2474),
    [anon_sym_var] = ACTIONS(2474),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_of] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_GT] = ACTIONS(2474),
    [anon_sym_DOT] = ACTIONS(2474),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2474),
    [anon_sym_QMARK_DOT] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_PIPE_PIPE] = ACTIONS(2474),
    [anon_sym_GT_GT] = ACTIONS(2474),
    [anon_sym_GT_GT_GT] = ACTIONS(2474),
    [anon_sym_LT_LT] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_CARET] = ACTIONS(2474),
    [anon_sym_PIPE] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_SLASH] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2474),
    [anon_sym_STAR_STAR] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_LT_EQ] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2474),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2474),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_QMARK_QMARK] = ACTIONS(2474),
    [anon_sym_instanceof] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2474),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_property] = ACTIONS(2474),
    [anon_sym_signal] = ACTIONS(2474),
    [anon_sym_on] = ACTIONS(2474),
    [anon_sym_required] = ACTIONS(2474),
    [anon_sym_component] = ACTIONS(2474),
    [anon_sym_satisfies] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [sym__automatic_semicolon] = ACTIONS(2476),
    [sym__ternary_qmark] = ACTIONS(2476),
    [sym_html_comment] = ACTIONS(5),
  },
  [1845] = {
    [sym_comment] = STATE(1845),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_type] = ACTIONS(2438),
    [anon_sym_as] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_from] = ACTIONS(2438),
    [anon_sym_var] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_else] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_of] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_GT] = ACTIONS(2438),
    [anon_sym_DOT] = ACTIONS(2438),
    [anon_sym_async] = ACTIONS(2438),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_QMARK_DOT] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_PIPE_PIPE] = ACTIONS(2438),
    [anon_sym_GT_GT] = ACTIONS(2438),
    [anon_sym_GT_GT_GT] = ACTIONS(2438),
    [anon_sym_LT_LT] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_PIPE] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_SLASH] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2438),
    [anon_sym_STAR_STAR] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2438),
    [anon_sym_LT_EQ] = ACTIONS(2438),
    [anon_sym_EQ_EQ] = ACTIONS(2438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2438),
    [anon_sym_BANG_EQ] = ACTIONS(2438),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2438),
    [anon_sym_GT_EQ] = ACTIONS(2438),
    [anon_sym_QMARK_QMARK] = ACTIONS(2438),
    [anon_sym_instanceof] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_readonly] = ACTIONS(2438),
    [anon_sym_get] = ACTIONS(2438),
    [anon_sym_set] = ACTIONS(2438),
    [anon_sym_declare] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_override] = ACTIONS(2438),
    [anon_sym_module] = ACTIONS(2438),
    [anon_sym_any] = ACTIONS(2438),
    [anon_sym_number] = ACTIONS(2438),
    [anon_sym_boolean] = ACTIONS(2438),
    [anon_sym_string] = ACTIONS(2438),
    [anon_sym_symbol] = ACTIONS(2438),
    [anon_sym_object] = ACTIONS(2438),
    [anon_sym_property] = ACTIONS(2438),
    [anon_sym_signal] = ACTIONS(2438),
    [anon_sym_on] = ACTIONS(2438),
    [anon_sym_required] = ACTIONS(2438),
    [anon_sym_component] = ACTIONS(2438),
    [anon_sym_satisfies] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [sym__automatic_semicolon] = ACTIONS(2440),
    [sym__ternary_qmark] = ACTIONS(2440),
    [sym_html_comment] = ACTIONS(5),
  },
  [1846] = {
    [sym_statement_block] = STATE(1922),
    [sym_comment] = STATE(1846),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_as] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(3754),
    [anon_sym_COMMA] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_in] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(3756),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_QMARK_DOT] = ACTIONS(2297),
    [anon_sym_AMP_AMP] = ACTIONS(2297),
    [anon_sym_PIPE_PIPE] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_GT_GT_GT] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_AMP] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2297),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_STAR_STAR] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_QMARK_QMARK] = ACTIONS(2297),
    [anon_sym_instanceof] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_satisfies] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [1847] = {
    [sym_statement_block] = STATE(1922),
    [sym_comment] = STATE(1847),
    [sym_identifier] = ACTIONS(2297),
    [anon_sym_export] = ACTIONS(2297),
    [anon_sym_STAR] = ACTIONS(2297),
    [anon_sym_default] = ACTIONS(2297),
    [anon_sym_type] = ACTIONS(2297),
    [anon_sym_as] = ACTIONS(2297),
    [anon_sym_namespace] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(3754),
    [anon_sym_COMMA] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_from] = ACTIONS(2297),
    [anon_sym_var] = ACTIONS(2297),
    [anon_sym_let] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_in] = ACTIONS(2297),
    [anon_sym_of] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_GT] = ACTIONS(2297),
    [anon_sym_DOT] = ACTIONS(3758),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_function] = ACTIONS(2297),
    [anon_sym_QMARK_DOT] = ACTIONS(2297),
    [anon_sym_AMP_AMP] = ACTIONS(2297),
    [anon_sym_PIPE_PIPE] = ACTIONS(2297),
    [anon_sym_GT_GT] = ACTIONS(2297),
    [anon_sym_GT_GT_GT] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_AMP] = ACTIONS(2297),
    [anon_sym_CARET] = ACTIONS(2297),
    [anon_sym_PIPE] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_SLASH] = ACTIONS(2297),
    [anon_sym_PERCENT] = ACTIONS(2297),
    [anon_sym_STAR_STAR] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ] = ACTIONS(2297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ] = ACTIONS(2297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2297),
    [anon_sym_GT_EQ] = ACTIONS(2297),
    [anon_sym_QMARK_QMARK] = ACTIONS(2297),
    [anon_sym_instanceof] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_static] = ACTIONS(2297),
    [anon_sym_readonly] = ACTIONS(2297),
    [anon_sym_get] = ACTIONS(2297),
    [anon_sym_set] = ACTIONS(2297),
    [anon_sym_declare] = ACTIONS(2297),
    [anon_sym_public] = ACTIONS(2297),
    [anon_sym_private] = ACTIONS(2297),
    [anon_sym_protected] = ACTIONS(2297),
    [anon_sym_override] = ACTIONS(2297),
    [anon_sym_module] = ACTIONS(2297),
    [anon_sym_any] = ACTIONS(2297),
    [anon_sym_number] = ACTIONS(2297),
    [anon_sym_boolean] = ACTIONS(2297),
    [anon_sym_string] = ACTIONS(2297),
    [anon_sym_symbol] = ACTIONS(2297),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_property] = ACTIONS(2297),
    [anon_sym_signal] = ACTIONS(2297),
    [anon_sym_on] = ACTIONS(2297),
    [anon_sym_required] = ACTIONS(2297),
    [anon_sym_component] = ACTIONS(2297),
    [anon_sym_satisfies] = ACTIONS(2297),
    [anon_sym_enum] = ACTIONS(2297),
    [sym__automatic_semicolon] = ACTIONS(2303),
    [sym__ternary_qmark] = ACTIONS(2303),
    [sym_html_comment] = ACTIONS(5),
  },
  [1848] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1848),
    [sym_formal_parameters] = STATE(8370),
    [sym_rest_pattern] = STATE(8160),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7026),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(3760),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_COMMA] = ACTIONS(3762),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(3764),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1849] = {
    [sym_export_statement] = STATE(5615),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array_pattern] = STATE(5164),
    [sym__call_signature] = STATE(6248),
    [sym__destructuring_pattern] = STATE(8206),
    [sym_spread_element] = STATE(6910),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(1849),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(6910),
    [sym_pair] = STATE(6910),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(4779),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5615),
    [sym_accessibility_modifier] = STATE(3766),
    [sym_override_modifier] = STATE(3907),
    [sym_call_signature] = STATE(5615),
    [sym_property_signature] = STATE(5615),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5615),
    [sym_index_signature] = STATE(5615),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [aux_sym_object_repeat1] = STATE(6911),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_export] = ACTIONS(3770),
    [anon_sym_STAR] = ACTIONS(3772),
    [anon_sym_type] = ACTIONS(3768),
    [anon_sym_namespace] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3774),
    [anon_sym_COMMA] = ACTIONS(3776),
    [anon_sym_RBRACE] = ACTIONS(3778),
    [anon_sym_from] = ACTIONS(3768),
    [anon_sym_let] = ACTIONS(3768),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(3768),
    [anon_sym_SEMI] = ACTIONS(3782),
    [anon_sym_LBRACK] = ACTIONS(3784),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(3786),
    [anon_sym_new] = ACTIONS(3788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(3794),
    [anon_sym_readonly] = ACTIONS(3796),
    [anon_sym_get] = ACTIONS(3798),
    [anon_sym_set] = ACTIONS(3798),
    [anon_sym_declare] = ACTIONS(3768),
    [anon_sym_public] = ACTIONS(3800),
    [anon_sym_private] = ACTIONS(3800),
    [anon_sym_protected] = ACTIONS(3800),
    [anon_sym_override] = ACTIONS(3802),
    [anon_sym_module] = ACTIONS(3768),
    [anon_sym_any] = ACTIONS(3768),
    [anon_sym_number] = ACTIONS(3768),
    [anon_sym_boolean] = ACTIONS(3768),
    [anon_sym_string] = ACTIONS(3768),
    [anon_sym_symbol] = ACTIONS(3768),
    [anon_sym_object] = ACTIONS(3768),
    [anon_sym_property] = ACTIONS(3768),
    [anon_sym_signal] = ACTIONS(3768),
    [anon_sym_on] = ACTIONS(3768),
    [anon_sym_required] = ACTIONS(3768),
    [anon_sym_component] = ACTIONS(3768),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3806),
    [sym_html_comment] = ACTIONS(5),
  },
  [1850] = {
    [sym_export_statement] = STATE(5615),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array_pattern] = STATE(5164),
    [sym__call_signature] = STATE(6248),
    [sym__destructuring_pattern] = STATE(8206),
    [sym_spread_element] = STATE(6910),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(1850),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(6910),
    [sym_pair] = STATE(6910),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(4779),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5615),
    [sym_accessibility_modifier] = STATE(3766),
    [sym_override_modifier] = STATE(3907),
    [sym_call_signature] = STATE(5615),
    [sym_property_signature] = STATE(5615),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5615),
    [sym_index_signature] = STATE(5615),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [aux_sym_object_repeat1] = STATE(6911),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(3808),
    [anon_sym_export] = ACTIONS(3810),
    [anon_sym_STAR] = ACTIONS(3772),
    [anon_sym_type] = ACTIONS(3808),
    [anon_sym_namespace] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3774),
    [anon_sym_COMMA] = ACTIONS(3776),
    [anon_sym_RBRACE] = ACTIONS(3812),
    [anon_sym_from] = ACTIONS(3808),
    [anon_sym_let] = ACTIONS(3808),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(3808),
    [anon_sym_SEMI] = ACTIONS(3782),
    [anon_sym_LBRACK] = ACTIONS(3784),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(3814),
    [anon_sym_new] = ACTIONS(3816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(3818),
    [anon_sym_readonly] = ACTIONS(3820),
    [anon_sym_get] = ACTIONS(3822),
    [anon_sym_set] = ACTIONS(3822),
    [anon_sym_declare] = ACTIONS(3808),
    [anon_sym_public] = ACTIONS(3824),
    [anon_sym_private] = ACTIONS(3824),
    [anon_sym_protected] = ACTIONS(3824),
    [anon_sym_override] = ACTIONS(3826),
    [anon_sym_module] = ACTIONS(3808),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_property] = ACTIONS(3808),
    [anon_sym_signal] = ACTIONS(3808),
    [anon_sym_on] = ACTIONS(3808),
    [anon_sym_required] = ACTIONS(3808),
    [anon_sym_component] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3806),
    [sym_html_comment] = ACTIONS(5),
  },
  [1851] = {
    [sym_comment] = STATE(1851),
    [sym_identifier] = ACTIONS(2402),
    [anon_sym_export] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_type] = ACTIONS(2402),
    [anon_sym_as] = ACTIONS(2404),
    [anon_sym_namespace] = ACTIONS(2402),
    [anon_sym_COMMA] = ACTIONS(2404),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [anon_sym_from] = ACTIONS(2402),
    [anon_sym_var] = ACTIONS(2402),
    [anon_sym_let] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_else] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(2404),
    [anon_sym_in] = ACTIONS(2404),
    [anon_sym_of] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym_GT] = ACTIONS(2404),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_async] = ACTIONS(2402),
    [anon_sym_function] = ACTIONS(2402),
    [anon_sym_QMARK_DOT] = ACTIONS(2404),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_PIPE_PIPE] = ACTIONS(2404),
    [anon_sym_GT_GT] = ACTIONS(2404),
    [anon_sym_GT_GT_GT] = ACTIONS(2404),
    [anon_sym_LT_LT] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2404),
    [anon_sym_PIPE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_SLASH] = ACTIONS(2404),
    [anon_sym_PERCENT] = ACTIONS(2404),
    [anon_sym_STAR_STAR] = ACTIONS(2404),
    [anon_sym_LT] = ACTIONS(2404),
    [anon_sym_LT_EQ] = ACTIONS(2404),
    [anon_sym_EQ_EQ] = ACTIONS(2404),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2404),
    [anon_sym_BANG_EQ] = ACTIONS(2404),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2404),
    [anon_sym_GT_EQ] = ACTIONS(2404),
    [anon_sym_QMARK_QMARK] = ACTIONS(2404),
    [anon_sym_instanceof] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2404),
    [anon_sym_AT] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_readonly] = ACTIONS(2402),
    [anon_sym_get] = ACTIONS(2402),
    [anon_sym_set] = ACTIONS(2402),
    [anon_sym_declare] = ACTIONS(2402),
    [anon_sym_public] = ACTIONS(2402),
    [anon_sym_private] = ACTIONS(2402),
    [anon_sym_protected] = ACTIONS(2402),
    [anon_sym_override] = ACTIONS(2402),
    [anon_sym_module] = ACTIONS(2402),
    [anon_sym_any] = ACTIONS(2402),
    [anon_sym_number] = ACTIONS(2402),
    [anon_sym_boolean] = ACTIONS(2402),
    [anon_sym_string] = ACTIONS(2402),
    [anon_sym_symbol] = ACTIONS(2402),
    [anon_sym_object] = ACTIONS(2402),
    [anon_sym_property] = ACTIONS(2402),
    [anon_sym_signal] = ACTIONS(2402),
    [anon_sym_on] = ACTIONS(2402),
    [anon_sym_required] = ACTIONS(2402),
    [anon_sym_component] = ACTIONS(2402),
    [anon_sym_satisfies] = ACTIONS(2404),
    [anon_sym_enum] = ACTIONS(2402),
    [sym__automatic_semicolon] = ACTIONS(3828),
    [sym__ternary_qmark] = ACTIONS(2408),
    [sym_html_comment] = ACTIONS(5),
  },
  [1852] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1852),
    [sym_formal_parameters] = STATE(8370),
    [sym_rest_pattern] = STATE(8160),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7058),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(3760),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_COMMA] = ACTIONS(3830),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(3832),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1853] = {
    [sym_comment] = STATE(1853),
    [sym_identifier] = ACTIONS(2466),
    [anon_sym_export] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2466),
    [anon_sym_type] = ACTIONS(2466),
    [anon_sym_as] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2466),
    [anon_sym_COMMA] = ACTIONS(2468),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_from] = ACTIONS(2466),
    [anon_sym_var] = ACTIONS(2466),
    [anon_sym_let] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2468),
    [anon_sym_else] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_of] = ACTIONS(2466),
    [anon_sym_SEMI] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_GT] = ACTIONS(2468),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_async] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2466),
    [anon_sym_QMARK_DOT] = ACTIONS(2468),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_GT_GT] = ACTIONS(2468),
    [anon_sym_GT_GT_GT] = ACTIONS(2468),
    [anon_sym_LT_LT] = ACTIONS(2468),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_CARET] = ACTIONS(2468),
    [anon_sym_PIPE] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_SLASH] = ACTIONS(2468),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_STAR_STAR] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2468),
    [anon_sym_LT_EQ] = ACTIONS(2468),
    [anon_sym_EQ_EQ] = ACTIONS(2468),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2468),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2468),
    [anon_sym_GT_EQ] = ACTIONS(2468),
    [anon_sym_QMARK_QMARK] = ACTIONS(2468),
    [anon_sym_instanceof] = ACTIONS(2468),
    [anon_sym_PLUS_PLUS] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2468),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2468),
    [anon_sym_AT] = ACTIONS(2466),
    [anon_sym_static] = ACTIONS(2466),
    [anon_sym_readonly] = ACTIONS(2466),
    [anon_sym_get] = ACTIONS(2466),
    [anon_sym_set] = ACTIONS(2466),
    [anon_sym_declare] = ACTIONS(2466),
    [anon_sym_public] = ACTIONS(2466),
    [anon_sym_private] = ACTIONS(2466),
    [anon_sym_protected] = ACTIONS(2466),
    [anon_sym_override] = ACTIONS(2466),
    [anon_sym_module] = ACTIONS(2466),
    [anon_sym_any] = ACTIONS(2466),
    [anon_sym_number] = ACTIONS(2466),
    [anon_sym_boolean] = ACTIONS(2466),
    [anon_sym_string] = ACTIONS(2466),
    [anon_sym_symbol] = ACTIONS(2466),
    [anon_sym_object] = ACTIONS(2466),
    [anon_sym_property] = ACTIONS(2466),
    [anon_sym_signal] = ACTIONS(2466),
    [anon_sym_on] = ACTIONS(2466),
    [anon_sym_required] = ACTIONS(2466),
    [anon_sym_component] = ACTIONS(2466),
    [anon_sym_satisfies] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2466),
    [sym__automatic_semicolon] = ACTIONS(2470),
    [sym__ternary_qmark] = ACTIONS(2470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1854] = {
    [sym_comment] = STATE(1854),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_export] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2450),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_as] = ACTIONS(2452),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_from] = ACTIONS(2450),
    [anon_sym_var] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_of] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2452),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2452),
    [anon_sym_async] = ACTIONS(2450),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_QMARK_DOT] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_PIPE_PIPE] = ACTIONS(2452),
    [anon_sym_GT_GT] = ACTIONS(2452),
    [anon_sym_GT_GT_GT] = ACTIONS(2452),
    [anon_sym_LT_LT] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_CARET] = ACTIONS(2452),
    [anon_sym_PIPE] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_SLASH] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2452),
    [anon_sym_STAR_STAR] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_LT_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2452),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_QMARK_QMARK] = ACTIONS(2452),
    [anon_sym_instanceof] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2452),
    [anon_sym_AT] = ACTIONS(2450),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_readonly] = ACTIONS(2450),
    [anon_sym_get] = ACTIONS(2450),
    [anon_sym_set] = ACTIONS(2450),
    [anon_sym_declare] = ACTIONS(2450),
    [anon_sym_public] = ACTIONS(2450),
    [anon_sym_private] = ACTIONS(2450),
    [anon_sym_protected] = ACTIONS(2450),
    [anon_sym_override] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_any] = ACTIONS(2450),
    [anon_sym_number] = ACTIONS(2450),
    [anon_sym_boolean] = ACTIONS(2450),
    [anon_sym_string] = ACTIONS(2450),
    [anon_sym_symbol] = ACTIONS(2450),
    [anon_sym_object] = ACTIONS(2450),
    [anon_sym_property] = ACTIONS(2450),
    [anon_sym_signal] = ACTIONS(2450),
    [anon_sym_on] = ACTIONS(2450),
    [anon_sym_required] = ACTIONS(2450),
    [anon_sym_component] = ACTIONS(2450),
    [anon_sym_satisfies] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2450),
    [sym__automatic_semicolon] = ACTIONS(3834),
    [sym__ternary_qmark] = ACTIONS(2456),
    [sym_html_comment] = ACTIONS(5),
  },
  [1855] = {
    [sym_comment] = STATE(1855),
    [sym_identifier] = ACTIONS(2374),
    [anon_sym_export] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_type] = ACTIONS(2374),
    [anon_sym_as] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_COMMA] = ACTIONS(2376),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [anon_sym_from] = ACTIONS(2374),
    [anon_sym_var] = ACTIONS(2374),
    [anon_sym_let] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_else] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_of] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_GT] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(2376),
    [anon_sym_async] = ACTIONS(2374),
    [anon_sym_function] = ACTIONS(2374),
    [anon_sym_QMARK_DOT] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_GT_GT] = ACTIONS(2376),
    [anon_sym_GT_GT_GT] = ACTIONS(2376),
    [anon_sym_LT_LT] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_CARET] = ACTIONS(2376),
    [anon_sym_PIPE] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_SLASH] = ACTIONS(2376),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_STAR_STAR] = ACTIONS(2376),
    [anon_sym_LT] = ACTIONS(2376),
    [anon_sym_LT_EQ] = ACTIONS(2376),
    [anon_sym_EQ_EQ] = ACTIONS(2376),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2376),
    [anon_sym_GT_EQ] = ACTIONS(2376),
    [anon_sym_QMARK_QMARK] = ACTIONS(2376),
    [anon_sym_instanceof] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2376),
    [anon_sym_AT] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_readonly] = ACTIONS(2374),
    [anon_sym_get] = ACTIONS(2374),
    [anon_sym_set] = ACTIONS(2374),
    [anon_sym_declare] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_override] = ACTIONS(2374),
    [anon_sym_module] = ACTIONS(2374),
    [anon_sym_any] = ACTIONS(2374),
    [anon_sym_number] = ACTIONS(2374),
    [anon_sym_boolean] = ACTIONS(2374),
    [anon_sym_string] = ACTIONS(2374),
    [anon_sym_symbol] = ACTIONS(2374),
    [anon_sym_object] = ACTIONS(2374),
    [anon_sym_property] = ACTIONS(2374),
    [anon_sym_signal] = ACTIONS(2374),
    [anon_sym_on] = ACTIONS(2374),
    [anon_sym_required] = ACTIONS(2374),
    [anon_sym_component] = ACTIONS(2374),
    [anon_sym_satisfies] = ACTIONS(2376),
    [anon_sym_enum] = ACTIONS(2374),
    [sym__automatic_semicolon] = ACTIONS(3836),
    [sym__ternary_qmark] = ACTIONS(2380),
    [sym_html_comment] = ACTIONS(5),
  },
  [1856] = {
    [sym_comment] = STATE(1856),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_export] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_default] = ACTIONS(2434),
    [anon_sym_type] = ACTIONS(2434),
    [anon_sym_as] = ACTIONS(2434),
    [anon_sym_namespace] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_from] = ACTIONS(2434),
    [anon_sym_var] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_else] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_in] = ACTIONS(2434),
    [anon_sym_of] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_GT] = ACTIONS(2434),
    [anon_sym_DOT] = ACTIONS(2434),
    [anon_sym_async] = ACTIONS(2434),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_QMARK_DOT] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_PIPE_PIPE] = ACTIONS(2434),
    [anon_sym_GT_GT] = ACTIONS(2434),
    [anon_sym_GT_GT_GT] = ACTIONS(2434),
    [anon_sym_LT_LT] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_CARET] = ACTIONS(2434),
    [anon_sym_PIPE] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_SLASH] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2434),
    [anon_sym_STAR_STAR] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2434),
    [anon_sym_LT_EQ] = ACTIONS(2434),
    [anon_sym_EQ_EQ] = ACTIONS(2434),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2434),
    [anon_sym_BANG_EQ] = ACTIONS(2434),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2434),
    [anon_sym_GT_EQ] = ACTIONS(2434),
    [anon_sym_QMARK_QMARK] = ACTIONS(2434),
    [anon_sym_instanceof] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2434),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_readonly] = ACTIONS(2434),
    [anon_sym_get] = ACTIONS(2434),
    [anon_sym_set] = ACTIONS(2434),
    [anon_sym_declare] = ACTIONS(2434),
    [anon_sym_public] = ACTIONS(2434),
    [anon_sym_private] = ACTIONS(2434),
    [anon_sym_protected] = ACTIONS(2434),
    [anon_sym_override] = ACTIONS(2434),
    [anon_sym_module] = ACTIONS(2434),
    [anon_sym_any] = ACTIONS(2434),
    [anon_sym_number] = ACTIONS(2434),
    [anon_sym_boolean] = ACTIONS(2434),
    [anon_sym_string] = ACTIONS(2434),
    [anon_sym_symbol] = ACTIONS(2434),
    [anon_sym_object] = ACTIONS(2434),
    [anon_sym_property] = ACTIONS(2434),
    [anon_sym_signal] = ACTIONS(2434),
    [anon_sym_on] = ACTIONS(2434),
    [anon_sym_required] = ACTIONS(2434),
    [anon_sym_component] = ACTIONS(2434),
    [anon_sym_satisfies] = ACTIONS(2434),
    [anon_sym_enum] = ACTIONS(2434),
    [sym__automatic_semicolon] = ACTIONS(2436),
    [sym__ternary_qmark] = ACTIONS(2436),
    [sym_html_comment] = ACTIONS(5),
  },
  [1857] = {
    [sym_comment] = STATE(1857),
    [sym_identifier] = ACTIONS(2342),
    [anon_sym_export] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_default] = ACTIONS(2342),
    [anon_sym_type] = ACTIONS(2342),
    [anon_sym_as] = ACTIONS(2344),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(2342),
    [anon_sym_from] = ACTIONS(2342),
    [anon_sym_var] = ACTIONS(2342),
    [anon_sym_let] = ACTIONS(2342),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_else] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_of] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_DOT] = ACTIONS(2344),
    [anon_sym_async] = ACTIONS(2342),
    [anon_sym_function] = ACTIONS(2342),
    [anon_sym_QMARK_DOT] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2344),
    [anon_sym_PIPE_PIPE] = ACTIONS(2344),
    [anon_sym_GT_GT] = ACTIONS(2344),
    [anon_sym_GT_GT_GT] = ACTIONS(2344),
    [anon_sym_LT_LT] = ACTIONS(2344),
    [anon_sym_AMP] = ACTIONS(2344),
    [anon_sym_CARET] = ACTIONS(2344),
    [anon_sym_PIPE] = ACTIONS(2344),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2344),
    [anon_sym_PERCENT] = ACTIONS(2344),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_LT_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2344),
    [anon_sym_GT_EQ] = ACTIONS(2344),
    [anon_sym_QMARK_QMARK] = ACTIONS(2344),
    [anon_sym_instanceof] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2344),
    [anon_sym_AT] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_readonly] = ACTIONS(2342),
    [anon_sym_get] = ACTIONS(2342),
    [anon_sym_set] = ACTIONS(2342),
    [anon_sym_declare] = ACTIONS(2342),
    [anon_sym_public] = ACTIONS(2342),
    [anon_sym_private] = ACTIONS(2342),
    [anon_sym_protected] = ACTIONS(2342),
    [anon_sym_override] = ACTIONS(2342),
    [anon_sym_module] = ACTIONS(2342),
    [anon_sym_any] = ACTIONS(2342),
    [anon_sym_number] = ACTIONS(2342),
    [anon_sym_boolean] = ACTIONS(2342),
    [anon_sym_string] = ACTIONS(2342),
    [anon_sym_symbol] = ACTIONS(2342),
    [anon_sym_object] = ACTIONS(2342),
    [anon_sym_property] = ACTIONS(2342),
    [anon_sym_signal] = ACTIONS(2342),
    [anon_sym_on] = ACTIONS(2342),
    [anon_sym_required] = ACTIONS(2342),
    [anon_sym_component] = ACTIONS(2342),
    [anon_sym_satisfies] = ACTIONS(2344),
    [anon_sym_enum] = ACTIONS(2342),
    [sym__automatic_semicolon] = ACTIONS(3838),
    [sym__ternary_qmark] = ACTIONS(2348),
    [sym_html_comment] = ACTIONS(5),
  },
  [1858] = {
    [sym_export_statement] = STATE(5615),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array_pattern] = STATE(5164),
    [sym__call_signature] = STATE(6248),
    [sym__destructuring_pattern] = STATE(8206),
    [sym_spread_element] = STATE(6910),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(1858),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(6910),
    [sym_pair] = STATE(6910),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(4779),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5615),
    [sym_accessibility_modifier] = STATE(3766),
    [sym_override_modifier] = STATE(3907),
    [sym_call_signature] = STATE(5615),
    [sym_property_signature] = STATE(5615),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5615),
    [sym_index_signature] = STATE(5615),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [aux_sym_object_repeat1] = STATE(6911),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(3840),
    [anon_sym_export] = ACTIONS(3842),
    [anon_sym_STAR] = ACTIONS(3772),
    [anon_sym_type] = ACTIONS(3840),
    [anon_sym_namespace] = ACTIONS(3840),
    [anon_sym_LBRACE] = ACTIONS(3774),
    [anon_sym_COMMA] = ACTIONS(3776),
    [anon_sym_RBRACE] = ACTIONS(3844),
    [anon_sym_from] = ACTIONS(3840),
    [anon_sym_let] = ACTIONS(3840),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(3840),
    [anon_sym_SEMI] = ACTIONS(3782),
    [anon_sym_LBRACK] = ACTIONS(3784),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(3846),
    [anon_sym_new] = ACTIONS(3848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(3850),
    [anon_sym_readonly] = ACTIONS(3852),
    [anon_sym_get] = ACTIONS(3854),
    [anon_sym_set] = ACTIONS(3854),
    [anon_sym_declare] = ACTIONS(3840),
    [anon_sym_public] = ACTIONS(3856),
    [anon_sym_private] = ACTIONS(3856),
    [anon_sym_protected] = ACTIONS(3856),
    [anon_sym_override] = ACTIONS(3858),
    [anon_sym_module] = ACTIONS(3840),
    [anon_sym_any] = ACTIONS(3840),
    [anon_sym_number] = ACTIONS(3840),
    [anon_sym_boolean] = ACTIONS(3840),
    [anon_sym_string] = ACTIONS(3840),
    [anon_sym_symbol] = ACTIONS(3840),
    [anon_sym_object] = ACTIONS(3840),
    [anon_sym_property] = ACTIONS(3840),
    [anon_sym_signal] = ACTIONS(3840),
    [anon_sym_on] = ACTIONS(3840),
    [anon_sym_required] = ACTIONS(3840),
    [anon_sym_component] = ACTIONS(3840),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3806),
    [sym_html_comment] = ACTIONS(5),
  },
  [1859] = {
    [sym_export_statement] = STATE(5615),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array_pattern] = STATE(5164),
    [sym__call_signature] = STATE(6248),
    [sym__destructuring_pattern] = STATE(8206),
    [sym_spread_element] = STATE(6910),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(1859),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(6910),
    [sym_pair] = STATE(6910),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(4779),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5615),
    [sym_accessibility_modifier] = STATE(3766),
    [sym_override_modifier] = STATE(3907),
    [sym_call_signature] = STATE(5615),
    [sym_property_signature] = STATE(5615),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5615),
    [sym_index_signature] = STATE(5615),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [aux_sym_object_repeat1] = STATE(6911),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_export] = ACTIONS(3770),
    [anon_sym_STAR] = ACTIONS(3772),
    [anon_sym_type] = ACTIONS(3768),
    [anon_sym_namespace] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3774),
    [anon_sym_COMMA] = ACTIONS(3776),
    [anon_sym_RBRACE] = ACTIONS(3844),
    [anon_sym_from] = ACTIONS(3768),
    [anon_sym_let] = ACTIONS(3768),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(3768),
    [anon_sym_SEMI] = ACTIONS(3782),
    [anon_sym_LBRACK] = ACTIONS(3784),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(3786),
    [anon_sym_new] = ACTIONS(3788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(3794),
    [anon_sym_readonly] = ACTIONS(3796),
    [anon_sym_get] = ACTIONS(3798),
    [anon_sym_set] = ACTIONS(3798),
    [anon_sym_declare] = ACTIONS(3768),
    [anon_sym_public] = ACTIONS(3800),
    [anon_sym_private] = ACTIONS(3800),
    [anon_sym_protected] = ACTIONS(3800),
    [anon_sym_override] = ACTIONS(3802),
    [anon_sym_module] = ACTIONS(3768),
    [anon_sym_any] = ACTIONS(3768),
    [anon_sym_number] = ACTIONS(3768),
    [anon_sym_boolean] = ACTIONS(3768),
    [anon_sym_string] = ACTIONS(3768),
    [anon_sym_symbol] = ACTIONS(3768),
    [anon_sym_object] = ACTIONS(3768),
    [anon_sym_property] = ACTIONS(3768),
    [anon_sym_signal] = ACTIONS(3768),
    [anon_sym_on] = ACTIONS(3768),
    [anon_sym_required] = ACTIONS(3768),
    [anon_sym_component] = ACTIONS(3768),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3806),
    [sym_html_comment] = ACTIONS(5),
  },
  [1860] = {
    [sym_export_statement] = STATE(5615),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array_pattern] = STATE(5164),
    [sym__call_signature] = STATE(6248),
    [sym__destructuring_pattern] = STATE(8206),
    [sym_spread_element] = STATE(6910),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(1860),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(6910),
    [sym_pair] = STATE(6910),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(4779),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5615),
    [sym_accessibility_modifier] = STATE(3766),
    [sym_override_modifier] = STATE(3907),
    [sym_call_signature] = STATE(5615),
    [sym_property_signature] = STATE(5615),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5615),
    [sym_index_signature] = STATE(5615),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [aux_sym_object_repeat1] = STATE(6911),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(3860),
    [anon_sym_export] = ACTIONS(3862),
    [anon_sym_STAR] = ACTIONS(3772),
    [anon_sym_type] = ACTIONS(3860),
    [anon_sym_namespace] = ACTIONS(3860),
    [anon_sym_LBRACE] = ACTIONS(3774),
    [anon_sym_COMMA] = ACTIONS(3776),
    [anon_sym_RBRACE] = ACTIONS(3864),
    [anon_sym_from] = ACTIONS(3860),
    [anon_sym_let] = ACTIONS(3860),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(3860),
    [anon_sym_SEMI] = ACTIONS(3782),
    [anon_sym_LBRACK] = ACTIONS(3784),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(3866),
    [anon_sym_new] = ACTIONS(3868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(3870),
    [anon_sym_readonly] = ACTIONS(3872),
    [anon_sym_get] = ACTIONS(3874),
    [anon_sym_set] = ACTIONS(3874),
    [anon_sym_declare] = ACTIONS(3860),
    [anon_sym_public] = ACTIONS(3876),
    [anon_sym_private] = ACTIONS(3876),
    [anon_sym_protected] = ACTIONS(3876),
    [anon_sym_override] = ACTIONS(3878),
    [anon_sym_module] = ACTIONS(3860),
    [anon_sym_any] = ACTIONS(3860),
    [anon_sym_number] = ACTIONS(3860),
    [anon_sym_boolean] = ACTIONS(3860),
    [anon_sym_string] = ACTIONS(3860),
    [anon_sym_symbol] = ACTIONS(3860),
    [anon_sym_object] = ACTIONS(3860),
    [anon_sym_property] = ACTIONS(3860),
    [anon_sym_signal] = ACTIONS(3860),
    [anon_sym_on] = ACTIONS(3860),
    [anon_sym_required] = ACTIONS(3860),
    [anon_sym_component] = ACTIONS(3860),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3806),
    [sym_html_comment] = ACTIONS(5),
  },
  [1861] = {
    [sym_comment] = STATE(1861),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_export] = ACTIONS(2410),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_default] = ACTIONS(2410),
    [anon_sym_type] = ACTIONS(2410),
    [anon_sym_as] = ACTIONS(2410),
    [anon_sym_namespace] = ACTIONS(2410),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(2410),
    [anon_sym_from] = ACTIONS(2410),
    [anon_sym_var] = ACTIONS(2410),
    [anon_sym_let] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_in] = ACTIONS(2410),
    [anon_sym_of] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_GT] = ACTIONS(2410),
    [anon_sym_DOT] = ACTIONS(2410),
    [anon_sym_async] = ACTIONS(2410),
    [anon_sym_function] = ACTIONS(2410),
    [anon_sym_QMARK_DOT] = ACTIONS(2410),
    [anon_sym_AMP_AMP] = ACTIONS(2410),
    [anon_sym_PIPE_PIPE] = ACTIONS(2410),
    [anon_sym_GT_GT] = ACTIONS(2410),
    [anon_sym_GT_GT_GT] = ACTIONS(2410),
    [anon_sym_LT_LT] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_CARET] = ACTIONS(2410),
    [anon_sym_PIPE] = ACTIONS(2410),
    [anon_sym_PLUS] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_SLASH] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2410),
    [anon_sym_STAR_STAR] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2410),
    [anon_sym_LT_EQ] = ACTIONS(2410),
    [anon_sym_EQ_EQ] = ACTIONS(2410),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2410),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2410),
    [anon_sym_GT_EQ] = ACTIONS(2410),
    [anon_sym_QMARK_QMARK] = ACTIONS(2410),
    [anon_sym_instanceof] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2410),
    [anon_sym_AT] = ACTIONS(2410),
    [anon_sym_static] = ACTIONS(2410),
    [anon_sym_readonly] = ACTIONS(2410),
    [anon_sym_get] = ACTIONS(2410),
    [anon_sym_set] = ACTIONS(2410),
    [anon_sym_declare] = ACTIONS(2410),
    [anon_sym_public] = ACTIONS(2410),
    [anon_sym_private] = ACTIONS(2410),
    [anon_sym_protected] = ACTIONS(2410),
    [anon_sym_override] = ACTIONS(2410),
    [anon_sym_module] = ACTIONS(2410),
    [anon_sym_any] = ACTIONS(2410),
    [anon_sym_number] = ACTIONS(2410),
    [anon_sym_boolean] = ACTIONS(2410),
    [anon_sym_string] = ACTIONS(2410),
    [anon_sym_symbol] = ACTIONS(2410),
    [anon_sym_object] = ACTIONS(2410),
    [anon_sym_property] = ACTIONS(2410),
    [anon_sym_signal] = ACTIONS(2410),
    [anon_sym_on] = ACTIONS(2410),
    [anon_sym_required] = ACTIONS(2410),
    [anon_sym_component] = ACTIONS(2410),
    [anon_sym_satisfies] = ACTIONS(2410),
    [anon_sym_enum] = ACTIONS(2410),
    [sym__automatic_semicolon] = ACTIONS(2412),
    [sym__ternary_qmark] = ACTIONS(2412),
    [sym_html_comment] = ACTIONS(5),
  },
  [1862] = {
    [sym_comment] = STATE(1862),
    [sym_identifier] = ACTIONS(2338),
    [anon_sym_export] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2338),
    [anon_sym_type] = ACTIONS(2338),
    [anon_sym_as] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2338),
    [anon_sym_RBRACE] = ACTIONS(2338),
    [anon_sym_from] = ACTIONS(2338),
    [anon_sym_var] = ACTIONS(2338),
    [anon_sym_let] = ACTIONS(2338),
    [anon_sym_BANG] = ACTIONS(2338),
    [anon_sym_else] = ACTIONS(2338),
    [anon_sym_LPAREN] = ACTIONS(2338),
    [anon_sym_in] = ACTIONS(2338),
    [anon_sym_of] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_GT] = ACTIONS(2338),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_async] = ACTIONS(2338),
    [anon_sym_function] = ACTIONS(2338),
    [anon_sym_QMARK_DOT] = ACTIONS(2338),
    [anon_sym_AMP_AMP] = ACTIONS(2338),
    [anon_sym_PIPE_PIPE] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_GT_GT_GT] = ACTIONS(2338),
    [anon_sym_LT_LT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(2338),
    [anon_sym_CARET] = ACTIONS(2338),
    [anon_sym_PIPE] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_SLASH] = ACTIONS(2338),
    [anon_sym_PERCENT] = ACTIONS(2338),
    [anon_sym_STAR_STAR] = ACTIONS(2338),
    [anon_sym_LT] = ACTIONS(2338),
    [anon_sym_LT_EQ] = ACTIONS(2338),
    [anon_sym_EQ_EQ] = ACTIONS(2338),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2338),
    [anon_sym_BANG_EQ] = ACTIONS(2338),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2338),
    [anon_sym_GT_EQ] = ACTIONS(2338),
    [anon_sym_QMARK_QMARK] = ACTIONS(2338),
    [anon_sym_instanceof] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2338),
    [anon_sym_AT] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_readonly] = ACTIONS(2338),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
    [anon_sym_declare] = ACTIONS(2338),
    [anon_sym_public] = ACTIONS(2338),
    [anon_sym_private] = ACTIONS(2338),
    [anon_sym_protected] = ACTIONS(2338),
    [anon_sym_override] = ACTIONS(2338),
    [anon_sym_module] = ACTIONS(2338),
    [anon_sym_any] = ACTIONS(2338),
    [anon_sym_number] = ACTIONS(2338),
    [anon_sym_boolean] = ACTIONS(2338),
    [anon_sym_string] = ACTIONS(2338),
    [anon_sym_symbol] = ACTIONS(2338),
    [anon_sym_object] = ACTIONS(2338),
    [anon_sym_property] = ACTIONS(2338),
    [anon_sym_signal] = ACTIONS(2338),
    [anon_sym_on] = ACTIONS(2338),
    [anon_sym_required] = ACTIONS(2338),
    [anon_sym_component] = ACTIONS(2338),
    [anon_sym_satisfies] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(2340),
    [sym__ternary_qmark] = ACTIONS(2340),
    [sym_html_comment] = ACTIONS(5),
  },
  [1863] = {
    [sym_export_statement] = STATE(5615),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array_pattern] = STATE(5164),
    [sym__call_signature] = STATE(6248),
    [sym__destructuring_pattern] = STATE(8206),
    [sym_spread_element] = STATE(7033),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(1863),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(7033),
    [sym_pair] = STATE(7033),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(4779),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5615),
    [sym_accessibility_modifier] = STATE(3766),
    [sym_override_modifier] = STATE(3907),
    [sym_call_signature] = STATE(5615),
    [sym_property_signature] = STATE(5615),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5615),
    [sym_index_signature] = STATE(5615),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [aux_sym_object_repeat1] = STATE(7039),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(3880),
    [anon_sym_export] = ACTIONS(3882),
    [anon_sym_STAR] = ACTIONS(3772),
    [anon_sym_type] = ACTIONS(3880),
    [anon_sym_namespace] = ACTIONS(3880),
    [anon_sym_LBRACE] = ACTIONS(3774),
    [anon_sym_COMMA] = ACTIONS(3776),
    [anon_sym_RBRACE] = ACTIONS(3884),
    [anon_sym_from] = ACTIONS(3880),
    [anon_sym_let] = ACTIONS(3880),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(3880),
    [anon_sym_SEMI] = ACTIONS(3782),
    [anon_sym_LBRACK] = ACTIONS(3784),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(3886),
    [anon_sym_new] = ACTIONS(3888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(3890),
    [anon_sym_readonly] = ACTIONS(3892),
    [anon_sym_get] = ACTIONS(3894),
    [anon_sym_set] = ACTIONS(3894),
    [anon_sym_declare] = ACTIONS(3880),
    [anon_sym_public] = ACTIONS(3896),
    [anon_sym_private] = ACTIONS(3896),
    [anon_sym_protected] = ACTIONS(3896),
    [anon_sym_override] = ACTIONS(3898),
    [anon_sym_module] = ACTIONS(3880),
    [anon_sym_any] = ACTIONS(3880),
    [anon_sym_number] = ACTIONS(3880),
    [anon_sym_boolean] = ACTIONS(3880),
    [anon_sym_string] = ACTIONS(3880),
    [anon_sym_symbol] = ACTIONS(3880),
    [anon_sym_object] = ACTIONS(3880),
    [anon_sym_property] = ACTIONS(3880),
    [anon_sym_signal] = ACTIONS(3880),
    [anon_sym_on] = ACTIONS(3880),
    [anon_sym_required] = ACTIONS(3880),
    [anon_sym_component] = ACTIONS(3880),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3806),
    [sym_html_comment] = ACTIONS(5),
  },
  [1864] = {
    [sym_comment] = STATE(1864),
    [sym_identifier] = ACTIONS(2370),
    [anon_sym_export] = ACTIONS(2370),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_default] = ACTIONS(2370),
    [anon_sym_type] = ACTIONS(2370),
    [anon_sym_as] = ACTIONS(2370),
    [anon_sym_namespace] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_from] = ACTIONS(2370),
    [anon_sym_var] = ACTIONS(2370),
    [anon_sym_let] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_in] = ACTIONS(2370),
    [anon_sym_of] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_GT] = ACTIONS(2370),
    [anon_sym_DOT] = ACTIONS(2370),
    [anon_sym_async] = ACTIONS(2370),
    [anon_sym_function] = ACTIONS(2370),
    [anon_sym_QMARK_DOT] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_GT_GT] = ACTIONS(2370),
    [anon_sym_GT_GT_GT] = ACTIONS(2370),
    [anon_sym_LT_LT] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_PIPE] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_SLASH] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_STAR_STAR] = ACTIONS(2370),
    [anon_sym_LT] = ACTIONS(2370),
    [anon_sym_LT_EQ] = ACTIONS(2370),
    [anon_sym_EQ_EQ] = ACTIONS(2370),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2370),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2370),
    [anon_sym_GT_EQ] = ACTIONS(2370),
    [anon_sym_QMARK_QMARK] = ACTIONS(2370),
    [anon_sym_instanceof] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2370),
    [anon_sym_readonly] = ACTIONS(2370),
    [anon_sym_get] = ACTIONS(2370),
    [anon_sym_set] = ACTIONS(2370),
    [anon_sym_declare] = ACTIONS(2370),
    [anon_sym_public] = ACTIONS(2370),
    [anon_sym_private] = ACTIONS(2370),
    [anon_sym_protected] = ACTIONS(2370),
    [anon_sym_override] = ACTIONS(2370),
    [anon_sym_module] = ACTIONS(2370),
    [anon_sym_any] = ACTIONS(2370),
    [anon_sym_number] = ACTIONS(2370),
    [anon_sym_boolean] = ACTIONS(2370),
    [anon_sym_string] = ACTIONS(2370),
    [anon_sym_symbol] = ACTIONS(2370),
    [anon_sym_object] = ACTIONS(2370),
    [anon_sym_property] = ACTIONS(2370),
    [anon_sym_signal] = ACTIONS(2370),
    [anon_sym_on] = ACTIONS(2370),
    [anon_sym_required] = ACTIONS(2370),
    [anon_sym_component] = ACTIONS(2370),
    [anon_sym_satisfies] = ACTIONS(2370),
    [anon_sym_enum] = ACTIONS(2370),
    [sym__automatic_semicolon] = ACTIONS(2372),
    [sym__ternary_qmark] = ACTIONS(2372),
    [sym_html_comment] = ACTIONS(5),
  },
  [1865] = {
    [sym_comment] = STATE(1865),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_export] = ACTIONS(2328),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_default] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2328),
    [anon_sym_as] = ACTIONS(2328),
    [anon_sym_namespace] = ACTIONS(2328),
    [anon_sym_COMMA] = ACTIONS(2328),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [anon_sym_from] = ACTIONS(2328),
    [anon_sym_var] = ACTIONS(2328),
    [anon_sym_let] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_else] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_in] = ACTIONS(2328),
    [anon_sym_of] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_GT] = ACTIONS(2328),
    [anon_sym_DOT] = ACTIONS(2328),
    [anon_sym_async] = ACTIONS(2328),
    [anon_sym_function] = ACTIONS(2328),
    [anon_sym_QMARK_DOT] = ACTIONS(2328),
    [anon_sym_AMP_AMP] = ACTIONS(2328),
    [anon_sym_PIPE_PIPE] = ACTIONS(2328),
    [anon_sym_GT_GT] = ACTIONS(2328),
    [anon_sym_GT_GT_GT] = ACTIONS(2328),
    [anon_sym_LT_LT] = ACTIONS(2328),
    [anon_sym_AMP] = ACTIONS(2328),
    [anon_sym_CARET] = ACTIONS(2328),
    [anon_sym_PIPE] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_PERCENT] = ACTIONS(2328),
    [anon_sym_STAR_STAR] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_QMARK_QMARK] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2328),
    [anon_sym_AT] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2328),
    [anon_sym_readonly] = ACTIONS(2328),
    [anon_sym_get] = ACTIONS(2328),
    [anon_sym_set] = ACTIONS(2328),
    [anon_sym_declare] = ACTIONS(2328),
    [anon_sym_public] = ACTIONS(2328),
    [anon_sym_private] = ACTIONS(2328),
    [anon_sym_protected] = ACTIONS(2328),
    [anon_sym_override] = ACTIONS(2328),
    [anon_sym_module] = ACTIONS(2328),
    [anon_sym_any] = ACTIONS(2328),
    [anon_sym_number] = ACTIONS(2328),
    [anon_sym_boolean] = ACTIONS(2328),
    [anon_sym_string] = ACTIONS(2328),
    [anon_sym_symbol] = ACTIONS(2328),
    [anon_sym_object] = ACTIONS(2328),
    [anon_sym_property] = ACTIONS(2328),
    [anon_sym_signal] = ACTIONS(2328),
    [anon_sym_on] = ACTIONS(2328),
    [anon_sym_required] = ACTIONS(2328),
    [anon_sym_component] = ACTIONS(2328),
    [anon_sym_satisfies] = ACTIONS(2328),
    [anon_sym_enum] = ACTIONS(2328),
    [sym__automatic_semicolon] = ACTIONS(2330),
    [sym__ternary_qmark] = ACTIONS(2330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1866] = {
    [sym_export_statement] = STATE(5615),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array_pattern] = STATE(5164),
    [sym__call_signature] = STATE(6248),
    [sym__destructuring_pattern] = STATE(8206),
    [sym_spread_element] = STATE(6910),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(1866),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(6910),
    [sym_pair] = STATE(6910),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(4779),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5615),
    [sym_accessibility_modifier] = STATE(3766),
    [sym_override_modifier] = STATE(3907),
    [sym_call_signature] = STATE(5615),
    [sym_property_signature] = STATE(5615),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5615),
    [sym_index_signature] = STATE(5615),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [aux_sym_object_repeat1] = STATE(6911),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(3860),
    [anon_sym_export] = ACTIONS(3862),
    [anon_sym_STAR] = ACTIONS(3772),
    [anon_sym_type] = ACTIONS(3860),
    [anon_sym_namespace] = ACTIONS(3860),
    [anon_sym_LBRACE] = ACTIONS(3774),
    [anon_sym_COMMA] = ACTIONS(3776),
    [anon_sym_RBRACE] = ACTIONS(3900),
    [anon_sym_from] = ACTIONS(3860),
    [anon_sym_let] = ACTIONS(3860),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(3860),
    [anon_sym_SEMI] = ACTIONS(3782),
    [anon_sym_LBRACK] = ACTIONS(3784),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(3866),
    [anon_sym_new] = ACTIONS(3868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(3870),
    [anon_sym_readonly] = ACTIONS(3872),
    [anon_sym_get] = ACTIONS(3874),
    [anon_sym_set] = ACTIONS(3874),
    [anon_sym_declare] = ACTIONS(3860),
    [anon_sym_public] = ACTIONS(3876),
    [anon_sym_private] = ACTIONS(3876),
    [anon_sym_protected] = ACTIONS(3876),
    [anon_sym_override] = ACTIONS(3878),
    [anon_sym_module] = ACTIONS(3860),
    [anon_sym_any] = ACTIONS(3860),
    [anon_sym_number] = ACTIONS(3860),
    [anon_sym_boolean] = ACTIONS(3860),
    [anon_sym_string] = ACTIONS(3860),
    [anon_sym_symbol] = ACTIONS(3860),
    [anon_sym_object] = ACTIONS(3860),
    [anon_sym_property] = ACTIONS(3860),
    [anon_sym_signal] = ACTIONS(3860),
    [anon_sym_on] = ACTIONS(3860),
    [anon_sym_required] = ACTIONS(3860),
    [anon_sym_component] = ACTIONS(3860),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3806),
    [sym_html_comment] = ACTIONS(5),
  },
  [1867] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1867),
    [sym_formal_parameters] = STATE(8370),
    [sym_rest_pattern] = STATE(8160),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(6728),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(3760),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_COMMA] = ACTIONS(3902),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(3904),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1868] = {
    [sym_comment] = STATE(1868),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_export] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_default] = ACTIONS(2438),
    [anon_sym_type] = ACTIONS(2438),
    [anon_sym_as] = ACTIONS(2438),
    [anon_sym_namespace] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_from] = ACTIONS(2438),
    [anon_sym_var] = ACTIONS(2438),
    [anon_sym_let] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_in] = ACTIONS(2438),
    [anon_sym_of] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_GT] = ACTIONS(2438),
    [anon_sym_DOT] = ACTIONS(2438),
    [anon_sym_async] = ACTIONS(2438),
    [anon_sym_function] = ACTIONS(2438),
    [anon_sym_QMARK_DOT] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2438),
    [anon_sym_PIPE_PIPE] = ACTIONS(2438),
    [anon_sym_GT_GT] = ACTIONS(2438),
    [anon_sym_GT_GT_GT] = ACTIONS(2438),
    [anon_sym_LT_LT] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_PIPE] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_SLASH] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2438),
    [anon_sym_STAR_STAR] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2438),
    [anon_sym_LT_EQ] = ACTIONS(2438),
    [anon_sym_EQ_EQ] = ACTIONS(2438),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2438),
    [anon_sym_BANG_EQ] = ACTIONS(2438),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2438),
    [anon_sym_GT_EQ] = ACTIONS(2438),
    [anon_sym_QMARK_QMARK] = ACTIONS(2438),
    [anon_sym_instanceof] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2438),
    [anon_sym_static] = ACTIONS(2438),
    [anon_sym_readonly] = ACTIONS(2438),
    [anon_sym_get] = ACTIONS(2438),
    [anon_sym_set] = ACTIONS(2438),
    [anon_sym_declare] = ACTIONS(2438),
    [anon_sym_public] = ACTIONS(2438),
    [anon_sym_private] = ACTIONS(2438),
    [anon_sym_protected] = ACTIONS(2438),
    [anon_sym_override] = ACTIONS(2438),
    [anon_sym_module] = ACTIONS(2438),
    [anon_sym_any] = ACTIONS(2438),
    [anon_sym_number] = ACTIONS(2438),
    [anon_sym_boolean] = ACTIONS(2438),
    [anon_sym_string] = ACTIONS(2438),
    [anon_sym_symbol] = ACTIONS(2438),
    [anon_sym_object] = ACTIONS(2438),
    [anon_sym_property] = ACTIONS(2438),
    [anon_sym_signal] = ACTIONS(2438),
    [anon_sym_on] = ACTIONS(2438),
    [anon_sym_required] = ACTIONS(2438),
    [anon_sym_component] = ACTIONS(2438),
    [anon_sym_satisfies] = ACTIONS(2438),
    [anon_sym_enum] = ACTIONS(2438),
    [sym__automatic_semicolon] = ACTIONS(2440),
    [sym__ternary_qmark] = ACTIONS(2440),
    [sym_html_comment] = ACTIONS(5),
  },
  [1869] = {
    [sym_comment] = STATE(1869),
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_type] = ACTIONS(2474),
    [anon_sym_as] = ACTIONS(2474),
    [anon_sym_namespace] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_from] = ACTIONS(2474),
    [anon_sym_var] = ACTIONS(2474),
    [anon_sym_let] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_of] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_GT] = ACTIONS(2474),
    [anon_sym_DOT] = ACTIONS(2474),
    [anon_sym_async] = ACTIONS(2474),
    [anon_sym_function] = ACTIONS(2474),
    [anon_sym_QMARK_DOT] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2474),
    [anon_sym_PIPE_PIPE] = ACTIONS(2474),
    [anon_sym_GT_GT] = ACTIONS(2474),
    [anon_sym_GT_GT_GT] = ACTIONS(2474),
    [anon_sym_LT_LT] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_CARET] = ACTIONS(2474),
    [anon_sym_PIPE] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_SLASH] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2474),
    [anon_sym_STAR_STAR] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_LT_EQ] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2474),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2474),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_QMARK_QMARK] = ACTIONS(2474),
    [anon_sym_instanceof] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2474),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_readonly] = ACTIONS(2474),
    [anon_sym_get] = ACTIONS(2474),
    [anon_sym_set] = ACTIONS(2474),
    [anon_sym_declare] = ACTIONS(2474),
    [anon_sym_public] = ACTIONS(2474),
    [anon_sym_private] = ACTIONS(2474),
    [anon_sym_protected] = ACTIONS(2474),
    [anon_sym_override] = ACTIONS(2474),
    [anon_sym_module] = ACTIONS(2474),
    [anon_sym_any] = ACTIONS(2474),
    [anon_sym_number] = ACTIONS(2474),
    [anon_sym_boolean] = ACTIONS(2474),
    [anon_sym_string] = ACTIONS(2474),
    [anon_sym_symbol] = ACTIONS(2474),
    [anon_sym_object] = ACTIONS(2474),
    [anon_sym_property] = ACTIONS(2474),
    [anon_sym_signal] = ACTIONS(2474),
    [anon_sym_on] = ACTIONS(2474),
    [anon_sym_required] = ACTIONS(2474),
    [anon_sym_component] = ACTIONS(2474),
    [anon_sym_satisfies] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [sym__automatic_semicolon] = ACTIONS(2476),
    [sym__ternary_qmark] = ACTIONS(2476),
    [sym_html_comment] = ACTIONS(5),
  },
  [1870] = {
    [sym_comment] = STATE(1870),
    [sym_identifier] = ACTIONS(2354),
    [anon_sym_export] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2354),
    [anon_sym_type] = ACTIONS(2354),
    [anon_sym_as] = ACTIONS(2356),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_COMMA] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(2354),
    [anon_sym_from] = ACTIONS(2354),
    [anon_sym_var] = ACTIONS(2354),
    [anon_sym_let] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2354),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_of] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_GT] = ACTIONS(2356),
    [anon_sym_DOT] = ACTIONS(2356),
    [anon_sym_async] = ACTIONS(2354),
    [anon_sym_function] = ACTIONS(2354),
    [anon_sym_QMARK_DOT] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_PIPE_PIPE] = ACTIONS(2356),
    [anon_sym_GT_GT] = ACTIONS(2356),
    [anon_sym_GT_GT_GT] = ACTIONS(2356),
    [anon_sym_LT_LT] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2356),
    [anon_sym_PIPE] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_SLASH] = ACTIONS(2356),
    [anon_sym_PERCENT] = ACTIONS(2356),
    [anon_sym_STAR_STAR] = ACTIONS(2356),
    [anon_sym_LT] = ACTIONS(2356),
    [anon_sym_LT_EQ] = ACTIONS(2356),
    [anon_sym_EQ_EQ] = ACTIONS(2356),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2356),
    [anon_sym_BANG_EQ] = ACTIONS(2356),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2356),
    [anon_sym_GT_EQ] = ACTIONS(2356),
    [anon_sym_QMARK_QMARK] = ACTIONS(2356),
    [anon_sym_instanceof] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2356),
    [anon_sym_AT] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_readonly] = ACTIONS(2354),
    [anon_sym_get] = ACTIONS(2354),
    [anon_sym_set] = ACTIONS(2354),
    [anon_sym_declare] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_override] = ACTIONS(2354),
    [anon_sym_module] = ACTIONS(2354),
    [anon_sym_any] = ACTIONS(2354),
    [anon_sym_number] = ACTIONS(2354),
    [anon_sym_boolean] = ACTIONS(2354),
    [anon_sym_string] = ACTIONS(2354),
    [anon_sym_symbol] = ACTIONS(2354),
    [anon_sym_object] = ACTIONS(2354),
    [anon_sym_property] = ACTIONS(2354),
    [anon_sym_signal] = ACTIONS(2354),
    [anon_sym_on] = ACTIONS(2354),
    [anon_sym_required] = ACTIONS(2354),
    [anon_sym_component] = ACTIONS(2354),
    [anon_sym_satisfies] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2354),
    [sym__automatic_semicolon] = ACTIONS(3906),
    [sym__ternary_qmark] = ACTIONS(2360),
    [sym_html_comment] = ACTIONS(5),
  },
  [1871] = {
    [sym_export_statement] = STATE(5710),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array_pattern] = STATE(5164),
    [sym__call_signature] = STATE(6248),
    [sym__destructuring_pattern] = STATE(8206),
    [sym_spread_element] = STATE(6910),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(1871),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(6910),
    [sym_pair] = STATE(6910),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(4779),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5710),
    [sym_accessibility_modifier] = STATE(3766),
    [sym_override_modifier] = STATE(3907),
    [sym_call_signature] = STATE(5710),
    [sym_property_signature] = STATE(5710),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5710),
    [sym_index_signature] = STATE(5710),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [aux_sym_object_repeat1] = STATE(6911),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(3768),
    [anon_sym_export] = ACTIONS(3770),
    [anon_sym_STAR] = ACTIONS(3772),
    [anon_sym_type] = ACTIONS(3768),
    [anon_sym_namespace] = ACTIONS(3768),
    [anon_sym_LBRACE] = ACTIONS(3774),
    [anon_sym_COMMA] = ACTIONS(3908),
    [anon_sym_RBRACE] = ACTIONS(3910),
    [anon_sym_from] = ACTIONS(3768),
    [anon_sym_let] = ACTIONS(3768),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(3768),
    [anon_sym_SEMI] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(3784),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(3786),
    [anon_sym_new] = ACTIONS(3788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(3794),
    [anon_sym_readonly] = ACTIONS(3796),
    [anon_sym_get] = ACTIONS(3798),
    [anon_sym_set] = ACTIONS(3798),
    [anon_sym_declare] = ACTIONS(3768),
    [anon_sym_public] = ACTIONS(3800),
    [anon_sym_private] = ACTIONS(3800),
    [anon_sym_protected] = ACTIONS(3800),
    [anon_sym_override] = ACTIONS(3802),
    [anon_sym_module] = ACTIONS(3768),
    [anon_sym_any] = ACTIONS(3768),
    [anon_sym_number] = ACTIONS(3768),
    [anon_sym_boolean] = ACTIONS(3768),
    [anon_sym_string] = ACTIONS(3768),
    [anon_sym_symbol] = ACTIONS(3768),
    [anon_sym_object] = ACTIONS(3768),
    [anon_sym_property] = ACTIONS(3768),
    [anon_sym_signal] = ACTIONS(3768),
    [anon_sym_on] = ACTIONS(3768),
    [anon_sym_required] = ACTIONS(3768),
    [anon_sym_component] = ACTIONS(3768),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3914),
    [sym_html_comment] = ACTIONS(5),
  },
  [1872] = {
    [sym_comment] = STATE(1872),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_as] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_else] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_QMARK_DOT] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2350),
    [anon_sym_GT_GT] = ACTIONS(2350),
    [anon_sym_GT_GT_GT] = ACTIONS(2350),
    [anon_sym_LT_LT] = ACTIONS(2350),
    [anon_sym_AMP] = ACTIONS(2350),
    [anon_sym_CARET] = ACTIONS(2350),
    [anon_sym_PIPE] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2350),
    [anon_sym_STAR_STAR] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2350),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2350),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK] = ACTIONS(2350),
    [anon_sym_instanceof] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_satisfies] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym__automatic_semicolon] = ACTIONS(2352),
    [sym__ternary_qmark] = ACTIONS(2352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1873] = {
    [sym_comment] = STATE(1873),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_as] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_in] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_GT] = ACTIONS(2332),
    [anon_sym_DOT] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_QMARK_DOT] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_PIPE_PIPE] = ACTIONS(2332),
    [anon_sym_GT_GT] = ACTIONS(2332),
    [anon_sym_GT_GT_GT] = ACTIONS(2332),
    [anon_sym_LT_LT] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_CARET] = ACTIONS(2332),
    [anon_sym_PIPE] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_PERCENT] = ACTIONS(2332),
    [anon_sym_STAR_STAR] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_LT_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2332),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_QMARK_QMARK] = ACTIONS(2332),
    [anon_sym_instanceof] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_satisfies] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(2336),
    [sym__ternary_qmark] = ACTIONS(2336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1874] = {
    [sym_comment] = STATE(1874),
    [sym_identifier] = ACTIONS(2394),
    [anon_sym_export] = ACTIONS(2394),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_default] = ACTIONS(2394),
    [anon_sym_type] = ACTIONS(2394),
    [anon_sym_as] = ACTIONS(2396),
    [anon_sym_namespace] = ACTIONS(2394),
    [anon_sym_COMMA] = ACTIONS(2396),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_from] = ACTIONS(2394),
    [anon_sym_var] = ACTIONS(2394),
    [anon_sym_let] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2396),
    [anon_sym_else] = ACTIONS(2394),
    [anon_sym_LPAREN] = ACTIONS(2396),
    [anon_sym_in] = ACTIONS(2396),
    [anon_sym_of] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2396),
    [anon_sym_LBRACK] = ACTIONS(2396),
    [anon_sym_GT] = ACTIONS(2396),
    [anon_sym_DOT] = ACTIONS(2396),
    [anon_sym_async] = ACTIONS(2394),
    [anon_sym_function] = ACTIONS(2394),
    [anon_sym_QMARK_DOT] = ACTIONS(2396),
    [anon_sym_AMP_AMP] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE] = ACTIONS(2396),
    [anon_sym_GT_GT] = ACTIONS(2396),
    [anon_sym_GT_GT_GT] = ACTIONS(2396),
    [anon_sym_LT_LT] = ACTIONS(2396),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_CARET] = ACTIONS(2396),
    [anon_sym_PIPE] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_SLASH] = ACTIONS(2396),
    [anon_sym_PERCENT] = ACTIONS(2396),
    [anon_sym_STAR_STAR] = ACTIONS(2396),
    [anon_sym_LT] = ACTIONS(2396),
    [anon_sym_LT_EQ] = ACTIONS(2396),
    [anon_sym_EQ_EQ] = ACTIONS(2396),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2396),
    [anon_sym_GT_EQ] = ACTIONS(2396),
    [anon_sym_QMARK_QMARK] = ACTIONS(2396),
    [anon_sym_instanceof] = ACTIONS(2396),
    [anon_sym_PLUS_PLUS] = ACTIONS(2396),
    [anon_sym_DASH_DASH] = ACTIONS(2396),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2396),
    [anon_sym_AT] = ACTIONS(2394),
    [anon_sym_static] = ACTIONS(2394),
    [anon_sym_readonly] = ACTIONS(2394),
    [anon_sym_get] = ACTIONS(2394),
    [anon_sym_set] = ACTIONS(2394),
    [anon_sym_declare] = ACTIONS(2394),
    [anon_sym_public] = ACTIONS(2394),
    [anon_sym_private] = ACTIONS(2394),
    [anon_sym_protected] = ACTIONS(2394),
    [anon_sym_override] = ACTIONS(2394),
    [anon_sym_module] = ACTIONS(2394),
    [anon_sym_any] = ACTIONS(2394),
    [anon_sym_number] = ACTIONS(2394),
    [anon_sym_boolean] = ACTIONS(2394),
    [anon_sym_string] = ACTIONS(2394),
    [anon_sym_symbol] = ACTIONS(2394),
    [anon_sym_object] = ACTIONS(2394),
    [anon_sym_property] = ACTIONS(2394),
    [anon_sym_signal] = ACTIONS(2394),
    [anon_sym_on] = ACTIONS(2394),
    [anon_sym_required] = ACTIONS(2394),
    [anon_sym_component] = ACTIONS(2394),
    [anon_sym_satisfies] = ACTIONS(2396),
    [anon_sym_enum] = ACTIONS(2394),
    [sym__automatic_semicolon] = ACTIONS(3916),
    [sym__ternary_qmark] = ACTIONS(2400),
    [sym_html_comment] = ACTIONS(5),
  },
  [1875] = {
    [sym_comment] = STATE(1875),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2362),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_as] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_COMMA] = ACTIONS(2364),
    [anon_sym_RBRACE] = ACTIONS(2362),
    [anon_sym_from] = ACTIONS(2362),
    [anon_sym_var] = ACTIONS(2362),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2362),
    [anon_sym_LPAREN] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_of] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_GT] = ACTIONS(2364),
    [anon_sym_DOT] = ACTIONS(2364),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(2362),
    [anon_sym_QMARK_DOT] = ACTIONS(2364),
    [anon_sym_AMP_AMP] = ACTIONS(2364),
    [anon_sym_PIPE_PIPE] = ACTIONS(2364),
    [anon_sym_GT_GT] = ACTIONS(2364),
    [anon_sym_GT_GT_GT] = ACTIONS(2364),
    [anon_sym_LT_LT] = ACTIONS(2364),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_CARET] = ACTIONS(2364),
    [anon_sym_PIPE] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_SLASH] = ACTIONS(2364),
    [anon_sym_PERCENT] = ACTIONS(2364),
    [anon_sym_STAR_STAR] = ACTIONS(2364),
    [anon_sym_LT] = ACTIONS(2364),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_QMARK_QMARK] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2364),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2364),
    [anon_sym_AT] = ACTIONS(2362),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2362),
    [anon_sym_get] = ACTIONS(2362),
    [anon_sym_set] = ACTIONS(2362),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_property] = ACTIONS(2362),
    [anon_sym_signal] = ACTIONS(2362),
    [anon_sym_on] = ACTIONS(2362),
    [anon_sym_required] = ACTIONS(2362),
    [anon_sym_component] = ACTIONS(2362),
    [anon_sym_satisfies] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2362),
    [sym__automatic_semicolon] = ACTIONS(3918),
    [sym__ternary_qmark] = ACTIONS(2368),
    [sym_html_comment] = ACTIONS(5),
  },
  [1876] = {
    [sym_export_statement] = STATE(5615),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array_pattern] = STATE(5164),
    [sym__call_signature] = STATE(6248),
    [sym__destructuring_pattern] = STATE(8206),
    [sym_spread_element] = STATE(6910),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(1876),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(6910),
    [sym_pair] = STATE(6910),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(4779),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5615),
    [sym_accessibility_modifier] = STATE(3766),
    [sym_override_modifier] = STATE(3907),
    [sym_call_signature] = STATE(5615),
    [sym_property_signature] = STATE(5615),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5615),
    [sym_index_signature] = STATE(5615),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [aux_sym_object_repeat1] = STATE(6911),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(3808),
    [anon_sym_export] = ACTIONS(3810),
    [anon_sym_STAR] = ACTIONS(3772),
    [anon_sym_type] = ACTIONS(3808),
    [anon_sym_namespace] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3774),
    [anon_sym_COMMA] = ACTIONS(3776),
    [anon_sym_RBRACE] = ACTIONS(3864),
    [anon_sym_from] = ACTIONS(3808),
    [anon_sym_let] = ACTIONS(3808),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(3808),
    [anon_sym_SEMI] = ACTIONS(3782),
    [anon_sym_LBRACK] = ACTIONS(3784),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(3814),
    [anon_sym_new] = ACTIONS(3816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(3818),
    [anon_sym_readonly] = ACTIONS(3820),
    [anon_sym_get] = ACTIONS(3822),
    [anon_sym_set] = ACTIONS(3822),
    [anon_sym_declare] = ACTIONS(3808),
    [anon_sym_public] = ACTIONS(3824),
    [anon_sym_private] = ACTIONS(3824),
    [anon_sym_protected] = ACTIONS(3824),
    [anon_sym_override] = ACTIONS(3826),
    [anon_sym_module] = ACTIONS(3808),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_property] = ACTIONS(3808),
    [anon_sym_signal] = ACTIONS(3808),
    [anon_sym_on] = ACTIONS(3808),
    [anon_sym_required] = ACTIONS(3808),
    [anon_sym_component] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3806),
    [sym_html_comment] = ACTIONS(5),
  },
  [1877] = {
    [sym_comment] = STATE(1877),
    [sym_identifier] = ACTIONS(2382),
    [anon_sym_export] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_default] = ACTIONS(2382),
    [anon_sym_type] = ACTIONS(2382),
    [anon_sym_as] = ACTIONS(2384),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_COMMA] = ACTIONS(2384),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_from] = ACTIONS(2382),
    [anon_sym_var] = ACTIONS(2382),
    [anon_sym_let] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_else] = ACTIONS(2382),
    [anon_sym_LPAREN] = ACTIONS(2384),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_of] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_GT] = ACTIONS(2384),
    [anon_sym_DOT] = ACTIONS(2384),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2382),
    [anon_sym_QMARK_DOT] = ACTIONS(2384),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_PIPE_PIPE] = ACTIONS(2384),
    [anon_sym_GT_GT] = ACTIONS(2384),
    [anon_sym_GT_GT_GT] = ACTIONS(2384),
    [anon_sym_LT_LT] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_CARET] = ACTIONS(2384),
    [anon_sym_PIPE] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_SLASH] = ACTIONS(2384),
    [anon_sym_PERCENT] = ACTIONS(2384),
    [anon_sym_STAR_STAR] = ACTIONS(2384),
    [anon_sym_LT] = ACTIONS(2384),
    [anon_sym_LT_EQ] = ACTIONS(2384),
    [anon_sym_EQ_EQ] = ACTIONS(2384),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2384),
    [anon_sym_BANG_EQ] = ACTIONS(2384),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2384),
    [anon_sym_GT_EQ] = ACTIONS(2384),
    [anon_sym_QMARK_QMARK] = ACTIONS(2384),
    [anon_sym_instanceof] = ACTIONS(2384),
    [anon_sym_PLUS_PLUS] = ACTIONS(2384),
    [anon_sym_DASH_DASH] = ACTIONS(2384),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2384),
    [anon_sym_AT] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_readonly] = ACTIONS(2382),
    [anon_sym_get] = ACTIONS(2382),
    [anon_sym_set] = ACTIONS(2382),
    [anon_sym_declare] = ACTIONS(2382),
    [anon_sym_public] = ACTIONS(2382),
    [anon_sym_private] = ACTIONS(2382),
    [anon_sym_protected] = ACTIONS(2382),
    [anon_sym_override] = ACTIONS(2382),
    [anon_sym_module] = ACTIONS(2382),
    [anon_sym_any] = ACTIONS(2382),
    [anon_sym_number] = ACTIONS(2382),
    [anon_sym_boolean] = ACTIONS(2382),
    [anon_sym_string] = ACTIONS(2382),
    [anon_sym_symbol] = ACTIONS(2382),
    [anon_sym_object] = ACTIONS(2382),
    [anon_sym_property] = ACTIONS(2382),
    [anon_sym_signal] = ACTIONS(2382),
    [anon_sym_on] = ACTIONS(2382),
    [anon_sym_required] = ACTIONS(2382),
    [anon_sym_component] = ACTIONS(2382),
    [anon_sym_satisfies] = ACTIONS(2384),
    [anon_sym_enum] = ACTIONS(2382),
    [sym__automatic_semicolon] = ACTIONS(3920),
    [sym__ternary_qmark] = ACTIONS(2388),
    [sym_html_comment] = ACTIONS(5),
  },
  [1878] = {
    [sym_export_statement] = STATE(5615),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array_pattern] = STATE(5164),
    [sym__call_signature] = STATE(6248),
    [sym__destructuring_pattern] = STATE(8206),
    [sym_spread_element] = STATE(7033),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(1878),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(7033),
    [sym_pair] = STATE(7033),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(4779),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5615),
    [sym_accessibility_modifier] = STATE(3766),
    [sym_override_modifier] = STATE(3907),
    [sym_call_signature] = STATE(5615),
    [sym_property_signature] = STATE(5615),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5615),
    [sym_index_signature] = STATE(5615),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [aux_sym_object_repeat1] = STATE(7039),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(3880),
    [anon_sym_export] = ACTIONS(3882),
    [anon_sym_STAR] = ACTIONS(3772),
    [anon_sym_type] = ACTIONS(3880),
    [anon_sym_namespace] = ACTIONS(3880),
    [anon_sym_LBRACE] = ACTIONS(3774),
    [anon_sym_COMMA] = ACTIONS(3776),
    [anon_sym_RBRACE] = ACTIONS(3922),
    [anon_sym_from] = ACTIONS(3880),
    [anon_sym_let] = ACTIONS(3880),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(3880),
    [anon_sym_SEMI] = ACTIONS(3782),
    [anon_sym_LBRACK] = ACTIONS(3784),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(3886),
    [anon_sym_new] = ACTIONS(3888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(3890),
    [anon_sym_readonly] = ACTIONS(3892),
    [anon_sym_get] = ACTIONS(3894),
    [anon_sym_set] = ACTIONS(3894),
    [anon_sym_declare] = ACTIONS(3880),
    [anon_sym_public] = ACTIONS(3896),
    [anon_sym_private] = ACTIONS(3896),
    [anon_sym_protected] = ACTIONS(3896),
    [anon_sym_override] = ACTIONS(3898),
    [anon_sym_module] = ACTIONS(3880),
    [anon_sym_any] = ACTIONS(3880),
    [anon_sym_number] = ACTIONS(3880),
    [anon_sym_boolean] = ACTIONS(3880),
    [anon_sym_string] = ACTIONS(3880),
    [anon_sym_symbol] = ACTIONS(3880),
    [anon_sym_object] = ACTIONS(3880),
    [anon_sym_property] = ACTIONS(3880),
    [anon_sym_signal] = ACTIONS(3880),
    [anon_sym_on] = ACTIONS(3880),
    [anon_sym_required] = ACTIONS(3880),
    [anon_sym_component] = ACTIONS(3880),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3806),
    [sym_html_comment] = ACTIONS(5),
  },
  [1879] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1879),
    [sym_formal_parameters] = STATE(8370),
    [sym_rest_pattern] = STATE(8160),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7014),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(3760),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_COMMA] = ACTIONS(3924),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(3926),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1880] = {
    [sym_comment] = STATE(1880),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_export] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_default] = ACTIONS(2442),
    [anon_sym_type] = ACTIONS(2442),
    [anon_sym_as] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_from] = ACTIONS(2442),
    [anon_sym_var] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_else] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_in] = ACTIONS(2442),
    [anon_sym_of] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_GT] = ACTIONS(2442),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_async] = ACTIONS(2442),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_QMARK_DOT] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_GT_GT] = ACTIONS(2442),
    [anon_sym_GT_GT_GT] = ACTIONS(2442),
    [anon_sym_LT_LT] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_CARET] = ACTIONS(2442),
    [anon_sym_PIPE] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_STAR_STAR] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_LT_EQ] = ACTIONS(2442),
    [anon_sym_EQ_EQ] = ACTIONS(2442),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2442),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2442),
    [anon_sym_GT_EQ] = ACTIONS(2442),
    [anon_sym_QMARK_QMARK] = ACTIONS(2442),
    [anon_sym_instanceof] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_readonly] = ACTIONS(2442),
    [anon_sym_get] = ACTIONS(2442),
    [anon_sym_set] = ACTIONS(2442),
    [anon_sym_declare] = ACTIONS(2442),
    [anon_sym_public] = ACTIONS(2442),
    [anon_sym_private] = ACTIONS(2442),
    [anon_sym_protected] = ACTIONS(2442),
    [anon_sym_override] = ACTIONS(2442),
    [anon_sym_module] = ACTIONS(2442),
    [anon_sym_any] = ACTIONS(2442),
    [anon_sym_number] = ACTIONS(2442),
    [anon_sym_boolean] = ACTIONS(2442),
    [anon_sym_string] = ACTIONS(2442),
    [anon_sym_symbol] = ACTIONS(2442),
    [anon_sym_object] = ACTIONS(2442),
    [anon_sym_property] = ACTIONS(2442),
    [anon_sym_signal] = ACTIONS(2442),
    [anon_sym_on] = ACTIONS(2442),
    [anon_sym_required] = ACTIONS(2442),
    [anon_sym_component] = ACTIONS(2442),
    [anon_sym_satisfies] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [sym__automatic_semicolon] = ACTIONS(2444),
    [sym__ternary_qmark] = ACTIONS(2444),
    [sym_html_comment] = ACTIONS(5),
  },
  [1881] = {
    [sym_comment] = STATE(1881),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2458),
    [anon_sym_type] = ACTIONS(2458),
    [anon_sym_as] = ACTIONS(2460),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_COMMA] = ACTIONS(2460),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_from] = ACTIONS(2458),
    [anon_sym_var] = ACTIONS(2458),
    [anon_sym_let] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2458),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_of] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_GT] = ACTIONS(2460),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_async] = ACTIONS(2458),
    [anon_sym_function] = ACTIONS(2458),
    [anon_sym_QMARK_DOT] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_GT_GT] = ACTIONS(2460),
    [anon_sym_GT_GT_GT] = ACTIONS(2460),
    [anon_sym_LT_LT] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_CARET] = ACTIONS(2460),
    [anon_sym_PIPE] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_SLASH] = ACTIONS(2460),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_STAR_STAR] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2460),
    [anon_sym_LT_EQ] = ACTIONS(2460),
    [anon_sym_EQ_EQ] = ACTIONS(2460),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2460),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2460),
    [anon_sym_GT_EQ] = ACTIONS(2460),
    [anon_sym_QMARK_QMARK] = ACTIONS(2460),
    [anon_sym_instanceof] = ACTIONS(2460),
    [anon_sym_PLUS_PLUS] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2460),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2460),
    [anon_sym_AT] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_readonly] = ACTIONS(2458),
    [anon_sym_get] = ACTIONS(2458),
    [anon_sym_set] = ACTIONS(2458),
    [anon_sym_declare] = ACTIONS(2458),
    [anon_sym_public] = ACTIONS(2458),
    [anon_sym_private] = ACTIONS(2458),
    [anon_sym_protected] = ACTIONS(2458),
    [anon_sym_override] = ACTIONS(2458),
    [anon_sym_module] = ACTIONS(2458),
    [anon_sym_any] = ACTIONS(2458),
    [anon_sym_number] = ACTIONS(2458),
    [anon_sym_boolean] = ACTIONS(2458),
    [anon_sym_string] = ACTIONS(2458),
    [anon_sym_symbol] = ACTIONS(2458),
    [anon_sym_object] = ACTIONS(2458),
    [anon_sym_property] = ACTIONS(2458),
    [anon_sym_signal] = ACTIONS(2458),
    [anon_sym_on] = ACTIONS(2458),
    [anon_sym_required] = ACTIONS(2458),
    [anon_sym_component] = ACTIONS(2458),
    [anon_sym_satisfies] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2458),
    [sym__automatic_semicolon] = ACTIONS(3928),
    [sym__ternary_qmark] = ACTIONS(2464),
    [sym_html_comment] = ACTIONS(5),
  },
  [1882] = {
    [sym_comment] = STATE(1882),
    [sym_identifier] = ACTIONS(2478),
    [anon_sym_export] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_type] = ACTIONS(2478),
    [anon_sym_as] = ACTIONS(2480),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_COMMA] = ACTIONS(2480),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_from] = ACTIONS(2478),
    [anon_sym_var] = ACTIONS(2478),
    [anon_sym_let] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_else] = ACTIONS(2478),
    [anon_sym_LPAREN] = ACTIONS(2480),
    [anon_sym_in] = ACTIONS(2480),
    [anon_sym_of] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_GT] = ACTIONS(2480),
    [anon_sym_DOT] = ACTIONS(2480),
    [anon_sym_async] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2478),
    [anon_sym_QMARK_DOT] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_PIPE_PIPE] = ACTIONS(2480),
    [anon_sym_GT_GT] = ACTIONS(2480),
    [anon_sym_GT_GT_GT] = ACTIONS(2480),
    [anon_sym_LT_LT] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_CARET] = ACTIONS(2480),
    [anon_sym_PIPE] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2480),
    [anon_sym_SLASH] = ACTIONS(2480),
    [anon_sym_PERCENT] = ACTIONS(2480),
    [anon_sym_STAR_STAR] = ACTIONS(2480),
    [anon_sym_LT] = ACTIONS(2480),
    [anon_sym_LT_EQ] = ACTIONS(2480),
    [anon_sym_EQ_EQ] = ACTIONS(2480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2480),
    [anon_sym_BANG_EQ] = ACTIONS(2480),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2480),
    [anon_sym_GT_EQ] = ACTIONS(2480),
    [anon_sym_QMARK_QMARK] = ACTIONS(2480),
    [anon_sym_instanceof] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2480),
    [anon_sym_AT] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_readonly] = ACTIONS(2478),
    [anon_sym_get] = ACTIONS(2478),
    [anon_sym_set] = ACTIONS(2478),
    [anon_sym_declare] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_override] = ACTIONS(2478),
    [anon_sym_module] = ACTIONS(2478),
    [anon_sym_any] = ACTIONS(2478),
    [anon_sym_number] = ACTIONS(2478),
    [anon_sym_boolean] = ACTIONS(2478),
    [anon_sym_string] = ACTIONS(2478),
    [anon_sym_symbol] = ACTIONS(2478),
    [anon_sym_object] = ACTIONS(2478),
    [anon_sym_property] = ACTIONS(2478),
    [anon_sym_signal] = ACTIONS(2478),
    [anon_sym_on] = ACTIONS(2478),
    [anon_sym_required] = ACTIONS(2478),
    [anon_sym_component] = ACTIONS(2478),
    [anon_sym_satisfies] = ACTIONS(2480),
    [anon_sym_enum] = ACTIONS(2478),
    [sym__automatic_semicolon] = ACTIONS(3930),
    [sym__ternary_qmark] = ACTIONS(2484),
    [sym_html_comment] = ACTIONS(5),
  },
  [1883] = {
    [sym_comment] = STATE(1883),
    [sym_identifier] = ACTIONS(2426),
    [anon_sym_export] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2426),
    [anon_sym_type] = ACTIONS(2426),
    [anon_sym_as] = ACTIONS(2428),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_COMMA] = ACTIONS(2428),
    [anon_sym_RBRACE] = ACTIONS(2426),
    [anon_sym_from] = ACTIONS(2426),
    [anon_sym_var] = ACTIONS(2426),
    [anon_sym_let] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2428),
    [anon_sym_else] = ACTIONS(2426),
    [anon_sym_LPAREN] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_of] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_GT] = ACTIONS(2428),
    [anon_sym_DOT] = ACTIONS(2428),
    [anon_sym_async] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2426),
    [anon_sym_QMARK_DOT] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_PIPE_PIPE] = ACTIONS(2428),
    [anon_sym_GT_GT] = ACTIONS(2428),
    [anon_sym_GT_GT_GT] = ACTIONS(2428),
    [anon_sym_LT_LT] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_CARET] = ACTIONS(2428),
    [anon_sym_PIPE] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_SLASH] = ACTIONS(2428),
    [anon_sym_PERCENT] = ACTIONS(2428),
    [anon_sym_STAR_STAR] = ACTIONS(2428),
    [anon_sym_LT] = ACTIONS(2428),
    [anon_sym_LT_EQ] = ACTIONS(2428),
    [anon_sym_EQ_EQ] = ACTIONS(2428),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2428),
    [anon_sym_BANG_EQ] = ACTIONS(2428),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2428),
    [anon_sym_GT_EQ] = ACTIONS(2428),
    [anon_sym_QMARK_QMARK] = ACTIONS(2428),
    [anon_sym_instanceof] = ACTIONS(2428),
    [anon_sym_PLUS_PLUS] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2428),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2428),
    [anon_sym_AT] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_readonly] = ACTIONS(2426),
    [anon_sym_get] = ACTIONS(2426),
    [anon_sym_set] = ACTIONS(2426),
    [anon_sym_declare] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_override] = ACTIONS(2426),
    [anon_sym_module] = ACTIONS(2426),
    [anon_sym_any] = ACTIONS(2426),
    [anon_sym_number] = ACTIONS(2426),
    [anon_sym_boolean] = ACTIONS(2426),
    [anon_sym_string] = ACTIONS(2426),
    [anon_sym_symbol] = ACTIONS(2426),
    [anon_sym_object] = ACTIONS(2426),
    [anon_sym_property] = ACTIONS(2426),
    [anon_sym_signal] = ACTIONS(2426),
    [anon_sym_on] = ACTIONS(2426),
    [anon_sym_required] = ACTIONS(2426),
    [anon_sym_component] = ACTIONS(2426),
    [anon_sym_satisfies] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2426),
    [sym__automatic_semicolon] = ACTIONS(3932),
    [sym__ternary_qmark] = ACTIONS(2432),
    [sym_html_comment] = ACTIONS(5),
  },
  [1884] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1884),
    [sym_formal_parameters] = STATE(8370),
    [sym_rest_pattern] = STATE(8160),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7121),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(3760),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_COMMA] = ACTIONS(3934),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(3936),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1885] = {
    [sym_comment] = STATE(1885),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(2289),
    [anon_sym_default] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_EQ] = ACTIONS(2291),
    [anon_sym_as] = ACTIONS(2289),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_COMMA] = ACTIONS(2289),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_in] = ACTIONS(2289),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2289),
    [anon_sym_GT] = ACTIONS(2289),
    [anon_sym_DOT] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_QMARK_DOT] = ACTIONS(2289),
    [anon_sym_AMP_AMP] = ACTIONS(2289),
    [anon_sym_PIPE_PIPE] = ACTIONS(2289),
    [anon_sym_GT_GT] = ACTIONS(2289),
    [anon_sym_GT_GT_GT] = ACTIONS(2289),
    [anon_sym_LT_LT] = ACTIONS(2289),
    [anon_sym_AMP] = ACTIONS(2289),
    [anon_sym_CARET] = ACTIONS(2289),
    [anon_sym_PIPE] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_SLASH] = ACTIONS(2289),
    [anon_sym_PERCENT] = ACTIONS(2289),
    [anon_sym_STAR_STAR] = ACTIONS(2289),
    [anon_sym_LT] = ACTIONS(2289),
    [anon_sym_LT_EQ] = ACTIONS(2289),
    [anon_sym_EQ_EQ] = ACTIONS(2289),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2289),
    [anon_sym_BANG_EQ] = ACTIONS(2289),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2289),
    [anon_sym_GT_EQ] = ACTIONS(2289),
    [anon_sym_QMARK_QMARK] = ACTIONS(2289),
    [anon_sym_instanceof] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2289),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_satisfies] = ACTIONS(2289),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(3938),
    [sym__ternary_qmark] = ACTIONS(2295),
    [sym_html_comment] = ACTIONS(5),
  },
  [1886] = {
    [sym_comment] = STATE(1886),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_as] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_else] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_in] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_GT] = ACTIONS(2332),
    [anon_sym_DOT] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_QMARK_DOT] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_PIPE_PIPE] = ACTIONS(2332),
    [anon_sym_GT_GT] = ACTIONS(2332),
    [anon_sym_GT_GT_GT] = ACTIONS(2332),
    [anon_sym_LT_LT] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_CARET] = ACTIONS(2332),
    [anon_sym_PIPE] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_PERCENT] = ACTIONS(2332),
    [anon_sym_STAR_STAR] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_LT_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2332),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_QMARK_QMARK] = ACTIONS(2332),
    [anon_sym_instanceof] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_satisfies] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(3940),
    [sym__ternary_qmark] = ACTIONS(2336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1887] = {
    [sym_export_statement] = STATE(5615),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array_pattern] = STATE(5164),
    [sym__call_signature] = STATE(6248),
    [sym__destructuring_pattern] = STATE(8206),
    [sym_spread_element] = STATE(6910),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(1887),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(6910),
    [sym_pair] = STATE(6910),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(4779),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5615),
    [sym_accessibility_modifier] = STATE(3766),
    [sym_override_modifier] = STATE(3907),
    [sym_call_signature] = STATE(5615),
    [sym_property_signature] = STATE(5615),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5615),
    [sym_index_signature] = STATE(5615),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [aux_sym_object_repeat1] = STATE(6911),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(3808),
    [anon_sym_export] = ACTIONS(3810),
    [anon_sym_STAR] = ACTIONS(3772),
    [anon_sym_type] = ACTIONS(3808),
    [anon_sym_namespace] = ACTIONS(3808),
    [anon_sym_LBRACE] = ACTIONS(3774),
    [anon_sym_COMMA] = ACTIONS(3776),
    [anon_sym_RBRACE] = ACTIONS(3942),
    [anon_sym_from] = ACTIONS(3808),
    [anon_sym_let] = ACTIONS(3808),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(3808),
    [anon_sym_SEMI] = ACTIONS(3782),
    [anon_sym_LBRACK] = ACTIONS(3784),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(3814),
    [anon_sym_new] = ACTIONS(3816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(3818),
    [anon_sym_readonly] = ACTIONS(3820),
    [anon_sym_get] = ACTIONS(3822),
    [anon_sym_set] = ACTIONS(3822),
    [anon_sym_declare] = ACTIONS(3808),
    [anon_sym_public] = ACTIONS(3824),
    [anon_sym_private] = ACTIONS(3824),
    [anon_sym_protected] = ACTIONS(3824),
    [anon_sym_override] = ACTIONS(3826),
    [anon_sym_module] = ACTIONS(3808),
    [anon_sym_any] = ACTIONS(3808),
    [anon_sym_number] = ACTIONS(3808),
    [anon_sym_boolean] = ACTIONS(3808),
    [anon_sym_string] = ACTIONS(3808),
    [anon_sym_symbol] = ACTIONS(3808),
    [anon_sym_object] = ACTIONS(3808),
    [anon_sym_property] = ACTIONS(3808),
    [anon_sym_signal] = ACTIONS(3808),
    [anon_sym_on] = ACTIONS(3808),
    [anon_sym_required] = ACTIONS(3808),
    [anon_sym_component] = ACTIONS(3808),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3806),
    [sym_html_comment] = ACTIONS(5),
  },
  [1888] = {
    [sym_export_statement] = STATE(5615),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array_pattern] = STATE(5164),
    [sym__call_signature] = STATE(6248),
    [sym__destructuring_pattern] = STATE(8206),
    [sym_spread_element] = STATE(6910),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(1888),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(6910),
    [sym_pair] = STATE(6910),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(4779),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5615),
    [sym_accessibility_modifier] = STATE(3766),
    [sym_override_modifier] = STATE(3907),
    [sym_call_signature] = STATE(5615),
    [sym_property_signature] = STATE(5615),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5615),
    [sym_index_signature] = STATE(5615),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [aux_sym_object_repeat1] = STATE(6911),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(3860),
    [anon_sym_export] = ACTIONS(3862),
    [anon_sym_STAR] = ACTIONS(3772),
    [anon_sym_type] = ACTIONS(3860),
    [anon_sym_namespace] = ACTIONS(3860),
    [anon_sym_LBRACE] = ACTIONS(3774),
    [anon_sym_COMMA] = ACTIONS(3776),
    [anon_sym_RBRACE] = ACTIONS(3944),
    [anon_sym_from] = ACTIONS(3860),
    [anon_sym_let] = ACTIONS(3860),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(3860),
    [anon_sym_SEMI] = ACTIONS(3782),
    [anon_sym_LBRACK] = ACTIONS(3784),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(3866),
    [anon_sym_new] = ACTIONS(3868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(3870),
    [anon_sym_readonly] = ACTIONS(3872),
    [anon_sym_get] = ACTIONS(3874),
    [anon_sym_set] = ACTIONS(3874),
    [anon_sym_declare] = ACTIONS(3860),
    [anon_sym_public] = ACTIONS(3876),
    [anon_sym_private] = ACTIONS(3876),
    [anon_sym_protected] = ACTIONS(3876),
    [anon_sym_override] = ACTIONS(3878),
    [anon_sym_module] = ACTIONS(3860),
    [anon_sym_any] = ACTIONS(3860),
    [anon_sym_number] = ACTIONS(3860),
    [anon_sym_boolean] = ACTIONS(3860),
    [anon_sym_string] = ACTIONS(3860),
    [anon_sym_symbol] = ACTIONS(3860),
    [anon_sym_object] = ACTIONS(3860),
    [anon_sym_property] = ACTIONS(3860),
    [anon_sym_signal] = ACTIONS(3860),
    [anon_sym_on] = ACTIONS(3860),
    [anon_sym_required] = ACTIONS(3860),
    [anon_sym_component] = ACTIONS(3860),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3806),
    [sym_html_comment] = ACTIONS(5),
  },
  [1889] = {
    [sym_comment] = STATE(1889),
    [sym_identifier] = ACTIONS(2416),
    [anon_sym_export] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_type] = ACTIONS(2416),
    [anon_sym_as] = ACTIONS(2418),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_RBRACE] = ACTIONS(2416),
    [anon_sym_from] = ACTIONS(2416),
    [anon_sym_var] = ACTIONS(2416),
    [anon_sym_let] = ACTIONS(2416),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_else] = ACTIONS(2416),
    [anon_sym_LPAREN] = ACTIONS(2418),
    [anon_sym_in] = ACTIONS(2418),
    [anon_sym_of] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_LBRACK] = ACTIONS(2418),
    [anon_sym_GT] = ACTIONS(2418),
    [anon_sym_DOT] = ACTIONS(2418),
    [anon_sym_async] = ACTIONS(2416),
    [anon_sym_function] = ACTIONS(2416),
    [anon_sym_QMARK_DOT] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2418),
    [anon_sym_PIPE_PIPE] = ACTIONS(2418),
    [anon_sym_GT_GT] = ACTIONS(2418),
    [anon_sym_GT_GT_GT] = ACTIONS(2418),
    [anon_sym_LT_LT] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_CARET] = ACTIONS(2418),
    [anon_sym_PIPE] = ACTIONS(2418),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_SLASH] = ACTIONS(2418),
    [anon_sym_PERCENT] = ACTIONS(2418),
    [anon_sym_STAR_STAR] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2418),
    [anon_sym_LT_EQ] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2418),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2418),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_QMARK_QMARK] = ACTIONS(2418),
    [anon_sym_instanceof] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2418),
    [anon_sym_AT] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_readonly] = ACTIONS(2416),
    [anon_sym_get] = ACTIONS(2416),
    [anon_sym_set] = ACTIONS(2416),
    [anon_sym_declare] = ACTIONS(2416),
    [anon_sym_public] = ACTIONS(2416),
    [anon_sym_private] = ACTIONS(2416),
    [anon_sym_protected] = ACTIONS(2416),
    [anon_sym_override] = ACTIONS(2416),
    [anon_sym_module] = ACTIONS(2416),
    [anon_sym_any] = ACTIONS(2416),
    [anon_sym_number] = ACTIONS(2416),
    [anon_sym_boolean] = ACTIONS(2416),
    [anon_sym_string] = ACTIONS(2416),
    [anon_sym_symbol] = ACTIONS(2416),
    [anon_sym_object] = ACTIONS(2416),
    [anon_sym_property] = ACTIONS(2416),
    [anon_sym_signal] = ACTIONS(2416),
    [anon_sym_on] = ACTIONS(2416),
    [anon_sym_required] = ACTIONS(2416),
    [anon_sym_component] = ACTIONS(2416),
    [anon_sym_satisfies] = ACTIONS(2418),
    [anon_sym_enum] = ACTIONS(2416),
    [sym__automatic_semicolon] = ACTIONS(3946),
    [sym__ternary_qmark] = ACTIONS(2422),
    [sym_html_comment] = ACTIONS(5),
  },
  [1890] = {
    [sym_export_statement] = STATE(5615),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(6843),
    [sym_array_pattern] = STATE(5164),
    [sym__call_signature] = STATE(6248),
    [sym__destructuring_pattern] = STATE(8206),
    [sym_spread_element] = STATE(6910),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(1890),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym_rest_pattern] = STATE(6843),
    [sym_method_definition] = STATE(6910),
    [sym_pair] = STATE(6910),
    [sym_pair_pattern] = STATE(6843),
    [sym__property_name] = STATE(4779),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5615),
    [sym_accessibility_modifier] = STATE(3766),
    [sym_override_modifier] = STATE(3907),
    [sym_call_signature] = STATE(5615),
    [sym_property_signature] = STATE(5615),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5615),
    [sym_index_signature] = STATE(5615),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [aux_sym_object_repeat1] = STATE(6911),
    [aux_sym_object_pattern_repeat1] = STATE(6845),
    [sym_identifier] = ACTIONS(3948),
    [anon_sym_export] = ACTIONS(3950),
    [anon_sym_STAR] = ACTIONS(3772),
    [anon_sym_type] = ACTIONS(3948),
    [anon_sym_namespace] = ACTIONS(3948),
    [anon_sym_LBRACE] = ACTIONS(3774),
    [anon_sym_COMMA] = ACTIONS(3776),
    [anon_sym_RBRACE] = ACTIONS(3864),
    [anon_sym_from] = ACTIONS(3948),
    [anon_sym_let] = ACTIONS(3948),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(3948),
    [anon_sym_SEMI] = ACTIONS(3782),
    [anon_sym_LBRACK] = ACTIONS(3784),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(3952),
    [anon_sym_new] = ACTIONS(3954),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(3956),
    [anon_sym_readonly] = ACTIONS(3958),
    [anon_sym_get] = ACTIONS(3960),
    [anon_sym_set] = ACTIONS(3960),
    [anon_sym_declare] = ACTIONS(3948),
    [anon_sym_public] = ACTIONS(3962),
    [anon_sym_private] = ACTIONS(3962),
    [anon_sym_protected] = ACTIONS(3962),
    [anon_sym_override] = ACTIONS(3964),
    [anon_sym_module] = ACTIONS(3948),
    [anon_sym_any] = ACTIONS(3948),
    [anon_sym_number] = ACTIONS(3948),
    [anon_sym_boolean] = ACTIONS(3948),
    [anon_sym_string] = ACTIONS(3948),
    [anon_sym_symbol] = ACTIONS(3948),
    [anon_sym_object] = ACTIONS(3948),
    [anon_sym_property] = ACTIONS(3948),
    [anon_sym_signal] = ACTIONS(3948),
    [anon_sym_on] = ACTIONS(3948),
    [anon_sym_required] = ACTIONS(3948),
    [anon_sym_component] = ACTIONS(3948),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3806),
    [sym_html_comment] = ACTIONS(5),
  },
  [1891] = {
    [sym_comment] = STATE(1891),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(2287),
    [anon_sym_default] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_as] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_COMMA] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_else] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_in] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_GT] = ACTIONS(2287),
    [anon_sym_DOT] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_QMARK_DOT] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2287),
    [anon_sym_PIPE_PIPE] = ACTIONS(2287),
    [anon_sym_GT_GT] = ACTIONS(2287),
    [anon_sym_GT_GT_GT] = ACTIONS(2287),
    [anon_sym_LT_LT] = ACTIONS(2287),
    [anon_sym_AMP] = ACTIONS(2287),
    [anon_sym_CARET] = ACTIONS(2287),
    [anon_sym_PIPE] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_PERCENT] = ACTIONS(2287),
    [anon_sym_STAR_STAR] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_LT_EQ] = ACTIONS(2287),
    [anon_sym_EQ_EQ] = ACTIONS(2287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2287),
    [anon_sym_BANG_EQ] = ACTIONS(2287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2287),
    [anon_sym_GT_EQ] = ACTIONS(2287),
    [anon_sym_QMARK_QMARK] = ACTIONS(2287),
    [anon_sym_instanceof] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_satisfies] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(3966),
    [sym__ternary_qmark] = ACTIONS(2448),
    [sym_html_comment] = ACTIONS(5),
  },
  [1892] = {
    [sym_comment] = STATE(1892),
    [sym_identifier] = ACTIONS(2478),
    [anon_sym_export] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_type] = ACTIONS(2478),
    [anon_sym_as] = ACTIONS(2480),
    [anon_sym_namespace] = ACTIONS(2478),
    [anon_sym_COMMA] = ACTIONS(2480),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_from] = ACTIONS(2478),
    [anon_sym_var] = ACTIONS(2478),
    [anon_sym_let] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_LPAREN] = ACTIONS(2480),
    [anon_sym_in] = ACTIONS(2480),
    [anon_sym_of] = ACTIONS(2478),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_GT] = ACTIONS(2480),
    [anon_sym_DOT] = ACTIONS(2480),
    [anon_sym_async] = ACTIONS(2478),
    [anon_sym_function] = ACTIONS(2478),
    [anon_sym_QMARK_DOT] = ACTIONS(2480),
    [anon_sym_AMP_AMP] = ACTIONS(2480),
    [anon_sym_PIPE_PIPE] = ACTIONS(2480),
    [anon_sym_GT_GT] = ACTIONS(2480),
    [anon_sym_GT_GT_GT] = ACTIONS(2480),
    [anon_sym_LT_LT] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_CARET] = ACTIONS(2480),
    [anon_sym_PIPE] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2480),
    [anon_sym_SLASH] = ACTIONS(2480),
    [anon_sym_PERCENT] = ACTIONS(2480),
    [anon_sym_STAR_STAR] = ACTIONS(2480),
    [anon_sym_LT] = ACTIONS(2480),
    [anon_sym_LT_EQ] = ACTIONS(2480),
    [anon_sym_EQ_EQ] = ACTIONS(2480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2480),
    [anon_sym_BANG_EQ] = ACTIONS(2480),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2480),
    [anon_sym_GT_EQ] = ACTIONS(2480),
    [anon_sym_QMARK_QMARK] = ACTIONS(2480),
    [anon_sym_instanceof] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2480),
    [anon_sym_AT] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_readonly] = ACTIONS(2478),
    [anon_sym_get] = ACTIONS(2478),
    [anon_sym_set] = ACTIONS(2478),
    [anon_sym_declare] = ACTIONS(2478),
    [anon_sym_public] = ACTIONS(2478),
    [anon_sym_private] = ACTIONS(2478),
    [anon_sym_protected] = ACTIONS(2478),
    [anon_sym_override] = ACTIONS(2478),
    [anon_sym_module] = ACTIONS(2478),
    [anon_sym_any] = ACTIONS(2478),
    [anon_sym_number] = ACTIONS(2478),
    [anon_sym_boolean] = ACTIONS(2478),
    [anon_sym_string] = ACTIONS(2478),
    [anon_sym_symbol] = ACTIONS(2478),
    [anon_sym_object] = ACTIONS(2478),
    [anon_sym_property] = ACTIONS(2478),
    [anon_sym_signal] = ACTIONS(2478),
    [anon_sym_on] = ACTIONS(2478),
    [anon_sym_required] = ACTIONS(2478),
    [anon_sym_component] = ACTIONS(2478),
    [anon_sym_satisfies] = ACTIONS(2480),
    [anon_sym_enum] = ACTIONS(2478),
    [sym__automatic_semicolon] = ACTIONS(3968),
    [sym__ternary_qmark] = ACTIONS(2484),
    [sym_html_comment] = ACTIONS(5),
  },
  [1893] = {
    [sym_comment] = STATE(1893),
    [sym_identifier] = ACTIONS(2426),
    [anon_sym_export] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2426),
    [anon_sym_type] = ACTIONS(2426),
    [anon_sym_as] = ACTIONS(2428),
    [anon_sym_namespace] = ACTIONS(2426),
    [anon_sym_COMMA] = ACTIONS(2428),
    [anon_sym_RBRACE] = ACTIONS(2426),
    [anon_sym_from] = ACTIONS(2426),
    [anon_sym_var] = ACTIONS(2426),
    [anon_sym_let] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2428),
    [anon_sym_LPAREN] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_of] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2428),
    [anon_sym_GT] = ACTIONS(2428),
    [anon_sym_DOT] = ACTIONS(2428),
    [anon_sym_async] = ACTIONS(2426),
    [anon_sym_function] = ACTIONS(2426),
    [anon_sym_QMARK_DOT] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2428),
    [anon_sym_PIPE_PIPE] = ACTIONS(2428),
    [anon_sym_GT_GT] = ACTIONS(2428),
    [anon_sym_GT_GT_GT] = ACTIONS(2428),
    [anon_sym_LT_LT] = ACTIONS(2428),
    [anon_sym_AMP] = ACTIONS(2428),
    [anon_sym_CARET] = ACTIONS(2428),
    [anon_sym_PIPE] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_SLASH] = ACTIONS(2428),
    [anon_sym_PERCENT] = ACTIONS(2428),
    [anon_sym_STAR_STAR] = ACTIONS(2428),
    [anon_sym_LT] = ACTIONS(2428),
    [anon_sym_LT_EQ] = ACTIONS(2428),
    [anon_sym_EQ_EQ] = ACTIONS(2428),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2428),
    [anon_sym_BANG_EQ] = ACTIONS(2428),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2428),
    [anon_sym_GT_EQ] = ACTIONS(2428),
    [anon_sym_QMARK_QMARK] = ACTIONS(2428),
    [anon_sym_instanceof] = ACTIONS(2428),
    [anon_sym_PLUS_PLUS] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2428),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2428),
    [anon_sym_AT] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2426),
    [anon_sym_readonly] = ACTIONS(2426),
    [anon_sym_get] = ACTIONS(2426),
    [anon_sym_set] = ACTIONS(2426),
    [anon_sym_declare] = ACTIONS(2426),
    [anon_sym_public] = ACTIONS(2426),
    [anon_sym_private] = ACTIONS(2426),
    [anon_sym_protected] = ACTIONS(2426),
    [anon_sym_override] = ACTIONS(2426),
    [anon_sym_module] = ACTIONS(2426),
    [anon_sym_any] = ACTIONS(2426),
    [anon_sym_number] = ACTIONS(2426),
    [anon_sym_boolean] = ACTIONS(2426),
    [anon_sym_string] = ACTIONS(2426),
    [anon_sym_symbol] = ACTIONS(2426),
    [anon_sym_object] = ACTIONS(2426),
    [anon_sym_property] = ACTIONS(2426),
    [anon_sym_signal] = ACTIONS(2426),
    [anon_sym_on] = ACTIONS(2426),
    [anon_sym_required] = ACTIONS(2426),
    [anon_sym_component] = ACTIONS(2426),
    [anon_sym_satisfies] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2426),
    [sym__automatic_semicolon] = ACTIONS(3970),
    [sym__ternary_qmark] = ACTIONS(2432),
    [sym_html_comment] = ACTIONS(5),
  },
  [1894] = {
    [sym_comment] = STATE(1894),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_as] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_in] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_GT] = ACTIONS(2332),
    [anon_sym_DOT] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_QMARK_DOT] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_PIPE_PIPE] = ACTIONS(2332),
    [anon_sym_GT_GT] = ACTIONS(2332),
    [anon_sym_GT_GT_GT] = ACTIONS(2332),
    [anon_sym_LT_LT] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_CARET] = ACTIONS(2332),
    [anon_sym_PIPE] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_PERCENT] = ACTIONS(2332),
    [anon_sym_STAR_STAR] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_LT_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2332),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_QMARK_QMARK] = ACTIONS(2332),
    [anon_sym_instanceof] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_satisfies] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(3972),
    [sym__ternary_qmark] = ACTIONS(2336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1895] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1895),
    [sym_formal_parameters] = STATE(8370),
    [sym_rest_pattern] = STATE(8160),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7607),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(3760),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(3974),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1896] = {
    [sym_comment] = STATE(1896),
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_export] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_default] = ACTIONS(2434),
    [anon_sym_type] = ACTIONS(2434),
    [anon_sym_as] = ACTIONS(2434),
    [anon_sym_namespace] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_from] = ACTIONS(2434),
    [anon_sym_var] = ACTIONS(2434),
    [anon_sym_let] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_in] = ACTIONS(2434),
    [anon_sym_of] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_GT] = ACTIONS(2434),
    [anon_sym_DOT] = ACTIONS(2434),
    [anon_sym_async] = ACTIONS(2434),
    [anon_sym_function] = ACTIONS(2434),
    [anon_sym_QMARK_DOT] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2434),
    [anon_sym_PIPE_PIPE] = ACTIONS(2434),
    [anon_sym_GT_GT] = ACTIONS(2434),
    [anon_sym_GT_GT_GT] = ACTIONS(2434),
    [anon_sym_LT_LT] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_CARET] = ACTIONS(2434),
    [anon_sym_PIPE] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_SLASH] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2434),
    [anon_sym_STAR_STAR] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2434),
    [anon_sym_LT_EQ] = ACTIONS(2434),
    [anon_sym_EQ_EQ] = ACTIONS(2434),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2434),
    [anon_sym_BANG_EQ] = ACTIONS(2434),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2434),
    [anon_sym_GT_EQ] = ACTIONS(2434),
    [anon_sym_QMARK_QMARK] = ACTIONS(2434),
    [anon_sym_instanceof] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2434),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_readonly] = ACTIONS(2434),
    [anon_sym_get] = ACTIONS(2434),
    [anon_sym_set] = ACTIONS(2434),
    [anon_sym_declare] = ACTIONS(2434),
    [anon_sym_public] = ACTIONS(2434),
    [anon_sym_private] = ACTIONS(2434),
    [anon_sym_protected] = ACTIONS(2434),
    [anon_sym_override] = ACTIONS(2434),
    [anon_sym_module] = ACTIONS(2434),
    [anon_sym_any] = ACTIONS(2434),
    [anon_sym_number] = ACTIONS(2434),
    [anon_sym_boolean] = ACTIONS(2434),
    [anon_sym_string] = ACTIONS(2434),
    [anon_sym_symbol] = ACTIONS(2434),
    [anon_sym_object] = ACTIONS(2434),
    [anon_sym_property] = ACTIONS(2434),
    [anon_sym_signal] = ACTIONS(2434),
    [anon_sym_on] = ACTIONS(2434),
    [anon_sym_required] = ACTIONS(2434),
    [anon_sym_component] = ACTIONS(2434),
    [anon_sym_satisfies] = ACTIONS(2434),
    [anon_sym_enum] = ACTIONS(2434),
    [sym__automatic_semicolon] = ACTIONS(2436),
    [sym__ternary_qmark] = ACTIONS(2436),
    [sym_html_comment] = ACTIONS(5),
  },
  [1897] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1897),
    [sym_formal_parameters] = STATE(8370),
    [sym_rest_pattern] = STATE(8160),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7607),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(3760),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(3976),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1898] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1898),
    [sym_formal_parameters] = STATE(8370),
    [sym_rest_pattern] = STATE(8160),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7607),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(3760),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(3978),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1899] = {
    [sym_comment] = STATE(1899),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_export] = ACTIONS(2328),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_default] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2328),
    [anon_sym_as] = ACTIONS(2328),
    [anon_sym_namespace] = ACTIONS(2328),
    [anon_sym_COMMA] = ACTIONS(2328),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [anon_sym_from] = ACTIONS(2328),
    [anon_sym_var] = ACTIONS(2328),
    [anon_sym_let] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_in] = ACTIONS(2328),
    [anon_sym_of] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_GT] = ACTIONS(2328),
    [anon_sym_DOT] = ACTIONS(2328),
    [anon_sym_async] = ACTIONS(2328),
    [anon_sym_function] = ACTIONS(2328),
    [anon_sym_QMARK_DOT] = ACTIONS(2328),
    [anon_sym_AMP_AMP] = ACTIONS(2328),
    [anon_sym_PIPE_PIPE] = ACTIONS(2328),
    [anon_sym_GT_GT] = ACTIONS(2328),
    [anon_sym_GT_GT_GT] = ACTIONS(2328),
    [anon_sym_LT_LT] = ACTIONS(2328),
    [anon_sym_AMP] = ACTIONS(2328),
    [anon_sym_CARET] = ACTIONS(2328),
    [anon_sym_PIPE] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_PERCENT] = ACTIONS(2328),
    [anon_sym_STAR_STAR] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ] = ACTIONS(2328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_QMARK_QMARK] = ACTIONS(2328),
    [anon_sym_instanceof] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2328),
    [anon_sym_AT] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2328),
    [anon_sym_readonly] = ACTIONS(2328),
    [anon_sym_get] = ACTIONS(2328),
    [anon_sym_set] = ACTIONS(2328),
    [anon_sym_declare] = ACTIONS(2328),
    [anon_sym_public] = ACTIONS(2328),
    [anon_sym_private] = ACTIONS(2328),
    [anon_sym_protected] = ACTIONS(2328),
    [anon_sym_override] = ACTIONS(2328),
    [anon_sym_module] = ACTIONS(2328),
    [anon_sym_any] = ACTIONS(2328),
    [anon_sym_number] = ACTIONS(2328),
    [anon_sym_boolean] = ACTIONS(2328),
    [anon_sym_string] = ACTIONS(2328),
    [anon_sym_symbol] = ACTIONS(2328),
    [anon_sym_object] = ACTIONS(2328),
    [anon_sym_property] = ACTIONS(2328),
    [anon_sym_signal] = ACTIONS(2328),
    [anon_sym_on] = ACTIONS(2328),
    [anon_sym_required] = ACTIONS(2328),
    [anon_sym_component] = ACTIONS(2328),
    [anon_sym_satisfies] = ACTIONS(2328),
    [anon_sym_enum] = ACTIONS(2328),
    [sym__automatic_semicolon] = ACTIONS(2330),
    [sym__ternary_qmark] = ACTIONS(2330),
    [sym_html_comment] = ACTIONS(5),
  },
  [1900] = {
    [sym_comment] = STATE(1900),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_export] = ACTIONS(2332),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_default] = ACTIONS(2332),
    [anon_sym_type] = ACTIONS(2332),
    [anon_sym_as] = ACTIONS(2332),
    [anon_sym_namespace] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_from] = ACTIONS(2332),
    [anon_sym_var] = ACTIONS(2332),
    [anon_sym_let] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_in] = ACTIONS(2332),
    [anon_sym_of] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_GT] = ACTIONS(2332),
    [anon_sym_DOT] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_function] = ACTIONS(2332),
    [anon_sym_QMARK_DOT] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2332),
    [anon_sym_PIPE_PIPE] = ACTIONS(2332),
    [anon_sym_GT_GT] = ACTIONS(2332),
    [anon_sym_GT_GT_GT] = ACTIONS(2332),
    [anon_sym_LT_LT] = ACTIONS(2332),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_CARET] = ACTIONS(2332),
    [anon_sym_PIPE] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_SLASH] = ACTIONS(2332),
    [anon_sym_PERCENT] = ACTIONS(2332),
    [anon_sym_STAR_STAR] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_LT_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ] = ACTIONS(2332),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2332),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_QMARK_QMARK] = ACTIONS(2332),
    [anon_sym_instanceof] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_static] = ACTIONS(2332),
    [anon_sym_readonly] = ACTIONS(2332),
    [anon_sym_get] = ACTIONS(2332),
    [anon_sym_set] = ACTIONS(2332),
    [anon_sym_declare] = ACTIONS(2332),
    [anon_sym_public] = ACTIONS(2332),
    [anon_sym_private] = ACTIONS(2332),
    [anon_sym_protected] = ACTIONS(2332),
    [anon_sym_override] = ACTIONS(2332),
    [anon_sym_module] = ACTIONS(2332),
    [anon_sym_any] = ACTIONS(2332),
    [anon_sym_number] = ACTIONS(2332),
    [anon_sym_boolean] = ACTIONS(2332),
    [anon_sym_string] = ACTIONS(2332),
    [anon_sym_symbol] = ACTIONS(2332),
    [anon_sym_object] = ACTIONS(2332),
    [anon_sym_property] = ACTIONS(2332),
    [anon_sym_signal] = ACTIONS(2332),
    [anon_sym_on] = ACTIONS(2332),
    [anon_sym_required] = ACTIONS(2332),
    [anon_sym_component] = ACTIONS(2332),
    [anon_sym_satisfies] = ACTIONS(2332),
    [anon_sym_enum] = ACTIONS(2332),
    [sym__automatic_semicolon] = ACTIONS(2336),
    [sym__ternary_qmark] = ACTIONS(2336),
    [sym_html_comment] = ACTIONS(5),
  },
  [1901] = {
    [sym_comment] = STATE(1901),
    [sym_identifier] = ACTIONS(2287),
    [anon_sym_export] = ACTIONS(2287),
    [anon_sym_STAR] = ACTIONS(2287),
    [anon_sym_default] = ACTIONS(2287),
    [anon_sym_type] = ACTIONS(2287),
    [anon_sym_as] = ACTIONS(2287),
    [anon_sym_namespace] = ACTIONS(2287),
    [anon_sym_COMMA] = ACTIONS(2287),
    [anon_sym_RBRACE] = ACTIONS(2287),
    [anon_sym_from] = ACTIONS(2287),
    [anon_sym_var] = ACTIONS(2287),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_BANG] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(2287),
    [anon_sym_in] = ACTIONS(2287),
    [anon_sym_of] = ACTIONS(2287),
    [anon_sym_SEMI] = ACTIONS(2287),
    [anon_sym_LBRACK] = ACTIONS(2287),
    [anon_sym_GT] = ACTIONS(2287),
    [anon_sym_DOT] = ACTIONS(2287),
    [anon_sym_async] = ACTIONS(2287),
    [anon_sym_function] = ACTIONS(2287),
    [anon_sym_QMARK_DOT] = ACTIONS(2287),
    [anon_sym_AMP_AMP] = ACTIONS(2287),
    [anon_sym_PIPE_PIPE] = ACTIONS(2287),
    [anon_sym_GT_GT] = ACTIONS(2287),
    [anon_sym_GT_GT_GT] = ACTIONS(2287),
    [anon_sym_LT_LT] = ACTIONS(2287),
    [anon_sym_AMP] = ACTIONS(2287),
    [anon_sym_CARET] = ACTIONS(2287),
    [anon_sym_PIPE] = ACTIONS(2287),
    [anon_sym_PLUS] = ACTIONS(2287),
    [anon_sym_DASH] = ACTIONS(2287),
    [anon_sym_SLASH] = ACTIONS(2287),
    [anon_sym_PERCENT] = ACTIONS(2287),
    [anon_sym_STAR_STAR] = ACTIONS(2287),
    [anon_sym_LT] = ACTIONS(2287),
    [anon_sym_LT_EQ] = ACTIONS(2287),
    [anon_sym_EQ_EQ] = ACTIONS(2287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2287),
    [anon_sym_BANG_EQ] = ACTIONS(2287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2287),
    [anon_sym_GT_EQ] = ACTIONS(2287),
    [anon_sym_QMARK_QMARK] = ACTIONS(2287),
    [anon_sym_instanceof] = ACTIONS(2287),
    [anon_sym_PLUS_PLUS] = ACTIONS(2287),
    [anon_sym_DASH_DASH] = ACTIONS(2287),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2287),
    [anon_sym_AT] = ACTIONS(2287),
    [anon_sym_static] = ACTIONS(2287),
    [anon_sym_readonly] = ACTIONS(2287),
    [anon_sym_get] = ACTIONS(2287),
    [anon_sym_set] = ACTIONS(2287),
    [anon_sym_declare] = ACTIONS(2287),
    [anon_sym_public] = ACTIONS(2287),
    [anon_sym_private] = ACTIONS(2287),
    [anon_sym_protected] = ACTIONS(2287),
    [anon_sym_override] = ACTIONS(2287),
    [anon_sym_module] = ACTIONS(2287),
    [anon_sym_any] = ACTIONS(2287),
    [anon_sym_number] = ACTIONS(2287),
    [anon_sym_boolean] = ACTIONS(2287),
    [anon_sym_string] = ACTIONS(2287),
    [anon_sym_symbol] = ACTIONS(2287),
    [anon_sym_object] = ACTIONS(2287),
    [anon_sym_property] = ACTIONS(2287),
    [anon_sym_signal] = ACTIONS(2287),
    [anon_sym_on] = ACTIONS(2287),
    [anon_sym_required] = ACTIONS(2287),
    [anon_sym_component] = ACTIONS(2287),
    [anon_sym_satisfies] = ACTIONS(2287),
    [anon_sym_enum] = ACTIONS(2287),
    [sym__automatic_semicolon] = ACTIONS(3980),
    [sym__ternary_qmark] = ACTIONS(2448),
    [sym_html_comment] = ACTIONS(5),
  },
  [1902] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1902),
    [sym_formal_parameters] = STATE(8370),
    [sym_rest_pattern] = STATE(8160),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7607),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(3760),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(3982),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1903] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1903),
    [sym_formal_parameters] = STATE(8370),
    [sym_rest_pattern] = STATE(8160),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7607),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(3760),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(3984),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1904] = {
    [sym_comment] = STATE(1904),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_export] = ACTIONS(2350),
    [anon_sym_STAR] = ACTIONS(2350),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_type] = ACTIONS(2350),
    [anon_sym_as] = ACTIONS(2350),
    [anon_sym_namespace] = ACTIONS(2350),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_from] = ACTIONS(2350),
    [anon_sym_var] = ACTIONS(2350),
    [anon_sym_let] = ACTIONS(2350),
    [anon_sym_BANG] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2350),
    [anon_sym_in] = ACTIONS(2350),
    [anon_sym_of] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_DOT] = ACTIONS(2350),
    [anon_sym_async] = ACTIONS(2350),
    [anon_sym_function] = ACTIONS(2350),
    [anon_sym_QMARK_DOT] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2350),
    [anon_sym_PIPE_PIPE] = ACTIONS(2350),
    [anon_sym_GT_GT] = ACTIONS(2350),
    [anon_sym_GT_GT_GT] = ACTIONS(2350),
    [anon_sym_LT_LT] = ACTIONS(2350),
    [anon_sym_AMP] = ACTIONS(2350),
    [anon_sym_CARET] = ACTIONS(2350),
    [anon_sym_PIPE] = ACTIONS(2350),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2350),
    [anon_sym_STAR_STAR] = ACTIONS(2350),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2350),
    [anon_sym_EQ_EQ] = ACTIONS(2350),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2350),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_QMARK_QMARK] = ACTIONS(2350),
    [anon_sym_instanceof] = ACTIONS(2350),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_readonly] = ACTIONS(2350),
    [anon_sym_get] = ACTIONS(2350),
    [anon_sym_set] = ACTIONS(2350),
    [anon_sym_declare] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_override] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_any] = ACTIONS(2350),
    [anon_sym_number] = ACTIONS(2350),
    [anon_sym_boolean] = ACTIONS(2350),
    [anon_sym_string] = ACTIONS(2350),
    [anon_sym_symbol] = ACTIONS(2350),
    [anon_sym_object] = ACTIONS(2350),
    [anon_sym_property] = ACTIONS(2350),
    [anon_sym_signal] = ACTIONS(2350),
    [anon_sym_on] = ACTIONS(2350),
    [anon_sym_required] = ACTIONS(2350),
    [anon_sym_component] = ACTIONS(2350),
    [anon_sym_satisfies] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [sym__automatic_semicolon] = ACTIONS(2352),
    [sym__ternary_qmark] = ACTIONS(2352),
    [sym_html_comment] = ACTIONS(5),
  },
  [1905] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1905),
    [sym_formal_parameters] = STATE(8370),
    [sym_rest_pattern] = STATE(8160),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7607),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(3760),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(3986),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1906] = {
    [sym_comment] = STATE(1906),
    [sym_identifier] = ACTIONS(2458),
    [anon_sym_export] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2458),
    [anon_sym_type] = ACTIONS(2458),
    [anon_sym_as] = ACTIONS(2460),
    [anon_sym_namespace] = ACTIONS(2458),
    [anon_sym_COMMA] = ACTIONS(2460),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_from] = ACTIONS(2458),
    [anon_sym_var] = ACTIONS(2458),
    [anon_sym_let] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_of] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_GT] = ACTIONS(2460),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_async] = ACTIONS(2458),
    [anon_sym_function] = ACTIONS(2458),
    [anon_sym_QMARK_DOT] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_GT_GT] = ACTIONS(2460),
    [anon_sym_GT_GT_GT] = ACTIONS(2460),
    [anon_sym_LT_LT] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_CARET] = ACTIONS(2460),
    [anon_sym_PIPE] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_SLASH] = ACTIONS(2460),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_STAR_STAR] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2460),
    [anon_sym_LT_EQ] = ACTIONS(2460),
    [anon_sym_EQ_EQ] = ACTIONS(2460),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2460),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2460),
    [anon_sym_GT_EQ] = ACTIONS(2460),
    [anon_sym_QMARK_QMARK] = ACTIONS(2460),
    [anon_sym_instanceof] = ACTIONS(2460),
    [anon_sym_PLUS_PLUS] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2460),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2460),
    [anon_sym_AT] = ACTIONS(2458),
    [anon_sym_static] = ACTIONS(2458),
    [anon_sym_readonly] = ACTIONS(2458),
    [anon_sym_get] = ACTIONS(2458),
    [anon_sym_set] = ACTIONS(2458),
    [anon_sym_declare] = ACTIONS(2458),
    [anon_sym_public] = ACTIONS(2458),
    [anon_sym_private] = ACTIONS(2458),
    [anon_sym_protected] = ACTIONS(2458),
    [anon_sym_override] = ACTIONS(2458),
    [anon_sym_module] = ACTIONS(2458),
    [anon_sym_any] = ACTIONS(2458),
    [anon_sym_number] = ACTIONS(2458),
    [anon_sym_boolean] = ACTIONS(2458),
    [anon_sym_string] = ACTIONS(2458),
    [anon_sym_symbol] = ACTIONS(2458),
    [anon_sym_object] = ACTIONS(2458),
    [anon_sym_property] = ACTIONS(2458),
    [anon_sym_signal] = ACTIONS(2458),
    [anon_sym_on] = ACTIONS(2458),
    [anon_sym_required] = ACTIONS(2458),
    [anon_sym_component] = ACTIONS(2458),
    [anon_sym_satisfies] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2458),
    [sym__automatic_semicolon] = ACTIONS(3988),
    [sym__ternary_qmark] = ACTIONS(2464),
    [sym_html_comment] = ACTIONS(5),
  },
  [1907] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1907),
    [sym_formal_parameters] = STATE(8370),
    [sym_rest_pattern] = STATE(8160),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7607),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(3760),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(3990),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1908] = {
    [sym_comment] = STATE(1908),
    [sym_identifier] = ACTIONS(2342),
    [anon_sym_export] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_default] = ACTIONS(2342),
    [anon_sym_type] = ACTIONS(2342),
    [anon_sym_as] = ACTIONS(2344),
    [anon_sym_namespace] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(2342),
    [anon_sym_from] = ACTIONS(2342),
    [anon_sym_var] = ACTIONS(2342),
    [anon_sym_let] = ACTIONS(2342),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_in] = ACTIONS(2344),
    [anon_sym_of] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [anon_sym_GT] = ACTIONS(2344),
    [anon_sym_DOT] = ACTIONS(2344),
    [anon_sym_async] = ACTIONS(2342),
    [anon_sym_function] = ACTIONS(2342),
    [anon_sym_QMARK_DOT] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2344),
    [anon_sym_PIPE_PIPE] = ACTIONS(2344),
    [anon_sym_GT_GT] = ACTIONS(2344),
    [anon_sym_GT_GT_GT] = ACTIONS(2344),
    [anon_sym_LT_LT] = ACTIONS(2344),
    [anon_sym_AMP] = ACTIONS(2344),
    [anon_sym_CARET] = ACTIONS(2344),
    [anon_sym_PIPE] = ACTIONS(2344),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2344),
    [anon_sym_SLASH] = ACTIONS(2344),
    [anon_sym_PERCENT] = ACTIONS(2344),
    [anon_sym_STAR_STAR] = ACTIONS(2344),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_LT_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ] = ACTIONS(2344),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2344),
    [anon_sym_GT_EQ] = ACTIONS(2344),
    [anon_sym_QMARK_QMARK] = ACTIONS(2344),
    [anon_sym_instanceof] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2344),
    [anon_sym_AT] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_readonly] = ACTIONS(2342),
    [anon_sym_get] = ACTIONS(2342),
    [anon_sym_set] = ACTIONS(2342),
    [anon_sym_declare] = ACTIONS(2342),
    [anon_sym_public] = ACTIONS(2342),
    [anon_sym_private] = ACTIONS(2342),
    [anon_sym_protected] = ACTIONS(2342),
    [anon_sym_override] = ACTIONS(2342),
    [anon_sym_module] = ACTIONS(2342),
    [anon_sym_any] = ACTIONS(2342),
    [anon_sym_number] = ACTIONS(2342),
    [anon_sym_boolean] = ACTIONS(2342),
    [anon_sym_string] = ACTIONS(2342),
    [anon_sym_symbol] = ACTIONS(2342),
    [anon_sym_object] = ACTIONS(2342),
    [anon_sym_property] = ACTIONS(2342),
    [anon_sym_signal] = ACTIONS(2342),
    [anon_sym_on] = ACTIONS(2342),
    [anon_sym_required] = ACTIONS(2342),
    [anon_sym_component] = ACTIONS(2342),
    [anon_sym_satisfies] = ACTIONS(2344),
    [anon_sym_enum] = ACTIONS(2342),
    [sym__automatic_semicolon] = ACTIONS(3992),
    [sym__ternary_qmark] = ACTIONS(2348),
    [sym_html_comment] = ACTIONS(5),
  },
  [1909] = {
    [sym_comment] = STATE(1909),
    [sym_identifier] = ACTIONS(2466),
    [anon_sym_export] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2466),
    [anon_sym_type] = ACTIONS(2466),
    [anon_sym_as] = ACTIONS(2468),
    [anon_sym_namespace] = ACTIONS(2466),
    [anon_sym_COMMA] = ACTIONS(2468),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_from] = ACTIONS(2466),
    [anon_sym_var] = ACTIONS(2466),
    [anon_sym_let] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_in] = ACTIONS(2468),
    [anon_sym_of] = ACTIONS(2466),
    [anon_sym_SEMI] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_GT] = ACTIONS(2468),
    [anon_sym_DOT] = ACTIONS(2468),
    [anon_sym_async] = ACTIONS(2466),
    [anon_sym_function] = ACTIONS(2466),
    [anon_sym_QMARK_DOT] = ACTIONS(2468),
    [anon_sym_AMP_AMP] = ACTIONS(2468),
    [anon_sym_PIPE_PIPE] = ACTIONS(2468),
    [anon_sym_GT_GT] = ACTIONS(2468),
    [anon_sym_GT_GT_GT] = ACTIONS(2468),
    [anon_sym_LT_LT] = ACTIONS(2468),
    [anon_sym_AMP] = ACTIONS(2468),
    [anon_sym_CARET] = ACTIONS(2468),
    [anon_sym_PIPE] = ACTIONS(2468),
    [anon_sym_PLUS] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2468),
    [anon_sym_SLASH] = ACTIONS(2468),
    [anon_sym_PERCENT] = ACTIONS(2468),
    [anon_sym_STAR_STAR] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2468),
    [anon_sym_LT_EQ] = ACTIONS(2468),
    [anon_sym_EQ_EQ] = ACTIONS(2468),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2468),
    [anon_sym_BANG_EQ] = ACTIONS(2468),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2468),
    [anon_sym_GT_EQ] = ACTIONS(2468),
    [anon_sym_QMARK_QMARK] = ACTIONS(2468),
    [anon_sym_instanceof] = ACTIONS(2468),
    [anon_sym_PLUS_PLUS] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2468),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2468),
    [anon_sym_AT] = ACTIONS(2466),
    [anon_sym_static] = ACTIONS(2466),
    [anon_sym_readonly] = ACTIONS(2466),
    [anon_sym_get] = ACTIONS(2466),
    [anon_sym_set] = ACTIONS(2466),
    [anon_sym_declare] = ACTIONS(2466),
    [anon_sym_public] = ACTIONS(2466),
    [anon_sym_private] = ACTIONS(2466),
    [anon_sym_protected] = ACTIONS(2466),
    [anon_sym_override] = ACTIONS(2466),
    [anon_sym_module] = ACTIONS(2466),
    [anon_sym_any] = ACTIONS(2466),
    [anon_sym_number] = ACTIONS(2466),
    [anon_sym_boolean] = ACTIONS(2466),
    [anon_sym_string] = ACTIONS(2466),
    [anon_sym_symbol] = ACTIONS(2466),
    [anon_sym_object] = ACTIONS(2466),
    [anon_sym_property] = ACTIONS(2466),
    [anon_sym_signal] = ACTIONS(2466),
    [anon_sym_on] = ACTIONS(2466),
    [anon_sym_required] = ACTIONS(2466),
    [anon_sym_component] = ACTIONS(2466),
    [anon_sym_satisfies] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2466),
    [sym__automatic_semicolon] = ACTIONS(2470),
    [sym__ternary_qmark] = ACTIONS(2470),
    [sym_html_comment] = ACTIONS(5),
  },
  [1910] = {
    [sym_comment] = STATE(1910),
    [sym_identifier] = ACTIONS(2416),
    [anon_sym_export] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_type] = ACTIONS(2416),
    [anon_sym_as] = ACTIONS(2418),
    [anon_sym_namespace] = ACTIONS(2416),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_RBRACE] = ACTIONS(2416),
    [anon_sym_from] = ACTIONS(2416),
    [anon_sym_var] = ACTIONS(2416),
    [anon_sym_let] = ACTIONS(2416),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_LPAREN] = ACTIONS(2418),
    [anon_sym_in] = ACTIONS(2418),
    [anon_sym_of] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_LBRACK] = ACTIONS(2418),
    [anon_sym_GT] = ACTIONS(2418),
    [anon_sym_DOT] = ACTIONS(2418),
    [anon_sym_async] = ACTIONS(2416),
    [anon_sym_function] = ACTIONS(2416),
    [anon_sym_QMARK_DOT] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2418),
    [anon_sym_PIPE_PIPE] = ACTIONS(2418),
    [anon_sym_GT_GT] = ACTIONS(2418),
    [anon_sym_GT_GT_GT] = ACTIONS(2418),
    [anon_sym_LT_LT] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_CARET] = ACTIONS(2418),
    [anon_sym_PIPE] = ACTIONS(2418),
    [anon_sym_PLUS] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_SLASH] = ACTIONS(2418),
    [anon_sym_PERCENT] = ACTIONS(2418),
    [anon_sym_STAR_STAR] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2418),
    [anon_sym_LT_EQ] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2418),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2418),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_QMARK_QMARK] = ACTIONS(2418),
    [anon_sym_instanceof] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2418),
    [anon_sym_AT] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_readonly] = ACTIONS(2416),
    [anon_sym_get] = ACTIONS(2416),
    [anon_sym_set] = ACTIONS(2416),
    [anon_sym_declare] = ACTIONS(2416),
    [anon_sym_public] = ACTIONS(2416),
    [anon_sym_private] = ACTIONS(2416),
    [anon_sym_protected] = ACTIONS(2416),
    [anon_sym_override] = ACTIONS(2416),
    [anon_sym_module] = ACTIONS(2416),
    [anon_sym_any] = ACTIONS(2416),
    [anon_sym_number] = ACTIONS(2416),
    [anon_sym_boolean] = ACTIONS(2416),
    [anon_sym_string] = ACTIONS(2416),
    [anon_sym_symbol] = ACTIONS(2416),
    [anon_sym_object] = ACTIONS(2416),
    [anon_sym_property] = ACTIONS(2416),
    [anon_sym_signal] = ACTIONS(2416),
    [anon_sym_on] = ACTIONS(2416),
    [anon_sym_required] = ACTIONS(2416),
    [anon_sym_component] = ACTIONS(2416),
    [anon_sym_satisfies] = ACTIONS(2418),
    [anon_sym_enum] = ACTIONS(2416),
    [sym__automatic_semicolon] = ACTIONS(3994),
    [sym__ternary_qmark] = ACTIONS(2422),
    [sym_html_comment] = ACTIONS(5),
  },
  [1911] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1911),
    [sym_formal_parameters] = STATE(8370),
    [sym_rest_pattern] = STATE(8160),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7607),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(3760),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(3996),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1912] = {
    [sym_comment] = STATE(1912),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_export] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2362),
    [anon_sym_type] = ACTIONS(2362),
    [anon_sym_as] = ACTIONS(2364),
    [anon_sym_namespace] = ACTIONS(2362),
    [anon_sym_COMMA] = ACTIONS(2364),
    [anon_sym_RBRACE] = ACTIONS(2362),
    [anon_sym_from] = ACTIONS(2362),
    [anon_sym_var] = ACTIONS(2362),
    [anon_sym_let] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2364),
    [anon_sym_LPAREN] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_of] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_GT] = ACTIONS(2364),
    [anon_sym_DOT] = ACTIONS(2364),
    [anon_sym_async] = ACTIONS(2362),
    [anon_sym_function] = ACTIONS(2362),
    [anon_sym_QMARK_DOT] = ACTIONS(2364),
    [anon_sym_AMP_AMP] = ACTIONS(2364),
    [anon_sym_PIPE_PIPE] = ACTIONS(2364),
    [anon_sym_GT_GT] = ACTIONS(2364),
    [anon_sym_GT_GT_GT] = ACTIONS(2364),
    [anon_sym_LT_LT] = ACTIONS(2364),
    [anon_sym_AMP] = ACTIONS(2364),
    [anon_sym_CARET] = ACTIONS(2364),
    [anon_sym_PIPE] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_SLASH] = ACTIONS(2364),
    [anon_sym_PERCENT] = ACTIONS(2364),
    [anon_sym_STAR_STAR] = ACTIONS(2364),
    [anon_sym_LT] = ACTIONS(2364),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ] = ACTIONS(2364),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ] = ACTIONS(2364),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_QMARK_QMARK] = ACTIONS(2364),
    [anon_sym_instanceof] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2364),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2364),
    [anon_sym_AT] = ACTIONS(2362),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_readonly] = ACTIONS(2362),
    [anon_sym_get] = ACTIONS(2362),
    [anon_sym_set] = ACTIONS(2362),
    [anon_sym_declare] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_override] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_any] = ACTIONS(2362),
    [anon_sym_number] = ACTIONS(2362),
    [anon_sym_boolean] = ACTIONS(2362),
    [anon_sym_string] = ACTIONS(2362),
    [anon_sym_symbol] = ACTIONS(2362),
    [anon_sym_object] = ACTIONS(2362),
    [anon_sym_property] = ACTIONS(2362),
    [anon_sym_signal] = ACTIONS(2362),
    [anon_sym_on] = ACTIONS(2362),
    [anon_sym_required] = ACTIONS(2362),
    [anon_sym_component] = ACTIONS(2362),
    [anon_sym_satisfies] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2362),
    [sym__automatic_semicolon] = ACTIONS(3998),
    [sym__ternary_qmark] = ACTIONS(2368),
    [sym_html_comment] = ACTIONS(5),
  },
  [1913] = {
    [sym_comment] = STATE(1913),
    [sym_identifier] = ACTIONS(2394),
    [anon_sym_export] = ACTIONS(2394),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_default] = ACTIONS(2394),
    [anon_sym_type] = ACTIONS(2394),
    [anon_sym_as] = ACTIONS(2396),
    [anon_sym_namespace] = ACTIONS(2394),
    [anon_sym_COMMA] = ACTIONS(2396),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_from] = ACTIONS(2394),
    [anon_sym_var] = ACTIONS(2394),
    [anon_sym_let] = ACTIONS(2394),
    [anon_sym_BANG] = ACTIONS(2396),
    [anon_sym_LPAREN] = ACTIONS(2396),
    [anon_sym_in] = ACTIONS(2396),
    [anon_sym_of] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2396),
    [anon_sym_LBRACK] = ACTIONS(2396),
    [anon_sym_GT] = ACTIONS(2396),
    [anon_sym_DOT] = ACTIONS(2396),
    [anon_sym_async] = ACTIONS(2394),
    [anon_sym_function] = ACTIONS(2394),
    [anon_sym_QMARK_DOT] = ACTIONS(2396),
    [anon_sym_AMP_AMP] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE] = ACTIONS(2396),
    [anon_sym_GT_GT] = ACTIONS(2396),
    [anon_sym_GT_GT_GT] = ACTIONS(2396),
    [anon_sym_LT_LT] = ACTIONS(2396),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_CARET] = ACTIONS(2396),
    [anon_sym_PIPE] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_SLASH] = ACTIONS(2396),
    [anon_sym_PERCENT] = ACTIONS(2396),
    [anon_sym_STAR_STAR] = ACTIONS(2396),
    [anon_sym_LT] = ACTIONS(2396),
    [anon_sym_LT_EQ] = ACTIONS(2396),
    [anon_sym_EQ_EQ] = ACTIONS(2396),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2396),
    [anon_sym_GT_EQ] = ACTIONS(2396),
    [anon_sym_QMARK_QMARK] = ACTIONS(2396),
    [anon_sym_instanceof] = ACTIONS(2396),
    [anon_sym_PLUS_PLUS] = ACTIONS(2396),
    [anon_sym_DASH_DASH] = ACTIONS(2396),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2396),
    [anon_sym_AT] = ACTIONS(2394),
    [anon_sym_static] = ACTIONS(2394),
    [anon_sym_readonly] = ACTIONS(2394),
    [anon_sym_get] = ACTIONS(2394),
    [anon_sym_set] = ACTIONS(2394),
    [anon_sym_declare] = ACTIONS(2394),
    [anon_sym_public] = ACTIONS(2394),
    [anon_sym_private] = ACTIONS(2394),
    [anon_sym_protected] = ACTIONS(2394),
    [anon_sym_override] = ACTIONS(2394),
    [anon_sym_module] = ACTIONS(2394),
    [anon_sym_any] = ACTIONS(2394),
    [anon_sym_number] = ACTIONS(2394),
    [anon_sym_boolean] = ACTIONS(2394),
    [anon_sym_string] = ACTIONS(2394),
    [anon_sym_symbol] = ACTIONS(2394),
    [anon_sym_object] = ACTIONS(2394),
    [anon_sym_property] = ACTIONS(2394),
    [anon_sym_signal] = ACTIONS(2394),
    [anon_sym_on] = ACTIONS(2394),
    [anon_sym_required] = ACTIONS(2394),
    [anon_sym_component] = ACTIONS(2394),
    [anon_sym_satisfies] = ACTIONS(2396),
    [anon_sym_enum] = ACTIONS(2394),
    [sym__automatic_semicolon] = ACTIONS(4000),
    [sym__ternary_qmark] = ACTIONS(2400),
    [sym_html_comment] = ACTIONS(5),
  },
  [1914] = {
    [sym_comment] = STATE(1914),
    [sym_identifier] = ACTIONS(2382),
    [anon_sym_export] = ACTIONS(2382),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_default] = ACTIONS(2382),
    [anon_sym_type] = ACTIONS(2382),
    [anon_sym_as] = ACTIONS(2384),
    [anon_sym_namespace] = ACTIONS(2382),
    [anon_sym_COMMA] = ACTIONS(2384),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_from] = ACTIONS(2382),
    [anon_sym_var] = ACTIONS(2382),
    [anon_sym_let] = ACTIONS(2382),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_LPAREN] = ACTIONS(2384),
    [anon_sym_in] = ACTIONS(2384),
    [anon_sym_of] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_GT] = ACTIONS(2384),
    [anon_sym_DOT] = ACTIONS(2384),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_function] = ACTIONS(2382),
    [anon_sym_QMARK_DOT] = ACTIONS(2384),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_PIPE_PIPE] = ACTIONS(2384),
    [anon_sym_GT_GT] = ACTIONS(2384),
    [anon_sym_GT_GT_GT] = ACTIONS(2384),
    [anon_sym_LT_LT] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_CARET] = ACTIONS(2384),
    [anon_sym_PIPE] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_SLASH] = ACTIONS(2384),
    [anon_sym_PERCENT] = ACTIONS(2384),
    [anon_sym_STAR_STAR] = ACTIONS(2384),
    [anon_sym_LT] = ACTIONS(2384),
    [anon_sym_LT_EQ] = ACTIONS(2384),
    [anon_sym_EQ_EQ] = ACTIONS(2384),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2384),
    [anon_sym_BANG_EQ] = ACTIONS(2384),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2384),
    [anon_sym_GT_EQ] = ACTIONS(2384),
    [anon_sym_QMARK_QMARK] = ACTIONS(2384),
    [anon_sym_instanceof] = ACTIONS(2384),
    [anon_sym_PLUS_PLUS] = ACTIONS(2384),
    [anon_sym_DASH_DASH] = ACTIONS(2384),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2384),
    [anon_sym_AT] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_readonly] = ACTIONS(2382),
    [anon_sym_get] = ACTIONS(2382),
    [anon_sym_set] = ACTIONS(2382),
    [anon_sym_declare] = ACTIONS(2382),
    [anon_sym_public] = ACTIONS(2382),
    [anon_sym_private] = ACTIONS(2382),
    [anon_sym_protected] = ACTIONS(2382),
    [anon_sym_override] = ACTIONS(2382),
    [anon_sym_module] = ACTIONS(2382),
    [anon_sym_any] = ACTIONS(2382),
    [anon_sym_number] = ACTIONS(2382),
    [anon_sym_boolean] = ACTIONS(2382),
    [anon_sym_string] = ACTIONS(2382),
    [anon_sym_symbol] = ACTIONS(2382),
    [anon_sym_object] = ACTIONS(2382),
    [anon_sym_property] = ACTIONS(2382),
    [anon_sym_signal] = ACTIONS(2382),
    [anon_sym_on] = ACTIONS(2382),
    [anon_sym_required] = ACTIONS(2382),
    [anon_sym_component] = ACTIONS(2382),
    [anon_sym_satisfies] = ACTIONS(2384),
    [anon_sym_enum] = ACTIONS(2382),
    [sym__automatic_semicolon] = ACTIONS(4002),
    [sym__ternary_qmark] = ACTIONS(2388),
    [sym_html_comment] = ACTIONS(5),
  },
  [1915] = {
    [sym_comment] = STATE(1915),
    [sym_identifier] = ACTIONS(2354),
    [anon_sym_export] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2354),
    [anon_sym_type] = ACTIONS(2354),
    [anon_sym_as] = ACTIONS(2356),
    [anon_sym_namespace] = ACTIONS(2354),
    [anon_sym_COMMA] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(2354),
    [anon_sym_from] = ACTIONS(2354),
    [anon_sym_var] = ACTIONS(2354),
    [anon_sym_let] = ACTIONS(2354),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_of] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_GT] = ACTIONS(2356),
    [anon_sym_DOT] = ACTIONS(2356),
    [anon_sym_async] = ACTIONS(2354),
    [anon_sym_function] = ACTIONS(2354),
    [anon_sym_QMARK_DOT] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2356),
    [anon_sym_PIPE_PIPE] = ACTIONS(2356),
    [anon_sym_GT_GT] = ACTIONS(2356),
    [anon_sym_GT_GT_GT] = ACTIONS(2356),
    [anon_sym_LT_LT] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2356),
    [anon_sym_PIPE] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_SLASH] = ACTIONS(2356),
    [anon_sym_PERCENT] = ACTIONS(2356),
    [anon_sym_STAR_STAR] = ACTIONS(2356),
    [anon_sym_LT] = ACTIONS(2356),
    [anon_sym_LT_EQ] = ACTIONS(2356),
    [anon_sym_EQ_EQ] = ACTIONS(2356),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2356),
    [anon_sym_BANG_EQ] = ACTIONS(2356),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2356),
    [anon_sym_GT_EQ] = ACTIONS(2356),
    [anon_sym_QMARK_QMARK] = ACTIONS(2356),
    [anon_sym_instanceof] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2356),
    [anon_sym_AT] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_readonly] = ACTIONS(2354),
    [anon_sym_get] = ACTIONS(2354),
    [anon_sym_set] = ACTIONS(2354),
    [anon_sym_declare] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_override] = ACTIONS(2354),
    [anon_sym_module] = ACTIONS(2354),
    [anon_sym_any] = ACTIONS(2354),
    [anon_sym_number] = ACTIONS(2354),
    [anon_sym_boolean] = ACTIONS(2354),
    [anon_sym_string] = ACTIONS(2354),
    [anon_sym_symbol] = ACTIONS(2354),
    [anon_sym_object] = ACTIONS(2354),
    [anon_sym_property] = ACTIONS(2354),
    [anon_sym_signal] = ACTIONS(2354),
    [anon_sym_on] = ACTIONS(2354),
    [anon_sym_required] = ACTIONS(2354),
    [anon_sym_component] = ACTIONS(2354),
    [anon_sym_satisfies] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2354),
    [sym__automatic_semicolon] = ACTIONS(4004),
    [sym__ternary_qmark] = ACTIONS(2360),
    [sym_html_comment] = ACTIONS(5),
  },
  [1916] = {
    [sym_comment] = STATE(1916),
    [sym_identifier] = ACTIONS(2374),
    [anon_sym_export] = ACTIONS(2374),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_default] = ACTIONS(2374),
    [anon_sym_type] = ACTIONS(2374),
    [anon_sym_as] = ACTIONS(2376),
    [anon_sym_namespace] = ACTIONS(2374),
    [anon_sym_COMMA] = ACTIONS(2376),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [anon_sym_from] = ACTIONS(2374),
    [anon_sym_var] = ACTIONS(2374),
    [anon_sym_let] = ACTIONS(2374),
    [anon_sym_BANG] = ACTIONS(2376),
    [anon_sym_LPAREN] = ACTIONS(2376),
    [anon_sym_in] = ACTIONS(2376),
    [anon_sym_of] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_GT] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(2376),
    [anon_sym_async] = ACTIONS(2374),
    [anon_sym_function] = ACTIONS(2374),
    [anon_sym_QMARK_DOT] = ACTIONS(2376),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_GT_GT] = ACTIONS(2376),
    [anon_sym_GT_GT_GT] = ACTIONS(2376),
    [anon_sym_LT_LT] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_CARET] = ACTIONS(2376),
    [anon_sym_PIPE] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_SLASH] = ACTIONS(2376),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_STAR_STAR] = ACTIONS(2376),
    [anon_sym_LT] = ACTIONS(2376),
    [anon_sym_LT_EQ] = ACTIONS(2376),
    [anon_sym_EQ_EQ] = ACTIONS(2376),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2376),
    [anon_sym_GT_EQ] = ACTIONS(2376),
    [anon_sym_QMARK_QMARK] = ACTIONS(2376),
    [anon_sym_instanceof] = ACTIONS(2376),
    [anon_sym_PLUS_PLUS] = ACTIONS(2376),
    [anon_sym_DASH_DASH] = ACTIONS(2376),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2376),
    [anon_sym_AT] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_readonly] = ACTIONS(2374),
    [anon_sym_get] = ACTIONS(2374),
    [anon_sym_set] = ACTIONS(2374),
    [anon_sym_declare] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_override] = ACTIONS(2374),
    [anon_sym_module] = ACTIONS(2374),
    [anon_sym_any] = ACTIONS(2374),
    [anon_sym_number] = ACTIONS(2374),
    [anon_sym_boolean] = ACTIONS(2374),
    [anon_sym_string] = ACTIONS(2374),
    [anon_sym_symbol] = ACTIONS(2374),
    [anon_sym_object] = ACTIONS(2374),
    [anon_sym_property] = ACTIONS(2374),
    [anon_sym_signal] = ACTIONS(2374),
    [anon_sym_on] = ACTIONS(2374),
    [anon_sym_required] = ACTIONS(2374),
    [anon_sym_component] = ACTIONS(2374),
    [anon_sym_satisfies] = ACTIONS(2376),
    [anon_sym_enum] = ACTIONS(2374),
    [sym__automatic_semicolon] = ACTIONS(4006),
    [sym__ternary_qmark] = ACTIONS(2380),
    [sym_html_comment] = ACTIONS(5),
  },
  [1917] = {
    [sym_comment] = STATE(1917),
    [sym_identifier] = ACTIONS(2442),
    [anon_sym_export] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_default] = ACTIONS(2442),
    [anon_sym_type] = ACTIONS(2442),
    [anon_sym_as] = ACTIONS(2442),
    [anon_sym_namespace] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_from] = ACTIONS(2442),
    [anon_sym_var] = ACTIONS(2442),
    [anon_sym_let] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_in] = ACTIONS(2442),
    [anon_sym_of] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_GT] = ACTIONS(2442),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_async] = ACTIONS(2442),
    [anon_sym_function] = ACTIONS(2442),
    [anon_sym_QMARK_DOT] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_GT_GT] = ACTIONS(2442),
    [anon_sym_GT_GT_GT] = ACTIONS(2442),
    [anon_sym_LT_LT] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_CARET] = ACTIONS(2442),
    [anon_sym_PIPE] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_STAR_STAR] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_LT_EQ] = ACTIONS(2442),
    [anon_sym_EQ_EQ] = ACTIONS(2442),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2442),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2442),
    [anon_sym_GT_EQ] = ACTIONS(2442),
    [anon_sym_QMARK_QMARK] = ACTIONS(2442),
    [anon_sym_instanceof] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2442),
    [anon_sym_static] = ACTIONS(2442),
    [anon_sym_readonly] = ACTIONS(2442),
    [anon_sym_get] = ACTIONS(2442),
    [anon_sym_set] = ACTIONS(2442),
    [anon_sym_declare] = ACTIONS(2442),
    [anon_sym_public] = ACTIONS(2442),
    [anon_sym_private] = ACTIONS(2442),
    [anon_sym_protected] = ACTIONS(2442),
    [anon_sym_override] = ACTIONS(2442),
    [anon_sym_module] = ACTIONS(2442),
    [anon_sym_any] = ACTIONS(2442),
    [anon_sym_number] = ACTIONS(2442),
    [anon_sym_boolean] = ACTIONS(2442),
    [anon_sym_string] = ACTIONS(2442),
    [anon_sym_symbol] = ACTIONS(2442),
    [anon_sym_object] = ACTIONS(2442),
    [anon_sym_property] = ACTIONS(2442),
    [anon_sym_signal] = ACTIONS(2442),
    [anon_sym_on] = ACTIONS(2442),
    [anon_sym_required] = ACTIONS(2442),
    [anon_sym_component] = ACTIONS(2442),
    [anon_sym_satisfies] = ACTIONS(2442),
    [anon_sym_enum] = ACTIONS(2442),
    [sym__automatic_semicolon] = ACTIONS(2444),
    [sym__ternary_qmark] = ACTIONS(2444),
    [sym_html_comment] = ACTIONS(5),
  },
  [1918] = {
    [sym_comment] = STATE(1918),
    [sym_identifier] = ACTIONS(2450),
    [anon_sym_export] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2450),
    [anon_sym_type] = ACTIONS(2450),
    [anon_sym_as] = ACTIONS(2452),
    [anon_sym_namespace] = ACTIONS(2450),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_from] = ACTIONS(2450),
    [anon_sym_var] = ACTIONS(2450),
    [anon_sym_let] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2452),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_of] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2452),
    [anon_sym_GT] = ACTIONS(2452),
    [anon_sym_DOT] = ACTIONS(2452),
    [anon_sym_async] = ACTIONS(2450),
    [anon_sym_function] = ACTIONS(2450),
    [anon_sym_QMARK_DOT] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2452),
    [anon_sym_PIPE_PIPE] = ACTIONS(2452),
    [anon_sym_GT_GT] = ACTIONS(2452),
    [anon_sym_GT_GT_GT] = ACTIONS(2452),
    [anon_sym_LT_LT] = ACTIONS(2452),
    [anon_sym_AMP] = ACTIONS(2452),
    [anon_sym_CARET] = ACTIONS(2452),
    [anon_sym_PIPE] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_SLASH] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2452),
    [anon_sym_STAR_STAR] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2452),
    [anon_sym_LT_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2452),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2452),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_QMARK_QMARK] = ACTIONS(2452),
    [anon_sym_instanceof] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2452),
    [anon_sym_AT] = ACTIONS(2450),
    [anon_sym_static] = ACTIONS(2450),
    [anon_sym_readonly] = ACTIONS(2450),
    [anon_sym_get] = ACTIONS(2450),
    [anon_sym_set] = ACTIONS(2450),
    [anon_sym_declare] = ACTIONS(2450),
    [anon_sym_public] = ACTIONS(2450),
    [anon_sym_private] = ACTIONS(2450),
    [anon_sym_protected] = ACTIONS(2450),
    [anon_sym_override] = ACTIONS(2450),
    [anon_sym_module] = ACTIONS(2450),
    [anon_sym_any] = ACTIONS(2450),
    [anon_sym_number] = ACTIONS(2450),
    [anon_sym_boolean] = ACTIONS(2450),
    [anon_sym_string] = ACTIONS(2450),
    [anon_sym_symbol] = ACTIONS(2450),
    [anon_sym_object] = ACTIONS(2450),
    [anon_sym_property] = ACTIONS(2450),
    [anon_sym_signal] = ACTIONS(2450),
    [anon_sym_on] = ACTIONS(2450),
    [anon_sym_required] = ACTIONS(2450),
    [anon_sym_component] = ACTIONS(2450),
    [anon_sym_satisfies] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2450),
    [sym__automatic_semicolon] = ACTIONS(4008),
    [sym__ternary_qmark] = ACTIONS(2456),
    [sym_html_comment] = ACTIONS(5),
  },
  [1919] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1919),
    [sym_formal_parameters] = STATE(8370),
    [sym_rest_pattern] = STATE(8160),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7607),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(3760),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(4010),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1920] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1920),
    [sym_formal_parameters] = STATE(8370),
    [sym_rest_pattern] = STATE(8160),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7607),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(3760),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(4012),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1921] = {
    [sym_comment] = STATE(1921),
    [sym_identifier] = ACTIONS(2402),
    [anon_sym_export] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_type] = ACTIONS(2402),
    [anon_sym_as] = ACTIONS(2404),
    [anon_sym_namespace] = ACTIONS(2402),
    [anon_sym_COMMA] = ACTIONS(2404),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [anon_sym_from] = ACTIONS(2402),
    [anon_sym_var] = ACTIONS(2402),
    [anon_sym_let] = ACTIONS(2402),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_LPAREN] = ACTIONS(2404),
    [anon_sym_in] = ACTIONS(2404),
    [anon_sym_of] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym_GT] = ACTIONS(2404),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_async] = ACTIONS(2402),
    [anon_sym_function] = ACTIONS(2402),
    [anon_sym_QMARK_DOT] = ACTIONS(2404),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_PIPE_PIPE] = ACTIONS(2404),
    [anon_sym_GT_GT] = ACTIONS(2404),
    [anon_sym_GT_GT_GT] = ACTIONS(2404),
    [anon_sym_LT_LT] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2404),
    [anon_sym_PIPE] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_SLASH] = ACTIONS(2404),
    [anon_sym_PERCENT] = ACTIONS(2404),
    [anon_sym_STAR_STAR] = ACTIONS(2404),
    [anon_sym_LT] = ACTIONS(2404),
    [anon_sym_LT_EQ] = ACTIONS(2404),
    [anon_sym_EQ_EQ] = ACTIONS(2404),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2404),
    [anon_sym_BANG_EQ] = ACTIONS(2404),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2404),
    [anon_sym_GT_EQ] = ACTIONS(2404),
    [anon_sym_QMARK_QMARK] = ACTIONS(2404),
    [anon_sym_instanceof] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2404),
    [anon_sym_AT] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_readonly] = ACTIONS(2402),
    [anon_sym_get] = ACTIONS(2402),
    [anon_sym_set] = ACTIONS(2402),
    [anon_sym_declare] = ACTIONS(2402),
    [anon_sym_public] = ACTIONS(2402),
    [anon_sym_private] = ACTIONS(2402),
    [anon_sym_protected] = ACTIONS(2402),
    [anon_sym_override] = ACTIONS(2402),
    [anon_sym_module] = ACTIONS(2402),
    [anon_sym_any] = ACTIONS(2402),
    [anon_sym_number] = ACTIONS(2402),
    [anon_sym_boolean] = ACTIONS(2402),
    [anon_sym_string] = ACTIONS(2402),
    [anon_sym_symbol] = ACTIONS(2402),
    [anon_sym_object] = ACTIONS(2402),
    [anon_sym_property] = ACTIONS(2402),
    [anon_sym_signal] = ACTIONS(2402),
    [anon_sym_on] = ACTIONS(2402),
    [anon_sym_required] = ACTIONS(2402),
    [anon_sym_component] = ACTIONS(2402),
    [anon_sym_satisfies] = ACTIONS(2404),
    [anon_sym_enum] = ACTIONS(2402),
    [sym__automatic_semicolon] = ACTIONS(4014),
    [sym__ternary_qmark] = ACTIONS(2408),
    [sym_html_comment] = ACTIONS(5),
  },
  [1922] = {
    [sym_comment] = STATE(1922),
    [sym_identifier] = ACTIONS(2338),
    [anon_sym_export] = ACTIONS(2338),
    [anon_sym_STAR] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2338),
    [anon_sym_type] = ACTIONS(2338),
    [anon_sym_as] = ACTIONS(2338),
    [anon_sym_namespace] = ACTIONS(2338),
    [anon_sym_COMMA] = ACTIONS(2338),
    [anon_sym_RBRACE] = ACTIONS(2338),
    [anon_sym_from] = ACTIONS(2338),
    [anon_sym_var] = ACTIONS(2338),
    [anon_sym_let] = ACTIONS(2338),
    [anon_sym_BANG] = ACTIONS(2338),
    [anon_sym_LPAREN] = ACTIONS(2338),
    [anon_sym_in] = ACTIONS(2338),
    [anon_sym_of] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2338),
    [anon_sym_GT] = ACTIONS(2338),
    [anon_sym_DOT] = ACTIONS(2338),
    [anon_sym_async] = ACTIONS(2338),
    [anon_sym_function] = ACTIONS(2338),
    [anon_sym_QMARK_DOT] = ACTIONS(2338),
    [anon_sym_AMP_AMP] = ACTIONS(2338),
    [anon_sym_PIPE_PIPE] = ACTIONS(2338),
    [anon_sym_GT_GT] = ACTIONS(2338),
    [anon_sym_GT_GT_GT] = ACTIONS(2338),
    [anon_sym_LT_LT] = ACTIONS(2338),
    [anon_sym_AMP] = ACTIONS(2338),
    [anon_sym_CARET] = ACTIONS(2338),
    [anon_sym_PIPE] = ACTIONS(2338),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_SLASH] = ACTIONS(2338),
    [anon_sym_PERCENT] = ACTIONS(2338),
    [anon_sym_STAR_STAR] = ACTIONS(2338),
    [anon_sym_LT] = ACTIONS(2338),
    [anon_sym_LT_EQ] = ACTIONS(2338),
    [anon_sym_EQ_EQ] = ACTIONS(2338),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2338),
    [anon_sym_BANG_EQ] = ACTIONS(2338),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(2338),
    [anon_sym_GT_EQ] = ACTIONS(2338),
    [anon_sym_QMARK_QMARK] = ACTIONS(2338),
    [anon_sym_instanceof] = ACTIONS(2338),
    [anon_sym_PLUS_PLUS] = ACTIONS(2338),
    [anon_sym_DASH_DASH] = ACTIONS(2338),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2338),
    [anon_sym_AT] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_readonly] = ACTIONS(2338),
    [anon_sym_get] = ACTIONS(2338),
    [anon_sym_set] = ACTIONS(2338),
    [anon_sym_declare] = ACTIONS(2338),
    [anon_sym_public] = ACTIONS(2338),
    [anon_sym_private] = ACTIONS(2338),
    [anon_sym_protected] = ACTIONS(2338),
    [anon_sym_override] = ACTIONS(2338),
    [anon_sym_module] = ACTIONS(2338),
    [anon_sym_any] = ACTIONS(2338),
    [anon_sym_number] = ACTIONS(2338),
    [anon_sym_boolean] = ACTIONS(2338),
    [anon_sym_string] = ACTIONS(2338),
    [anon_sym_symbol] = ACTIONS(2338),
    [anon_sym_object] = ACTIONS(2338),
    [anon_sym_property] = ACTIONS(2338),
    [anon_sym_signal] = ACTIONS(2338),
    [anon_sym_on] = ACTIONS(2338),
    [anon_sym_required] = ACTIONS(2338),
    [anon_sym_component] = ACTIONS(2338),
    [anon_sym_satisfies] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [sym__automatic_semicolon] = ACTIONS(2340),
    [sym__ternary_qmark] = ACTIONS(2340),
    [sym_html_comment] = ACTIONS(5),
  },
  [1923] = {
    [sym_import] = STATE(6975),
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(1923),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4970),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5215),
    [sym_asserts] = STATE(5706),
    [sym__type] = STATE(4934),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_predicate] = STATE(5705),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4818),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(4016),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(4018),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_asserts] = ACTIONS(4020),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [1924] = {
    [sym_import] = STATE(7117),
    [sym_nested_identifier] = STATE(8476),
    [sym_string] = STATE(5140),
    [sym_comment] = STATE(1924),
    [sym_formal_parameters] = STATE(8243),
    [sym_nested_type_identifier] = STATE(4881),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5212),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5603),
    [sym_asserts] = STATE(6245),
    [sym__type] = STATE(5213),
    [sym_constructor_type] = STATE(5146),
    [sym__primary_type] = STATE(5150),
    [sym_template_literal_type] = STATE(5151),
    [sym_infer_type] = STATE(5146),
    [sym_conditional_type] = STATE(5151),
    [sym_generic_type] = STATE(5151),
    [sym_type_predicate] = STATE(6235),
    [sym_type_query] = STATE(5151),
    [sym_index_type_query] = STATE(5151),
    [sym_lookup_type] = STATE(5151),
    [sym_literal_type] = STATE(5151),
    [sym__number] = STATE(4991),
    [sym_existential_type] = STATE(5151),
    [sym_flow_maybe_type] = STATE(5151),
    [sym_parenthesized_type] = STATE(5151),
    [sym_predefined_type] = STATE(4939),
    [sym_object_type] = STATE(5151),
    [sym_type_parameters] = STATE(8059),
    [sym_array_type] = STATE(5151),
    [sym_tuple_type] = STATE(5151),
    [sym_readonly_type] = STATE(5146),
    [sym_union_type] = STATE(5151),
    [sym_intersection_type] = STATE(5151),
    [sym_function_type] = STATE(5146),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4026),
    [anon_sym_typeof] = ACTIONS(4028),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(4036),
    [anon_sym_SQUOTE] = ACTIONS(4038),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4048),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4050),
    [sym_number] = ACTIONS(4052),
    [sym_this] = ACTIONS(4054),
    [sym_true] = ACTIONS(4052),
    [sym_false] = ACTIONS(4052),
    [sym_null] = ACTIONS(4052),
    [sym_undefined] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(4056),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_any] = ACTIONS(4048),
    [anon_sym_number] = ACTIONS(4048),
    [anon_sym_boolean] = ACTIONS(4048),
    [anon_sym_string] = ACTIONS(4048),
    [anon_sym_symbol] = ACTIONS(4048),
    [anon_sym_object] = ACTIONS(4048),
    [anon_sym_abstract] = ACTIONS(4060),
    [anon_sym_asserts] = ACTIONS(4062),
    [anon_sym_infer] = ACTIONS(4064),
    [anon_sym_keyof] = ACTIONS(4066),
    [anon_sym_unique] = ACTIONS(4068),
    [anon_sym_unknown] = ACTIONS(4048),
    [anon_sym_never] = ACTIONS(4048),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4026),
    [sym_html_comment] = ACTIONS(5),
  },
  [1925] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1925),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5022),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5300),
    [sym_asserts] = STATE(7572),
    [sym__type] = STATE(5015),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_predicate] = STATE(7708),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4590),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(4072),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_asserts] = ACTIONS(4074),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1926] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1926),
    [sym_formal_parameters] = STATE(8370),
    [sym_rest_pattern] = STATE(8160),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5591),
    [sym_tuple_parameter] = STATE(8027),
    [sym_optional_tuple_parameter] = STATE(8027),
    [sym_optional_type] = STATE(8027),
    [sym_rest_type] = STATE(8027),
    [sym__tuple_type_member] = STATE(7607),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(3760),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3766),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1927] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1927),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4076),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1928] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1928),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1929] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1929),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4080),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1930] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1930),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4082),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1931] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1931),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4084),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1932] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1932),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4086),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1933] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1933),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4088),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1934] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1934),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4090),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1935] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1935),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4092),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1936] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1936),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4094),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1937] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1937),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4096),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1938] = {
    [sym_export_statement] = STATE(5645),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(7883),
    [sym_array_pattern] = STATE(5164),
    [sym__call_signature] = STATE(6248),
    [sym__destructuring_pattern] = STATE(8206),
    [sym_spread_element] = STATE(7729),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(1938),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym_rest_pattern] = STATE(7883),
    [sym_method_definition] = STATE(7729),
    [sym_pair] = STATE(7729),
    [sym_pair_pattern] = STATE(7883),
    [sym__property_name] = STATE(4779),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5645),
    [sym_accessibility_modifier] = STATE(3766),
    [sym_override_modifier] = STATE(3907),
    [sym_call_signature] = STATE(5645),
    [sym_property_signature] = STATE(5645),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5645),
    [sym_index_signature] = STATE(5645),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [sym_identifier] = ACTIONS(4098),
    [anon_sym_export] = ACTIONS(4100),
    [anon_sym_STAR] = ACTIONS(3772),
    [anon_sym_type] = ACTIONS(4098),
    [anon_sym_namespace] = ACTIONS(4098),
    [anon_sym_LBRACE] = ACTIONS(3774),
    [anon_sym_COMMA] = ACTIONS(4102),
    [anon_sym_RBRACE] = ACTIONS(4102),
    [anon_sym_from] = ACTIONS(4098),
    [anon_sym_let] = ACTIONS(4098),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(4098),
    [anon_sym_LBRACK] = ACTIONS(3784),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(4109),
    [anon_sym_readonly] = ACTIONS(4111),
    [anon_sym_get] = ACTIONS(4113),
    [anon_sym_set] = ACTIONS(4113),
    [anon_sym_declare] = ACTIONS(4098),
    [anon_sym_public] = ACTIONS(4115),
    [anon_sym_private] = ACTIONS(4115),
    [anon_sym_protected] = ACTIONS(4115),
    [anon_sym_override] = ACTIONS(4117),
    [anon_sym_module] = ACTIONS(4098),
    [anon_sym_any] = ACTIONS(4098),
    [anon_sym_number] = ACTIONS(4098),
    [anon_sym_boolean] = ACTIONS(4098),
    [anon_sym_string] = ACTIONS(4098),
    [anon_sym_symbol] = ACTIONS(4098),
    [anon_sym_object] = ACTIONS(4098),
    [anon_sym_property] = ACTIONS(4098),
    [anon_sym_signal] = ACTIONS(4098),
    [anon_sym_on] = ACTIONS(4098),
    [anon_sym_required] = ACTIONS(4098),
    [anon_sym_component] = ACTIONS(4098),
    [anon_sym_abstract] = ACTIONS(3804),
    [sym_html_comment] = ACTIONS(5),
  },
  [1939] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1939),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4119),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1940] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1940),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4121),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1941] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1941),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4123),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1942] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1942),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4125),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1943] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1943),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4127),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1944] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1944),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4129),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1945] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1945),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4131),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1946] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1946),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4133),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1947] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1947),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1948] = {
    [sym_export_statement] = STATE(5689),
    [sym_object_pattern] = STATE(5164),
    [sym_object_assignment_pattern] = STATE(7883),
    [sym_array_pattern] = STATE(5164),
    [sym__call_signature] = STATE(6248),
    [sym__destructuring_pattern] = STATE(8206),
    [sym_spread_element] = STATE(7729),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(1948),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym_rest_pattern] = STATE(7883),
    [sym_method_definition] = STATE(7729),
    [sym_pair] = STATE(7729),
    [sym_pair_pattern] = STATE(7883),
    [sym__property_name] = STATE(4779),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5689),
    [sym_accessibility_modifier] = STATE(3766),
    [sym_override_modifier] = STATE(3907),
    [sym_call_signature] = STATE(5689),
    [sym_property_signature] = STATE(5689),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5689),
    [sym_index_signature] = STATE(5689),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [sym_identifier] = ACTIONS(4098),
    [anon_sym_export] = ACTIONS(4100),
    [anon_sym_STAR] = ACTIONS(3772),
    [anon_sym_type] = ACTIONS(4098),
    [anon_sym_namespace] = ACTIONS(4098),
    [anon_sym_LBRACE] = ACTIONS(3774),
    [anon_sym_COMMA] = ACTIONS(4102),
    [anon_sym_RBRACE] = ACTIONS(4102),
    [anon_sym_from] = ACTIONS(4098),
    [anon_sym_let] = ACTIONS(4098),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(4098),
    [anon_sym_LBRACK] = ACTIONS(3784),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(4105),
    [anon_sym_new] = ACTIONS(4107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(4109),
    [anon_sym_readonly] = ACTIONS(4111),
    [anon_sym_get] = ACTIONS(4113),
    [anon_sym_set] = ACTIONS(4113),
    [anon_sym_declare] = ACTIONS(4098),
    [anon_sym_public] = ACTIONS(4115),
    [anon_sym_private] = ACTIONS(4115),
    [anon_sym_protected] = ACTIONS(4115),
    [anon_sym_override] = ACTIONS(4117),
    [anon_sym_module] = ACTIONS(4098),
    [anon_sym_any] = ACTIONS(4098),
    [anon_sym_number] = ACTIONS(4098),
    [anon_sym_boolean] = ACTIONS(4098),
    [anon_sym_string] = ACTIONS(4098),
    [anon_sym_symbol] = ACTIONS(4098),
    [anon_sym_object] = ACTIONS(4098),
    [anon_sym_property] = ACTIONS(4098),
    [anon_sym_signal] = ACTIONS(4098),
    [anon_sym_on] = ACTIONS(4098),
    [anon_sym_required] = ACTIONS(4098),
    [anon_sym_component] = ACTIONS(4098),
    [anon_sym_abstract] = ACTIONS(3804),
    [sym_html_comment] = ACTIONS(5),
  },
  [1949] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1949),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4137),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1950] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1950),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4139),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1951] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1951),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4141),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1952] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1952),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4143),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1953] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1953),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1954] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1954),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4147),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1955] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1955),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4149),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1956] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1956),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4151),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1957] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1957),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4153),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1958] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1958),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4155),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1959] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1959),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4157),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1960] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1960),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4159),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1961] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1961),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4161),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1962] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1962),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4163),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1963] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1963),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4165),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1964] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1964),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5714),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6558),
    [sym__type] = STATE(5713),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_type_parameter] = STATE(7116),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1965] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1965),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4171),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1966] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1966),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4173),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1967] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1967),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4175),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1968] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1968),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4177),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1969] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1969),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4179),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1970] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1970),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4181),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1971] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1971),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_GT] = ACTIONS(4183),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1972] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1972),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5022),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5300),
    [sym__type] = STATE(5015),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1973] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1973),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5836),
    [sym__type_query_call_expression_in_type_annotation] = STATE(7072),
    [sym__type] = STATE(5811),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1974] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1974),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5565),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6417),
    [sym__type] = STATE(5566),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1975] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1975),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5638),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6389),
    [sym__type] = STATE(5640),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1976] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1976),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5598),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6318),
    [sym__type] = STATE(5597),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1977] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1977),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5618),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6331),
    [sym__type] = STATE(5619),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1978] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1978),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5732),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6578),
    [sym__type] = STATE(5731),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1979] = {
    [sym_import] = STATE(6975),
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(1979),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type_query_member_expression_in_type_annotation] = STATE(4970),
    [sym__type_query_call_expression_in_type_annotation] = STATE(5215),
    [sym__type] = STATE(4934),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [1980] = {
    [sym_import] = STATE(7098),
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1980),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type_query_member_expression_in_type_annotation] = STATE(5521),
    [sym__type_query_call_expression_in_type_annotation] = STATE(6551),
    [sym__type] = STATE(5523),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(39),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1981] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(1981),
    [sym_formal_parameters] = STATE(8375),
    [sym_nested_type_identifier] = STATE(3225),
    [sym_asserts] = STATE(3447),
    [sym__type] = STATE(3448),
    [sym_constructor_type] = STATE(3351),
    [sym__primary_type] = STATE(3350),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(3351),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_predicate] = STATE(3447),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3182),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(8097),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(3351),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(3351),
    [sym_identifier] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4193),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(4199),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4213),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(4215),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(4219),
    [anon_sym_asserts] = ACTIONS(4221),
    [anon_sym_infer] = ACTIONS(4223),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [1982] = {
    [sym_nested_identifier] = STATE(8476),
    [sym_string] = STATE(5140),
    [sym_comment] = STATE(1982),
    [sym_formal_parameters] = STATE(8243),
    [sym_nested_type_identifier] = STATE(4881),
    [sym_asserts] = STATE(5012),
    [sym__type] = STATE(5010),
    [sym_constructor_type] = STATE(5146),
    [sym__primary_type] = STATE(5150),
    [sym_template_literal_type] = STATE(5151),
    [sym_infer_type] = STATE(5146),
    [sym_conditional_type] = STATE(5151),
    [sym_generic_type] = STATE(5151),
    [sym_type_predicate] = STATE(5012),
    [sym_type_query] = STATE(5151),
    [sym_index_type_query] = STATE(5151),
    [sym_lookup_type] = STATE(5151),
    [sym_literal_type] = STATE(5151),
    [sym__number] = STATE(4991),
    [sym_existential_type] = STATE(5151),
    [sym_flow_maybe_type] = STATE(5151),
    [sym_parenthesized_type] = STATE(5151),
    [sym_predefined_type] = STATE(4939),
    [sym_object_type] = STATE(5151),
    [sym_type_parameters] = STATE(8059),
    [sym_array_type] = STATE(5151),
    [sym_tuple_type] = STATE(5151),
    [sym_readonly_type] = STATE(5146),
    [sym_union_type] = STATE(5151),
    [sym_intersection_type] = STATE(5151),
    [sym_function_type] = STATE(5146),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4026),
    [anon_sym_typeof] = ACTIONS(4028),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(4036),
    [anon_sym_SQUOTE] = ACTIONS(4038),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4048),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4050),
    [sym_number] = ACTIONS(4052),
    [sym_this] = ACTIONS(4054),
    [sym_true] = ACTIONS(4052),
    [sym_false] = ACTIONS(4052),
    [sym_null] = ACTIONS(4052),
    [sym_undefined] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(4056),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_any] = ACTIONS(4048),
    [anon_sym_number] = ACTIONS(4048),
    [anon_sym_boolean] = ACTIONS(4048),
    [anon_sym_string] = ACTIONS(4048),
    [anon_sym_symbol] = ACTIONS(4048),
    [anon_sym_object] = ACTIONS(4048),
    [anon_sym_abstract] = ACTIONS(4060),
    [anon_sym_asserts] = ACTIONS(4062),
    [anon_sym_infer] = ACTIONS(4064),
    [anon_sym_keyof] = ACTIONS(4066),
    [anon_sym_unique] = ACTIONS(4068),
    [anon_sym_unknown] = ACTIONS(4048),
    [anon_sym_never] = ACTIONS(4048),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4026),
    [sym_html_comment] = ACTIONS(5),
  },
  [1983] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(1983),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym_asserts] = STATE(4871),
    [sym__type] = STATE(4873),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_predicate] = STATE(4871),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4818),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(4016),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(4018),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_asserts] = ACTIONS(4020),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [1984] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(1984),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym_asserts] = STATE(4908),
    [sym__type] = STATE(4907),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_predicate] = STATE(4908),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4818),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(4016),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(4018),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_asserts] = ACTIONS(4020),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [1985] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1985),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym_asserts] = STATE(4681),
    [sym__type] = STATE(4682),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_predicate] = STATE(4681),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4590),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(4072),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_asserts] = ACTIONS(4074),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1986] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(1986),
    [sym_formal_parameters] = STATE(8375),
    [sym_nested_type_identifier] = STATE(3225),
    [sym_asserts] = STATE(3469),
    [sym__type] = STATE(3465),
    [sym_constructor_type] = STATE(3351),
    [sym__primary_type] = STATE(3350),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(3351),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_predicate] = STATE(3469),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3182),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(8097),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(3351),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(3351),
    [sym_identifier] = ACTIONS(4185),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4193),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(4199),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4213),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(4215),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(4219),
    [anon_sym_asserts] = ACTIONS(4221),
    [anon_sym_infer] = ACTIONS(4223),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [1987] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(1987),
    [sym_formal_parameters] = STATE(8613),
    [sym_nested_type_identifier] = STATE(2776),
    [sym_asserts] = STATE(2870),
    [sym__type] = STATE(2871),
    [sym_constructor_type] = STATE(2797),
    [sym__primary_type] = STATE(2798),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(2797),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_predicate] = STATE(2870),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2760),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(8175),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(2797),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(2797),
    [sym_identifier] = ACTIONS(4229),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(4243),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4257),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(4259),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(4263),
    [anon_sym_asserts] = ACTIONS(4265),
    [anon_sym_infer] = ACTIONS(4267),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [1988] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1988),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym_asserts] = STATE(4595),
    [sym__type] = STATE(4634),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_predicate] = STATE(4595),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4590),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(4072),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_asserts] = ACTIONS(4074),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1989] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(1989),
    [sym_formal_parameters] = STATE(8613),
    [sym_nested_type_identifier] = STATE(2776),
    [sym_asserts] = STATE(2834),
    [sym__type] = STATE(2835),
    [sym_constructor_type] = STATE(2797),
    [sym__primary_type] = STATE(2798),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(2797),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_predicate] = STATE(2834),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2760),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(8175),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(2797),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(2797),
    [sym_identifier] = ACTIONS(4229),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(4243),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4257),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(4259),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(4263),
    [anon_sym_asserts] = ACTIONS(4265),
    [anon_sym_infer] = ACTIONS(4267),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [1990] = {
    [sym_nested_identifier] = STATE(8476),
    [sym_string] = STATE(5140),
    [sym_comment] = STATE(1990),
    [sym_formal_parameters] = STATE(8243),
    [sym_nested_type_identifier] = STATE(4881),
    [sym_asserts] = STATE(5074),
    [sym__type] = STATE(5073),
    [sym_constructor_type] = STATE(5146),
    [sym__primary_type] = STATE(5150),
    [sym_template_literal_type] = STATE(5151),
    [sym_infer_type] = STATE(5146),
    [sym_conditional_type] = STATE(5151),
    [sym_generic_type] = STATE(5151),
    [sym_type_predicate] = STATE(5074),
    [sym_type_query] = STATE(5151),
    [sym_index_type_query] = STATE(5151),
    [sym_lookup_type] = STATE(5151),
    [sym_literal_type] = STATE(5151),
    [sym__number] = STATE(4991),
    [sym_existential_type] = STATE(5151),
    [sym_flow_maybe_type] = STATE(5151),
    [sym_parenthesized_type] = STATE(5151),
    [sym_predefined_type] = STATE(4939),
    [sym_object_type] = STATE(5151),
    [sym_type_parameters] = STATE(8059),
    [sym_array_type] = STATE(5151),
    [sym_tuple_type] = STATE(5151),
    [sym_readonly_type] = STATE(5146),
    [sym_union_type] = STATE(5151),
    [sym_intersection_type] = STATE(5151),
    [sym_function_type] = STATE(5146),
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4026),
    [anon_sym_typeof] = ACTIONS(4028),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(4036),
    [anon_sym_SQUOTE] = ACTIONS(4038),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4048),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4050),
    [sym_number] = ACTIONS(4052),
    [sym_this] = ACTIONS(4054),
    [sym_true] = ACTIONS(4052),
    [sym_false] = ACTIONS(4052),
    [sym_null] = ACTIONS(4052),
    [sym_undefined] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(4056),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_any] = ACTIONS(4048),
    [anon_sym_number] = ACTIONS(4048),
    [anon_sym_boolean] = ACTIONS(4048),
    [anon_sym_string] = ACTIONS(4048),
    [anon_sym_symbol] = ACTIONS(4048),
    [anon_sym_object] = ACTIONS(4048),
    [anon_sym_abstract] = ACTIONS(4060),
    [anon_sym_asserts] = ACTIONS(4062),
    [anon_sym_infer] = ACTIONS(4064),
    [anon_sym_keyof] = ACTIONS(4066),
    [anon_sym_unique] = ACTIONS(4068),
    [anon_sym_unknown] = ACTIONS(4048),
    [anon_sym_never] = ACTIONS(4048),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4026),
    [sym_html_comment] = ACTIONS(5),
  },
  [1991] = {
    [sym_variable_declarator] = STATE(6462),
    [sym_object_pattern] = STATE(5358),
    [sym_array_pattern] = STATE(5358),
    [sym__destructuring_pattern] = STATE(5354),
    [sym_comment] = STATE(1991),
    [aux_sym_object_repeat1] = STATE(7210),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(4273),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(4275),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(4277),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1992] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1992),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6337),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(4279),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1993] = {
    [sym_variable_declarator] = STATE(6462),
    [sym_object_pattern] = STATE(5358),
    [sym_array_pattern] = STATE(5358),
    [sym__destructuring_pattern] = STATE(5354),
    [sym_comment] = STATE(1993),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(4273),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(4275),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(4277),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1994] = {
    [sym_nested_identifier] = STATE(428),
    [sym_string] = STATE(463),
    [sym_comment] = STATE(1994),
    [sym__module] = STATE(508),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(4281),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4283),
    [anon_sym_SQUOTE] = ACTIONS(4285),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1995] = {
    [sym_nested_identifier] = STATE(1325),
    [sym_string] = STATE(1610),
    [sym_comment] = STATE(1995),
    [sym__module] = STATE(1668),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4289),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1996] = {
    [sym_nested_identifier] = STATE(428),
    [sym_string] = STATE(463),
    [sym_comment] = STATE(1996),
    [sym__module] = STATE(508),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(4281),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4283),
    [anon_sym_SQUOTE] = ACTIONS(4285),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1997] = {
    [sym_nested_identifier] = STATE(1325),
    [sym_string] = STATE(1610),
    [sym_comment] = STATE(1997),
    [sym__module] = STATE(1668),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4289),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [1998] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(1998),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6449),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(4293),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [1999] = {
    [sym_nested_identifier] = STATE(428),
    [sym_string] = STATE(463),
    [sym_comment] = STATE(1999),
    [sym__module] = STATE(508),
    [aux_sym_object_repeat1] = STATE(7210),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(4281),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4283),
    [anon_sym_SQUOTE] = ACTIONS(4285),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2000] = {
    [sym_nested_identifier] = STATE(1325),
    [sym_string] = STATE(1610),
    [sym_comment] = STATE(2000),
    [sym__module] = STATE(1668),
    [aux_sym_object_repeat1] = STATE(7210),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4289),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2001] = {
    [sym_variable_declarator] = STATE(6462),
    [sym_object_pattern] = STATE(5358),
    [sym_array_pattern] = STATE(5358),
    [sym__destructuring_pattern] = STATE(5354),
    [sym_comment] = STATE(2001),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(4273),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(4275),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(4277),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2002] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2002),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6464),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(4295),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2003] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2003),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6576),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(4297),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2004] = {
    [sym_nested_identifier] = STATE(428),
    [sym_string] = STATE(463),
    [sym_comment] = STATE(2004),
    [sym__module] = STATE(508),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(4281),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4283),
    [anon_sym_SQUOTE] = ACTIONS(4285),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2005] = {
    [sym_nested_identifier] = STATE(1325),
    [sym_string] = STATE(1610),
    [sym_comment] = STATE(2005),
    [sym__module] = STATE(1668),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4289),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2006] = {
    [sym_variable_declarator] = STATE(6462),
    [sym_object_pattern] = STATE(5358),
    [sym_array_pattern] = STATE(5358),
    [sym__destructuring_pattern] = STATE(5354),
    [sym_comment] = STATE(2006),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(4273),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(4275),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(4277),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2007] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2007),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6485),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_RBRACK] = ACTIONS(4299),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2008] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(2008),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(3225),
    [sym__type] = STATE(7018),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(3332),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3341),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(4301),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4193),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4303),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [2009] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2009),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6047),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2010] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(2010),
    [sym_formal_parameters] = STATE(8613),
    [sym_nested_type_identifier] = STATE(2776),
    [sym__type] = STATE(2842),
    [sym_constructor_type] = STATE(2797),
    [sym__primary_type] = STATE(2798),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(2797),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2799),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(8175),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(2797),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(2797),
    [sym_identifier] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(4243),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4307),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(4259),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(4263),
    [anon_sym_infer] = ACTIONS(4267),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [2011] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(2011),
    [sym_formal_parameters] = STATE(8375),
    [sym_nested_type_identifier] = STATE(3225),
    [sym__type] = STATE(3319),
    [sym_constructor_type] = STATE(3351),
    [sym__primary_type] = STATE(3350),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(3351),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3341),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(8097),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(3351),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(3351),
    [sym_identifier] = ACTIONS(4301),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4309),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(4199),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4303),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(4215),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(4219),
    [anon_sym_infer] = ACTIONS(4223),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [2012] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2012),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6086),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2013] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2013),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6087),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2014] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2014),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6099),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2015] = {
    [sym_comment] = STATE(2015),
    [sym_decorator] = STATE(2157),
    [aux_sym_export_statement_repeat1] = STATE(2015),
    [sym_identifier] = ACTIONS(4311),
    [anon_sym_export] = ACTIONS(4311),
    [anon_sym_type] = ACTIONS(4311),
    [anon_sym_namespace] = ACTIONS(4311),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_typeof] = ACTIONS(4311),
    [anon_sym_import] = ACTIONS(4311),
    [anon_sym_from] = ACTIONS(4311),
    [anon_sym_let] = ACTIONS(4311),
    [anon_sym_BANG] = ACTIONS(4311),
    [anon_sym_LPAREN] = ACTIONS(4311),
    [anon_sym_await] = ACTIONS(4311),
    [anon_sym_of] = ACTIONS(4311),
    [anon_sym_yield] = ACTIONS(4311),
    [anon_sym_LBRACK] = ACTIONS(4311),
    [anon_sym_LTtemplate_GT] = ACTIONS(4311),
    [anon_sym_DQUOTE] = ACTIONS(4311),
    [anon_sym_SQUOTE] = ACTIONS(4311),
    [anon_sym_class] = ACTIONS(4311),
    [anon_sym_async] = ACTIONS(4311),
    [anon_sym_function] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4311),
    [anon_sym_using] = ACTIONS(4311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4311),
    [anon_sym_PLUS] = ACTIONS(4311),
    [anon_sym_DASH] = ACTIONS(4311),
    [anon_sym_SLASH] = ACTIONS(4311),
    [anon_sym_LT] = ACTIONS(4311),
    [anon_sym_TILDE] = ACTIONS(4311),
    [anon_sym_void] = ACTIONS(4311),
    [anon_sym_delete] = ACTIONS(4311),
    [anon_sym_PLUS_PLUS] = ACTIONS(4311),
    [anon_sym_DASH_DASH] = ACTIONS(4311),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4311),
    [sym_number] = ACTIONS(4311),
    [sym_private_property_identifier] = ACTIONS(4311),
    [sym_this] = ACTIONS(4311),
    [sym_super] = ACTIONS(4311),
    [sym_true] = ACTIONS(4311),
    [sym_false] = ACTIONS(4311),
    [sym_null] = ACTIONS(4311),
    [sym_undefined] = ACTIONS(4311),
    [anon_sym_AT] = ACTIONS(4313),
    [anon_sym_static] = ACTIONS(4311),
    [anon_sym_readonly] = ACTIONS(4311),
    [anon_sym_get] = ACTIONS(4311),
    [anon_sym_set] = ACTIONS(4311),
    [anon_sym_declare] = ACTIONS(4311),
    [anon_sym_public] = ACTIONS(4311),
    [anon_sym_private] = ACTIONS(4311),
    [anon_sym_protected] = ACTIONS(4311),
    [anon_sym_override] = ACTIONS(4311),
    [anon_sym_module] = ACTIONS(4311),
    [anon_sym_any] = ACTIONS(4311),
    [anon_sym_number] = ACTIONS(4311),
    [anon_sym_boolean] = ACTIONS(4311),
    [anon_sym_string] = ACTIONS(4311),
    [anon_sym_symbol] = ACTIONS(4311),
    [anon_sym_object] = ACTIONS(4311),
    [anon_sym_property] = ACTIONS(4311),
    [anon_sym_signal] = ACTIONS(4311),
    [anon_sym_on] = ACTIONS(4311),
    [anon_sym_required] = ACTIONS(4311),
    [anon_sym_component] = ACTIONS(4311),
    [sym_html_comment] = ACTIONS(5),
  },
  [2016] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(2016),
    [sym_formal_parameters] = STATE(8613),
    [sym_nested_type_identifier] = STATE(2776),
    [sym__type] = STATE(2841),
    [sym_constructor_type] = STATE(2797),
    [sym__primary_type] = STATE(2798),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(2797),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2799),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(8175),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(2797),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(2797),
    [sym_identifier] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(4243),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4307),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(4259),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(4263),
    [anon_sym_infer] = ACTIONS(4267),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [2017] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(2017),
    [sym_formal_parameters] = STATE(8375),
    [sym_nested_type_identifier] = STATE(3225),
    [sym__type] = STATE(3395),
    [sym_constructor_type] = STATE(3351),
    [sym__primary_type] = STATE(3350),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(3351),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3341),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(8097),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(3351),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(3351),
    [sym_identifier] = ACTIONS(4301),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4193),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(4199),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4303),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(4215),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(4219),
    [anon_sym_infer] = ACTIONS(4223),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [2018] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2018),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4597),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2019] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(2019),
    [sym_formal_parameters] = STATE(8375),
    [sym_nested_type_identifier] = STATE(3225),
    [sym__type] = STATE(3451),
    [sym_constructor_type] = STATE(3351),
    [sym__primary_type] = STATE(3350),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(3351),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3341),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(8097),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(3351),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(3351),
    [sym_identifier] = ACTIONS(4301),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4193),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(4199),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4303),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(4215),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(4219),
    [anon_sym_infer] = ACTIONS(4223),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [2020] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2020),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5775),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2021] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(2021),
    [sym_formal_parameters] = STATE(8375),
    [sym_nested_type_identifier] = STATE(3225),
    [sym__type] = STATE(3452),
    [sym_constructor_type] = STATE(3351),
    [sym__primary_type] = STATE(3350),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(3351),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3341),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(8097),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(3351),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(3351),
    [sym_identifier] = ACTIONS(4301),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4193),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(4199),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4303),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(4215),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(4219),
    [anon_sym_infer] = ACTIONS(4223),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [2022] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2022),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6185),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2023] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2023),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6186),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2024] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2024),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6202),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2025] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2025),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6299),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2026] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2026),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(5998),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2027] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(2027),
    [sym_formal_parameters] = STATE(8375),
    [sym_nested_type_identifier] = STATE(3225),
    [sym__type] = STATE(3316),
    [sym_constructor_type] = STATE(3351),
    [sym__primary_type] = STATE(3350),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(3351),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3341),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(8097),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(3351),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(3351),
    [sym_identifier] = ACTIONS(4301),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4193),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(4199),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4303),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(4215),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(4219),
    [anon_sym_infer] = ACTIONS(4223),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [2028] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2028),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6385),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2029] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2029),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6353),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2030] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2030),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6288),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2031] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(2031),
    [sym_formal_parameters] = STATE(8613),
    [sym_nested_type_identifier] = STATE(2776),
    [sym__type] = STATE(2887),
    [sym_constructor_type] = STATE(2797),
    [sym__primary_type] = STATE(2798),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(2797),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2799),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(8175),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(2797),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(2797),
    [sym_identifier] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(4243),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4307),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(4259),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(4263),
    [anon_sym_infer] = ACTIONS(4267),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [2032] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2032),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6322),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2033] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2033),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6074),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2034] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2034),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4609),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2035] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(2035),
    [sym_formal_parameters] = STATE(8375),
    [sym_nested_type_identifier] = STATE(3225),
    [sym__type] = STATE(3479),
    [sym_constructor_type] = STATE(3351),
    [sym__primary_type] = STATE(3350),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(3351),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3341),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(8097),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(3351),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(3351),
    [sym_identifier] = ACTIONS(4301),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4193),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(4199),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4303),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(4215),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(4219),
    [anon_sym_infer] = ACTIONS(4223),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [2036] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2036),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4687),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2037] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2037),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6384),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2038] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2038),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6386),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2039] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2039),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6411),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2040] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2040),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6292),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2041] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2041),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6308),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2042] = {
    [sym_nested_identifier] = STATE(8476),
    [sym_string] = STATE(5140),
    [sym_comment] = STATE(2042),
    [sym_formal_parameters] = STATE(8243),
    [sym_nested_type_identifier] = STATE(4881),
    [sym__type] = STATE(5008),
    [sym_constructor_type] = STATE(5146),
    [sym__primary_type] = STATE(5150),
    [sym_template_literal_type] = STATE(5151),
    [sym_infer_type] = STATE(5146),
    [sym_conditional_type] = STATE(5151),
    [sym_generic_type] = STATE(5151),
    [sym_type_query] = STATE(5151),
    [sym_index_type_query] = STATE(5151),
    [sym_lookup_type] = STATE(5151),
    [sym_literal_type] = STATE(5151),
    [sym__number] = STATE(4991),
    [sym_existential_type] = STATE(5151),
    [sym_flow_maybe_type] = STATE(5151),
    [sym_parenthesized_type] = STATE(5151),
    [sym_predefined_type] = STATE(5151),
    [sym_object_type] = STATE(5151),
    [sym_type_parameters] = STATE(8059),
    [sym_array_type] = STATE(5151),
    [sym_tuple_type] = STATE(5151),
    [sym_readonly_type] = STATE(5146),
    [sym_union_type] = STATE(5151),
    [sym_intersection_type] = STATE(5151),
    [sym_function_type] = STATE(5146),
    [sym_identifier] = ACTIONS(4316),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4026),
    [anon_sym_typeof] = ACTIONS(4028),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(4036),
    [anon_sym_SQUOTE] = ACTIONS(4038),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4048),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4050),
    [sym_number] = ACTIONS(4052),
    [sym_this] = ACTIONS(4318),
    [sym_true] = ACTIONS(4052),
    [sym_false] = ACTIONS(4052),
    [sym_null] = ACTIONS(4052),
    [sym_undefined] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(4056),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_any] = ACTIONS(4048),
    [anon_sym_number] = ACTIONS(4048),
    [anon_sym_boolean] = ACTIONS(4048),
    [anon_sym_string] = ACTIONS(4048),
    [anon_sym_symbol] = ACTIONS(4048),
    [anon_sym_object] = ACTIONS(4048),
    [anon_sym_abstract] = ACTIONS(4060),
    [anon_sym_infer] = ACTIONS(4064),
    [anon_sym_keyof] = ACTIONS(4066),
    [anon_sym_unique] = ACTIONS(4068),
    [anon_sym_unknown] = ACTIONS(4048),
    [anon_sym_never] = ACTIONS(4048),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4026),
    [sym_html_comment] = ACTIONS(5),
  },
  [2043] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2043),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(7004),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4699),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2044] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(2044),
    [sym_formal_parameters] = STATE(8375),
    [sym_nested_type_identifier] = STATE(3225),
    [sym__type] = STATE(3480),
    [sym_constructor_type] = STATE(3351),
    [sym__primary_type] = STATE(3350),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(3351),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3341),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(8097),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(3351),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(3351),
    [sym_identifier] = ACTIONS(4301),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4193),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(4199),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4303),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(4215),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(4219),
    [anon_sym_infer] = ACTIONS(4223),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [2045] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2045),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4642),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2046] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2046),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6497),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2047] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2047),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6109),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2048] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2048),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4656),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2049] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2049),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(5209),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2050] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2050),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(5206),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2051] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2051),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6505),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2052] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2052),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6507),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2053] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2053),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(5204),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2054] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(2054),
    [sym_formal_parameters] = STATE(8613),
    [sym_nested_type_identifier] = STATE(2776),
    [sym__type] = STATE(2901),
    [sym_constructor_type] = STATE(2797),
    [sym__primary_type] = STATE(2798),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(2797),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2799),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(8175),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(2797),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(2797),
    [sym_identifier] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(4243),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4307),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(4259),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(4263),
    [anon_sym_infer] = ACTIONS(4267),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [2055] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2055),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4620),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2056] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2056),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(4905),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2057] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2057),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(4903),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2058] = {
    [sym_nested_identifier] = STATE(8476),
    [sym_string] = STATE(5140),
    [sym_comment] = STATE(2058),
    [sym_formal_parameters] = STATE(8243),
    [sym_nested_type_identifier] = STATE(4881),
    [sym__type] = STATE(5014),
    [sym_constructor_type] = STATE(5146),
    [sym__primary_type] = STATE(5150),
    [sym_template_literal_type] = STATE(5151),
    [sym_infer_type] = STATE(5146),
    [sym_conditional_type] = STATE(5151),
    [sym_generic_type] = STATE(5151),
    [sym_type_query] = STATE(5151),
    [sym_index_type_query] = STATE(5151),
    [sym_lookup_type] = STATE(5151),
    [sym_literal_type] = STATE(5151),
    [sym__number] = STATE(4991),
    [sym_existential_type] = STATE(5151),
    [sym_flow_maybe_type] = STATE(5151),
    [sym_parenthesized_type] = STATE(5151),
    [sym_predefined_type] = STATE(5151),
    [sym_object_type] = STATE(5151),
    [sym_type_parameters] = STATE(8059),
    [sym_array_type] = STATE(5151),
    [sym_tuple_type] = STATE(5151),
    [sym_readonly_type] = STATE(5146),
    [sym_union_type] = STATE(5151),
    [sym_intersection_type] = STATE(5151),
    [sym_function_type] = STATE(5146),
    [sym_identifier] = ACTIONS(4316),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4026),
    [anon_sym_typeof] = ACTIONS(4028),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(4036),
    [anon_sym_SQUOTE] = ACTIONS(4038),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4048),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4050),
    [sym_number] = ACTIONS(4052),
    [sym_this] = ACTIONS(4318),
    [sym_true] = ACTIONS(4052),
    [sym_false] = ACTIONS(4052),
    [sym_null] = ACTIONS(4052),
    [sym_undefined] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(4056),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_any] = ACTIONS(4048),
    [anon_sym_number] = ACTIONS(4048),
    [anon_sym_boolean] = ACTIONS(4048),
    [anon_sym_string] = ACTIONS(4048),
    [anon_sym_symbol] = ACTIONS(4048),
    [anon_sym_object] = ACTIONS(4048),
    [anon_sym_abstract] = ACTIONS(4060),
    [anon_sym_infer] = ACTIONS(4064),
    [anon_sym_keyof] = ACTIONS(4066),
    [anon_sym_unique] = ACTIONS(4068),
    [anon_sym_unknown] = ACTIONS(4048),
    [anon_sym_never] = ACTIONS(4048),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4026),
    [sym_html_comment] = ACTIONS(5),
  },
  [2059] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(2059),
    [sym_formal_parameters] = STATE(8375),
    [sym_nested_type_identifier] = STATE(3225),
    [sym__type] = STATE(3373),
    [sym_constructor_type] = STATE(3351),
    [sym__primary_type] = STATE(3350),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(3351),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3341),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(8097),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(3351),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(3351),
    [sym_identifier] = ACTIONS(4301),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4193),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(4199),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4303),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(4215),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(4219),
    [anon_sym_infer] = ACTIONS(4223),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [2060] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2060),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6124),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2061] = {
    [sym_nested_identifier] = STATE(8476),
    [sym_string] = STATE(5140),
    [sym_comment] = STATE(2061),
    [sym_formal_parameters] = STATE(8243),
    [sym_nested_type_identifier] = STATE(4881),
    [sym__type] = STATE(5016),
    [sym_constructor_type] = STATE(5146),
    [sym__primary_type] = STATE(5150),
    [sym_template_literal_type] = STATE(5151),
    [sym_infer_type] = STATE(5146),
    [sym_conditional_type] = STATE(5151),
    [sym_generic_type] = STATE(5151),
    [sym_type_query] = STATE(5151),
    [sym_index_type_query] = STATE(5151),
    [sym_lookup_type] = STATE(5151),
    [sym_literal_type] = STATE(5151),
    [sym__number] = STATE(4991),
    [sym_existential_type] = STATE(5151),
    [sym_flow_maybe_type] = STATE(5151),
    [sym_parenthesized_type] = STATE(5151),
    [sym_predefined_type] = STATE(5151),
    [sym_object_type] = STATE(5151),
    [sym_type_parameters] = STATE(8059),
    [sym_array_type] = STATE(5151),
    [sym_tuple_type] = STATE(5151),
    [sym_readonly_type] = STATE(5146),
    [sym_union_type] = STATE(5151),
    [sym_intersection_type] = STATE(5151),
    [sym_function_type] = STATE(5146),
    [sym_identifier] = ACTIONS(4316),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4026),
    [anon_sym_typeof] = ACTIONS(4028),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(4036),
    [anon_sym_SQUOTE] = ACTIONS(4038),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4048),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4050),
    [sym_number] = ACTIONS(4052),
    [sym_this] = ACTIONS(4318),
    [sym_true] = ACTIONS(4052),
    [sym_false] = ACTIONS(4052),
    [sym_null] = ACTIONS(4052),
    [sym_undefined] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(4056),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_any] = ACTIONS(4048),
    [anon_sym_number] = ACTIONS(4048),
    [anon_sym_boolean] = ACTIONS(4048),
    [anon_sym_string] = ACTIONS(4048),
    [anon_sym_symbol] = ACTIONS(4048),
    [anon_sym_object] = ACTIONS(4048),
    [anon_sym_abstract] = ACTIONS(4060),
    [anon_sym_infer] = ACTIONS(4064),
    [anon_sym_keyof] = ACTIONS(4066),
    [anon_sym_unique] = ACTIONS(4068),
    [anon_sym_unknown] = ACTIONS(4048),
    [anon_sym_never] = ACTIONS(4048),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4026),
    [sym_html_comment] = ACTIONS(5),
  },
  [2062] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2062),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6592),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2063] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2063),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4622),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2064] = {
    [sym_nested_identifier] = STATE(8476),
    [sym_string] = STATE(5140),
    [sym_comment] = STATE(2064),
    [sym_formal_parameters] = STATE(8243),
    [sym_nested_type_identifier] = STATE(4881),
    [sym__type] = STATE(4985),
    [sym_constructor_type] = STATE(5146),
    [sym__primary_type] = STATE(5150),
    [sym_template_literal_type] = STATE(5151),
    [sym_infer_type] = STATE(5146),
    [sym_conditional_type] = STATE(5151),
    [sym_generic_type] = STATE(5151),
    [sym_type_query] = STATE(5151),
    [sym_index_type_query] = STATE(5151),
    [sym_lookup_type] = STATE(5151),
    [sym_literal_type] = STATE(5151),
    [sym__number] = STATE(4991),
    [sym_existential_type] = STATE(5151),
    [sym_flow_maybe_type] = STATE(5151),
    [sym_parenthesized_type] = STATE(5151),
    [sym_predefined_type] = STATE(5151),
    [sym_object_type] = STATE(5151),
    [sym_type_parameters] = STATE(8059),
    [sym_array_type] = STATE(5151),
    [sym_tuple_type] = STATE(5151),
    [sym_readonly_type] = STATE(5146),
    [sym_union_type] = STATE(5151),
    [sym_intersection_type] = STATE(5151),
    [sym_function_type] = STATE(5146),
    [sym_identifier] = ACTIONS(4316),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4026),
    [anon_sym_typeof] = ACTIONS(4028),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(4036),
    [anon_sym_SQUOTE] = ACTIONS(4038),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4048),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4050),
    [sym_number] = ACTIONS(4052),
    [sym_this] = ACTIONS(4318),
    [sym_true] = ACTIONS(4052),
    [sym_false] = ACTIONS(4052),
    [sym_null] = ACTIONS(4052),
    [sym_undefined] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(4056),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_any] = ACTIONS(4048),
    [anon_sym_number] = ACTIONS(4048),
    [anon_sym_boolean] = ACTIONS(4048),
    [anon_sym_string] = ACTIONS(4048),
    [anon_sym_symbol] = ACTIONS(4048),
    [anon_sym_object] = ACTIONS(4048),
    [anon_sym_abstract] = ACTIONS(4060),
    [anon_sym_infer] = ACTIONS(4064),
    [anon_sym_keyof] = ACTIONS(4066),
    [anon_sym_unique] = ACTIONS(4068),
    [anon_sym_unknown] = ACTIONS(4048),
    [anon_sym_never] = ACTIONS(4048),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4026),
    [sym_html_comment] = ACTIONS(5),
  },
  [2065] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2065),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4623),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2066] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2066),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5747),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2067] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2067),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(4931),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2068] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2068),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6057),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2069] = {
    [sym_nested_identifier] = STATE(8476),
    [sym_string] = STATE(5140),
    [sym_comment] = STATE(2069),
    [sym_formal_parameters] = STATE(8243),
    [sym_nested_type_identifier] = STATE(4881),
    [sym__type] = STATE(4984),
    [sym_constructor_type] = STATE(5146),
    [sym__primary_type] = STATE(5150),
    [sym_template_literal_type] = STATE(5151),
    [sym_infer_type] = STATE(5146),
    [sym_conditional_type] = STATE(5151),
    [sym_generic_type] = STATE(5151),
    [sym_type_query] = STATE(5151),
    [sym_index_type_query] = STATE(5151),
    [sym_lookup_type] = STATE(5151),
    [sym_literal_type] = STATE(5151),
    [sym__number] = STATE(4991),
    [sym_existential_type] = STATE(5151),
    [sym_flow_maybe_type] = STATE(5151),
    [sym_parenthesized_type] = STATE(5151),
    [sym_predefined_type] = STATE(5151),
    [sym_object_type] = STATE(5151),
    [sym_type_parameters] = STATE(8059),
    [sym_array_type] = STATE(5151),
    [sym_tuple_type] = STATE(5151),
    [sym_readonly_type] = STATE(5146),
    [sym_union_type] = STATE(5151),
    [sym_intersection_type] = STATE(5151),
    [sym_function_type] = STATE(5146),
    [sym_identifier] = ACTIONS(4316),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4026),
    [anon_sym_typeof] = ACTIONS(4028),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(4036),
    [anon_sym_SQUOTE] = ACTIONS(4038),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4048),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4050),
    [sym_number] = ACTIONS(4052),
    [sym_this] = ACTIONS(4318),
    [sym_true] = ACTIONS(4052),
    [sym_false] = ACTIONS(4052),
    [sym_null] = ACTIONS(4052),
    [sym_undefined] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(4056),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_any] = ACTIONS(4048),
    [anon_sym_number] = ACTIONS(4048),
    [anon_sym_boolean] = ACTIONS(4048),
    [anon_sym_string] = ACTIONS(4048),
    [anon_sym_symbol] = ACTIONS(4048),
    [anon_sym_object] = ACTIONS(4048),
    [anon_sym_abstract] = ACTIONS(4060),
    [anon_sym_infer] = ACTIONS(4064),
    [anon_sym_keyof] = ACTIONS(4066),
    [anon_sym_unique] = ACTIONS(4068),
    [anon_sym_unknown] = ACTIONS(4048),
    [anon_sym_never] = ACTIONS(4048),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4026),
    [sym_html_comment] = ACTIONS(5),
  },
  [2070] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2070),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6051),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2071] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(2071),
    [sym_formal_parameters] = STATE(8613),
    [sym_nested_type_identifier] = STATE(2776),
    [sym__type] = STATE(2937),
    [sym_constructor_type] = STATE(2797),
    [sym__primary_type] = STATE(2798),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(2797),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2799),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(8175),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(2797),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(2797),
    [sym_identifier] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4320),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(4243),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4307),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(4259),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(4263),
    [anon_sym_infer] = ACTIONS(4267),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [2072] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2072),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6555),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2073] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2073),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(4923),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2074] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2074),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6428),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2075] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(2075),
    [sym_formal_parameters] = STATE(8375),
    [sym_nested_type_identifier] = STATE(3225),
    [sym__type] = STATE(3459),
    [sym_constructor_type] = STATE(3351),
    [sym__primary_type] = STATE(3350),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(3351),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3341),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(8097),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(3351),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(3351),
    [sym_identifier] = ACTIONS(4301),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4193),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(4199),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4303),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(4215),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(4219),
    [anon_sym_infer] = ACTIONS(4223),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [2076] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(2076),
    [sym_formal_parameters] = STATE(8375),
    [sym_nested_type_identifier] = STATE(3225),
    [sym__type] = STATE(3458),
    [sym_constructor_type] = STATE(3351),
    [sym__primary_type] = STATE(3350),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(3351),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3341),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(8097),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(3351),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(3351),
    [sym_identifier] = ACTIONS(4301),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4193),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(4199),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4303),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(4215),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(4219),
    [anon_sym_infer] = ACTIONS(4223),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [2077] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(2077),
    [sym_formal_parameters] = STATE(8375),
    [sym_nested_type_identifier] = STATE(3225),
    [sym__type] = STATE(3438),
    [sym_constructor_type] = STATE(3351),
    [sym__primary_type] = STATE(3350),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(3351),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3341),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(8097),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(3351),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(3351),
    [sym_identifier] = ACTIONS(4301),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4193),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(4199),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4303),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(4215),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(4219),
    [anon_sym_infer] = ACTIONS(4223),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [2078] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2078),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6465),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2079] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(2079),
    [sym_formal_parameters] = STATE(8375),
    [sym_nested_type_identifier] = STATE(3225),
    [sym__type] = STATE(3372),
    [sym_constructor_type] = STATE(3351),
    [sym__primary_type] = STATE(3350),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(3351),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3341),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(8097),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(3351),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(3351),
    [sym_identifier] = ACTIONS(4301),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4193),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(4199),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4303),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(4215),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(4219),
    [anon_sym_infer] = ACTIONS(4223),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [2080] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2080),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(4921),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2081] = {
    [sym_nested_identifier] = STATE(8476),
    [sym_string] = STATE(5140),
    [sym_comment] = STATE(2081),
    [sym_formal_parameters] = STATE(8243),
    [sym_nested_type_identifier] = STATE(4881),
    [sym__type] = STATE(5069),
    [sym_constructor_type] = STATE(5146),
    [sym__primary_type] = STATE(5150),
    [sym_template_literal_type] = STATE(5151),
    [sym_infer_type] = STATE(5146),
    [sym_conditional_type] = STATE(5151),
    [sym_generic_type] = STATE(5151),
    [sym_type_query] = STATE(5151),
    [sym_index_type_query] = STATE(5151),
    [sym_lookup_type] = STATE(5151),
    [sym_literal_type] = STATE(5151),
    [sym__number] = STATE(4991),
    [sym_existential_type] = STATE(5151),
    [sym_flow_maybe_type] = STATE(5151),
    [sym_parenthesized_type] = STATE(5151),
    [sym_predefined_type] = STATE(5151),
    [sym_object_type] = STATE(5151),
    [sym_type_parameters] = STATE(8059),
    [sym_array_type] = STATE(5151),
    [sym_tuple_type] = STATE(5151),
    [sym_readonly_type] = STATE(5146),
    [sym_union_type] = STATE(5151),
    [sym_intersection_type] = STATE(5151),
    [sym_function_type] = STATE(5146),
    [sym_identifier] = ACTIONS(4316),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4026),
    [anon_sym_typeof] = ACTIONS(4028),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(4036),
    [anon_sym_SQUOTE] = ACTIONS(4038),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4048),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4050),
    [sym_number] = ACTIONS(4052),
    [sym_this] = ACTIONS(4318),
    [sym_true] = ACTIONS(4052),
    [sym_false] = ACTIONS(4052),
    [sym_null] = ACTIONS(4052),
    [sym_undefined] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(4056),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_any] = ACTIONS(4048),
    [anon_sym_number] = ACTIONS(4048),
    [anon_sym_boolean] = ACTIONS(4048),
    [anon_sym_string] = ACTIONS(4048),
    [anon_sym_symbol] = ACTIONS(4048),
    [anon_sym_object] = ACTIONS(4048),
    [anon_sym_abstract] = ACTIONS(4060),
    [anon_sym_infer] = ACTIONS(4064),
    [anon_sym_keyof] = ACTIONS(4066),
    [anon_sym_unique] = ACTIONS(4068),
    [anon_sym_unknown] = ACTIONS(4048),
    [anon_sym_never] = ACTIONS(4048),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4026),
    [sym_html_comment] = ACTIONS(5),
  },
  [2082] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(2082),
    [sym_formal_parameters] = STATE(8613),
    [sym_nested_type_identifier] = STATE(2776),
    [sym__type] = STATE(2873),
    [sym_constructor_type] = STATE(2797),
    [sym__primary_type] = STATE(2798),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(2797),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2799),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(8175),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(2797),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(2797),
    [sym_identifier] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(4243),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4307),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(4259),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(4263),
    [anon_sym_infer] = ACTIONS(4267),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [2083] = {
    [sym_nested_identifier] = STATE(8476),
    [sym_string] = STATE(5140),
    [sym_comment] = STATE(2083),
    [sym_formal_parameters] = STATE(8243),
    [sym_nested_type_identifier] = STATE(4881),
    [sym__type] = STATE(5070),
    [sym_constructor_type] = STATE(5146),
    [sym__primary_type] = STATE(5150),
    [sym_template_literal_type] = STATE(5151),
    [sym_infer_type] = STATE(5146),
    [sym_conditional_type] = STATE(5151),
    [sym_generic_type] = STATE(5151),
    [sym_type_query] = STATE(5151),
    [sym_index_type_query] = STATE(5151),
    [sym_lookup_type] = STATE(5151),
    [sym_literal_type] = STATE(5151),
    [sym__number] = STATE(4991),
    [sym_existential_type] = STATE(5151),
    [sym_flow_maybe_type] = STATE(5151),
    [sym_parenthesized_type] = STATE(5151),
    [sym_predefined_type] = STATE(5151),
    [sym_object_type] = STATE(5151),
    [sym_type_parameters] = STATE(8059),
    [sym_array_type] = STATE(5151),
    [sym_tuple_type] = STATE(5151),
    [sym_readonly_type] = STATE(5146),
    [sym_union_type] = STATE(5151),
    [sym_intersection_type] = STATE(5151),
    [sym_function_type] = STATE(5146),
    [sym_identifier] = ACTIONS(4316),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4026),
    [anon_sym_typeof] = ACTIONS(4028),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(4036),
    [anon_sym_SQUOTE] = ACTIONS(4038),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4048),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4050),
    [sym_number] = ACTIONS(4052),
    [sym_this] = ACTIONS(4318),
    [sym_true] = ACTIONS(4052),
    [sym_false] = ACTIONS(4052),
    [sym_null] = ACTIONS(4052),
    [sym_undefined] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(4056),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_any] = ACTIONS(4048),
    [anon_sym_number] = ACTIONS(4048),
    [anon_sym_boolean] = ACTIONS(4048),
    [anon_sym_string] = ACTIONS(4048),
    [anon_sym_symbol] = ACTIONS(4048),
    [anon_sym_object] = ACTIONS(4048),
    [anon_sym_abstract] = ACTIONS(4060),
    [anon_sym_infer] = ACTIONS(4064),
    [anon_sym_keyof] = ACTIONS(4066),
    [anon_sym_unique] = ACTIONS(4068),
    [anon_sym_unknown] = ACTIONS(4048),
    [anon_sym_never] = ACTIONS(4048),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4026),
    [sym_html_comment] = ACTIONS(5),
  },
  [2084] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(2084),
    [sym_formal_parameters] = STATE(8375),
    [sym_nested_type_identifier] = STATE(3225),
    [sym__type] = STATE(3320),
    [sym_constructor_type] = STATE(3351),
    [sym__primary_type] = STATE(3350),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(3351),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3341),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(8097),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(3351),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(3351),
    [sym_identifier] = ACTIONS(4301),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4193),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(4199),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4303),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(4215),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(4219),
    [anon_sym_infer] = ACTIONS(4223),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [2085] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2085),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6326),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2086] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2086),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6008),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2087] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2087),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6002),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2088] = {
    [sym_nested_identifier] = STATE(8476),
    [sym_string] = STATE(5140),
    [sym_comment] = STATE(2088),
    [sym_formal_parameters] = STATE(8243),
    [sym_nested_type_identifier] = STATE(4881),
    [sym__type] = STATE(5125),
    [sym_constructor_type] = STATE(5146),
    [sym__primary_type] = STATE(5150),
    [sym_template_literal_type] = STATE(5151),
    [sym_infer_type] = STATE(5146),
    [sym_conditional_type] = STATE(5151),
    [sym_generic_type] = STATE(5151),
    [sym_type_query] = STATE(5151),
    [sym_index_type_query] = STATE(5151),
    [sym_lookup_type] = STATE(5151),
    [sym_literal_type] = STATE(5151),
    [sym__number] = STATE(4991),
    [sym_existential_type] = STATE(5151),
    [sym_flow_maybe_type] = STATE(5151),
    [sym_parenthesized_type] = STATE(5151),
    [sym_predefined_type] = STATE(5151),
    [sym_object_type] = STATE(5151),
    [sym_type_parameters] = STATE(8059),
    [sym_array_type] = STATE(5151),
    [sym_tuple_type] = STATE(5151),
    [sym_readonly_type] = STATE(5146),
    [sym_union_type] = STATE(5151),
    [sym_intersection_type] = STATE(5151),
    [sym_function_type] = STATE(5146),
    [sym_identifier] = ACTIONS(4316),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4026),
    [anon_sym_typeof] = ACTIONS(4028),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(4036),
    [anon_sym_SQUOTE] = ACTIONS(4038),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4048),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4050),
    [sym_number] = ACTIONS(4052),
    [sym_this] = ACTIONS(4318),
    [sym_true] = ACTIONS(4052),
    [sym_false] = ACTIONS(4052),
    [sym_null] = ACTIONS(4052),
    [sym_undefined] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(4056),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_any] = ACTIONS(4048),
    [anon_sym_number] = ACTIONS(4048),
    [anon_sym_boolean] = ACTIONS(4048),
    [anon_sym_string] = ACTIONS(4048),
    [anon_sym_symbol] = ACTIONS(4048),
    [anon_sym_object] = ACTIONS(4048),
    [anon_sym_abstract] = ACTIONS(4060),
    [anon_sym_infer] = ACTIONS(4064),
    [anon_sym_keyof] = ACTIONS(4066),
    [anon_sym_unique] = ACTIONS(4068),
    [anon_sym_unknown] = ACTIONS(4048),
    [anon_sym_never] = ACTIONS(4048),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4026),
    [sym_html_comment] = ACTIONS(5),
  },
  [2089] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2089),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(7004),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(5881),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(6553),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2090] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2090),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5863),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2091] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2091),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5719),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2092] = {
    [sym_nested_identifier] = STATE(8476),
    [sym_string] = STATE(5140),
    [sym_comment] = STATE(2092),
    [sym_formal_parameters] = STATE(8243),
    [sym_nested_type_identifier] = STATE(4881),
    [sym__type] = STATE(5147),
    [sym_constructor_type] = STATE(5146),
    [sym__primary_type] = STATE(5150),
    [sym_template_literal_type] = STATE(5151),
    [sym_infer_type] = STATE(5146),
    [sym_conditional_type] = STATE(5151),
    [sym_generic_type] = STATE(5151),
    [sym_type_query] = STATE(5151),
    [sym_index_type_query] = STATE(5151),
    [sym_lookup_type] = STATE(5151),
    [sym_literal_type] = STATE(5151),
    [sym__number] = STATE(4991),
    [sym_existential_type] = STATE(5151),
    [sym_flow_maybe_type] = STATE(5151),
    [sym_parenthesized_type] = STATE(5151),
    [sym_predefined_type] = STATE(5151),
    [sym_object_type] = STATE(5151),
    [sym_type_parameters] = STATE(8059),
    [sym_array_type] = STATE(5151),
    [sym_tuple_type] = STATE(5151),
    [sym_readonly_type] = STATE(5146),
    [sym_union_type] = STATE(5151),
    [sym_intersection_type] = STATE(5151),
    [sym_function_type] = STATE(5146),
    [sym_identifier] = ACTIONS(4316),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4026),
    [anon_sym_typeof] = ACTIONS(4028),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(4036),
    [anon_sym_SQUOTE] = ACTIONS(4038),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4048),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4050),
    [sym_number] = ACTIONS(4052),
    [sym_this] = ACTIONS(4318),
    [sym_true] = ACTIONS(4052),
    [sym_false] = ACTIONS(4052),
    [sym_null] = ACTIONS(4052),
    [sym_undefined] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(4056),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_any] = ACTIONS(4048),
    [anon_sym_number] = ACTIONS(4048),
    [anon_sym_boolean] = ACTIONS(4048),
    [anon_sym_string] = ACTIONS(4048),
    [anon_sym_symbol] = ACTIONS(4048),
    [anon_sym_object] = ACTIONS(4048),
    [anon_sym_abstract] = ACTIONS(4060),
    [anon_sym_infer] = ACTIONS(4064),
    [anon_sym_keyof] = ACTIONS(4066),
    [anon_sym_unique] = ACTIONS(4068),
    [anon_sym_unknown] = ACTIONS(4048),
    [anon_sym_never] = ACTIONS(4048),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4026),
    [sym_html_comment] = ACTIONS(5),
  },
  [2093] = {
    [sym_nested_identifier] = STATE(8476),
    [sym_string] = STATE(5140),
    [sym_comment] = STATE(2093),
    [sym_formal_parameters] = STATE(8243),
    [sym_nested_type_identifier] = STATE(4881),
    [sym__type] = STATE(5168),
    [sym_constructor_type] = STATE(5146),
    [sym__primary_type] = STATE(5150),
    [sym_template_literal_type] = STATE(5151),
    [sym_infer_type] = STATE(5146),
    [sym_conditional_type] = STATE(5151),
    [sym_generic_type] = STATE(5151),
    [sym_type_query] = STATE(5151),
    [sym_index_type_query] = STATE(5151),
    [sym_lookup_type] = STATE(5151),
    [sym_literal_type] = STATE(5151),
    [sym__number] = STATE(4991),
    [sym_existential_type] = STATE(5151),
    [sym_flow_maybe_type] = STATE(5151),
    [sym_parenthesized_type] = STATE(5151),
    [sym_predefined_type] = STATE(5151),
    [sym_object_type] = STATE(5151),
    [sym_type_parameters] = STATE(8059),
    [sym_array_type] = STATE(5151),
    [sym_tuple_type] = STATE(5151),
    [sym_readonly_type] = STATE(5146),
    [sym_union_type] = STATE(5151),
    [sym_intersection_type] = STATE(5151),
    [sym_function_type] = STATE(5146),
    [sym_identifier] = ACTIONS(4316),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4026),
    [anon_sym_typeof] = ACTIONS(4028),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(4036),
    [anon_sym_SQUOTE] = ACTIONS(4038),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4048),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4050),
    [sym_number] = ACTIONS(4052),
    [sym_this] = ACTIONS(4318),
    [sym_true] = ACTIONS(4052),
    [sym_false] = ACTIONS(4052),
    [sym_null] = ACTIONS(4052),
    [sym_undefined] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(4056),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_any] = ACTIONS(4048),
    [anon_sym_number] = ACTIONS(4048),
    [anon_sym_boolean] = ACTIONS(4048),
    [anon_sym_string] = ACTIONS(4048),
    [anon_sym_symbol] = ACTIONS(4048),
    [anon_sym_object] = ACTIONS(4048),
    [anon_sym_abstract] = ACTIONS(4060),
    [anon_sym_infer] = ACTIONS(4064),
    [anon_sym_keyof] = ACTIONS(4066),
    [anon_sym_unique] = ACTIONS(4068),
    [anon_sym_unknown] = ACTIONS(4048),
    [anon_sym_never] = ACTIONS(4048),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4026),
    [sym_html_comment] = ACTIONS(5),
  },
  [2094] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2094),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(5973),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2095] = {
    [sym_comment] = STATE(2095),
    [sym_decorator] = STATE(2157),
    [aux_sym_export_statement_repeat1] = STATE(2015),
    [sym_identifier] = ACTIONS(4311),
    [anon_sym_export] = ACTIONS(4311),
    [anon_sym_type] = ACTIONS(4311),
    [anon_sym_namespace] = ACTIONS(4311),
    [anon_sym_LBRACE] = ACTIONS(4311),
    [anon_sym_typeof] = ACTIONS(4311),
    [anon_sym_import] = ACTIONS(4311),
    [anon_sym_from] = ACTIONS(4311),
    [anon_sym_let] = ACTIONS(4311),
    [anon_sym_BANG] = ACTIONS(4311),
    [anon_sym_LPAREN] = ACTIONS(4311),
    [anon_sym_await] = ACTIONS(4311),
    [anon_sym_of] = ACTIONS(4311),
    [anon_sym_yield] = ACTIONS(4311),
    [anon_sym_LBRACK] = ACTIONS(4311),
    [anon_sym_LTtemplate_GT] = ACTIONS(4311),
    [anon_sym_DQUOTE] = ACTIONS(4311),
    [anon_sym_SQUOTE] = ACTIONS(4311),
    [anon_sym_class] = ACTIONS(4322),
    [anon_sym_async] = ACTIONS(4311),
    [anon_sym_function] = ACTIONS(4311),
    [anon_sym_new] = ACTIONS(4311),
    [anon_sym_using] = ACTIONS(4311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4311),
    [anon_sym_PLUS] = ACTIONS(4311),
    [anon_sym_DASH] = ACTIONS(4311),
    [anon_sym_SLASH] = ACTIONS(4311),
    [anon_sym_LT] = ACTIONS(4311),
    [anon_sym_TILDE] = ACTIONS(4311),
    [anon_sym_void] = ACTIONS(4311),
    [anon_sym_delete] = ACTIONS(4311),
    [anon_sym_PLUS_PLUS] = ACTIONS(4311),
    [anon_sym_DASH_DASH] = ACTIONS(4311),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4311),
    [sym_number] = ACTIONS(4311),
    [sym_private_property_identifier] = ACTIONS(4311),
    [sym_this] = ACTIONS(4311),
    [sym_super] = ACTIONS(4311),
    [sym_true] = ACTIONS(4311),
    [sym_false] = ACTIONS(4311),
    [sym_null] = ACTIONS(4311),
    [sym_undefined] = ACTIONS(4311),
    [anon_sym_AT] = ACTIONS(4313),
    [anon_sym_static] = ACTIONS(4311),
    [anon_sym_readonly] = ACTIONS(4311),
    [anon_sym_get] = ACTIONS(4311),
    [anon_sym_set] = ACTIONS(4311),
    [anon_sym_declare] = ACTIONS(4311),
    [anon_sym_public] = ACTIONS(4311),
    [anon_sym_private] = ACTIONS(4311),
    [anon_sym_protected] = ACTIONS(4311),
    [anon_sym_override] = ACTIONS(4311),
    [anon_sym_module] = ACTIONS(4311),
    [anon_sym_any] = ACTIONS(4311),
    [anon_sym_number] = ACTIONS(4311),
    [anon_sym_boolean] = ACTIONS(4311),
    [anon_sym_string] = ACTIONS(4311),
    [anon_sym_symbol] = ACTIONS(4311),
    [anon_sym_object] = ACTIONS(4311),
    [anon_sym_property] = ACTIONS(4311),
    [anon_sym_signal] = ACTIONS(4311),
    [anon_sym_on] = ACTIONS(4311),
    [anon_sym_required] = ACTIONS(4311),
    [anon_sym_component] = ACTIONS(4311),
    [sym_html_comment] = ACTIONS(5),
  },
  [2096] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2096),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(7004),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4631),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2097] = {
    [sym_nested_identifier] = STATE(8476),
    [sym_string] = STATE(5140),
    [sym_comment] = STATE(2097),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4881),
    [sym__type] = STATE(7017),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(5175),
    [sym_template_literal_type] = STATE(5151),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(5151),
    [sym_generic_type] = STATE(5151),
    [sym_type_query] = STATE(5151),
    [sym_index_type_query] = STATE(5151),
    [sym_lookup_type] = STATE(5151),
    [sym_literal_type] = STATE(5151),
    [sym__number] = STATE(4991),
    [sym_existential_type] = STATE(5151),
    [sym_flow_maybe_type] = STATE(5151),
    [sym_parenthesized_type] = STATE(5151),
    [sym_predefined_type] = STATE(5151),
    [sym_object_type] = STATE(5151),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(5151),
    [sym_tuple_type] = STATE(5151),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(5151),
    [sym_intersection_type] = STATE(5151),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(4316),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4026),
    [anon_sym_typeof] = ACTIONS(4028),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(4036),
    [anon_sym_SQUOTE] = ACTIONS(4038),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4048),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4050),
    [sym_number] = ACTIONS(4052),
    [sym_this] = ACTIONS(4318),
    [sym_true] = ACTIONS(4052),
    [sym_false] = ACTIONS(4052),
    [sym_null] = ACTIONS(4052),
    [sym_undefined] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_any] = ACTIONS(4048),
    [anon_sym_number] = ACTIONS(4048),
    [anon_sym_boolean] = ACTIONS(4048),
    [anon_sym_string] = ACTIONS(4048),
    [anon_sym_symbol] = ACTIONS(4048),
    [anon_sym_object] = ACTIONS(4048),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(4066),
    [anon_sym_unique] = ACTIONS(4068),
    [anon_sym_unknown] = ACTIONS(4048),
    [anon_sym_never] = ACTIONS(4048),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4026),
    [sym_html_comment] = ACTIONS(5),
  },
  [2098] = {
    [sym_nested_identifier] = STATE(8476),
    [sym_string] = STATE(5140),
    [sym_comment] = STATE(2098),
    [sym_formal_parameters] = STATE(8243),
    [sym_nested_type_identifier] = STATE(4881),
    [sym__type] = STATE(5067),
    [sym_constructor_type] = STATE(5146),
    [sym__primary_type] = STATE(5150),
    [sym_template_literal_type] = STATE(5151),
    [sym_infer_type] = STATE(5146),
    [sym_conditional_type] = STATE(5151),
    [sym_generic_type] = STATE(5151),
    [sym_type_query] = STATE(5151),
    [sym_index_type_query] = STATE(5151),
    [sym_lookup_type] = STATE(5151),
    [sym_literal_type] = STATE(5151),
    [sym__number] = STATE(4991),
    [sym_existential_type] = STATE(5151),
    [sym_flow_maybe_type] = STATE(5151),
    [sym_parenthesized_type] = STATE(5151),
    [sym_predefined_type] = STATE(5151),
    [sym_object_type] = STATE(5151),
    [sym_type_parameters] = STATE(8059),
    [sym_array_type] = STATE(5151),
    [sym_tuple_type] = STATE(5151),
    [sym_readonly_type] = STATE(5146),
    [sym_union_type] = STATE(5151),
    [sym_intersection_type] = STATE(5151),
    [sym_function_type] = STATE(5146),
    [sym_identifier] = ACTIONS(4316),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4026),
    [anon_sym_typeof] = ACTIONS(4028),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(4036),
    [anon_sym_SQUOTE] = ACTIONS(4038),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4048),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4050),
    [sym_number] = ACTIONS(4052),
    [sym_this] = ACTIONS(4318),
    [sym_true] = ACTIONS(4052),
    [sym_false] = ACTIONS(4052),
    [sym_null] = ACTIONS(4052),
    [sym_undefined] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(4056),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_any] = ACTIONS(4048),
    [anon_sym_number] = ACTIONS(4048),
    [anon_sym_boolean] = ACTIONS(4048),
    [anon_sym_string] = ACTIONS(4048),
    [anon_sym_symbol] = ACTIONS(4048),
    [anon_sym_object] = ACTIONS(4048),
    [anon_sym_abstract] = ACTIONS(4060),
    [anon_sym_infer] = ACTIONS(4064),
    [anon_sym_keyof] = ACTIONS(4066),
    [anon_sym_unique] = ACTIONS(4068),
    [anon_sym_unknown] = ACTIONS(4048),
    [anon_sym_never] = ACTIONS(4048),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4026),
    [sym_html_comment] = ACTIONS(5),
  },
  [2099] = {
    [sym_nested_identifier] = STATE(8476),
    [sym_string] = STATE(5140),
    [sym_comment] = STATE(2099),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4881),
    [sym__type] = STATE(7017),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(5177),
    [sym_template_literal_type] = STATE(5151),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(5151),
    [sym_generic_type] = STATE(5151),
    [sym_type_query] = STATE(5151),
    [sym_index_type_query] = STATE(5151),
    [sym_lookup_type] = STATE(5151),
    [sym_literal_type] = STATE(5151),
    [sym__number] = STATE(4991),
    [sym_existential_type] = STATE(5151),
    [sym_flow_maybe_type] = STATE(5151),
    [sym_parenthesized_type] = STATE(5151),
    [sym_predefined_type] = STATE(5151),
    [sym_object_type] = STATE(5151),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(5151),
    [sym_tuple_type] = STATE(5151),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(5151),
    [sym_intersection_type] = STATE(5151),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(4316),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4026),
    [anon_sym_typeof] = ACTIONS(4028),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(4036),
    [anon_sym_SQUOTE] = ACTIONS(4038),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4048),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4050),
    [sym_number] = ACTIONS(4052),
    [sym_this] = ACTIONS(4318),
    [sym_true] = ACTIONS(4052),
    [sym_false] = ACTIONS(4052),
    [sym_null] = ACTIONS(4052),
    [sym_undefined] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_any] = ACTIONS(4048),
    [anon_sym_number] = ACTIONS(4048),
    [anon_sym_boolean] = ACTIONS(4048),
    [anon_sym_string] = ACTIONS(4048),
    [anon_sym_symbol] = ACTIONS(4048),
    [anon_sym_object] = ACTIONS(4048),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(4066),
    [anon_sym_unique] = ACTIONS(4068),
    [anon_sym_unknown] = ACTIONS(4048),
    [anon_sym_never] = ACTIONS(4048),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4026),
    [sym_html_comment] = ACTIONS(5),
  },
  [2100] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(2100),
    [sym_formal_parameters] = STATE(8613),
    [sym_nested_type_identifier] = STATE(2776),
    [sym__type] = STATE(2865),
    [sym_constructor_type] = STATE(2797),
    [sym__primary_type] = STATE(2798),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(2797),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2799),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(8175),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(2797),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(2797),
    [sym_identifier] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(4243),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4307),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(4259),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(4263),
    [anon_sym_infer] = ACTIONS(4267),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [2101] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2101),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(4906),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2102] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(2102),
    [sym_formal_parameters] = STATE(8613),
    [sym_nested_type_identifier] = STATE(2776),
    [sym__type] = STATE(2935),
    [sym_constructor_type] = STATE(2797),
    [sym__primary_type] = STATE(2798),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(2797),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2799),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(8175),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(2797),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(2797),
    [sym_identifier] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(4243),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4307),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(4259),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(4263),
    [anon_sym_infer] = ACTIONS(4267),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [2103] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2103),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(5627),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2104] = {
    [sym_comment] = STATE(2104),
    [sym_arguments] = STATE(2155),
    [sym_identifier] = ACTIONS(4325),
    [anon_sym_export] = ACTIONS(4325),
    [anon_sym_type] = ACTIONS(4325),
    [anon_sym_namespace] = ACTIONS(4325),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_typeof] = ACTIONS(4325),
    [anon_sym_import] = ACTIONS(4325),
    [anon_sym_from] = ACTIONS(4325),
    [anon_sym_let] = ACTIONS(4325),
    [anon_sym_BANG] = ACTIONS(4325),
    [anon_sym_LPAREN] = ACTIONS(4327),
    [anon_sym_await] = ACTIONS(4325),
    [anon_sym_of] = ACTIONS(4325),
    [anon_sym_yield] = ACTIONS(4325),
    [anon_sym_LBRACK] = ACTIONS(4325),
    [anon_sym_LTtemplate_GT] = ACTIONS(4325),
    [anon_sym_DOT] = ACTIONS(4329),
    [anon_sym_DQUOTE] = ACTIONS(4325),
    [anon_sym_SQUOTE] = ACTIONS(4325),
    [anon_sym_class] = ACTIONS(4325),
    [anon_sym_async] = ACTIONS(4325),
    [anon_sym_function] = ACTIONS(4325),
    [anon_sym_new] = ACTIONS(4325),
    [anon_sym_using] = ACTIONS(4325),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4325),
    [anon_sym_PLUS] = ACTIONS(4325),
    [anon_sym_DASH] = ACTIONS(4325),
    [anon_sym_SLASH] = ACTIONS(4325),
    [anon_sym_LT] = ACTIONS(4325),
    [anon_sym_TILDE] = ACTIONS(4325),
    [anon_sym_void] = ACTIONS(4325),
    [anon_sym_delete] = ACTIONS(4325),
    [anon_sym_PLUS_PLUS] = ACTIONS(4325),
    [anon_sym_DASH_DASH] = ACTIONS(4325),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4325),
    [sym_number] = ACTIONS(4325),
    [sym_private_property_identifier] = ACTIONS(4325),
    [sym_this] = ACTIONS(4325),
    [sym_super] = ACTIONS(4325),
    [sym_true] = ACTIONS(4325),
    [sym_false] = ACTIONS(4325),
    [sym_null] = ACTIONS(4325),
    [sym_undefined] = ACTIONS(4325),
    [anon_sym_AT] = ACTIONS(4325),
    [anon_sym_static] = ACTIONS(4325),
    [anon_sym_readonly] = ACTIONS(4325),
    [anon_sym_get] = ACTIONS(4325),
    [anon_sym_set] = ACTIONS(4325),
    [anon_sym_declare] = ACTIONS(4325),
    [anon_sym_public] = ACTIONS(4325),
    [anon_sym_private] = ACTIONS(4325),
    [anon_sym_protected] = ACTIONS(4325),
    [anon_sym_override] = ACTIONS(4325),
    [anon_sym_module] = ACTIONS(4325),
    [anon_sym_any] = ACTIONS(4325),
    [anon_sym_number] = ACTIONS(4325),
    [anon_sym_boolean] = ACTIONS(4325),
    [anon_sym_string] = ACTIONS(4325),
    [anon_sym_symbol] = ACTIONS(4325),
    [anon_sym_object] = ACTIONS(4325),
    [anon_sym_property] = ACTIONS(4325),
    [anon_sym_signal] = ACTIONS(4325),
    [anon_sym_on] = ACTIONS(4325),
    [anon_sym_required] = ACTIONS(4325),
    [anon_sym_component] = ACTIONS(4325),
    [sym_html_comment] = ACTIONS(5),
  },
  [2105] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(2105),
    [sym_formal_parameters] = STATE(8613),
    [sym_nested_type_identifier] = STATE(2776),
    [sym__type] = STATE(2903),
    [sym_constructor_type] = STATE(2797),
    [sym__primary_type] = STATE(2798),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(2797),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2799),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(8175),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(2797),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(2797),
    [sym_identifier] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(4243),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4307),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(4259),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(4263),
    [anon_sym_infer] = ACTIONS(4267),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [2106] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(2106),
    [sym_formal_parameters] = STATE(8613),
    [sym_nested_type_identifier] = STATE(2776),
    [sym__type] = STATE(2886),
    [sym_constructor_type] = STATE(2797),
    [sym__primary_type] = STATE(2798),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(2797),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2799),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(8175),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(2797),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(2797),
    [sym_identifier] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(4243),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4307),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(4259),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(4263),
    [anon_sym_infer] = ACTIONS(4267),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [2107] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2107),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(5743),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2108] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2108),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(4870),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2109] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2109),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(6013),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2110] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2110),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(5953),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2111] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2111),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4611),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2112] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2112),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4599),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2113] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2113),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6571),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2114] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2114),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(4912),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2115] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2115),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(7123),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4928),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2116] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(2116),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(2776),
    [sym__type] = STATE(6731),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(2814),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2799),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4307),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [2117] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2117),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4694),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2118] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(2118),
    [sym_formal_parameters] = STATE(8613),
    [sym_nested_type_identifier] = STATE(2776),
    [sym__type] = STATE(2872),
    [sym_constructor_type] = STATE(2797),
    [sym__primary_type] = STATE(2798),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(2797),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2799),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(8175),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(2797),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(2797),
    [sym_identifier] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(4243),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4307),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(4259),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(4263),
    [anon_sym_infer] = ACTIONS(4267),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [2119] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2119),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(7123),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4930),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2120] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2120),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6524),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2121] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2121),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(5933),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2122] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2122),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(4888),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2123] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2123),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(4890),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2124] = {
    [sym_nested_identifier] = STATE(8476),
    [sym_string] = STATE(5140),
    [sym_comment] = STATE(2124),
    [sym_formal_parameters] = STATE(8243),
    [sym_nested_type_identifier] = STATE(4881),
    [sym__type] = STATE(5166),
    [sym_constructor_type] = STATE(5146),
    [sym__primary_type] = STATE(5150),
    [sym_template_literal_type] = STATE(5151),
    [sym_infer_type] = STATE(5146),
    [sym_conditional_type] = STATE(5151),
    [sym_generic_type] = STATE(5151),
    [sym_type_query] = STATE(5151),
    [sym_index_type_query] = STATE(5151),
    [sym_lookup_type] = STATE(5151),
    [sym_literal_type] = STATE(5151),
    [sym__number] = STATE(4991),
    [sym_existential_type] = STATE(5151),
    [sym_flow_maybe_type] = STATE(5151),
    [sym_parenthesized_type] = STATE(5151),
    [sym_predefined_type] = STATE(5151),
    [sym_object_type] = STATE(5151),
    [sym_type_parameters] = STATE(8059),
    [sym_array_type] = STATE(5151),
    [sym_tuple_type] = STATE(5151),
    [sym_readonly_type] = STATE(5146),
    [sym_union_type] = STATE(5151),
    [sym_intersection_type] = STATE(5151),
    [sym_function_type] = STATE(5146),
    [sym_identifier] = ACTIONS(4316),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4026),
    [anon_sym_typeof] = ACTIONS(4028),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(4036),
    [anon_sym_SQUOTE] = ACTIONS(4038),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4048),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4050),
    [sym_number] = ACTIONS(4052),
    [sym_this] = ACTIONS(4318),
    [sym_true] = ACTIONS(4052),
    [sym_false] = ACTIONS(4052),
    [sym_null] = ACTIONS(4052),
    [sym_undefined] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(4056),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_any] = ACTIONS(4048),
    [anon_sym_number] = ACTIONS(4048),
    [anon_sym_boolean] = ACTIONS(4048),
    [anon_sym_string] = ACTIONS(4048),
    [anon_sym_symbol] = ACTIONS(4048),
    [anon_sym_object] = ACTIONS(4048),
    [anon_sym_abstract] = ACTIONS(4060),
    [anon_sym_infer] = ACTIONS(4064),
    [anon_sym_keyof] = ACTIONS(4066),
    [anon_sym_unique] = ACTIONS(4068),
    [anon_sym_unknown] = ACTIONS(4048),
    [anon_sym_never] = ACTIONS(4048),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4026),
    [sym_html_comment] = ACTIONS(5),
  },
  [2125] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(2125),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(2776),
    [sym__type] = STATE(6731),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(2812),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2799),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4307),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [2126] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(2126),
    [sym_formal_parameters] = STATE(8613),
    [sym_nested_type_identifier] = STATE(2776),
    [sym__type] = STATE(2866),
    [sym_constructor_type] = STATE(2797),
    [sym__primary_type] = STATE(2798),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(2797),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2799),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(8175),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(2797),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(2797),
    [sym_identifier] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(4243),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4307),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(4259),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(4263),
    [anon_sym_infer] = ACTIONS(4267),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [2127] = {
    [sym_nested_identifier] = STATE(8476),
    [sym_string] = STATE(5140),
    [sym_comment] = STATE(2127),
    [sym_formal_parameters] = STATE(8243),
    [sym_nested_type_identifier] = STATE(4881),
    [sym__type] = STATE(5005),
    [sym_constructor_type] = STATE(5146),
    [sym__primary_type] = STATE(5150),
    [sym_template_literal_type] = STATE(5151),
    [sym_infer_type] = STATE(5146),
    [sym_conditional_type] = STATE(5151),
    [sym_generic_type] = STATE(5151),
    [sym_type_query] = STATE(5151),
    [sym_index_type_query] = STATE(5151),
    [sym_lookup_type] = STATE(5151),
    [sym_literal_type] = STATE(5151),
    [sym__number] = STATE(4991),
    [sym_existential_type] = STATE(5151),
    [sym_flow_maybe_type] = STATE(5151),
    [sym_parenthesized_type] = STATE(5151),
    [sym_predefined_type] = STATE(5151),
    [sym_object_type] = STATE(5151),
    [sym_type_parameters] = STATE(8059),
    [sym_array_type] = STATE(5151),
    [sym_tuple_type] = STATE(5151),
    [sym_readonly_type] = STATE(5146),
    [sym_union_type] = STATE(5151),
    [sym_intersection_type] = STATE(5151),
    [sym_function_type] = STATE(5146),
    [sym_identifier] = ACTIONS(4316),
    [anon_sym_STAR] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4026),
    [anon_sym_typeof] = ACTIONS(4028),
    [anon_sym_const] = ACTIONS(4030),
    [anon_sym_LPAREN] = ACTIONS(4032),
    [anon_sym_LBRACK] = ACTIONS(4034),
    [anon_sym_DQUOTE] = ACTIONS(4036),
    [anon_sym_SQUOTE] = ACTIONS(4038),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_PIPE] = ACTIONS(4044),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4048),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4050),
    [sym_number] = ACTIONS(4052),
    [sym_this] = ACTIONS(4318),
    [sym_true] = ACTIONS(4052),
    [sym_false] = ACTIONS(4052),
    [sym_null] = ACTIONS(4052),
    [sym_undefined] = ACTIONS(4052),
    [anon_sym_readonly] = ACTIONS(4056),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_any] = ACTIONS(4048),
    [anon_sym_number] = ACTIONS(4048),
    [anon_sym_boolean] = ACTIONS(4048),
    [anon_sym_string] = ACTIONS(4048),
    [anon_sym_symbol] = ACTIONS(4048),
    [anon_sym_object] = ACTIONS(4048),
    [anon_sym_abstract] = ACTIONS(4060),
    [anon_sym_infer] = ACTIONS(4064),
    [anon_sym_keyof] = ACTIONS(4066),
    [anon_sym_unique] = ACTIONS(4068),
    [anon_sym_unknown] = ACTIONS(4048),
    [anon_sym_never] = ACTIONS(4048),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4026),
    [sym_html_comment] = ACTIONS(5),
  },
  [2128] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2128),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(4901),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2129] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2129),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(4896),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2130] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(2130),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(3225),
    [sym__type] = STATE(7018),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(3334),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3341),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(4301),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4193),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4303),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [2131] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(2131),
    [sym_formal_parameters] = STATE(8613),
    [sym_nested_type_identifier] = STATE(2776),
    [sym__type] = STATE(2811),
    [sym_constructor_type] = STATE(2797),
    [sym__primary_type] = STATE(2798),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(2797),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2799),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(8175),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(2797),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(2797),
    [sym_identifier] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(4243),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4307),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(4259),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(4263),
    [anon_sym_infer] = ACTIONS(4267),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [2132] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(2132),
    [sym_formal_parameters] = STATE(8613),
    [sym_nested_type_identifier] = STATE(2776),
    [sym__type] = STATE(2806),
    [sym_constructor_type] = STATE(2797),
    [sym__primary_type] = STATE(2798),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(2797),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2799),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(8175),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(2797),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(2797),
    [sym_identifier] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(4243),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4307),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(4259),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(4263),
    [anon_sym_infer] = ACTIONS(4267),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [2133] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(2133),
    [sym_formal_parameters] = STATE(8375),
    [sym_nested_type_identifier] = STATE(3225),
    [sym__type] = STATE(3394),
    [sym_constructor_type] = STATE(3351),
    [sym__primary_type] = STATE(3350),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(3351),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3341),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(8097),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(3351),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(3351),
    [sym_identifier] = ACTIONS(4301),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4193),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(4199),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4303),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(4215),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(4219),
    [anon_sym_infer] = ACTIONS(4223),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [2134] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2134),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(6515),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2135] = {
    [sym_nested_identifier] = STATE(8297),
    [sym_string] = STATE(3357),
    [sym_comment] = STATE(2135),
    [sym_formal_parameters] = STATE(8375),
    [sym_nested_type_identifier] = STATE(3225),
    [sym__type] = STATE(3327),
    [sym_constructor_type] = STATE(3351),
    [sym__primary_type] = STATE(3350),
    [sym_template_literal_type] = STATE(3341),
    [sym_infer_type] = STATE(3351),
    [sym_conditional_type] = STATE(3341),
    [sym_generic_type] = STATE(3341),
    [sym_type_query] = STATE(3341),
    [sym_index_type_query] = STATE(3341),
    [sym_lookup_type] = STATE(3341),
    [sym_literal_type] = STATE(3341),
    [sym__number] = STATE(3340),
    [sym_existential_type] = STATE(3341),
    [sym_flow_maybe_type] = STATE(3341),
    [sym_parenthesized_type] = STATE(3341),
    [sym_predefined_type] = STATE(3341),
    [sym_object_type] = STATE(3341),
    [sym_type_parameters] = STATE(8097),
    [sym_array_type] = STATE(3341),
    [sym_tuple_type] = STATE(3341),
    [sym_readonly_type] = STATE(3351),
    [sym_union_type] = STATE(3341),
    [sym_intersection_type] = STATE(3341),
    [sym_function_type] = STATE(3351),
    [sym_identifier] = ACTIONS(4301),
    [anon_sym_STAR] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(4189),
    [anon_sym_typeof] = ACTIONS(4191),
    [anon_sym_const] = ACTIONS(4193),
    [anon_sym_LPAREN] = ACTIONS(4195),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_new] = ACTIONS(4199),
    [anon_sym_AMP] = ACTIONS(4201),
    [anon_sym_PIPE] = ACTIONS(4203),
    [anon_sym_PLUS] = ACTIONS(4205),
    [anon_sym_DASH] = ACTIONS(4205),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4207),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4209),
    [sym_number] = ACTIONS(4211),
    [sym_this] = ACTIONS(4303),
    [sym_true] = ACTIONS(4211),
    [sym_false] = ACTIONS(4211),
    [sym_null] = ACTIONS(4211),
    [sym_undefined] = ACTIONS(4211),
    [anon_sym_readonly] = ACTIONS(4215),
    [anon_sym_QMARK] = ACTIONS(4217),
    [anon_sym_any] = ACTIONS(4207),
    [anon_sym_number] = ACTIONS(4207),
    [anon_sym_boolean] = ACTIONS(4207),
    [anon_sym_string] = ACTIONS(4207),
    [anon_sym_symbol] = ACTIONS(4207),
    [anon_sym_object] = ACTIONS(4207),
    [anon_sym_abstract] = ACTIONS(4219),
    [anon_sym_infer] = ACTIONS(4223),
    [anon_sym_keyof] = ACTIONS(4225),
    [anon_sym_unique] = ACTIONS(4227),
    [anon_sym_unknown] = ACTIONS(4207),
    [anon_sym_never] = ACTIONS(4207),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4189),
    [sym_html_comment] = ACTIONS(5),
  },
  [2136] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2136),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4610),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2137] = {
    [sym_nested_identifier] = STATE(8284),
    [sym_string] = STATE(4887),
    [sym_comment] = STATE(2137),
    [sym_formal_parameters] = STATE(8340),
    [sym_nested_type_identifier] = STATE(4770),
    [sym__type] = STATE(4874),
    [sym_constructor_type] = STATE(4895),
    [sym__primary_type] = STATE(4899),
    [sym_template_literal_type] = STATE(4900),
    [sym_infer_type] = STATE(4895),
    [sym_conditional_type] = STATE(4900),
    [sym_generic_type] = STATE(4900),
    [sym_type_query] = STATE(4900),
    [sym_index_type_query] = STATE(4900),
    [sym_lookup_type] = STATE(4900),
    [sym_literal_type] = STATE(4900),
    [sym__number] = STATE(4902),
    [sym_existential_type] = STATE(4900),
    [sym_flow_maybe_type] = STATE(4900),
    [sym_parenthesized_type] = STATE(4900),
    [sym_predefined_type] = STATE(4900),
    [sym_object_type] = STATE(4900),
    [sym_type_parameters] = STATE(7881),
    [sym_array_type] = STATE(4900),
    [sym_tuple_type] = STATE(4900),
    [sym_readonly_type] = STATE(4895),
    [sym_union_type] = STATE(4900),
    [sym_intersection_type] = STATE(4900),
    [sym_function_type] = STATE(4895),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_typeof] = ACTIONS(2518),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_new] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(1537),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(1567),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2532),
    [sym_number] = ACTIONS(2534),
    [sym_this] = ACTIONS(2536),
    [sym_true] = ACTIONS(2534),
    [sym_false] = ACTIONS(2534),
    [sym_null] = ACTIONS(2534),
    [sym_undefined] = ACTIONS(2534),
    [anon_sym_readonly] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(1555),
    [anon_sym_any] = ACTIONS(1567),
    [anon_sym_number] = ACTIONS(1567),
    [anon_sym_boolean] = ACTIONS(1567),
    [anon_sym_string] = ACTIONS(1567),
    [anon_sym_symbol] = ACTIONS(1567),
    [anon_sym_object] = ACTIONS(1567),
    [anon_sym_abstract] = ACTIONS(1559),
    [anon_sym_infer] = ACTIONS(1561),
    [anon_sym_keyof] = ACTIONS(1563),
    [anon_sym_unique] = ACTIONS(1565),
    [anon_sym_unknown] = ACTIONS(1567),
    [anon_sym_never] = ACTIONS(1567),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1569),
    [sym_html_comment] = ACTIONS(5),
  },
  [2138] = {
    [sym_nested_identifier] = STATE(8378),
    [sym_string] = STATE(2795),
    [sym_comment] = STATE(2138),
    [sym_formal_parameters] = STATE(8613),
    [sym_nested_type_identifier] = STATE(2776),
    [sym__type] = STATE(2807),
    [sym_constructor_type] = STATE(2797),
    [sym__primary_type] = STATE(2798),
    [sym_template_literal_type] = STATE(2799),
    [sym_infer_type] = STATE(2797),
    [sym_conditional_type] = STATE(2799),
    [sym_generic_type] = STATE(2799),
    [sym_type_query] = STATE(2799),
    [sym_index_type_query] = STATE(2799),
    [sym_lookup_type] = STATE(2799),
    [sym_literal_type] = STATE(2799),
    [sym__number] = STATE(2800),
    [sym_existential_type] = STATE(2799),
    [sym_flow_maybe_type] = STATE(2799),
    [sym_parenthesized_type] = STATE(2799),
    [sym_predefined_type] = STATE(2799),
    [sym_object_type] = STATE(2799),
    [sym_type_parameters] = STATE(8175),
    [sym_array_type] = STATE(2799),
    [sym_tuple_type] = STATE(2799),
    [sym_readonly_type] = STATE(2797),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(2797),
    [sym_identifier] = ACTIONS(4305),
    [anon_sym_STAR] = ACTIONS(4231),
    [anon_sym_LBRACE] = ACTIONS(4233),
    [anon_sym_typeof] = ACTIONS(4235),
    [anon_sym_const] = ACTIONS(4237),
    [anon_sym_LPAREN] = ACTIONS(4239),
    [anon_sym_LBRACK] = ACTIONS(4241),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_new] = ACTIONS(4243),
    [anon_sym_AMP] = ACTIONS(4245),
    [anon_sym_PIPE] = ACTIONS(4247),
    [anon_sym_PLUS] = ACTIONS(4249),
    [anon_sym_DASH] = ACTIONS(4249),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(4251),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4253),
    [sym_number] = ACTIONS(4255),
    [sym_this] = ACTIONS(4307),
    [sym_true] = ACTIONS(4255),
    [sym_false] = ACTIONS(4255),
    [sym_null] = ACTIONS(4255),
    [sym_undefined] = ACTIONS(4255),
    [anon_sym_readonly] = ACTIONS(4259),
    [anon_sym_QMARK] = ACTIONS(4261),
    [anon_sym_any] = ACTIONS(4251),
    [anon_sym_number] = ACTIONS(4251),
    [anon_sym_boolean] = ACTIONS(4251),
    [anon_sym_string] = ACTIONS(4251),
    [anon_sym_symbol] = ACTIONS(4251),
    [anon_sym_object] = ACTIONS(4251),
    [anon_sym_abstract] = ACTIONS(4263),
    [anon_sym_infer] = ACTIONS(4267),
    [anon_sym_keyof] = ACTIONS(4269),
    [anon_sym_unique] = ACTIONS(4271),
    [anon_sym_unknown] = ACTIONS(4251),
    [anon_sym_never] = ACTIONS(4251),
    [anon_sym_LBRACE_PIPE] = ACTIONS(4233),
    [sym_html_comment] = ACTIONS(5),
  },
  [2139] = {
    [sym_nested_identifier] = STATE(8457),
    [sym_string] = STATE(4618),
    [sym_comment] = STATE(2139),
    [sym_formal_parameters] = STATE(8370),
    [sym_nested_type_identifier] = STATE(4578),
    [sym__type] = STATE(4624),
    [sym_constructor_type] = STATE(4638),
    [sym__primary_type] = STATE(4615),
    [sym_template_literal_type] = STATE(4659),
    [sym_infer_type] = STATE(4638),
    [sym_conditional_type] = STATE(4659),
    [sym_generic_type] = STATE(4659),
    [sym_type_query] = STATE(4659),
    [sym_index_type_query] = STATE(4659),
    [sym_lookup_type] = STATE(4659),
    [sym_literal_type] = STATE(4659),
    [sym__number] = STATE(4676),
    [sym_existential_type] = STATE(4659),
    [sym_flow_maybe_type] = STATE(4659),
    [sym_parenthesized_type] = STATE(4659),
    [sym_predefined_type] = STATE(4659),
    [sym_object_type] = STATE(4659),
    [sym_type_parameters] = STATE(7940),
    [sym_array_type] = STATE(4659),
    [sym_tuple_type] = STATE(4659),
    [sym_readonly_type] = STATE(4638),
    [sym_union_type] = STATE(4659),
    [sym_intersection_type] = STATE(4659),
    [sym_function_type] = STATE(4638),
    [sym_identifier] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(124),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_new] = ACTIONS(2271),
    [anon_sym_AMP] = ACTIONS(76),
    [anon_sym_PIPE] = ACTIONS(78),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_LT] = ACTIONS(2275),
    [anon_sym_void] = ACTIONS(122),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2277),
    [sym_number] = ACTIONS(2279),
    [sym_this] = ACTIONS(2281),
    [sym_true] = ACTIONS(2279),
    [sym_false] = ACTIONS(2279),
    [sym_null] = ACTIONS(2279),
    [sym_undefined] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2283),
    [anon_sym_QMARK] = ACTIONS(110),
    [anon_sym_any] = ACTIONS(122),
    [anon_sym_number] = ACTIONS(122),
    [anon_sym_boolean] = ACTIONS(122),
    [anon_sym_string] = ACTIONS(122),
    [anon_sym_symbol] = ACTIONS(122),
    [anon_sym_object] = ACTIONS(122),
    [anon_sym_abstract] = ACTIONS(114),
    [anon_sym_infer] = ACTIONS(116),
    [anon_sym_keyof] = ACTIONS(118),
    [anon_sym_unique] = ACTIONS(120),
    [anon_sym_unknown] = ACTIONS(122),
    [anon_sym_never] = ACTIONS(122),
    [anon_sym_LBRACE_PIPE] = ACTIONS(124),
    [sym_html_comment] = ACTIONS(5),
  },
  [2140] = {
    [sym_comment] = STATE(2140),
    [sym_identifier] = ACTIONS(4331),
    [anon_sym_export] = ACTIONS(4331),
    [anon_sym_type] = ACTIONS(4331),
    [anon_sym_namespace] = ACTIONS(4331),
    [anon_sym_LBRACE] = ACTIONS(4331),
    [anon_sym_typeof] = ACTIONS(4331),
    [anon_sym_import] = ACTIONS(4331),
    [anon_sym_from] = ACTIONS(4331),
    [anon_sym_let] = ACTIONS(4331),
    [anon_sym_BANG] = ACTIONS(4331),
    [anon_sym_LPAREN] = ACTIONS(4331),
    [anon_sym_await] = ACTIONS(4331),
    [anon_sym_of] = ACTIONS(4331),
    [anon_sym_yield] = ACTIONS(4331),
    [anon_sym_LBRACK] = ACTIONS(4331),
    [anon_sym_LTtemplate_GT] = ACTIONS(4331),
    [anon_sym_DOT] = ACTIONS(4331),
    [anon_sym_DQUOTE] = ACTIONS(4331),
    [anon_sym_SQUOTE] = ACTIONS(4331),
    [anon_sym_class] = ACTIONS(4331),
    [anon_sym_async] = ACTIONS(4331),
    [anon_sym_function] = ACTIONS(4331),
    [anon_sym_new] = ACTIONS(4331),
    [anon_sym_using] = ACTIONS(4331),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4331),
    [anon_sym_PLUS] = ACTIONS(4331),
    [anon_sym_DASH] = ACTIONS(4331),
    [anon_sym_SLASH] = ACTIONS(4331),
    [anon_sym_LT] = ACTIONS(4331),
    [anon_sym_TILDE] = ACTIONS(4331),
    [anon_sym_void] = ACTIONS(4331),
    [anon_sym_delete] = ACTIONS(4331),
    [anon_sym_PLUS_PLUS] = ACTIONS(4331),
    [anon_sym_DASH_DASH] = ACTIONS(4331),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4331),
    [sym_number] = ACTIONS(4331),
    [sym_private_property_identifier] = ACTIONS(4331),
    [sym_this] = ACTIONS(4331),
    [sym_super] = ACTIONS(4331),
    [sym_true] = ACTIONS(4331),
    [sym_false] = ACTIONS(4331),
    [sym_null] = ACTIONS(4331),
    [sym_undefined] = ACTIONS(4331),
    [anon_sym_AT] = ACTIONS(4331),
    [anon_sym_static] = ACTIONS(4331),
    [anon_sym_readonly] = ACTIONS(4331),
    [anon_sym_get] = ACTIONS(4331),
    [anon_sym_set] = ACTIONS(4331),
    [anon_sym_declare] = ACTIONS(4331),
    [anon_sym_public] = ACTIONS(4331),
    [anon_sym_private] = ACTIONS(4331),
    [anon_sym_protected] = ACTIONS(4331),
    [anon_sym_override] = ACTIONS(4331),
    [anon_sym_module] = ACTIONS(4331),
    [anon_sym_any] = ACTIONS(4331),
    [anon_sym_number] = ACTIONS(4331),
    [anon_sym_boolean] = ACTIONS(4331),
    [anon_sym_string] = ACTIONS(4331),
    [anon_sym_symbol] = ACTIONS(4331),
    [anon_sym_object] = ACTIONS(4331),
    [anon_sym_property] = ACTIONS(4331),
    [anon_sym_signal] = ACTIONS(4331),
    [anon_sym_on] = ACTIONS(4331),
    [anon_sym_required] = ACTIONS(4331),
    [anon_sym_component] = ACTIONS(4331),
    [sym_html_comment] = ACTIONS(5),
  },
  [2141] = {
    [sym_nested_identifier] = STATE(2951),
    [sym_string] = STATE(2952),
    [sym_comment] = STATE(2141),
    [sym__module] = STATE(3134),
    [sym_identifier] = ACTIONS(4333),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_RBRACE] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_RPAREN] = ACTIONS(34),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(34),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(34),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2142] = {
    [sym_comment] = STATE(2142),
    [sym_identifier] = ACTIONS(3518),
    [anon_sym_export] = ACTIONS(3518),
    [anon_sym_type] = ACTIONS(3518),
    [anon_sym_namespace] = ACTIONS(3518),
    [anon_sym_LBRACE] = ACTIONS(3518),
    [anon_sym_typeof] = ACTIONS(3518),
    [anon_sym_import] = ACTIONS(3518),
    [anon_sym_from] = ACTIONS(3518),
    [anon_sym_let] = ACTIONS(3518),
    [anon_sym_BANG] = ACTIONS(3518),
    [anon_sym_LPAREN] = ACTIONS(3518),
    [anon_sym_RPAREN] = ACTIONS(3518),
    [anon_sym_await] = ACTIONS(3518),
    [anon_sym_of] = ACTIONS(3518),
    [anon_sym_SEMI] = ACTIONS(3518),
    [anon_sym_yield] = ACTIONS(3518),
    [anon_sym_LBRACK] = ACTIONS(3518),
    [anon_sym_LTtemplate_GT] = ACTIONS(3518),
    [anon_sym_DQUOTE] = ACTIONS(3518),
    [anon_sym_SQUOTE] = ACTIONS(3518),
    [anon_sym_class] = ACTIONS(3518),
    [anon_sym_async] = ACTIONS(3518),
    [anon_sym_function] = ACTIONS(3518),
    [anon_sym_new] = ACTIONS(3518),
    [anon_sym_using] = ACTIONS(3518),
    [anon_sym_PLUS] = ACTIONS(3518),
    [anon_sym_DASH] = ACTIONS(3518),
    [anon_sym_SLASH] = ACTIONS(3518),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_TILDE] = ACTIONS(3518),
    [anon_sym_void] = ACTIONS(3518),
    [anon_sym_delete] = ACTIONS(3518),
    [anon_sym_PLUS_PLUS] = ACTIONS(3518),
    [anon_sym_DASH_DASH] = ACTIONS(3518),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3518),
    [sym_number] = ACTIONS(3518),
    [sym_private_property_identifier] = ACTIONS(3518),
    [sym_this] = ACTIONS(3518),
    [sym_super] = ACTIONS(3518),
    [sym_true] = ACTIONS(3518),
    [sym_false] = ACTIONS(3518),
    [sym_null] = ACTIONS(3518),
    [sym_undefined] = ACTIONS(3518),
    [anon_sym_AT] = ACTIONS(3518),
    [anon_sym_static] = ACTIONS(3518),
    [anon_sym_readonly] = ACTIONS(3518),
    [anon_sym_get] = ACTIONS(3518),
    [anon_sym_set] = ACTIONS(3518),
    [anon_sym_declare] = ACTIONS(3518),
    [anon_sym_public] = ACTIONS(3518),
    [anon_sym_private] = ACTIONS(3518),
    [anon_sym_protected] = ACTIONS(3518),
    [anon_sym_override] = ACTIONS(3518),
    [anon_sym_module] = ACTIONS(3518),
    [anon_sym_any] = ACTIONS(3518),
    [anon_sym_number] = ACTIONS(3518),
    [anon_sym_boolean] = ACTIONS(3518),
    [anon_sym_string] = ACTIONS(3518),
    [anon_sym_symbol] = ACTIONS(3518),
    [anon_sym_object] = ACTIONS(3518),
    [anon_sym_property] = ACTIONS(3518),
    [anon_sym_signal] = ACTIONS(3518),
    [anon_sym_on] = ACTIONS(3518),
    [anon_sym_required] = ACTIONS(3518),
    [anon_sym_component] = ACTIONS(3518),
    [sym_html_comment] = ACTIONS(5),
  },
  [2143] = {
    [sym_nested_identifier] = STATE(2951),
    [sym_string] = STATE(2952),
    [sym_comment] = STATE(2143),
    [sym__module] = STATE(3134),
    [sym_identifier] = ACTIONS(4333),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(1335),
    [anon_sym_RBRACE] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_RPAREN] = ACTIONS(1335),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(1335),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2144] = {
    [sym_nested_identifier] = STATE(2951),
    [sym_string] = STATE(2952),
    [sym_comment] = STATE(2144),
    [sym__module] = STATE(3134),
    [sym_identifier] = ACTIONS(4333),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(128),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(133),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2145] = {
    [sym_comment] = STATE(2145),
    [sym_identifier] = ACTIONS(3522),
    [anon_sym_export] = ACTIONS(3522),
    [anon_sym_type] = ACTIONS(3522),
    [anon_sym_namespace] = ACTIONS(3522),
    [anon_sym_LBRACE] = ACTIONS(3522),
    [anon_sym_typeof] = ACTIONS(3522),
    [anon_sym_import] = ACTIONS(3522),
    [anon_sym_from] = ACTIONS(3522),
    [anon_sym_let] = ACTIONS(3522),
    [anon_sym_BANG] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(3522),
    [anon_sym_RPAREN] = ACTIONS(3522),
    [anon_sym_await] = ACTIONS(3522),
    [anon_sym_of] = ACTIONS(3522),
    [anon_sym_SEMI] = ACTIONS(3522),
    [anon_sym_yield] = ACTIONS(3522),
    [anon_sym_LBRACK] = ACTIONS(3522),
    [anon_sym_LTtemplate_GT] = ACTIONS(3522),
    [anon_sym_DQUOTE] = ACTIONS(3522),
    [anon_sym_SQUOTE] = ACTIONS(3522),
    [anon_sym_class] = ACTIONS(3522),
    [anon_sym_async] = ACTIONS(3522),
    [anon_sym_function] = ACTIONS(3522),
    [anon_sym_new] = ACTIONS(3522),
    [anon_sym_using] = ACTIONS(3522),
    [anon_sym_PLUS] = ACTIONS(3522),
    [anon_sym_DASH] = ACTIONS(3522),
    [anon_sym_SLASH] = ACTIONS(3522),
    [anon_sym_LT] = ACTIONS(3522),
    [anon_sym_TILDE] = ACTIONS(3522),
    [anon_sym_void] = ACTIONS(3522),
    [anon_sym_delete] = ACTIONS(3522),
    [anon_sym_PLUS_PLUS] = ACTIONS(3522),
    [anon_sym_DASH_DASH] = ACTIONS(3522),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3522),
    [sym_number] = ACTIONS(3522),
    [sym_private_property_identifier] = ACTIONS(3522),
    [sym_this] = ACTIONS(3522),
    [sym_super] = ACTIONS(3522),
    [sym_true] = ACTIONS(3522),
    [sym_false] = ACTIONS(3522),
    [sym_null] = ACTIONS(3522),
    [sym_undefined] = ACTIONS(3522),
    [anon_sym_AT] = ACTIONS(3522),
    [anon_sym_static] = ACTIONS(3522),
    [anon_sym_readonly] = ACTIONS(3522),
    [anon_sym_get] = ACTIONS(3522),
    [anon_sym_set] = ACTIONS(3522),
    [anon_sym_declare] = ACTIONS(3522),
    [anon_sym_public] = ACTIONS(3522),
    [anon_sym_private] = ACTIONS(3522),
    [anon_sym_protected] = ACTIONS(3522),
    [anon_sym_override] = ACTIONS(3522),
    [anon_sym_module] = ACTIONS(3522),
    [anon_sym_any] = ACTIONS(3522),
    [anon_sym_number] = ACTIONS(3522),
    [anon_sym_boolean] = ACTIONS(3522),
    [anon_sym_string] = ACTIONS(3522),
    [anon_sym_symbol] = ACTIONS(3522),
    [anon_sym_object] = ACTIONS(3522),
    [anon_sym_property] = ACTIONS(3522),
    [anon_sym_signal] = ACTIONS(3522),
    [anon_sym_on] = ACTIONS(3522),
    [anon_sym_required] = ACTIONS(3522),
    [anon_sym_component] = ACTIONS(3522),
    [sym_html_comment] = ACTIONS(5),
  },
  [2146] = {
    [sym_nested_identifier] = STATE(2785),
    [sym_string] = STATE(2757),
    [sym_comment] = STATE(2146),
    [sym__module] = STATE(3018),
    [sym_ui_object_initializer] = STATE(7553),
    [sym_identifier] = ACTIONS(4335),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(3272),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(3267),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2147] = {
    [sym_comment] = STATE(2147),
    [sym_identifier] = ACTIONS(3632),
    [anon_sym_export] = ACTIONS(3632),
    [anon_sym_type] = ACTIONS(3632),
    [anon_sym_namespace] = ACTIONS(3632),
    [anon_sym_LBRACE] = ACTIONS(3632),
    [anon_sym_typeof] = ACTIONS(3632),
    [anon_sym_import] = ACTIONS(3632),
    [anon_sym_from] = ACTIONS(3632),
    [anon_sym_let] = ACTIONS(3632),
    [anon_sym_BANG] = ACTIONS(3632),
    [anon_sym_LPAREN] = ACTIONS(3632),
    [anon_sym_await] = ACTIONS(3632),
    [anon_sym_of] = ACTIONS(3632),
    [anon_sym_SEMI] = ACTIONS(3632),
    [anon_sym_yield] = ACTIONS(3632),
    [anon_sym_LBRACK] = ACTIONS(3632),
    [anon_sym_LTtemplate_GT] = ACTIONS(3632),
    [anon_sym_DQUOTE] = ACTIONS(3632),
    [anon_sym_SQUOTE] = ACTIONS(3632),
    [anon_sym_class] = ACTIONS(3632),
    [anon_sym_async] = ACTIONS(3632),
    [anon_sym_function] = ACTIONS(3632),
    [anon_sym_new] = ACTIONS(3632),
    [anon_sym_using] = ACTIONS(3632),
    [anon_sym_PLUS] = ACTIONS(3632),
    [anon_sym_DASH] = ACTIONS(3632),
    [anon_sym_SLASH] = ACTIONS(3632),
    [anon_sym_LT] = ACTIONS(3632),
    [anon_sym_TILDE] = ACTIONS(3632),
    [anon_sym_void] = ACTIONS(3632),
    [anon_sym_delete] = ACTIONS(3632),
    [anon_sym_PLUS_PLUS] = ACTIONS(3632),
    [anon_sym_DASH_DASH] = ACTIONS(3632),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3632),
    [sym_number] = ACTIONS(3632),
    [sym_private_property_identifier] = ACTIONS(3632),
    [sym_this] = ACTIONS(3632),
    [sym_super] = ACTIONS(3632),
    [sym_true] = ACTIONS(3632),
    [sym_false] = ACTIONS(3632),
    [sym_null] = ACTIONS(3632),
    [sym_undefined] = ACTIONS(3632),
    [anon_sym_AT] = ACTIONS(3632),
    [anon_sym_static] = ACTIONS(3632),
    [anon_sym_readonly] = ACTIONS(3632),
    [anon_sym_get] = ACTIONS(3632),
    [anon_sym_set] = ACTIONS(3632),
    [anon_sym_declare] = ACTIONS(3632),
    [anon_sym_public] = ACTIONS(3632),
    [anon_sym_private] = ACTIONS(3632),
    [anon_sym_protected] = ACTIONS(3632),
    [anon_sym_override] = ACTIONS(3632),
    [anon_sym_module] = ACTIONS(3632),
    [anon_sym_any] = ACTIONS(3632),
    [anon_sym_number] = ACTIONS(3632),
    [anon_sym_boolean] = ACTIONS(3632),
    [anon_sym_string] = ACTIONS(3632),
    [anon_sym_symbol] = ACTIONS(3632),
    [anon_sym_object] = ACTIONS(3632),
    [anon_sym_property] = ACTIONS(3632),
    [anon_sym_signal] = ACTIONS(3632),
    [anon_sym_on] = ACTIONS(3632),
    [anon_sym_required] = ACTIONS(3632),
    [anon_sym_component] = ACTIONS(3632),
    [sym_html_comment] = ACTIONS(5),
  },
  [2148] = {
    [sym_comment] = STATE(2148),
    [sym_identifier] = ACTIONS(4325),
    [anon_sym_export] = ACTIONS(4325),
    [anon_sym_type] = ACTIONS(4325),
    [anon_sym_namespace] = ACTIONS(4325),
    [anon_sym_LBRACE] = ACTIONS(4325),
    [anon_sym_typeof] = ACTIONS(4325),
    [anon_sym_import] = ACTIONS(4325),
    [anon_sym_from] = ACTIONS(4325),
    [anon_sym_let] = ACTIONS(4325),
    [anon_sym_BANG] = ACTIONS(4325),
    [anon_sym_LPAREN] = ACTIONS(4325),
    [anon_sym_await] = ACTIONS(4325),
    [anon_sym_of] = ACTIONS(4325),
    [anon_sym_yield] = ACTIONS(4325),
    [anon_sym_LBRACK] = ACTIONS(4325),
    [anon_sym_LTtemplate_GT] = ACTIONS(4325),
    [anon_sym_DQUOTE] = ACTIONS(4325),
    [anon_sym_SQUOTE] = ACTIONS(4325),
    [anon_sym_class] = ACTIONS(4325),
    [anon_sym_async] = ACTIONS(4325),
    [anon_sym_function] = ACTIONS(4325),
    [anon_sym_new] = ACTIONS(4325),
    [anon_sym_using] = ACTIONS(4325),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4325),
    [anon_sym_PLUS] = ACTIONS(4325),
    [anon_sym_DASH] = ACTIONS(4325),
    [anon_sym_SLASH] = ACTIONS(4325),
    [anon_sym_LT] = ACTIONS(4325),
    [anon_sym_TILDE] = ACTIONS(4325),
    [anon_sym_void] = ACTIONS(4325),
    [anon_sym_delete] = ACTIONS(4325),
    [anon_sym_PLUS_PLUS] = ACTIONS(4325),
    [anon_sym_DASH_DASH] = ACTIONS(4325),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4325),
    [sym_number] = ACTIONS(4325),
    [sym_private_property_identifier] = ACTIONS(4325),
    [sym_this] = ACTIONS(4325),
    [sym_super] = ACTIONS(4325),
    [sym_true] = ACTIONS(4325),
    [sym_false] = ACTIONS(4325),
    [sym_null] = ACTIONS(4325),
    [sym_undefined] = ACTIONS(4325),
    [anon_sym_AT] = ACTIONS(4325),
    [anon_sym_static] = ACTIONS(4325),
    [anon_sym_readonly] = ACTIONS(4325),
    [anon_sym_get] = ACTIONS(4325),
    [anon_sym_set] = ACTIONS(4325),
    [anon_sym_declare] = ACTIONS(4325),
    [anon_sym_public] = ACTIONS(4325),
    [anon_sym_private] = ACTIONS(4325),
    [anon_sym_protected] = ACTIONS(4325),
    [anon_sym_override] = ACTIONS(4325),
    [anon_sym_module] = ACTIONS(4325),
    [anon_sym_any] = ACTIONS(4325),
    [anon_sym_number] = ACTIONS(4325),
    [anon_sym_boolean] = ACTIONS(4325),
    [anon_sym_string] = ACTIONS(4325),
    [anon_sym_symbol] = ACTIONS(4325),
    [anon_sym_object] = ACTIONS(4325),
    [anon_sym_property] = ACTIONS(4325),
    [anon_sym_signal] = ACTIONS(4325),
    [anon_sym_on] = ACTIONS(4325),
    [anon_sym_required] = ACTIONS(4325),
    [anon_sym_component] = ACTIONS(4325),
    [sym_html_comment] = ACTIONS(5),
  },
  [2149] = {
    [sym_comment] = STATE(2149),
    [sym_identifier] = ACTIONS(4337),
    [anon_sym_export] = ACTIONS(4337),
    [anon_sym_type] = ACTIONS(4337),
    [anon_sym_namespace] = ACTIONS(4337),
    [anon_sym_LBRACE] = ACTIONS(4337),
    [anon_sym_typeof] = ACTIONS(4337),
    [anon_sym_import] = ACTIONS(4337),
    [anon_sym_from] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4337),
    [anon_sym_BANG] = ACTIONS(4337),
    [anon_sym_LPAREN] = ACTIONS(4337),
    [anon_sym_await] = ACTIONS(4337),
    [anon_sym_of] = ACTIONS(4337),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4337),
    [anon_sym_LTtemplate_GT] = ACTIONS(4337),
    [anon_sym_DQUOTE] = ACTIONS(4337),
    [anon_sym_SQUOTE] = ACTIONS(4337),
    [anon_sym_class] = ACTIONS(4337),
    [anon_sym_async] = ACTIONS(4337),
    [anon_sym_function] = ACTIONS(4337),
    [anon_sym_new] = ACTIONS(4337),
    [anon_sym_using] = ACTIONS(4337),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4337),
    [anon_sym_PLUS] = ACTIONS(4337),
    [anon_sym_DASH] = ACTIONS(4337),
    [anon_sym_SLASH] = ACTIONS(4337),
    [anon_sym_LT] = ACTIONS(4337),
    [anon_sym_TILDE] = ACTIONS(4337),
    [anon_sym_void] = ACTIONS(4337),
    [anon_sym_delete] = ACTIONS(4337),
    [anon_sym_PLUS_PLUS] = ACTIONS(4337),
    [anon_sym_DASH_DASH] = ACTIONS(4337),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4337),
    [sym_number] = ACTIONS(4337),
    [sym_private_property_identifier] = ACTIONS(4337),
    [sym_this] = ACTIONS(4337),
    [sym_super] = ACTIONS(4337),
    [sym_true] = ACTIONS(4337),
    [sym_false] = ACTIONS(4337),
    [sym_null] = ACTIONS(4337),
    [sym_undefined] = ACTIONS(4337),
    [anon_sym_AT] = ACTIONS(4337),
    [anon_sym_static] = ACTIONS(4337),
    [anon_sym_readonly] = ACTIONS(4337),
    [anon_sym_get] = ACTIONS(4337),
    [anon_sym_set] = ACTIONS(4337),
    [anon_sym_declare] = ACTIONS(4337),
    [anon_sym_public] = ACTIONS(4337),
    [anon_sym_private] = ACTIONS(4337),
    [anon_sym_protected] = ACTIONS(4337),
    [anon_sym_override] = ACTIONS(4337),
    [anon_sym_module] = ACTIONS(4337),
    [anon_sym_any] = ACTIONS(4337),
    [anon_sym_number] = ACTIONS(4337),
    [anon_sym_boolean] = ACTIONS(4337),
    [anon_sym_string] = ACTIONS(4337),
    [anon_sym_symbol] = ACTIONS(4337),
    [anon_sym_object] = ACTIONS(4337),
    [anon_sym_property] = ACTIONS(4337),
    [anon_sym_signal] = ACTIONS(4337),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_required] = ACTIONS(4337),
    [anon_sym_component] = ACTIONS(4337),
    [sym_html_comment] = ACTIONS(5),
  },
  [2150] = {
    [sym_comment] = STATE(2150),
    [sym_identifier] = ACTIONS(3630),
    [anon_sym_export] = ACTIONS(3630),
    [anon_sym_type] = ACTIONS(3630),
    [anon_sym_namespace] = ACTIONS(3630),
    [anon_sym_LBRACE] = ACTIONS(3630),
    [anon_sym_typeof] = ACTIONS(3630),
    [anon_sym_import] = ACTIONS(3630),
    [anon_sym_from] = ACTIONS(3630),
    [anon_sym_let] = ACTIONS(3630),
    [anon_sym_BANG] = ACTIONS(3630),
    [anon_sym_LPAREN] = ACTIONS(3630),
    [anon_sym_await] = ACTIONS(3630),
    [anon_sym_of] = ACTIONS(3630),
    [anon_sym_SEMI] = ACTIONS(3630),
    [anon_sym_yield] = ACTIONS(3630),
    [anon_sym_LBRACK] = ACTIONS(3630),
    [anon_sym_LTtemplate_GT] = ACTIONS(3630),
    [anon_sym_DQUOTE] = ACTIONS(3630),
    [anon_sym_SQUOTE] = ACTIONS(3630),
    [anon_sym_class] = ACTIONS(3630),
    [anon_sym_async] = ACTIONS(3630),
    [anon_sym_function] = ACTIONS(3630),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_using] = ACTIONS(3630),
    [anon_sym_PLUS] = ACTIONS(3630),
    [anon_sym_DASH] = ACTIONS(3630),
    [anon_sym_SLASH] = ACTIONS(3630),
    [anon_sym_LT] = ACTIONS(3630),
    [anon_sym_TILDE] = ACTIONS(3630),
    [anon_sym_void] = ACTIONS(3630),
    [anon_sym_delete] = ACTIONS(3630),
    [anon_sym_PLUS_PLUS] = ACTIONS(3630),
    [anon_sym_DASH_DASH] = ACTIONS(3630),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3630),
    [sym_number] = ACTIONS(3630),
    [sym_private_property_identifier] = ACTIONS(3630),
    [sym_this] = ACTIONS(3630),
    [sym_super] = ACTIONS(3630),
    [sym_true] = ACTIONS(3630),
    [sym_false] = ACTIONS(3630),
    [sym_null] = ACTIONS(3630),
    [sym_undefined] = ACTIONS(3630),
    [anon_sym_AT] = ACTIONS(3630),
    [anon_sym_static] = ACTIONS(3630),
    [anon_sym_readonly] = ACTIONS(3630),
    [anon_sym_get] = ACTIONS(3630),
    [anon_sym_set] = ACTIONS(3630),
    [anon_sym_declare] = ACTIONS(3630),
    [anon_sym_public] = ACTIONS(3630),
    [anon_sym_private] = ACTIONS(3630),
    [anon_sym_protected] = ACTIONS(3630),
    [anon_sym_override] = ACTIONS(3630),
    [anon_sym_module] = ACTIONS(3630),
    [anon_sym_any] = ACTIONS(3630),
    [anon_sym_number] = ACTIONS(3630),
    [anon_sym_boolean] = ACTIONS(3630),
    [anon_sym_string] = ACTIONS(3630),
    [anon_sym_symbol] = ACTIONS(3630),
    [anon_sym_object] = ACTIONS(3630),
    [anon_sym_property] = ACTIONS(3630),
    [anon_sym_signal] = ACTIONS(3630),
    [anon_sym_on] = ACTIONS(3630),
    [anon_sym_required] = ACTIONS(3630),
    [anon_sym_component] = ACTIONS(3630),
    [sym_html_comment] = ACTIONS(5),
  },
  [2151] = {
    [sym_nested_identifier] = STATE(2951),
    [sym_string] = STATE(2952),
    [sym_comment] = STATE(2151),
    [sym__module] = STATE(3134),
    [sym_identifier] = ACTIONS(4333),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_RPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2152] = {
    [sym_nested_identifier] = STATE(2785),
    [sym_string] = STATE(2757),
    [sym_comment] = STATE(2152),
    [sym__module] = STATE(3018),
    [sym_ui_object_initializer] = STATE(4262),
    [sym_identifier] = ACTIONS(4335),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(3265),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(3267),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2153] = {
    [sym_comment] = STATE(2153),
    [sym_identifier] = ACTIONS(3636),
    [anon_sym_export] = ACTIONS(3636),
    [anon_sym_type] = ACTIONS(3636),
    [anon_sym_namespace] = ACTIONS(3636),
    [anon_sym_LBRACE] = ACTIONS(3636),
    [anon_sym_typeof] = ACTIONS(3636),
    [anon_sym_import] = ACTIONS(3636),
    [anon_sym_from] = ACTIONS(3636),
    [anon_sym_let] = ACTIONS(3636),
    [anon_sym_BANG] = ACTIONS(3636),
    [anon_sym_LPAREN] = ACTIONS(3636),
    [anon_sym_await] = ACTIONS(3636),
    [anon_sym_of] = ACTIONS(3636),
    [anon_sym_SEMI] = ACTIONS(3636),
    [anon_sym_yield] = ACTIONS(3636),
    [anon_sym_LBRACK] = ACTIONS(3636),
    [anon_sym_LTtemplate_GT] = ACTIONS(3636),
    [anon_sym_DQUOTE] = ACTIONS(3636),
    [anon_sym_SQUOTE] = ACTIONS(3636),
    [anon_sym_class] = ACTIONS(3636),
    [anon_sym_async] = ACTIONS(3636),
    [anon_sym_function] = ACTIONS(3636),
    [anon_sym_new] = ACTIONS(3636),
    [anon_sym_using] = ACTIONS(3636),
    [anon_sym_PLUS] = ACTIONS(3636),
    [anon_sym_DASH] = ACTIONS(3636),
    [anon_sym_SLASH] = ACTIONS(3636),
    [anon_sym_LT] = ACTIONS(3636),
    [anon_sym_TILDE] = ACTIONS(3636),
    [anon_sym_void] = ACTIONS(3636),
    [anon_sym_delete] = ACTIONS(3636),
    [anon_sym_PLUS_PLUS] = ACTIONS(3636),
    [anon_sym_DASH_DASH] = ACTIONS(3636),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3636),
    [sym_number] = ACTIONS(3636),
    [sym_private_property_identifier] = ACTIONS(3636),
    [sym_this] = ACTIONS(3636),
    [sym_super] = ACTIONS(3636),
    [sym_true] = ACTIONS(3636),
    [sym_false] = ACTIONS(3636),
    [sym_null] = ACTIONS(3636),
    [sym_undefined] = ACTIONS(3636),
    [anon_sym_AT] = ACTIONS(3636),
    [anon_sym_static] = ACTIONS(3636),
    [anon_sym_readonly] = ACTIONS(3636),
    [anon_sym_get] = ACTIONS(3636),
    [anon_sym_set] = ACTIONS(3636),
    [anon_sym_declare] = ACTIONS(3636),
    [anon_sym_public] = ACTIONS(3636),
    [anon_sym_private] = ACTIONS(3636),
    [anon_sym_protected] = ACTIONS(3636),
    [anon_sym_override] = ACTIONS(3636),
    [anon_sym_module] = ACTIONS(3636),
    [anon_sym_any] = ACTIONS(3636),
    [anon_sym_number] = ACTIONS(3636),
    [anon_sym_boolean] = ACTIONS(3636),
    [anon_sym_string] = ACTIONS(3636),
    [anon_sym_symbol] = ACTIONS(3636),
    [anon_sym_object] = ACTIONS(3636),
    [anon_sym_property] = ACTIONS(3636),
    [anon_sym_signal] = ACTIONS(3636),
    [anon_sym_on] = ACTIONS(3636),
    [anon_sym_required] = ACTIONS(3636),
    [anon_sym_component] = ACTIONS(3636),
    [sym_html_comment] = ACTIONS(5),
  },
  [2154] = {
    [sym_comment] = STATE(2154),
    [sym_identifier] = ACTIONS(4339),
    [anon_sym_export] = ACTIONS(4339),
    [anon_sym_type] = ACTIONS(4339),
    [anon_sym_namespace] = ACTIONS(4339),
    [anon_sym_LBRACE] = ACTIONS(4339),
    [anon_sym_typeof] = ACTIONS(4339),
    [anon_sym_import] = ACTIONS(4339),
    [anon_sym_from] = ACTIONS(4339),
    [anon_sym_let] = ACTIONS(4339),
    [anon_sym_BANG] = ACTIONS(4339),
    [anon_sym_LPAREN] = ACTIONS(4339),
    [anon_sym_await] = ACTIONS(4339),
    [anon_sym_of] = ACTIONS(4339),
    [anon_sym_yield] = ACTIONS(4339),
    [anon_sym_LBRACK] = ACTIONS(4339),
    [anon_sym_LTtemplate_GT] = ACTIONS(4339),
    [anon_sym_DQUOTE] = ACTIONS(4339),
    [anon_sym_SQUOTE] = ACTIONS(4339),
    [anon_sym_class] = ACTIONS(4339),
    [anon_sym_async] = ACTIONS(4339),
    [anon_sym_function] = ACTIONS(4339),
    [anon_sym_new] = ACTIONS(4339),
    [anon_sym_using] = ACTIONS(4339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4339),
    [anon_sym_PLUS] = ACTIONS(4339),
    [anon_sym_DASH] = ACTIONS(4339),
    [anon_sym_SLASH] = ACTIONS(4339),
    [anon_sym_LT] = ACTIONS(4339),
    [anon_sym_TILDE] = ACTIONS(4339),
    [anon_sym_void] = ACTIONS(4339),
    [anon_sym_delete] = ACTIONS(4339),
    [anon_sym_PLUS_PLUS] = ACTIONS(4339),
    [anon_sym_DASH_DASH] = ACTIONS(4339),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4339),
    [sym_number] = ACTIONS(4339),
    [sym_private_property_identifier] = ACTIONS(4339),
    [sym_this] = ACTIONS(4339),
    [sym_super] = ACTIONS(4339),
    [sym_true] = ACTIONS(4339),
    [sym_false] = ACTIONS(4339),
    [sym_null] = ACTIONS(4339),
    [sym_undefined] = ACTIONS(4339),
    [anon_sym_AT] = ACTIONS(4339),
    [anon_sym_static] = ACTIONS(4339),
    [anon_sym_readonly] = ACTIONS(4339),
    [anon_sym_get] = ACTIONS(4339),
    [anon_sym_set] = ACTIONS(4339),
    [anon_sym_declare] = ACTIONS(4339),
    [anon_sym_public] = ACTIONS(4339),
    [anon_sym_private] = ACTIONS(4339),
    [anon_sym_protected] = ACTIONS(4339),
    [anon_sym_override] = ACTIONS(4339),
    [anon_sym_module] = ACTIONS(4339),
    [anon_sym_any] = ACTIONS(4339),
    [anon_sym_number] = ACTIONS(4339),
    [anon_sym_boolean] = ACTIONS(4339),
    [anon_sym_string] = ACTIONS(4339),
    [anon_sym_symbol] = ACTIONS(4339),
    [anon_sym_object] = ACTIONS(4339),
    [anon_sym_property] = ACTIONS(4339),
    [anon_sym_signal] = ACTIONS(4339),
    [anon_sym_on] = ACTIONS(4339),
    [anon_sym_required] = ACTIONS(4339),
    [anon_sym_component] = ACTIONS(4339),
    [sym_html_comment] = ACTIONS(5),
  },
  [2155] = {
    [sym_comment] = STATE(2155),
    [sym_identifier] = ACTIONS(4341),
    [anon_sym_export] = ACTIONS(4341),
    [anon_sym_type] = ACTIONS(4341),
    [anon_sym_namespace] = ACTIONS(4341),
    [anon_sym_LBRACE] = ACTIONS(4341),
    [anon_sym_typeof] = ACTIONS(4341),
    [anon_sym_import] = ACTIONS(4341),
    [anon_sym_from] = ACTIONS(4341),
    [anon_sym_let] = ACTIONS(4341),
    [anon_sym_BANG] = ACTIONS(4341),
    [anon_sym_LPAREN] = ACTIONS(4341),
    [anon_sym_await] = ACTIONS(4341),
    [anon_sym_of] = ACTIONS(4341),
    [anon_sym_yield] = ACTIONS(4341),
    [anon_sym_LBRACK] = ACTIONS(4341),
    [anon_sym_LTtemplate_GT] = ACTIONS(4341),
    [anon_sym_DQUOTE] = ACTIONS(4341),
    [anon_sym_SQUOTE] = ACTIONS(4341),
    [anon_sym_class] = ACTIONS(4341),
    [anon_sym_async] = ACTIONS(4341),
    [anon_sym_function] = ACTIONS(4341),
    [anon_sym_new] = ACTIONS(4341),
    [anon_sym_using] = ACTIONS(4341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4341),
    [anon_sym_PLUS] = ACTIONS(4341),
    [anon_sym_DASH] = ACTIONS(4341),
    [anon_sym_SLASH] = ACTIONS(4341),
    [anon_sym_LT] = ACTIONS(4341),
    [anon_sym_TILDE] = ACTIONS(4341),
    [anon_sym_void] = ACTIONS(4341),
    [anon_sym_delete] = ACTIONS(4341),
    [anon_sym_PLUS_PLUS] = ACTIONS(4341),
    [anon_sym_DASH_DASH] = ACTIONS(4341),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4341),
    [sym_number] = ACTIONS(4341),
    [sym_private_property_identifier] = ACTIONS(4341),
    [sym_this] = ACTIONS(4341),
    [sym_super] = ACTIONS(4341),
    [sym_true] = ACTIONS(4341),
    [sym_false] = ACTIONS(4341),
    [sym_null] = ACTIONS(4341),
    [sym_undefined] = ACTIONS(4341),
    [anon_sym_AT] = ACTIONS(4341),
    [anon_sym_static] = ACTIONS(4341),
    [anon_sym_readonly] = ACTIONS(4341),
    [anon_sym_get] = ACTIONS(4341),
    [anon_sym_set] = ACTIONS(4341),
    [anon_sym_declare] = ACTIONS(4341),
    [anon_sym_public] = ACTIONS(4341),
    [anon_sym_private] = ACTIONS(4341),
    [anon_sym_protected] = ACTIONS(4341),
    [anon_sym_override] = ACTIONS(4341),
    [anon_sym_module] = ACTIONS(4341),
    [anon_sym_any] = ACTIONS(4341),
    [anon_sym_number] = ACTIONS(4341),
    [anon_sym_boolean] = ACTIONS(4341),
    [anon_sym_string] = ACTIONS(4341),
    [anon_sym_symbol] = ACTIONS(4341),
    [anon_sym_object] = ACTIONS(4341),
    [anon_sym_property] = ACTIONS(4341),
    [anon_sym_signal] = ACTIONS(4341),
    [anon_sym_on] = ACTIONS(4341),
    [anon_sym_required] = ACTIONS(4341),
    [anon_sym_component] = ACTIONS(4341),
    [sym_html_comment] = ACTIONS(5),
  },
  [2156] = {
    [sym_comment] = STATE(2156),
    [sym_identifier] = ACTIONS(4343),
    [anon_sym_export] = ACTIONS(4343),
    [anon_sym_type] = ACTIONS(4343),
    [anon_sym_namespace] = ACTIONS(4343),
    [anon_sym_LBRACE] = ACTIONS(4343),
    [anon_sym_typeof] = ACTIONS(4343),
    [anon_sym_import] = ACTIONS(4343),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4343),
    [anon_sym_LPAREN] = ACTIONS(4343),
    [anon_sym_await] = ACTIONS(4343),
    [anon_sym_of] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4343),
    [anon_sym_LTtemplate_GT] = ACTIONS(4343),
    [anon_sym_DQUOTE] = ACTIONS(4343),
    [anon_sym_SQUOTE] = ACTIONS(4343),
    [anon_sym_class] = ACTIONS(4343),
    [anon_sym_async] = ACTIONS(4343),
    [anon_sym_function] = ACTIONS(4343),
    [anon_sym_new] = ACTIONS(4343),
    [anon_sym_using] = ACTIONS(4343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4343),
    [anon_sym_PLUS] = ACTIONS(4343),
    [anon_sym_DASH] = ACTIONS(4343),
    [anon_sym_SLASH] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4343),
    [anon_sym_TILDE] = ACTIONS(4343),
    [anon_sym_void] = ACTIONS(4343),
    [anon_sym_delete] = ACTIONS(4343),
    [anon_sym_PLUS_PLUS] = ACTIONS(4343),
    [anon_sym_DASH_DASH] = ACTIONS(4343),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4343),
    [sym_number] = ACTIONS(4343),
    [sym_private_property_identifier] = ACTIONS(4343),
    [sym_this] = ACTIONS(4343),
    [sym_super] = ACTIONS(4343),
    [sym_true] = ACTIONS(4343),
    [sym_false] = ACTIONS(4343),
    [sym_null] = ACTIONS(4343),
    [sym_undefined] = ACTIONS(4343),
    [anon_sym_AT] = ACTIONS(4343),
    [anon_sym_static] = ACTIONS(4343),
    [anon_sym_readonly] = ACTIONS(4343),
    [anon_sym_get] = ACTIONS(4343),
    [anon_sym_set] = ACTIONS(4343),
    [anon_sym_declare] = ACTIONS(4343),
    [anon_sym_public] = ACTIONS(4343),
    [anon_sym_private] = ACTIONS(4343),
    [anon_sym_protected] = ACTIONS(4343),
    [anon_sym_override] = ACTIONS(4343),
    [anon_sym_module] = ACTIONS(4343),
    [anon_sym_any] = ACTIONS(4343),
    [anon_sym_number] = ACTIONS(4343),
    [anon_sym_boolean] = ACTIONS(4343),
    [anon_sym_string] = ACTIONS(4343),
    [anon_sym_symbol] = ACTIONS(4343),
    [anon_sym_object] = ACTIONS(4343),
    [anon_sym_property] = ACTIONS(4343),
    [anon_sym_signal] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_required] = ACTIONS(4343),
    [anon_sym_component] = ACTIONS(4343),
    [sym_html_comment] = ACTIONS(5),
  },
  [2157] = {
    [sym_comment] = STATE(2157),
    [sym_identifier] = ACTIONS(4345),
    [anon_sym_export] = ACTIONS(4345),
    [anon_sym_type] = ACTIONS(4345),
    [anon_sym_namespace] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4345),
    [anon_sym_typeof] = ACTIONS(4345),
    [anon_sym_import] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4345),
    [anon_sym_let] = ACTIONS(4345),
    [anon_sym_BANG] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_await] = ACTIONS(4345),
    [anon_sym_of] = ACTIONS(4345),
    [anon_sym_yield] = ACTIONS(4345),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LTtemplate_GT] = ACTIONS(4345),
    [anon_sym_DQUOTE] = ACTIONS(4345),
    [anon_sym_SQUOTE] = ACTIONS(4345),
    [anon_sym_class] = ACTIONS(4345),
    [anon_sym_async] = ACTIONS(4345),
    [anon_sym_function] = ACTIONS(4345),
    [anon_sym_new] = ACTIONS(4345),
    [anon_sym_using] = ACTIONS(4345),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4345),
    [anon_sym_DASH] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4345),
    [anon_sym_LT] = ACTIONS(4345),
    [anon_sym_TILDE] = ACTIONS(4345),
    [anon_sym_void] = ACTIONS(4345),
    [anon_sym_delete] = ACTIONS(4345),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4345),
    [sym_number] = ACTIONS(4345),
    [sym_private_property_identifier] = ACTIONS(4345),
    [sym_this] = ACTIONS(4345),
    [sym_super] = ACTIONS(4345),
    [sym_true] = ACTIONS(4345),
    [sym_false] = ACTIONS(4345),
    [sym_null] = ACTIONS(4345),
    [sym_undefined] = ACTIONS(4345),
    [anon_sym_AT] = ACTIONS(4345),
    [anon_sym_static] = ACTIONS(4345),
    [anon_sym_readonly] = ACTIONS(4345),
    [anon_sym_get] = ACTIONS(4345),
    [anon_sym_set] = ACTIONS(4345),
    [anon_sym_declare] = ACTIONS(4345),
    [anon_sym_public] = ACTIONS(4345),
    [anon_sym_private] = ACTIONS(4345),
    [anon_sym_protected] = ACTIONS(4345),
    [anon_sym_override] = ACTIONS(4345),
    [anon_sym_module] = ACTIONS(4345),
    [anon_sym_any] = ACTIONS(4345),
    [anon_sym_number] = ACTIONS(4345),
    [anon_sym_boolean] = ACTIONS(4345),
    [anon_sym_string] = ACTIONS(4345),
    [anon_sym_symbol] = ACTIONS(4345),
    [anon_sym_object] = ACTIONS(4345),
    [anon_sym_property] = ACTIONS(4345),
    [anon_sym_signal] = ACTIONS(4345),
    [anon_sym_on] = ACTIONS(4345),
    [anon_sym_required] = ACTIONS(4345),
    [anon_sym_component] = ACTIONS(4345),
    [sym_html_comment] = ACTIONS(5),
  },
  [2158] = {
    [sym_nested_identifier] = STATE(2951),
    [sym_string] = STATE(2952),
    [sym_comment] = STATE(2158),
    [sym__module] = STATE(3134),
    [sym_identifier] = ACTIONS(4333),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1337),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_RPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2159] = {
    [sym_comment] = STATE(2159),
    [sym_identifier] = ACTIONS(3638),
    [anon_sym_export] = ACTIONS(3638),
    [anon_sym_type] = ACTIONS(3638),
    [anon_sym_namespace] = ACTIONS(3638),
    [anon_sym_LBRACE] = ACTIONS(3638),
    [anon_sym_typeof] = ACTIONS(3638),
    [anon_sym_import] = ACTIONS(3638),
    [anon_sym_from] = ACTIONS(3638),
    [anon_sym_let] = ACTIONS(3638),
    [anon_sym_BANG] = ACTIONS(3638),
    [anon_sym_LPAREN] = ACTIONS(3638),
    [anon_sym_await] = ACTIONS(3638),
    [anon_sym_of] = ACTIONS(3638),
    [anon_sym_SEMI] = ACTIONS(3638),
    [anon_sym_yield] = ACTIONS(3638),
    [anon_sym_LBRACK] = ACTIONS(3638),
    [anon_sym_LTtemplate_GT] = ACTIONS(3638),
    [anon_sym_DQUOTE] = ACTIONS(3638),
    [anon_sym_SQUOTE] = ACTIONS(3638),
    [anon_sym_class] = ACTIONS(3638),
    [anon_sym_async] = ACTIONS(3638),
    [anon_sym_function] = ACTIONS(3638),
    [anon_sym_new] = ACTIONS(3638),
    [anon_sym_using] = ACTIONS(3638),
    [anon_sym_PLUS] = ACTIONS(3638),
    [anon_sym_DASH] = ACTIONS(3638),
    [anon_sym_SLASH] = ACTIONS(3638),
    [anon_sym_LT] = ACTIONS(3638),
    [anon_sym_TILDE] = ACTIONS(3638),
    [anon_sym_void] = ACTIONS(3638),
    [anon_sym_delete] = ACTIONS(3638),
    [anon_sym_PLUS_PLUS] = ACTIONS(3638),
    [anon_sym_DASH_DASH] = ACTIONS(3638),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(3638),
    [sym_number] = ACTIONS(3638),
    [sym_private_property_identifier] = ACTIONS(3638),
    [sym_this] = ACTIONS(3638),
    [sym_super] = ACTIONS(3638),
    [sym_true] = ACTIONS(3638),
    [sym_false] = ACTIONS(3638),
    [sym_null] = ACTIONS(3638),
    [sym_undefined] = ACTIONS(3638),
    [anon_sym_AT] = ACTIONS(3638),
    [anon_sym_static] = ACTIONS(3638),
    [anon_sym_readonly] = ACTIONS(3638),
    [anon_sym_get] = ACTIONS(3638),
    [anon_sym_set] = ACTIONS(3638),
    [anon_sym_declare] = ACTIONS(3638),
    [anon_sym_public] = ACTIONS(3638),
    [anon_sym_private] = ACTIONS(3638),
    [anon_sym_protected] = ACTIONS(3638),
    [anon_sym_override] = ACTIONS(3638),
    [anon_sym_module] = ACTIONS(3638),
    [anon_sym_any] = ACTIONS(3638),
    [anon_sym_number] = ACTIONS(3638),
    [anon_sym_boolean] = ACTIONS(3638),
    [anon_sym_string] = ACTIONS(3638),
    [anon_sym_symbol] = ACTIONS(3638),
    [anon_sym_object] = ACTIONS(3638),
    [anon_sym_property] = ACTIONS(3638),
    [anon_sym_signal] = ACTIONS(3638),
    [anon_sym_on] = ACTIONS(3638),
    [anon_sym_required] = ACTIONS(3638),
    [anon_sym_component] = ACTIONS(3638),
    [sym_html_comment] = ACTIONS(5),
  },
  [2160] = {
    [sym_nested_identifier] = STATE(1839),
    [sym_string] = STATE(1837),
    [sym_comment] = STATE(2160),
    [sym__module] = STATE(1856),
    [sym_identifier] = ACTIONS(4347),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4349),
    [anon_sym_SQUOTE] = ACTIONS(4351),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2161] = {
    [sym_nested_identifier] = STATE(356),
    [sym_string] = STATE(375),
    [sym_comment] = STATE(2161),
    [sym__module] = STATE(405),
    [sym_identifier] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4355),
    [anon_sym_SQUOTE] = ACTIONS(4357),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2162] = {
    [sym_comment] = STATE(2162),
    [sym_identifier] = ACTIONS(4359),
    [anon_sym_export] = ACTIONS(4359),
    [anon_sym_type] = ACTIONS(4359),
    [anon_sym_namespace] = ACTIONS(4359),
    [anon_sym_LBRACE] = ACTIONS(4359),
    [anon_sym_typeof] = ACTIONS(4359),
    [anon_sym_import] = ACTIONS(4359),
    [anon_sym_from] = ACTIONS(4359),
    [anon_sym_let] = ACTIONS(4359),
    [anon_sym_BANG] = ACTIONS(4359),
    [anon_sym_LPAREN] = ACTIONS(4359),
    [anon_sym_await] = ACTIONS(4359),
    [anon_sym_of] = ACTIONS(4359),
    [anon_sym_yield] = ACTIONS(4359),
    [anon_sym_LBRACK] = ACTIONS(4359),
    [anon_sym_LTtemplate_GT] = ACTIONS(4359),
    [anon_sym_DQUOTE] = ACTIONS(4359),
    [anon_sym_SQUOTE] = ACTIONS(4359),
    [anon_sym_class] = ACTIONS(4359),
    [anon_sym_async] = ACTIONS(4359),
    [anon_sym_function] = ACTIONS(4359),
    [anon_sym_new] = ACTIONS(4359),
    [anon_sym_using] = ACTIONS(4359),
    [anon_sym_PLUS] = ACTIONS(4359),
    [anon_sym_DASH] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4359),
    [anon_sym_LT] = ACTIONS(4359),
    [anon_sym_TILDE] = ACTIONS(4359),
    [anon_sym_void] = ACTIONS(4359),
    [anon_sym_delete] = ACTIONS(4359),
    [anon_sym_PLUS_PLUS] = ACTIONS(4359),
    [anon_sym_DASH_DASH] = ACTIONS(4359),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4359),
    [sym_number] = ACTIONS(4359),
    [sym_private_property_identifier] = ACTIONS(4359),
    [sym_this] = ACTIONS(4359),
    [sym_super] = ACTIONS(4359),
    [sym_true] = ACTIONS(4359),
    [sym_false] = ACTIONS(4359),
    [sym_null] = ACTIONS(4359),
    [sym_undefined] = ACTIONS(4359),
    [anon_sym_AT] = ACTIONS(4359),
    [anon_sym_static] = ACTIONS(4359),
    [anon_sym_readonly] = ACTIONS(4359),
    [anon_sym_get] = ACTIONS(4359),
    [anon_sym_set] = ACTIONS(4359),
    [anon_sym_declare] = ACTIONS(4359),
    [anon_sym_public] = ACTIONS(4359),
    [anon_sym_private] = ACTIONS(4359),
    [anon_sym_protected] = ACTIONS(4359),
    [anon_sym_override] = ACTIONS(4359),
    [anon_sym_module] = ACTIONS(4359),
    [anon_sym_any] = ACTIONS(4359),
    [anon_sym_number] = ACTIONS(4359),
    [anon_sym_boolean] = ACTIONS(4359),
    [anon_sym_string] = ACTIONS(4359),
    [anon_sym_symbol] = ACTIONS(4359),
    [anon_sym_object] = ACTIONS(4359),
    [anon_sym_property] = ACTIONS(4359),
    [anon_sym_signal] = ACTIONS(4359),
    [anon_sym_on] = ACTIONS(4359),
    [anon_sym_required] = ACTIONS(4359),
    [anon_sym_component] = ACTIONS(4359),
    [sym_html_comment] = ACTIONS(5),
  },
  [2163] = {
    [sym_nested_identifier] = STATE(414),
    [sym_string] = STATE(416),
    [sym_comment] = STATE(2163),
    [sym__module] = STATE(427),
    [sym_identifier] = ACTIONS(4361),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4363),
    [anon_sym_SQUOTE] = ACTIONS(4365),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2164] = {
    [sym_variable_declarator] = STATE(6535),
    [sym_object_pattern] = STATE(5358),
    [sym_array_pattern] = STATE(5358),
    [sym__destructuring_pattern] = STATE(5354),
    [sym_comment] = STATE(2164),
    [sym_identifier] = ACTIONS(4273),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(4275),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(4277),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2165] = {
    [sym_comment] = STATE(2165),
    [sym_identifier] = ACTIONS(4367),
    [anon_sym_export] = ACTIONS(4367),
    [anon_sym_type] = ACTIONS(4367),
    [anon_sym_namespace] = ACTIONS(4367),
    [anon_sym_LBRACE] = ACTIONS(4367),
    [anon_sym_typeof] = ACTIONS(4367),
    [anon_sym_import] = ACTIONS(4367),
    [anon_sym_from] = ACTIONS(4367),
    [anon_sym_let] = ACTIONS(4367),
    [anon_sym_BANG] = ACTIONS(4367),
    [anon_sym_LPAREN] = ACTIONS(4367),
    [anon_sym_await] = ACTIONS(4367),
    [anon_sym_of] = ACTIONS(4367),
    [anon_sym_yield] = ACTIONS(4367),
    [anon_sym_LBRACK] = ACTIONS(4367),
    [anon_sym_LTtemplate_GT] = ACTIONS(4367),
    [anon_sym_DQUOTE] = ACTIONS(4367),
    [anon_sym_SQUOTE] = ACTIONS(4367),
    [anon_sym_class] = ACTIONS(4367),
    [anon_sym_async] = ACTIONS(4367),
    [anon_sym_function] = ACTIONS(4367),
    [anon_sym_new] = ACTIONS(4367),
    [anon_sym_using] = ACTIONS(4367),
    [anon_sym_PLUS] = ACTIONS(4367),
    [anon_sym_DASH] = ACTIONS(4367),
    [anon_sym_SLASH] = ACTIONS(4367),
    [anon_sym_LT] = ACTIONS(4367),
    [anon_sym_TILDE] = ACTIONS(4367),
    [anon_sym_void] = ACTIONS(4367),
    [anon_sym_delete] = ACTIONS(4367),
    [anon_sym_PLUS_PLUS] = ACTIONS(4367),
    [anon_sym_DASH_DASH] = ACTIONS(4367),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4367),
    [sym_number] = ACTIONS(4367),
    [sym_private_property_identifier] = ACTIONS(4367),
    [sym_this] = ACTIONS(4367),
    [sym_super] = ACTIONS(4367),
    [sym_true] = ACTIONS(4367),
    [sym_false] = ACTIONS(4367),
    [sym_null] = ACTIONS(4367),
    [sym_undefined] = ACTIONS(4367),
    [anon_sym_AT] = ACTIONS(4367),
    [anon_sym_static] = ACTIONS(4367),
    [anon_sym_readonly] = ACTIONS(4367),
    [anon_sym_get] = ACTIONS(4367),
    [anon_sym_set] = ACTIONS(4367),
    [anon_sym_declare] = ACTIONS(4367),
    [anon_sym_public] = ACTIONS(4367),
    [anon_sym_private] = ACTIONS(4367),
    [anon_sym_protected] = ACTIONS(4367),
    [anon_sym_override] = ACTIONS(4367),
    [anon_sym_module] = ACTIONS(4367),
    [anon_sym_any] = ACTIONS(4367),
    [anon_sym_number] = ACTIONS(4367),
    [anon_sym_boolean] = ACTIONS(4367),
    [anon_sym_string] = ACTIONS(4367),
    [anon_sym_symbol] = ACTIONS(4367),
    [anon_sym_object] = ACTIONS(4367),
    [anon_sym_property] = ACTIONS(4367),
    [anon_sym_signal] = ACTIONS(4367),
    [anon_sym_on] = ACTIONS(4367),
    [anon_sym_required] = ACTIONS(4367),
    [anon_sym_component] = ACTIONS(4367),
    [sym_html_comment] = ACTIONS(5),
  },
  [2166] = {
    [sym_nested_identifier] = STATE(2951),
    [sym_string] = STATE(2952),
    [sym_comment] = STATE(2166),
    [sym__module] = STATE(3134),
    [sym_identifier] = ACTIONS(4333),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1337),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(1414),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2167] = {
    [sym_variable_declarator] = STATE(6345),
    [sym_object_pattern] = STATE(5358),
    [sym_array_pattern] = STATE(5358),
    [sym__destructuring_pattern] = STATE(4987),
    [sym_comment] = STATE(2167),
    [sym_identifier] = ACTIONS(4369),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(4275),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(1419),
    [anon_sym_of] = ACTIONS(4371),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(4277),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2168] = {
    [sym_nested_identifier] = STATE(1325),
    [sym_string] = STATE(1610),
    [sym_comment] = STATE(2168),
    [sym__module] = STATE(1668),
    [sym_identifier] = ACTIONS(4287),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4289),
    [anon_sym_SQUOTE] = ACTIONS(4291),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2169] = {
    [sym_nested_identifier] = STATE(2785),
    [sym_string] = STATE(2757),
    [sym_comment] = STATE(2169),
    [sym__module] = STATE(3018),
    [sym_identifier] = ACTIONS(4335),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(1419),
    [anon_sym_of] = ACTIONS(4371),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2170] = {
    [sym_variable_declarator] = STATE(6425),
    [sym_object_pattern] = STATE(5358),
    [sym_array_pattern] = STATE(5358),
    [sym__destructuring_pattern] = STATE(5354),
    [sym_comment] = STATE(2170),
    [sym_identifier] = ACTIONS(4273),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(4275),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(4277),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2171] = {
    [sym_nested_identifier] = STATE(2785),
    [sym_string] = STATE(2757),
    [sym_comment] = STATE(2171),
    [sym__module] = STATE(3018),
    [sym_identifier] = ACTIONS(4335),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2172] = {
    [sym_nested_identifier] = STATE(2785),
    [sym_string] = STATE(2757),
    [sym_comment] = STATE(2172),
    [sym__module] = STATE(3018),
    [sym_identifier] = ACTIONS(4335),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1428),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_EQ_GT] = ACTIONS(1417),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2173] = {
    [sym_nested_identifier] = STATE(428),
    [sym_string] = STATE(463),
    [sym_comment] = STATE(2173),
    [sym__module] = STATE(508),
    [sym_identifier] = ACTIONS(4281),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4283),
    [anon_sym_SQUOTE] = ACTIONS(4285),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2174] = {
    [sym_variable_declarator] = STATE(6340),
    [sym_object_pattern] = STATE(5358),
    [sym_array_pattern] = STATE(5358),
    [sym__destructuring_pattern] = STATE(5354),
    [sym_comment] = STATE(2174),
    [sym_identifier] = ACTIONS(4273),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(4275),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(4277),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2175] = {
    [sym_nested_identifier] = STATE(335),
    [sym_string] = STATE(338),
    [sym_comment] = STATE(2175),
    [sym__module] = STATE(366),
    [sym_identifier] = ACTIONS(4373),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4375),
    [anon_sym_SQUOTE] = ACTIONS(4377),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2176] = {
    [sym_comment] = STATE(2176),
    [sym_identifier] = ACTIONS(4379),
    [anon_sym_export] = ACTIONS(4379),
    [anon_sym_type] = ACTIONS(4379),
    [anon_sym_namespace] = ACTIONS(4379),
    [anon_sym_LBRACE] = ACTIONS(4379),
    [anon_sym_typeof] = ACTIONS(4379),
    [anon_sym_import] = ACTIONS(4379),
    [anon_sym_from] = ACTIONS(4379),
    [anon_sym_let] = ACTIONS(4379),
    [anon_sym_BANG] = ACTIONS(4379),
    [anon_sym_LPAREN] = ACTIONS(4379),
    [anon_sym_await] = ACTIONS(4379),
    [anon_sym_of] = ACTIONS(4379),
    [anon_sym_yield] = ACTIONS(4379),
    [anon_sym_LBRACK] = ACTIONS(4379),
    [anon_sym_LTtemplate_GT] = ACTIONS(4379),
    [anon_sym_DQUOTE] = ACTIONS(4379),
    [anon_sym_SQUOTE] = ACTIONS(4379),
    [anon_sym_class] = ACTIONS(4379),
    [anon_sym_async] = ACTIONS(4379),
    [anon_sym_function] = ACTIONS(4379),
    [anon_sym_new] = ACTIONS(4379),
    [anon_sym_using] = ACTIONS(4379),
    [anon_sym_PLUS] = ACTIONS(4379),
    [anon_sym_DASH] = ACTIONS(4379),
    [anon_sym_SLASH] = ACTIONS(4379),
    [anon_sym_LT] = ACTIONS(4379),
    [anon_sym_TILDE] = ACTIONS(4379),
    [anon_sym_void] = ACTIONS(4379),
    [anon_sym_delete] = ACTIONS(4379),
    [anon_sym_PLUS_PLUS] = ACTIONS(4379),
    [anon_sym_DASH_DASH] = ACTIONS(4379),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4379),
    [sym_number] = ACTIONS(4379),
    [sym_private_property_identifier] = ACTIONS(4379),
    [sym_this] = ACTIONS(4379),
    [sym_super] = ACTIONS(4379),
    [sym_true] = ACTIONS(4379),
    [sym_false] = ACTIONS(4379),
    [sym_null] = ACTIONS(4379),
    [sym_undefined] = ACTIONS(4379),
    [anon_sym_AT] = ACTIONS(4379),
    [anon_sym_static] = ACTIONS(4379),
    [anon_sym_readonly] = ACTIONS(4379),
    [anon_sym_get] = ACTIONS(4379),
    [anon_sym_set] = ACTIONS(4379),
    [anon_sym_declare] = ACTIONS(4379),
    [anon_sym_public] = ACTIONS(4379),
    [anon_sym_private] = ACTIONS(4379),
    [anon_sym_protected] = ACTIONS(4379),
    [anon_sym_override] = ACTIONS(4379),
    [anon_sym_module] = ACTIONS(4379),
    [anon_sym_any] = ACTIONS(4379),
    [anon_sym_number] = ACTIONS(4379),
    [anon_sym_boolean] = ACTIONS(4379),
    [anon_sym_string] = ACTIONS(4379),
    [anon_sym_symbol] = ACTIONS(4379),
    [anon_sym_object] = ACTIONS(4379),
    [anon_sym_property] = ACTIONS(4379),
    [anon_sym_signal] = ACTIONS(4379),
    [anon_sym_on] = ACTIONS(4379),
    [anon_sym_required] = ACTIONS(4379),
    [anon_sym_component] = ACTIONS(4379),
    [sym_html_comment] = ACTIONS(5),
  },
  [2177] = {
    [sym_comment] = STATE(2177),
    [sym_identifier] = ACTIONS(4381),
    [anon_sym_export] = ACTIONS(4381),
    [anon_sym_type] = ACTIONS(4381),
    [anon_sym_namespace] = ACTIONS(4381),
    [anon_sym_LBRACE] = ACTIONS(4381),
    [anon_sym_typeof] = ACTIONS(4381),
    [anon_sym_import] = ACTIONS(4381),
    [anon_sym_from] = ACTIONS(4381),
    [anon_sym_let] = ACTIONS(4381),
    [anon_sym_BANG] = ACTIONS(4381),
    [anon_sym_LPAREN] = ACTIONS(4381),
    [anon_sym_await] = ACTIONS(4381),
    [anon_sym_of] = ACTIONS(4381),
    [anon_sym_yield] = ACTIONS(4381),
    [anon_sym_LBRACK] = ACTIONS(4381),
    [anon_sym_LTtemplate_GT] = ACTIONS(4381),
    [anon_sym_DQUOTE] = ACTIONS(4381),
    [anon_sym_SQUOTE] = ACTIONS(4381),
    [anon_sym_class] = ACTIONS(4381),
    [anon_sym_async] = ACTIONS(4381),
    [anon_sym_function] = ACTIONS(4381),
    [anon_sym_new] = ACTIONS(4381),
    [anon_sym_using] = ACTIONS(4381),
    [anon_sym_PLUS] = ACTIONS(4381),
    [anon_sym_DASH] = ACTIONS(4381),
    [anon_sym_SLASH] = ACTIONS(4381),
    [anon_sym_LT] = ACTIONS(4381),
    [anon_sym_TILDE] = ACTIONS(4381),
    [anon_sym_void] = ACTIONS(4381),
    [anon_sym_delete] = ACTIONS(4381),
    [anon_sym_PLUS_PLUS] = ACTIONS(4381),
    [anon_sym_DASH_DASH] = ACTIONS(4381),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4381),
    [sym_number] = ACTIONS(4381),
    [sym_private_property_identifier] = ACTIONS(4381),
    [sym_this] = ACTIONS(4381),
    [sym_super] = ACTIONS(4381),
    [sym_true] = ACTIONS(4381),
    [sym_false] = ACTIONS(4381),
    [sym_null] = ACTIONS(4381),
    [sym_undefined] = ACTIONS(4381),
    [anon_sym_AT] = ACTIONS(4381),
    [anon_sym_static] = ACTIONS(4381),
    [anon_sym_readonly] = ACTIONS(4381),
    [anon_sym_get] = ACTIONS(4381),
    [anon_sym_set] = ACTIONS(4381),
    [anon_sym_declare] = ACTIONS(4381),
    [anon_sym_public] = ACTIONS(4381),
    [anon_sym_private] = ACTIONS(4381),
    [anon_sym_protected] = ACTIONS(4381),
    [anon_sym_override] = ACTIONS(4381),
    [anon_sym_module] = ACTIONS(4381),
    [anon_sym_any] = ACTIONS(4381),
    [anon_sym_number] = ACTIONS(4381),
    [anon_sym_boolean] = ACTIONS(4381),
    [anon_sym_string] = ACTIONS(4381),
    [anon_sym_symbol] = ACTIONS(4381),
    [anon_sym_object] = ACTIONS(4381),
    [anon_sym_property] = ACTIONS(4381),
    [anon_sym_signal] = ACTIONS(4381),
    [anon_sym_on] = ACTIONS(4381),
    [anon_sym_required] = ACTIONS(4381),
    [anon_sym_component] = ACTIONS(4381),
    [sym_html_comment] = ACTIONS(5),
  },
  [2178] = {
    [sym_comment] = STATE(2178),
    [sym_identifier] = ACTIONS(4383),
    [anon_sym_export] = ACTIONS(4383),
    [anon_sym_type] = ACTIONS(4383),
    [anon_sym_namespace] = ACTIONS(4383),
    [anon_sym_LBRACE] = ACTIONS(4383),
    [anon_sym_typeof] = ACTIONS(4383),
    [anon_sym_import] = ACTIONS(4383),
    [anon_sym_from] = ACTIONS(4383),
    [anon_sym_let] = ACTIONS(4383),
    [anon_sym_BANG] = ACTIONS(4383),
    [anon_sym_LPAREN] = ACTIONS(4383),
    [anon_sym_await] = ACTIONS(4383),
    [anon_sym_of] = ACTIONS(4383),
    [anon_sym_yield] = ACTIONS(4383),
    [anon_sym_LBRACK] = ACTIONS(4383),
    [anon_sym_LTtemplate_GT] = ACTIONS(4383),
    [anon_sym_DQUOTE] = ACTIONS(4383),
    [anon_sym_SQUOTE] = ACTIONS(4383),
    [anon_sym_class] = ACTIONS(4383),
    [anon_sym_async] = ACTIONS(4383),
    [anon_sym_function] = ACTIONS(4383),
    [anon_sym_new] = ACTIONS(4383),
    [anon_sym_using] = ACTIONS(4383),
    [anon_sym_PLUS] = ACTIONS(4383),
    [anon_sym_DASH] = ACTIONS(4383),
    [anon_sym_SLASH] = ACTIONS(4383),
    [anon_sym_LT] = ACTIONS(4383),
    [anon_sym_TILDE] = ACTIONS(4383),
    [anon_sym_void] = ACTIONS(4383),
    [anon_sym_delete] = ACTIONS(4383),
    [anon_sym_PLUS_PLUS] = ACTIONS(4383),
    [anon_sym_DASH_DASH] = ACTIONS(4383),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4383),
    [sym_number] = ACTIONS(4383),
    [sym_private_property_identifier] = ACTIONS(4383),
    [sym_this] = ACTIONS(4383),
    [sym_super] = ACTIONS(4383),
    [sym_true] = ACTIONS(4383),
    [sym_false] = ACTIONS(4383),
    [sym_null] = ACTIONS(4383),
    [sym_undefined] = ACTIONS(4383),
    [anon_sym_AT] = ACTIONS(4383),
    [anon_sym_static] = ACTIONS(4383),
    [anon_sym_readonly] = ACTIONS(4383),
    [anon_sym_get] = ACTIONS(4383),
    [anon_sym_set] = ACTIONS(4383),
    [anon_sym_declare] = ACTIONS(4383),
    [anon_sym_public] = ACTIONS(4383),
    [anon_sym_private] = ACTIONS(4383),
    [anon_sym_protected] = ACTIONS(4383),
    [anon_sym_override] = ACTIONS(4383),
    [anon_sym_module] = ACTIONS(4383),
    [anon_sym_any] = ACTIONS(4383),
    [anon_sym_number] = ACTIONS(4383),
    [anon_sym_boolean] = ACTIONS(4383),
    [anon_sym_string] = ACTIONS(4383),
    [anon_sym_symbol] = ACTIONS(4383),
    [anon_sym_object] = ACTIONS(4383),
    [anon_sym_property] = ACTIONS(4383),
    [anon_sym_signal] = ACTIONS(4383),
    [anon_sym_on] = ACTIONS(4383),
    [anon_sym_required] = ACTIONS(4383),
    [anon_sym_component] = ACTIONS(4383),
    [sym_html_comment] = ACTIONS(5),
  },
  [2179] = {
    [sym_nested_identifier] = STATE(3968),
    [sym_string] = STATE(4015),
    [sym_comment] = STATE(2179),
    [sym__module] = STATE(4336),
    [sym_identifier] = ACTIONS(4385),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4387),
    [anon_sym_SQUOTE] = ACTIONS(4389),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2180] = {
    [sym_nested_identifier] = STATE(2785),
    [sym_string] = STATE(2757),
    [sym_comment] = STATE(2180),
    [sym__module] = STATE(3018),
    [sym_identifier] = ACTIONS(4335),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [anon_sym_SQUOTE] = ACTIONS(199),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2181] = {
    [sym_comment] = STATE(2181),
    [sym_identifier] = ACTIONS(4391),
    [anon_sym_export] = ACTIONS(4391),
    [anon_sym_type] = ACTIONS(4391),
    [anon_sym_namespace] = ACTIONS(4391),
    [anon_sym_LBRACE] = ACTIONS(4391),
    [anon_sym_typeof] = ACTIONS(4391),
    [anon_sym_import] = ACTIONS(4391),
    [anon_sym_from] = ACTIONS(4391),
    [anon_sym_let] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(4391),
    [anon_sym_LPAREN] = ACTIONS(4391),
    [anon_sym_await] = ACTIONS(4391),
    [anon_sym_of] = ACTIONS(4391),
    [anon_sym_yield] = ACTIONS(4391),
    [anon_sym_LBRACK] = ACTIONS(4391),
    [anon_sym_LTtemplate_GT] = ACTIONS(4391),
    [anon_sym_DQUOTE] = ACTIONS(4391),
    [anon_sym_SQUOTE] = ACTIONS(4391),
    [anon_sym_class] = ACTIONS(4391),
    [anon_sym_async] = ACTIONS(4391),
    [anon_sym_function] = ACTIONS(4391),
    [anon_sym_new] = ACTIONS(4391),
    [anon_sym_using] = ACTIONS(4391),
    [anon_sym_PLUS] = ACTIONS(4391),
    [anon_sym_DASH] = ACTIONS(4391),
    [anon_sym_SLASH] = ACTIONS(4391),
    [anon_sym_LT] = ACTIONS(4391),
    [anon_sym_TILDE] = ACTIONS(4391),
    [anon_sym_void] = ACTIONS(4391),
    [anon_sym_delete] = ACTIONS(4391),
    [anon_sym_PLUS_PLUS] = ACTIONS(4391),
    [anon_sym_DASH_DASH] = ACTIONS(4391),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4391),
    [sym_number] = ACTIONS(4391),
    [sym_private_property_identifier] = ACTIONS(4391),
    [sym_this] = ACTIONS(4391),
    [sym_super] = ACTIONS(4391),
    [sym_true] = ACTIONS(4391),
    [sym_false] = ACTIONS(4391),
    [sym_null] = ACTIONS(4391),
    [sym_undefined] = ACTIONS(4391),
    [anon_sym_AT] = ACTIONS(4391),
    [anon_sym_static] = ACTIONS(4391),
    [anon_sym_readonly] = ACTIONS(4391),
    [anon_sym_get] = ACTIONS(4391),
    [anon_sym_set] = ACTIONS(4391),
    [anon_sym_declare] = ACTIONS(4391),
    [anon_sym_public] = ACTIONS(4391),
    [anon_sym_private] = ACTIONS(4391),
    [anon_sym_protected] = ACTIONS(4391),
    [anon_sym_override] = ACTIONS(4391),
    [anon_sym_module] = ACTIONS(4391),
    [anon_sym_any] = ACTIONS(4391),
    [anon_sym_number] = ACTIONS(4391),
    [anon_sym_boolean] = ACTIONS(4391),
    [anon_sym_string] = ACTIONS(4391),
    [anon_sym_symbol] = ACTIONS(4391),
    [anon_sym_object] = ACTIONS(4391),
    [anon_sym_property] = ACTIONS(4391),
    [anon_sym_signal] = ACTIONS(4391),
    [anon_sym_on] = ACTIONS(4391),
    [anon_sym_required] = ACTIONS(4391),
    [anon_sym_component] = ACTIONS(4391),
    [sym_html_comment] = ACTIONS(5),
  },
  [2182] = {
    [sym_nested_identifier] = STATE(2951),
    [sym_string] = STATE(2952),
    [sym_comment] = STATE(2182),
    [sym__module] = STATE(3134),
    [sym_identifier] = ACTIONS(4333),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2183] = {
    [sym_variable_declarator] = STATE(6562),
    [sym_object_pattern] = STATE(5358),
    [sym_array_pattern] = STATE(5358),
    [sym__destructuring_pattern] = STATE(5354),
    [sym_comment] = STATE(2183),
    [sym_identifier] = ACTIONS(4273),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(4275),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(4277),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2184] = {
    [sym_nested_identifier] = STATE(1005),
    [sym_string] = STATE(1024),
    [sym_comment] = STATE(2184),
    [sym__module] = STATE(1072),
    [sym_identifier] = ACTIONS(4393),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4395),
    [anon_sym_SQUOTE] = ACTIONS(4397),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2185] = {
    [sym_nested_identifier] = STATE(3889),
    [sym_string] = STATE(3922),
    [sym_comment] = STATE(2185),
    [sym__module] = STATE(4141),
    [sym_identifier] = ACTIONS(4399),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4401),
    [anon_sym_SQUOTE] = ACTIONS(4403),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2186] = {
    [sym_nested_identifier] = STATE(5943),
    [sym_string] = STATE(6516),
    [sym_comment] = STATE(2186),
    [sym__module] = STATE(8006),
    [sym_identifier] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(2267),
    [anon_sym_SQUOTE] = ACTIONS(2269),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2187] = {
    [sym_comment] = STATE(2187),
    [sym_identifier] = ACTIONS(4391),
    [anon_sym_export] = ACTIONS(4391),
    [anon_sym_type] = ACTIONS(4391),
    [anon_sym_namespace] = ACTIONS(4391),
    [anon_sym_LBRACE] = ACTIONS(4391),
    [anon_sym_typeof] = ACTIONS(4391),
    [anon_sym_import] = ACTIONS(4391),
    [anon_sym_from] = ACTIONS(4391),
    [anon_sym_let] = ACTIONS(4391),
    [anon_sym_BANG] = ACTIONS(4391),
    [anon_sym_LPAREN] = ACTIONS(4391),
    [anon_sym_await] = ACTIONS(4391),
    [anon_sym_of] = ACTIONS(4391),
    [anon_sym_yield] = ACTIONS(4391),
    [anon_sym_LBRACK] = ACTIONS(4391),
    [anon_sym_LTtemplate_GT] = ACTIONS(4391),
    [anon_sym_DQUOTE] = ACTIONS(4391),
    [anon_sym_SQUOTE] = ACTIONS(4391),
    [anon_sym_class] = ACTIONS(4391),
    [anon_sym_async] = ACTIONS(4391),
    [anon_sym_function] = ACTIONS(4391),
    [anon_sym_new] = ACTIONS(4391),
    [anon_sym_using] = ACTIONS(4391),
    [anon_sym_PLUS] = ACTIONS(4391),
    [anon_sym_DASH] = ACTIONS(4391),
    [anon_sym_SLASH] = ACTIONS(4391),
    [anon_sym_LT] = ACTIONS(4391),
    [anon_sym_TILDE] = ACTIONS(4391),
    [anon_sym_void] = ACTIONS(4391),
    [anon_sym_delete] = ACTIONS(4391),
    [anon_sym_PLUS_PLUS] = ACTIONS(4391),
    [anon_sym_DASH_DASH] = ACTIONS(4391),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4391),
    [sym_number] = ACTIONS(4391),
    [sym_private_property_identifier] = ACTIONS(4391),
    [sym_this] = ACTIONS(4391),
    [sym_super] = ACTIONS(4391),
    [sym_true] = ACTIONS(4391),
    [sym_false] = ACTIONS(4391),
    [sym_null] = ACTIONS(4391),
    [sym_undefined] = ACTIONS(4391),
    [anon_sym_AT] = ACTIONS(4391),
    [anon_sym_static] = ACTIONS(4391),
    [anon_sym_readonly] = ACTIONS(4391),
    [anon_sym_get] = ACTIONS(4391),
    [anon_sym_set] = ACTIONS(4391),
    [anon_sym_declare] = ACTIONS(4391),
    [anon_sym_public] = ACTIONS(4391),
    [anon_sym_private] = ACTIONS(4391),
    [anon_sym_protected] = ACTIONS(4391),
    [anon_sym_override] = ACTIONS(4391),
    [anon_sym_module] = ACTIONS(4391),
    [anon_sym_any] = ACTIONS(4391),
    [anon_sym_number] = ACTIONS(4391),
    [anon_sym_boolean] = ACTIONS(4391),
    [anon_sym_string] = ACTIONS(4391),
    [anon_sym_symbol] = ACTIONS(4391),
    [anon_sym_object] = ACTIONS(4391),
    [anon_sym_property] = ACTIONS(4391),
    [anon_sym_signal] = ACTIONS(4391),
    [anon_sym_on] = ACTIONS(4391),
    [anon_sym_required] = ACTIONS(4391),
    [anon_sym_component] = ACTIONS(4391),
    [sym_html_comment] = ACTIONS(5),
  },
  [2188] = {
    [sym_nested_identifier] = STATE(1129),
    [sym_string] = STATE(1364),
    [sym_comment] = STATE(2188),
    [sym__module] = STATE(1568),
    [sym_identifier] = ACTIONS(4407),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4409),
    [anon_sym_SQUOTE] = ACTIONS(4411),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2189] = {
    [sym_nested_identifier] = STATE(2951),
    [sym_string] = STATE(2952),
    [sym_comment] = STATE(2189),
    [sym__module] = STATE(3134),
    [sym_identifier] = ACTIONS(4333),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_of] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(1417),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2190] = {
    [sym_variable_declarator] = STATE(6462),
    [sym_object_pattern] = STATE(5358),
    [sym_array_pattern] = STATE(5358),
    [sym__destructuring_pattern] = STATE(5354),
    [sym_comment] = STATE(2190),
    [sym_identifier] = ACTIONS(4273),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(4275),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(4277),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2191] = {
    [sym_comment] = STATE(2191),
    [sym_identifier] = ACTIONS(4413),
    [anon_sym_export] = ACTIONS(4413),
    [anon_sym_type] = ACTIONS(4413),
    [anon_sym_namespace] = ACTIONS(4413),
    [anon_sym_LBRACE] = ACTIONS(4413),
    [anon_sym_typeof] = ACTIONS(4413),
    [anon_sym_import] = ACTIONS(4413),
    [anon_sym_from] = ACTIONS(4413),
    [anon_sym_let] = ACTIONS(4413),
    [anon_sym_BANG] = ACTIONS(4413),
    [anon_sym_LPAREN] = ACTIONS(4413),
    [anon_sym_await] = ACTIONS(4413),
    [anon_sym_of] = ACTIONS(4413),
    [anon_sym_yield] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(4413),
    [anon_sym_LTtemplate_GT] = ACTIONS(4413),
    [anon_sym_DQUOTE] = ACTIONS(4413),
    [anon_sym_SQUOTE] = ACTIONS(4413),
    [anon_sym_class] = ACTIONS(4413),
    [anon_sym_async] = ACTIONS(4413),
    [anon_sym_function] = ACTIONS(4413),
    [anon_sym_new] = ACTIONS(4413),
    [anon_sym_using] = ACTIONS(4413),
    [anon_sym_PLUS] = ACTIONS(4413),
    [anon_sym_DASH] = ACTIONS(4413),
    [anon_sym_SLASH] = ACTIONS(4413),
    [anon_sym_LT] = ACTIONS(4413),
    [anon_sym_TILDE] = ACTIONS(4413),
    [anon_sym_void] = ACTIONS(4413),
    [anon_sym_delete] = ACTIONS(4413),
    [anon_sym_PLUS_PLUS] = ACTIONS(4413),
    [anon_sym_DASH_DASH] = ACTIONS(4413),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4413),
    [sym_number] = ACTIONS(4413),
    [sym_private_property_identifier] = ACTIONS(4413),
    [sym_this] = ACTIONS(4413),
    [sym_super] = ACTIONS(4413),
    [sym_true] = ACTIONS(4413),
    [sym_false] = ACTIONS(4413),
    [sym_null] = ACTIONS(4413),
    [sym_undefined] = ACTIONS(4413),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_static] = ACTIONS(4413),
    [anon_sym_readonly] = ACTIONS(4413),
    [anon_sym_get] = ACTIONS(4413),
    [anon_sym_set] = ACTIONS(4413),
    [anon_sym_declare] = ACTIONS(4413),
    [anon_sym_public] = ACTIONS(4413),
    [anon_sym_private] = ACTIONS(4413),
    [anon_sym_protected] = ACTIONS(4413),
    [anon_sym_override] = ACTIONS(4413),
    [anon_sym_module] = ACTIONS(4413),
    [anon_sym_any] = ACTIONS(4413),
    [anon_sym_number] = ACTIONS(4413),
    [anon_sym_boolean] = ACTIONS(4413),
    [anon_sym_string] = ACTIONS(4413),
    [anon_sym_symbol] = ACTIONS(4413),
    [anon_sym_object] = ACTIONS(4413),
    [anon_sym_property] = ACTIONS(4413),
    [anon_sym_signal] = ACTIONS(4413),
    [anon_sym_on] = ACTIONS(4413),
    [anon_sym_required] = ACTIONS(4413),
    [anon_sym_component] = ACTIONS(4413),
    [sym_html_comment] = ACTIONS(5),
  },
  [2192] = {
    [sym_nested_identifier] = STATE(1017),
    [sym_string] = STATE(1112),
    [sym_comment] = STATE(2192),
    [sym__module] = STATE(1290),
    [sym_identifier] = ACTIONS(4415),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4417),
    [anon_sym_SQUOTE] = ACTIONS(4419),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2193] = {
    [sym_variable_declarator] = STATE(6394),
    [sym_object_pattern] = STATE(5358),
    [sym_array_pattern] = STATE(5358),
    [sym__destructuring_pattern] = STATE(5354),
    [sym_comment] = STATE(2193),
    [sym_identifier] = ACTIONS(4273),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(4275),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(4277),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2194] = {
    [sym_variable_declarator] = STATE(6448),
    [sym_object_pattern] = STATE(5358),
    [sym_array_pattern] = STATE(5358),
    [sym__destructuring_pattern] = STATE(5354),
    [sym_comment] = STATE(2194),
    [sym_identifier] = ACTIONS(4273),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(4275),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(4277),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2195] = {
    [sym_comment] = STATE(2195),
    [sym_identifier] = ACTIONS(4367),
    [anon_sym_export] = ACTIONS(4367),
    [anon_sym_type] = ACTIONS(4367),
    [anon_sym_namespace] = ACTIONS(4367),
    [anon_sym_LBRACE] = ACTIONS(4367),
    [anon_sym_typeof] = ACTIONS(4367),
    [anon_sym_import] = ACTIONS(4367),
    [anon_sym_from] = ACTIONS(4367),
    [anon_sym_let] = ACTIONS(4367),
    [anon_sym_BANG] = ACTIONS(4367),
    [anon_sym_LPAREN] = ACTIONS(4367),
    [anon_sym_await] = ACTIONS(4367),
    [anon_sym_of] = ACTIONS(4367),
    [anon_sym_yield] = ACTIONS(4367),
    [anon_sym_LBRACK] = ACTIONS(4367),
    [anon_sym_LTtemplate_GT] = ACTIONS(4367),
    [anon_sym_DQUOTE] = ACTIONS(4367),
    [anon_sym_SQUOTE] = ACTIONS(4367),
    [anon_sym_class] = ACTIONS(4367),
    [anon_sym_async] = ACTIONS(4367),
    [anon_sym_function] = ACTIONS(4367),
    [anon_sym_new] = ACTIONS(4367),
    [anon_sym_using] = ACTIONS(4367),
    [anon_sym_PLUS] = ACTIONS(4367),
    [anon_sym_DASH] = ACTIONS(4367),
    [anon_sym_SLASH] = ACTIONS(4367),
    [anon_sym_LT] = ACTIONS(4367),
    [anon_sym_TILDE] = ACTIONS(4367),
    [anon_sym_void] = ACTIONS(4367),
    [anon_sym_delete] = ACTIONS(4367),
    [anon_sym_PLUS_PLUS] = ACTIONS(4367),
    [anon_sym_DASH_DASH] = ACTIONS(4367),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4367),
    [sym_number] = ACTIONS(4367),
    [sym_private_property_identifier] = ACTIONS(4367),
    [sym_this] = ACTIONS(4367),
    [sym_super] = ACTIONS(4367),
    [sym_true] = ACTIONS(4367),
    [sym_false] = ACTIONS(4367),
    [sym_null] = ACTIONS(4367),
    [sym_undefined] = ACTIONS(4367),
    [anon_sym_AT] = ACTIONS(4367),
    [anon_sym_static] = ACTIONS(4367),
    [anon_sym_readonly] = ACTIONS(4367),
    [anon_sym_get] = ACTIONS(4367),
    [anon_sym_set] = ACTIONS(4367),
    [anon_sym_declare] = ACTIONS(4367),
    [anon_sym_public] = ACTIONS(4367),
    [anon_sym_private] = ACTIONS(4367),
    [anon_sym_protected] = ACTIONS(4367),
    [anon_sym_override] = ACTIONS(4367),
    [anon_sym_module] = ACTIONS(4367),
    [anon_sym_any] = ACTIONS(4367),
    [anon_sym_number] = ACTIONS(4367),
    [anon_sym_boolean] = ACTIONS(4367),
    [anon_sym_string] = ACTIONS(4367),
    [anon_sym_symbol] = ACTIONS(4367),
    [anon_sym_object] = ACTIONS(4367),
    [anon_sym_property] = ACTIONS(4367),
    [anon_sym_signal] = ACTIONS(4367),
    [anon_sym_on] = ACTIONS(4367),
    [anon_sym_required] = ACTIONS(4367),
    [anon_sym_component] = ACTIONS(4367),
    [sym_html_comment] = ACTIONS(5),
  },
  [2196] = {
    [sym_comment] = STATE(2196),
    [sym_identifier] = ACTIONS(4421),
    [anon_sym_export] = ACTIONS(4421),
    [anon_sym_type] = ACTIONS(4421),
    [anon_sym_namespace] = ACTIONS(4421),
    [anon_sym_LBRACE] = ACTIONS(4421),
    [anon_sym_typeof] = ACTIONS(4421),
    [anon_sym_import] = ACTIONS(4421),
    [anon_sym_from] = ACTIONS(4421),
    [anon_sym_let] = ACTIONS(4421),
    [anon_sym_BANG] = ACTIONS(4421),
    [anon_sym_LPAREN] = ACTIONS(4421),
    [anon_sym_await] = ACTIONS(4421),
    [anon_sym_of] = ACTIONS(4421),
    [anon_sym_yield] = ACTIONS(4421),
    [anon_sym_LBRACK] = ACTIONS(4421),
    [anon_sym_LTtemplate_GT] = ACTIONS(4421),
    [anon_sym_DQUOTE] = ACTIONS(4421),
    [anon_sym_SQUOTE] = ACTIONS(4421),
    [anon_sym_class] = ACTIONS(4421),
    [anon_sym_async] = ACTIONS(4421),
    [anon_sym_function] = ACTIONS(4421),
    [anon_sym_new] = ACTIONS(4421),
    [anon_sym_using] = ACTIONS(4421),
    [anon_sym_PLUS] = ACTIONS(4421),
    [anon_sym_DASH] = ACTIONS(4421),
    [anon_sym_SLASH] = ACTIONS(4421),
    [anon_sym_LT] = ACTIONS(4421),
    [anon_sym_TILDE] = ACTIONS(4421),
    [anon_sym_void] = ACTIONS(4421),
    [anon_sym_delete] = ACTIONS(4421),
    [anon_sym_PLUS_PLUS] = ACTIONS(4421),
    [anon_sym_DASH_DASH] = ACTIONS(4421),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4421),
    [sym_number] = ACTIONS(4421),
    [sym_private_property_identifier] = ACTIONS(4421),
    [sym_this] = ACTIONS(4421),
    [sym_super] = ACTIONS(4421),
    [sym_true] = ACTIONS(4421),
    [sym_false] = ACTIONS(4421),
    [sym_null] = ACTIONS(4421),
    [sym_undefined] = ACTIONS(4421),
    [anon_sym_AT] = ACTIONS(4421),
    [anon_sym_static] = ACTIONS(4421),
    [anon_sym_readonly] = ACTIONS(4421),
    [anon_sym_get] = ACTIONS(4421),
    [anon_sym_set] = ACTIONS(4421),
    [anon_sym_declare] = ACTIONS(4421),
    [anon_sym_public] = ACTIONS(4421),
    [anon_sym_private] = ACTIONS(4421),
    [anon_sym_protected] = ACTIONS(4421),
    [anon_sym_override] = ACTIONS(4421),
    [anon_sym_module] = ACTIONS(4421),
    [anon_sym_any] = ACTIONS(4421),
    [anon_sym_number] = ACTIONS(4421),
    [anon_sym_boolean] = ACTIONS(4421),
    [anon_sym_string] = ACTIONS(4421),
    [anon_sym_symbol] = ACTIONS(4421),
    [anon_sym_object] = ACTIONS(4421),
    [anon_sym_property] = ACTIONS(4421),
    [anon_sym_signal] = ACTIONS(4421),
    [anon_sym_on] = ACTIONS(4421),
    [anon_sym_required] = ACTIONS(4421),
    [anon_sym_component] = ACTIONS(4421),
    [sym_html_comment] = ACTIONS(5),
  },
  [2197] = {
    [sym_nested_identifier] = STATE(2951),
    [sym_string] = STATE(2952),
    [sym_comment] = STATE(2197),
    [sym__module] = STATE(3134),
    [sym_ui_object_initializer] = STATE(6642),
    [sym_identifier] = ACTIONS(4333),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(25),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_COMMA] = ACTIONS(34),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(34),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(3267),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(66),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2198] = {
    [sym_comment] = STATE(2198),
    [sym_identifier] = ACTIONS(4423),
    [anon_sym_export] = ACTIONS(4423),
    [anon_sym_type] = ACTIONS(4423),
    [anon_sym_namespace] = ACTIONS(4423),
    [anon_sym_LBRACE] = ACTIONS(4423),
    [anon_sym_typeof] = ACTIONS(4423),
    [anon_sym_import] = ACTIONS(4423),
    [anon_sym_from] = ACTIONS(4423),
    [anon_sym_let] = ACTIONS(4423),
    [anon_sym_BANG] = ACTIONS(4423),
    [anon_sym_LPAREN] = ACTIONS(4423),
    [anon_sym_await] = ACTIONS(4423),
    [anon_sym_of] = ACTIONS(4423),
    [anon_sym_yield] = ACTIONS(4423),
    [anon_sym_LBRACK] = ACTIONS(4423),
    [anon_sym_LTtemplate_GT] = ACTIONS(4423),
    [anon_sym_DQUOTE] = ACTIONS(4423),
    [anon_sym_SQUOTE] = ACTIONS(4423),
    [anon_sym_class] = ACTIONS(4423),
    [anon_sym_async] = ACTIONS(4423),
    [anon_sym_function] = ACTIONS(4423),
    [anon_sym_new] = ACTIONS(4423),
    [anon_sym_using] = ACTIONS(4423),
    [anon_sym_PLUS] = ACTIONS(4423),
    [anon_sym_DASH] = ACTIONS(4423),
    [anon_sym_SLASH] = ACTIONS(4423),
    [anon_sym_LT] = ACTIONS(4423),
    [anon_sym_TILDE] = ACTIONS(4423),
    [anon_sym_void] = ACTIONS(4423),
    [anon_sym_delete] = ACTIONS(4423),
    [anon_sym_PLUS_PLUS] = ACTIONS(4423),
    [anon_sym_DASH_DASH] = ACTIONS(4423),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(4423),
    [sym_number] = ACTIONS(4423),
    [sym_private_property_identifier] = ACTIONS(4423),
    [sym_this] = ACTIONS(4423),
    [sym_super] = ACTIONS(4423),
    [sym_true] = ACTIONS(4423),
    [sym_false] = ACTIONS(4423),
    [sym_null] = ACTIONS(4423),
    [sym_undefined] = ACTIONS(4423),
    [anon_sym_AT] = ACTIONS(4423),
    [anon_sym_static] = ACTIONS(4423),
    [anon_sym_readonly] = ACTIONS(4423),
    [anon_sym_get] = ACTIONS(4423),
    [anon_sym_set] = ACTIONS(4423),
    [anon_sym_declare] = ACTIONS(4423),
    [anon_sym_public] = ACTIONS(4423),
    [anon_sym_private] = ACTIONS(4423),
    [anon_sym_protected] = ACTIONS(4423),
    [anon_sym_override] = ACTIONS(4423),
    [anon_sym_module] = ACTIONS(4423),
    [anon_sym_any] = ACTIONS(4423),
    [anon_sym_number] = ACTIONS(4423),
    [anon_sym_boolean] = ACTIONS(4423),
    [anon_sym_string] = ACTIONS(4423),
    [anon_sym_symbol] = ACTIONS(4423),
    [anon_sym_object] = ACTIONS(4423),
    [anon_sym_property] = ACTIONS(4423),
    [anon_sym_signal] = ACTIONS(4423),
    [anon_sym_on] = ACTIONS(4423),
    [anon_sym_required] = ACTIONS(4423),
    [anon_sym_component] = ACTIONS(4423),
    [sym_html_comment] = ACTIONS(5),
  },
  [2199] = {
    [sym_nested_identifier] = STATE(1847),
    [sym_string] = STATE(1842),
    [sym_comment] = STATE(2199),
    [sym__module] = STATE(1896),
    [sym_identifier] = ACTIONS(4425),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1369),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(4427),
    [anon_sym_SQUOTE] = ACTIONS(4429),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2200] = {
    [sym_export_statement] = STATE(5537),
    [sym__call_signature] = STATE(6248),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(2200),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym__property_name] = STATE(4755),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5537),
    [sym_accessibility_modifier] = STATE(3832),
    [sym_override_modifier] = STATE(3897),
    [sym_call_signature] = STATE(5537),
    [sym_property_signature] = STATE(5537),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5537),
    [sym_index_signature] = STATE(5537),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [sym_identifier] = ACTIONS(4431),
    [anon_sym_export] = ACTIONS(4433),
    [anon_sym_STAR] = ACTIONS(4435),
    [anon_sym_type] = ACTIONS(4431),
    [anon_sym_namespace] = ACTIONS(4431),
    [anon_sym_COMMA] = ACTIONS(4437),
    [anon_sym_RBRACE] = ACTIONS(4439),
    [anon_sym_from] = ACTIONS(4431),
    [anon_sym_let] = ACTIONS(4431),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(4431),
    [anon_sym_SEMI] = ACTIONS(4437),
    [anon_sym_LBRACK] = ACTIONS(4441),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(4443),
    [anon_sym_new] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(4447),
    [anon_sym_readonly] = ACTIONS(4449),
    [anon_sym_get] = ACTIONS(4451),
    [anon_sym_set] = ACTIONS(4451),
    [anon_sym_declare] = ACTIONS(4431),
    [anon_sym_public] = ACTIONS(4453),
    [anon_sym_private] = ACTIONS(4453),
    [anon_sym_protected] = ACTIONS(4453),
    [anon_sym_override] = ACTIONS(4455),
    [anon_sym_module] = ACTIONS(4431),
    [anon_sym_any] = ACTIONS(4431),
    [anon_sym_number] = ACTIONS(4431),
    [anon_sym_boolean] = ACTIONS(4431),
    [anon_sym_string] = ACTIONS(4431),
    [anon_sym_symbol] = ACTIONS(4431),
    [anon_sym_object] = ACTIONS(4431),
    [anon_sym_property] = ACTIONS(4431),
    [anon_sym_signal] = ACTIONS(4431),
    [anon_sym_on] = ACTIONS(4431),
    [anon_sym_required] = ACTIONS(4431),
    [anon_sym_component] = ACTIONS(4431),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4439),
    [sym_html_comment] = ACTIONS(5),
  },
  [2201] = {
    [sym_export_statement] = STATE(5629),
    [sym__call_signature] = STATE(6248),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(2201),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym__property_name] = STATE(4755),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5629),
    [sym_accessibility_modifier] = STATE(3832),
    [sym_override_modifier] = STATE(3897),
    [sym_call_signature] = STATE(5629),
    [sym_property_signature] = STATE(5629),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5629),
    [sym_index_signature] = STATE(5629),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [sym_identifier] = ACTIONS(4431),
    [anon_sym_export] = ACTIONS(4433),
    [anon_sym_STAR] = ACTIONS(4435),
    [anon_sym_type] = ACTIONS(4431),
    [anon_sym_namespace] = ACTIONS(4431),
    [anon_sym_COMMA] = ACTIONS(4457),
    [anon_sym_RBRACE] = ACTIONS(4459),
    [anon_sym_from] = ACTIONS(4431),
    [anon_sym_let] = ACTIONS(4431),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(4431),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(4441),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(4443),
    [anon_sym_new] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(4447),
    [anon_sym_readonly] = ACTIONS(4449),
    [anon_sym_get] = ACTIONS(4451),
    [anon_sym_set] = ACTIONS(4451),
    [anon_sym_declare] = ACTIONS(4431),
    [anon_sym_public] = ACTIONS(4453),
    [anon_sym_private] = ACTIONS(4453),
    [anon_sym_protected] = ACTIONS(4453),
    [anon_sym_override] = ACTIONS(4455),
    [anon_sym_module] = ACTIONS(4431),
    [anon_sym_any] = ACTIONS(4431),
    [anon_sym_number] = ACTIONS(4431),
    [anon_sym_boolean] = ACTIONS(4431),
    [anon_sym_string] = ACTIONS(4431),
    [anon_sym_symbol] = ACTIONS(4431),
    [anon_sym_object] = ACTIONS(4431),
    [anon_sym_property] = ACTIONS(4431),
    [anon_sym_signal] = ACTIONS(4431),
    [anon_sym_on] = ACTIONS(4431),
    [anon_sym_required] = ACTIONS(4431),
    [anon_sym_component] = ACTIONS(4431),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4459),
    [sym_html_comment] = ACTIONS(5),
  },
  [2202] = {
    [sym_comment] = STATE(2202),
    [aux_sym_object_repeat1] = STATE(7210),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(4461),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2203] = {
    [sym_export_statement] = STATE(5575),
    [sym__call_signature] = STATE(6248),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(2203),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym__property_name] = STATE(4755),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5575),
    [sym_accessibility_modifier] = STATE(3832),
    [sym_override_modifier] = STATE(3897),
    [sym_call_signature] = STATE(5575),
    [sym_property_signature] = STATE(5575),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5575),
    [sym_index_signature] = STATE(5575),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [sym_identifier] = ACTIONS(4431),
    [anon_sym_export] = ACTIONS(4433),
    [anon_sym_STAR] = ACTIONS(4435),
    [anon_sym_type] = ACTIONS(4431),
    [anon_sym_namespace] = ACTIONS(4431),
    [anon_sym_COMMA] = ACTIONS(4463),
    [anon_sym_RBRACE] = ACTIONS(4465),
    [anon_sym_from] = ACTIONS(4431),
    [anon_sym_let] = ACTIONS(4431),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(4431),
    [anon_sym_SEMI] = ACTIONS(4463),
    [anon_sym_LBRACK] = ACTIONS(4441),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(4443),
    [anon_sym_new] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(4447),
    [anon_sym_readonly] = ACTIONS(4449),
    [anon_sym_get] = ACTIONS(4451),
    [anon_sym_set] = ACTIONS(4451),
    [anon_sym_declare] = ACTIONS(4431),
    [anon_sym_public] = ACTIONS(4453),
    [anon_sym_private] = ACTIONS(4453),
    [anon_sym_protected] = ACTIONS(4453),
    [anon_sym_override] = ACTIONS(4455),
    [anon_sym_module] = ACTIONS(4431),
    [anon_sym_any] = ACTIONS(4431),
    [anon_sym_number] = ACTIONS(4431),
    [anon_sym_boolean] = ACTIONS(4431),
    [anon_sym_string] = ACTIONS(4431),
    [anon_sym_symbol] = ACTIONS(4431),
    [anon_sym_object] = ACTIONS(4431),
    [anon_sym_property] = ACTIONS(4431),
    [anon_sym_signal] = ACTIONS(4431),
    [anon_sym_on] = ACTIONS(4431),
    [anon_sym_required] = ACTIONS(4431),
    [anon_sym_component] = ACTIONS(4431),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4465),
    [sym_html_comment] = ACTIONS(5),
  },
  [2204] = {
    [sym_comment] = STATE(2204),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(4461),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2205] = {
    [sym_export_statement] = STATE(5681),
    [sym__call_signature] = STATE(6248),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(2205),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym__property_name] = STATE(4755),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5681),
    [sym_accessibility_modifier] = STATE(3832),
    [sym_override_modifier] = STATE(3897),
    [sym_call_signature] = STATE(5681),
    [sym_property_signature] = STATE(5681),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5681),
    [sym_index_signature] = STATE(5681),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [sym_identifier] = ACTIONS(4431),
    [anon_sym_export] = ACTIONS(4433),
    [anon_sym_STAR] = ACTIONS(4435),
    [anon_sym_type] = ACTIONS(4431),
    [anon_sym_namespace] = ACTIONS(4431),
    [anon_sym_COMMA] = ACTIONS(4467),
    [anon_sym_RBRACE] = ACTIONS(4469),
    [anon_sym_from] = ACTIONS(4431),
    [anon_sym_let] = ACTIONS(4431),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(4431),
    [anon_sym_SEMI] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4441),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(4443),
    [anon_sym_new] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(4447),
    [anon_sym_readonly] = ACTIONS(4449),
    [anon_sym_get] = ACTIONS(4451),
    [anon_sym_set] = ACTIONS(4451),
    [anon_sym_declare] = ACTIONS(4431),
    [anon_sym_public] = ACTIONS(4453),
    [anon_sym_private] = ACTIONS(4453),
    [anon_sym_protected] = ACTIONS(4453),
    [anon_sym_override] = ACTIONS(4455),
    [anon_sym_module] = ACTIONS(4431),
    [anon_sym_any] = ACTIONS(4431),
    [anon_sym_number] = ACTIONS(4431),
    [anon_sym_boolean] = ACTIONS(4431),
    [anon_sym_string] = ACTIONS(4431),
    [anon_sym_symbol] = ACTIONS(4431),
    [anon_sym_object] = ACTIONS(4431),
    [anon_sym_property] = ACTIONS(4431),
    [anon_sym_signal] = ACTIONS(4431),
    [anon_sym_on] = ACTIONS(4431),
    [anon_sym_required] = ACTIONS(4431),
    [anon_sym_component] = ACTIONS(4431),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4469),
    [sym_html_comment] = ACTIONS(5),
  },
  [2206] = {
    [sym_export_statement] = STATE(5710),
    [sym__call_signature] = STATE(6248),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(2206),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym__property_name] = STATE(4755),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5710),
    [sym_accessibility_modifier] = STATE(3832),
    [sym_override_modifier] = STATE(3897),
    [sym_call_signature] = STATE(5710),
    [sym_property_signature] = STATE(5710),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5710),
    [sym_index_signature] = STATE(5710),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [sym_identifier] = ACTIONS(4431),
    [anon_sym_export] = ACTIONS(4433),
    [anon_sym_STAR] = ACTIONS(4435),
    [anon_sym_type] = ACTIONS(4431),
    [anon_sym_namespace] = ACTIONS(4431),
    [anon_sym_COMMA] = ACTIONS(3912),
    [anon_sym_RBRACE] = ACTIONS(3914),
    [anon_sym_from] = ACTIONS(4431),
    [anon_sym_let] = ACTIONS(4431),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(4431),
    [anon_sym_SEMI] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(4441),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(4443),
    [anon_sym_new] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(4447),
    [anon_sym_readonly] = ACTIONS(4449),
    [anon_sym_get] = ACTIONS(4451),
    [anon_sym_set] = ACTIONS(4451),
    [anon_sym_declare] = ACTIONS(4431),
    [anon_sym_public] = ACTIONS(4453),
    [anon_sym_private] = ACTIONS(4453),
    [anon_sym_protected] = ACTIONS(4453),
    [anon_sym_override] = ACTIONS(4455),
    [anon_sym_module] = ACTIONS(4431),
    [anon_sym_any] = ACTIONS(4431),
    [anon_sym_number] = ACTIONS(4431),
    [anon_sym_boolean] = ACTIONS(4431),
    [anon_sym_string] = ACTIONS(4431),
    [anon_sym_symbol] = ACTIONS(4431),
    [anon_sym_object] = ACTIONS(4431),
    [anon_sym_property] = ACTIONS(4431),
    [anon_sym_signal] = ACTIONS(4431),
    [anon_sym_on] = ACTIONS(4431),
    [anon_sym_required] = ACTIONS(4431),
    [anon_sym_component] = ACTIONS(4431),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3914),
    [sym_html_comment] = ACTIONS(5),
  },
  [2207] = {
    [sym_nested_identifier] = STATE(2951),
    [sym_string] = STATE(2952),
    [sym_comment] = STATE(2207),
    [sym__module] = STATE(3134),
    [sym_identifier] = ACTIONS(4333),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1442),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_RBRACK] = ACTIONS(34),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(1451),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2208] = {
    [sym_export_statement] = STATE(5652),
    [sym__call_signature] = STATE(6248),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(2208),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym__property_name] = STATE(4755),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5652),
    [sym_accessibility_modifier] = STATE(3832),
    [sym_override_modifier] = STATE(3897),
    [sym_call_signature] = STATE(5652),
    [sym_property_signature] = STATE(5652),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5652),
    [sym_index_signature] = STATE(5652),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [sym_identifier] = ACTIONS(4431),
    [anon_sym_export] = ACTIONS(4433),
    [anon_sym_STAR] = ACTIONS(4435),
    [anon_sym_type] = ACTIONS(4431),
    [anon_sym_namespace] = ACTIONS(4431),
    [anon_sym_COMMA] = ACTIONS(4471),
    [anon_sym_RBRACE] = ACTIONS(4473),
    [anon_sym_from] = ACTIONS(4431),
    [anon_sym_let] = ACTIONS(4431),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(4431),
    [anon_sym_SEMI] = ACTIONS(4471),
    [anon_sym_LBRACK] = ACTIONS(4441),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(4443),
    [anon_sym_new] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(4447),
    [anon_sym_readonly] = ACTIONS(4449),
    [anon_sym_get] = ACTIONS(4451),
    [anon_sym_set] = ACTIONS(4451),
    [anon_sym_declare] = ACTIONS(4431),
    [anon_sym_public] = ACTIONS(4453),
    [anon_sym_private] = ACTIONS(4453),
    [anon_sym_protected] = ACTIONS(4453),
    [anon_sym_override] = ACTIONS(4455),
    [anon_sym_module] = ACTIONS(4431),
    [anon_sym_any] = ACTIONS(4431),
    [anon_sym_number] = ACTIONS(4431),
    [anon_sym_boolean] = ACTIONS(4431),
    [anon_sym_string] = ACTIONS(4431),
    [anon_sym_symbol] = ACTIONS(4431),
    [anon_sym_object] = ACTIONS(4431),
    [anon_sym_property] = ACTIONS(4431),
    [anon_sym_signal] = ACTIONS(4431),
    [anon_sym_on] = ACTIONS(4431),
    [anon_sym_required] = ACTIONS(4431),
    [anon_sym_component] = ACTIONS(4431),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4473),
    [sym_html_comment] = ACTIONS(5),
  },
  [2209] = {
    [sym_comment] = STATE(2209),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(4461),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2210] = {
    [sym_export_statement] = STATE(5664),
    [sym__call_signature] = STATE(6248),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(2210),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym__property_name] = STATE(4755),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5664),
    [sym_accessibility_modifier] = STATE(3832),
    [sym_override_modifier] = STATE(3897),
    [sym_call_signature] = STATE(5664),
    [sym_property_signature] = STATE(5664),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5664),
    [sym_index_signature] = STATE(5664),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [sym_identifier] = ACTIONS(4431),
    [anon_sym_export] = ACTIONS(4433),
    [anon_sym_STAR] = ACTIONS(4435),
    [anon_sym_type] = ACTIONS(4431),
    [anon_sym_namespace] = ACTIONS(4431),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4477),
    [anon_sym_from] = ACTIONS(4431),
    [anon_sym_let] = ACTIONS(4431),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(4431),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4441),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(4443),
    [anon_sym_new] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(4447),
    [anon_sym_readonly] = ACTIONS(4449),
    [anon_sym_get] = ACTIONS(4451),
    [anon_sym_set] = ACTIONS(4451),
    [anon_sym_declare] = ACTIONS(4431),
    [anon_sym_public] = ACTIONS(4453),
    [anon_sym_private] = ACTIONS(4453),
    [anon_sym_protected] = ACTIONS(4453),
    [anon_sym_override] = ACTIONS(4455),
    [anon_sym_module] = ACTIONS(4431),
    [anon_sym_any] = ACTIONS(4431),
    [anon_sym_number] = ACTIONS(4431),
    [anon_sym_boolean] = ACTIONS(4431),
    [anon_sym_string] = ACTIONS(4431),
    [anon_sym_symbol] = ACTIONS(4431),
    [anon_sym_object] = ACTIONS(4431),
    [anon_sym_property] = ACTIONS(4431),
    [anon_sym_signal] = ACTIONS(4431),
    [anon_sym_on] = ACTIONS(4431),
    [anon_sym_required] = ACTIONS(4431),
    [anon_sym_component] = ACTIONS(4431),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4477),
    [sym_html_comment] = ACTIONS(5),
  },
  [2211] = {
    [sym_export_statement] = STATE(5581),
    [sym__call_signature] = STATE(6248),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(2211),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym__property_name] = STATE(4755),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5581),
    [sym_accessibility_modifier] = STATE(3832),
    [sym_override_modifier] = STATE(3897),
    [sym_call_signature] = STATE(5581),
    [sym_property_signature] = STATE(5581),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5581),
    [sym_index_signature] = STATE(5581),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [sym_identifier] = ACTIONS(4431),
    [anon_sym_export] = ACTIONS(4433),
    [anon_sym_STAR] = ACTIONS(4435),
    [anon_sym_type] = ACTIONS(4431),
    [anon_sym_namespace] = ACTIONS(4431),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RBRACE] = ACTIONS(4481),
    [anon_sym_from] = ACTIONS(4431),
    [anon_sym_let] = ACTIONS(4431),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(4431),
    [anon_sym_SEMI] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4441),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(4443),
    [anon_sym_new] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(4447),
    [anon_sym_readonly] = ACTIONS(4449),
    [anon_sym_get] = ACTIONS(4451),
    [anon_sym_set] = ACTIONS(4451),
    [anon_sym_declare] = ACTIONS(4431),
    [anon_sym_public] = ACTIONS(4453),
    [anon_sym_private] = ACTIONS(4453),
    [anon_sym_protected] = ACTIONS(4453),
    [anon_sym_override] = ACTIONS(4455),
    [anon_sym_module] = ACTIONS(4431),
    [anon_sym_any] = ACTIONS(4431),
    [anon_sym_number] = ACTIONS(4431),
    [anon_sym_boolean] = ACTIONS(4431),
    [anon_sym_string] = ACTIONS(4431),
    [anon_sym_symbol] = ACTIONS(4431),
    [anon_sym_object] = ACTIONS(4431),
    [anon_sym_property] = ACTIONS(4431),
    [anon_sym_signal] = ACTIONS(4431),
    [anon_sym_on] = ACTIONS(4431),
    [anon_sym_required] = ACTIONS(4431),
    [anon_sym_component] = ACTIONS(4431),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4481),
    [sym_html_comment] = ACTIONS(5),
  },
  [2212] = {
    [sym_nested_identifier] = STATE(2951),
    [sym_string] = STATE(2952),
    [sym_comment] = STATE(2212),
    [sym__module] = STATE(3134),
    [sym_identifier] = ACTIONS(4333),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1477),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(1471),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_implements] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2213] = {
    [sym_export_statement] = STATE(5671),
    [sym__call_signature] = STATE(6248),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(2213),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym__property_name] = STATE(4755),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5671),
    [sym_accessibility_modifier] = STATE(3832),
    [sym_override_modifier] = STATE(3897),
    [sym_call_signature] = STATE(5671),
    [sym_property_signature] = STATE(5671),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5671),
    [sym_index_signature] = STATE(5671),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [sym_identifier] = ACTIONS(4431),
    [anon_sym_export] = ACTIONS(4433),
    [anon_sym_STAR] = ACTIONS(4435),
    [anon_sym_type] = ACTIONS(4431),
    [anon_sym_namespace] = ACTIONS(4431),
    [anon_sym_COMMA] = ACTIONS(4483),
    [anon_sym_RBRACE] = ACTIONS(4485),
    [anon_sym_from] = ACTIONS(4431),
    [anon_sym_let] = ACTIONS(4431),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(4431),
    [anon_sym_SEMI] = ACTIONS(4483),
    [anon_sym_LBRACK] = ACTIONS(4441),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(4443),
    [anon_sym_new] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(4447),
    [anon_sym_readonly] = ACTIONS(4449),
    [anon_sym_get] = ACTIONS(4451),
    [anon_sym_set] = ACTIONS(4451),
    [anon_sym_declare] = ACTIONS(4431),
    [anon_sym_public] = ACTIONS(4453),
    [anon_sym_private] = ACTIONS(4453),
    [anon_sym_protected] = ACTIONS(4453),
    [anon_sym_override] = ACTIONS(4455),
    [anon_sym_module] = ACTIONS(4431),
    [anon_sym_any] = ACTIONS(4431),
    [anon_sym_number] = ACTIONS(4431),
    [anon_sym_boolean] = ACTIONS(4431),
    [anon_sym_string] = ACTIONS(4431),
    [anon_sym_symbol] = ACTIONS(4431),
    [anon_sym_object] = ACTIONS(4431),
    [anon_sym_property] = ACTIONS(4431),
    [anon_sym_signal] = ACTIONS(4431),
    [anon_sym_on] = ACTIONS(4431),
    [anon_sym_required] = ACTIONS(4431),
    [anon_sym_component] = ACTIONS(4431),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4485),
    [sym_html_comment] = ACTIONS(5),
  },
  [2214] = {
    [sym_comment] = STATE(2214),
    [aux_sym_object_repeat1] = STATE(7064),
    [aux_sym_object_pattern_repeat1] = STATE(6997),
    [sym_identifier] = ACTIONS(4461),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(2936),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_SEMI] = ACTIONS(28),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_EQ_GT] = ACTIONS(1239),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(2936),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_satisfies] = ACTIONS(28),
    [sym__automatic_semicolon] = ACTIONS(126),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
  [2215] = {
    [sym_export_statement] = STATE(5675),
    [sym__call_signature] = STATE(6248),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(2215),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym__property_name] = STATE(4755),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5675),
    [sym_accessibility_modifier] = STATE(3832),
    [sym_override_modifier] = STATE(3897),
    [sym_call_signature] = STATE(5675),
    [sym_property_signature] = STATE(5675),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5675),
    [sym_index_signature] = STATE(5675),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [sym_identifier] = ACTIONS(4431),
    [anon_sym_export] = ACTIONS(4433),
    [anon_sym_STAR] = ACTIONS(4435),
    [anon_sym_type] = ACTIONS(4431),
    [anon_sym_namespace] = ACTIONS(4431),
    [anon_sym_COMMA] = ACTIONS(4487),
    [anon_sym_RBRACE] = ACTIONS(4489),
    [anon_sym_from] = ACTIONS(4431),
    [anon_sym_let] = ACTIONS(4431),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(4431),
    [anon_sym_SEMI] = ACTIONS(4487),
    [anon_sym_LBRACK] = ACTIONS(4441),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(4443),
    [anon_sym_new] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(4447),
    [anon_sym_readonly] = ACTIONS(4449),
    [anon_sym_get] = ACTIONS(4451),
    [anon_sym_set] = ACTIONS(4451),
    [anon_sym_declare] = ACTIONS(4431),
    [anon_sym_public] = ACTIONS(4453),
    [anon_sym_private] = ACTIONS(4453),
    [anon_sym_protected] = ACTIONS(4453),
    [anon_sym_override] = ACTIONS(4455),
    [anon_sym_module] = ACTIONS(4431),
    [anon_sym_any] = ACTIONS(4431),
    [anon_sym_number] = ACTIONS(4431),
    [anon_sym_boolean] = ACTIONS(4431),
    [anon_sym_string] = ACTIONS(4431),
    [anon_sym_symbol] = ACTIONS(4431),
    [anon_sym_object] = ACTIONS(4431),
    [anon_sym_property] = ACTIONS(4431),
    [anon_sym_signal] = ACTIONS(4431),
    [anon_sym_on] = ACTIONS(4431),
    [anon_sym_required] = ACTIONS(4431),
    [anon_sym_component] = ACTIONS(4431),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(4489),
    [sym_html_comment] = ACTIONS(5),
  },
  [2216] = {
    [sym_export_statement] = STATE(5615),
    [sym__call_signature] = STATE(6248),
    [sym_string] = STATE(4879),
    [sym_comment] = STATE(2216),
    [sym_decorator] = STATE(6589),
    [sym_formal_parameters] = STATE(4942),
    [sym__property_name] = STATE(4755),
    [sym_computed_property_name] = STATE(4879),
    [sym_method_signature] = STATE(5615),
    [sym_accessibility_modifier] = STATE(3832),
    [sym_override_modifier] = STATE(3897),
    [sym_call_signature] = STATE(5615),
    [sym_property_signature] = STATE(5615),
    [sym_type_parameters] = STATE(8017),
    [sym_construct_signature] = STATE(5615),
    [sym_index_signature] = STATE(5615),
    [aux_sym_export_statement_repeat1] = STATE(6323),
    [sym_identifier] = ACTIONS(4431),
    [anon_sym_export] = ACTIONS(4433),
    [anon_sym_STAR] = ACTIONS(4435),
    [anon_sym_type] = ACTIONS(4431),
    [anon_sym_namespace] = ACTIONS(4431),
    [anon_sym_COMMA] = ACTIONS(3782),
    [anon_sym_RBRACE] = ACTIONS(3806),
    [anon_sym_from] = ACTIONS(4431),
    [anon_sym_let] = ACTIONS(4431),
    [anon_sym_LPAREN] = ACTIONS(3780),
    [anon_sym_of] = ACTIONS(4431),
    [anon_sym_SEMI] = ACTIONS(3782),
    [anon_sym_LBRACK] = ACTIONS(4441),
    [anon_sym_DQUOTE] = ACTIONS(2524),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_async] = ACTIONS(4443),
    [anon_sym_new] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(3790),
    [anon_sym_DASH] = ACTIONS(3790),
    [anon_sym_LT] = ACTIONS(2275),
    [aux_sym_comment_token1] = ACTIONS(3),
    [sym_number] = ACTIONS(3792),
    [sym_private_property_identifier] = ACTIONS(3792),
    [anon_sym_AT] = ACTIONS(106),
    [anon_sym_static] = ACTIONS(4447),
    [anon_sym_readonly] = ACTIONS(4449),
    [anon_sym_get] = ACTIONS(4451),
    [anon_sym_set] = ACTIONS(4451),
    [anon_sym_declare] = ACTIONS(4431),
    [anon_sym_public] = ACTIONS(4453),
    [anon_sym_private] = ACTIONS(4453),
    [anon_sym_protected] = ACTIONS(4453),
    [anon_sym_override] = ACTIONS(4455),
    [anon_sym_module] = ACTIONS(4431),
    [anon_sym_any] = ACTIONS(4431),
    [anon_sym_number] = ACTIONS(4431),
    [anon_sym_boolean] = ACTIONS(4431),
    [anon_sym_string] = ACTIONS(4431),
    [anon_sym_symbol] = ACTIONS(4431),
    [anon_sym_object] = ACTIONS(4431),
    [anon_sym_property] = ACTIONS(4431),
    [anon_sym_signal] = ACTIONS(4431),
    [anon_sym_on] = ACTIONS(4431),
    [anon_sym_required] = ACTIONS(4431),
    [anon_sym_component] = ACTIONS(4431),
    [anon_sym_abstract] = ACTIONS(3804),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3806),
    [sym_html_comment] = ACTIONS(5),
  },
  [2217] = {
    [sym_nested_identifier] = STATE(2951),
    [sym_string] = STATE(2952),
    [sym_comment] = STATE(2217),
    [sym__module] = STATE(3134),
    [sym_identifier] = ACTIONS(4333),
    [anon_sym_STAR] = ACTIONS(28),
    [anon_sym_EQ] = ACTIONS(1333),
    [anon_sym_as] = ACTIONS(28),
    [anon_sym_LBRACE] = ACTIONS(28),
    [anon_sym_COMMA] = ACTIONS(28),
    [anon_sym_BANG] = ACTIONS(28),
    [anon_sym_LPAREN] = ACTIONS(28),
    [anon_sym_in] = ACTIONS(28),
    [anon_sym_LBRACK] = ACTIONS(28),
    [anon_sym_GT] = ACTIONS(28),
    [anon_sym_DOT] = ACTIONS(28),
    [anon_sym_DQUOTE] = ACTIONS(56),
    [anon_sym_SQUOTE] = ACTIONS(58),
    [anon_sym_EQ_GT] = ACTIONS(1471),
    [anon_sym_QMARK_DOT] = ACTIONS(28),
    [anon_sym_PLUS_EQ] = ACTIONS(72),
    [anon_sym_DASH_EQ] = ACTIONS(72),
    [anon_sym_STAR_EQ] = ACTIONS(72),
    [anon_sym_SLASH_EQ] = ACTIONS(72),
    [anon_sym_PERCENT_EQ] = ACTIONS(72),
    [anon_sym_CARET_EQ] = ACTIONS(72),
    [anon_sym_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(72),
    [anon_sym_LT_LT_EQ] = ACTIONS(72),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(72),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(72),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(72),
    [anon_sym_AMP_AMP] = ACTIONS(28),
    [anon_sym_PIPE_PIPE] = ACTIONS(28),
    [anon_sym_GT_GT] = ACTIONS(28),
    [anon_sym_GT_GT_GT] = ACTIONS(28),
    [anon_sym_LT_LT] = ACTIONS(28),
    [anon_sym_AMP] = ACTIONS(28),
    [anon_sym_CARET] = ACTIONS(28),
    [anon_sym_PIPE] = ACTIONS(28),
    [anon_sym_PLUS] = ACTIONS(28),
    [anon_sym_DASH] = ACTIONS(28),
    [anon_sym_SLASH] = ACTIONS(28),
    [anon_sym_PERCENT] = ACTIONS(28),
    [anon_sym_STAR_STAR] = ACTIONS(28),
    [anon_sym_LT] = ACTIONS(28),
    [anon_sym_LT_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ] = ACTIONS(28),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ] = ACTIONS(28),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(28),
    [anon_sym_GT_EQ] = ACTIONS(28),
    [anon_sym_QMARK_QMARK] = ACTIONS(28),
    [anon_sym_instanceof] = ACTIONS(28),
    [anon_sym_PLUS_PLUS] = ACTIONS(28),
    [anon_sym_DASH_DASH] = ACTIONS(28),
    [aux_sym_comment_token1] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(28),
    [anon_sym_satisfies] = ACTIONS(28),
    [anon_sym_implements] = ACTIONS(28),
    [sym__ternary_qmark] = ACTIONS(126),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(197), 1,
      anon_sym_DQUOTE,
    ACTIONS(199), 1,
      anon_sym_SQUOTE,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4335), 1,
      sym_identifier,
    STATE(2218), 1,
      sym_comment,
    STATE(2757), 1,
      sym_string,
    STATE(2785), 1,
      sym_nested_identifier,
    STATE(3018), 1,
      sym__module,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4273), 1,
      sym_identifier,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    STATE(2219), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6400), 1,
      sym_variable_declarator,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [186] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4273), 1,
      sym_identifier,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    STATE(2220), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6425), 1,
      sym_variable_declarator,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [279] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4361), 1,
      sym_identifier,
    ACTIONS(4363), 1,
      anon_sym_DQUOTE,
    ACTIONS(4365), 1,
      anon_sym_SQUOTE,
    STATE(414), 1,
      sym_nested_identifier,
    STATE(416), 1,
      sym_string,
    STATE(427), 1,
      sym__module,
    STATE(2221), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [372] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4273), 1,
      sym_identifier,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    STATE(2222), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6462), 1,
      sym_variable_declarator,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [465] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4491), 1,
      sym_identifier,
    STATE(2223), 1,
      sym_comment,
    STATE(5207), 1,
      sym_nested_identifier,
    STATE(5502), 1,
      sym_string,
    STATE(6244), 1,
      sym__module,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [558] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4287), 1,
      sym_identifier,
    ACTIONS(4289), 1,
      anon_sym_DQUOTE,
    ACTIONS(4291), 1,
      anon_sym_SQUOTE,
    STATE(1325), 1,
      sym_nested_identifier,
    STATE(1610), 1,
      sym_string,
    STATE(1668), 1,
      sym__module,
    STATE(2224), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [651] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4373), 1,
      sym_identifier,
    ACTIONS(4375), 1,
      anon_sym_DQUOTE,
    ACTIONS(4377), 1,
      anon_sym_SQUOTE,
    STATE(335), 1,
      sym_nested_identifier,
    STATE(338), 1,
      sym_string,
    STATE(366), 1,
      sym__module,
    STATE(2225), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [744] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4385), 1,
      sym_identifier,
    ACTIONS(4387), 1,
      anon_sym_DQUOTE,
    ACTIONS(4389), 1,
      anon_sym_SQUOTE,
    STATE(2226), 1,
      sym_comment,
    STATE(3968), 1,
      sym_nested_identifier,
    STATE(4015), 1,
      sym_string,
    STATE(4336), 1,
      sym__module,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [837] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(4405), 1,
      sym_identifier,
    STATE(2227), 1,
      sym_comment,
    STATE(5943), 1,
      sym_nested_identifier,
    STATE(6516), 1,
      sym_string,
    STATE(8006), 1,
      sym__module,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [930] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1247), 1,
      anon_sym_QMARK,
    ACTIONS(2974), 1,
      anon_sym_COLON,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_RBRACE,
    ACTIONS(4495), 1,
      anon_sym_EQ,
    ACTIONS(4499), 1,
      anon_sym_LPAREN,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4506), 1,
      anon_sym_LT,
    STATE(2228), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1025] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4415), 1,
      sym_identifier,
    ACTIONS(4417), 1,
      anon_sym_DQUOTE,
    ACTIONS(4419), 1,
      anon_sym_SQUOTE,
    STATE(1017), 1,
      sym_nested_identifier,
    STATE(1112), 1,
      sym_string,
    STATE(1290), 1,
      sym__module,
    STATE(2229), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1118] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4273), 1,
      sym_identifier,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    STATE(2230), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6448), 1,
      sym_variable_declarator,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1211] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2231), 1,
      sym_comment,
    ACTIONS(4509), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4511), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1286] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4347), 1,
      sym_identifier,
    ACTIONS(4349), 1,
      anon_sym_DQUOTE,
    ACTIONS(4351), 1,
      anon_sym_SQUOTE,
    STATE(1837), 1,
      sym_string,
    STATE(1839), 1,
      sym_nested_identifier,
    STATE(1856), 1,
      sym__module,
    STATE(2232), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1379] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(1447), 1,
      anon_sym_COLON,
    ACTIONS(1451), 1,
      anon_sym_EQ_GT,
    ACTIONS(1469), 1,
      anon_sym_EQ,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2233), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1474] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1220), 1,
      anon_sym_EQ,
    ACTIONS(1247), 1,
      anon_sym_QMARK,
    ACTIONS(2936), 1,
      anon_sym_LT,
    ACTIONS(2971), 1,
      anon_sym_LPAREN,
    ACTIONS(2974), 1,
      anon_sym_COLON,
    ACTIONS(2983), 1,
      anon_sym_EQ_GT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_RBRACE,
    STATE(2234), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [1569] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4273), 1,
      sym_identifier,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    STATE(2235), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6340), 1,
      sym_variable_declarator,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1662] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2236), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1755] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4281), 1,
      sym_identifier,
    ACTIONS(4283), 1,
      anon_sym_DQUOTE,
    ACTIONS(4285), 1,
      anon_sym_SQUOTE,
    STATE(428), 1,
      sym_nested_identifier,
    STATE(463), 1,
      sym_string,
    STATE(508), 1,
      sym__module,
    STATE(2237), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [1848] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2238), 1,
      sym_comment,
    ACTIONS(4513), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4515), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [1923] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(1451), 1,
      anon_sym_EQ_GT,
    ACTIONS(1469), 1,
      anon_sym_EQ,
    ACTIONS(1487), 1,
      anon_sym_COLON,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2239), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2018] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2240), 1,
      sym_comment,
    ACTIONS(4517), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4519), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2093] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1247), 1,
      anon_sym_QMARK,
    ACTIONS(2974), 1,
      anon_sym_COLON,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3003), 1,
      anon_sym_RBRACE,
    ACTIONS(4495), 1,
      anon_sym_EQ,
    ACTIONS(4499), 1,
      anon_sym_LPAREN,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4506), 1,
      anon_sym_LT,
    STATE(2241), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2188] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2242), 1,
      sym_comment,
    ACTIONS(4521), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4523), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2263] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1220), 1,
      anon_sym_EQ,
    ACTIONS(1247), 1,
      anon_sym_QMARK,
    ACTIONS(2936), 1,
      anon_sym_LT,
    ACTIONS(2971), 1,
      anon_sym_LPAREN,
    ACTIONS(2974), 1,
      anon_sym_COLON,
    ACTIONS(2983), 1,
      anon_sym_EQ_GT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3003), 1,
      anon_sym_RBRACE,
    STATE(2243), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2358] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4393), 1,
      sym_identifier,
    ACTIONS(4395), 1,
      anon_sym_DQUOTE,
    ACTIONS(4397), 1,
      anon_sym_SQUOTE,
    STATE(1005), 1,
      sym_nested_identifier,
    STATE(1024), 1,
      sym_string,
    STATE(1072), 1,
      sym__module,
    STATE(2244), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2451] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1220), 1,
      anon_sym_EQ,
    ACTIONS(1247), 1,
      anon_sym_QMARK,
    ACTIONS(2936), 1,
      anon_sym_LT,
    ACTIONS(2971), 1,
      anon_sym_LPAREN,
    ACTIONS(2974), 1,
      anon_sym_COLON,
    ACTIONS(2983), 1,
      anon_sym_EQ_GT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3005), 1,
      anon_sym_RBRACE,
    STATE(2245), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2546] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4353), 1,
      sym_identifier,
    ACTIONS(4355), 1,
      anon_sym_DQUOTE,
    ACTIONS(4357), 1,
      anon_sym_SQUOTE,
    STATE(356), 1,
      sym_nested_identifier,
    STATE(375), 1,
      sym_string,
    STATE(405), 1,
      sym__module,
    STATE(2246), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [2639] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1220), 1,
      anon_sym_EQ,
    ACTIONS(1247), 1,
      anon_sym_QMARK,
    ACTIONS(2936), 1,
      anon_sym_LT,
    ACTIONS(2961), 1,
      anon_sym_RBRACE,
    ACTIONS(2971), 1,
      anon_sym_LPAREN,
    ACTIONS(2974), 1,
      anon_sym_COLON,
    ACTIONS(2983), 1,
      anon_sym_EQ_GT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2247), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2734] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1247), 1,
      anon_sym_QMARK,
    ACTIONS(2974), 1,
      anon_sym_COLON,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3005), 1,
      anon_sym_RBRACE,
    ACTIONS(4495), 1,
      anon_sym_EQ,
    ACTIONS(4499), 1,
      anon_sym_LPAREN,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4506), 1,
      anon_sym_LT,
    STATE(2248), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2829] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2249), 1,
      sym_comment,
    ACTIONS(4525), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4527), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2904] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4529), 1,
      anon_sym_EQ,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(4537), 1,
      anon_sym_DOT,
    ACTIONS(4539), 1,
      anon_sym_EQ_GT,
    ACTIONS(4541), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4543), 1,
      anon_sym_LT,
    STATE(2250), 1,
      sym_comment,
    STATE(4572), 1,
      sym_arguments,
    STATE(4675), 1,
      sym_type_arguments,
    ACTIONS(4531), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4535), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3001] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1247), 1,
      anon_sym_QMARK,
    ACTIONS(2961), 1,
      anon_sym_RBRACE,
    ACTIONS(2974), 1,
      anon_sym_COLON,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4495), 1,
      anon_sym_EQ,
    ACTIONS(4499), 1,
      anon_sym_LPAREN,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4506), 1,
      anon_sym_LT,
    STATE(2251), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2252), 1,
      sym_comment,
    ACTIONS(4545), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4547), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [3171] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4273), 1,
      sym_identifier,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    STATE(2253), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6562), 1,
      sym_variable_declarator,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3264] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2254), 1,
      sym_comment,
    ACTIONS(4549), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(4551), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [3339] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4407), 1,
      sym_identifier,
    ACTIONS(4409), 1,
      anon_sym_DQUOTE,
    ACTIONS(4411), 1,
      anon_sym_SQUOTE,
    STATE(1129), 1,
      sym_nested_identifier,
    STATE(1364), 1,
      sym_string,
    STATE(1568), 1,
      sym__module,
    STATE(2255), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3432] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4273), 1,
      sym_identifier,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    STATE(2256), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6535), 1,
      sym_variable_declarator,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3525] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4529), 1,
      anon_sym_EQ,
    ACTIONS(4539), 1,
      anon_sym_EQ_GT,
    ACTIONS(4553), 1,
      anon_sym_LPAREN,
    ACTIONS(4555), 1,
      anon_sym_DOT,
    ACTIONS(4557), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4559), 1,
      anon_sym_LT,
    STATE(2257), 1,
      sym_comment,
    STATE(4797), 1,
      sym_arguments,
    STATE(4915), 1,
      sym_type_arguments,
    ACTIONS(4535), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4531), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4497), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3622] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4399), 1,
      sym_identifier,
    ACTIONS(4401), 1,
      anon_sym_DQUOTE,
    ACTIONS(4403), 1,
      anon_sym_SQUOTE,
    STATE(2258), 1,
      sym_comment,
    STATE(3889), 1,
      sym_nested_identifier,
    STATE(3922), 1,
      sym_string,
    STATE(4141), 1,
      sym__module,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3715] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4425), 1,
      sym_identifier,
    ACTIONS(4427), 1,
      anon_sym_DQUOTE,
    ACTIONS(4429), 1,
      anon_sym_SQUOTE,
    STATE(1842), 1,
      sym_string,
    STATE(1847), 1,
      sym_nested_identifier,
    STATE(1896), 1,
      sym__module,
    STATE(2259), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3808] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4273), 1,
      sym_identifier,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    STATE(2260), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6394), 1,
      sym_variable_declarator,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3901] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(34), 1,
      anon_sym_RBRACK,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(131), 1,
      anon_sym_COMMA,
    ACTIONS(1442), 1,
      anon_sym_EQ,
    ACTIONS(1451), 1,
      anon_sym_EQ_GT,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2261), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3998] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(1489), 1,
      anon_sym_EQ_GT,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2262), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [4090] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2263), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4561), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [4220] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2264), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4563), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [4350] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    STATE(2265), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [4428] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4529), 1,
      anon_sym_EQ,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(4537), 1,
      anon_sym_DOT,
    ACTIONS(4539), 1,
      anon_sym_EQ_GT,
    ACTIONS(4541), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4543), 1,
      anon_sym_LT,
    STATE(2266), 1,
      sym_comment,
    STATE(4572), 1,
      sym_arguments,
    STATE(4675), 1,
      sym_type_arguments,
    ACTIONS(4535), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4531), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4497), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4524] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2267), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4567), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [4654] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2268), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4569), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [4784] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2269), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4571), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [4914] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2270), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4573), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [5044] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2271), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4575), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [5174] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(1489), 1,
      anon_sym_EQ_GT,
    ACTIONS(1495), 1,
      anon_sym_EQ,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2272), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5266] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2273), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4577), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [5396] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2274), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4579), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [5526] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2275), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4581), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [5656] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(1451), 1,
      anon_sym_EQ_GT,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2276), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5748] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4529), 1,
      anon_sym_EQ,
    ACTIONS(4539), 1,
      anon_sym_EQ_GT,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    ACTIONS(4592), 1,
      anon_sym_LT,
    ACTIONS(4595), 1,
      anon_sym_extends,
    STATE(2277), 1,
      sym_comment,
    STATE(4593), 1,
      sym_type_arguments,
    ACTIONS(4583), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4586), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4497), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [5840] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2278), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4597), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [5970] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4539), 1,
      anon_sym_EQ_GT,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    ACTIONS(4599), 1,
      anon_sym_EQ,
    ACTIONS(4606), 1,
      anon_sym_DOT,
    ACTIONS(4609), 1,
      anon_sym_LT,
    STATE(2279), 1,
      sym_comment,
    STATE(4932), 1,
      sym_type_arguments,
    ACTIONS(4586), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4602), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4595), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4497), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6064] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2280), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4612), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [6194] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2281), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4614), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [6324] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2282), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4616), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [6454] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2283), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4618), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [6584] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2284), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4620), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [6714] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4539), 1,
      anon_sym_EQ_GT,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    ACTIONS(4592), 1,
      anon_sym_LT,
    ACTIONS(4595), 1,
      anon_sym_extends,
    ACTIONS(4599), 1,
      anon_sym_EQ,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(4624), 1,
      anon_sym_QMARK,
    STATE(2285), 1,
      sym_comment,
    STATE(4593), 1,
      sym_type_arguments,
    STATE(7925), 1,
      sym_type_annotation,
    ACTIONS(4586), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4602), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4497), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6814] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2286), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4627), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [6944] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2287), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4629), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [7074] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2288), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4631), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [7204] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2289), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4633), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [7334] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2290), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4635), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [7464] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2291), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4637), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [7594] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2292), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4639), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [7724] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2293), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4641), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [7854] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2294), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4643), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [7984] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2295), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4645), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [8114] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(1451), 1,
      anon_sym_EQ_GT,
    ACTIONS(1469), 1,
      anon_sym_EQ,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2296), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8206] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2297), 1,
      sym_comment,
    ACTIONS(3464), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3466), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [8280] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2298), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4647), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [8410] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2299), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4649), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [8540] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(1571), 1,
      anon_sym_EQ_GT,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2300), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8632] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2301), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4651), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [8762] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2302), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4653), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [8892] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2303), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4655), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [9022] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(133), 1,
      anon_sym_EQ_GT,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(1419), 1,
      anon_sym_in,
    ACTIONS(4333), 1,
      sym_identifier,
    ACTIONS(4371), 1,
      anon_sym_of,
    STATE(2304), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 34,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9118] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(4537), 1,
      anon_sym_DOT,
    ACTIONS(4541), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4543), 1,
      anon_sym_LT,
    ACTIONS(4657), 1,
      anon_sym_EQ,
    STATE(2305), 1,
      sym_comment,
    STATE(4572), 1,
      sym_arguments,
    STATE(4675), 1,
      sym_type_arguments,
    ACTIONS(4531), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4535), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4497), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9214] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(4537), 1,
      anon_sym_DOT,
    ACTIONS(4541), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4543), 1,
      anon_sym_LT,
    ACTIONS(4659), 1,
      anon_sym_EQ,
    ACTIONS(4661), 1,
      anon_sym_EQ_GT,
    STATE(2306), 1,
      sym_comment,
    STATE(4572), 1,
      sym_arguments,
    STATE(4675), 1,
      sym_type_arguments,
    ACTIONS(4531), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4535), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4497), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9310] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2307), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4663), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [9440] = 33,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2308), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4665), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [9570] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2309), 1,
      sym_comment,
    ACTIONS(3428), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3430), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [9644] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(1571), 1,
      anon_sym_EQ_GT,
    ACTIONS(1583), 1,
      anon_sym_EQ,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2310), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9736] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(4537), 1,
      anon_sym_DOT,
    ACTIONS(4541), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4543), 1,
      anon_sym_LT,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_EQ_GT,
    STATE(2311), 1,
      sym_comment,
    STATE(4572), 1,
      sym_arguments,
    STATE(4675), 1,
      sym_type_arguments,
    ACTIONS(4531), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4535), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4497), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9831] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(133), 1,
      anon_sym_EQ_GT,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2312), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9922] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(133), 1,
      anon_sym_EQ_GT,
    ACTIONS(1573), 1,
      anon_sym_EQ,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2313), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10013] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2314), 1,
      sym_comment,
    ACTIONS(4517), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4519), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [10086] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(133), 1,
      anon_sym_EQ_GT,
    ACTIONS(1511), 1,
      anon_sym_EQ,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2315), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10177] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(133), 1,
      anon_sym_EQ_GT,
    ACTIONS(1575), 1,
      anon_sym_EQ,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2316), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10268] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(1335), 1,
      anon_sym_QMARK,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4673), 1,
      anon_sym_EQ_GT,
    STATE(2317), 1,
      sym_comment,
    ACTIONS(4671), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10351] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(25), 1,
      anon_sym_EQ,
    ACTIONS(131), 1,
      anon_sym_QMARK,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4678), 1,
      anon_sym_EQ_GT,
    STATE(2318), 1,
      sym_comment,
    ACTIONS(4675), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10434] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(133), 1,
      anon_sym_EQ_GT,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(1419), 1,
      anon_sym_in,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(4371), 1,
      anon_sym_of,
    ACTIONS(4680), 1,
      sym_identifier,
    ACTIONS(4682), 1,
      anon_sym_LBRACK,
    STATE(2319), 1,
      sym_comment,
    STATE(7838), 1,
      sym__destructuring_pattern,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 33,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10527] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(133), 1,
      anon_sym_EQ_GT,
    ACTIONS(1519), 1,
      anon_sym_EQ,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2320), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10618] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4539), 1,
      anon_sym_EQ_GT,
    ACTIONS(4599), 1,
      anon_sym_EQ,
    ACTIONS(4688), 1,
      anon_sym_QMARK,
    STATE(2321), 1,
      sym_comment,
    ACTIONS(4685), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10701] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2322), 1,
      sym_comment,
    ACTIONS(4521), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4523), 37,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [10774] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4529), 1,
      anon_sym_EQ,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(4537), 1,
      anon_sym_DOT,
    ACTIONS(4539), 1,
      anon_sym_EQ_GT,
    ACTIONS(4541), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4543), 1,
      anon_sym_LT,
    STATE(2323), 1,
      sym_comment,
    STATE(4572), 1,
      sym_arguments,
    STATE(4675), 1,
      sym_type_arguments,
    ACTIONS(4535), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(4531), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4497), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10869] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1337), 1,
      anon_sym_EQ,
    ACTIONS(2257), 1,
      anon_sym_extends,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4678), 1,
      anon_sym_EQ_GT,
    STATE(2324), 1,
      sym_comment,
    ACTIONS(4690), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4693), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(126), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10954] = 17,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    ACTIONS(4592), 1,
      anon_sym_LT,
    ACTIONS(4595), 1,
      anon_sym_extends,
    ACTIONS(4688), 1,
      anon_sym_QMARK,
    ACTIONS(4696), 1,
      anon_sym_EQ,
    ACTIONS(4701), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    STATE(2325), 1,
      sym_comment,
    STATE(4593), 1,
      sym_type_arguments,
    ACTIONS(4586), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4699), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4497), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11051] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(133), 1,
      anon_sym_EQ_GT,
    ACTIONS(1577), 1,
      anon_sym_EQ,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2326), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11142] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    ACTIONS(4708), 1,
      anon_sym_QMARK,
    STATE(2327), 1,
      sym_comment,
    ACTIONS(4706), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11225] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(133), 1,
      anon_sym_EQ_GT,
    ACTIONS(1517), 1,
      anon_sym_EQ,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2328), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11316] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(133), 1,
      anon_sym_EQ_GT,
    ACTIONS(1509), 1,
      anon_sym_EQ,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2329), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11407] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(133), 1,
      anon_sym_EQ_GT,
    ACTIONS(1515), 1,
      anon_sym_EQ,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2330), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11498] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    ACTIONS(4592), 1,
      anon_sym_LT,
    ACTIONS(4595), 1,
      anon_sym_extends,
    ACTIONS(4659), 1,
      anon_sym_EQ,
    ACTIONS(4661), 1,
      anon_sym_EQ_GT,
    STATE(2331), 1,
      sym_comment,
    STATE(4593), 1,
      sym_type_arguments,
    ACTIONS(4583), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4586), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11589] = 17,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4539), 1,
      anon_sym_EQ_GT,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    ACTIONS(4592), 1,
      anon_sym_LT,
    ACTIONS(4595), 1,
      anon_sym_extends,
    ACTIONS(4599), 1,
      anon_sym_EQ,
    ACTIONS(4602), 1,
      anon_sym_RPAREN,
    ACTIONS(4688), 1,
      anon_sym_QMARK,
    STATE(2332), 1,
      sym_comment,
    STATE(4593), 1,
      sym_type_arguments,
    ACTIONS(4586), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4685), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4497), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11686] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(4537), 1,
      anon_sym_DOT,
    ACTIONS(4541), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4543), 1,
      anon_sym_LT,
    ACTIONS(4710), 1,
      anon_sym_EQ,
    ACTIONS(4712), 1,
      anon_sym_EQ_GT,
    STATE(2333), 1,
      sym_comment,
    STATE(4572), 1,
      sym_arguments,
    STATE(4675), 1,
      sym_type_arguments,
    ACTIONS(4531), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4535), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4497), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11781] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    ACTIONS(4592), 1,
      anon_sym_LT,
    ACTIONS(4595), 1,
      anon_sym_extends,
    ACTIONS(4657), 1,
      anon_sym_EQ,
    STATE(2334), 1,
      sym_comment,
    STATE(4593), 1,
      sym_type_arguments,
    ACTIONS(4583), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4586), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11872] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(56), 1,
      anon_sym_DQUOTE,
    ACTIONS(58), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      sym__ternary_qmark,
    ACTIONS(133), 1,
      anon_sym_EQ_GT,
    ACTIONS(1513), 1,
      anon_sym_EQ,
    ACTIONS(4333), 1,
      sym_identifier,
    STATE(2335), 1,
      sym_comment,
    STATE(2951), 1,
      sym_nested_identifier,
    STATE(2952), 1,
      sym_string,
    STATE(3134), 1,
      sym__module,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 35,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11963] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4688), 1,
      anon_sym_QMARK,
    ACTIONS(4696), 1,
      anon_sym_EQ,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    STATE(2336), 1,
      sym_comment,
    ACTIONS(4699), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12046] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(128), 1,
      anon_sym_EQ,
    ACTIONS(131), 1,
      anon_sym_QMARK,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4673), 1,
      anon_sym_EQ_GT,
    STATE(2337), 1,
      sym_comment,
    ACTIONS(4714), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12129] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(25), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4678), 1,
      anon_sym_EQ_GT,
    ACTIONS(4690), 1,
      anon_sym_LBRACK,
    STATE(2338), 1,
      sym_comment,
    ACTIONS(4693), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2257), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(126), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12214] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2339), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5665), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [12340] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2340), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5645), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [12466] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(4537), 1,
      anon_sym_DOT,
    ACTIONS(4541), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4543), 1,
      anon_sym_LT,
    ACTIONS(4716), 1,
      anon_sym_EQ,
    ACTIONS(4718), 1,
      anon_sym_EQ_GT,
    STATE(2341), 1,
      sym_comment,
    STATE(4572), 1,
      sym_arguments,
    STATE(4675), 1,
      sym_type_arguments,
    ACTIONS(4531), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4535), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4497), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12560] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1337), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4678), 1,
      anon_sym_EQ_GT,
    STATE(2342), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12638] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      anon_sym_EQ_GT,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(1404), 1,
      anon_sym_COLON,
    ACTIONS(4720), 1,
      sym_identifier,
    STATE(2343), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12720] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2344), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5631), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [12846] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2345), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5657), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [12972] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    ACTIONS(4592), 1,
      anon_sym_LT,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_EQ_GT,
    STATE(2346), 1,
      sym_comment,
    STATE(4593), 1,
      sym_type_arguments,
    ACTIONS(4595), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4586), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4497), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13062] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(2257), 1,
      anon_sym_extends,
    ACTIONS(2983), 1,
      anon_sym_EQ_GT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2347), 1,
      sym_comment,
    ACTIONS(4690), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4693), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13146] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2348), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5689), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [13272] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4688), 1,
      anon_sym_QMARK,
    ACTIONS(4696), 1,
      anon_sym_EQ,
    STATE(2349), 1,
      sym_comment,
    ACTIONS(4699), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13352] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    ACTIONS(4592), 1,
      anon_sym_LT,
    ACTIONS(4595), 1,
      anon_sym_extends,
    ACTIONS(4710), 1,
      anon_sym_EQ,
    ACTIONS(4712), 1,
      anon_sym_EQ_GT,
    STATE(2350), 1,
      sym_comment,
    STATE(4593), 1,
      sym_type_arguments,
    ACTIONS(4583), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4586), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13442] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1428), 1,
      anon_sym_EQ,
    ACTIONS(2257), 1,
      anon_sym_extends,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4722), 1,
      anon_sym_EQ_GT,
    STATE(2351), 1,
      sym_comment,
    ACTIONS(4690), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4693), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13526] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2352), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5558), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [13652] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      anon_sym_EQ_GT,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(1408), 1,
      anon_sym_COLON,
    ACTIONS(4724), 1,
      sym_identifier,
    STATE(2353), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13734] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2354), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5672), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [13860] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2355), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5586), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [13986] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2356), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5677), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [14112] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2357), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5684), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [14238] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      anon_sym_EQ_GT,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(1394), 1,
      anon_sym_COLON,
    ACTIONS(4726), 1,
      sym_identifier,
    STATE(2358), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14320] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      anon_sym_EQ_GT,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(1406), 1,
      anon_sym_COLON,
    ACTIONS(4728), 1,
      sym_identifier,
    STATE(2359), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14402] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      anon_sym_EQ_GT,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(1392), 1,
      anon_sym_COLON,
    ACTIONS(4461), 1,
      sym_identifier,
    STATE(2360), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14484] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4708), 1,
      anon_sym_QMARK,
    STATE(2361), 1,
      sym_comment,
    ACTIONS(4706), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14564] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(2983), 1,
      anon_sym_EQ_GT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4730), 1,
      anon_sym_LBRACE,
    ACTIONS(4732), 1,
      anon_sym_DOT,
    STATE(2362), 1,
      sym_comment,
    STATE(4262), 1,
      sym_ui_object_initializer,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14648] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      anon_sym_EQ_GT,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(1410), 1,
      anon_sym_COLON,
    ACTIONS(4735), 1,
      sym_identifier,
    STATE(2363), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14730] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4599), 1,
      anon_sym_EQ,
    ACTIONS(4688), 1,
      anon_sym_QMARK,
    STATE(2364), 1,
      sym_comment,
    ACTIONS(4685), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14810] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(4537), 1,
      anon_sym_DOT,
    ACTIONS(4541), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4543), 1,
      anon_sym_LT,
    ACTIONS(4737), 1,
      anon_sym_EQ,
    ACTIONS(4739), 1,
      anon_sym_EQ_GT,
    STATE(2365), 1,
      sym_comment,
    STATE(4572), 1,
      sym_arguments,
    STATE(4675), 1,
      sym_type_arguments,
    ACTIONS(4531), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4535), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4497), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14904] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(25), 1,
      anon_sym_EQ,
    ACTIONS(131), 1,
      anon_sym_QMARK,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4678), 1,
      anon_sym_EQ_GT,
    ACTIONS(4690), 1,
      anon_sym_LBRACK,
    STATE(2366), 1,
      sym_comment,
    ACTIONS(2257), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4675), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4693), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(126), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14992] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4678), 1,
      anon_sym_EQ_GT,
    STATE(2367), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15070] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(2983), 1,
      anon_sym_EQ_GT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4732), 1,
      anon_sym_DOT,
    ACTIONS(4741), 1,
      anon_sym_LBRACE,
    STATE(2368), 1,
      sym_comment,
    STATE(7553), 1,
      sym_ui_object_initializer,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15154] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1239), 1,
      anon_sym_EQ_GT,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(1412), 1,
      anon_sym_COLON,
    ACTIONS(4743), 1,
      sym_identifier,
    STATE(2369), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 37,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15236] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(128), 1,
      anon_sym_EQ,
    ACTIONS(131), 1,
      anon_sym_QMARK,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4673), 1,
      anon_sym_EQ_GT,
    ACTIONS(4690), 1,
      anon_sym_LBRACK,
    STATE(2370), 1,
      sym_comment,
    ACTIONS(2257), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4693), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4714), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(126), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15324] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4529), 1,
      anon_sym_EQ,
    ACTIONS(4539), 1,
      anon_sym_EQ_GT,
    STATE(2371), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15402] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2372), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5962), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [15528] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    ACTIONS(4592), 1,
      anon_sym_LT,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    ACTIONS(4706), 1,
      anon_sym_COLON,
    STATE(2373), 1,
      sym_comment,
    STATE(4593), 1,
      sym_type_arguments,
    ACTIONS(4586), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4595), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4497), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15620] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4657), 1,
      anon_sym_EQ,
    ACTIONS(4741), 1,
      anon_sym_LBRACE,
    ACTIONS(4745), 1,
      anon_sym_DOT,
    STATE(2374), 1,
      sym_comment,
    STATE(7597), 1,
      sym_ui_object_initializer,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15704] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(4537), 1,
      anon_sym_DOT,
    ACTIONS(4541), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4543), 1,
      anon_sym_LT,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    STATE(2375), 1,
      sym_comment,
    STATE(4572), 1,
      sym_arguments,
    STATE(4675), 1,
      sym_type_arguments,
    ACTIONS(4535), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4531), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4497), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15798] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(106), 1,
      anon_sym_AT,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(3780), 1,
      anon_sym_LPAREN,
    ACTIONS(3804), 1,
      anon_sym_abstract,
    ACTIONS(4433), 1,
      anon_sym_export,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4443), 1,
      anon_sym_async,
    ACTIONS(4445), 1,
      anon_sym_new,
    ACTIONS(4447), 1,
      anon_sym_static,
    ACTIONS(4449), 1,
      anon_sym_readonly,
    ACTIONS(4455), 1,
      anon_sym_override,
    STATE(2376), 1,
      sym_comment,
    STATE(3832), 1,
      sym_accessibility_modifier,
    STATE(3897), 1,
      sym_override_modifier,
    STATE(4755), 1,
      sym__property_name,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6248), 1,
      sym__call_signature,
    STATE(6323), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4451), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4453), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(5540), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(4431), 19,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [15924] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4529), 1,
      anon_sym_EQ,
    ACTIONS(4539), 1,
      anon_sym_EQ_GT,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    ACTIONS(4592), 1,
      anon_sym_LT,
    ACTIONS(4595), 1,
      anon_sym_extends,
    ACTIONS(4706), 1,
      anon_sym_COLON,
    STATE(2377), 1,
      sym_comment,
    STATE(4593), 1,
      sym_type_arguments,
    ACTIONS(4586), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4748), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4497), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16018] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4539), 1,
      anon_sym_EQ_GT,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    STATE(2378), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16096] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(4537), 1,
      anon_sym_DOT,
    ACTIONS(4541), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4543), 1,
      anon_sym_LT,
    ACTIONS(4752), 1,
      anon_sym_EQ,
    ACTIONS(4754), 1,
      anon_sym_EQ_GT,
    STATE(2379), 1,
      sym_comment,
    STATE(4572), 1,
      sym_arguments,
    STATE(4675), 1,
      sym_type_arguments,
    ACTIONS(4531), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4535), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4497), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16190] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4657), 1,
      anon_sym_EQ,
    ACTIONS(4730), 1,
      anon_sym_LBRACE,
    ACTIONS(4745), 1,
      anon_sym_DOT,
    STATE(2380), 1,
      sym_comment,
    STATE(4266), 1,
      sym_ui_object_initializer,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16274] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3355), 1,
      anon_sym_EQ_GT,
    ACTIONS(4690), 1,
      anon_sym_LBRACK,
    STATE(2381), 1,
      sym_comment,
    ACTIONS(2257), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4693), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16357] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2382), 1,
      sym_comment,
    ACTIONS(4525), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4527), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [16428] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3197), 1,
      anon_sym_COLON,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4657), 1,
      anon_sym_EQ,
    STATE(2383), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16507] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    ACTIONS(4592), 1,
      anon_sym_LT,
    ACTIONS(4752), 1,
      anon_sym_EQ,
    ACTIONS(4754), 1,
      anon_sym_EQ_GT,
    STATE(2384), 1,
      sym_comment,
    STATE(4593), 1,
      sym_type_arguments,
    ACTIONS(4595), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4586), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4497), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16596] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(2983), 1,
      anon_sym_EQ_GT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3197), 1,
      anon_sym_COLON,
    STATE(2385), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16675] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4661), 1,
      anon_sym_EQ_GT,
    STATE(2386), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16752] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3071), 1,
      anon_sym_COLON,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4657), 1,
      anon_sym_EQ,
    STATE(2387), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16831] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(25), 1,
      anon_sym_EQ,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4678), 1,
      anon_sym_EQ_GT,
    ACTIONS(4690), 1,
      anon_sym_LBRACK,
    STATE(2388), 1,
      sym_comment,
    ACTIONS(4693), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2257), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(126), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16916] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    ACTIONS(4592), 1,
      anon_sym_LT,
    ACTIONS(4737), 1,
      anon_sym_EQ,
    ACTIONS(4739), 1,
      anon_sym_EQ_GT,
    STATE(2389), 1,
      sym_comment,
    STATE(4593), 1,
      sym_type_arguments,
    ACTIONS(4595), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4586), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4497), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17005] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2390), 1,
      sym_comment,
    ACTIONS(4756), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4517), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4519), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17078] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2391), 1,
      sym_comment,
    ACTIONS(4758), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4521), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4523), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17151] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(4537), 1,
      anon_sym_DOT,
    ACTIONS(4541), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4543), 1,
      anon_sym_LT,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    STATE(2392), 1,
      sym_comment,
    STATE(4572), 1,
      sym_arguments,
    STATE(4675), 1,
      sym_type_arguments,
    ACTIONS(4535), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4531), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4497), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17244] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(2983), 1,
      anon_sym_EQ_GT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3235), 1,
      anon_sym_COLON,
    STATE(2393), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17323] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2394), 1,
      sym_comment,
    ACTIONS(4545), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4547), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17394] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2395), 1,
      sym_comment,
    ACTIONS(4509), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4511), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17465] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    STATE(2396), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17540] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(4537), 1,
      anon_sym_DOT,
    ACTIONS(4541), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4543), 1,
      anon_sym_LT,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    STATE(2397), 1,
      sym_comment,
    STATE(4572), 1,
      sym_arguments,
    STATE(4675), 1,
      sym_type_arguments,
    ACTIONS(4531), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4535), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4497), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17633] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2398), 1,
      sym_comment,
    ACTIONS(4513), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4515), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17704] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2399), 1,
      sym_comment,
    ACTIONS(4517), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4519), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17775] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2400), 1,
      sym_comment,
    ACTIONS(4521), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4523), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [17846] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(1419), 1,
      anon_sym_in,
    ACTIONS(2983), 1,
      anon_sym_EQ_GT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4760), 1,
      anon_sym_of,
    STATE(2401), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17927] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4722), 1,
      anon_sym_EQ_GT,
    STATE(2402), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18004] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3235), 1,
      anon_sym_COLON,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4657), 1,
      anon_sym_EQ,
    STATE(2403), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18083] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3159), 1,
      anon_sym_COLON,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4657), 1,
      anon_sym_EQ,
    STATE(2404), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18162] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2405), 1,
      sym_comment,
    ACTIONS(4521), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4523), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [18233] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2406), 1,
      sym_comment,
    ACTIONS(4517), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4519), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [18304] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    STATE(2407), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18381] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(2983), 1,
      anon_sym_EQ_GT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3159), 1,
      anon_sym_COLON,
    STATE(2408), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18460] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(2983), 1,
      anon_sym_EQ_GT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2409), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18537] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1428), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4722), 1,
      anon_sym_EQ_GT,
    STATE(2410), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18614] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2411), 1,
      sym_comment,
    ACTIONS(4549), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4551), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [18685] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(2983), 1,
      anon_sym_EQ_GT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3071), 1,
      anon_sym_COLON,
    STATE(2412), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18764] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    ACTIONS(4592), 1,
      anon_sym_LT,
    ACTIONS(4716), 1,
      anon_sym_EQ,
    ACTIONS(4718), 1,
      anon_sym_EQ_GT,
    STATE(2413), 1,
      sym_comment,
    STATE(4593), 1,
      sym_type_arguments,
    ACTIONS(4595), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4586), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4497), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18853] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4657), 1,
      anon_sym_EQ,
    ACTIONS(4762), 1,
      anon_sym_in,
    ACTIONS(4765), 1,
      anon_sym_of,
    STATE(2414), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18934] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1337), 1,
      anon_sym_EQ,
    ACTIONS(2257), 1,
      anon_sym_extends,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4671), 1,
      anon_sym_COLON,
    ACTIONS(4678), 1,
      anon_sym_EQ_GT,
    ACTIONS(4690), 1,
      anon_sym_LBRACK,
    STATE(2415), 1,
      sym_comment,
    ACTIONS(4693), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4767), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(126), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19021] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(2983), 1,
      anon_sym_EQ_GT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3033), 1,
      anon_sym_COLON,
    STATE(2416), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19100] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2417), 1,
      sym_comment,
    ACTIONS(3464), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3466), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [19171] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(2983), 1,
      anon_sym_EQ_GT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2418), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19248] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1477), 1,
      anon_sym_EQ,
    ACTIONS(2257), 1,
      anon_sym_extends,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4771), 1,
      anon_sym_EQ_GT,
    STATE(2419), 1,
      sym_comment,
    ACTIONS(4690), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4693), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(28), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19331] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3033), 1,
      anon_sym_COLON,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4657), 1,
      anon_sym_EQ,
    STATE(2420), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19410] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4657), 1,
      anon_sym_EQ,
    STATE(2421), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19487] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(2983), 1,
      anon_sym_EQ_GT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3259), 1,
      anon_sym_COLON,
    STATE(2422), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19566] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4529), 1,
      anon_sym_EQ,
    ACTIONS(4539), 1,
      anon_sym_EQ_GT,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    ACTIONS(4592), 1,
      anon_sym_LT,
    ACTIONS(4595), 1,
      anon_sym_extends,
    STATE(2423), 1,
      sym_comment,
    STATE(4593), 1,
      sym_type_arguments,
    ACTIONS(4583), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4586), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4497), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19655] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2424), 1,
      sym_comment,
    ACTIONS(3428), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3430), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [19726] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3259), 1,
      anon_sym_COLON,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4657), 1,
      anon_sym_EQ,
    STATE(2425), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19805] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4539), 1,
      anon_sym_EQ_GT,
    ACTIONS(4599), 1,
      anon_sym_EQ,
    ACTIONS(4745), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LBRACE,
    STATE(2426), 1,
      sym_comment,
    STATE(6664), 1,
      sym_ui_object_initializer,
    ACTIONS(4685), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4497), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19890] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4529), 1,
      anon_sym_EQ,
    STATE(2427), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19965] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3121), 1,
      anon_sym_COLON,
    ACTIONS(4502), 1,
      anon_sym_EQ_GT,
    ACTIONS(4657), 1,
      anon_sym_EQ,
    STATE(2428), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20044] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4659), 1,
      anon_sym_EQ,
    ACTIONS(4661), 1,
      anon_sym_EQ_GT,
    STATE(2429), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20121] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1369), 1,
      anon_sym_EQ,
    ACTIONS(2983), 1,
      anon_sym_EQ_GT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3121), 1,
      anon_sym_COLON,
    STATE(2430), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20200] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(25), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4678), 1,
      anon_sym_EQ_GT,
    ACTIONS(4732), 1,
      anon_sym_DOT,
    ACTIONS(4773), 1,
      anon_sym_LBRACE,
    STATE(2431), 1,
      sym_comment,
    STATE(6642), 1,
      sym_ui_object_initializer,
    ACTIONS(4675), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(126), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20285] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4671), 1,
      anon_sym_COLON,
    ACTIONS(4673), 1,
      anon_sym_EQ_GT,
    ACTIONS(4690), 1,
      anon_sym_LBRACK,
    STATE(2432), 1,
      sym_comment,
    ACTIONS(4693), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2257), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(126), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20370] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1337), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4671), 1,
      anon_sym_COLON,
    ACTIONS(4678), 1,
      anon_sym_EQ_GT,
    STATE(2433), 1,
      sym_comment,
    ACTIONS(4775), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20451] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4780), 1,
      anon_sym_RBRACE,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    STATE(2434), 1,
      sym_comment,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [20575] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4800), 1,
      anon_sym_RBRACE,
    STATE(2435), 1,
      sym_comment,
    STATE(2484), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [20699] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4802), 1,
      anon_sym_RBRACE,
    STATE(2436), 1,
      sym_comment,
    STATE(2438), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [20823] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(139), 1,
      anon_sym_STAR,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(211), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(4806), 1,
      anon_sym_RBRACE,
    ACTIONS(4808), 1,
      anon_sym_LBRACK,
    ACTIONS(4810), 1,
      anon_sym_async,
    ACTIONS(4812), 1,
      anon_sym_static,
    ACTIONS(4814), 1,
      anon_sym_readonly,
    ACTIONS(4820), 1,
      anon_sym_override,
    STATE(2437), 1,
      sym_comment,
    STATE(3855), 1,
      sym_accessibility_modifier,
    STATE(3872), 1,
      sym_override_modifier,
    STATE(5301), 1,
      sym__property_name,
    STATE(6845), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6911), 1,
      aux_sym_object_repeat1,
    STATE(8206), 1,
      sym__destructuring_pattern,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4816), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4818), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6843), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6910), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4804), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [20941] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4822), 1,
      anon_sym_RBRACE,
    STATE(2438), 1,
      sym_comment,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [21065] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4685), 1,
      anon_sym_RBRACK,
    ACTIONS(4699), 1,
      anon_sym_COMMA,
    ACTIONS(4754), 1,
      anon_sym_EQ_GT,
    ACTIONS(4824), 1,
      anon_sym_EQ,
    ACTIONS(4827), 1,
      anon_sym_in,
    ACTIONS(4829), 1,
      anon_sym_COLON,
    STATE(2439), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21149] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4831), 1,
      anon_sym_RBRACE,
    STATE(2440), 1,
      sym_comment,
    STATE(2441), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [21273] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4833), 1,
      anon_sym_RBRACE,
    STATE(2441), 1,
      sym_comment,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [21397] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4835), 1,
      anon_sym_RBRACE,
    STATE(2442), 1,
      sym_comment,
    STATE(2443), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [21521] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4837), 1,
      anon_sym_RBRACE,
    STATE(2443), 1,
      sym_comment,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [21645] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1442), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4675), 1,
      anon_sym_RBRACK,
    ACTIONS(4714), 1,
      anon_sym_COMMA,
    ACTIONS(4839), 1,
      anon_sym_COLON,
    ACTIONS(4841), 1,
      anon_sym_EQ_GT,
    STATE(2444), 1,
      sym_comment,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21727] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(139), 1,
      anon_sym_STAR,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(211), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(4808), 1,
      anon_sym_LBRACK,
    ACTIONS(4845), 1,
      anon_sym_RBRACE,
    ACTIONS(4847), 1,
      anon_sym_async,
    ACTIONS(4849), 1,
      anon_sym_static,
    ACTIONS(4851), 1,
      anon_sym_readonly,
    ACTIONS(4857), 1,
      anon_sym_override,
    STATE(2445), 1,
      sym_comment,
    STATE(3855), 1,
      sym_accessibility_modifier,
    STATE(3872), 1,
      sym_override_modifier,
    STATE(5301), 1,
      sym__property_name,
    STATE(6845), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6911), 1,
      aux_sym_object_repeat1,
    STATE(8206), 1,
      sym__destructuring_pattern,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4853), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4855), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6843), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6910), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4843), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [21845] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4529), 1,
      anon_sym_EQ,
    ACTIONS(4539), 1,
      anon_sym_EQ_GT,
    STATE(2446), 1,
      sym_comment,
    ACTIONS(4859), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21923] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4529), 1,
      anon_sym_EQ,
    ACTIONS(4706), 1,
      anon_sym_COLON,
    STATE(2447), 1,
      sym_comment,
    ACTIONS(4859), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22001] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4862), 1,
      anon_sym_RBRACE,
    STATE(2448), 1,
      sym_comment,
    STATE(2449), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [22125] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4864), 1,
      anon_sym_RBRACE,
    STATE(2449), 1,
      sym_comment,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [22249] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4866), 1,
      anon_sym_RBRACE,
    STATE(2450), 1,
      sym_comment,
    STATE(2504), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [22373] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4868), 1,
      anon_sym_RBRACE,
    STATE(2451), 1,
      sym_comment,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [22497] = 31,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4873), 1,
      anon_sym_STAR,
    ACTIONS(4876), 1,
      anon_sym_RBRACE,
    ACTIONS(4878), 1,
      anon_sym_SEMI,
    ACTIONS(4881), 1,
      anon_sym_LBRACK,
    ACTIONS(4884), 1,
      anon_sym_DQUOTE,
    ACTIONS(4887), 1,
      anon_sym_SQUOTE,
    ACTIONS(4890), 1,
      anon_sym_async,
    ACTIONS(4899), 1,
      anon_sym_AT,
    ACTIONS(4902), 1,
      anon_sym_static,
    ACTIONS(4905), 1,
      anon_sym_readonly,
    ACTIONS(4911), 1,
      anon_sym_declare,
    ACTIONS(4917), 1,
      anon_sym_override,
    ACTIONS(4920), 1,
      anon_sym_abstract,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(4893), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4896), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4908), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2452), 2,
      sym_comment,
      aux_sym_class_body_repeat1,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4914), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4870), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [22619] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4923), 1,
      anon_sym_RBRACE,
    STATE(2451), 1,
      aux_sym_class_body_repeat1,
    STATE(2453), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [22743] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4925), 1,
      anon_sym_RBRACE,
    STATE(2454), 1,
      sym_comment,
    STATE(2475), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [22867] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4659), 1,
      anon_sym_EQ,
    STATE(2455), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22941] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4771), 1,
      anon_sym_EQ_GT,
    STATE(2456), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23017] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4927), 1,
      anon_sym_RBRACE,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2457), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [23141] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4929), 1,
      anon_sym_RBRACE,
    STATE(2457), 1,
      aux_sym_class_body_repeat1,
    STATE(2458), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [23265] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4931), 1,
      anon_sym_RBRACE,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2459), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [23389] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1469), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4690), 1,
      anon_sym_LBRACK,
    ACTIONS(4841), 1,
      anon_sym_EQ_GT,
    STATE(2460), 1,
      sym_comment,
    ACTIONS(2257), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4693), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23471] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4933), 1,
      anon_sym_RBRACE,
    STATE(2461), 1,
      sym_comment,
    STATE(2474), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [23595] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4935), 1,
      anon_sym_RBRACE,
    STATE(2462), 1,
      sym_comment,
    STATE(2464), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [23719] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1337), 1,
      anon_sym_EQ,
    ACTIONS(2257), 1,
      anon_sym_extends,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4678), 1,
      anon_sym_EQ_GT,
    STATE(2463), 1,
      sym_comment,
    ACTIONS(4690), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4693), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23801] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4937), 1,
      anon_sym_RBRACE,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2464), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [23925] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4939), 1,
      anon_sym_RBRACE,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2465), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [24049] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4941), 1,
      anon_sym_RBRACE,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2466), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [24173] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(139), 1,
      anon_sym_STAR,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(211), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(4808), 1,
      anon_sym_LBRACK,
    ACTIONS(4945), 1,
      anon_sym_RBRACE,
    ACTIONS(4947), 1,
      anon_sym_async,
    ACTIONS(4949), 1,
      anon_sym_static,
    ACTIONS(4951), 1,
      anon_sym_readonly,
    ACTIONS(4957), 1,
      anon_sym_override,
    STATE(2467), 1,
      sym_comment,
    STATE(3855), 1,
      sym_accessibility_modifier,
    STATE(3872), 1,
      sym_override_modifier,
    STATE(5301), 1,
      sym__property_name,
    STATE(6845), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6911), 1,
      aux_sym_object_repeat1,
    STATE(8206), 1,
      sym__destructuring_pattern,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4953), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4955), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6843), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6910), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4943), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [24291] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4959), 1,
      anon_sym_RBRACE,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2468), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [24415] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1477), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4771), 1,
      anon_sym_EQ_GT,
    STATE(2469), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24491] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4961), 1,
      anon_sym_RBRACE,
    STATE(2459), 1,
      aux_sym_class_body_repeat1,
    STATE(2470), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [24615] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4461), 1,
      sym_identifier,
    STATE(2471), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [24693] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4963), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      sym_comment,
    STATE(2485), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [24817] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4965), 1,
      anon_sym_RBRACE,
    STATE(2434), 1,
      aux_sym_class_body_repeat1,
    STATE(2473), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [24941] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4967), 1,
      anon_sym_RBRACE,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2474), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [25065] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4969), 1,
      anon_sym_RBRACE,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2475), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [25189] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4583), 1,
      anon_sym_LBRACK,
    ACTIONS(4589), 1,
      anon_sym_DOT,
    ACTIONS(4592), 1,
      anon_sym_LT,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    STATE(2476), 1,
      sym_comment,
    STATE(4593), 1,
      sym_type_arguments,
    ACTIONS(4595), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4586), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4497), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25277] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4728), 1,
      sym_identifier,
    STATE(2477), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [25355] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(139), 1,
      anon_sym_STAR,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(211), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(4808), 1,
      anon_sym_LBRACK,
    ACTIONS(4973), 1,
      anon_sym_RBRACE,
    ACTIONS(4975), 1,
      anon_sym_async,
    ACTIONS(4977), 1,
      anon_sym_static,
    ACTIONS(4979), 1,
      anon_sym_readonly,
    ACTIONS(4985), 1,
      anon_sym_override,
    STATE(2478), 1,
      sym_comment,
    STATE(3855), 1,
      sym_accessibility_modifier,
    STATE(3872), 1,
      sym_override_modifier,
    STATE(5301), 1,
      sym__property_name,
    STATE(6845), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7039), 1,
      aux_sym_object_repeat1,
    STATE(8206), 1,
      sym__destructuring_pattern,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4981), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4983), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6843), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(7033), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4971), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [25473] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1583), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4690), 1,
      anon_sym_LBRACK,
    ACTIONS(4987), 1,
      anon_sym_EQ_GT,
    STATE(2479), 1,
      sym_comment,
    ACTIONS(2257), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4693), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25555] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4989), 1,
      anon_sym_RBRACE,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2480), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [25679] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4743), 1,
      sym_identifier,
    STATE(2481), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [25757] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4991), 1,
      anon_sym_RBRACE,
    STATE(2482), 1,
      sym_comment,
    STATE(2494), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [25881] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4993), 1,
      anon_sym_RBRACE,
    STATE(2466), 1,
      aux_sym_class_body_repeat1,
    STATE(2483), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26005] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4995), 1,
      anon_sym_RBRACE,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2484), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26129] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4997), 1,
      anon_sym_RBRACE,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2485), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26253] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(4999), 1,
      anon_sym_RBRACE,
    STATE(2486), 1,
      sym_comment,
    STATE(2487), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26377] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(5001), 1,
      anon_sym_RBRACE,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2487), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26501] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(5003), 1,
      anon_sym_RBRACE,
    STATE(2468), 1,
      aux_sym_class_body_repeat1,
    STATE(2488), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26625] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4657), 1,
      anon_sym_EQ,
    STATE(2489), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26699] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4657), 1,
      anon_sym_EQ,
    ACTIONS(4762), 1,
      anon_sym_in,
    ACTIONS(4765), 1,
      anon_sym_of,
    STATE(2490), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26777] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(139), 1,
      anon_sym_STAR,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(211), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(4808), 1,
      anon_sym_LBRACK,
    ACTIONS(5007), 1,
      anon_sym_RBRACE,
    ACTIONS(5009), 1,
      anon_sym_async,
    ACTIONS(5011), 1,
      anon_sym_static,
    ACTIONS(5013), 1,
      anon_sym_readonly,
    ACTIONS(5019), 1,
      anon_sym_override,
    STATE(2491), 1,
      sym_comment,
    STATE(3855), 1,
      sym_accessibility_modifier,
    STATE(3872), 1,
      sym_override_modifier,
    STATE(5301), 1,
      sym__property_name,
    STATE(6845), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6911), 1,
      aux_sym_object_repeat1,
    STATE(8206), 1,
      sym__destructuring_pattern,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5015), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(5017), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6843), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6910), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(5005), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [26895] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4735), 1,
      sym_identifier,
    STATE(2492), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [26973] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(5021), 1,
      anon_sym_RBRACE,
    STATE(2465), 1,
      aux_sym_class_body_repeat1,
    STATE(2493), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27097] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(5023), 1,
      anon_sym_RBRACE,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2494), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27221] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1495), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4690), 1,
      anon_sym_LBRACK,
    ACTIONS(5025), 1,
      anon_sym_EQ_GT,
    STATE(2495), 1,
      sym_comment,
    ACTIONS(2257), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4693), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [27303] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(5027), 1,
      anon_sym_RBRACE,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2496), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27427] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4720), 1,
      sym_identifier,
    STATE(2497), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [27505] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4724), 1,
      sym_identifier,
    STATE(2498), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [27583] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(5029), 1,
      sym_identifier,
    STATE(2499), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [27661] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 1,
      anon_sym_EQ_GT,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(4726), 1,
      sym_identifier,
    STATE(2500), 1,
      sym_comment,
    ACTIONS(126), 2,
      sym__automatic_semicolon,
      sym__ternary_qmark,
    ACTIONS(72), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 36,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [27739] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(139), 1,
      anon_sym_STAR,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(211), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(4808), 1,
      anon_sym_LBRACK,
    ACTIONS(5033), 1,
      anon_sym_RBRACE,
    ACTIONS(5035), 1,
      anon_sym_async,
    ACTIONS(5037), 1,
      anon_sym_static,
    ACTIONS(5039), 1,
      anon_sym_readonly,
    ACTIONS(5045), 1,
      anon_sym_override,
    STATE(2501), 1,
      sym_comment,
    STATE(3855), 1,
      sym_accessibility_modifier,
    STATE(3872), 1,
      sym_override_modifier,
    STATE(5301), 1,
      sym__property_name,
    STATE(6845), 1,
      aux_sym_object_pattern_repeat1,
    STATE(6911), 1,
      aux_sym_object_repeat1,
    STATE(8206), 1,
      sym__destructuring_pattern,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5041), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(5043), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6843), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(6910), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(5031), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27857] = 29,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(139), 1,
      anon_sym_STAR,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(211), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(4808), 1,
      anon_sym_LBRACK,
    ACTIONS(5049), 1,
      anon_sym_RBRACE,
    ACTIONS(5051), 1,
      anon_sym_async,
    ACTIONS(5053), 1,
      anon_sym_static,
    ACTIONS(5055), 1,
      anon_sym_readonly,
    ACTIONS(5061), 1,
      anon_sym_override,
    STATE(2502), 1,
      sym_comment,
    STATE(3855), 1,
      sym_accessibility_modifier,
    STATE(3872), 1,
      sym_override_modifier,
    STATE(5301), 1,
      sym__property_name,
    STATE(6845), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7039), 1,
      aux_sym_object_repeat1,
    STATE(8206), 1,
      sym__destructuring_pattern,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5057), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(5059), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(6843), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(7033), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(5047), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [27975] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4710), 1,
      anon_sym_EQ,
    ACTIONS(4712), 1,
      anon_sym_EQ_GT,
    STATE(2503), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [28051] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(5063), 1,
      anon_sym_RBRACE,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2504), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28175] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4712), 1,
      anon_sym_EQ_GT,
    STATE(2505), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [28251] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(5065), 1,
      anon_sym_RBRACE,
    STATE(2496), 1,
      aux_sym_class_body_repeat1,
    STATE(2506), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28375] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4758), 1,
      anon_sym_COMMA,
    STATE(2507), 1,
      sym_comment,
    ACTIONS(4521), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4523), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [28447] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4756), 1,
      anon_sym_COMMA,
    STATE(2508), 1,
      sym_comment,
    ACTIONS(4517), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4519), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [28519] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(5067), 1,
      anon_sym_RBRACE,
    STATE(2509), 1,
      sym_comment,
    STATE(2510), 1,
      aux_sym_class_body_repeat1,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28643] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(5069), 1,
      anon_sym_RBRACE,
    STATE(2452), 1,
      aux_sym_class_body_repeat1,
    STATE(2510), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28767] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4441), 1,
      anon_sym_LBRACK,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4778), 1,
      anon_sym_STAR,
    ACTIONS(4782), 1,
      anon_sym_SEMI,
    ACTIONS(4784), 1,
      anon_sym_async,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(4788), 1,
      anon_sym_static,
    ACTIONS(4790), 1,
      anon_sym_readonly,
    ACTIONS(4794), 1,
      anon_sym_declare,
    ACTIONS(4798), 1,
      anon_sym_abstract,
    ACTIONS(5071), 1,
      anon_sym_RBRACE,
    STATE(2480), 1,
      aux_sym_class_body_repeat1,
    STATE(2511), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_export_statement_repeat1,
    STATE(3232), 1,
      sym_method_definition,
    STATE(3472), 1,
      sym_class_static_block,
    STATE(3572), 1,
      sym_accessibility_modifier,
    STATE(3877), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4709), 1,
      sym__property_name,
    STATE(6356), 1,
      sym_method_signature,
    ACTIONS(3790), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4792), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7293), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [28891] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4673), 1,
      anon_sym_EQ_GT,
    ACTIONS(4690), 1,
      anon_sym_LBRACK,
    STATE(2512), 1,
      sym_comment,
    ACTIONS(2257), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4693), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(126), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [28972] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4758), 1,
      anon_sym_COMMA,
    STATE(2513), 1,
      sym_comment,
    ACTIONS(4521), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4523), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [29043] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4710), 1,
      anon_sym_EQ,
    STATE(2514), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [29116] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3355), 1,
      anon_sym_EQ_GT,
    STATE(2515), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [29191] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4752), 1,
      anon_sym_EQ,
    ACTIONS(4754), 1,
      anon_sym_EQ_GT,
    ACTIONS(4827), 1,
      anon_sym_in,
    ACTIONS(4829), 1,
      anon_sym_COLON,
    STATE(2516), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [29270] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1469), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4839), 1,
      anon_sym_COLON,
    ACTIONS(4841), 1,
      anon_sym_EQ_GT,
    STATE(2517), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [29347] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1442), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4675), 1,
      anon_sym_RBRACK,
    ACTIONS(4714), 1,
      anon_sym_COMMA,
    ACTIONS(4841), 1,
      anon_sym_EQ_GT,
    STATE(2518), 1,
      sym_comment,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [29426] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4756), 1,
      anon_sym_COMMA,
    STATE(2519), 1,
      sym_comment,
    ACTIONS(4517), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(4519), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [29497] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4685), 1,
      anon_sym_RBRACK,
    ACTIONS(4699), 1,
      anon_sym_COMMA,
    ACTIONS(4754), 1,
      anon_sym_EQ_GT,
    ACTIONS(4824), 1,
      anon_sym_EQ,
    STATE(2520), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [29576] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_EQ_GT,
    STATE(2521), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [29651] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4752), 1,
      anon_sym_EQ,
    ACTIONS(4754), 1,
      anon_sym_EQ_GT,
    ACTIONS(4827), 1,
      anon_sym_in,
    ACTIONS(5073), 1,
      anon_sym_COLON,
    STATE(2522), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [29730] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1469), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4841), 1,
      anon_sym_EQ_GT,
    ACTIONS(5075), 1,
      anon_sym_COLON,
    STATE(2523), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [29807] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1461), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3355), 1,
      anon_sym_EQ_GT,
    STATE(2524), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [29882] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(4669), 1,
      anon_sym_EQ_GT,
    STATE(2525), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [29957] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5025), 1,
      anon_sym_EQ_GT,
    STATE(2526), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30031] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4841), 1,
      anon_sym_EQ_GT,
    STATE(2527), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30105] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1495), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5025), 1,
      anon_sym_EQ_GT,
    STATE(2528), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30179] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4987), 1,
      anon_sym_EQ_GT,
    STATE(2529), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30253] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(1419), 1,
      anon_sym_in,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4673), 1,
      anon_sym_EQ_GT,
    ACTIONS(4760), 1,
      anon_sym_of,
    STATE(2530), 1,
      sym_comment,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30331] = 26,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(139), 1,
      anon_sym_STAR,
    ACTIONS(211), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(4808), 1,
      anon_sym_LBRACK,
    ACTIONS(5079), 1,
      anon_sym_async,
    ACTIONS(5081), 1,
      anon_sym_static,
    ACTIONS(5083), 1,
      anon_sym_readonly,
    ACTIONS(5089), 1,
      anon_sym_override,
    STATE(2531), 1,
      sym_comment,
    STATE(3855), 1,
      sym_accessibility_modifier,
    STATE(3872), 1,
      sym_override_modifier,
    STATE(5301), 1,
      sym__property_name,
    STATE(8206), 1,
      sym__destructuring_pattern,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4102), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5085), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(5087), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7729), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(7883), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(5077), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [30441] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    ACTIONS(4762), 1,
      anon_sym_in,
    ACTIONS(4765), 1,
      anon_sym_of,
    STATE(2532), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30519] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4716), 1,
      anon_sym_EQ,
    ACTIONS(4718), 1,
      anon_sym_EQ_GT,
    STATE(2533), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30593] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4752), 1,
      anon_sym_EQ,
    ACTIONS(4754), 1,
      anon_sym_EQ_GT,
    STATE(2534), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30667] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4685), 1,
      anon_sym_RBRACK,
    ACTIONS(4699), 1,
      anon_sym_COMMA,
    ACTIONS(4824), 1,
      anon_sym_EQ,
    STATE(2535), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30743] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    STATE(2536), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30815] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1469), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4841), 1,
      anon_sym_EQ_GT,
    STATE(2537), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30889] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1583), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4987), 1,
      anon_sym_EQ_GT,
    STATE(2538), 1,
      sym_comment,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(126), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [30963] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4754), 1,
      anon_sym_EQ_GT,
    STATE(2539), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31037] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4718), 1,
      anon_sym_EQ_GT,
    STATE(2540), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31111] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4737), 1,
      anon_sym_EQ,
    ACTIONS(4739), 1,
      anon_sym_EQ_GT,
    STATE(2541), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31185] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4739), 1,
      anon_sym_EQ_GT,
    STATE(2542), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31259] = 24,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5091), 1,
      sym_identifier,
    ACTIONS(5097), 1,
      anon_sym_default,
    ACTIONS(5100), 1,
      anon_sym_RBRACE,
    ACTIONS(5102), 1,
      anon_sym_var,
    ACTIONS(5105), 1,
      anon_sym_async,
    ACTIONS(5108), 1,
      anon_sym_function,
    ACTIONS(5111), 1,
      anon_sym_AT,
    ACTIONS(5114), 1,
      anon_sym_readonly,
    ACTIONS(5117), 1,
      anon_sym_property,
    ACTIONS(5120), 1,
      anon_sym_signal,
    ACTIONS(5123), 1,
      anon_sym_required,
    ACTIONS(5126), 1,
      anon_sym_component,
    ACTIONS(5129), 1,
      anon_sym_enum,
    STATE(2609), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(4400), 1,
      sym__qml_enum_declaration,
    STATE(4456), 1,
      sym_ui_annotation,
    STATE(5616), 1,
      aux_sym_ui_property_repeat1,
    STATE(6304), 1,
      sym_ui_nested_identifier,
    STATE(6330), 1,
      sym_ui_property_modifier,
    STATE(2543), 2,
      sym_comment,
      aux_sym_ui_object_initializer_repeat1,
    STATE(4401), 11,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
    ACTIONS(5094), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_on,
  [31364] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5132), 1,
      anon_sym_EQ,
    STATE(2544), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31437] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5134), 1,
      anon_sym_EQ,
    STATE(2545), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31510] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4762), 1,
      anon_sym_in,
    ACTIONS(4765), 1,
      anon_sym_of,
    STATE(2546), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31585] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1046), 1,
      anon_sym_var,
    ACTIONS(5136), 1,
      sym_identifier,
    ACTIONS(5140), 1,
      anon_sym_default,
    ACTIONS(5142), 1,
      anon_sym_RBRACE,
    ACTIONS(5144), 1,
      anon_sym_async,
    ACTIONS(5146), 1,
      anon_sym_function,
    ACTIONS(5148), 1,
      anon_sym_AT,
    ACTIONS(5150), 1,
      anon_sym_readonly,
    ACTIONS(5152), 1,
      anon_sym_property,
    ACTIONS(5154), 1,
      anon_sym_signal,
    ACTIONS(5156), 1,
      anon_sym_required,
    ACTIONS(5158), 1,
      anon_sym_component,
    ACTIONS(5160), 1,
      anon_sym_enum,
    STATE(2543), 1,
      aux_sym_ui_object_initializer_repeat1,
    STATE(2547), 1,
      sym_comment,
    STATE(2609), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(4400), 1,
      sym__qml_enum_declaration,
    STATE(4456), 1,
      sym_ui_annotation,
    STATE(5616), 1,
      aux_sym_ui_property_repeat1,
    STATE(6304), 1,
      sym_ui_nested_identifier,
    STATE(6330), 1,
      sym_ui_property_modifier,
    STATE(4401), 11,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
    ACTIONS(5138), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_on,
  [31692] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1046), 1,
      anon_sym_var,
    ACTIONS(5136), 1,
      sym_identifier,
    ACTIONS(5140), 1,
      anon_sym_default,
    ACTIONS(5144), 1,
      anon_sym_async,
    ACTIONS(5146), 1,
      anon_sym_function,
    ACTIONS(5148), 1,
      anon_sym_AT,
    ACTIONS(5150), 1,
      anon_sym_readonly,
    ACTIONS(5152), 1,
      anon_sym_property,
    ACTIONS(5154), 1,
      anon_sym_signal,
    ACTIONS(5156), 1,
      anon_sym_required,
    ACTIONS(5158), 1,
      anon_sym_component,
    ACTIONS(5160), 1,
      anon_sym_enum,
    ACTIONS(5162), 1,
      anon_sym_RBRACE,
    STATE(2543), 1,
      aux_sym_ui_object_initializer_repeat1,
    STATE(2548), 1,
      sym_comment,
    STATE(2609), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(4400), 1,
      sym__qml_enum_declaration,
    STATE(4456), 1,
      sym_ui_annotation,
    STATE(5616), 1,
      aux_sym_ui_property_repeat1,
    STATE(6304), 1,
      sym_ui_nested_identifier,
    STATE(6330), 1,
      sym_ui_property_modifier,
    STATE(4401), 11,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
    ACTIONS(5138), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_on,
  [31799] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1046), 1,
      anon_sym_var,
    ACTIONS(5136), 1,
      sym_identifier,
    ACTIONS(5140), 1,
      anon_sym_default,
    ACTIONS(5144), 1,
      anon_sym_async,
    ACTIONS(5146), 1,
      anon_sym_function,
    ACTIONS(5148), 1,
      anon_sym_AT,
    ACTIONS(5150), 1,
      anon_sym_readonly,
    ACTIONS(5152), 1,
      anon_sym_property,
    ACTIONS(5154), 1,
      anon_sym_signal,
    ACTIONS(5156), 1,
      anon_sym_required,
    ACTIONS(5158), 1,
      anon_sym_component,
    ACTIONS(5160), 1,
      anon_sym_enum,
    ACTIONS(5164), 1,
      anon_sym_RBRACE,
    STATE(2549), 1,
      sym_comment,
    STATE(2558), 1,
      aux_sym_ui_object_initializer_repeat1,
    STATE(2609), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(4400), 1,
      sym__qml_enum_declaration,
    STATE(4456), 1,
      sym_ui_annotation,
    STATE(5616), 1,
      aux_sym_ui_property_repeat1,
    STATE(6304), 1,
      sym_ui_nested_identifier,
    STATE(6330), 1,
      sym_ui_property_modifier,
    STATE(4401), 11,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
    ACTIONS(5138), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_on,
  [31906] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1511), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4673), 1,
      anon_sym_EQ_GT,
    STATE(2550), 1,
      sym_comment,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [31979] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1515), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4673), 1,
      anon_sym_EQ_GT,
    STATE(2551), 1,
      sym_comment,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32052] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5166), 1,
      anon_sym_EQ,
    STATE(2552), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32125] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    STATE(2553), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32198] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5168), 1,
      anon_sym_EQ,
    STATE(2554), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32271] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4752), 1,
      anon_sym_EQ,
    STATE(2555), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32342] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5170), 1,
      anon_sym_EQ,
    STATE(2556), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32415] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1575), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4673), 1,
      anon_sym_EQ_GT,
    STATE(2557), 1,
      sym_comment,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32488] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1046), 1,
      anon_sym_var,
    ACTIONS(5136), 1,
      sym_identifier,
    ACTIONS(5140), 1,
      anon_sym_default,
    ACTIONS(5144), 1,
      anon_sym_async,
    ACTIONS(5146), 1,
      anon_sym_function,
    ACTIONS(5148), 1,
      anon_sym_AT,
    ACTIONS(5150), 1,
      anon_sym_readonly,
    ACTIONS(5152), 1,
      anon_sym_property,
    ACTIONS(5154), 1,
      anon_sym_signal,
    ACTIONS(5156), 1,
      anon_sym_required,
    ACTIONS(5158), 1,
      anon_sym_component,
    ACTIONS(5160), 1,
      anon_sym_enum,
    ACTIONS(5172), 1,
      anon_sym_RBRACE,
    STATE(2543), 1,
      aux_sym_ui_object_initializer_repeat1,
    STATE(2558), 1,
      sym_comment,
    STATE(2609), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(4400), 1,
      sym__qml_enum_declaration,
    STATE(4456), 1,
      sym_ui_annotation,
    STATE(5616), 1,
      aux_sym_ui_property_repeat1,
    STATE(6304), 1,
      sym_ui_nested_identifier,
    STATE(6330), 1,
      sym_ui_property_modifier,
    STATE(4401), 11,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
    ACTIONS(5138), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_on,
  [32595] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1517), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4673), 1,
      anon_sym_EQ_GT,
    STATE(2559), 1,
      sym_comment,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32668] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1046), 1,
      anon_sym_var,
    ACTIONS(5136), 1,
      sym_identifier,
    ACTIONS(5140), 1,
      anon_sym_default,
    ACTIONS(5144), 1,
      anon_sym_async,
    ACTIONS(5146), 1,
      anon_sym_function,
    ACTIONS(5148), 1,
      anon_sym_AT,
    ACTIONS(5150), 1,
      anon_sym_readonly,
    ACTIONS(5152), 1,
      anon_sym_property,
    ACTIONS(5154), 1,
      anon_sym_signal,
    ACTIONS(5156), 1,
      anon_sym_required,
    ACTIONS(5158), 1,
      anon_sym_component,
    ACTIONS(5160), 1,
      anon_sym_enum,
    ACTIONS(5174), 1,
      anon_sym_RBRACE,
    STATE(2548), 1,
      aux_sym_ui_object_initializer_repeat1,
    STATE(2560), 1,
      sym_comment,
    STATE(2609), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(4400), 1,
      sym__qml_enum_declaration,
    STATE(4456), 1,
      sym_ui_annotation,
    STATE(5616), 1,
      aux_sym_ui_property_repeat1,
    STATE(6304), 1,
      sym_ui_nested_identifier,
    STATE(6330), 1,
      sym_ui_property_modifier,
    STATE(4401), 11,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
    ACTIONS(5138), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_on,
  [32775] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1577), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4673), 1,
      anon_sym_EQ_GT,
    STATE(2561), 1,
      sym_comment,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [32848] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1046), 1,
      anon_sym_var,
    ACTIONS(5136), 1,
      sym_identifier,
    ACTIONS(5140), 1,
      anon_sym_default,
    ACTIONS(5144), 1,
      anon_sym_async,
    ACTIONS(5146), 1,
      anon_sym_function,
    ACTIONS(5148), 1,
      anon_sym_AT,
    ACTIONS(5150), 1,
      anon_sym_readonly,
    ACTIONS(5152), 1,
      anon_sym_property,
    ACTIONS(5154), 1,
      anon_sym_signal,
    ACTIONS(5156), 1,
      anon_sym_required,
    ACTIONS(5158), 1,
      anon_sym_component,
    ACTIONS(5160), 1,
      anon_sym_enum,
    ACTIONS(5176), 1,
      anon_sym_RBRACE,
    STATE(2562), 1,
      sym_comment,
    STATE(2564), 1,
      aux_sym_ui_object_initializer_repeat1,
    STATE(2609), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(4400), 1,
      sym__qml_enum_declaration,
    STATE(4456), 1,
      sym_ui_annotation,
    STATE(5616), 1,
      aux_sym_ui_property_repeat1,
    STATE(6304), 1,
      sym_ui_nested_identifier,
    STATE(6330), 1,
      sym_ui_property_modifier,
    STATE(4401), 11,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
    ACTIONS(5138), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_on,
  [32955] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4716), 1,
      anon_sym_EQ,
    STATE(2563), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33026] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1046), 1,
      anon_sym_var,
    ACTIONS(5136), 1,
      sym_identifier,
    ACTIONS(5140), 1,
      anon_sym_default,
    ACTIONS(5144), 1,
      anon_sym_async,
    ACTIONS(5146), 1,
      anon_sym_function,
    ACTIONS(5148), 1,
      anon_sym_AT,
    ACTIONS(5150), 1,
      anon_sym_readonly,
    ACTIONS(5152), 1,
      anon_sym_property,
    ACTIONS(5154), 1,
      anon_sym_signal,
    ACTIONS(5156), 1,
      anon_sym_required,
    ACTIONS(5158), 1,
      anon_sym_component,
    ACTIONS(5160), 1,
      anon_sym_enum,
    ACTIONS(5178), 1,
      anon_sym_RBRACE,
    STATE(2543), 1,
      aux_sym_ui_object_initializer_repeat1,
    STATE(2564), 1,
      sym_comment,
    STATE(2609), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(4400), 1,
      sym__qml_enum_declaration,
    STATE(4456), 1,
      sym_ui_annotation,
    STATE(5616), 1,
      aux_sym_ui_property_repeat1,
    STATE(6304), 1,
      sym_ui_nested_identifier,
    STATE(6330), 1,
      sym_ui_property_modifier,
    STATE(4401), 11,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
    ACTIONS(5138), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_on,
  [33133] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1046), 1,
      anon_sym_var,
    ACTIONS(5136), 1,
      sym_identifier,
    ACTIONS(5140), 1,
      anon_sym_default,
    ACTIONS(5144), 1,
      anon_sym_async,
    ACTIONS(5146), 1,
      anon_sym_function,
    ACTIONS(5148), 1,
      anon_sym_AT,
    ACTIONS(5150), 1,
      anon_sym_readonly,
    ACTIONS(5152), 1,
      anon_sym_property,
    ACTIONS(5154), 1,
      anon_sym_signal,
    ACTIONS(5156), 1,
      anon_sym_required,
    ACTIONS(5158), 1,
      anon_sym_component,
    ACTIONS(5160), 1,
      anon_sym_enum,
    ACTIONS(5180), 1,
      anon_sym_RBRACE,
    STATE(2547), 1,
      aux_sym_ui_object_initializer_repeat1,
    STATE(2565), 1,
      sym_comment,
    STATE(2609), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(4400), 1,
      sym__qml_enum_declaration,
    STATE(4456), 1,
      sym_ui_annotation,
    STATE(5616), 1,
      aux_sym_ui_property_repeat1,
    STATE(6304), 1,
      sym_ui_nested_identifier,
    STATE(6330), 1,
      sym_ui_property_modifier,
    STATE(4401), 11,
      sym_variable_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_ui_object_definition,
      sym_ui_annotated_object_member,
      sym_ui_object_definition_binding,
      sym_ui_binding,
      sym_ui_property,
      sym_ui_required,
      sym_ui_signal,
      sym_ui_inline_component,
    ACTIONS(5138), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_on,
  [33240] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1513), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4673), 1,
      anon_sym_EQ_GT,
    STATE(2566), 1,
      sym_comment,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33313] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5182), 1,
      anon_sym_EQ,
    STATE(2567), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33386] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1519), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4673), 1,
      anon_sym_EQ_GT,
    STATE(2568), 1,
      sym_comment,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33459] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4737), 1,
      anon_sym_EQ,
    STATE(2569), 1,
      sym_comment,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4497), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33530] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1573), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4673), 1,
      anon_sym_EQ_GT,
    STATE(2570), 1,
      sym_comment,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33603] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1333), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4673), 1,
      anon_sym_EQ_GT,
    STATE(2571), 1,
      sym_comment,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33676] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5184), 1,
      anon_sym_EQ,
    STATE(2572), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33749] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5186), 1,
      anon_sym_EQ,
    STATE(2573), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33822] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1509), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4673), 1,
      anon_sym_EQ_GT,
    STATE(2574), 1,
      sym_comment,
    ACTIONS(126), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(2985), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(28), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33895] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4704), 1,
      anon_sym_EQ_GT,
    ACTIONS(5188), 1,
      anon_sym_EQ,
    STATE(2575), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [33968] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5168), 1,
      anon_sym_EQ,
    STATE(2576), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [34038] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5197), 1,
      anon_sym_RBRACE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5202), 1,
      anon_sym_async,
    ACTIONS(5204), 1,
      anon_sym_readonly,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2577), 1,
      sym_comment,
    STATE(3888), 1,
      sym_override_modifier,
    STATE(4790), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5206), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34140] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5132), 1,
      anon_sym_EQ,
    STATE(2578), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [34210] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5186), 1,
      anon_sym_EQ,
    STATE(2579), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [34280] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5188), 1,
      anon_sym_EQ,
    STATE(2580), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [34350] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5166), 1,
      anon_sym_EQ,
    STATE(2581), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [34420] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5134), 1,
      anon_sym_EQ,
    STATE(2582), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [34490] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5202), 1,
      anon_sym_async,
    ACTIONS(5204), 1,
      anon_sym_readonly,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5210), 1,
      anon_sym_RBRACE,
    STATE(2583), 1,
      sym_comment,
    STATE(3888), 1,
      sym_override_modifier,
    STATE(4790), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5206), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34592] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5202), 1,
      anon_sym_async,
    ACTIONS(5204), 1,
      anon_sym_readonly,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5213), 1,
      anon_sym_RBRACE,
    STATE(2584), 1,
      sym_comment,
    STATE(3888), 1,
      sym_override_modifier,
    STATE(4790), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5206), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34694] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5170), 1,
      anon_sym_EQ,
    STATE(2585), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [34764] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5202), 1,
      anon_sym_async,
    ACTIONS(5204), 1,
      anon_sym_readonly,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5216), 1,
      anon_sym_RBRACE,
    STATE(2586), 1,
      sym_comment,
    STATE(3888), 1,
      sym_override_modifier,
    STATE(4790), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5206), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [34866] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5182), 1,
      anon_sym_EQ,
    STATE(2587), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [34936] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5202), 1,
      anon_sym_async,
    ACTIONS(5204), 1,
      anon_sym_readonly,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5219), 1,
      anon_sym_RBRACE,
    STATE(2588), 1,
      sym_comment,
    STATE(3888), 1,
      sym_override_modifier,
    STATE(4790), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5206), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35038] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5184), 1,
      anon_sym_EQ,
    STATE(2589), 1,
      sym_comment,
    ACTIONS(4497), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(4504), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(4493), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [35108] = 23,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5202), 1,
      anon_sym_async,
    ACTIONS(5204), 1,
      anon_sym_readonly,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5222), 1,
      anon_sym_RBRACE,
    STATE(2590), 1,
      sym_comment,
    STATE(3888), 1,
      sym_override_modifier,
    STATE(4790), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5206), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35210] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5197), 1,
      anon_sym_RBRACE,
    ACTIONS(5202), 1,
      anon_sym_async,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5225), 1,
      anon_sym_LBRACK,
    STATE(2591), 1,
      sym_comment,
    STATE(4790), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5206), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35305] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5202), 1,
      anon_sym_async,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5213), 1,
      anon_sym_RBRACE,
    ACTIONS(5225), 1,
      anon_sym_LBRACK,
    STATE(2592), 1,
      sym_comment,
    STATE(4790), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5206), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35400] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5202), 1,
      anon_sym_async,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5210), 1,
      anon_sym_RBRACE,
    ACTIONS(5225), 1,
      anon_sym_LBRACK,
    STATE(2593), 1,
      sym_comment,
    STATE(4790), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5206), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35495] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5222), 1,
      anon_sym_RBRACE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2594), 1,
      sym_comment,
    STATE(5693), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5229), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35588] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5197), 1,
      anon_sym_RBRACE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2595), 1,
      sym_comment,
    STATE(5693), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5229), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35681] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5231), 1,
      anon_sym_STAR,
    ACTIONS(5233), 1,
      anon_sym_LBRACE,
    ACTIONS(5235), 1,
      anon_sym_async,
    ACTIONS(5237), 1,
      anon_sym_readonly,
    STATE(2596), 1,
      sym_comment,
    STATE(3363), 1,
      sym_statement_block,
    STATE(3906), 1,
      sym_override_modifier,
    STATE(4722), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5239), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35776] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5219), 1,
      anon_sym_RBRACE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2597), 1,
      sym_comment,
    STATE(5693), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5229), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35869] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5202), 1,
      anon_sym_async,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5216), 1,
      anon_sym_RBRACE,
    ACTIONS(5225), 1,
      anon_sym_LBRACK,
    STATE(2598), 1,
      sym_comment,
    STATE(4790), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5206), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [35964] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5202), 1,
      anon_sym_async,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5222), 1,
      anon_sym_RBRACE,
    ACTIONS(5225), 1,
      anon_sym_LBRACK,
    STATE(2599), 1,
      sym_comment,
    STATE(4790), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5206), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36059] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5202), 1,
      anon_sym_async,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5219), 1,
      anon_sym_RBRACE,
    ACTIONS(5225), 1,
      anon_sym_LBRACK,
    STATE(2600), 1,
      sym_comment,
    STATE(4790), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5206), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36154] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5216), 1,
      anon_sym_RBRACE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2601), 1,
      sym_comment,
    STATE(5693), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5229), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36247] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5210), 1,
      anon_sym_RBRACE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2602), 1,
      sym_comment,
    STATE(5693), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5229), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36340] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5213), 1,
      anon_sym_RBRACE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2603), 1,
      sym_comment,
    STATE(5693), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5229), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36433] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5219), 1,
      anon_sym_RBRACE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2604), 1,
      sym_comment,
    STATE(5693), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36521] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5213), 1,
      anon_sym_RBRACE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2605), 1,
      sym_comment,
    STATE(5693), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36609] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5210), 1,
      anon_sym_RBRACE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2606), 1,
      sym_comment,
    STATE(5693), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36697] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5222), 1,
      anon_sym_RBRACE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2607), 1,
      sym_comment,
    STATE(5693), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [36785] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2959), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3359), 1,
      anon_sym_namespace,
    ACTIONS(3361), 1,
      anon_sym_import,
    ACTIONS(3363), 1,
      anon_sym_var,
    ACTIONS(3365), 1,
      anon_sym_let,
    ACTIONS(3367), 1,
      anon_sym_const,
    ACTIONS(3369), 1,
      anon_sym_class,
    ACTIONS(3371), 1,
      anon_sym_async,
    ACTIONS(3373), 1,
      anon_sym_function,
    ACTIONS(3375), 1,
      anon_sym_declare,
    ACTIONS(3379), 1,
      anon_sym_abstract,
    ACTIONS(3383), 1,
      anon_sym_interface,
    ACTIONS(3385), 1,
      anon_sym_enum,
    ACTIONS(5241), 1,
      anon_sym_STAR,
    ACTIONS(5243), 1,
      anon_sym_default,
    ACTIONS(5245), 1,
      anon_sym_type,
    ACTIONS(5247), 1,
      anon_sym_EQ,
    ACTIONS(5249), 1,
      anon_sym_as,
    ACTIONS(5251), 1,
      anon_sym_COMMA,
    ACTIONS(5254), 1,
      anon_sym_RBRACE,
    ACTIONS(5257), 1,
      anon_sym_module,
    STATE(2608), 1,
      sym_comment,
    STATE(5916), 1,
      sym_internal_module,
    STATE(5924), 1,
      sym_declaration,
    STATE(6130), 1,
      aux_sym_export_statement_repeat1,
    STATE(6406), 1,
      sym_export_clause,
    STATE(6589), 1,
      sym_decorator,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    STATE(8036), 1,
      sym_namespace_export,
    ACTIONS(5208), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(6274), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [36909] = 32,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1046), 1,
      anon_sym_var,
    ACTIONS(5136), 1,
      sym_identifier,
    ACTIONS(5140), 1,
      anon_sym_default,
    ACTIONS(5144), 1,
      anon_sym_async,
    ACTIONS(5146), 1,
      anon_sym_function,
    ACTIONS(5148), 1,
      anon_sym_AT,
    ACTIONS(5150), 1,
      anon_sym_readonly,
    ACTIONS(5152), 1,
      anon_sym_property,
    ACTIONS(5154), 1,
      anon_sym_signal,
    ACTIONS(5156), 1,
      anon_sym_required,
    ACTIONS(5158), 1,
      anon_sym_component,
    ACTIONS(5160), 1,
      anon_sym_enum,
    STATE(2609), 1,
      sym_comment,
    STATE(4190), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(4239), 1,
      sym_ui_required,
    STATE(4240), 1,
      sym_ui_signal,
    STATE(4243), 1,
      sym__qml_enum_declaration,
    STATE(4253), 1,
      sym_ui_inline_component,
    STATE(4288), 1,
      sym_ui_property,
    STATE(4289), 1,
      sym_ui_binding,
    STATE(4303), 1,
      sym_ui_object_definition_binding,
    STATE(4304), 1,
      sym_ui_object_definition,
    STATE(4305), 1,
      sym_generator_function_declaration,
    STATE(4314), 1,
      sym_function_declaration,
    STATE(4323), 1,
      sym_variable_declaration,
    STATE(4456), 1,
      sym_ui_annotation,
    STATE(5616), 1,
      aux_sym_ui_property_repeat1,
    STATE(6304), 1,
      sym_ui_nested_identifier,
    STATE(6330), 1,
      sym_ui_property_modifier,
    ACTIONS(5138), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_on,
  [37027] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5202), 1,
      anon_sym_async,
    ACTIONS(5204), 1,
      anon_sym_readonly,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2610), 1,
      sym_comment,
    STATE(3888), 1,
      sym_override_modifier,
    STATE(4790), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5206), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5259), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37121] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5263), 1,
      anon_sym_static,
    ACTIONS(5265), 1,
      anon_sym_readonly,
    ACTIONS(5267), 1,
      anon_sym_abstract,
    STATE(2611), 1,
      sym_comment,
    STATE(3837), 1,
      sym_accessibility_modifier,
    STATE(3969), 1,
      sym_override_modifier,
    STATE(5033), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37213] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5197), 1,
      anon_sym_RBRACE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2612), 1,
      sym_comment,
    STATE(5693), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [37301] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2959), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3359), 1,
      anon_sym_namespace,
    ACTIONS(3361), 1,
      anon_sym_import,
    ACTIONS(3363), 1,
      anon_sym_var,
    ACTIONS(3365), 1,
      anon_sym_let,
    ACTIONS(3367), 1,
      anon_sym_const,
    ACTIONS(3369), 1,
      anon_sym_class,
    ACTIONS(3371), 1,
      anon_sym_async,
    ACTIONS(3373), 1,
      anon_sym_function,
    ACTIONS(3375), 1,
      anon_sym_declare,
    ACTIONS(3379), 1,
      anon_sym_abstract,
    ACTIONS(3383), 1,
      anon_sym_interface,
    ACTIONS(3385), 1,
      anon_sym_enum,
    ACTIONS(5241), 1,
      anon_sym_STAR,
    ACTIONS(5243), 1,
      anon_sym_default,
    ACTIONS(5245), 1,
      anon_sym_type,
    ACTIONS(5247), 1,
      anon_sym_EQ,
    ACTIONS(5249), 1,
      anon_sym_as,
    ACTIONS(5251), 1,
      anon_sym_COMMA,
    ACTIONS(5257), 1,
      anon_sym_module,
    ACTIONS(5269), 1,
      anon_sym_RBRACE,
    STATE(2613), 1,
      sym_comment,
    STATE(5916), 1,
      sym_internal_module,
    STATE(5924), 1,
      sym_declaration,
    STATE(6130), 1,
      aux_sym_export_statement_repeat1,
    STATE(6406), 1,
      sym_export_clause,
    STATE(6589), 1,
      sym_decorator,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    STATE(8036), 1,
      sym_namespace_export,
    ACTIONS(5208), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(6274), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [37425] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2959), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3359), 1,
      anon_sym_namespace,
    ACTIONS(3361), 1,
      anon_sym_import,
    ACTIONS(3363), 1,
      anon_sym_var,
    ACTIONS(3365), 1,
      anon_sym_let,
    ACTIONS(3367), 1,
      anon_sym_const,
    ACTIONS(3369), 1,
      anon_sym_class,
    ACTIONS(3371), 1,
      anon_sym_async,
    ACTIONS(3373), 1,
      anon_sym_function,
    ACTIONS(3375), 1,
      anon_sym_declare,
    ACTIONS(3379), 1,
      anon_sym_abstract,
    ACTIONS(3383), 1,
      anon_sym_interface,
    ACTIONS(3385), 1,
      anon_sym_enum,
    ACTIONS(5241), 1,
      anon_sym_STAR,
    ACTIONS(5243), 1,
      anon_sym_default,
    ACTIONS(5245), 1,
      anon_sym_type,
    ACTIONS(5247), 1,
      anon_sym_EQ,
    ACTIONS(5249), 1,
      anon_sym_as,
    ACTIONS(5251), 1,
      anon_sym_COMMA,
    ACTIONS(5257), 1,
      anon_sym_module,
    ACTIONS(5272), 1,
      anon_sym_RBRACE,
    STATE(2614), 1,
      sym_comment,
    STATE(5916), 1,
      sym_internal_module,
    STATE(5924), 1,
      sym_declaration,
    STATE(6130), 1,
      aux_sym_export_statement_repeat1,
    STATE(6406), 1,
      sym_export_clause,
    STATE(6589), 1,
      sym_decorator,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    STATE(8036), 1,
      sym_namespace_export,
    ACTIONS(5208), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(6274), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [37549] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2959), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3359), 1,
      anon_sym_namespace,
    ACTIONS(3361), 1,
      anon_sym_import,
    ACTIONS(3363), 1,
      anon_sym_var,
    ACTIONS(3365), 1,
      anon_sym_let,
    ACTIONS(3367), 1,
      anon_sym_const,
    ACTIONS(3369), 1,
      anon_sym_class,
    ACTIONS(3371), 1,
      anon_sym_async,
    ACTIONS(3373), 1,
      anon_sym_function,
    ACTIONS(3375), 1,
      anon_sym_declare,
    ACTIONS(3379), 1,
      anon_sym_abstract,
    ACTIONS(3383), 1,
      anon_sym_interface,
    ACTIONS(3385), 1,
      anon_sym_enum,
    ACTIONS(5241), 1,
      anon_sym_STAR,
    ACTIONS(5243), 1,
      anon_sym_default,
    ACTIONS(5245), 1,
      anon_sym_type,
    ACTIONS(5247), 1,
      anon_sym_EQ,
    ACTIONS(5249), 1,
      anon_sym_as,
    ACTIONS(5251), 1,
      anon_sym_COMMA,
    ACTIONS(5257), 1,
      anon_sym_module,
    ACTIONS(5275), 1,
      anon_sym_RBRACE,
    STATE(2615), 1,
      sym_comment,
    STATE(5916), 1,
      sym_internal_module,
    STATE(5924), 1,
      sym_declaration,
    STATE(6130), 1,
      aux_sym_export_statement_repeat1,
    STATE(6406), 1,
      sym_export_clause,
    STATE(6589), 1,
      sym_decorator,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    STATE(8036), 1,
      sym_namespace_export,
    ACTIONS(5208), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(6274), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [37673] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2959), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3359), 1,
      anon_sym_namespace,
    ACTIONS(3361), 1,
      anon_sym_import,
    ACTIONS(3363), 1,
      anon_sym_var,
    ACTIONS(3365), 1,
      anon_sym_let,
    ACTIONS(3367), 1,
      anon_sym_const,
    ACTIONS(3369), 1,
      anon_sym_class,
    ACTIONS(3371), 1,
      anon_sym_async,
    ACTIONS(3373), 1,
      anon_sym_function,
    ACTIONS(3375), 1,
      anon_sym_declare,
    ACTIONS(3379), 1,
      anon_sym_abstract,
    ACTIONS(3383), 1,
      anon_sym_interface,
    ACTIONS(3385), 1,
      anon_sym_enum,
    ACTIONS(5241), 1,
      anon_sym_STAR,
    ACTIONS(5243), 1,
      anon_sym_default,
    ACTIONS(5245), 1,
      anon_sym_type,
    ACTIONS(5247), 1,
      anon_sym_EQ,
    ACTIONS(5249), 1,
      anon_sym_as,
    ACTIONS(5251), 1,
      anon_sym_COMMA,
    ACTIONS(5257), 1,
      anon_sym_module,
    ACTIONS(5278), 1,
      anon_sym_RBRACE,
    STATE(2616), 1,
      sym_comment,
    STATE(5916), 1,
      sym_internal_module,
    STATE(5924), 1,
      sym_declaration,
    STATE(6130), 1,
      aux_sym_export_statement_repeat1,
    STATE(6406), 1,
      sym_export_clause,
    STATE(6589), 1,
      sym_decorator,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    STATE(8036), 1,
      sym_namespace_export,
    ACTIONS(5208), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(6274), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [37797] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2959), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3359), 1,
      anon_sym_namespace,
    ACTIONS(3361), 1,
      anon_sym_import,
    ACTIONS(3363), 1,
      anon_sym_var,
    ACTIONS(3365), 1,
      anon_sym_let,
    ACTIONS(3367), 1,
      anon_sym_const,
    ACTIONS(3369), 1,
      anon_sym_class,
    ACTIONS(3371), 1,
      anon_sym_async,
    ACTIONS(3373), 1,
      anon_sym_function,
    ACTIONS(3375), 1,
      anon_sym_declare,
    ACTIONS(3379), 1,
      anon_sym_abstract,
    ACTIONS(3383), 1,
      anon_sym_interface,
    ACTIONS(3385), 1,
      anon_sym_enum,
    ACTIONS(5241), 1,
      anon_sym_STAR,
    ACTIONS(5243), 1,
      anon_sym_default,
    ACTIONS(5245), 1,
      anon_sym_type,
    ACTIONS(5247), 1,
      anon_sym_EQ,
    ACTIONS(5249), 1,
      anon_sym_as,
    ACTIONS(5251), 1,
      anon_sym_COMMA,
    ACTIONS(5257), 1,
      anon_sym_module,
    ACTIONS(5281), 1,
      anon_sym_RBRACE,
    STATE(2617), 1,
      sym_comment,
    STATE(5916), 1,
      sym_internal_module,
    STATE(5924), 1,
      sym_declaration,
    STATE(6130), 1,
      aux_sym_export_statement_repeat1,
    STATE(6406), 1,
      sym_export_clause,
    STATE(6589), 1,
      sym_decorator,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    STATE(8036), 1,
      sym_namespace_export,
    ACTIONS(5208), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(6274), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [37921] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5216), 1,
      anon_sym_RBRACE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2618), 1,
      sym_comment,
    STATE(5693), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38009] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5284), 1,
      anon_sym_static,
    ACTIONS(5286), 1,
      anon_sym_readonly,
    ACTIONS(5288), 1,
      anon_sym_abstract,
    STATE(2619), 1,
      sym_comment,
    STATE(3815), 1,
      sym_accessibility_modifier,
    STATE(3933), 1,
      sym_override_modifier,
    STATE(5085), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38101] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5290), 1,
      anon_sym_static,
    ACTIONS(5292), 1,
      anon_sym_readonly,
    ACTIONS(5294), 1,
      anon_sym_abstract,
    STATE(2620), 1,
      sym_comment,
    STATE(3979), 1,
      sym_override_modifier,
    STATE(5176), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38188] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5296), 1,
      anon_sym_STAR,
    ACTIONS(5298), 1,
      anon_sym_async,
    ACTIONS(5302), 1,
      anon_sym_abstract,
    STATE(2621), 1,
      sym_comment,
    STATE(4721), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5300), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38273] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5225), 1,
      anon_sym_LBRACK,
    ACTIONS(5231), 1,
      anon_sym_STAR,
    ACTIONS(5235), 1,
      anon_sym_async,
    ACTIONS(5304), 1,
      anon_sym_abstract,
    STATE(2622), 1,
      sym_comment,
    STATE(4722), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5239), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38358] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5202), 1,
      anon_sym_async,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5225), 1,
      anon_sym_LBRACK,
    STATE(2623), 1,
      sym_comment,
    STATE(4790), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5206), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5259), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38445] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(74), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(4808), 1,
      anon_sym_LBRACK,
    ACTIONS(5308), 1,
      anon_sym_COMMA,
    ACTIONS(5310), 1,
      anon_sym_RBRACE,
    STATE(2624), 1,
      sym_comment,
    STATE(6932), 1,
      aux_sym_object_pattern_repeat1,
    STATE(8206), 1,
      sym__destructuring_pattern,
    STATE(8207), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    STATE(6929), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(5306), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38534] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(74), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(4808), 1,
      anon_sym_LBRACK,
    ACTIONS(5308), 1,
      anon_sym_COMMA,
    ACTIONS(5314), 1,
      anon_sym_RBRACE,
    STATE(2625), 1,
      sym_comment,
    STATE(6845), 1,
      aux_sym_object_pattern_repeat1,
    STATE(8206), 1,
      sym__destructuring_pattern,
    STATE(8207), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    STATE(6843), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(5312), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38623] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(2941), 1,
      anon_sym_readonly,
    ACTIONS(2945), 1,
      anon_sym_override,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    ACTIONS(5318), 1,
      anon_sym_RBRACE,
    STATE(2626), 1,
      sym_comment,
    STATE(3870), 1,
      sym_override_modifier,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38720] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5320), 1,
      anon_sym_STAR,
    ACTIONS(5322), 1,
      anon_sym_async,
    ACTIONS(5324), 1,
      anon_sym_readonly,
    STATE(2627), 1,
      sym_comment,
    STATE(3895), 1,
      sym_override_modifier,
    STATE(4715), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5326), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38809] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5328), 1,
      anon_sym_STAR,
    ACTIONS(5330), 1,
      anon_sym_async,
    ACTIONS(5332), 1,
      anon_sym_readonly,
    STATE(2628), 1,
      sym_comment,
    STATE(3904), 1,
      sym_override_modifier,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5334), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38898] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1259), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(2941), 1,
      anon_sym_readonly,
    ACTIONS(2945), 1,
      anon_sym_override,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(2629), 1,
      sym_comment,
    STATE(3870), 1,
      sym_override_modifier,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [38995] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(2941), 1,
      anon_sym_readonly,
    ACTIONS(2945), 1,
      anon_sym_override,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    ACTIONS(5336), 1,
      anon_sym_RBRACE,
    STATE(2630), 1,
      sym_comment,
    STATE(3870), 1,
      sym_override_modifier,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39092] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5338), 1,
      anon_sym_STAR,
    ACTIONS(5340), 1,
      anon_sym_async,
    ACTIONS(5342), 1,
      anon_sym_readonly,
    STATE(2631), 1,
      sym_comment,
    STATE(3869), 1,
      sym_override_modifier,
    STATE(4747), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5344), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39181] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(2941), 1,
      anon_sym_readonly,
    ACTIONS(2945), 1,
      anon_sym_override,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    ACTIONS(5346), 1,
      anon_sym_RBRACE,
    STATE(2632), 1,
      sym_comment,
    STATE(3870), 1,
      sym_override_modifier,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39278] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2633), 1,
      sym_comment,
    STATE(5693), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5229), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5259), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39363] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5296), 1,
      anon_sym_STAR,
    ACTIONS(5298), 1,
      anon_sym_async,
    ACTIONS(5348), 1,
      anon_sym_readonly,
    STATE(2634), 1,
      sym_comment,
    STATE(3909), 1,
      sym_override_modifier,
    STATE(4736), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5300), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39452] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5320), 1,
      anon_sym_STAR,
    ACTIONS(5322), 1,
      anon_sym_async,
    ACTIONS(5350), 1,
      anon_sym_abstract,
    STATE(2635), 1,
      sym_comment,
    STATE(4715), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5326), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39537] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1253), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(2941), 1,
      anon_sym_readonly,
    ACTIONS(2945), 1,
      anon_sym_override,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(2636), 1,
      sym_comment,
    STATE(3870), 1,
      sym_override_modifier,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39634] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5352), 1,
      anon_sym_STAR,
    ACTIONS(5354), 1,
      anon_sym_async,
    ACTIONS(5356), 1,
      anon_sym_readonly,
    STATE(2637), 1,
      sym_comment,
    STATE(3890), 1,
      sym_override_modifier,
    STATE(4754), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39723] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1255), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(2941), 1,
      anon_sym_readonly,
    ACTIONS(2945), 1,
      anon_sym_override,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(2638), 1,
      sym_comment,
    STATE(3870), 1,
      sym_override_modifier,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39820] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5360), 1,
      anon_sym_STAR,
    ACTIONS(5362), 1,
      anon_sym_async,
    ACTIONS(5366), 1,
      anon_sym_abstract,
    STATE(2639), 1,
      sym_comment,
    STATE(4706), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39905] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5360), 1,
      anon_sym_STAR,
    ACTIONS(5362), 1,
      anon_sym_async,
    ACTIONS(5368), 1,
      anon_sym_readonly,
    STATE(2640), 1,
      sym_comment,
    STATE(3903), 1,
      sym_override_modifier,
    STATE(4711), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [39994] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5370), 1,
      anon_sym_static,
    ACTIONS(5372), 1,
      anon_sym_readonly,
    ACTIONS(5374), 1,
      anon_sym_abstract,
    STATE(2641), 1,
      sym_comment,
    STATE(3927), 1,
      sym_override_modifier,
    STATE(5040), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40081] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1226), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(2941), 1,
      anon_sym_readonly,
    ACTIONS(2945), 1,
      anon_sym_override,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(2642), 1,
      sym_comment,
    STATE(3870), 1,
      sym_override_modifier,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40178] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5376), 1,
      anon_sym_STAR,
    ACTIONS(5378), 1,
      anon_sym_async,
    STATE(2643), 1,
      sym_comment,
    STATE(4723), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5380), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40260] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5338), 1,
      anon_sym_STAR,
    STATE(2644), 1,
      sym_comment,
    STATE(5644), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5382), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40340] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5213), 1,
      anon_sym_RBRACE,
    STATE(2645), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2588), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40414] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5352), 1,
      anon_sym_STAR,
    STATE(2646), 1,
      sym_comment,
    STATE(5533), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5384), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40494] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5386), 1,
      anon_sym_STAR,
    STATE(2647), 1,
      sym_comment,
    STATE(5717), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5388), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40574] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5390), 1,
      anon_sym_STAR,
    ACTIONS(5392), 1,
      anon_sym_async,
    STATE(2648), 1,
      sym_comment,
    STATE(4759), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5394), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40656] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1226), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(2649), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40744] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1253), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(2650), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40832] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5352), 1,
      anon_sym_STAR,
    ACTIONS(5354), 1,
      anon_sym_async,
    STATE(2651), 1,
      sym_comment,
    STATE(4754), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40914] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5216), 1,
      anon_sym_RBRACE,
    STATE(2652), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [40988] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5360), 1,
      anon_sym_STAR,
    ACTIONS(5362), 1,
      anon_sym_async,
    STATE(2653), 1,
      sym_comment,
    STATE(4732), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [41070] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1253), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(2654), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [41160] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1255), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(2655), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [41248] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1226), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(2656), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [41338] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5296), 1,
      anon_sym_STAR,
    STATE(2657), 1,
      sym_comment,
    STATE(5703), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5396), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [41418] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1255), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(2658), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [41508] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5376), 1,
      anon_sym_STAR,
    STATE(2659), 1,
      sym_comment,
    STATE(5716), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5398), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [41588] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1259), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(2660), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [41678] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_STAR,
    STATE(2661), 1,
      sym_comment,
    STATE(5739), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5402), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [41758] = 32,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2959), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3359), 1,
      anon_sym_namespace,
    ACTIONS(3361), 1,
      anon_sym_import,
    ACTIONS(3363), 1,
      anon_sym_var,
    ACTIONS(3365), 1,
      anon_sym_let,
    ACTIONS(3367), 1,
      anon_sym_const,
    ACTIONS(3369), 1,
      anon_sym_class,
    ACTIONS(3371), 1,
      anon_sym_async,
    ACTIONS(3373), 1,
      anon_sym_function,
    ACTIONS(3375), 1,
      anon_sym_declare,
    ACTIONS(3379), 1,
      anon_sym_abstract,
    ACTIONS(3383), 1,
      anon_sym_interface,
    ACTIONS(3385), 1,
      anon_sym_enum,
    ACTIONS(5241), 1,
      anon_sym_STAR,
    ACTIONS(5243), 1,
      anon_sym_default,
    ACTIONS(5245), 1,
      anon_sym_type,
    ACTIONS(5247), 1,
      anon_sym_EQ,
    ACTIONS(5249), 1,
      anon_sym_as,
    ACTIONS(5257), 1,
      anon_sym_module,
    STATE(2662), 1,
      sym_comment,
    STATE(5916), 1,
      sym_internal_module,
    STATE(5924), 1,
      sym_declaration,
    STATE(6130), 1,
      aux_sym_export_statement_repeat1,
    STATE(6406), 1,
      sym_export_clause,
    STATE(6589), 1,
      sym_decorator,
    STATE(8036), 1,
      sym_namespace_export,
    ACTIONS(5404), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5208), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(6274), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [41874] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5408), 1,
      anon_sym_STAR,
    STATE(2663), 1,
      sym_comment,
    STATE(5573), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5410), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [41954] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5412), 1,
      anon_sym_STAR,
    STATE(2664), 1,
      sym_comment,
    STATE(5525), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5414), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [42034] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5400), 1,
      anon_sym_STAR,
    ACTIONS(5416), 1,
      anon_sym_async,
    STATE(2665), 1,
      sym_comment,
    STATE(4745), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5418), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [42116] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5420), 1,
      anon_sym_STAR,
    ACTIONS(5422), 1,
      anon_sym_async,
    STATE(2666), 1,
      sym_comment,
    STATE(4792), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5424), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [42198] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5197), 1,
      anon_sym_RBRACE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2667), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2588), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [42272] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5197), 1,
      anon_sym_RBRACE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2668), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [42346] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_STAR,
    STATE(2669), 1,
      sym_comment,
    STATE(5659), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5426), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [42426] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2670), 1,
      sym_comment,
    ACTIONS(2474), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2476), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [42488] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5428), 1,
      anon_sym_STAR,
    STATE(2671), 1,
      sym_comment,
    STATE(5700), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5430), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [42568] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    ACTIONS(5346), 1,
      anon_sym_RBRACE,
    STATE(2672), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [42658] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5432), 1,
      anon_sym_STAR,
    ACTIONS(5434), 1,
      anon_sym_async,
    STATE(2673), 1,
      sym_comment,
    STATE(4798), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5436), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [42740] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5225), 1,
      anon_sym_LBRACK,
    ACTIONS(5338), 1,
      anon_sym_STAR,
    ACTIONS(5340), 1,
      anon_sym_async,
    STATE(2674), 1,
      sym_comment,
    STATE(4747), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5344), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [42822] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5216), 1,
      anon_sym_RBRACE,
    STATE(2675), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2588), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [42896] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5213), 1,
      anon_sym_RBRACE,
    STATE(2676), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [42970] = 31,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2959), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3359), 1,
      anon_sym_namespace,
    ACTIONS(3361), 1,
      anon_sym_import,
    ACTIONS(3363), 1,
      anon_sym_var,
    ACTIONS(3365), 1,
      anon_sym_let,
    ACTIONS(3367), 1,
      anon_sym_const,
    ACTIONS(3369), 1,
      anon_sym_class,
    ACTIONS(3371), 1,
      anon_sym_async,
    ACTIONS(3373), 1,
      anon_sym_function,
    ACTIONS(3375), 1,
      anon_sym_declare,
    ACTIONS(3379), 1,
      anon_sym_abstract,
    ACTIONS(3383), 1,
      anon_sym_interface,
    ACTIONS(3385), 1,
      anon_sym_enum,
    ACTIONS(5241), 1,
      anon_sym_STAR,
    ACTIONS(5243), 1,
      anon_sym_default,
    ACTIONS(5245), 1,
      anon_sym_type,
    ACTIONS(5249), 1,
      anon_sym_as,
    ACTIONS(5257), 1,
      anon_sym_module,
    ACTIONS(5438), 1,
      anon_sym_EQ,
    STATE(2677), 1,
      sym_comment,
    STATE(5916), 1,
      sym_internal_module,
    STATE(5924), 1,
      sym_declaration,
    STATE(6130), 1,
      aux_sym_export_statement_repeat1,
    STATE(6406), 1,
      sym_export_clause,
    STATE(6589), 1,
      sym_decorator,
    STATE(8036), 1,
      sym_namespace_export,
    ACTIONS(5208), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(6274), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [43084] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    ACTIONS(5336), 1,
      anon_sym_RBRACE,
    STATE(2678), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [43174] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5390), 1,
      anon_sym_STAR,
    STATE(2679), 1,
      sym_comment,
    STATE(5571), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5440), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [43254] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5360), 1,
      anon_sym_STAR,
    ACTIONS(5362), 1,
      anon_sym_async,
    STATE(2680), 1,
      sym_comment,
    STATE(4726), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [43336] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    ACTIONS(5346), 1,
      anon_sym_RBRACE,
    STATE(2681), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [43424] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    ACTIONS(5336), 1,
      anon_sym_RBRACE,
    STATE(2682), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [43512] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5376), 1,
      anon_sym_STAR,
    ACTIONS(5378), 1,
      anon_sym_async,
    STATE(2683), 1,
      sym_comment,
    STATE(4746), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5380), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [43594] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5219), 1,
      anon_sym_RBRACE,
    STATE(2684), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [43668] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5376), 1,
      anon_sym_STAR,
    ACTIONS(5378), 1,
      anon_sym_async,
    STATE(2685), 1,
      sym_comment,
    STATE(4710), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5380), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [43750] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(74), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(4808), 1,
      anon_sym_LBRACK,
    STATE(2686), 1,
      sym_comment,
    STATE(8206), 1,
      sym__destructuring_pattern,
    STATE(8207), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5444), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    STATE(7883), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    ACTIONS(5442), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [43834] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5446), 1,
      anon_sym_STAR,
    STATE(2687), 1,
      sym_comment,
    STATE(5643), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5448), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [43914] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5222), 1,
      anon_sym_RBRACE,
    STATE(2688), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2588), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [43988] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    ACTIONS(5318), 1,
      anon_sym_RBRACE,
    STATE(2689), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [44076] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5222), 1,
      anon_sym_RBRACE,
    STATE(2690), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [44150] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5450), 1,
      anon_sym_STAR,
    STATE(2691), 1,
      sym_comment,
    STATE(5718), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5452), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [44230] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    ACTIONS(5318), 1,
      anon_sym_RBRACE,
    STATE(2692), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [44320] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5328), 1,
      anon_sym_STAR,
    STATE(2693), 1,
      sym_comment,
    STATE(5669), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5454), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [44400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2694), 1,
      sym_comment,
    ACTIONS(2438), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2440), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [44462] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5231), 1,
      anon_sym_STAR,
    STATE(2695), 1,
      sym_comment,
    STATE(5626), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5456), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [44542] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5432), 1,
      anon_sym_STAR,
    STATE(2696), 1,
      sym_comment,
    STATE(5655), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5458), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [44622] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5360), 1,
      anon_sym_STAR,
    STATE(2697), 1,
      sym_comment,
    STATE(5712), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5460), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [44702] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5462), 1,
      anon_sym_STAR,
    STATE(2698), 1,
      sym_comment,
    STATE(5654), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5464), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [44782] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5320), 1,
      anon_sym_STAR,
    ACTIONS(5322), 1,
      anon_sym_async,
    STATE(2699), 1,
      sym_comment,
    STATE(4715), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5326), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [44864] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5428), 1,
      anon_sym_STAR,
    ACTIONS(5466), 1,
      anon_sym_async,
    STATE(2700), 1,
      sym_comment,
    STATE(4753), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5468), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [44946] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5210), 1,
      anon_sym_RBRACE,
    STATE(2701), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2588), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [45020] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5210), 1,
      anon_sym_RBRACE,
    STATE(2702), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [45094] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5446), 1,
      anon_sym_STAR,
    ACTIONS(5470), 1,
      anon_sym_async,
    STATE(2703), 1,
      sym_comment,
    STATE(4719), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5472), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [45176] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5328), 1,
      anon_sym_STAR,
    ACTIONS(5330), 1,
      anon_sym_async,
    STATE(2704), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5334), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [45258] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5386), 1,
      anon_sym_STAR,
    ACTIONS(5474), 1,
      anon_sym_async,
    STATE(2705), 1,
      sym_comment,
    STATE(4718), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5476), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [45340] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2706), 1,
      sym_comment,
    STATE(5693), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5259), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [45420] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5194), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5219), 1,
      anon_sym_RBRACE,
    STATE(2707), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2588), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [45494] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1259), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(2708), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [45582] = 24,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(139), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2508), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5480), 1,
      anon_sym_COMMA,
    ACTIONS(5482), 1,
      anon_sym_RBRACE,
    ACTIONS(5484), 1,
      anon_sym_async,
    ACTIONS(5486), 1,
      anon_sym_static,
    ACTIONS(5488), 1,
      anon_sym_readonly,
    ACTIONS(5494), 1,
      anon_sym_override,
    STATE(2709), 1,
      sym_comment,
    STATE(3855), 1,
      sym_accessibility_modifier,
    STATE(3872), 1,
      sym_override_modifier,
    STATE(5406), 1,
      sym__property_name,
    STATE(7201), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5490), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(5492), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7097), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(5478), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [45682] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5320), 1,
      anon_sym_STAR,
    STATE(2710), 1,
      sym_comment,
    STATE(5561), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5496), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [45762] = 20,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(2941), 1,
      anon_sym_readonly,
    ACTIONS(2945), 1,
      anon_sym_override,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    ACTIONS(5480), 1,
      anon_sym_COMMA,
    ACTIONS(5498), 1,
      anon_sym_RBRACE,
    STATE(2711), 1,
      sym_comment,
    STATE(3870), 1,
      sym_override_modifier,
    STATE(5690), 1,
      sym__property_name,
    STATE(7093), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [45853] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2712), 1,
      sym_comment,
    STATE(5561), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [45928] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2713), 1,
      sym_comment,
    STATE(5525), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46003] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2714), 1,
      sym_comment,
    STATE(5626), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46078] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2715), 1,
      sym_comment,
    STATE(5571), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46153] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2716), 1,
      sym_comment,
    STATE(5643), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46228] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2717), 1,
      sym_comment,
    STATE(5573), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46303] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1259), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2718), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46386] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2719), 1,
      sym_comment,
    STATE(5718), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46461] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2720), 1,
      sym_comment,
    STATE(5700), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46536] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2721), 1,
      sym_comment,
    STATE(5727), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46611] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2722), 1,
      sym_comment,
    STATE(5739), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46686] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2723), 1,
      sym_comment,
    STATE(5717), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46761] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2724), 1,
      sym_comment,
    STATE(5703), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46836] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2725), 1,
      sym_comment,
    STATE(5712), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46911] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2726), 1,
      sym_comment,
    ACTIONS(1247), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [46974] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2727), 1,
      sym_comment,
    STATE(5040), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [47049] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2728), 1,
      sym_comment,
    STATE(5552), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [47124] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2729), 1,
      sym_comment,
    STATE(5533), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [47199] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5502), 1,
      anon_sym_DOT,
    ACTIONS(5504), 1,
      anon_sym_LT,
    ACTIONS(5506), 1,
      anon_sym_is,
    STATE(2730), 1,
      sym_comment,
    STATE(2810), 1,
      sym_type_arguments,
    ACTIONS(5500), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4595), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [47268] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5504), 1,
      anon_sym_LT,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5510), 1,
      anon_sym_DOT,
    STATE(2731), 1,
      sym_comment,
    STATE(2823), 1,
      sym_arguments,
    STATE(2824), 1,
      sym_type_arguments,
    ACTIONS(4535), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4531), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [47339] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1226), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2732), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [47422] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(2941), 1,
      anon_sym_readonly,
    ACTIONS(2945), 1,
      anon_sym_override,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(2733), 1,
      sym_comment,
    STATE(3870), 1,
      sym_override_modifier,
    STATE(5690), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5512), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [47511] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2734), 1,
      sym_comment,
    STATE(5659), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [47586] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1255), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2735), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [47669] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2736), 1,
      sym_comment,
    STATE(5716), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [47744] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5504), 1,
      anon_sym_LT,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5519), 1,
      anon_sym_DOT,
    STATE(2737), 1,
      sym_comment,
    STATE(2825), 1,
      sym_arguments,
    STATE(2826), 1,
      sym_type_arguments,
    ACTIONS(5515), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5517), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [47815] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5504), 1,
      anon_sym_LT,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5525), 1,
      anon_sym_DOT,
    STATE(2738), 1,
      sym_comment,
    STATE(2827), 1,
      sym_arguments,
    STATE(2828), 1,
      sym_type_arguments,
    ACTIONS(5521), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [47886] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1253), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2739), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [47969] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5318), 1,
      anon_sym_RBRACE,
    STATE(2740), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [48052] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2741), 1,
      sym_comment,
    STATE(5669), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [48127] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2742), 1,
      sym_comment,
    STATE(5644), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [48202] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2743), 1,
      sym_comment,
    STATE(5654), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [48277] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2744), 1,
      sym_comment,
    STATE(5131), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [48352] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5346), 1,
      anon_sym_RBRACE,
    STATE(2745), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [48435] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2746), 1,
      sym_comment,
    STATE(5655), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [48510] = 22,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(139), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2508), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5531), 1,
      anon_sym_async,
    ACTIONS(5533), 1,
      anon_sym_static,
    ACTIONS(5535), 1,
      anon_sym_readonly,
    ACTIONS(5541), 1,
      anon_sym_override,
    STATE(2747), 1,
      sym_comment,
    STATE(3855), 1,
      sym_accessibility_modifier,
    STATE(3872), 1,
      sym_override_modifier,
    STATE(5406), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5529), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5537), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(5539), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(7729), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(5527), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [48605] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5504), 1,
      anon_sym_LT,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5551), 1,
      anon_sym_QMARK_DOT,
    STATE(2748), 1,
      sym_comment,
    STATE(2963), 1,
      sym_type_arguments,
    STATE(3108), 1,
      sym_arguments,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5543), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5545), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [48682] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5336), 1,
      anon_sym_RBRACE,
    STATE(2749), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [48765] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    STATE(2750), 1,
      sym_comment,
    STATE(3148), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5553), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5555), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [48831] = 18,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(2941), 1,
      anon_sym_readonly,
    ACTIONS(2945), 1,
      anon_sym_override,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(2751), 1,
      sym_comment,
    STATE(3870), 1,
      sym_override_modifier,
    STATE(5690), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5559), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [48917] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5506), 1,
      anon_sym_is,
    STATE(2752), 1,
      sym_comment,
    ACTIONS(5561), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5563), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [48979] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2753), 1,
      sym_comment,
    ACTIONS(4337), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(5565), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [49039] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2754), 1,
      sym_comment,
    ACTIONS(2474), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2476), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [49099] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2755), 1,
      sym_comment,
    ACTIONS(1247), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2588), 37,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [49161] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2756), 1,
      sym_comment,
    ACTIONS(2438), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(2440), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [49221] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    STATE(2757), 1,
      sym_comment,
    STATE(2996), 1,
      sym_statement_block,
    ACTIONS(2297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2303), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [49285] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    ACTIONS(5480), 1,
      anon_sym_COMMA,
    ACTIONS(5498), 1,
      anon_sym_RBRACE,
    STATE(2758), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(7093), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [49369] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    ACTIONS(5480), 1,
      anon_sym_COMMA,
    ACTIONS(5498), 1,
      anon_sym_RBRACE,
    STATE(2759), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(7093), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [49451] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5573), 1,
      anon_sym_is,
    STATE(2760), 1,
      sym_comment,
    ACTIONS(5569), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5571), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [49513] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5575), 1,
      anon_sym_readonly,
    STATE(2761), 1,
      sym_comment,
    STATE(3923), 1,
      sym_override_modifier,
    STATE(5055), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [49593] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2762), 1,
      sym_comment,
    ACTIONS(5577), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5579), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [49653] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2291), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5581), 1,
      sym__automatic_semicolon,
    STATE(2763), 1,
      sym_comment,
    ACTIONS(2287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2448), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [49717] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5583), 1,
      anon_sym_abstract,
    STATE(2764), 1,
      sym_comment,
    STATE(5089), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [49793] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5585), 1,
      anon_sym_readonly,
    STATE(2765), 1,
      sym_comment,
    STATE(3935), 1,
      sym_override_modifier,
    STATE(5086), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [49873] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(2766), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5512), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [49955] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5587), 1,
      anon_sym_readonly,
    STATE(2767), 1,
      sym_comment,
    STATE(3989), 1,
      sym_override_modifier,
    STATE(5131), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [50035] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2768), 1,
      sym_comment,
    ACTIONS(2209), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [50095] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(2769), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5512), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [50175] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2770), 1,
      sym_comment,
    ACTIONS(5259), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2588), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [50241] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5506), 1,
      anon_sym_is,
    STATE(2771), 1,
      sym_comment,
    ACTIONS(5589), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5591), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [50303] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5593), 1,
      anon_sym_abstract,
    STATE(2772), 1,
      sym_comment,
    STATE(5131), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [50379] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2773), 1,
      sym_comment,
    ACTIONS(4343), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(5595), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [50439] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5597), 1,
      anon_sym_readonly,
    STATE(2774), 1,
      sym_comment,
    STATE(3985), 1,
      sym_override_modifier,
    STATE(5038), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [50519] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5599), 1,
      anon_sym_abstract,
    STATE(2775), 1,
      sym_comment,
    STATE(5064), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [50595] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5504), 1,
      anon_sym_LT,
    STATE(2776), 1,
      sym_comment,
    STATE(2816), 1,
      sym_type_arguments,
    ACTIONS(5569), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5571), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [50659] = 25,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(4786), 1,
      anon_sym_AT,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5601), 1,
      anon_sym_STAR,
    ACTIONS(5603), 1,
      anon_sym_async,
    ACTIONS(5605), 1,
      anon_sym_static,
    ACTIONS(5607), 1,
      anon_sym_readonly,
    ACTIONS(5611), 1,
      anon_sym_declare,
    ACTIONS(5613), 1,
      anon_sym_abstract,
    STATE(2777), 1,
      sym_comment,
    STATE(3157), 1,
      sym_method_definition,
    STATE(3631), 1,
      sym_accessibility_modifier,
    STATE(3812), 1,
      aux_sym_export_statement_repeat1,
    STATE(3894), 1,
      sym_override_modifier,
    STATE(3992), 1,
      sym_decorator,
    STATE(4729), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5609), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4796), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    ACTIONS(4431), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [50759] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5350), 1,
      anon_sym_abstract,
    STATE(2778), 1,
      sym_comment,
    STATE(5040), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [50835] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5615), 1,
      anon_sym_readonly,
    STATE(2779), 1,
      sym_comment,
    STATE(3927), 1,
      sym_override_modifier,
    STATE(5040), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [50915] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2780), 1,
      sym_comment,
    ACTIONS(4339), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(5617), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [50975] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5502), 1,
      anon_sym_DOT,
    ACTIONS(5504), 1,
      anon_sym_LT,
    STATE(2781), 1,
      sym_comment,
    STATE(2810), 1,
      sym_type_arguments,
    ACTIONS(5500), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4595), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [51041] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    ACTIONS(5619), 1,
      anon_sym_DOT,
    STATE(2782), 1,
      sym_comment,
    STATE(2996), 1,
      sym_statement_block,
    ACTIONS(2297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2303), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [51107] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2783), 1,
      sym_comment,
    ACTIONS(5259), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1247), 6,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [51173] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    ACTIONS(5621), 1,
      anon_sym_abstract,
    STATE(2784), 1,
      sym_comment,
    STATE(5148), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [51249] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    ACTIONS(5623), 1,
      anon_sym_DOT,
    STATE(2785), 1,
      sym_comment,
    STATE(2996), 1,
      sym_statement_block,
    ACTIONS(2297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2303), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [51315] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2786), 1,
      sym_comment,
    ACTIONS(5625), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5627), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [51374] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5637), 1,
      anon_sym_RPAREN,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2787), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(8741), 1,
      sym_type_annotation,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51499] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1255), 1,
      anon_sym_RBRACE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    STATE(2788), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [51568] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1255), 1,
      anon_sym_RBRACE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    STATE(2789), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2588), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [51637] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5683), 1,
      anon_sym_QMARK,
    ACTIONS(5685), 1,
      anon_sym_extends,
    STATE(2790), 1,
      sym_comment,
    ACTIONS(5679), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5681), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51700] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(5687), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2791), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(8278), 1,
      sym_type_annotation,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51825] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2792), 1,
      sym_comment,
    ACTIONS(5689), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(5691), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [51888] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2793), 1,
      sym_comment,
    STATE(5145), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [51961] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2794), 1,
      sym_comment,
    ACTIONS(5693), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5695), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [52020] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2795), 1,
      sym_comment,
    ACTIONS(5697), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5699), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [52079] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2796), 1,
      sym_comment,
    ACTIONS(5561), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5563), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [52138] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2797), 1,
      sym_comment,
    ACTIONS(5701), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5703), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [52197] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5705), 1,
      anon_sym_LBRACK,
    STATE(2798), 1,
      sym_comment,
    ACTIONS(5701), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5703), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [52258] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2799), 1,
      sym_comment,
    ACTIONS(5569), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5571), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [52317] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2800), 1,
      sym_comment,
    ACTIONS(5707), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5709), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [52376] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2801), 1,
      sym_comment,
    STATE(4983), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [52449] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2802), 1,
      sym_comment,
    ACTIONS(3558), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5711), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [52508] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5717), 1,
      anon_sym_DOT,
    STATE(2803), 1,
      sym_comment,
    ACTIONS(5713), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5715), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [52569] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2804), 1,
      sym_comment,
    ACTIONS(5719), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5721), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [52628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2805), 1,
      sym_comment,
    ACTIONS(5723), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5725), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [52687] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2806), 1,
      sym_comment,
    ACTIONS(5727), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5729), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [52746] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5735), 1,
      anon_sym_AMP,
    STATE(2807), 1,
      sym_comment,
    ACTIONS(5731), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5733), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [52807] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2808), 1,
      sym_comment,
    ACTIONS(5691), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5689), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [52866] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2809), 1,
      sym_comment,
    ACTIONS(5737), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5739), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [52925] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2810), 1,
      sym_comment,
    ACTIONS(5741), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5743), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [52984] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5735), 1,
      anon_sym_AMP,
    ACTIONS(5749), 1,
      anon_sym_PIPE,
    ACTIONS(5751), 1,
      anon_sym_extends,
    STATE(2811), 1,
      sym_comment,
    ACTIONS(5745), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5747), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53049] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5703), 1,
      anon_sym_extends,
    ACTIONS(5705), 1,
      anon_sym_LBRACK,
    STATE(2812), 1,
      sym_comment,
    ACTIONS(5701), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5753), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5755), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53114] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5761), 1,
      anon_sym_extends,
    STATE(2813), 1,
      sym_comment,
    ACTIONS(5757), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5759), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [53175] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5705), 1,
      anon_sym_LBRACK,
    STATE(2814), 1,
      sym_comment,
    ACTIONS(5763), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5765), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [53236] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(5767), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2815), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(8708), 1,
      sym_type_annotation,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53361] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2816), 1,
      sym_comment,
    ACTIONS(5769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5771), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [53420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2817), 1,
      sym_comment,
    ACTIONS(4423), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5773), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [53479] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2818), 1,
      sym_comment,
    ACTIONS(4421), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5775), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [53538] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2819), 1,
      sym_comment,
    ACTIONS(4413), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5777), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [53597] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5318), 1,
      anon_sym_RBRACE,
    STATE(2820), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2588), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [53666] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5318), 1,
      anon_sym_RBRACE,
    STATE(2821), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [53735] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2822), 1,
      sym_comment,
    ACTIONS(3550), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5779), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [53794] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2823), 1,
      sym_comment,
    ACTIONS(5683), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5685), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [53853] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2824), 1,
      sym_comment,
    ACTIONS(5781), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5783), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [53912] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2825), 1,
      sym_comment,
    ACTIONS(5785), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [53971] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2826), 1,
      sym_comment,
    ACTIONS(5789), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5791), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [54030] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2827), 1,
      sym_comment,
    ACTIONS(5793), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5795), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [54089] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2828), 1,
      sym_comment,
    ACTIONS(5797), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5799), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [54148] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2291), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5711), 1,
      anon_sym_extends,
    STATE(2829), 1,
      sym_comment,
    ACTIONS(5801), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5804), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2289), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2295), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54215] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5725), 1,
      anon_sym_extends,
    ACTIONS(5809), 1,
      anon_sym_EQ,
    STATE(2830), 1,
      sym_comment,
    ACTIONS(5813), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5816), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5807), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2831), 1,
      sym_comment,
    ACTIONS(5819), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5821), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [54341] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2832), 1,
      sym_comment,
    ACTIONS(5823), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5825), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [54400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2833), 1,
      sym_comment,
    ACTIONS(5827), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5829), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [54459] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2834), 1,
      sym_comment,
    ACTIONS(5831), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5833), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [54518] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5735), 1,
      anon_sym_AMP,
    ACTIONS(5749), 1,
      anon_sym_PIPE,
    ACTIONS(5751), 1,
      anon_sym_extends,
    STATE(2835), 1,
      sym_comment,
    ACTIONS(5831), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5833), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [54583] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2836), 1,
      sym_comment,
    ACTIONS(4367), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5835), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [54642] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2837), 1,
      sym_comment,
    ACTIONS(4367), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5835), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [54701] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2838), 1,
      sym_comment,
    ACTIONS(4391), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5837), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [54760] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2839), 1,
      sym_comment,
    ACTIONS(4391), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5837), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [54819] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2840), 1,
      sym_comment,
    ACTIONS(4359), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5839), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [54878] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2841), 1,
      sym_comment,
    ACTIONS(5841), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5843), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [54937] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5735), 1,
      anon_sym_AMP,
    STATE(2842), 1,
      sym_comment,
    ACTIONS(5845), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5847), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [54998] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2843), 1,
      sym_comment,
    ACTIONS(5849), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5851), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [55057] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2844), 1,
      sym_comment,
    ACTIONS(5589), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5591), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [55116] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2845), 1,
      sym_comment,
    ACTIONS(3548), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5853), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [55175] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2846), 1,
      sym_comment,
    ACTIONS(5855), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5857), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [55234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2847), 1,
      sym_comment,
    ACTIONS(5859), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5861), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [55293] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2848), 1,
      sym_comment,
    ACTIONS(5863), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5865), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [55352] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2849), 1,
      sym_comment,
    ACTIONS(5867), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5869), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [55411] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2850), 1,
      sym_comment,
    ACTIONS(5863), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5865), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [55470] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2851), 1,
      sym_comment,
    ACTIONS(5867), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5869), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [55529] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2852), 1,
      sym_comment,
    ACTIONS(5871), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5873), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [55588] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2853), 1,
      sym_comment,
    ACTIONS(5875), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5877), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [55647] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2854), 1,
      sym_comment,
    ACTIONS(5871), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5873), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [55706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2855), 1,
      sym_comment,
    ACTIONS(5875), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5877), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [55765] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5480), 1,
      anon_sym_COMMA,
    ACTIONS(5498), 1,
      anon_sym_RBRACE,
    STATE(2856), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    STATE(7093), 1,
      aux_sym_object_repeat1,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [55842] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2857), 1,
      sym_comment,
    ACTIONS(5879), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5881), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [55901] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(5883), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2858), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(8742), 1,
      sym_type_annotation,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56026] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2859), 1,
      sym_comment,
    ACTIONS(5885), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5887), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [56085] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2860), 1,
      sym_comment,
    ACTIONS(5879), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5881), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [56144] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2861), 1,
      sym_comment,
    ACTIONS(5885), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5887), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [56203] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5346), 1,
      anon_sym_RBRACE,
    STATE(2862), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2588), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [56272] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5346), 1,
      anon_sym_RBRACE,
    STATE(2863), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [56341] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2864), 1,
      sym_comment,
    ACTIONS(5889), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5891), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [56400] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2865), 1,
      sym_comment,
    ACTIONS(5893), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5895), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [56459] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5735), 1,
      anon_sym_AMP,
    ACTIONS(5749), 1,
      anon_sym_PIPE,
    ACTIONS(5751), 1,
      anon_sym_extends,
    STATE(2866), 1,
      sym_comment,
    ACTIONS(5897), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5899), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56524] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2867), 1,
      sym_comment,
    ACTIONS(4379), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5901), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [56583] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2868), 1,
      sym_comment,
    ACTIONS(4381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [56642] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2869), 1,
      sym_comment,
    ACTIONS(4383), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5905), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [56701] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2870), 1,
      sym_comment,
    ACTIONS(5907), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5909), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [56760] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5735), 1,
      anon_sym_AMP,
    ACTIONS(5749), 1,
      anon_sym_PIPE,
    ACTIONS(5751), 1,
      anon_sym_extends,
    STATE(2871), 1,
      sym_comment,
    ACTIONS(5907), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5909), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56825] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5735), 1,
      anon_sym_AMP,
    ACTIONS(5749), 1,
      anon_sym_PIPE,
    ACTIONS(5751), 1,
      anon_sym_extends,
    STATE(2872), 1,
      sym_comment,
    ACTIONS(5911), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5913), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56890] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5735), 1,
      anon_sym_AMP,
    ACTIONS(5749), 1,
      anon_sym_PIPE,
    ACTIONS(5751), 1,
      anon_sym_extends,
    STATE(2873), 1,
      sym_comment,
    ACTIONS(5915), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5917), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [56955] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2874), 1,
      sym_comment,
    ACTIONS(3546), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5919), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [57014] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2875), 1,
      sym_comment,
    ACTIONS(5921), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5923), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [57073] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2876), 1,
      sym_comment,
    ACTIONS(5925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5927), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [57132] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2877), 1,
      sym_comment,
    ACTIONS(5925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5927), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [57191] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2878), 1,
      sym_comment,
    ACTIONS(5925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5927), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [57250] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2879), 1,
      sym_comment,
    ACTIONS(5929), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5931), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [57309] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2880), 1,
      sym_comment,
    ACTIONS(5929), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5931), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [57368] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2881), 1,
      sym_comment,
    ACTIONS(5929), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5931), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [57427] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2882), 1,
      sym_comment,
    ACTIONS(5933), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5935), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [57486] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2883), 1,
      sym_comment,
    ACTIONS(5933), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5935), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [57545] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2884), 1,
      sym_comment,
    ACTIONS(5933), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5935), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [57604] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2885), 1,
      sym_comment,
    ACTIONS(5937), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5939), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [57663] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2886), 1,
      sym_comment,
    ACTIONS(5941), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5943), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [57722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2887), 1,
      sym_comment,
    ACTIONS(5945), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5947), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [57781] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2888), 1,
      sym_comment,
    ACTIONS(3544), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5949), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [57840] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2889), 1,
      sym_comment,
    ACTIONS(5951), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5953), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [57899] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(5955), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2890), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(8369), 1,
      sym_type_annotation,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58024] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2891), 1,
      sym_comment,
    ACTIONS(5957), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5959), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [58083] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2892), 1,
      sym_comment,
    ACTIONS(5957), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5959), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [58142] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2893), 1,
      sym_comment,
    ACTIONS(5957), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5959), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [58201] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2894), 1,
      sym_comment,
    ACTIONS(5961), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5963), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [58260] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2895), 1,
      sym_comment,
    ACTIONS(5961), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5963), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [58319] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2896), 1,
      sym_comment,
    ACTIONS(5961), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5963), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [58378] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2897), 1,
      sym_comment,
    STATE(4992), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [58451] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2898), 1,
      sym_comment,
    ACTIONS(5965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5967), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [58510] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2899), 1,
      sym_comment,
    ACTIONS(5965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5967), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [58569] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2900), 1,
      sym_comment,
    ACTIONS(5965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5967), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [58628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2901), 1,
      sym_comment,
    ACTIONS(5969), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5971), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [58687] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1226), 1,
      anon_sym_RBRACE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    STATE(2902), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2588), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [58756] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5735), 1,
      anon_sym_AMP,
    ACTIONS(5749), 1,
      anon_sym_PIPE,
    ACTIONS(5751), 1,
      anon_sym_extends,
    STATE(2903), 1,
      sym_comment,
    ACTIONS(5973), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5975), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [58821] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2904), 1,
      sym_comment,
    STATE(4994), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [58894] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(5977), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2905), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(8670), 1,
      sym_type_annotation,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59019] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1253), 1,
      anon_sym_RBRACE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    STATE(2906), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [59088] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1226), 1,
      anon_sym_RBRACE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    STATE(2907), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [59157] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1253), 1,
      anon_sym_RBRACE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    STATE(2908), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2588), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [59226] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(5979), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2909), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(8548), 1,
      sym_type_annotation,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59351] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2910), 1,
      sym_comment,
    ACTIONS(2410), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2412), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [59410] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2911), 1,
      sym_comment,
    STATE(5027), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [59483] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2912), 1,
      sym_comment,
    STATE(4973), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [59556] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2913), 1,
      sym_comment,
    STATE(5154), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [59629] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2914), 1,
      sym_comment,
    ACTIONS(2370), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [59688] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(5981), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2915), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(8595), 1,
      sym_type_annotation,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59813] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(5983), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2916), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(8578), 1,
      sym_type_annotation,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [59938] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2917), 1,
      sym_comment,
    STATE(4977), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [60011] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(5985), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2918), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(8559), 1,
      sym_type_annotation,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60136] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(2919), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5512), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [60211] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(2920), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5559), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [60288] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(2921), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5559), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [60367] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5336), 1,
      anon_sym_RBRACE,
    STATE(2922), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [60436] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1259), 1,
      anon_sym_RBRACE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    STATE(2923), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [60505] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    ACTIONS(5336), 1,
      anon_sym_RBRACE,
    STATE(2924), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2588), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [60574] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(147), 1,
      anon_sym_COMMA,
    ACTIONS(1259), 1,
      anon_sym_RBRACE,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    STATE(2925), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2588), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [60643] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2926), 1,
      sym_comment,
    STATE(4986), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [60716] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2927), 1,
      sym_comment,
    STATE(4988), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [60789] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2928), 1,
      sym_comment,
    STATE(5104), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [60862] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    STATE(2929), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [60923] = 38,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(5987), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2930), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(8324), 1,
      sym_type_annotation,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61048] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5551), 1,
      anon_sym_QMARK_DOT,
    STATE(2931), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(2468), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2470), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [61115] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5993), 1,
      anon_sym_DOT,
    STATE(2932), 1,
      sym_comment,
    ACTIONS(5989), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5991), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [61176] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5996), 1,
      anon_sym_DOT,
    STATE(2933), 1,
      sym_comment,
    ACTIONS(5989), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5991), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [61237] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2934), 1,
      sym_comment,
    STATE(5087), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [61310] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5735), 1,
      anon_sym_AMP,
    ACTIONS(5749), 1,
      anon_sym_PIPE,
    ACTIONS(5751), 1,
      anon_sym_extends,
    STATE(2935), 1,
      sym_comment,
    ACTIONS(5999), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6001), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [61375] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2936), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6003), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [61492] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5735), 1,
      anon_sym_AMP,
    ACTIONS(5749), 1,
      anon_sym_PIPE,
    ACTIONS(5751), 1,
      anon_sym_extends,
    STATE(2937), 1,
      sym_comment,
    ACTIONS(6005), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6007), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [61557] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5571), 1,
      anon_sym_extends,
    STATE(2938), 1,
      sym_comment,
    ACTIONS(6005), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6007), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [61618] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2939), 1,
      sym_comment,
    STATE(5025), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [61691] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2940), 1,
      sym_comment,
    STATE(5143), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [61764] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6009), 1,
      sym__automatic_semicolon,
    STATE(2941), 1,
      sym_comment,
    ACTIONS(2332), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2336), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [61825] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2942), 1,
      sym_comment,
    STATE(5169), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [61898] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5581), 1,
      sym__automatic_semicolon,
    STATE(2943), 1,
      sym_comment,
    ACTIONS(2287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2448), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [61959] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2944), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6011), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [62076] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2945), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6013), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [62193] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2946), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6015), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [62310] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2947), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6017), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [62427] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2948), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6019), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [62544] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2949), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6021), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [62661] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6023), 1,
      anon_sym_LBRACE,
    ACTIONS(6025), 1,
      anon_sym_DOT,
    STATE(2950), 1,
      sym_comment,
    STATE(3052), 1,
      sym_statement_block,
    ACTIONS(2297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2303), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [62726] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6023), 1,
      anon_sym_LBRACE,
    ACTIONS(6027), 1,
      anon_sym_DOT,
    STATE(2951), 1,
      sym_comment,
    STATE(3052), 1,
      sym_statement_block,
    ACTIONS(2297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2303), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [62791] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6023), 1,
      anon_sym_LBRACE,
    STATE(2952), 1,
      sym_comment,
    STATE(3052), 1,
      sym_statement_block,
    ACTIONS(2297), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2303), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [62854] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2953), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6029), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [62971] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2954), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6031), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [63088] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2955), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [63197] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2956), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6035), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [63292] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6037), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2957), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [63379] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6037), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2958), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [63464] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2959), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6035), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [63567] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2960), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6035), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [63668] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2961), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6035), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6033), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [63767] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6037), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2962), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [63854] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    STATE(2963), 1,
      sym_comment,
    STATE(3008), 1,
      sym_arguments,
    ACTIONS(6040), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [63917] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2964), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [64024] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2965), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [64129] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2966), 1,
      sym_comment,
    ACTIONS(1247), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2588), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [64190] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6037), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2967), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [64271] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2968), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [64362] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2969), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6044), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [64479] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2970), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6046), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [64596] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5208), 1,
      sym__automatic_semicolon,
    STATE(2971), 1,
      sym_comment,
    STATE(5066), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [64669] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2972), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6048), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [64786] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6054), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2973), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6050), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6052), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [64865] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6061), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2974), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6057), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6059), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [64950] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2975), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6064), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [65067] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6070), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2976), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6066), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [65144] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2977), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6073), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [65261] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2978), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6075), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [65378] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5663), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(2979), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6077), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6079), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [65449] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(2980), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6093), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65569] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2981), 1,
      sym_comment,
    ACTIONS(6137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6139), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [65627] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6157), 1,
      anon_sym_PIPE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    ACTIONS(6173), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6175), 1,
      sym__ternary_qmark,
    STATE(2982), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6048), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [65743] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6177), 1,
      anon_sym_LT,
    STATE(2983), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [65823] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6180), 1,
      sym__automatic_semicolon,
    STATE(2984), 1,
      sym_comment,
    ACTIONS(2332), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2336), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [65883] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6157), 1,
      anon_sym_PIPE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    ACTIONS(6173), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6175), 1,
      sym__ternary_qmark,
    STATE(2985), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6073), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [65999] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6177), 1,
      anon_sym_LT,
    STATE(2986), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [66083] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2987), 1,
      sym_comment,
    ACTIONS(2344), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [66141] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6177), 1,
      anon_sym_LT,
    STATE(2988), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [66227] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2989), 1,
      sym_comment,
    ACTIONS(2384), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [66285] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6157), 1,
      anon_sym_PIPE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    ACTIONS(6173), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6175), 1,
      sym__ternary_qmark,
    STATE(2990), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6075), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [66401] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2991), 1,
      sym_comment,
    ACTIONS(6182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6184), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [66459] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6186), 1,
      sym__automatic_semicolon,
    STATE(2992), 1,
      sym_comment,
    ACTIONS(2287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2448), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [66519] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6165), 1,
      anon_sym_LT,
    STATE(2993), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6077), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6079), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [66589] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    ACTIONS(6188), 1,
      anon_sym_COMMA,
    ACTIONS(6191), 1,
      anon_sym_RBRACE,
    STATE(2994), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6075), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66709] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    STATE(2995), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6035), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [66811] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2996), 1,
      sym_comment,
    ACTIONS(2338), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [66869] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(2997), 1,
      sym_comment,
    ACTIONS(5679), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5681), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [66927] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(2998), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6073), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [67043] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(2999), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6193), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67163] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3000), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6075), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [67279] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6195), 1,
      anon_sym_DOT,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(3001), 1,
      sym_comment,
    STATE(3431), 1,
      sym_arguments,
    STATE(3433), 1,
      sym_type_arguments,
    ACTIONS(4535), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4531), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [67347] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3002), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6048), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [67463] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(6199), 1,
      anon_sym_DOT,
    STATE(3003), 1,
      sym_comment,
    STATE(3435), 1,
      sym_arguments,
    STATE(3436), 1,
      sym_type_arguments,
    ACTIONS(5515), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5517), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [67531] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(6201), 1,
      anon_sym_DOT,
    STATE(3004), 1,
      sym_comment,
    STATE(3437), 1,
      sym_arguments,
    STATE(3439), 1,
      sym_type_arguments,
    ACTIONS(5521), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5523), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [67599] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3005), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6011), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [67715] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    ACTIONS(6188), 1,
      anon_sym_COMMA,
    ACTIONS(6191), 1,
      anon_sym_RBRACE,
    STATE(3006), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6203), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67835] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3007), 1,
      sym_comment,
    ACTIONS(6205), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6207), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [67893] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3008), 1,
      sym_comment,
    ACTIONS(6209), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6211), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [67951] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3009), 1,
      sym_comment,
    ACTIONS(2418), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [68009] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3010), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68129] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3011), 1,
      sym_comment,
    ACTIONS(6215), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6217), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [68187] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3012), 1,
      sym_comment,
    ACTIONS(6219), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6017), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [68245] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3013), 1,
      sym_comment,
    ACTIONS(6221), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6223), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [68303] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3014), 1,
      sym_comment,
    ACTIONS(2442), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [68361] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    STATE(3015), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6035), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [68461] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3016), 1,
      sym_comment,
    ACTIONS(6225), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [68519] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3017), 1,
      sym_comment,
    ACTIONS(6229), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6231), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [68577] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3018), 1,
      sym_comment,
    ACTIONS(2434), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2436), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [68635] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3019), 1,
      sym_comment,
    ACTIONS(6233), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6019), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [68693] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3020), 1,
      sym_comment,
    ACTIONS(6235), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6237), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [68751] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3021), 1,
      sym_comment,
    ACTIONS(6239), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6021), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [68809] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3022), 1,
      sym_comment,
    ACTIONS(6241), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [68867] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3023), 1,
      sym_comment,
    ACTIONS(2428), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [68925] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3024), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6245), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69045] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3025), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6247), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69165] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3026), 1,
      sym_comment,
    ACTIONS(2480), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2484), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [69223] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3027), 1,
      sym_comment,
    ACTIONS(2328), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [69281] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5739), 1,
      anon_sym_extends,
    STATE(3028), 1,
      sym_comment,
    ACTIONS(6249), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(6252), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6184), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [69345] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3029), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6255), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69465] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3030), 1,
      sym_comment,
    ACTIONS(6257), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6259), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [69523] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    ACTIONS(6191), 1,
      anon_sym_RBRACE,
    ACTIONS(6261), 1,
      anon_sym_COMMA,
    STATE(3031), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6046), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69643] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    STATE(3032), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [69741] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3033), 1,
      sym_comment,
    ACTIONS(6264), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6266), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [69799] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6157), 1,
      anon_sym_PIPE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    ACTIONS(6173), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6175), 1,
      sym__ternary_qmark,
    STATE(3034), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6011), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [69915] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6143), 1,
      anon_sym_GT,
    ACTIONS(6145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6157), 1,
      anon_sym_PIPE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    ACTIONS(6173), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6175), 1,
      sym__ternary_qmark,
    ACTIONS(6270), 1,
      anon_sym_in,
    STATE(3035), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6268), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [70033] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5699), 1,
      anon_sym_extends,
    STATE(3036), 1,
      sym_comment,
    ACTIONS(6273), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(6276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [70097] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    STATE(3037), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6035), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [70191] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3038), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6013), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [70307] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3039), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6015), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [70423] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    ACTIONS(6279), 1,
      anon_sym_COMMA,
    ACTIONS(6282), 1,
      anon_sym_RBRACE,
    STATE(3040), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6046), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70543] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3041), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6284), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70663] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3042), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6286), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70783] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3043), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5559), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [70855] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3044), 1,
      sym_comment,
    ACTIONS(6288), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6290), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [70913] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3045), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6292), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71033] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6157), 1,
      anon_sym_PIPE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    ACTIONS(6173), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6175), 1,
      sym__ternary_qmark,
    STATE(3046), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6013), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [71149] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6157), 1,
      anon_sym_PIPE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    ACTIONS(6173), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6175), 1,
      sym__ternary_qmark,
    STATE(3047), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6015), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [71265] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3048), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6017), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [71381] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3049), 1,
      sym_comment,
    ACTIONS(6294), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6296), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [71439] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3050), 1,
      sym_comment,
    ACTIONS(6298), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6073), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [71497] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3051), 1,
      sym_comment,
    ACTIONS(2404), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2408), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [71555] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3052), 1,
      sym_comment,
    ACTIONS(2338), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [71613] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3053), 1,
      sym_comment,
    ACTIONS(2452), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [71671] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3054), 1,
      sym_comment,
    ACTIONS(6302), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6306), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(6300), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6304), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [71733] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6308), 1,
      anon_sym_LT,
    STATE(3055), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6050), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6052), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [71811] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3056), 1,
      sym_comment,
    ACTIONS(2350), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2352), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [71869] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6157), 1,
      anon_sym_PIPE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    ACTIONS(6173), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6175), 1,
      sym__ternary_qmark,
    STATE(3057), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6017), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [71985] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3058), 1,
      sym_comment,
    ACTIONS(2364), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2368), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [72043] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6157), 1,
      anon_sym_PIPE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    ACTIONS(6173), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6175), 1,
      sym__ternary_qmark,
    STATE(3059), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6019), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [72159] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6157), 1,
      anon_sym_PIPE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    ACTIONS(6173), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6175), 1,
      sym__ternary_qmark,
    STATE(3060), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6021), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [72275] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6311), 1,
      anon_sym_LT,
    STATE(3061), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6057), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6059), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [72359] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3062), 1,
      sym_comment,
    ACTIONS(6314), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6316), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [72417] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3063), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6064), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [72533] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3064), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6019), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [72649] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3065), 1,
      sym_comment,
    ACTIONS(6318), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6320), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [72707] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3066), 1,
      sym_comment,
    ACTIONS(2291), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6322), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2289), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2295), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72769] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3067), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6324), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72889] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3068), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6326), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73009] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6177), 1,
      anon_sym_LT,
    STATE(3069), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [73095] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    STATE(3070), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73201] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3071), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6328), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73321] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(6330), 1,
      anon_sym_QMARK_DOT,
    STATE(3072), 1,
      sym_comment,
    STATE(3368), 1,
      sym_type_arguments,
    STATE(3614), 1,
      sym_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(5543), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5545), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73395] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3073), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [73453] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    STATE(3074), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [73557] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3075), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6046), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [73673] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3076), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6332), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [73789] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3077), 1,
      sym_comment,
    ACTIONS(2468), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2470), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [73847] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    STATE(3078), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6077), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6079), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [73917] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6157), 1,
      anon_sym_PIPE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    ACTIONS(6173), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6175), 1,
      sym__ternary_qmark,
    STATE(3079), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6029), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [74033] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3080), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6021), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [74149] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3081), 1,
      sym_comment,
    ACTIONS(6334), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6336), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [74207] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3082), 1,
      sym_comment,
    ACTIONS(5809), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6338), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5807), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74269] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6340), 1,
      anon_sym_LT,
    STATE(3083), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6050), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6052), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [74347] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3084), 1,
      sym_comment,
    ACTIONS(6343), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6345), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [74405] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3085), 1,
      sym_comment,
    ACTIONS(6347), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6349), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [74463] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3086), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6044), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [74579] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    STATE(3087), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [74687] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6157), 1,
      anon_sym_PIPE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    ACTIONS(6173), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6175), 1,
      sym__ternary_qmark,
    STATE(3088), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6031), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [74803] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6351), 1,
      anon_sym_LT,
    STATE(3089), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6057), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6059), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [74887] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6157), 1,
      anon_sym_PIPE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    STATE(3090), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [74995] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6157), 1,
      anon_sym_PIPE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    ACTIONS(6173), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6175), 1,
      sym__ternary_qmark,
    STATE(3091), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6064), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [75111] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3092), 1,
      sym_comment,
    ACTIONS(2370), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2372), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [75169] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3093), 1,
      sym_comment,
    ACTIONS(2410), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2412), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [75227] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5563), 1,
      anon_sym_extends,
    STATE(3094), 1,
      sym_comment,
    ACTIONS(6354), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(6357), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [75291] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6360), 1,
      anon_sym_LT,
    STATE(3095), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6066), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [75367] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3096), 1,
      sym_comment,
    ACTIONS(6363), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6365), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [75425] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3097), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6367), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75545] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3098), 1,
      sym_comment,
    ACTIONS(2442), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [75603] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    STATE(3099), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6035), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [75697] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3100), 1,
      sym_comment,
    ACTIONS(2460), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2464), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [75755] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3101), 1,
      sym_comment,
    ACTIONS(6369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6371), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [75813] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3102), 1,
      sym_comment,
    ACTIONS(6373), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6375), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [75871] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3103), 1,
      sym_comment,
    ACTIONS(6377), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6379), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [75929] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(6381), 1,
      anon_sym_DOT,
    ACTIONS(6383), 1,
      anon_sym_is,
    STATE(3104), 1,
      sym_comment,
    STATE(3308), 1,
      sym_type_arguments,
    ACTIONS(5500), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4595), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [75995] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3105), 1,
      sym_comment,
    ACTIONS(6385), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6031), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [76053] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3106), 1,
      sym_comment,
    ACTIONS(6387), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6389), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [76111] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3107), 1,
      sym_comment,
    ACTIONS(6391), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6393), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [76169] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3108), 1,
      sym_comment,
    ACTIONS(6395), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6397), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [76227] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3109), 1,
      sym_comment,
    ACTIONS(6399), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6401), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [76285] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3110), 1,
      sym_comment,
    ACTIONS(6403), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6405), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [76343] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    STATE(3111), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [76433] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3112), 1,
      sym_comment,
    ACTIONS(2350), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2352), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [76491] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3113), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6407), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76611] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3114), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6409), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76731] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3115), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6191), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(6411), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76849] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3116), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6413), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76969] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6415), 1,
      anon_sym_LT,
    STATE(3117), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [77055] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6415), 1,
      anon_sym_LT,
    STATE(3118), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [77139] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3119), 1,
      sym_comment,
    ACTIONS(2328), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [77197] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6415), 1,
      anon_sym_LT,
    STATE(3120), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [77277] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3121), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6418), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77397] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3122), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6031), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [77513] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3123), 1,
      sym_comment,
    ACTIONS(6420), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [77571] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3124), 1,
      sym_comment,
    ACTIONS(2376), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2380), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [77629] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3125), 1,
      sym_comment,
    ACTIONS(2356), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [77687] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3126), 1,
      sym_comment,
    ACTIONS(6422), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6424), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [77745] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3127), 1,
      sym_comment,
    ACTIONS(2396), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [77803] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3128), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6426), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77923] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3129), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6029), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [78039] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5809), 1,
      anon_sym_EQ,
    STATE(3130), 1,
      sym_comment,
    ACTIONS(5807), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [78099] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2291), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3131), 1,
      sym_comment,
    ACTIONS(2289), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2295), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [78159] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6302), 1,
      anon_sym_EQ,
    STATE(3132), 1,
      sym_comment,
    ACTIONS(6300), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6304), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [78219] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    STATE(3133), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [78309] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3134), 1,
      sym_comment,
    ACTIONS(2434), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2436), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [78367] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3135), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6428), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78487] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6415), 1,
      anon_sym_LT,
    STATE(3136), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [78573] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3137), 1,
      sym_comment,
    ACTIONS(2332), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2336), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [78631] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    STATE(3138), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6035), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [78733] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6157), 1,
      anon_sym_PIPE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    ACTIONS(6173), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6175), 1,
      sym__ternary_qmark,
    STATE(3139), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6044), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [78849] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    STATE(3140), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6035), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [78949] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3141), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6430), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79069] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6157), 1,
      anon_sym_PIPE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    STATE(3142), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [79175] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3143), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6432), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79295] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6157), 1,
      anon_sym_PIPE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    STATE(3144), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [79399] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3145), 1,
      sym_comment,
    ACTIONS(2332), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2336), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [79457] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6434), 1,
      anon_sym_LT,
    STATE(3146), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6066), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [79533] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    STATE(3147), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [79631] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3148), 1,
      sym_comment,
    ACTIONS(6437), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6439), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [79689] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6147), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6149), 1,
      anon_sym_GT_GT,
    ACTIONS(6153), 1,
      anon_sym_AMP,
    ACTIONS(6155), 1,
      anon_sym_CARET,
    ACTIONS(6157), 1,
      anon_sym_PIPE,
    ACTIONS(6161), 1,
      anon_sym_PERCENT,
    ACTIONS(6163), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6165), 1,
      anon_sym_LT,
    ACTIONS(6173), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6175), 1,
      sym__ternary_qmark,
    STATE(3149), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6141), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6143), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6151), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6159), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6169), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6171), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6167), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6046), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [79805] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3150), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(6540), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79925] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6443), 1,
      anon_sym_RBRACK,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3151), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80044] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6445), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3152), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80163] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6449), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3153), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(7087), 1,
      aux_sym_array_repeat1,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80282] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6453), 1,
      sym__automatic_semicolon,
    STATE(3154), 1,
      sym_comment,
    ACTIONS(6451), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [80339] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6457), 1,
      sym__automatic_semicolon,
    STATE(3155), 1,
      sym_comment,
    ACTIONS(6455), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [80396] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6461), 1,
      sym__automatic_semicolon,
    STATE(3156), 1,
      sym_comment,
    ACTIONS(6459), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [80453] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6465), 1,
      anon_sym_SEMI,
    ACTIONS(6468), 1,
      sym__automatic_semicolon,
    STATE(3157), 1,
      sym_comment,
    ACTIONS(6463), 41,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [80512] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6197), 1,
      anon_sym_LT,
    ACTIONS(6381), 1,
      anon_sym_DOT,
    STATE(3158), 1,
      sym_comment,
    STATE(3308), 1,
      sym_type_arguments,
    ACTIONS(5500), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4595), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [80575] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6472), 1,
      sym__automatic_semicolon,
    STATE(3159), 1,
      sym_comment,
    ACTIONS(6470), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [80632] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4599), 1,
      anon_sym_EQ,
    ACTIONS(4688), 1,
      anon_sym_QMARK,
    STATE(3160), 1,
      sym_comment,
    ACTIONS(4685), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80695] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6476), 1,
      sym__automatic_semicolon,
    STATE(3161), 1,
      sym_comment,
    ACTIONS(6474), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [80752] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2945), 1,
      anon_sym_override,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(6478), 1,
      anon_sym_STAR,
    ACTIONS(6480), 1,
      anon_sym_async,
    ACTIONS(6482), 1,
      anon_sym_readonly,
    STATE(3162), 1,
      sym_comment,
    STATE(3899), 1,
      sym_override_modifier,
    STATE(5557), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6484), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [80833] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6488), 1,
      sym__automatic_semicolon,
    STATE(3163), 1,
      sym_comment,
    ACTIONS(6486), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [80890] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6492), 1,
      sym__automatic_semicolon,
    STATE(3164), 1,
      sym_comment,
    ACTIONS(6490), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [80947] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3165), 1,
      sym_comment,
    ACTIONS(4337), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5565), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [81004] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    ACTIONS(6528), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6530), 1,
      sym__ternary_qmark,
    STATE(3166), 1,
      sym_comment,
    STATE(3594), 1,
      sym_type_arguments,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6496), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81119] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6075), 1,
      anon_sym_COMMA,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3167), 1,
      sym_comment,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6203), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81236] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6532), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3168), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81355] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6536), 1,
      sym__automatic_semicolon,
    STATE(3169), 1,
      sym_comment,
    ACTIONS(6534), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [81412] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3170), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6538), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [81527] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6542), 1,
      sym__automatic_semicolon,
    STATE(3171), 1,
      sym_comment,
    ACTIONS(6540), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [81584] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    ACTIONS(6528), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6530), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3172), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6021), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81699] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6492), 1,
      sym__automatic_semicolon,
    STATE(3173), 1,
      sym_comment,
    ACTIONS(6490), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [81756] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6544), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3174), 1,
      sym_comment,
    STATE(6967), 1,
      aux_sym_array_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81875] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6546), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3175), 1,
      sym_comment,
    STATE(6797), 1,
      aux_sym_array_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81994] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6550), 1,
      sym__automatic_semicolon,
    STATE(3176), 1,
      sym_comment,
    ACTIONS(6548), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [82051] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6542), 1,
      sym__automatic_semicolon,
    STATE(3177), 1,
      sym_comment,
    ACTIONS(6540), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [82108] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4688), 1,
      anon_sym_QMARK,
    ACTIONS(4696), 1,
      anon_sym_EQ,
    STATE(3178), 1,
      sym_comment,
    ACTIONS(4699), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82171] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6492), 1,
      sym__automatic_semicolon,
    STATE(3179), 1,
      sym_comment,
    ACTIONS(6490), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [82228] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6552), 1,
      sym__automatic_semicolon,
    STATE(3180), 1,
      sym_comment,
    ACTIONS(2287), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [82285] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6536), 1,
      sym__automatic_semicolon,
    STATE(3181), 1,
      sym_comment,
    ACTIONS(6534), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [82342] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6554), 1,
      anon_sym_is,
    STATE(3182), 1,
      sym_comment,
    ACTIONS(5569), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5571), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [82401] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6556), 1,
      anon_sym_RBRACK,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3183), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82520] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6558), 1,
      sym__automatic_semicolon,
    STATE(3184), 1,
      sym_comment,
    ACTIONS(2287), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [82577] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6562), 1,
      sym__automatic_semicolon,
    STATE(3185), 1,
      sym_comment,
    ACTIONS(6560), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [82634] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6564), 1,
      sym__automatic_semicolon,
    STATE(3186), 1,
      sym_comment,
    ACTIONS(2332), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [82691] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6568), 1,
      sym__automatic_semicolon,
    STATE(3187), 1,
      sym_comment,
    ACTIONS(6566), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [82748] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6383), 1,
      anon_sym_is,
    STATE(3188), 1,
      sym_comment,
    ACTIONS(5561), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5563), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [82807] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    ACTIONS(6528), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6530), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3189), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6019), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82922] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6570), 1,
      sym__automatic_semicolon,
    STATE(3190), 1,
      sym_comment,
    ACTIONS(2332), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [82979] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    ACTIONS(6528), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6530), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3191), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6029), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83094] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    ACTIONS(6528), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6530), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3192), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6031), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83209] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6492), 1,
      sym__automatic_semicolon,
    STATE(3193), 1,
      sym_comment,
    ACTIONS(6490), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [83266] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3194), 1,
      sym_comment,
    ACTIONS(5809), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6572), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(5807), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83327] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3195), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [83434] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    ACTIONS(6528), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6530), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3196), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6017), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83549] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3197), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6035), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [83642] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4529), 1,
      anon_sym_EQ,
    ACTIONS(5699), 1,
      anon_sym_extends,
    STATE(3198), 1,
      sym_comment,
    ACTIONS(6273), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(6276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83707] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    ACTIONS(6528), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6530), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3199), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6015), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83822] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    ACTIONS(6528), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6530), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3200), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6013), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83937] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6575), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3201), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 16,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [84022] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6575), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3202), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [84105] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6578), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3203), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(7240), 1,
      aux_sym_array_repeat1,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3204), 1,
      sym_comment,
    ACTIONS(4343), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5595), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [84281] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6472), 1,
      sym__automatic_semicolon,
    STATE(3205), 1,
      sym_comment,
    ACTIONS(6470), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [84338] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    STATE(3206), 1,
      sym_comment,
    STATE(3704), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5553), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5555), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [84401] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3207), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6035), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [84502] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3208), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6035), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [84601] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6580), 1,
      anon_sym_RBRACK,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3209), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(7105), 1,
      aux_sym_array_repeat1,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84720] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3210), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [84817] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6582), 1,
      anon_sym_RBRACK,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3211), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84936] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6575), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3212), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [85021] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3213), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [85126] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3214), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
      anon_sym_implements,
  [85229] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6575), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3215), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [85308] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3216), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [85397] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    ACTIONS(6528), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6530), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3217), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6044), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85512] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    ACTIONS(6528), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6530), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3218), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6046), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85627] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3219), 1,
      sym_comment,
    ACTIONS(2209), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [85684] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6472), 1,
      sym__automatic_semicolon,
    STATE(3220), 1,
      sym_comment,
    ACTIONS(6470), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [85741] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6488), 1,
      sym__automatic_semicolon,
    STATE(3221), 1,
      sym_comment,
    ACTIONS(6486), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [85798] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6568), 1,
      sym__automatic_semicolon,
    STATE(3222), 1,
      sym_comment,
    ACTIONS(6566), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [85855] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6584), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3223), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85974] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4708), 1,
      anon_sym_QMARK,
    STATE(3224), 1,
      sym_comment,
    ACTIONS(4706), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86037] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6197), 1,
      anon_sym_LT,
    STATE(3225), 1,
      sym_comment,
    STATE(3344), 1,
      sym_type_arguments,
    ACTIONS(5569), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5571), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [86098] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6586), 1,
      anon_sym_RBRACK,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3226), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(7348), 1,
      aux_sym_array_repeat1,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86217] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6075), 1,
      anon_sym_COMMA,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3227), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6588), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86334] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6542), 1,
      sym__automatic_semicolon,
    STATE(3228), 1,
      sym_comment,
    ACTIONS(6540), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [86391] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6592), 1,
      sym__automatic_semicolon,
    STATE(3229), 1,
      sym_comment,
    ACTIONS(6590), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [86448] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6594), 1,
      anon_sym_RBRACK,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3230), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(7348), 1,
      aux_sym_array_repeat1,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86567] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6536), 1,
      sym__automatic_semicolon,
    STATE(3231), 1,
      sym_comment,
    ACTIONS(6534), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [86624] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6598), 1,
      anon_sym_SEMI,
    ACTIONS(6601), 1,
      sym__automatic_semicolon,
    STATE(3232), 1,
      sym_comment,
    ACTIONS(6596), 41,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [86683] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6603), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3233), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(7338), 1,
      aux_sym_array_repeat1,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86802] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6492), 1,
      sym__automatic_semicolon,
    STATE(3234), 1,
      sym_comment,
    ACTIONS(6490), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [86859] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6605), 1,
      anon_sym_RBRACE,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3235), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86978] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6488), 1,
      sym__automatic_semicolon,
    STATE(3236), 1,
      sym_comment,
    ACTIONS(6486), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [87035] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6472), 1,
      sym__automatic_semicolon,
    STATE(3237), 1,
      sym_comment,
    ACTIONS(6470), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [87092] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6592), 1,
      sym__automatic_semicolon,
    STATE(3238), 1,
      sym_comment,
    ACTIONS(6590), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [87149] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(6520), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3239), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6077), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6079), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [87218] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6492), 1,
      sym__automatic_semicolon,
    STATE(3240), 1,
      sym_comment,
    ACTIONS(6490), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [87275] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3241), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6268), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [87390] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3242), 1,
      sym_comment,
    ACTIONS(5577), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5579), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [87447] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4599), 1,
      anon_sym_EQ,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    STATE(3243), 1,
      sym_comment,
    ACTIONS(6276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5699), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87512] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    ACTIONS(6528), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6530), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3244), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6011), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87627] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6542), 1,
      sym__automatic_semicolon,
    STATE(3245), 1,
      sym_comment,
    ACTIONS(6540), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [87684] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3246), 1,
      sym_comment,
    ACTIONS(5679), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5681), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [87741] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    STATE(3247), 1,
      sym_comment,
    ACTIONS(5512), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [87802] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3248), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6268), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [87917] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6472), 1,
      sym__automatic_semicolon,
    STATE(3249), 1,
      sym_comment,
    ACTIONS(6470), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [87974] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3250), 1,
      sym_comment,
    ACTIONS(2291), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6607), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(2289), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2295), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88035] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3251), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6003), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88150] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6542), 1,
      sym__automatic_semicolon,
    STATE(3252), 1,
      sym_comment,
    ACTIONS(6540), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [88207] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6383), 1,
      anon_sym_is,
    STATE(3253), 1,
      sym_comment,
    ACTIONS(5589), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5591), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [88266] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6612), 1,
      sym__automatic_semicolon,
    STATE(3254), 1,
      sym_comment,
    ACTIONS(6610), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [88323] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6550), 1,
      sym__automatic_semicolon,
    STATE(3255), 1,
      sym_comment,
    ACTIONS(6548), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [88380] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6614), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3256), 1,
      sym_comment,
    STATE(6907), 1,
      aux_sym_array_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88499] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6616), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3257), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(7287), 1,
      aux_sym_array_repeat1,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88618] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6618), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3258), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88737] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6620), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3259), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88856] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6622), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3260), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6066), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [88931] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6625), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3261), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89050] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6627), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3262), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89169] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    ACTIONS(6528), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6530), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3263), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6064), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89284] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6629), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3264), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6057), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6059), 17,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [89367] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6632), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3265), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6050), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6052), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [89444] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6492), 1,
      sym__automatic_semicolon,
    STATE(3266), 1,
      sym_comment,
    ACTIONS(6490), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [89501] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6536), 1,
      sym__automatic_semicolon,
    STATE(3267), 1,
      sym_comment,
    ACTIONS(6534), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [89558] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6635), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3268), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89677] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6637), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3269), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89796] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6075), 1,
      anon_sym_COMMA,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3270), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6639), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [89913] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6550), 1,
      sym__automatic_semicolon,
    STATE(3271), 1,
      sym_comment,
    ACTIONS(6548), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [89970] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5809), 1,
      anon_sym_EQ,
    ACTIONS(5813), 1,
      anon_sym_LBRACK,
    STATE(3272), 1,
      sym_comment,
    ACTIONS(5816), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6641), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5725), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5807), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90037] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3273), 1,
      sym_comment,
    ACTIONS(4339), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5617), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [90094] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6488), 1,
      sym__automatic_semicolon,
    STATE(3274), 1,
      sym_comment,
    ACTIONS(6486), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [90151] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6550), 1,
      sym__automatic_semicolon,
    STATE(3275), 1,
      sym_comment,
    ACTIONS(6548), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [90208] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6488), 1,
      sym__automatic_semicolon,
    STATE(3276), 1,
      sym_comment,
    ACTIONS(6486), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [90265] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6488), 1,
      sym__automatic_semicolon,
    STATE(3277), 1,
      sym_comment,
    ACTIONS(6486), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [90322] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6075), 1,
      anon_sym_COMMA,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3278), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6645), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90439] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6647), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3279), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90558] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6649), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3280), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90677] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5480), 1,
      anon_sym_COMMA,
    ACTIONS(5498), 1,
      anon_sym_RBRACE,
    STATE(3281), 1,
      sym_comment,
    STATE(7093), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [90740] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6651), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3282), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90859] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3283), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6653), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [90974] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2291), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5711), 1,
      anon_sym_extends,
    STATE(3284), 1,
      sym_comment,
    ACTIONS(5801), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5804), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2289), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2295), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91039] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6536), 1,
      sym__automatic_semicolon,
    STATE(3285), 1,
      sym_comment,
    ACTIONS(6534), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [91096] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6075), 1,
      anon_sym_COMMA,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3286), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6655), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91213] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6075), 1,
      anon_sym_COMMA,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3287), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6657), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91330] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6488), 1,
      sym__automatic_semicolon,
    STATE(3288), 1,
      sym_comment,
    ACTIONS(6486), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [91387] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5725), 1,
      anon_sym_extends,
    ACTIONS(5809), 1,
      anon_sym_EQ,
    STATE(3289), 1,
      sym_comment,
    ACTIONS(5813), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(5816), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5807), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91452] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6659), 1,
      anon_sym_RBRACK,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3290), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91571] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    ACTIONS(6528), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6530), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3291), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6048), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91686] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5480), 1,
      anon_sym_COMMA,
    ACTIONS(5498), 1,
      anon_sym_RBRACE,
    STATE(3292), 1,
      sym_comment,
    STATE(7093), 1,
      aux_sym_object_repeat1,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2588), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [91749] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6661), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3293), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91868] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6075), 1,
      anon_sym_COMMA,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6099), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6101), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6103), 1,
      anon_sym_GT_GT,
    ACTIONS(6107), 1,
      anon_sym_AMP,
    ACTIONS(6109), 1,
      anon_sym_CARET,
    ACTIONS(6111), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_PERCENT,
    ACTIONS(6117), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6119), 1,
      anon_sym_LT,
    ACTIONS(6127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6135), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3294), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6081), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6091), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6105), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6113), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6123), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6125), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6663), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6121), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91985] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6665), 1,
      anon_sym_COLON,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3295), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92104] = 36,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    ACTIONS(6667), 1,
      anon_sym_RPAREN,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3296), 1,
      sym_comment,
    STATE(5730), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92223] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(5192), 1,
      anon_sym_EQ,
    STATE(3297), 1,
      sym_comment,
    ACTIONS(5512), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2588), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [92284] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2352), 1,
      sym__automatic_semicolon,
    STATE(3298), 1,
      sym_comment,
    ACTIONS(2350), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [92341] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2336), 1,
      sym__automatic_semicolon,
    STATE(3299), 1,
      sym_comment,
    ACTIONS(2332), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [92398] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3300), 1,
      sym_comment,
    ACTIONS(6302), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6669), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(6300), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6304), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92459] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(6550), 1,
      sym__automatic_semicolon,
    STATE(3301), 1,
      sym_comment,
    ACTIONS(6548), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [92516] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    ACTIONS(6528), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6530), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3302), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6073), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92631] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6504), 1,
      anon_sym_GT_GT,
    ACTIONS(6508), 1,
      anon_sym_AMP,
    ACTIONS(6510), 1,
      anon_sym_CARET,
    ACTIONS(6512), 1,
      anon_sym_PIPE,
    ACTIONS(6516), 1,
      anon_sym_PERCENT,
    ACTIONS(6518), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6520), 1,
      anon_sym_LT,
    ACTIONS(6528), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6530), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3303), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6494), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6498), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6506), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6514), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6524), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6526), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6075), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(6522), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92746] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2291), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5801), 1,
      anon_sym_LBRACK,
    STATE(3304), 1,
      sym_comment,
    ACTIONS(5804), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6672), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5711), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2289), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2295), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92813] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6680), 1,
      sym_regex_flags,
    STATE(3305), 1,
      sym_comment,
    ACTIONS(6676), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6678), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [92871] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5739), 1,
      anon_sym_extends,
    STATE(3306), 1,
      sym_comment,
    ACTIONS(6249), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(6252), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6184), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92933] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5563), 1,
      anon_sym_extends,
    ACTIONS(6354), 1,
      anon_sym_LBRACK,
    ACTIONS(6686), 1,
      anon_sym_RPAREN,
    STATE(3307), 1,
      sym_comment,
    ACTIONS(6357), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6682), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6684), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93001] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3308), 1,
      sym_comment,
    ACTIONS(5741), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5743), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [93057] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3309), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6693), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93171] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3310), 1,
      sym_comment,
    ACTIONS(5691), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5689), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [93227] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3311), 1,
      sym_comment,
    ACTIONS(3558), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5711), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [93283] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3312), 1,
      sym_comment,
    ACTIONS(5723), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5725), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [93339] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3313), 1,
      sym_comment,
    ACTIONS(5719), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5721), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [93395] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    ACTIONS(6727), 1,
      anon_sym_SEMI,
    ACTIONS(6729), 1,
      sym__automatic_semicolon,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3314), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93511] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6731), 1,
      anon_sym_DOT,
    STATE(3315), 1,
      sym_comment,
    ACTIONS(5713), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5715), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [93569] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3316), 1,
      sym_comment,
    ACTIONS(5727), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5729), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [93625] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5571), 1,
      anon_sym_extends,
    STATE(3317), 1,
      sym_comment,
    ACTIONS(6005), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6007), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93683] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3318), 1,
      sym_comment,
    ACTIONS(5685), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5679), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5681), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93741] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6733), 1,
      anon_sym_AMP,
    ACTIONS(6735), 1,
      anon_sym_PIPE,
    ACTIONS(6737), 1,
      anon_sym_extends,
    STATE(3319), 1,
      sym_comment,
    ACTIONS(6005), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6007), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93803] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6733), 1,
      anon_sym_AMP,
    STATE(3320), 1,
      sym_comment,
    ACTIONS(5731), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5733), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [93861] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6302), 1,
      anon_sym_EQ,
    STATE(3321), 1,
      sym_comment,
    ACTIONS(6300), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6304), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93919] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3322), 1,
      sym_comment,
    ACTIONS(5737), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5739), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [93975] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    ACTIONS(6739), 1,
      anon_sym_SEMI,
    ACTIONS(6741), 1,
      sym__automatic_semicolon,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3323), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94091] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3324), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6411), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94205] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3325), 1,
      sym_comment,
    ACTIONS(5689), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(5691), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94265] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3326), 1,
      sym_comment,
    ACTIONS(5559), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2588), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [94323] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6733), 1,
      anon_sym_AMP,
    ACTIONS(6735), 1,
      anon_sym_PIPE,
    ACTIONS(6737), 1,
      anon_sym_extends,
    STATE(3327), 1,
      sym_comment,
    ACTIONS(5745), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5747), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94385] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5725), 1,
      anon_sym_extends,
    ACTIONS(5813), 1,
      anon_sym_LBRACK,
    ACTIONS(6641), 1,
      anon_sym_RPAREN,
    STATE(3328), 1,
      sym_comment,
    ACTIONS(5809), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5816), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6572), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5807), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94453] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5711), 1,
      anon_sym_extends,
    ACTIONS(5801), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_RPAREN,
    STATE(3329), 1,
      sym_comment,
    ACTIONS(2291), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5804), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6607), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2289), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2295), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94521] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(6743), 1,
      anon_sym_STAR,
    STATE(3330), 1,
      sym_comment,
    STATE(5610), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6745), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [94593] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(6743), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_async,
    STATE(3331), 1,
      sym_comment,
    STATE(5610), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6745), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [94667] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5703), 1,
      anon_sym_extends,
    ACTIONS(6749), 1,
      anon_sym_LBRACK,
    STATE(3332), 1,
      sym_comment,
    ACTIONS(5701), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5753), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5755), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94729] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6751), 1,
      anon_sym_extends,
    STATE(3333), 1,
      sym_comment,
    ACTIONS(5757), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5759), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94787] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6749), 1,
      anon_sym_LBRACK,
    STATE(3334), 1,
      sym_comment,
    ACTIONS(5763), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5765), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [94845] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3335), 1,
      sym_comment,
    ACTIONS(6753), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [94899] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3336), 1,
      sym_comment,
    ACTIONS(5961), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5963), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [94955] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3337), 1,
      sym_comment,
    ACTIONS(5559), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1247), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [95013] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3338), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6046), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95127] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3339), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6044), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95241] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3340), 1,
      sym_comment,
    ACTIONS(5707), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5709), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [95297] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3341), 1,
      sym_comment,
    ACTIONS(5569), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5571), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [95353] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3342), 1,
      sym_comment,
    ACTIONS(6252), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6249), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5739), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6184), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95415] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4688), 1,
      anon_sym_QMARK,
    ACTIONS(4696), 1,
      anon_sym_EQ,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    STATE(3343), 1,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5699), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(6276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95483] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3344), 1,
      sym_comment,
    ACTIONS(5769), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5771), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [95539] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3345), 1,
      sym_comment,
    ACTIONS(4423), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5773), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [95595] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3346), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6048), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95709] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3347), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6755), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95823] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3348), 1,
      sym_comment,
    ACTIONS(4421), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5775), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [95879] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6757), 1,
      anon_sym_LT,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3349), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6050), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6052), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [95955] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6749), 1,
      anon_sym_LBRACK,
    STATE(3350), 1,
      sym_comment,
    ACTIONS(5701), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5703), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [96013] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3351), 1,
      sym_comment,
    ACTIONS(5701), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5703), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [96069] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3352), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [96157] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2740), 1,
      anon_sym_EQ_GT,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3353), 1,
      sym_comment,
    STATE(5557), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96227] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3354), 1,
      sym_comment,
    ACTIONS(5561), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5563), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [96283] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6760), 1,
      anon_sym_LT,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3355), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6057), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6059), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [96365] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(6478), 1,
      anon_sym_STAR,
    STATE(3356), 1,
      sym_comment,
    STATE(5557), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6484), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96437] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3357), 1,
      sym_comment,
    ACTIONS(5697), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5699), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [96493] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3358), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6064), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96607] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3359), 1,
      sym_comment,
    ACTIONS(4413), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5777), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [96663] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(6478), 1,
      anon_sym_STAR,
    ACTIONS(6480), 1,
      anon_sym_async,
    STATE(3360), 1,
      sym_comment,
    STATE(5557), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6484), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [96737] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3361), 1,
      sym_comment,
    ACTIONS(5693), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5695), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [96793] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6763), 1,
      anon_sym_LT,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3362), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6066), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [96867] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3363), 1,
      sym_comment,
    ACTIONS(6766), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [96921] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2291), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6186), 1,
      sym__automatic_semicolon,
    STATE(3364), 1,
      sym_comment,
    ACTIONS(2287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2448), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96981] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6768), 1,
      anon_sym_LT,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3365), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [97059] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3366), 1,
      sym_comment,
    ACTIONS(6753), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [97113] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3367), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6771), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97227] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    STATE(3368), 1,
      sym_comment,
    STATE(3535), 1,
      sym_arguments,
    ACTIONS(6040), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6042), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97287] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    ACTIONS(6773), 1,
      anon_sym_SEMI,
    ACTIONS(6775), 1,
      sym__automatic_semicolon,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3369), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97403] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3370), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6777), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97517] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2291), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6779), 1,
      sym__automatic_semicolon,
    STATE(3371), 1,
      sym_comment,
    ACTIONS(2448), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2289), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2295), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97579] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6733), 1,
      anon_sym_AMP,
    ACTIONS(6735), 1,
      anon_sym_PIPE,
    ACTIONS(6737), 1,
      anon_sym_extends,
    STATE(3372), 1,
      sym_comment,
    ACTIONS(5973), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5975), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97641] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3373), 1,
      sym_comment,
    ACTIONS(5969), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5971), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [97697] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3374), 1,
      sym_comment,
    ACTIONS(5965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5967), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [97753] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3375), 1,
      sym_comment,
    ACTIONS(5965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5967), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [97809] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3376), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6073), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97923] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3377), 1,
      sym_comment,
    ACTIONS(5965), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5967), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [97979] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3378), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6781), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98093] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3379), 1,
      sym_comment,
    ACTIONS(5961), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5963), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [98149] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3380), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6282), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98263] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3381), 1,
      sym_comment,
    ACTIONS(5961), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5963), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [98319] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    ACTIONS(6783), 1,
      anon_sym_SEMI,
    ACTIONS(6785), 1,
      sym__automatic_semicolon,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3382), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98435] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3383), 1,
      sym_comment,
    ACTIONS(5957), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5959), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [98491] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5645), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5647), 1,
      anon_sym_GT_GT,
    ACTIONS(5651), 1,
      anon_sym_AMP,
    ACTIONS(5653), 1,
      anon_sym_CARET,
    ACTIONS(5655), 1,
      anon_sym_PIPE,
    ACTIONS(5659), 1,
      anon_sym_PERCENT,
    ACTIONS(5661), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5663), 1,
      anon_sym_LT,
    ACTIONS(5671), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(5677), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3384), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5629), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5639), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5649), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5667), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5669), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6191), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5665), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98605] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3385), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [98707] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3386), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [98811] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3387), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6075), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98925] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3388), 1,
      sym_comment,
    ACTIONS(5957), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5959), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [98981] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3389), 1,
      sym_comment,
    ACTIONS(5957), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5959), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [99037] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6768), 1,
      anon_sym_LT,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3390), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [99121] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6330), 1,
      anon_sym_QMARK_DOT,
    STATE(3391), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(2468), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2470), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [99185] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3392), 1,
      sym_comment,
    ACTIONS(5951), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5953), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [99241] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3393), 1,
      sym_comment,
    ACTIONS(3544), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5949), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [99297] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3394), 1,
      sym_comment,
    ACTIONS(5945), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5947), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [99353] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3395), 1,
      sym_comment,
    ACTIONS(5941), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5943), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [99409] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3396), 1,
      sym_comment,
    ACTIONS(6787), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [99463] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3397), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [99559] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3398), 1,
      sym_comment,
    ACTIONS(5937), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5939), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [99615] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3399), 1,
      sym_comment,
    ACTIONS(5933), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5935), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [99671] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3400), 1,
      sym_comment,
    ACTIONS(5933), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5935), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [99727] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3401), 1,
      sym_comment,
    ACTIONS(5933), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5935), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [99783] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3402), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6035), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [99883] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6768), 1,
      anon_sym_LT,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3403), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [99965] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6768), 1,
      anon_sym_LT,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3404), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [100049] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3405), 1,
      sym_comment,
    ACTIONS(5929), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5931), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [100105] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3406), 1,
      sym_comment,
    ACTIONS(5929), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5931), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [100161] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5996), 1,
      anon_sym_DOT,
    STATE(3407), 1,
      sym_comment,
    ACTIONS(5989), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5991), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [100219] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5993), 1,
      anon_sym_DOT,
    STATE(3408), 1,
      sym_comment,
    ACTIONS(5989), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5991), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [100277] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3409), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6035), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [100369] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    ACTIONS(6789), 1,
      anon_sym_SEMI,
    ACTIONS(6791), 1,
      sym__automatic_semicolon,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3410), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100485] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3411), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [100591] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2291), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3558), 1,
      anon_sym_QMARK,
    ACTIONS(5711), 1,
      anon_sym_extends,
    ACTIONS(5801), 1,
      anon_sym_LBRACK,
    ACTIONS(6322), 1,
      anon_sym_COLON,
    STATE(3412), 1,
      sym_comment,
    ACTIONS(5804), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6672), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2289), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2295), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100661] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3413), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6031), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100775] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3414), 1,
      sym_comment,
    ACTIONS(5929), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5931), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [100831] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4599), 1,
      anon_sym_EQ,
    ACTIONS(4688), 1,
      anon_sym_QMARK,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    STATE(3415), 1,
      sym_comment,
    ACTIONS(4685), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5699), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(6276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100899] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5563), 1,
      anon_sym_extends,
    ACTIONS(6354), 1,
      anon_sym_LBRACK,
    ACTIONS(6796), 1,
      anon_sym_RPAREN,
    STATE(3416), 1,
      sym_comment,
    ACTIONS(6357), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6682), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6793), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100967] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5723), 1,
      anon_sym_QMARK,
    ACTIONS(5725), 1,
      anon_sym_extends,
    ACTIONS(5809), 1,
      anon_sym_EQ,
    ACTIONS(5813), 1,
      anon_sym_LBRACK,
    ACTIONS(6338), 1,
      anon_sym_COLON,
    STATE(3417), 1,
      sym_comment,
    ACTIONS(5816), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6641), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(5807), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101037] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5699), 1,
      anon_sym_extends,
    STATE(3418), 1,
      sym_comment,
    ACTIONS(6273), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(6276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101099] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3419), 1,
      sym_comment,
    ACTIONS(5925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5927), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [101155] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3420), 1,
      sym_comment,
    ACTIONS(5925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5927), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [101211] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3421), 1,
      sym_comment,
    ACTIONS(5925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5927), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [101267] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3422), 1,
      sym_comment,
    ACTIONS(5921), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5923), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [101323] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3423), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6029), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101437] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3424), 1,
      sym_comment,
    ACTIONS(3546), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5919), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [101493] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3425), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6021), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101607] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    ACTIONS(6800), 1,
      anon_sym_SEMI,
    ACTIONS(6802), 1,
      sym__automatic_semicolon,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3426), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101723] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4659), 1,
      anon_sym_EQ,
    ACTIONS(5699), 1,
      anon_sym_extends,
    STATE(3427), 1,
      sym_comment,
    ACTIONS(6273), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(6276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101787] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6715), 1,
      anon_sym_LT,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3428), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6077), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6079), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [101855] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5563), 1,
      anon_sym_extends,
    ACTIONS(6354), 1,
      anon_sym_LBRACK,
    ACTIONS(6808), 1,
      anon_sym_RPAREN,
    STATE(3429), 1,
      sym_comment,
    ACTIONS(6357), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6804), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6806), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101923] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3430), 1,
      sym_comment,
    ACTIONS(3550), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5779), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [101979] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3431), 1,
      sym_comment,
    ACTIONS(5683), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5685), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [102035] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3432), 1,
      sym_comment,
    ACTIONS(6276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6273), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5699), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102097] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3433), 1,
      sym_comment,
    ACTIONS(5781), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5783), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [102153] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5685), 1,
      anon_sym_extends,
    STATE(3434), 1,
      sym_comment,
    ACTIONS(5679), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5681), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102211] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3435), 1,
      sym_comment,
    ACTIONS(5785), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5787), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [102267] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3436), 1,
      sym_comment,
    ACTIONS(5789), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5791), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [102323] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3437), 1,
      sym_comment,
    ACTIONS(5793), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5795), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [102379] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6733), 1,
      anon_sym_AMP,
    ACTIONS(6735), 1,
      anon_sym_PIPE,
    ACTIONS(6737), 1,
      anon_sym_extends,
    STATE(3438), 1,
      sym_comment,
    ACTIONS(5999), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6001), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102441] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3439), 1,
      sym_comment,
    ACTIONS(5797), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5799), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [102497] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2291), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5801), 1,
      anon_sym_LBRACK,
    STATE(3440), 1,
      sym_comment,
    ACTIONS(5711), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5804), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2289), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2295), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102561] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4529), 1,
      anon_sym_EQ,
    STATE(3441), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102619] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5809), 1,
      anon_sym_EQ,
    ACTIONS(5813), 1,
      anon_sym_LBRACK,
    STATE(3442), 1,
      sym_comment,
    ACTIONS(5725), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5816), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5807), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [102683] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3443), 1,
      sym_comment,
    ACTIONS(5819), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5821), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [102739] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3444), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6811), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102853] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3445), 1,
      sym_comment,
    ACTIONS(5823), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5825), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [102909] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3446), 1,
      sym_comment,
    ACTIONS(5827), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5829), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [102965] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3447), 1,
      sym_comment,
    ACTIONS(5831), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5833), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [103021] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6733), 1,
      anon_sym_AMP,
    ACTIONS(6735), 1,
      anon_sym_PIPE,
    ACTIONS(6737), 1,
      anon_sym_extends,
    STATE(3448), 1,
      sym_comment,
    ACTIONS(5831), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5833), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103083] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3449), 1,
      sym_comment,
    ACTIONS(4367), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5835), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [103139] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5809), 1,
      anon_sym_EQ,
    STATE(3450), 1,
      sym_comment,
    ACTIONS(5807), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103197] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6733), 1,
      anon_sym_AMP,
    ACTIONS(6735), 1,
      anon_sym_PIPE,
    ACTIONS(6737), 1,
      anon_sym_extends,
    STATE(3451), 1,
      sym_comment,
    ACTIONS(5915), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5917), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103259] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6733), 1,
      anon_sym_AMP,
    ACTIONS(6735), 1,
      anon_sym_PIPE,
    ACTIONS(6737), 1,
      anon_sym_extends,
    STATE(3452), 1,
      sym_comment,
    ACTIONS(5911), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5913), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103321] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3453), 1,
      sym_comment,
    ACTIONS(4367), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5835), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [103377] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3454), 1,
      sym_comment,
    ACTIONS(4391), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5837), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [103433] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3455), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6035), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [103531] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3456), 1,
      sym_comment,
    ACTIONS(4391), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5837), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [103587] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3457), 1,
      sym_comment,
    ACTIONS(4359), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5839), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [103643] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3458), 1,
      sym_comment,
    ACTIONS(5841), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5843), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [103699] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6733), 1,
      anon_sym_AMP,
    STATE(3459), 1,
      sym_comment,
    ACTIONS(5845), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5847), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [103757] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3460), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6813), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103871] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3461), 1,
      sym_comment,
    ACTIONS(2332), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [103925] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(6815), 1,
      anon_sym_STAR,
    STATE(3462), 1,
      sym_comment,
    STATE(5680), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6817), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [103997] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3463), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6819), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104111] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3464), 1,
      sym_comment,
    ACTIONS(5849), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5851), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [104167] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6733), 1,
      anon_sym_AMP,
    ACTIONS(6735), 1,
      anon_sym_PIPE,
    ACTIONS(6737), 1,
      anon_sym_extends,
    STATE(3465), 1,
      sym_comment,
    ACTIONS(5907), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5909), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104229] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2291), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3466), 1,
      sym_comment,
    ACTIONS(2289), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2295), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104287] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3467), 1,
      sym_comment,
    ACTIONS(5589), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5591), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [104343] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3468), 1,
      sym_comment,
    ACTIONS(2350), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [104397] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3469), 1,
      sym_comment,
    ACTIONS(5907), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5909), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [104453] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3470), 1,
      sym_comment,
    ACTIONS(5685), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5679), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5681), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104511] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3471), 1,
      sym_comment,
    ACTIONS(5625), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5627), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [104567] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3472), 1,
      sym_comment,
    ACTIONS(6596), 42,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [104621] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    STATE(3473), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104679] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3474), 1,
      sym_comment,
    ACTIONS(5691), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5689), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104739] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3475), 1,
      sym_comment,
    ACTIONS(4383), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5905), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [104795] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3476), 1,
      sym_comment,
    ACTIONS(4381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5903), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [104851] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3477), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(6821), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104965] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3478), 1,
      sym_comment,
    ACTIONS(4379), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5901), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [105021] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6733), 1,
      anon_sym_AMP,
    ACTIONS(6735), 1,
      anon_sym_PIPE,
    ACTIONS(6737), 1,
      anon_sym_extends,
    STATE(3479), 1,
      sym_comment,
    ACTIONS(5897), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5899), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105083] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3480), 1,
      sym_comment,
    ACTIONS(5893), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5895), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [105139] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3481), 1,
      sym_comment,
    ACTIONS(5889), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5891), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [105195] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3482), 1,
      sym_comment,
    ACTIONS(5885), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5887), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [105251] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3483), 1,
      sym_comment,
    ACTIONS(5879), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5881), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [105307] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3484), 1,
      sym_comment,
    ACTIONS(5885), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5887), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [105363] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3485), 1,
      sym_comment,
    ACTIONS(5879), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5881), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [105419] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3486), 1,
      sym_comment,
    ACTIONS(5875), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5877), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [105475] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3487), 1,
      sym_comment,
    ACTIONS(5871), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5873), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [105531] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3488), 1,
      sym_comment,
    ACTIONS(5875), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5877), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [105587] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3489), 1,
      sym_comment,
    ACTIONS(5871), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5873), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [105643] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3490), 1,
      sym_comment,
    ACTIONS(6357), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6354), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5563), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105705] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3491), 1,
      sym_comment,
    ACTIONS(5867), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5869), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [105761] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3492), 1,
      sym_comment,
    ACTIONS(5863), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5865), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [105817] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3493), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6011), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [105931] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3494), 1,
      sym_comment,
    ACTIONS(5867), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5869), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [105987] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3495), 1,
      sym_comment,
    ACTIONS(5863), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5865), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [106043] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    ACTIONS(6823), 1,
      anon_sym_SEMI,
    ACTIONS(6825), 1,
      sym__automatic_semicolon,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3496), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106159] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    ACTIONS(6827), 1,
      anon_sym_SEMI,
    ACTIONS(6829), 1,
      sym__automatic_semicolon,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3497), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106275] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5711), 1,
      anon_sym_extends,
    ACTIONS(5801), 1,
      anon_sym_LBRACK,
    ACTIONS(6831), 1,
      anon_sym_RPAREN,
    STATE(3498), 1,
      sym_comment,
    ACTIONS(2291), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5804), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6322), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2289), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2295), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106343] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3499), 1,
      sym_comment,
    ACTIONS(5859), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5861), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [106399] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4657), 1,
      anon_sym_EQ,
    ACTIONS(5699), 1,
      anon_sym_extends,
    STATE(3500), 1,
      sym_comment,
    ACTIONS(6273), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(6276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106463] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5563), 1,
      anon_sym_extends,
    STATE(3501), 1,
      sym_comment,
    ACTIONS(6354), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(6357), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106525] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(6834), 1,
      anon_sym_STAR,
    STATE(3502), 1,
      sym_comment,
    STATE(5688), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6836), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [106597] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3503), 1,
      sym_comment,
    ACTIONS(5855), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5857), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [106653] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3504), 1,
      sym_comment,
    ACTIONS(3548), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5853), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [106709] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5725), 1,
      anon_sym_extends,
    ACTIONS(5813), 1,
      anon_sym_LBRACK,
    ACTIONS(6838), 1,
      anon_sym_RPAREN,
    STATE(3505), 1,
      sym_comment,
    ACTIONS(5809), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5816), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6338), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(5807), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106777] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3506), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6013), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [106891] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3507), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6015), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [107005] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3508), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6017), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [107119] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6083), 1,
      anon_sym_as,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(6133), 1,
      anon_sym_satisfies,
    ACTIONS(6695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6697), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6699), 1,
      anon_sym_GT_GT,
    ACTIONS(6703), 1,
      anon_sym_AMP,
    ACTIONS(6705), 1,
      anon_sym_CARET,
    ACTIONS(6707), 1,
      anon_sym_PIPE,
    ACTIONS(6711), 1,
      anon_sym_PERCENT,
    ACTIONS(6713), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6715), 1,
      anon_sym_LT,
    ACTIONS(6723), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6725), 1,
      sym__ternary_qmark,
    STATE(3206), 1,
      sym_type_arguments,
    STATE(3509), 1,
      sym_comment,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(6019), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(6129), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6689), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6691), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6709), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6719), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6721), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6717), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [107233] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(6834), 1,
      anon_sym_STAR,
    ACTIONS(6841), 1,
      anon_sym_async,
    STATE(3510), 1,
      sym_comment,
    STATE(5688), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6836), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [107307] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5809), 1,
      anon_sym_EQ,
    ACTIONS(6338), 1,
      anon_sym_of,
    ACTIONS(6843), 1,
      anon_sym_in,
    STATE(3511), 1,
      sym_comment,
    ACTIONS(5807), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107368] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4529), 1,
      anon_sym_EQ,
    ACTIONS(4706), 1,
      anon_sym_COLON,
    ACTIONS(5699), 1,
      anon_sym_extends,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    STATE(3512), 1,
      sym_comment,
    ACTIONS(6276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6846), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107435] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3513), 1,
      sym_comment,
    ACTIONS(6850), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2344), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107492] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3514), 1,
      sym_comment,
    STATE(5688), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [107559] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6854), 1,
      sym__automatic_semicolon,
    STATE(3515), 1,
      sym_comment,
    ACTIONS(6852), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2384), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107618] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3516), 1,
      sym_comment,
    STATE(5546), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [107685] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3517), 1,
      sym_comment,
    ACTIONS(6856), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2404), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2408), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107742] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3518), 1,
      sym_comment,
    ACTIONS(6858), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2452), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107799] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6862), 1,
      sym__automatic_semicolon,
    STATE(3519), 1,
      sym_comment,
    ACTIONS(6860), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2376), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2380), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107858] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6866), 1,
      sym__automatic_semicolon,
    STATE(3520), 1,
      sym_comment,
    ACTIONS(6864), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2356), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107917] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3521), 1,
      sym_comment,
    ACTIONS(6868), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2396), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107974] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6874), 1,
      anon_sym_COLON,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3522), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108087] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3523), 1,
      sym_comment,
    ACTIONS(6908), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6910), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108146] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3524), 1,
      sym_comment,
    ACTIONS(6294), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6296), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108201] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3525), 1,
      sym_comment,
    ACTIONS(2404), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2408), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108256] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6912), 1,
      sym__automatic_semicolon,
    STATE(3526), 1,
      sym_comment,
    ACTIONS(6858), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2452), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108315] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6914), 1,
      anon_sym_LPAREN,
    ACTIONS(6917), 1,
      anon_sym_COLON,
    ACTIONS(6919), 1,
      anon_sym_LT,
    ACTIONS(6922), 1,
      anon_sym_QMARK,
    STATE(3527), 1,
      sym_comment,
    ACTIONS(4493), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108378] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6924), 1,
      sym__automatic_semicolon,
    STATE(3528), 1,
      sym_comment,
    ACTIONS(6856), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2404), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2408), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108437] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3529), 1,
      sym_comment,
    ACTIONS(2452), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2456), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108492] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6013), 1,
      anon_sym_RBRACK,
    ACTIONS(6930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6960), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3530), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [108605] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3531), 1,
      sym_comment,
    STATE(5533), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [108672] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6962), 1,
      sym__automatic_semicolon,
    STATE(3532), 1,
      sym_comment,
    ACTIONS(6852), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2384), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108731] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3533), 1,
      sym_comment,
    ACTIONS(6205), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6207), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108786] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3534), 1,
      sym_comment,
    ACTIONS(6964), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6966), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108845] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3535), 1,
      sym_comment,
    ACTIONS(6209), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6211), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108900] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3536), 1,
      sym_comment,
    ACTIONS(2418), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [108955] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3537), 1,
      sym_comment,
    ACTIONS(6968), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2364), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2368), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3538), 1,
      sym_comment,
    ACTIONS(6215), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6217), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109067] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3539), 1,
      sym_comment,
    ACTIONS(6682), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6793), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109126] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6970), 1,
      sym__automatic_semicolon,
    STATE(3540), 1,
      sym_comment,
    ACTIONS(6850), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2344), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109185] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6972), 1,
      sym__automatic_semicolon,
    STATE(3541), 1,
      sym_comment,
    ACTIONS(6860), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2376), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2380), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109244] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3542), 1,
      sym_comment,
    ACTIONS(6974), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6976), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109303] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3543), 1,
      sym_comment,
    ACTIONS(6974), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6976), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109362] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6978), 1,
      sym__automatic_semicolon,
    STATE(3544), 1,
      sym_comment,
    ACTIONS(6864), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2356), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109421] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3545), 1,
      sym_comment,
    ACTIONS(6974), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6976), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109480] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6980), 1,
      sym__automatic_semicolon,
    STATE(3546), 1,
      sym_comment,
    ACTIONS(6868), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2396), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109539] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3547), 1,
      sym_comment,
    ACTIONS(6219), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6017), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109594] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3548), 1,
      sym_comment,
    STATE(5680), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [109661] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3549), 1,
      sym_comment,
    ACTIONS(5691), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5689), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109720] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6984), 1,
      sym__automatic_semicolon,
    STATE(3550), 1,
      sym_comment,
    ACTIONS(6982), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2418), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109779] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3551), 1,
      sym_comment,
    ACTIONS(6233), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6019), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109834] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3552), 1,
      sym_comment,
    ACTIONS(6986), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2428), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [109891] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3553), 1,
      sym_comment,
    STATE(5739), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [109958] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3554), 1,
      sym_comment,
    ACTIONS(6804), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6806), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110017] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3555), 1,
      sym_comment,
    ACTIONS(6334), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6336), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110072] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3556), 1,
      sym_comment,
    ACTIONS(6988), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2480), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2484), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110129] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3557), 1,
      sym_comment,
    STATE(5712), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [110196] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    ACTIONS(6990), 1,
      anon_sym_COLON,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3558), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110309] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3559), 1,
      sym_comment,
    ACTIONS(2344), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2348), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110364] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3560), 1,
      sym_comment,
    ACTIONS(6318), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6320), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [110419] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3561), 1,
      sym_comment,
    STATE(5525), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [110486] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6992), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3562), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6057), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6059), 15,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [110567] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6995), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3563), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6066), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [110640] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6064), 1,
      anon_sym_of,
    ACTIONS(7002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    ACTIONS(7030), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7032), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3564), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110753] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    ACTIONS(7034), 1,
      anon_sym_COLON,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3565), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [110866] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7036), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3566), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6057), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6059), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [110947] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7039), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3567), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6050), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6052), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [111022] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6064), 1,
      anon_sym_RBRACK,
    ACTIONS(6930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6960), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3568), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111135] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3569), 1,
      sym_comment,
    ACTIONS(6235), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6237), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111190] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3570), 1,
      sym_comment,
    ACTIONS(6239), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6021), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111245] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3571), 1,
      sym_comment,
    ACTIONS(7042), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(7044), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111304] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5231), 1,
      anon_sym_STAR,
    ACTIONS(5235), 1,
      anon_sym_async,
    ACTIONS(7046), 1,
      anon_sym_static,
    ACTIONS(7048), 1,
      anon_sym_readonly,
    ACTIONS(7050), 1,
      anon_sym_declare,
    ACTIONS(7052), 1,
      anon_sym_abstract,
    STATE(3572), 1,
      sym_comment,
    STATE(3906), 1,
      sym_override_modifier,
    STATE(4722), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5239), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [111387] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6249), 1,
      anon_sym_LBRACK,
    STATE(3573), 1,
      sym_comment,
    ACTIONS(5739), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(6252), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6184), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111448] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3574), 1,
      sym_comment,
    ACTIONS(2460), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2464), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111503] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3575), 1,
      sym_comment,
    ACTIONS(6137), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6139), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111558] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3576), 1,
      sym_comment,
    ACTIONS(6314), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6316), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111613] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3577), 1,
      sym_comment,
    ACTIONS(2364), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2368), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111668] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3578), 1,
      sym_comment,
    ACTIONS(6288), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6290), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111723] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3579), 1,
      sym_comment,
    STATE(5643), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [111790] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3580), 1,
      sym_comment,
    ACTIONS(5679), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5681), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [111845] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6960), 1,
      sym__ternary_qmark,
    ACTIONS(7054), 1,
      anon_sym_RBRACK,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3581), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [111958] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4710), 1,
      anon_sym_EQ,
    ACTIONS(5699), 1,
      anon_sym_extends,
    STATE(3582), 1,
      sym_comment,
    ACTIONS(6273), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(6276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [112021] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3583), 1,
      sym_comment,
    STATE(5637), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [112088] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7056), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3584), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6066), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [112161] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3585), 1,
      sym_comment,
    ACTIONS(6420), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6044), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112216] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6064), 1,
      anon_sym_COLON,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3586), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112329] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    ACTIONS(7059), 1,
      anon_sym_COLON,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3587), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [112442] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3588), 1,
      sym_comment,
    ACTIONS(6403), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6405), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112497] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3589), 1,
      sym_comment,
    ACTIONS(6399), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6401), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112552] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3590), 1,
      sym_comment,
    ACTIONS(6385), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6031), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112607] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3591), 1,
      sym_comment,
    ACTIONS(6241), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6243), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112662] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7061), 1,
      sym__automatic_semicolon,
    STATE(3592), 1,
      sym_comment,
    ACTIONS(6968), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2364), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2368), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112721] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3593), 1,
      sym_comment,
    STATE(5651), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [112788] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    STATE(3594), 1,
      sym_comment,
    STATE(3148), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7063), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(5553), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5555), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [112851] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3595), 1,
      sym_comment,
    STATE(5654), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [112918] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7065), 1,
      sym__automatic_semicolon,
    STATE(3596), 1,
      sym_comment,
    ACTIONS(6982), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2418), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2422), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [112977] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3597), 1,
      sym_comment,
    ACTIONS(2428), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113032] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7067), 1,
      sym__automatic_semicolon,
    STATE(3598), 1,
      sym_comment,
    ACTIONS(6986), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2428), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113091] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7069), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3599), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6050), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6052), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [113166] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7072), 1,
      sym__automatic_semicolon,
    STATE(3600), 1,
      sym_comment,
    ACTIONS(6988), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2480), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2484), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113225] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3601), 1,
      sym_comment,
    ACTIONS(6343), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6345), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113280] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3602), 1,
      sym_comment,
    ACTIONS(6377), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6379), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113335] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5699), 1,
      anon_sym_extends,
    STATE(3603), 1,
      sym_comment,
    ACTIONS(6276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6273), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113396] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3604), 1,
      sym_comment,
    ACTIONS(6369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6371), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113451] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7074), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3605), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6066), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [113524] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5737), 1,
      anon_sym_QMARK,
    STATE(3606), 1,
      sym_comment,
    ACTIONS(5739), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(6252), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6249), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(6182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6184), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113587] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3607), 1,
      sym_comment,
    STATE(5655), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [113654] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3608), 1,
      sym_comment,
    ACTIONS(6682), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(6684), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113713] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3609), 1,
      sym_comment,
    ACTIONS(6373), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6375), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113768] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3610), 1,
      sym_comment,
    STATE(5716), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [113835] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3611), 1,
      sym_comment,
    STATE(5727), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [113902] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3612), 1,
      sym_comment,
    ACTIONS(6387), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6389), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [113957] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3613), 1,
      sym_comment,
    ACTIONS(6391), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6393), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3614), 1,
      sym_comment,
    ACTIONS(6395), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6397), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114067] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7077), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3615), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6050), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6052), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [114142] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3616), 1,
      sym_comment,
    ACTIONS(2480), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2484), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114197] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      sym_regex_flags,
    STATE(3617), 1,
      sym_comment,
    ACTIONS(6676), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6678), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [114254] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3618), 1,
      sym_comment,
    STATE(5717), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [114321] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6011), 1,
      anon_sym_RBRACK,
    ACTIONS(6930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6960), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3619), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114434] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3620), 1,
      sym_comment,
    STATE(5718), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [114501] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2291), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5801), 1,
      anon_sym_LBRACK,
    STATE(3621), 1,
      sym_comment,
    ACTIONS(5711), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5804), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2289), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2295), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114564] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3622), 1,
      sym_comment,
    STATE(5720), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [114631] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(6930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3623), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [114736] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3624), 1,
      sym_comment,
    STATE(5557), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [114803] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5809), 1,
      anon_sym_EQ,
    ACTIONS(5813), 1,
      anon_sym_LBRACK,
    STATE(3625), 1,
      sym_comment,
    ACTIONS(5725), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5816), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5807), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [114866] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6015), 1,
      anon_sym_RBRACK,
    ACTIONS(6930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6960), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3626), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [114979] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3627), 1,
      sym_comment,
    STATE(5700), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [115046] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3628), 1,
      sym_comment,
    ACTIONS(7082), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2468), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2470), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115103] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3629), 1,
      sym_comment,
    STATE(5659), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [115170] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    ACTIONS(7084), 1,
      anon_sym_COLON,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3630), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115283] = 19,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5296), 1,
      anon_sym_STAR,
    ACTIONS(5298), 1,
      anon_sym_async,
    ACTIONS(7086), 1,
      anon_sym_static,
    ACTIONS(7088), 1,
      anon_sym_readonly,
    ACTIONS(7090), 1,
      anon_sym_declare,
    ACTIONS(7092), 1,
      anon_sym_abstract,
    STATE(3631), 1,
      sym_comment,
    STATE(3892), 1,
      sym_override_modifier,
    STATE(4712), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5300), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [115366] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6011), 1,
      anon_sym_of,
    ACTIONS(7002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    ACTIONS(7030), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7032), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3632), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115479] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6013), 1,
      anon_sym_of,
    ACTIONS(7002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    ACTIONS(7030), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7032), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3633), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115592] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    ACTIONS(7094), 1,
      anon_sym_COLON,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3634), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115705] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3635), 1,
      sym_comment,
    ACTIONS(7096), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2460), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2464), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [115762] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6015), 1,
      anon_sym_of,
    ACTIONS(7002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    ACTIONS(7030), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7032), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3636), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115875] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6017), 1,
      anon_sym_of,
    ACTIONS(7002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    ACTIONS(7030), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7032), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3637), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [115988] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6017), 1,
      anon_sym_RBRACK,
    ACTIONS(6930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6960), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3638), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116101] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5809), 1,
      anon_sym_EQ,
    ACTIONS(5813), 1,
      anon_sym_LBRACK,
    ACTIONS(6338), 1,
      anon_sym_COLON,
    STATE(3639), 1,
      sym_comment,
    ACTIONS(5816), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5725), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(5807), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116166] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3640), 1,
      sym_comment,
    ACTIONS(2468), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2470), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [116221] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6019), 1,
      anon_sym_of,
    ACTIONS(7002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    ACTIONS(7030), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7032), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3641), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116334] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6021), 1,
      anon_sym_of,
    ACTIONS(7002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    ACTIONS(7030), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7032), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3642), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116447] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6029), 1,
      anon_sym_of,
    ACTIONS(7002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    ACTIONS(7030), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7032), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3643), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116560] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7098), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3644), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6057), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6059), 15,
      sym__ternary_qmark,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [116641] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6019), 1,
      anon_sym_RBRACK,
    ACTIONS(6930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6960), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3645), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116754] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6021), 1,
      anon_sym_RBRACK,
    ACTIONS(6930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6960), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3646), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116867] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6029), 1,
      anon_sym_RBRACK,
    ACTIONS(6930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6960), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3647), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [116980] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6031), 1,
      anon_sym_RBRACK,
    ACTIONS(6930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6960), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3648), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [117093] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6031), 1,
      anon_sym_of,
    ACTIONS(7002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    ACTIONS(7030), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7032), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3649), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [117206] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(7002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3650), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [117311] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3651), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6035), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [117402] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7101), 1,
      anon_sym_LPAREN,
    ACTIONS(7103), 1,
      anon_sym_DOT,
    STATE(3652), 1,
      sym_comment,
    STATE(3936), 1,
      sym_arguments,
    ACTIONS(4325), 38,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [117461] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3653), 1,
      sym_comment,
    STATE(5733), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [117528] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7105), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3654), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [117611] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7105), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3655), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [117692] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2291), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5801), 1,
      anon_sym_LBRACK,
    ACTIONS(6322), 1,
      anon_sym_COLON,
    STATE(3656), 1,
      sym_comment,
    ACTIONS(5804), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5711), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2289), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2295), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [117757] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3657), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6035), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [117856] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3658), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6035), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [117953] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3659), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [118048] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7105), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3660), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [118131] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(7002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3661), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [118234] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3662), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [118335] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7105), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3663), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [118412] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3664), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [118499] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6044), 1,
      anon_sym_of,
    ACTIONS(7002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    ACTIONS(7030), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7032), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3665), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [118612] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6046), 1,
      anon_sym_of,
    ACTIONS(7002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    ACTIONS(7030), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7032), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3666), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [118725] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3667), 1,
      sym_comment,
    STATE(5669), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [118792] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6048), 1,
      anon_sym_of,
    ACTIONS(7002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    ACTIONS(7030), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7032), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3668), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [118905] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3669), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6035), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [118996] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6073), 1,
      anon_sym_of,
    ACTIONS(7002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    ACTIONS(7030), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7032), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3670), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [119109] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    STATE(3671), 1,
      sym_comment,
    ACTIONS(5699), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(6276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119172] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7108), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3672), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 14,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [119255] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3673), 1,
      sym_comment,
    STATE(5571), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [119322] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7108), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3674), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [119403] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3675), 1,
      sym_comment,
    STATE(5609), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [119470] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6075), 1,
      anon_sym_of,
    ACTIONS(7002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    ACTIONS(7030), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7032), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3676), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7000), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [119583] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3677), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6035), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [119682] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3678), 1,
      sym_comment,
    ACTIONS(6182), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6184), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119737] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5739), 1,
      anon_sym_extends,
    STATE(3679), 1,
      sym_comment,
    ACTIONS(6252), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6249), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(6182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6184), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119798] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3680), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6035), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [119895] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3681), 1,
      sym_comment,
    ACTIONS(2376), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2380), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [119950] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6011), 1,
      anon_sym_COLON,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3682), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [120063] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3683), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [120158] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(7022), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3684), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6077), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6079), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [120225] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7080), 1,
      sym_regex_flags,
    STATE(3685), 1,
      sym_comment,
    ACTIONS(6676), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6678), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [120282] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6354), 1,
      anon_sym_LBRACK,
    STATE(3686), 1,
      sym_comment,
    ACTIONS(5563), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(6357), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120343] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3687), 1,
      sym_comment,
    ACTIONS(7111), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5679), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5681), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [120400] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7108), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3688), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [120483] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(6930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3689), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [120586] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3690), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [120687] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7108), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3691), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [120764] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6013), 1,
      anon_sym_COLON,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3692), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [120877] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6015), 1,
      anon_sym_COLON,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3693), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [120990] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3694), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [121077] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6017), 1,
      anon_sym_COLON,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3695), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [121190] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6044), 1,
      anon_sym_RBRACK,
    ACTIONS(6930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6960), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3696), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [121303] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(6896), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3697), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6077), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6079), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [121370] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6046), 1,
      anon_sym_RBRACK,
    ACTIONS(6930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6960), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3698), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [121483] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6019), 1,
      anon_sym_COLON,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3699), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [121596] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    ACTIONS(7113), 1,
      anon_sym_COLON,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3700), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [121709] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6048), 1,
      anon_sym_RBRACK,
    ACTIONS(6930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6960), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3701), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [121822] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6021), 1,
      anon_sym_COLON,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3702), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [121935] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6029), 1,
      anon_sym_COLON,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3703), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [122048] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3704), 1,
      sym_comment,
    ACTIONS(6437), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6439), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [122103] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6075), 1,
      anon_sym_COLON,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3705), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [122216] = 35,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6268), 1,
      anon_sym_of,
    ACTIONS(7000), 1,
      anon_sym_GT,
    ACTIONS(7002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7004), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7006), 1,
      anon_sym_GT_GT,
    ACTIONS(7010), 1,
      anon_sym_AMP,
    ACTIONS(7012), 1,
      anon_sym_CARET,
    ACTIONS(7014), 1,
      anon_sym_PIPE,
    ACTIONS(7018), 1,
      anon_sym_PERCENT,
    ACTIONS(7020), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7022), 1,
      anon_sym_LT,
    ACTIONS(7030), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7032), 1,
      sym__ternary_qmark,
    ACTIONS(7115), 1,
      anon_sym_in,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3706), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6998), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7008), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7016), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7026), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7028), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7024), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [122331] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6031), 1,
      anon_sym_COLON,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3707), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [122444] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3708), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [122549] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6073), 1,
      anon_sym_RBRACK,
    ACTIONS(6930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6960), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3709), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [122662] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3710), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6035), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [122753] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3711), 1,
      sym_comment,
    ACTIONS(6363), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6365), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [122808] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6075), 1,
      anon_sym_RBRACK,
    ACTIONS(6930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6960), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3712), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [122921] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5697), 1,
      anon_sym_QMARK,
    STATE(3713), 1,
      sym_comment,
    ACTIONS(5699), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(6276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6273), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [122984] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(6950), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3714), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6077), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6079), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [123051] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6073), 1,
      anon_sym_COLON,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3715), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [123164] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3716), 1,
      sym_comment,
    ACTIONS(6347), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6349), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123219] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6048), 1,
      anon_sym_COLON,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3717), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [123332] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3718), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 14,
      sym__ternary_qmark,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [123415] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3719), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [123496] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3720), 1,
      sym_comment,
    ACTIONS(6298), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6073), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123551] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3721), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6035), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [123650] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3722), 1,
      sym_comment,
    ACTIONS(5679), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5681), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123705] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3723), 1,
      sym_comment,
    ACTIONS(6221), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6223), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123760] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3724), 1,
      sym_comment,
    STATE(5561), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [123827] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4659), 1,
      anon_sym_EQ,
    STATE(3725), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [123884] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3726), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6035), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [123981] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3727), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [124076] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6046), 1,
      anon_sym_COLON,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3728), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [124189] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    STATE(3729), 1,
      sym_comment,
    ACTIONS(5699), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(6276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124250] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6044), 1,
      anon_sym_COLON,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3730), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [124363] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4599), 1,
      anon_sym_EQ,
    ACTIONS(5697), 1,
      anon_sym_QMARK,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    STATE(3731), 1,
      sym_comment,
    ACTIONS(6276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5699), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124428] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3732), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [124515] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3733), 1,
      sym_comment,
    ACTIONS(6257), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6259), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124570] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6302), 1,
      anon_sym_EQ,
    ACTIONS(6306), 1,
      anon_sym_of,
    ACTIONS(7121), 1,
      anon_sym_in,
    STATE(3734), 1,
      sym_comment,
    ACTIONS(6300), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6304), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124631] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4657), 1,
      anon_sym_EQ,
    ACTIONS(4762), 1,
      anon_sym_in,
    ACTIONS(4765), 1,
      anon_sym_of,
    STATE(3735), 1,
      sym_comment,
    ACTIONS(4493), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124692] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7124), 1,
      anon_sym_LPAREN,
    ACTIONS(7127), 1,
      anon_sym_COLON,
    ACTIONS(7129), 1,
      anon_sym_LT,
    ACTIONS(7132), 1,
      anon_sym_QMARK,
    STATE(3736), 1,
      sym_comment,
    ACTIONS(6363), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6365), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [124755] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3737), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [124838] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3738), 1,
      sym_comment,
    STATE(5573), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [124905] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    ACTIONS(7134), 1,
      anon_sym_COLON,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3739), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [125018] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3740), 1,
      sym_comment,
    STATE(5610), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [125085] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3741), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [125188] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      sym__automatic_semicolon,
    STATE(3742), 1,
      sym_comment,
    ACTIONS(7096), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(2460), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2464), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [125247] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4706), 1,
      anon_sym_COLON,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    STATE(3743), 1,
      sym_comment,
    ACTIONS(6276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5699), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [125312] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7118), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3744), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [125389] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6906), 1,
      sym__ternary_qmark,
    ACTIONS(7138), 1,
      anon_sym_COLON,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3745), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [125502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3746), 1,
      sym_comment,
    ACTIONS(2384), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [125557] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3747), 1,
      sym_comment,
    ACTIONS(6264), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6266), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [125612] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(6880), 1,
      anon_sym_GT_GT,
    ACTIONS(6884), 1,
      anon_sym_AMP,
    ACTIONS(6886), 1,
      anon_sym_CARET,
    ACTIONS(6888), 1,
      anon_sym_PIPE,
    ACTIONS(6892), 1,
      anon_sym_PERCENT,
    ACTIONS(6894), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6896), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3748), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6870), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6872), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6882), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6890), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6902), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6898), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [125713] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3749), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [125768] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4657), 1,
      anon_sym_EQ,
    STATE(3750), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [125825] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3751), 1,
      sym_comment,
    ACTIONS(2356), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [125880] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3752), 1,
      sym_comment,
    ACTIONS(6422), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6424), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [125935] = 34,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6930), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6932), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6934), 1,
      anon_sym_GT_GT,
    ACTIONS(6938), 1,
      anon_sym_AMP,
    ACTIONS(6940), 1,
      anon_sym_CARET,
    ACTIONS(6942), 1,
      anon_sym_PIPE,
    ACTIONS(6946), 1,
      anon_sym_PERCENT,
    ACTIONS(6948), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6950), 1,
      anon_sym_LT,
    ACTIONS(6958), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6960), 1,
      sym__ternary_qmark,
    ACTIONS(7140), 1,
      anon_sym_RBRACK,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3753), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6926), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6928), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(6936), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(6944), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6952), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [126048] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3754), 1,
      sym_comment,
    ACTIONS(7142), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(7144), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [126107] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2291), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6322), 1,
      anon_sym_of,
    ACTIONS(7146), 1,
      anon_sym_in,
    STATE(3755), 1,
      sym_comment,
    ACTIONS(2289), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2295), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [126168] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3756), 1,
      sym_comment,
    ACTIONS(2396), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2400), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [126223] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3757), 1,
      sym_comment,
    ACTIONS(6225), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6227), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [126278] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3758), 1,
      sym_comment,
    ACTIONS(7082), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2468), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2470), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [126335] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3759), 1,
      sym_comment,
    ACTIONS(7149), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(7151), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [126394] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3760), 1,
      sym_comment,
    ACTIONS(7149), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(7151), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [126453] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3761), 1,
      sym_comment,
    ACTIONS(6229), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6231), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [126508] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3762), 1,
      sym_comment,
    ACTIONS(7149), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(7151), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [126567] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7153), 1,
      anon_sym_RBRACE,
    STATE(3763), 1,
      sym_comment,
    STATE(6055), 1,
      sym__property_name,
    STATE(7259), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [126635] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7155), 1,
      anon_sym_RBRACE,
    STATE(3764), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [126703] = 14,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7157), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3765), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6066), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6068), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [126775] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5202), 1,
      anon_sym_async,
    ACTIONS(5204), 1,
      anon_sym_readonly,
    ACTIONS(7160), 1,
      anon_sym_static,
    STATE(3766), 1,
      sym_comment,
    STATE(3888), 1,
      sym_override_modifier,
    STATE(4790), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5206), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [126853] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7162), 1,
      anon_sym_RBRACE,
    STATE(3767), 1,
      sym_comment,
    STATE(6309), 1,
      sym__property_name,
    STATE(6686), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [126921] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7164), 1,
      anon_sym_RBRACE,
    STATE(3768), 1,
      sym_comment,
    STATE(5986), 1,
      sym__property_name,
    STATE(6827), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [126989] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    ACTIONS(7198), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7200), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3769), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [127099] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    ACTIONS(7198), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7200), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3770), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [127209] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    ACTIONS(7198), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7200), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3771), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [127319] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    ACTIONS(7198), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7200), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3772), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [127429] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    ACTIONS(7198), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7200), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3773), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [127539] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7202), 1,
      anon_sym_RBRACE,
    STATE(3774), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [127607] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7204), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3775), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6050), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6052), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [127681] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7207), 1,
      anon_sym_RBRACE,
    STATE(3776), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [127749] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    STATE(3777), 1,
      sym_comment,
    ACTIONS(5699), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(6276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [127809] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    ACTIONS(7198), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7200), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3778), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [127919] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    ACTIONS(7198), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7200), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3779), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [128029] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7209), 1,
      anon_sym_RBRACE,
    STATE(3780), 1,
      sym_comment,
    STATE(6303), 1,
      sym__property_name,
    STATE(7111), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [128097] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7211), 1,
      anon_sym_RBRACE,
    STATE(3781), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [128165] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_import,
    ACTIONS(15), 1,
      anon_sym_AT,
    ACTIONS(17), 1,
      anon_sym_pragma,
    STATE(3782), 1,
      sym_comment,
    STATE(3853), 1,
      aux_sym_program_repeat1,
    STATE(4458), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(4504), 1,
      sym_ui_annotation,
    STATE(6609), 1,
      sym_ui_nested_identifier,
    STATE(4487), 2,
      sym_ui_pragma,
      sym_ui_import,
    STATE(8721), 2,
      sym_ui_object_definition,
      sym_ui_annotated_object,
    ACTIONS(11), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [128237] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7213), 1,
      anon_sym_RBRACE,
    STATE(3783), 1,
      sym_comment,
    STATE(6043), 1,
      sym__property_name,
    STATE(7254), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [128305] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5809), 1,
      anon_sym_EQ,
    ACTIONS(6338), 1,
      anon_sym_COMMA,
    ACTIONS(6572), 1,
      anon_sym_RBRACK,
    STATE(3784), 1,
      sym_comment,
    ACTIONS(5807), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [128365] = 23,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3785), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6035), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [128455] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7215), 1,
      anon_sym_RBRACE,
    STATE(3786), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [128523] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7217), 1,
      anon_sym_catch,
    ACTIONS(7219), 1,
      anon_sym_finally,
    STATE(3787), 1,
      sym_comment,
    STATE(3910), 1,
      sym_catch_clause,
    STATE(4149), 1,
      sym_finally_clause,
    ACTIONS(3345), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [128583] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6680), 1,
      sym_regex_flags,
    STATE(3788), 1,
      sym_comment,
    ACTIONS(6676), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(6678), 22,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [128639] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7221), 1,
      anon_sym_RBRACE,
    STATE(3789), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [128707] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2291), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6322), 1,
      anon_sym_COMMA,
    ACTIONS(6607), 1,
      anon_sym_RBRACK,
    STATE(3790), 1,
      sym_comment,
    ACTIONS(2289), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2295), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [128767] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    ACTIONS(7198), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7200), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3791), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [128877] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7223), 1,
      anon_sym_RBRACE,
    STATE(3792), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [128945] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_RBRACE,
    STATE(3793), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [129013] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7227), 1,
      anon_sym_RBRACE,
    STATE(3794), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [129081] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7229), 1,
      anon_sym_RBRACE,
    STATE(3795), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [129149] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6302), 1,
      anon_sym_EQ,
    ACTIONS(6306), 1,
      anon_sym_COMMA,
    ACTIONS(6669), 1,
      anon_sym_RBRACK,
    STATE(3796), 1,
      sym_comment,
    ACTIONS(6300), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6304), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [129209] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7231), 1,
      anon_sym_RBRACE,
    STATE(3797), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [129277] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7233), 1,
      anon_sym_RBRACE,
    STATE(3798), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [129345] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7235), 1,
      anon_sym_RBRACE,
    STATE(3799), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [129413] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7237), 1,
      anon_sym_RBRACE,
    STATE(3800), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [129481] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7239), 1,
      anon_sym_RBRACE,
    STATE(3801), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [129549] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7241), 1,
      anon_sym_RBRACE,
    STATE(3802), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [129617] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3803), 1,
      sym_comment,
    ACTIONS(5691), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(5689), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [129675] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7243), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3804), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 13,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [129757] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7243), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3805), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [129837] = 27,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3806), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6035), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [129935] = 26,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3807), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6035), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [130031] = 25,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3808), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [130125] = 19,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7243), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3809), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [130207] = 29,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3810), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [130309] = 28,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3811), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [130409] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7246), 1,
      anon_sym_AT,
    STATE(3992), 1,
      sym_decorator,
    STATE(3812), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(4311), 37,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [130465] = 16,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7243), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3813), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [130541] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4737), 1,
      anon_sym_EQ,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    STATE(3814), 1,
      sym_comment,
    ACTIONS(5699), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(6276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [130603] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5370), 1,
      anon_sym_static,
    ACTIONS(5372), 1,
      anon_sym_readonly,
    ACTIONS(5374), 1,
      anon_sym_abstract,
    STATE(3815), 1,
      sym_comment,
    STATE(3927), 1,
      sym_override_modifier,
    STATE(5040), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [130677] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7111), 1,
      anon_sym_COMMA,
    STATE(3816), 1,
      sym_comment,
    ACTIONS(5679), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5681), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [130733] = 21,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3817), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6035), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6033), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [130819] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    ACTIONS(7198), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7200), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3818), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [130929] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    ACTIONS(7198), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7200), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3819), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [131039] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7249), 1,
      anon_sym_RBRACE,
    STATE(3820), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [131107] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7251), 1,
      anon_sym_RBRACE,
    STATE(3821), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [131175] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7253), 1,
      anon_sym_RBRACE,
    STATE(3822), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [131243] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5615), 1,
      anon_sym_readonly,
    ACTIONS(7255), 1,
      anon_sym_STAR,
    STATE(3823), 1,
      sym_comment,
    STATE(3885), 1,
      sym_override_modifier,
    STATE(4727), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(7257), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [131317] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7259), 1,
      anon_sym_RBRACE,
    STATE(3824), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [131385] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_RBRACE,
    STATE(3825), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [131453] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2291), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5711), 1,
      anon_sym_extends,
    STATE(3826), 1,
      sym_comment,
    ACTIONS(5801), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5804), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2289), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2295), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [131515] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7263), 1,
      anon_sym_RBRACE,
    STATE(3827), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [131583] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5725), 1,
      anon_sym_extends,
    ACTIONS(5809), 1,
      anon_sym_EQ,
    STATE(3828), 1,
      sym_comment,
    ACTIONS(5813), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(5816), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5807), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [131645] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7265), 1,
      anon_sym_RBRACE,
    STATE(3829), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [131713] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4716), 1,
      anon_sym_EQ,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    STATE(3830), 1,
      sym_comment,
    ACTIONS(5699), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(6276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [131775] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6249), 1,
      anon_sym_LBRACK,
    STATE(3831), 1,
      sym_comment,
    ACTIONS(5739), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(6252), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6182), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6184), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [131835] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5338), 1,
      anon_sym_STAR,
    ACTIONS(5340), 1,
      anon_sym_async,
    ACTIONS(5342), 1,
      anon_sym_readonly,
    ACTIONS(7267), 1,
      anon_sym_static,
    STATE(3832), 1,
      sym_comment,
    STATE(3869), 1,
      sym_override_modifier,
    STATE(4747), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5344), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [131913] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7269), 1,
      anon_sym_RBRACE,
    STATE(3833), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [131981] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4752), 1,
      anon_sym_EQ,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    STATE(3834), 1,
      sym_comment,
    ACTIONS(5699), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(6276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [132043] = 30,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6035), 1,
      anon_sym_BANG,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3835), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(6033), 4,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_satisfies,
  [132147] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4710), 1,
      anon_sym_EQ,
    STATE(3836), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [132203] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(7271), 1,
      anon_sym_static,
    ACTIONS(7273), 1,
      anon_sym_readonly,
    ACTIONS(7275), 1,
      anon_sym_abstract,
    STATE(3837), 1,
      sym_comment,
    STATE(3982), 1,
      sym_override_modifier,
    STATE(5113), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [132277] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(7190), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3838), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6077), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6079), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [132343] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7277), 1,
      anon_sym_RBRACE,
    STATE(3839), 1,
      sym_comment,
    STATE(5985), 1,
      sym__property_name,
    STATE(6821), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [132411] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4529), 1,
      anon_sym_EQ,
    ACTIONS(5699), 1,
      anon_sym_extends,
    STATE(3840), 1,
      sym_comment,
    ACTIONS(6273), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(6276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [132473] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6354), 1,
      anon_sym_LBRACK,
    STATE(3841), 1,
      sym_comment,
    ACTIONS(5563), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(6357), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [132533] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7279), 1,
      anon_sym_RBRACE,
    STATE(3842), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [132601] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    ACTIONS(7198), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7200), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3843), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [132711] = 18,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7281), 1,
      anon_sym_LT,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3844), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(6057), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6059), 14,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [132791] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7284), 1,
      anon_sym_RBRACE,
    STATE(3845), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [132859] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7286), 1,
      anon_sym_RBRACE,
    STATE(3846), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [132927] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7288), 1,
      anon_sym_RBRACE,
    STATE(3847), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [132995] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    ACTIONS(7198), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7200), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3848), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [133105] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7290), 1,
      anon_sym_RBRACE,
    STATE(3849), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [133173] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7292), 1,
      anon_sym_RBRACE,
    STATE(3850), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [133241] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4529), 1,
      anon_sym_EQ,
    STATE(3851), 1,
      sym_comment,
    ACTIONS(4859), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [133299] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5561), 1,
      anon_sym_QMARK,
    ACTIONS(5563), 1,
      anon_sym_extends,
    STATE(3852), 1,
      sym_comment,
    ACTIONS(6357), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(6354), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [133361] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_import,
    ACTIONS(15), 1,
      anon_sym_AT,
    ACTIONS(17), 1,
      anon_sym_pragma,
    STATE(3853), 1,
      sym_comment,
    STATE(4261), 1,
      aux_sym_program_repeat1,
    STATE(4458), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(4504), 1,
      sym_ui_annotation,
    STATE(6609), 1,
      sym_ui_nested_identifier,
    STATE(4487), 2,
      sym_ui_pragma,
      sym_ui_import,
    STATE(8600), 2,
      sym_ui_object_definition,
      sym_ui_annotated_object,
    ACTIONS(11), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [133433] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3854), 1,
      sym_comment,
    ACTIONS(4331), 40,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [133485] = 17,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(2941), 1,
      anon_sym_readonly,
    ACTIONS(2945), 1,
      anon_sym_override,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    ACTIONS(7294), 1,
      anon_sym_static,
    STATE(3855), 1,
      sym_comment,
    STATE(3870), 1,
      sym_override_modifier,
    STATE(5690), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [133563] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    ACTIONS(7198), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7200), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3856), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [133673] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3857), 1,
      sym_comment,
    ACTIONS(5685), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5679), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5681), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [133729] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    ACTIONS(7198), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7200), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3858), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [133839] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7296), 1,
      anon_sym_RBRACE,
    STATE(3859), 1,
      sym_comment,
    STATE(6095), 1,
      sym__property_name,
    STATE(7279), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [133907] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_import,
    ACTIONS(15), 1,
      anon_sym_AT,
    ACTIONS(17), 1,
      anon_sym_pragma,
    STATE(3860), 1,
      sym_comment,
    STATE(4261), 1,
      aux_sym_program_repeat1,
    STATE(4458), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(4504), 1,
      sym_ui_annotation,
    STATE(6609), 1,
      sym_ui_nested_identifier,
    STATE(4487), 2,
      sym_ui_pragma,
      sym_ui_import,
    STATE(8721), 2,
      sym_ui_object_definition,
      sym_ui_annotated_object,
    ACTIONS(11), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [133979] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5547), 1,
      anon_sym_LBRACK,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5635), 1,
      anon_sym_BANG,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    ACTIONS(7198), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7200), 1,
      sym__ternary_qmark,
    STATE(2750), 1,
      sym_type_arguments,
    STATE(3861), 1,
      sym_comment,
    STATE(6993), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [134089] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7298), 1,
      anon_sym_RBRACE,
    STATE(3862), 1,
      sym_comment,
    STATE(6193), 1,
      sym__property_name,
    STATE(7360), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [134157] = 33,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5631), 1,
      anon_sym_as,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5675), 1,
      anon_sym_satisfies,
    ACTIONS(6087), 1,
      anon_sym_BANG,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6095), 1,
      anon_sym_LBRACK,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(7170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7172), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7174), 1,
      anon_sym_GT_GT,
    ACTIONS(7178), 1,
      anon_sym_AMP,
    ACTIONS(7180), 1,
      anon_sym_CARET,
    ACTIONS(7182), 1,
      anon_sym_PIPE,
    ACTIONS(7186), 1,
      anon_sym_PERCENT,
    ACTIONS(7188), 1,
      anon_sym_STAR_STAR,
    ACTIONS(7190), 1,
      anon_sym_LT,
    ACTIONS(7198), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7200), 1,
      sym__ternary_qmark,
    STATE(3863), 1,
      sym_comment,
    STATE(3911), 1,
      sym_type_arguments,
    STATE(7132), 1,
      sym_optional_chain,
    ACTIONS(5673), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7166), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(7168), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(7176), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(7184), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7196), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(7192), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [134267] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6302), 1,
      anon_sym_EQ,
    ACTIONS(6306), 1,
      anon_sym_COLON,
    STATE(3864), 1,
      sym_comment,
    ACTIONS(6669), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(6300), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6304), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [134327] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(4455), 1,
      anon_sym_override,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_STAR,
    ACTIONS(7302), 1,
      anon_sym_readonly,
    STATE(3865), 1,
      sym_comment,
    STATE(3901), 1,
      sym_override_modifier,
    STATE(4705), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(7304), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [134401] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_RBRACE,
    STATE(3866), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [134469] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_RBRACE,
    STATE(3867), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [134537] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7111), 1,
      anon_sym_COMMA,
    STATE(3868), 1,
      sym_comment,
    ACTIONS(5679), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5681), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [134592] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5352), 1,
      anon_sym_STAR,
    ACTIONS(5354), 1,
      anon_sym_async,
    ACTIONS(5356), 1,
      anon_sym_readonly,
    STATE(3869), 1,
      sym_comment,
    STATE(4754), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5358), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [134663] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(6478), 1,
      anon_sym_STAR,
    ACTIONS(6480), 1,
      anon_sym_async,
    ACTIONS(6482), 1,
      anon_sym_readonly,
    STATE(3870), 1,
      sym_comment,
    STATE(5557), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6484), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [134734] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7310), 1,
      anon_sym_LBRACE,
    ACTIONS(7312), 1,
      anon_sym_DOT,
    STATE(3871), 1,
      sym_comment,
    STATE(4084), 1,
      sym_statement_block,
    ACTIONS(2297), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [134791] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(2939), 1,
      anon_sym_async,
    ACTIONS(2941), 1,
      anon_sym_readonly,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5316), 1,
      anon_sym_STAR,
    STATE(3872), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2943), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [134862] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3873), 1,
      sym_comment,
    ACTIONS(2456), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(7314), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7317), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [134917] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3874), 1,
      sym_comment,
    ACTIONS(2408), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(7320), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7323), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [134972] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3875), 1,
      sym_comment,
    ACTIONS(1247), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2586), 36,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [135025] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3876), 1,
      sym_comment,
    ACTIONS(6296), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(7326), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7329), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [135080] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5231), 1,
      anon_sym_STAR,
    ACTIONS(5235), 1,
      anon_sym_async,
    ACTIONS(5237), 1,
      anon_sym_readonly,
    STATE(3877), 1,
      sym_comment,
    STATE(4722), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5239), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [135151] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3878), 1,
      sym_comment,
    ACTIONS(6139), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(7332), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7335), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [135206] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3879), 1,
      sym_comment,
    ACTIONS(6316), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(7338), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7341), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [135261] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3880), 1,
      sym_comment,
    ACTIONS(5685), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(5679), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5681), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [135316] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4667), 1,
      anon_sym_EQ,
    STATE(3881), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [135371] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7344), 1,
      sym__automatic_semicolon,
    STATE(3882), 1,
      sym_comment,
    ACTIONS(2287), 38,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [135424] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    STATE(3883), 1,
      sym_comment,
    ACTIONS(6276), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5699), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [135483] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6354), 1,
      anon_sym_LBRACK,
    STATE(3884), 1,
      sym_comment,
    ACTIONS(6357), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5563), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [135542] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7346), 1,
      anon_sym_STAR,
    STATE(3885), 1,
      sym_comment,
    STATE(5727), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(7348), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [135609] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3886), 1,
      sym_comment,
    ACTIONS(2368), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(7350), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7353), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [135664] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7356), 1,
      anon_sym_catch,
    ACTIONS(7358), 1,
      anon_sym_finally,
    STATE(3887), 1,
      sym_comment,
    STATE(4026), 1,
      sym_catch_clause,
    STATE(4368), 1,
      sym_finally_clause,
    ACTIONS(3345), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [135723] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5328), 1,
      anon_sym_STAR,
    ACTIONS(5330), 1,
      anon_sym_async,
    ACTIONS(5332), 1,
      anon_sym_readonly,
    STATE(3888), 1,
      sym_comment,
    STATE(4763), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5334), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [135794] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7310), 1,
      anon_sym_LBRACE,
    ACTIONS(7360), 1,
      anon_sym_DOT,
    STATE(3889), 1,
      sym_comment,
    STATE(4084), 1,
      sym_statement_block,
    ACTIONS(2297), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [135851] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5428), 1,
      anon_sym_STAR,
    ACTIONS(5466), 1,
      anon_sym_async,
    ACTIONS(7362), 1,
      anon_sym_readonly,
    STATE(3890), 1,
      sym_comment,
    STATE(4753), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5468), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [135922] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4685), 1,
      anon_sym_RBRACK,
    ACTIONS(4699), 1,
      anon_sym_COMMA,
    ACTIONS(4824), 1,
      anon_sym_EQ,
    STATE(3891), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [135981] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5360), 1,
      anon_sym_STAR,
    ACTIONS(5362), 1,
      anon_sym_async,
    ACTIONS(7364), 1,
      anon_sym_readonly,
    STATE(3892), 1,
      sym_comment,
    STATE(4725), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [136052] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5563), 1,
      anon_sym_extends,
    STATE(3893), 1,
      sym_comment,
    ACTIONS(6354), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(6357), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [136111] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5296), 1,
      anon_sym_STAR,
    ACTIONS(5298), 1,
      anon_sym_async,
    ACTIONS(7366), 1,
      anon_sym_readonly,
    STATE(3894), 1,
      sym_comment,
    STATE(4704), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5300), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [136182] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5400), 1,
      anon_sym_STAR,
    ACTIONS(5416), 1,
      anon_sym_async,
    ACTIONS(7368), 1,
      anon_sym_readonly,
    STATE(3895), 1,
      sym_comment,
    STATE(4745), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5418), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [136253] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6249), 1,
      anon_sym_LBRACK,
    STATE(3896), 1,
      sym_comment,
    ACTIONS(6252), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5739), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(6182), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6184), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [136312] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5338), 1,
      anon_sym_STAR,
    ACTIONS(5340), 1,
      anon_sym_async,
    ACTIONS(5342), 1,
      anon_sym_readonly,
    STATE(3897), 1,
      sym_comment,
    STATE(4747), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5344), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [136383] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3898), 1,
      sym_comment,
    ACTIONS(2348), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(7370), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7373), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [136438] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(6743), 1,
      anon_sym_STAR,
    ACTIONS(6747), 1,
      anon_sym_async,
    ACTIONS(7376), 1,
      anon_sym_readonly,
    STATE(3899), 1,
      sym_comment,
    STATE(5610), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6745), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [136509] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7378), 1,
      sym__automatic_semicolon,
    STATE(3900), 1,
      sym_comment,
    ACTIONS(2332), 38,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [136562] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(7255), 1,
      anon_sym_STAR,
    STATE(3901), 1,
      sym_comment,
    STATE(5552), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(7380), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [136629] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(6273), 1,
      anon_sym_LBRACK,
    STATE(3902), 1,
      sym_comment,
    ACTIONS(5699), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(6276), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4493), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [136690] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5376), 1,
      anon_sym_STAR,
    ACTIONS(5378), 1,
      anon_sym_async,
    ACTIONS(7382), 1,
      anon_sym_readonly,
    STATE(3903), 1,
      sym_comment,
    STATE(4737), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5380), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [136761] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5420), 1,
      anon_sym_STAR,
    ACTIONS(5422), 1,
      anon_sym_async,
    ACTIONS(7384), 1,
      anon_sym_readonly,
    STATE(3904), 1,
      sym_comment,
    STATE(4792), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5424), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [136832] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3905), 1,
      sym_comment,
    STATE(6434), 1,
      sym__property_name,
    STATE(7656), 1,
      sym_enum_assignment,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [136897] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5320), 1,
      anon_sym_STAR,
    ACTIONS(5322), 1,
      anon_sym_async,
    ACTIONS(5324), 1,
      anon_sym_readonly,
    STATE(3906), 1,
      sym_comment,
    STATE(4715), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5326), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [136968] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5190), 1,
      anon_sym_STAR,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5202), 1,
      anon_sym_async,
    ACTIONS(5204), 1,
      anon_sym_readonly,
    STATE(3907), 1,
      sym_comment,
    STATE(4790), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5206), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [137039] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(3908), 1,
      sym_comment,
    ACTIONS(6379), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(7386), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7389), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [137094] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5360), 1,
      anon_sym_STAR,
    ACTIONS(5362), 1,
      anon_sym_async,
    ACTIONS(7392), 1,
      anon_sym_readonly,
    STATE(3909), 1,
      sym_comment,
    STATE(4714), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5364), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 26,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [137165] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7219), 1,
      anon_sym_finally,
    STATE(3910), 1,
      sym_comment,
    STATE(4191), 1,
      sym_finally_clause,
    ACTIONS(3424), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [137219] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    STATE(3911), 1,
      sym_comment,
    STATE(3704), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5553), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5555), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [137277] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3912), 1,
      sym_comment,
    ACTIONS(2410), 38,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [137327] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6680), 1,
      sym_regex_flags,
    STATE(3913), 1,
      sym_comment,
    ACTIONS(6676), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(6678), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [137381] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3914), 1,
      sym_comment,
    STATE(5557), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [137443] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3915), 1,
      sym_comment,
    STATE(5609), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [137505] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3916), 1,
      sym_comment,
    STATE(5610), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [137567] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3917), 1,
      sym_comment,
    ACTIONS(2370), 38,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [137617] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3918), 1,
      sym_comment,
    STATE(5716), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [137679] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3919), 1,
      sym_comment,
    STATE(5573), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [137741] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3920), 1,
      sym_comment,
    STATE(5727), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [137803] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    STATE(3921), 1,
      sym_comment,
    STATE(5103), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [137865] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7310), 1,
      anon_sym_LBRACE,
    STATE(3922), 1,
      sym_comment,
    STATE(4084), 1,
      sym_statement_block,
    ACTIONS(2297), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [137919] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(7394), 1,
      anon_sym_readonly,
    STATE(3923), 1,
      sym_comment,
    STATE(5101), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [137983] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    STATE(3924), 1,
      sym_comment,
    STATE(5131), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [138045] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3925), 1,
      sym_comment,
    STATE(5712), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [138107] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3926), 1,
      sym_comment,
    STATE(5717), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [138169] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5587), 1,
      anon_sym_readonly,
    STATE(3927), 1,
      sym_comment,
    STATE(5131), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [138233] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4565), 1,
      anon_sym_EQ,
    ACTIONS(4762), 1,
      anon_sym_in,
    ACTIONS(4765), 1,
      anon_sym_of,
    STATE(3928), 1,
      sym_comment,
    ACTIONS(4493), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [138291] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3929), 1,
      sym_comment,
    STATE(5561), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [138353] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3930), 1,
      sym_comment,
    ACTIONS(4337), 38,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [138403] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3931), 1,
      sym_comment,
    STATE(5693), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [138465] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    STATE(3932), 1,
      sym_comment,
    STATE(5040), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [138527] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(5615), 1,
      anon_sym_readonly,
    STATE(3933), 1,
      sym_comment,
    STATE(5040), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [138591] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    STATE(3934), 1,
      sym_comment,
    STATE(5050), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [138653] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(7396), 1,
      anon_sym_readonly,
    STATE(3935), 1,
      sym_comment,
    STATE(5111), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [138717] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3936), 1,
      sym_comment,
    ACTIONS(4341), 38,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [138767] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3937), 1,
      sym_comment,
    STATE(5552), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [138829] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3938), 1,
      sym_comment,
    ACTIONS(2350), 38,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [138879] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3939), 1,
      sym_comment,
    STATE(5739), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [138941] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3940), 1,
      sym_comment,
    STATE(5703), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [139003] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    STATE(3941), 1,
      sym_comment,
    STATE(5032), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [139065] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7398), 1,
      sym__automatic_semicolon,
    STATE(3942), 1,
      sym_comment,
    ACTIONS(2332), 37,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [139117] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3943), 1,
      sym_comment,
    STATE(5669), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [139179] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7400), 1,
      sym__automatic_semicolon,
    STATE(3944), 1,
      sym_comment,
    ACTIONS(2287), 37,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [139231] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3945), 1,
      sym_comment,
    STATE(5659), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [139293] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3946), 1,
      sym_comment,
    ACTIONS(4343), 38,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [139343] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3947), 1,
      sym_comment,
    STATE(5655), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [139405] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_readonly,
    STATE(3948), 1,
      sym_comment,
    STATE(5076), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [139469] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3949), 1,
      sym_comment,
    STATE(5654), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [139531] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3950), 1,
      sym_comment,
    STATE(5651), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [139593] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3951), 1,
      sym_comment,
    STATE(5525), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [139655] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3430), 1,
      sym__automatic_semicolon,
    STATE(3952), 1,
      sym_comment,
    ACTIONS(3428), 37,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [139707] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3953), 1,
      sym_comment,
    STATE(5680), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [139769] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7404), 1,
      sym__automatic_semicolon,
    STATE(3954), 1,
      sym_comment,
    ACTIONS(2287), 37,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [139821] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3955), 1,
      sym_comment,
    STATE(5688), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [139883] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3956), 1,
      sym_comment,
    ACTIONS(4339), 38,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [139933] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3957), 1,
      sym_comment,
    STATE(5533), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [139995] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7406), 1,
      sym__automatic_semicolon,
    STATE(3958), 1,
      sym_comment,
    ACTIONS(2332), 37,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [140047] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3959), 1,
      sym_comment,
    STATE(5690), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [140109] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3960), 1,
      sym_comment,
    STATE(5718), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [140171] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3961), 1,
      sym_comment,
    STATE(5546), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [140233] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7408), 1,
      anon_sym_LBRACE,
    ACTIONS(7410), 1,
      anon_sym_DOT,
    STATE(3962), 1,
      sym_comment,
    STATE(4294), 1,
      sym_statement_block,
    ACTIONS(2297), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [140289] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7412), 1,
      anon_sym_SEMI,
    ACTIONS(7414), 1,
      sym__automatic_semicolon,
    STATE(3963), 1,
      sym_comment,
    ACTIONS(3454), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [140343] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3964), 1,
      sym_comment,
    ACTIONS(2332), 38,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [140393] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3965), 1,
      sym_comment,
    STATE(5733), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [140455] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(7416), 1,
      anon_sym_readonly,
    STATE(3966), 1,
      sym_comment,
    STATE(5084), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [140519] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3967), 1,
      sym_comment,
    STATE(5720), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [140581] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7408), 1,
      anon_sym_LBRACE,
    ACTIONS(7418), 1,
      anon_sym_DOT,
    STATE(3968), 1,
      sym_comment,
    STATE(4294), 1,
      sym_statement_block,
    ACTIONS(2297), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [140637] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(7420), 1,
      anon_sym_readonly,
    STATE(3969), 1,
      sym_comment,
    STATE(5130), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [140701] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3970), 1,
      sym_comment,
    STATE(5700), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [140763] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5809), 1,
      anon_sym_EQ,
    ACTIONS(6338), 1,
      anon_sym_of,
    ACTIONS(6843), 1,
      anon_sym_in,
    STATE(3971), 1,
      sym_comment,
    ACTIONS(5807), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5811), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [140821] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2291), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6322), 1,
      anon_sym_of,
    ACTIONS(7146), 1,
      anon_sym_in,
    STATE(3972), 1,
      sym_comment,
    ACTIONS(2289), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2295), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [140879] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(7422), 1,
      anon_sym_readonly,
    STATE(3973), 1,
      sym_comment,
    STATE(5173), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [140943] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6302), 1,
      anon_sym_EQ,
    ACTIONS(6306), 1,
      anon_sym_of,
    ACTIONS(7121), 1,
      anon_sym_in,
    STATE(3974), 1,
      sym_comment,
    ACTIONS(6300), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6304), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [141001] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4716), 1,
      anon_sym_EQ,
    STATE(3975), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [141055] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      sym__automatic_semicolon,
    STATE(3976), 1,
      sym_comment,
    ACTIONS(3464), 37,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [141107] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3977), 1,
      sym_comment,
    STATE(5626), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [141169] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3978), 1,
      sym_comment,
    STATE(5571), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [141231] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(7424), 1,
      anon_sym_readonly,
    STATE(3979), 1,
      sym_comment,
    STATE(4975), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [141295] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(7426), 1,
      anon_sym_readonly,
    STATE(3980), 1,
      sym_comment,
    STATE(5157), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [141359] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    STATE(3981), 1,
      sym_comment,
    STATE(5037), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [141421] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(7428), 1,
      anon_sym_readonly,
    STATE(3982), 1,
      sym_comment,
    STATE(5152), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [141485] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(7430), 1,
      anon_sym_readonly,
    STATE(3983), 1,
      sym_comment,
    STATE(5091), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [141549] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    STATE(3984), 1,
      sym_comment,
    STATE(5047), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [141611] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(7432), 1,
      anon_sym_readonly,
    STATE(3985), 1,
      sym_comment,
    STATE(5043), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [141675] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4752), 1,
      anon_sym_EQ,
    STATE(3986), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [141729] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3987), 1,
      sym_comment,
    STATE(5637), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [141791] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    STATE(3988), 1,
      sym_comment,
    STATE(4992), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [141853] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(5200), 1,
      anon_sym_LBRACK,
    ACTIONS(7434), 1,
      anon_sym_readonly,
    STATE(3989), 1,
      sym_comment,
    STATE(4992), 1,
      sym__property_name,
    ACTIONS(3792), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4879), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(4431), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [141917] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3990), 1,
      sym_comment,
    STATE(5643), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [141979] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4737), 1,
      anon_sym_EQ,
    STATE(3991), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [142033] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3992), 1,
      sym_comment,
    ACTIONS(4345), 38,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [142083] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    STATE(3993), 1,
      sym_comment,
    STATE(5644), 1,
      sym__property_name,
    ACTIONS(2930), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(5255), 2,
      sym_string,
      sym_computed_property_name,
    ACTIONS(2934), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [142145] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(3994), 1,
      sym_comment,
    ACTIONS(4325), 38,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_new,
      sym_number,
      sym_identifier,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_abstract,
  [142195] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7436), 1,
      sym__automatic_semicolon,
    STATE(3995), 1,
      sym_comment,
    ACTIONS(2332), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [142246] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3906), 1,
      sym__automatic_semicolon,
    STATE(3996), 1,
      sym_comment,
    ACTIONS(2354), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [142297] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5186), 1,
      anon_sym_EQ,
    STATE(3997), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [142350] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3466), 1,
      sym__automatic_semicolon,
    STATE(3998), 1,
      sym_comment,
    ACTIONS(3464), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [142401] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7438), 1,
      sym__automatic_semicolon,
    STATE(3999), 1,
      sym_comment,
    ACTIONS(2332), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [142452] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5188), 1,
      anon_sym_EQ,
    STATE(4000), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [142505] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3430), 1,
      sym__automatic_semicolon,
    STATE(4001), 1,
      sym_comment,
    ACTIONS(3428), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [142556] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7440), 1,
      anon_sym_else,
    STATE(4002), 1,
      sym_comment,
    STATE(4208), 1,
      sym_else_clause,
    ACTIONS(3444), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [142609] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4003), 1,
      sym_comment,
    ACTIONS(2410), 37,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [142658] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5132), 1,
      anon_sym_EQ,
    STATE(4004), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [142711] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4005), 1,
      sym_comment,
    ACTIONS(3474), 37,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [142760] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4006), 1,
      sym_comment,
    ACTIONS(2370), 37,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [142809] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3836), 1,
      sym__automatic_semicolon,
    STATE(4007), 1,
      sym_comment,
    ACTIONS(2374), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [142860] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2444), 1,
      sym__automatic_semicolon,
    STATE(4008), 1,
      sym_comment,
    ACTIONS(2442), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [142911] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2352), 1,
      sym__automatic_semicolon,
    STATE(4009), 1,
      sym_comment,
    ACTIONS(2350), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [142962] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2336), 1,
      sym__automatic_semicolon,
    STATE(4010), 1,
      sym_comment,
    ACTIONS(2332), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [143013] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5134), 1,
      anon_sym_EQ,
    STATE(4011), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [143066] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2330), 1,
      sym__automatic_semicolon,
    STATE(4012), 1,
      sym_comment,
    ACTIONS(2328), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [143117] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4013), 1,
      sym_comment,
    ACTIONS(2474), 37,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [143166] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4014), 1,
      sym_comment,
    ACTIONS(2438), 37,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [143215] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7408), 1,
      anon_sym_LBRACE,
    STATE(4015), 1,
      sym_comment,
    STATE(4294), 1,
      sym_statement_block,
    ACTIONS(2297), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [143268] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3920), 1,
      sym__automatic_semicolon,
    STATE(4016), 1,
      sym_comment,
    ACTIONS(2382), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [143319] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4017), 1,
      sym_comment,
    ACTIONS(2350), 37,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [143368] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4018), 1,
      sym_comment,
    ACTIONS(2332), 37,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [143417] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3928), 1,
      sym__automatic_semicolon,
    STATE(4019), 1,
      sym_comment,
    ACTIONS(2458), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [143468] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7442), 1,
      sym__automatic_semicolon,
    STATE(4020), 1,
      sym_comment,
    ACTIONS(2287), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [143519] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5168), 1,
      anon_sym_EQ,
    STATE(4021), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [143572] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4022), 1,
      sym_comment,
    ACTIONS(2350), 37,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [143621] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4023), 1,
      sym_comment,
    ACTIONS(2332), 37,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [143670] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5166), 1,
      anon_sym_EQ,
    STATE(4024), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [143723] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3946), 1,
      sym__automatic_semicolon,
    STATE(4025), 1,
      sym_comment,
    ACTIONS(2416), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [143774] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7358), 1,
      anon_sym_finally,
    STATE(4026), 1,
      sym_comment,
    STATE(4432), 1,
      sym_finally_clause,
    ACTIONS(3424), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [143827] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5182), 1,
      anon_sym_EQ,
    STATE(4027), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [143880] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7444), 1,
      anon_sym_else,
    STATE(4028), 1,
      sym_comment,
    STATE(4447), 1,
      sym_else_clause,
    ACTIONS(3444), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [143933] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3752), 1,
      sym__automatic_semicolon,
    STATE(4029), 1,
      sym_comment,
    ACTIONS(2287), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [143984] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3930), 1,
      sym__automatic_semicolon,
    STATE(4030), 1,
      sym_comment,
    ACTIONS(2478), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [144035] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3932), 1,
      sym__automatic_semicolon,
    STATE(4031), 1,
      sym_comment,
    ACTIONS(2426), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [144086] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3918), 1,
      sym__automatic_semicolon,
    STATE(4032), 1,
      sym_comment,
    ACTIONS(2362), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [144137] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7446), 1,
      sym__automatic_semicolon,
    STATE(4033), 1,
      sym_comment,
    ACTIONS(2332), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [144188] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7448), 1,
      anon_sym_SEMI,
    ACTIONS(7450), 1,
      sym__automatic_semicolon,
    STATE(4034), 1,
      sym_comment,
    ACTIONS(3454), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [144241] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5170), 1,
      anon_sym_EQ,
    STATE(4035), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [144294] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3916), 1,
      sym__automatic_semicolon,
    STATE(4036), 1,
      sym_comment,
    ACTIONS(2394), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [144345] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3834), 1,
      sym__automatic_semicolon,
    STATE(4037), 1,
      sym_comment,
    ACTIONS(2450), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [144396] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3828), 1,
      sym__automatic_semicolon,
    STATE(4038), 1,
      sym_comment,
    ACTIONS(2402), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [144447] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4039), 1,
      sym_comment,
    ACTIONS(3462), 37,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [144496] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5184), 1,
      anon_sym_EQ,
    STATE(4040), 1,
      sym_comment,
    ACTIONS(4493), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [144549] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3838), 1,
      sym__automatic_semicolon,
    STATE(4041), 1,
      sym_comment,
    ACTIONS(2342), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [144600] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4042), 1,
      sym_comment,
    ACTIONS(3460), 37,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [144649] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7452), 1,
      sym__automatic_semicolon,
    STATE(4043), 1,
      sym_comment,
    ACTIONS(2287), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [144700] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4044), 1,
      sym_comment,
    ACTIONS(3598), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [144748] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4045), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [144796] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4004), 1,
      sym__automatic_semicolon,
    STATE(4046), 1,
      sym_comment,
    ACTIONS(2354), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [144846] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4006), 1,
      sym__automatic_semicolon,
    STATE(4047), 1,
      sym_comment,
    ACTIONS(2374), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [144896] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4048), 1,
      sym_comment,
    ACTIONS(3460), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [144944] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4049), 1,
      sym_comment,
    ACTIONS(3642), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [144992] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4050), 1,
      sym_comment,
    ACTIONS(3644), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145040] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4051), 1,
      sym_comment,
    ACTIONS(3646), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145088] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4052), 1,
      sym_comment,
    ACTIONS(3652), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145136] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4053), 1,
      sym_comment,
    ACTIONS(3664), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145184] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4054), 1,
      sym_comment,
    ACTIONS(3488), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145232] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3994), 1,
      sym__automatic_semicolon,
    STATE(4055), 1,
      sym_comment,
    ACTIONS(2416), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145282] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4056), 1,
      sym_comment,
    ACTIONS(3676), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145330] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4057), 1,
      sym_comment,
    ACTIONS(3678), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145378] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4058), 1,
      sym_comment,
    ACTIONS(3680), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145426] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3992), 1,
      sym__automatic_semicolon,
    STATE(4059), 1,
      sym_comment,
    ACTIONS(2342), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145476] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4060), 1,
      sym_comment,
    ACTIONS(3682), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145524] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4061), 1,
      sym_comment,
    ACTIONS(3688), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145572] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4062), 1,
      sym_comment,
    ACTIONS(3692), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145620] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4063), 1,
      sym_comment,
    ACTIONS(3698), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145668] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4064), 1,
      sym_comment,
    ACTIONS(3700), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145716] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4065), 1,
      sym_comment,
    ACTIONS(3568), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145764] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4066), 1,
      sym_comment,
    ACTIONS(3500), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145812] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4067), 1,
      sym_comment,
    ACTIONS(3504), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145860] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4068), 1,
      sym_comment,
    ACTIONS(3508), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145908] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4069), 1,
      sym_comment,
    ACTIONS(3508), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [145956] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4070), 1,
      sym_comment,
    ACTIONS(3694), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146004] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4071), 1,
      sym_comment,
    ACTIONS(3474), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146052] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4072), 1,
      sym_comment,
    ACTIONS(3522), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146100] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7454), 1,
      sym__automatic_semicolon,
    STATE(4073), 1,
      sym_comment,
    ACTIONS(2332), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146150] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4074), 1,
      sym_comment,
    ACTIONS(3638), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146198] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4075), 1,
      sym_comment,
    ACTIONS(3674), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146246] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4076), 1,
      sym_comment,
    ACTIONS(3666), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146294] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4077), 1,
      sym_comment,
    ACTIONS(3662), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146342] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4078), 1,
      sym_comment,
    ACTIONS(3662), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146390] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4079), 1,
      sym_comment,
    ACTIONS(3650), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146438] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4080), 1,
      sym_comment,
    ACTIONS(2466), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146486] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4081), 1,
      sym_comment,
    ACTIONS(3634), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146534] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4082), 1,
      sym_comment,
    ACTIONS(3624), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146582] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4083), 1,
      sym_comment,
    ACTIONS(2350), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146630] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4084), 1,
      sym_comment,
    ACTIONS(2338), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146678] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4085), 1,
      sym_comment,
    ACTIONS(3622), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146726] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4086), 1,
      sym_comment,
    ACTIONS(3620), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146774] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4087), 1,
      sym_comment,
    ACTIONS(3616), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146822] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4088), 1,
      sym_comment,
    ACTIONS(3616), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146870] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4089), 1,
      sym_comment,
    ACTIONS(3616), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146918] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4090), 1,
      sym_comment,
    ACTIONS(3612), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [146966] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4091), 1,
      sym_comment,
    ACTIONS(3604), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147014] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4092), 1,
      sym_comment,
    ACTIONS(3560), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147062] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4093), 1,
      sym_comment,
    ACTIONS(3572), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147110] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4094), 1,
      sym_comment,
    ACTIONS(3572), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147158] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4095), 1,
      sym_comment,
    ACTIONS(3602), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147206] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4096), 1,
      sym_comment,
    ACTIONS(2442), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147254] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4097), 1,
      sym_comment,
    ACTIONS(3606), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147302] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4098), 1,
      sym_comment,
    ACTIONS(2328), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147350] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4099), 1,
      sym_comment,
    ACTIONS(3608), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147398] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4100), 1,
      sym_comment,
    ACTIONS(3610), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147446] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4101), 1,
      sym_comment,
    ACTIONS(3610), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147494] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4102), 1,
      sym_comment,
    ACTIONS(3600), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147542] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4103), 1,
      sym_comment,
    ACTIONS(3480), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147590] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4104), 1,
      sym_comment,
    ACTIONS(3596), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147638] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4105), 1,
      sym_comment,
    ACTIONS(3596), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147686] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4106), 1,
      sym_comment,
    ACTIONS(3518), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147734] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4107), 1,
      sym_comment,
    ACTIONS(3594), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147782] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7456), 1,
      sym__automatic_semicolon,
    STATE(4108), 1,
      sym_comment,
    ACTIONS(2287), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147832] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3988), 1,
      sym__automatic_semicolon,
    STATE(4109), 1,
      sym_comment,
    ACTIONS(2458), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147882] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4110), 1,
      sym_comment,
    ACTIONS(3462), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147930] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4111), 1,
      sym_comment,
    ACTIONS(3614), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [147978] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4112), 1,
      sym_comment,
    ACTIONS(3618), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148026] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4113), 1,
      sym_comment,
    ACTIONS(3592), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148074] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4114), 1,
      sym_comment,
    ACTIONS(3590), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148122] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4115), 1,
      sym_comment,
    ACTIONS(3588), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148170] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4116), 1,
      sym_comment,
    ACTIONS(3586), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148218] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4117), 1,
      sym_comment,
    ACTIONS(3584), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148266] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4118), 1,
      sym_comment,
    ACTIONS(3582), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148314] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4119), 1,
      sym_comment,
    ACTIONS(3582), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148362] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4120), 1,
      sym_comment,
    ACTIONS(3582), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148410] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4121), 1,
      sym_comment,
    ACTIONS(3578), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148458] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4014), 1,
      sym__automatic_semicolon,
    STATE(4122), 1,
      sym_comment,
    ACTIONS(2402), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148508] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4123), 1,
      sym_comment,
    ACTIONS(2350), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148556] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4124), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148604] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4125), 1,
      sym_comment,
    ACTIONS(3636), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148652] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4008), 1,
      sym__automatic_semicolon,
    STATE(4126), 1,
      sym_comment,
    ACTIONS(2450), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148702] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4000), 1,
      sym__automatic_semicolon,
    STATE(4127), 1,
      sym_comment,
    ACTIONS(2394), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148752] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4128), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148800] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4129), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148848] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4130), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148896] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4131), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148944] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4132), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [148992] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4133), 1,
      sym_comment,
    ACTIONS(3506), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149040] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4134), 1,
      sym_comment,
    ACTIONS(2466), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149088] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2336), 1,
      sym__automatic_semicolon,
    STATE(4135), 1,
      sym_comment,
    ACTIONS(2332), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149138] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4136), 1,
      sym_comment,
    ACTIONS(3510), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149186] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4137), 1,
      sym_comment,
    ACTIONS(3514), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149234] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4138), 1,
      sym_comment,
    ACTIONS(3528), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149282] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4139), 1,
      sym_comment,
    ACTIONS(3530), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149330] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4140), 1,
      sym_comment,
    ACTIONS(3502), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149378] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4141), 1,
      sym_comment,
    ACTIONS(3498), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149426] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4142), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149474] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4143), 1,
      sym_comment,
    ACTIONS(3534), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149522] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4144), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149570] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4145), 1,
      sym_comment,
    ACTIONS(3536), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149618] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4146), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149666] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4147), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149714] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4148), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149762] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4149), 1,
      sym_comment,
    ACTIONS(3538), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149810] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4150), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149858] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4151), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149906] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4152), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [149954] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4153), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150002] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4154), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150050] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4155), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150098] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4156), 1,
      sym_comment,
    ACTIONS(2332), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150146] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4157), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150194] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4158), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150242] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4159), 1,
      sym_comment,
    ACTIONS(2434), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150290] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4160), 1,
      sym_comment,
    ACTIONS(3626), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150338] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4161), 1,
      sym_comment,
    ACTIONS(3570), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150386] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4162), 1,
      sym_comment,
    ACTIONS(3630), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150434] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4163), 1,
      sym_comment,
    ACTIONS(3648), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150482] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4164), 1,
      sym_comment,
    ACTIONS(3654), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150530] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4165), 1,
      sym_comment,
    ACTIONS(3654), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150578] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4166), 1,
      sym_comment,
    ACTIONS(3658), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150626] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4167), 1,
      sym_comment,
    ACTIONS(3660), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150674] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4168), 1,
      sym_comment,
    ACTIONS(3524), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150722] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4169), 1,
      sym_comment,
    ACTIONS(3524), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150770] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4170), 1,
      sym_comment,
    ACTIONS(3524), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150818] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4171), 1,
      sym_comment,
    ACTIONS(2474), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150866] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4172), 1,
      sym_comment,
    ACTIONS(2438), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150914] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4173), 1,
      sym_comment,
    ACTIONS(3524), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [150962] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4174), 1,
      sym_comment,
    ACTIONS(3542), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151010] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4175), 1,
      sym_comment,
    ACTIONS(3540), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151058] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4176), 1,
      sym_comment,
    ACTIONS(3524), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151106] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4177), 1,
      sym_comment,
    ACTIONS(3524), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151154] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4178), 1,
      sym_comment,
    ACTIONS(3532), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151202] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4179), 1,
      sym_comment,
    ACTIONS(3544), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151250] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4180), 1,
      sym_comment,
    ACTIONS(3526), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151298] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4181), 1,
      sym_comment,
    ACTIONS(2332), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_finally,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151346] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2330), 1,
      sym__automatic_semicolon,
    STATE(4182), 1,
      sym_comment,
    ACTIONS(2328), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151396] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2444), 1,
      sym__automatic_semicolon,
    STATE(4183), 1,
      sym_comment,
    ACTIONS(2442), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151446] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3968), 1,
      sym__automatic_semicolon,
    STATE(4184), 1,
      sym_comment,
    ACTIONS(2478), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151496] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4185), 1,
      sym_comment,
    ACTIONS(3558), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151544] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3970), 1,
      sym__automatic_semicolon,
    STATE(4186), 1,
      sym_comment,
    ACTIONS(2426), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151594] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3998), 1,
      sym__automatic_semicolon,
    STATE(4187), 1,
      sym_comment,
    ACTIONS(2362), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151644] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4188), 1,
      sym_comment,
    ACTIONS(3550), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151692] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7458), 1,
      sym__automatic_semicolon,
    STATE(4189), 1,
      sym_comment,
    ACTIONS(2332), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151742] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7462), 1,
      anon_sym_AT,
    STATE(4456), 1,
      sym_ui_annotation,
    STATE(4190), 2,
      sym_comment,
      aux_sym_ui_annotated_object_repeat1,
    ACTIONS(7460), 33,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151794] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4191), 1,
      sym_comment,
    ACTIONS(3668), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151842] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4192), 1,
      sym_comment,
    ACTIONS(3686), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151890] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4193), 1,
      sym_comment,
    ACTIONS(3690), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151938] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4194), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [151986] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4195), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152034] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4196), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152082] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4197), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152130] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4002), 1,
      sym__automatic_semicolon,
    STATE(4198), 1,
      sym_comment,
    ACTIONS(2382), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152180] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4199), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152228] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4200), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152276] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4201), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152324] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4202), 1,
      sym_comment,
    ACTIONS(3546), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152372] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4203), 1,
      sym_comment,
    ACTIONS(3640), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152420] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4204), 1,
      sym_comment,
    ACTIONS(3656), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152468] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4205), 1,
      sym_comment,
    ACTIONS(3672), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152516] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4206), 1,
      sym_comment,
    ACTIONS(3684), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152564] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4207), 1,
      sym_comment,
    ACTIONS(3628), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152612] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4208), 1,
      sym_comment,
    ACTIONS(3696), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152660] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4209), 1,
      sym_comment,
    ACTIONS(3484), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152708] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3938), 1,
      sym__automatic_semicolon,
    STATE(4210), 1,
      sym_comment,
    ACTIONS(2287), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152758] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4211), 1,
      sym_comment,
    ACTIONS(3516), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152806] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4212), 1,
      sym_comment,
    ACTIONS(3496), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152854] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4213), 1,
      sym_comment,
    ACTIONS(3486), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152902] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4214), 1,
      sym_comment,
    ACTIONS(3548), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [152950] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2352), 1,
      sym__automatic_semicolon,
    STATE(4215), 1,
      sym_comment,
    ACTIONS(2350), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153000] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4216), 1,
      sym_comment,
    ACTIONS(3520), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153048] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4217), 1,
      sym_comment,
    ACTIONS(3552), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153096] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4218), 1,
      sym_comment,
    ACTIONS(3494), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153144] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4219), 1,
      sym_comment,
    ACTIONS(3554), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153192] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4220), 1,
      sym_comment,
    ACTIONS(3574), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153240] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4221), 1,
      sym_comment,
    ACTIONS(3632), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153288] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4222), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153336] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4223), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153384] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4224), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153432] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4225), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153480] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4226), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153528] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4227), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153576] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4228), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153624] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4229), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153672] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4230), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153720] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4231), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153768] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4232), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153816] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4233), 1,
      sym_comment,
    ACTIONS(3576), 36,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_else,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153864] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4234), 1,
      sym_comment,
    ACTIONS(7465), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153911] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4235), 1,
      sym_comment,
    ACTIONS(3660), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [153958] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4236), 1,
      sym_comment,
    ACTIONS(7467), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154005] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4237), 1,
      sym_comment,
    ACTIONS(3532), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154052] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4238), 1,
      sym_comment,
    ACTIONS(3526), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154099] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4239), 1,
      sym_comment,
    ACTIONS(7469), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154146] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4240), 1,
      sym_comment,
    ACTIONS(7469), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154193] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4241), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154240] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4242), 1,
      sym_comment,
    ACTIONS(3634), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154287] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4243), 1,
      sym_comment,
    ACTIONS(7471), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154334] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4244), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154381] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4245), 1,
      sym_comment,
    ACTIONS(3624), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154428] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4246), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154475] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4247), 1,
      sym_comment,
    ACTIONS(3622), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154522] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4248), 1,
      sym_comment,
    ACTIONS(3620), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154569] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4249), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154616] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4250), 1,
      sym_comment,
    ACTIONS(3616), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154663] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4251), 1,
      sym_comment,
    ACTIONS(3598), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154710] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4252), 1,
      sym_comment,
    ACTIONS(3616), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154757] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4253), 1,
      sym_comment,
    ACTIONS(7469), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154804] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4254), 1,
      sym_comment,
    ACTIONS(3522), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154851] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4255), 1,
      sym_comment,
    ACTIONS(2466), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154898] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4256), 1,
      sym_comment,
    ACTIONS(7473), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154945] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4257), 1,
      sym_comment,
    ACTIONS(3570), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [154992] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4258), 1,
      sym_comment,
    ACTIONS(7475), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155039] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4259), 1,
      sym_comment,
    ACTIONS(7477), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155086] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4260), 1,
      sym_comment,
    ACTIONS(3612), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155133] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7481), 1,
      anon_sym_import,
    ACTIONS(7484), 1,
      anon_sym_pragma,
    STATE(4261), 2,
      sym_comment,
      aux_sym_program_repeat1,
    STATE(4487), 2,
      sym_ui_pragma,
      sym_ui_import,
    ACTIONS(7479), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [155186] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4262), 1,
      sym_comment,
    ACTIONS(7487), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155233] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4263), 1,
      sym_comment,
    ACTIONS(7489), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155280] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4264), 1,
      sym_comment,
    ACTIONS(3604), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155327] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4265), 1,
      sym_comment,
    ACTIONS(3560), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155374] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4266), 1,
      sym_comment,
    ACTIONS(7491), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155421] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4267), 1,
      sym_comment,
    ACTIONS(7493), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155468] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4268), 1,
      sym_comment,
    ACTIONS(7495), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155515] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4269), 1,
      sym_comment,
    ACTIONS(3572), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155562] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4270), 1,
      sym_comment,
    ACTIONS(3572), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155609] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4271), 1,
      sym_comment,
    ACTIONS(3602), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155656] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4272), 1,
      sym_comment,
    ACTIONS(7497), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155703] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4273), 1,
      sym_comment,
    ACTIONS(7499), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155750] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4274), 1,
      sym_comment,
    ACTIONS(3606), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155797] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4275), 1,
      sym_comment,
    ACTIONS(7501), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155844] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4276), 1,
      sym_comment,
    ACTIONS(7503), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155891] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4277), 1,
      sym_comment,
    ACTIONS(3650), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155938] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4278), 1,
      sym_comment,
    ACTIONS(3608), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [155985] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4279), 1,
      sym_comment,
    ACTIONS(7505), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156032] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4280), 1,
      sym_comment,
    ACTIONS(3610), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156079] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4281), 1,
      sym_comment,
    ACTIONS(3610), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156126] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4282), 1,
      sym_comment,
    ACTIONS(3600), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156173] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4283), 1,
      sym_comment,
    ACTIONS(7507), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156220] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4284), 1,
      sym_comment,
    ACTIONS(3638), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156267] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4285), 1,
      sym_comment,
    ACTIONS(3662), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156314] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4286), 1,
      sym_comment,
    ACTIONS(7509), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156361] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4287), 1,
      sym_comment,
    ACTIONS(7511), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156408] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4288), 1,
      sym_comment,
    ACTIONS(7469), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156455] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4289), 1,
      sym_comment,
    ACTIONS(7469), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156502] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4290), 1,
      sym_comment,
    ACTIONS(3480), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156549] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4291), 1,
      sym_comment,
    ACTIONS(7513), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156596] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4292), 1,
      sym_comment,
    ACTIONS(3596), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156643] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4293), 1,
      sym_comment,
    ACTIONS(3596), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156690] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4294), 1,
      sym_comment,
    ACTIONS(2338), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156737] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4295), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156784] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4296), 1,
      sym_comment,
    ACTIONS(7515), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156831] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4297), 1,
      sym_comment,
    ACTIONS(7517), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156878] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4298), 1,
      sym_comment,
    ACTIONS(7519), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156925] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4299), 1,
      sym_comment,
    ACTIONS(7521), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [156972] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4300), 1,
      sym_comment,
    ACTIONS(7523), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157019] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4301), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157066] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4302), 1,
      sym_comment,
    ACTIONS(3662), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157113] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4303), 1,
      sym_comment,
    ACTIONS(7469), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157160] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4304), 1,
      sym_comment,
    ACTIONS(7469), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157207] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4305), 1,
      sym_comment,
    ACTIONS(7469), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157254] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4306), 1,
      sym_comment,
    ACTIONS(2332), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157301] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4307), 1,
      sym_comment,
    ACTIONS(7525), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157348] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4308), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157395] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4309), 1,
      sym_comment,
    ACTIONS(7527), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157442] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4310), 1,
      sym_comment,
    ACTIONS(7529), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157489] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4311), 1,
      sym_comment,
    ACTIONS(3666), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157536] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4312), 1,
      sym_comment,
    ACTIONS(3682), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157583] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4313), 1,
      sym_comment,
    ACTIONS(7531), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157630] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4314), 1,
      sym_comment,
    ACTIONS(7469), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157677] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4315), 1,
      sym_comment,
    ACTIONS(3674), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157724] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4316), 1,
      sym_comment,
    ACTIONS(7533), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157771] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4317), 1,
      sym_comment,
    ACTIONS(3656), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157818] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4318), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157865] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4319), 1,
      sym_comment,
    ACTIONS(7535), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157912] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4320), 1,
      sym_comment,
    ACTIONS(7537), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [157959] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4321), 1,
      sym_comment,
    ACTIONS(7539), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158006] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4322), 1,
      sym_comment,
    ACTIONS(7541), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158053] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4323), 1,
      sym_comment,
    ACTIONS(7469), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158100] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4324), 1,
      sym_comment,
    ACTIONS(3486), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158147] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4325), 1,
      sym_comment,
    ACTIONS(3506), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158194] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4326), 1,
      sym_comment,
    ACTIONS(2466), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158241] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4327), 1,
      sym_comment,
    ACTIONS(3496), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158288] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4328), 1,
      sym_comment,
    ACTIONS(3516), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158335] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4329), 1,
      sym_comment,
    ACTIONS(3510), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158382] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4330), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158429] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4331), 1,
      sym_comment,
    ACTIONS(3514), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158476] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4332), 1,
      sym_comment,
    ACTIONS(3528), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158523] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4333), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158570] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4334), 1,
      sym_comment,
    ACTIONS(3530), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158617] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4335), 1,
      sym_comment,
    ACTIONS(3502), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158664] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4336), 1,
      sym_comment,
    ACTIONS(3498), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158711] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4337), 1,
      sym_comment,
    ACTIONS(3484), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158758] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4338), 1,
      sym_comment,
    ACTIONS(3616), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158805] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4339), 1,
      sym_comment,
    ACTIONS(3684), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158852] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4340), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158899] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4341), 1,
      sym_comment,
    ACTIONS(3524), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158946] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4342), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [158993] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4343), 1,
      sym_comment,
    ACTIONS(3544), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159040] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4344), 1,
      sym_comment,
    ACTIONS(3694), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159087] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4345), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159134] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4346), 1,
      sym_comment,
    ACTIONS(3508), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159181] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4347), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159228] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4348), 1,
      sym_comment,
    ACTIONS(3618), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159275] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4349), 1,
      sym_comment,
    ACTIONS(3614), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159322] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4350), 1,
      sym_comment,
    ACTIONS(7543), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159369] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4351), 1,
      sym_comment,
    ACTIONS(7545), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159416] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4352), 1,
      sym_comment,
    ACTIONS(7547), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159463] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4353), 1,
      sym_comment,
    ACTIONS(7549), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159510] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4354), 1,
      sym_comment,
    ACTIONS(7551), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159557] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4355), 1,
      sym_comment,
    ACTIONS(3508), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159604] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4356), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159651] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4357), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159698] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4358), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159745] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4359), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159792] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4360), 1,
      sym_comment,
    ACTIONS(3524), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159839] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4361), 1,
      sym_comment,
    ACTIONS(7553), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159886] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4362), 1,
      sym_comment,
    ACTIONS(3546), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159933] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4363), 1,
      sym_comment,
    ACTIONS(3540), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [159980] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4364), 1,
      sym_comment,
    ACTIONS(3594), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160027] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4365), 1,
      sym_comment,
    ACTIONS(7555), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160074] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4366), 1,
      sym_comment,
    ACTIONS(3542), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160121] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4367), 1,
      sym_comment,
    ACTIONS(7557), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160168] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4368), 1,
      sym_comment,
    ACTIONS(3538), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160215] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4369), 1,
      sym_comment,
    ACTIONS(3524), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160262] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4370), 1,
      sym_comment,
    ACTIONS(3524), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160309] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4371), 1,
      sym_comment,
    ACTIONS(3548), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160356] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4372), 1,
      sym_comment,
    ACTIONS(3524), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160403] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4373), 1,
      sym_comment,
    ACTIONS(7559), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160450] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4374), 1,
      sym_comment,
    ACTIONS(3524), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160497] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4375), 1,
      sym_comment,
    ACTIONS(7561), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160544] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4376), 1,
      sym_comment,
    ACTIONS(3658), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160591] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4377), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160638] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4378), 1,
      sym_comment,
    ACTIONS(3654), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160685] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4379), 1,
      sym_comment,
    ACTIONS(3654), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160732] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4380), 1,
      sym_comment,
    ACTIONS(3648), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160779] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4381), 1,
      sym_comment,
    ACTIONS(3636), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160826] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4382), 1,
      sym_comment,
    ACTIONS(3630), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160873] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4383), 1,
      sym_comment,
    ACTIONS(3550), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160920] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4384), 1,
      sym_comment,
    ACTIONS(3536), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [160967] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4385), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161014] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4386), 1,
      sym_comment,
    ACTIONS(3534), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161061] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4387), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161108] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4388), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161155] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4389), 1,
      sym_comment,
    ACTIONS(3640), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161202] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4390), 1,
      sym_comment,
    ACTIONS(2350), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161249] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4391), 1,
      sym_comment,
    ACTIONS(3504), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161296] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4392), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161343] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4393), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161390] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4394), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161437] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4395), 1,
      sym_comment,
    ACTIONS(2442), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161484] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4396), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161531] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4397), 1,
      sym_comment,
    ACTIONS(3672), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161578] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4398), 1,
      sym_comment,
    ACTIONS(3500), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161625] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4399), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161672] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4400), 1,
      sym_comment,
    ACTIONS(7563), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161719] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4401), 1,
      sym_comment,
    ACTIONS(7565), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161766] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4402), 1,
      sym_comment,
    ACTIONS(3568), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161813] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4403), 1,
      sym_comment,
    ACTIONS(3700), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161860] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4404), 1,
      sym_comment,
    ACTIONS(3698), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161907] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4405), 1,
      sym_comment,
    ACTIONS(3692), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [161954] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4406), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162001] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4407), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162048] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4408), 1,
      sym_comment,
    ACTIONS(3688), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162095] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4409), 1,
      sym_comment,
    ACTIONS(2434), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162142] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4410), 1,
      sym_comment,
    ACTIONS(3628), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162189] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4411), 1,
      sym_comment,
    ACTIONS(2328), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162236] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4412), 1,
      sym_comment,
    ACTIONS(3592), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162283] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4413), 1,
      sym_comment,
    ACTIONS(3676), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162330] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4414), 1,
      sym_comment,
    ACTIONS(3520), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162377] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4415), 1,
      sym_comment,
    ACTIONS(3552), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162424] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4416), 1,
      sym_comment,
    ACTIONS(3494), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162471] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4417), 1,
      sym_comment,
    ACTIONS(3678), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162518] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4418), 1,
      sym_comment,
    ACTIONS(3554), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162565] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4419), 1,
      sym_comment,
    ACTIONS(3574), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162612] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4420), 1,
      sym_comment,
    ACTIONS(3590), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162659] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4421), 1,
      sym_comment,
    ACTIONS(3632), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162706] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4422), 1,
      sym_comment,
    ACTIONS(3588), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162753] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4423), 1,
      sym_comment,
    ACTIONS(3680), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162800] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4424), 1,
      sym_comment,
    ACTIONS(3586), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162847] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4425), 1,
      sym_comment,
    ACTIONS(3584), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162894] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4426), 1,
      sym_comment,
    ACTIONS(3582), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162941] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4427), 1,
      sym_comment,
    ACTIONS(3518), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [162988] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4428), 1,
      sym_comment,
    ACTIONS(3558), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163035] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4429), 1,
      sym_comment,
    ACTIONS(3582), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163082] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4430), 1,
      sym_comment,
    ACTIONS(7567), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163129] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4431), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163176] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4432), 1,
      sym_comment,
    ACTIONS(3668), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163223] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4433), 1,
      sym_comment,
    ACTIONS(3686), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163270] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4434), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163317] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4435), 1,
      sym_comment,
    ACTIONS(7569), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163364] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4436), 1,
      sym_comment,
    ACTIONS(7571), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163411] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4437), 1,
      sym_comment,
    ACTIONS(3582), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163458] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4438), 1,
      sym_comment,
    ACTIONS(3690), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163505] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4439), 1,
      sym_comment,
    ACTIONS(3578), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163552] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4440), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163599] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4441), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163646] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4442), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163693] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4443), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163740] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4444), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163787] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4445), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163834] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4446), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163881] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4447), 1,
      sym_comment,
    ACTIONS(3696), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163928] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4448), 1,
      sym_comment,
    ACTIONS(3576), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [163975] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4449), 1,
      sym_comment,
    ACTIONS(3642), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [164022] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4450), 1,
      sym_comment,
    ACTIONS(3644), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [164069] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4451), 1,
      sym_comment,
    ACTIONS(3646), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [164116] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4452), 1,
      sym_comment,
    ACTIONS(3652), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [164163] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4453), 1,
      sym_comment,
    ACTIONS(3664), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [164210] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4454), 1,
      sym_comment,
    ACTIONS(3626), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [164257] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4455), 1,
      sym_comment,
    ACTIONS(3488), 35,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [164304] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4456), 1,
      sym_comment,
    ACTIONS(7573), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [164350] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3265), 1,
      anon_sym_LBRACE,
    ACTIONS(7575), 1,
      sym_identifier,
    ACTIONS(7579), 1,
      anon_sym_default,
    ACTIONS(7581), 1,
      anon_sym_COLON,
    ACTIONS(7583), 1,
      anon_sym_DOT,
    ACTIONS(7588), 1,
      anon_sym_on,
    STATE(4262), 1,
      sym_ui_object_initializer,
    STATE(4457), 1,
      sym_comment,
    ACTIONS(7585), 3,
      anon_sym_readonly,
      anon_sym_property,
      anon_sym_required,
    ACTIONS(7577), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_signal,
      anon_sym_component,
  [164412] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_AT,
    STATE(4458), 1,
      sym_comment,
    STATE(4478), 1,
      aux_sym_ui_annotated_object_repeat1,
    STATE(4504), 1,
      sym_ui_annotation,
    STATE(6609), 1,
      sym_ui_nested_identifier,
    STATE(8605), 1,
      sym_ui_object_definition,
    ACTIONS(11), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [164470] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4459), 1,
      sym_comment,
    ACTIONS(7590), 34,
      anon_sym_export,
      anon_sym_default,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_var,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_function,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_enum,
  [164516] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3225), 1,
      anon_sym_namespace,
    ACTIONS(3227), 1,
      anon_sym_import,
    ACTIONS(3229), 1,
      anon_sym_var,
    ACTIONS(3231), 1,
      anon_sym_let,
    ACTIONS(3233), 1,
      anon_sym_const,
    ACTIONS(3237), 1,
      anon_sym_class,
    ACTIONS(3239), 1,
      anon_sym_async,
    ACTIONS(3241), 1,
      anon_sym_function,
    ACTIONS(3243), 1,
      anon_sym_declare,
    ACTIONS(3247), 1,
      anon_sym_abstract,
    ACTIONS(3249), 1,
      anon_sym_interface,
    ACTIONS(3251), 1,
      anon_sym_enum,
    ACTIONS(3323), 1,
      anon_sym_type,
    ACTIONS(3325), 1,
      anon_sym_module,
    ACTIONS(3327), 1,
      anon_sym_global,
    STATE(1291), 1,
      sym_declaration,
    STATE(1298), 1,
      sym_internal_module,
    STATE(4460), 1,
      sym_comment,
    STATE(6249), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(1302), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [164601] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7592), 1,
      sym_identifier,
    STATE(4461), 1,
      sym_comment,
    STATE(5569), 1,
      sym_ui_nested_identifier,
    STATE(6104), 1,
      sym_string,
    ACTIONS(7594), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [164656] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3111), 1,
      anon_sym_namespace,
    ACTIONS(3113), 1,
      anon_sym_import,
    ACTIONS(3115), 1,
      anon_sym_var,
    ACTIONS(3117), 1,
      anon_sym_let,
    ACTIONS(3119), 1,
      anon_sym_const,
    ACTIONS(3123), 1,
      anon_sym_class,
    ACTIONS(3125), 1,
      anon_sym_async,
    ACTIONS(3127), 1,
      anon_sym_function,
    ACTIONS(3129), 1,
      anon_sym_declare,
    ACTIONS(3133), 1,
      anon_sym_abstract,
    ACTIONS(3135), 1,
      anon_sym_interface,
    ACTIONS(3137), 1,
      anon_sym_enum,
    ACTIONS(3317), 1,
      anon_sym_type,
    ACTIONS(3319), 1,
      anon_sym_module,
    ACTIONS(3321), 1,
      anon_sym_global,
    STATE(4326), 1,
      sym_internal_module,
    STATE(4335), 1,
      sym_declaration,
    STATE(4462), 1,
      sym_comment,
    STATE(6240), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(4255), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [164741] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3225), 1,
      anon_sym_namespace,
    ACTIONS(3227), 1,
      anon_sym_import,
    ACTIONS(3229), 1,
      anon_sym_var,
    ACTIONS(3231), 1,
      anon_sym_let,
    ACTIONS(3233), 1,
      anon_sym_const,
    ACTIONS(3237), 1,
      anon_sym_class,
    ACTIONS(3239), 1,
      anon_sym_async,
    ACTIONS(3241), 1,
      anon_sym_function,
    ACTIONS(3243), 1,
      anon_sym_declare,
    ACTIONS(3245), 1,
      anon_sym_module,
    ACTIONS(3247), 1,
      anon_sym_abstract,
    ACTIONS(3249), 1,
      anon_sym_interface,
    ACTIONS(3251), 1,
      anon_sym_enum,
    ACTIONS(3323), 1,
      anon_sym_type,
    ACTIONS(7596), 1,
      anon_sym_default,
    STATE(1266), 1,
      sym_declaration,
    STATE(1298), 1,
      sym_internal_module,
    STATE(4463), 1,
      sym_comment,
    STATE(6249), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(1302), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [164826] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3111), 1,
      anon_sym_namespace,
    ACTIONS(3113), 1,
      anon_sym_import,
    ACTIONS(3115), 1,
      anon_sym_var,
    ACTIONS(3117), 1,
      anon_sym_let,
    ACTIONS(3119), 1,
      anon_sym_const,
    ACTIONS(3123), 1,
      anon_sym_class,
    ACTIONS(3125), 1,
      anon_sym_async,
    ACTIONS(3127), 1,
      anon_sym_function,
    ACTIONS(3129), 1,
      anon_sym_declare,
    ACTIONS(3131), 1,
      anon_sym_module,
    ACTIONS(3133), 1,
      anon_sym_abstract,
    ACTIONS(3135), 1,
      anon_sym_interface,
    ACTIONS(3137), 1,
      anon_sym_enum,
    ACTIONS(3317), 1,
      anon_sym_type,
    ACTIONS(7598), 1,
      anon_sym_default,
    STATE(4324), 1,
      sym_declaration,
    STATE(4326), 1,
      sym_internal_module,
    STATE(4464), 1,
      sym_comment,
    STATE(6240), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(4255), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [164911] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3023), 1,
      anon_sym_namespace,
    ACTIONS(3025), 1,
      anon_sym_import,
    ACTIONS(3027), 1,
      anon_sym_var,
    ACTIONS(3029), 1,
      anon_sym_let,
    ACTIONS(3031), 1,
      anon_sym_const,
    ACTIONS(3035), 1,
      anon_sym_class,
    ACTIONS(3037), 1,
      anon_sym_async,
    ACTIONS(3039), 1,
      anon_sym_function,
    ACTIONS(3041), 1,
      anon_sym_declare,
    ACTIONS(3043), 1,
      anon_sym_module,
    ACTIONS(3045), 1,
      anon_sym_abstract,
    ACTIONS(3047), 1,
      anon_sym_interface,
    ACTIONS(3049), 1,
      anon_sym_enum,
    ACTIONS(3329), 1,
      anon_sym_type,
    ACTIONS(7600), 1,
      anon_sym_default,
    STATE(1060), 1,
      sym_declaration,
    STATE(1079), 1,
      sym_internal_module,
    STATE(4465), 1,
      sym_comment,
    STATE(5961), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(1092), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [164996] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3187), 1,
      anon_sym_namespace,
    ACTIONS(3189), 1,
      anon_sym_import,
    ACTIONS(3191), 1,
      anon_sym_var,
    ACTIONS(3193), 1,
      anon_sym_let,
    ACTIONS(3195), 1,
      anon_sym_const,
    ACTIONS(3199), 1,
      anon_sym_class,
    ACTIONS(3201), 1,
      anon_sym_async,
    ACTIONS(3203), 1,
      anon_sym_function,
    ACTIONS(3205), 1,
      anon_sym_declare,
    ACTIONS(3207), 1,
      anon_sym_module,
    ACTIONS(3209), 1,
      anon_sym_abstract,
    ACTIONS(3211), 1,
      anon_sym_interface,
    ACTIONS(3213), 1,
      anon_sym_enum,
    ACTIONS(3311), 1,
      anon_sym_type,
    ACTIONS(7602), 1,
      anon_sym_default,
    STATE(1487), 1,
      sym_internal_module,
    STATE(1527), 1,
      sym_declaration,
    STATE(4466), 1,
      sym_comment,
    STATE(6050), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(1587), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [165081] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3023), 1,
      anon_sym_namespace,
    ACTIONS(3025), 1,
      anon_sym_import,
    ACTIONS(3027), 1,
      anon_sym_var,
    ACTIONS(3029), 1,
      anon_sym_let,
    ACTIONS(3031), 1,
      anon_sym_const,
    ACTIONS(3035), 1,
      anon_sym_class,
    ACTIONS(3037), 1,
      anon_sym_async,
    ACTIONS(3039), 1,
      anon_sym_function,
    ACTIONS(3041), 1,
      anon_sym_declare,
    ACTIONS(3045), 1,
      anon_sym_abstract,
    ACTIONS(3047), 1,
      anon_sym_interface,
    ACTIONS(3049), 1,
      anon_sym_enum,
    ACTIONS(3329), 1,
      anon_sym_type,
    ACTIONS(3331), 1,
      anon_sym_module,
    ACTIONS(3333), 1,
      anon_sym_global,
    STATE(1078), 1,
      sym_declaration,
    STATE(1079), 1,
      sym_internal_module,
    STATE(4467), 1,
      sym_comment,
    STATE(5961), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(1092), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [165166] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3149), 1,
      anon_sym_namespace,
    ACTIONS(3151), 1,
      anon_sym_import,
    ACTIONS(3153), 1,
      anon_sym_var,
    ACTIONS(3155), 1,
      anon_sym_let,
    ACTIONS(3157), 1,
      anon_sym_const,
    ACTIONS(3161), 1,
      anon_sym_class,
    ACTIONS(3163), 1,
      anon_sym_async,
    ACTIONS(3165), 1,
      anon_sym_function,
    ACTIONS(3167), 1,
      anon_sym_declare,
    ACTIONS(3171), 1,
      anon_sym_abstract,
    ACTIONS(3173), 1,
      anon_sym_interface,
    ACTIONS(3175), 1,
      anon_sym_enum,
    ACTIONS(3295), 1,
      anon_sym_type,
    ACTIONS(3297), 1,
      anon_sym_module,
    ACTIONS(3299), 1,
      anon_sym_global,
    STATE(4468), 1,
      sym_comment,
    STATE(6284), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(8007), 1,
      sym_declaration,
    STATE(8045), 1,
      sym_internal_module,
    STATE(8195), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [165251] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3149), 1,
      anon_sym_namespace,
    ACTIONS(3151), 1,
      anon_sym_import,
    ACTIONS(3153), 1,
      anon_sym_var,
    ACTIONS(3155), 1,
      anon_sym_let,
    ACTIONS(3157), 1,
      anon_sym_const,
    ACTIONS(3161), 1,
      anon_sym_class,
    ACTIONS(3163), 1,
      anon_sym_async,
    ACTIONS(3165), 1,
      anon_sym_function,
    ACTIONS(3167), 1,
      anon_sym_declare,
    ACTIONS(3169), 1,
      anon_sym_module,
    ACTIONS(3171), 1,
      anon_sym_abstract,
    ACTIONS(3173), 1,
      anon_sym_interface,
    ACTIONS(3175), 1,
      anon_sym_enum,
    ACTIONS(3295), 1,
      anon_sym_type,
    ACTIONS(7604), 1,
      anon_sym_default,
    STATE(4469), 1,
      sym_comment,
    STATE(6284), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(7822), 1,
      sym_declaration,
    STATE(8045), 1,
      sym_internal_module,
    STATE(8195), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [165336] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2957), 1,
      anon_sym_namespace,
    ACTIONS(2963), 1,
      anon_sym_import,
    ACTIONS(2965), 1,
      anon_sym_var,
    ACTIONS(2967), 1,
      anon_sym_let,
    ACTIONS(2969), 1,
      anon_sym_const,
    ACTIONS(2977), 1,
      anon_sym_class,
    ACTIONS(2979), 1,
      anon_sym_async,
    ACTIONS(2981), 1,
      anon_sym_function,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(2991), 1,
      anon_sym_declare,
    ACTIONS(2993), 1,
      anon_sym_module,
    ACTIONS(2995), 1,
      anon_sym_abstract,
    ACTIONS(2997), 1,
      anon_sym_interface,
    ACTIONS(2999), 1,
      anon_sym_enum,
    ACTIONS(3007), 1,
      anon_sym_type,
    ACTIONS(7606), 1,
      anon_sym_default,
    STATE(1743), 1,
      sym_internal_module,
    STATE(1763), 1,
      sym_declaration,
    STATE(4470), 1,
      sym_comment,
    STATE(5967), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(1751), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [165421] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3187), 1,
      anon_sym_namespace,
    ACTIONS(3189), 1,
      anon_sym_import,
    ACTIONS(3191), 1,
      anon_sym_var,
    ACTIONS(3193), 1,
      anon_sym_let,
    ACTIONS(3195), 1,
      anon_sym_const,
    ACTIONS(3199), 1,
      anon_sym_class,
    ACTIONS(3201), 1,
      anon_sym_async,
    ACTIONS(3203), 1,
      anon_sym_function,
    ACTIONS(3205), 1,
      anon_sym_declare,
    ACTIONS(3209), 1,
      anon_sym_abstract,
    ACTIONS(3211), 1,
      anon_sym_interface,
    ACTIONS(3213), 1,
      anon_sym_enum,
    ACTIONS(3311), 1,
      anon_sym_type,
    ACTIONS(3313), 1,
      anon_sym_module,
    ACTIONS(3315), 1,
      anon_sym_global,
    STATE(1487), 1,
      sym_internal_module,
    STATE(1569), 1,
      sym_declaration,
    STATE(4471), 1,
      sym_comment,
    STATE(6050), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(1587), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [165506] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3061), 1,
      anon_sym_namespace,
    ACTIONS(3063), 1,
      anon_sym_import,
    ACTIONS(3065), 1,
      anon_sym_var,
    ACTIONS(3067), 1,
      anon_sym_let,
    ACTIONS(3069), 1,
      anon_sym_const,
    ACTIONS(3073), 1,
      anon_sym_class,
    ACTIONS(3075), 1,
      anon_sym_async,
    ACTIONS(3077), 1,
      anon_sym_function,
    ACTIONS(3079), 1,
      anon_sym_declare,
    ACTIONS(3083), 1,
      anon_sym_abstract,
    ACTIONS(3085), 1,
      anon_sym_interface,
    ACTIONS(3087), 1,
      anon_sym_enum,
    ACTIONS(3335), 1,
      anon_sym_type,
    ACTIONS(3337), 1,
      anon_sym_module,
    ACTIONS(3339), 1,
      anon_sym_global,
    STATE(4134), 1,
      sym_internal_module,
    STATE(4140), 1,
      sym_declaration,
    STATE(4472), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(4080), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [165591] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2957), 1,
      anon_sym_namespace,
    ACTIONS(2963), 1,
      anon_sym_import,
    ACTIONS(2965), 1,
      anon_sym_var,
    ACTIONS(2967), 1,
      anon_sym_let,
    ACTIONS(2969), 1,
      anon_sym_const,
    ACTIONS(2977), 1,
      anon_sym_class,
    ACTIONS(2979), 1,
      anon_sym_async,
    ACTIONS(2981), 1,
      anon_sym_function,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(2991), 1,
      anon_sym_declare,
    ACTIONS(2995), 1,
      anon_sym_abstract,
    ACTIONS(2997), 1,
      anon_sym_interface,
    ACTIONS(2999), 1,
      anon_sym_enum,
    ACTIONS(3007), 1,
      anon_sym_type,
    ACTIONS(3009), 1,
      anon_sym_module,
    ACTIONS(3011), 1,
      anon_sym_global,
    STATE(1667), 1,
      sym_declaration,
    STATE(1743), 1,
      sym_internal_module,
    STATE(4473), 1,
      sym_comment,
    STATE(5967), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(1751), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [165676] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3061), 1,
      anon_sym_namespace,
    ACTIONS(3063), 1,
      anon_sym_import,
    ACTIONS(3065), 1,
      anon_sym_var,
    ACTIONS(3067), 1,
      anon_sym_let,
    ACTIONS(3069), 1,
      anon_sym_const,
    ACTIONS(3073), 1,
      anon_sym_class,
    ACTIONS(3075), 1,
      anon_sym_async,
    ACTIONS(3077), 1,
      anon_sym_function,
    ACTIONS(3079), 1,
      anon_sym_declare,
    ACTIONS(3081), 1,
      anon_sym_module,
    ACTIONS(3083), 1,
      anon_sym_abstract,
    ACTIONS(3085), 1,
      anon_sym_interface,
    ACTIONS(3087), 1,
      anon_sym_enum,
    ACTIONS(3335), 1,
      anon_sym_type,
    ACTIONS(7608), 1,
      anon_sym_default,
    STATE(4134), 1,
      sym_internal_module,
    STATE(4213), 1,
      sym_declaration,
    STATE(4474), 1,
      sym_comment,
    STATE(6181), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(4080), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [165761] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3357), 1,
      anon_sym_type,
    ACTIONS(3359), 1,
      anon_sym_namespace,
    ACTIONS(3361), 1,
      anon_sym_import,
    ACTIONS(3363), 1,
      anon_sym_var,
    ACTIONS(3365), 1,
      anon_sym_let,
    ACTIONS(3367), 1,
      anon_sym_const,
    ACTIONS(3369), 1,
      anon_sym_class,
    ACTIONS(3371), 1,
      anon_sym_async,
    ACTIONS(3373), 1,
      anon_sym_function,
    ACTIONS(3375), 1,
      anon_sym_declare,
    ACTIONS(3377), 1,
      anon_sym_module,
    ACTIONS(3379), 1,
      anon_sym_abstract,
    ACTIONS(3381), 1,
      anon_sym_global,
    ACTIONS(3383), 1,
      anon_sym_interface,
    ACTIONS(3385), 1,
      anon_sym_enum,
    STATE(4475), 1,
      sym_comment,
    STATE(5916), 1,
      sym_internal_module,
    STATE(6130), 1,
      aux_sym_export_statement_repeat1,
    STATE(6251), 1,
      sym_declaration,
    STATE(6589), 1,
      sym_decorator,
    STATE(6274), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [165846] = 24,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(3357), 1,
      anon_sym_type,
    ACTIONS(3359), 1,
      anon_sym_namespace,
    ACTIONS(3361), 1,
      anon_sym_import,
    ACTIONS(3363), 1,
      anon_sym_var,
    ACTIONS(3365), 1,
      anon_sym_let,
    ACTIONS(3367), 1,
      anon_sym_const,
    ACTIONS(3369), 1,
      anon_sym_class,
    ACTIONS(3371), 1,
      anon_sym_async,
    ACTIONS(3373), 1,
      anon_sym_function,
    ACTIONS(3375), 1,
      anon_sym_declare,
    ACTIONS(3379), 1,
      anon_sym_abstract,
    ACTIONS(3383), 1,
      anon_sym_interface,
    ACTIONS(3385), 1,
      anon_sym_enum,
    ACTIONS(5257), 1,
      anon_sym_module,
    ACTIONS(7610), 1,
      anon_sym_default,
    STATE(4476), 1,
      sym_comment,
    STATE(5756), 1,
      sym_declaration,
    STATE(5916), 1,
      sym_internal_module,
    STATE(6130), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
    STATE(6274), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [165931] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4477), 1,
      sym_comment,
    ACTIONS(7612), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [165975] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7614), 1,
      anon_sym_AT,
    STATE(4504), 1,
      sym_ui_annotation,
    STATE(4478), 2,
      sym_comment,
      aux_sym_ui_annotated_object_repeat1,
    ACTIONS(7460), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [166023] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4479), 1,
      sym_comment,
    ACTIONS(7617), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [166067] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4480), 1,
      sym_comment,
    ACTIONS(7619), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [166111] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4481), 1,
      sym_comment,
    ACTIONS(7621), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [166155] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4482), 1,
      sym_comment,
    ACTIONS(7623), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [166199] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7625), 1,
      sym_identifier,
    ACTIONS(7629), 1,
      anon_sym_SEMI,
    ACTIONS(7631), 1,
      sym__automatic_semicolon,
    STATE(4483), 1,
      sym_comment,
    STATE(6923), 1,
      sym_ui_nested_identifier,
    ACTIONS(7627), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [166251] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4484), 1,
      sym_comment,
    ACTIONS(7633), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [166295] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4485), 1,
      sym_comment,
    ACTIONS(7635), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [166339] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4486), 1,
      sym_comment,
    ACTIONS(7637), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [166383] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4487), 1,
      sym_comment,
    ACTIONS(7639), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [166427] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4488), 1,
      sym_comment,
    ACTIONS(7641), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [166471] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4489), 1,
      sym_comment,
    ACTIONS(7641), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [166515] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4490), 1,
      sym_comment,
    ACTIONS(7643), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [166559] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4491), 1,
      sym_comment,
    ACTIONS(7645), 32,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_import,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
      anon_sym_pragma,
  [166603] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7), 1,
      sym_identifier,
    STATE(4492), 1,
      sym_comment,
    STATE(6609), 1,
      sym_ui_nested_identifier,
    STATE(7677), 1,
      sym_ui_object_definition,
    ACTIONS(11), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [166652] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7647), 1,
      sym_identifier,
    STATE(4493), 1,
      sym_comment,
    STATE(8211), 1,
      sym_mapped_type_clause,
    ACTIONS(7649), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_new,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [166699] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7651), 1,
      sym_identifier,
    STATE(4316), 1,
      sym_ui_object_definition,
    STATE(4494), 1,
      sym_comment,
    STATE(6787), 1,
      sym_ui_nested_identifier,
    ACTIONS(7653), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [166748] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7655), 1,
      sym_identifier,
    ACTIONS(7659), 1,
      anon_sym_DOT,
    STATE(4495), 1,
      sym_comment,
    ACTIONS(7657), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [166794] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7625), 1,
      sym_identifier,
    STATE(4496), 1,
      sym_comment,
    STATE(6923), 1,
      sym_ui_nested_identifier,
    ACTIONS(7627), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [166840] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4497), 1,
      sym_comment,
    ACTIONS(7590), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [166882] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2370), 1,
      anon_sym_DOT,
    STATE(4498), 1,
      sym_comment,
    ACTIONS(5989), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [166926] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4499), 1,
      sym_comment,
    ACTIONS(7493), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [166968] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7659), 1,
      anon_sym_DOT,
    ACTIONS(7661), 1,
      sym_identifier,
    STATE(4500), 1,
      sym_comment,
    ACTIONS(7663), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [167014] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7665), 1,
      sym_identifier,
    STATE(4501), 1,
      sym_comment,
    STATE(6957), 1,
      sym_ui_nested_identifier,
    ACTIONS(7667), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [167060] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4502), 1,
      sym_comment,
    ACTIONS(7475), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [167102] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2410), 1,
      anon_sym_DOT,
    STATE(4503), 1,
      sym_comment,
    ACTIONS(5989), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [167146] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4504), 1,
      sym_comment,
    ACTIONS(7573), 30,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [167188] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4505), 1,
      sym_comment,
    ACTIONS(7669), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [167229] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(4506), 1,
      sym_comment,
    ACTIONS(7671), 29,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [167270] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7673), 1,
      sym_identifier,
    STATE(4507), 1,
      sym_comment,
    ACTIONS(7675), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [167313] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7677), 1,
      sym_identifier,
    STATE(4508), 1,
      sym_comment,
    ACTIONS(7679), 28,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_from,
      anon_sym_let,
      anon_sym_of,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_property,
      anon_sym_signal,
      anon_sym_on,
      anon_sym_required,
      anon_sym_component,
  [167356] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4509), 1,
      sym_comment,
    ACTIONS(4343), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5595), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [167391] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4510), 1,
      sym_comment,
    ACTIONS(4339), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5617), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [167426] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(4537), 1,
      anon_sym_DOT,
    ACTIONS(4541), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7681), 1,
      anon_sym_LT,
    STATE(4511), 1,
      sym_comment,
    STATE(4572), 1,
      sym_arguments,
    STATE(4675), 1,
      sym_type_arguments,
    ACTIONS(4535), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4531), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [167473] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(7681), 1,
      anon_sym_LT,
    ACTIONS(7683), 1,
      anon_sym_DOT,
    ACTIONS(7685), 1,
      anon_sym_QMARK_DOT,
    STATE(4512), 1,
      sym_comment,
    STATE(4574), 1,
      sym_arguments,
    STATE(4661), 1,
      sym_type_arguments,
    ACTIONS(5515), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5517), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [167520] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(7681), 1,
      anon_sym_LT,
    ACTIONS(7687), 1,
      anon_sym_DOT,
    ACTIONS(7689), 1,
      anon_sym_QMARK_DOT,
    STATE(4513), 1,
      sym_comment,
    STATE(4566), 1,
      sym_arguments,
    STATE(4647), 1,
      sym_type_arguments,
    ACTIONS(5521), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5523), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [167567] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4514), 1,
      sym_comment,
    ACTIONS(4337), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5565), 19,
      anon_sym_export,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_AT,
      anon_sym_abstract,
      anon_sym_extends,
  [167602] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2438), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4515), 1,
      sym_comment,
    ACTIONS(2440), 19,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [167636] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2474), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4516), 1,
      sym_comment,
    ACTIONS(2476), 19,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [167670] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4517), 1,
      sym_comment,
    ACTIONS(5957), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5959), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [167703] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4518), 1,
      sym_comment,
    ACTIONS(5929), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5931), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [167736] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4519), 1,
      sym_comment,
    ACTIONS(5867), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5869), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [167769] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4520), 1,
      sym_comment,
    ACTIONS(5867), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5869), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [167802] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4521), 1,
      sym_comment,
    ACTIONS(5925), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5927), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [167835] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4522), 1,
      sym_comment,
    ACTIONS(5925), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5927), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [167868] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4523), 1,
      sym_comment,
    ACTIONS(5925), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5927), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [167901] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4524), 1,
      sym_comment,
    ACTIONS(5951), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5953), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [167934] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4525), 1,
      sym_comment,
    ACTIONS(5933), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5935), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [167967] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4526), 1,
      sym_comment,
    ACTIONS(5863), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5865), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168000] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4527), 1,
      sym_comment,
    ACTIONS(5921), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5923), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168033] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4528), 1,
      sym_comment,
    ACTIONS(5871), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5873), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168066] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4529), 1,
      sym_comment,
    ACTIONS(5875), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5877), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168099] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4530), 1,
      sym_comment,
    ACTIONS(5871), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5873), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168132] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2474), 1,
      anon_sym_PIPE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4531), 1,
      sym_comment,
    ACTIONS(2476), 18,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
      aux_sym_ui_version_specifier_token1,
  [168165] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4532), 1,
      sym_comment,
    ACTIONS(5933), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5935), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168198] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4533), 1,
      sym_comment,
    ACTIONS(5957), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5959), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168231] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4534), 1,
      sym_comment,
    ACTIONS(5957), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5959), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168264] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4535), 1,
      sym_comment,
    ACTIONS(5961), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5963), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168297] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4536), 1,
      sym_comment,
    ACTIONS(5961), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5963), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168330] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4537), 1,
      sym_comment,
    ACTIONS(5961), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5963), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168363] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4538), 1,
      sym_comment,
    ACTIONS(5965), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5967), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168396] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4539), 1,
      sym_comment,
    ACTIONS(5965), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5967), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168429] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2438), 1,
      anon_sym_PIPE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4540), 1,
      sym_comment,
    ACTIONS(2440), 18,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
      aux_sym_ui_version_specifier_token1,
  [168462] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4541), 1,
      sym_comment,
    ACTIONS(5965), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5967), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168495] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4542), 1,
      sym_comment,
    ACTIONS(5875), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5877), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168528] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4543), 1,
      sym_comment,
    ACTIONS(5933), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5935), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168561] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5500), 1,
      anon_sym_EQ,
    ACTIONS(7681), 1,
      anon_sym_LT,
    ACTIONS(7691), 1,
      anon_sym_DOT,
    ACTIONS(7693), 1,
      anon_sym_is,
    STATE(4544), 1,
      sym_comment,
    STATE(4593), 1,
      sym_type_arguments,
    ACTIONS(4595), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [168602] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4545), 1,
      sym_comment,
    ACTIONS(5929), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5931), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168635] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4546), 1,
      sym_comment,
    ACTIONS(5863), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5865), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168668] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4547), 1,
      sym_comment,
    ACTIONS(5929), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5931), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168701] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4548), 1,
      sym_comment,
    ACTIONS(5885), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5887), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4549), 1,
      sym_comment,
    ACTIONS(5879), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5881), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168767] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4550), 1,
      sym_comment,
    ACTIONS(5879), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5881), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168800] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4551), 1,
      sym_comment,
    ACTIONS(5885), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5887), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168833] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4552), 1,
      sym_comment,
    ACTIONS(5859), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5861), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168866] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4553), 1,
      sym_comment,
    ACTIONS(5855), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5857), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [168899] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7695), 1,
      sym_identifier,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7699), 1,
      anon_sym_type,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7703), 1,
      anon_sym_typeof,
    STATE(4554), 1,
      sym_comment,
    STATE(6338), 1,
      sym_string,
    STATE(6339), 1,
      sym_import_require_clause,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(8108), 1,
      sym_import_clause,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7705), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [168953] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7707), 1,
      sym_identifier,
    ACTIONS(7709), 1,
      anon_sym_type,
    ACTIONS(7711), 1,
      anon_sym_typeof,
    STATE(4555), 1,
      sym_comment,
    STATE(6563), 1,
      sym_import_require_clause,
    STATE(6564), 1,
      sym_string,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(7912), 1,
      sym_import_clause,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7705), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [169007] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7713), 1,
      sym_identifier,
    ACTIONS(7715), 1,
      anon_sym_type,
    ACTIONS(7717), 1,
      anon_sym_typeof,
    STATE(4556), 1,
      sym_comment,
    STATE(6397), 1,
      sym_import_require_clause,
    STATE(6469), 1,
      sym_string,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(7715), 1,
      sym_import_clause,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7705), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [169061] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7719), 1,
      sym_identifier,
    ACTIONS(7721), 1,
      anon_sym_type,
    ACTIONS(7723), 1,
      anon_sym_typeof,
    STATE(4557), 1,
      sym_comment,
    STATE(6334), 1,
      sym_string,
    STATE(6342), 1,
      sym_import_require_clause,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(7910), 1,
      sym_import_clause,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7705), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [169115] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7725), 1,
      sym_identifier,
    ACTIONS(7727), 1,
      anon_sym_type,
    ACTIONS(7729), 1,
      anon_sym_typeof,
    STATE(4558), 1,
      sym_comment,
    STATE(6398), 1,
      sym_import_require_clause,
    STATE(6399), 1,
      sym_string,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(8024), 1,
      sym_import_clause,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7705), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [169169] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7731), 1,
      sym_identifier,
    ACTIONS(7733), 1,
      anon_sym_type,
    ACTIONS(7735), 1,
      anon_sym_typeof,
    STATE(4559), 1,
      sym_comment,
    STATE(6536), 1,
      sym_import_require_clause,
    STATE(6538), 1,
      sym_string,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(8158), 1,
      sym_import_clause,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7705), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [169223] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5500), 1,
      anon_sym_EQ,
    ACTIONS(7681), 1,
      anon_sym_LT,
    ACTIONS(7691), 1,
      anon_sym_DOT,
    STATE(4560), 1,
      sym_comment,
    STATE(4593), 1,
      sym_type_arguments,
    ACTIONS(4595), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [169261] = 16,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7737), 1,
      sym_identifier,
    ACTIONS(7739), 1,
      anon_sym_type,
    ACTIONS(7741), 1,
      anon_sym_typeof,
    STATE(4561), 1,
      sym_comment,
    STATE(6341), 1,
      sym_import_require_clause,
    STATE(6396), 1,
      sym_string,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(7846), 1,
      sym_import_clause,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(7705), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [169315] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3558), 1,
      anon_sym_EQ,
    STATE(4562), 1,
      sym_comment,
    ACTIONS(5711), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [169346] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4383), 1,
      anon_sym_EQ,
    STATE(4563), 1,
      sym_comment,
    ACTIONS(5905), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [169377] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4367), 1,
      anon_sym_EQ,
    STATE(4564), 1,
      sym_comment,
    ACTIONS(5835), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [169408] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4391), 1,
      anon_sym_EQ,
    STATE(4565), 1,
      sym_comment,
    ACTIONS(5837), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [169439] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4566), 1,
      sym_comment,
    ACTIONS(5793), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5795), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [169470] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5989), 1,
      anon_sym_EQ,
    STATE(4567), 1,
      sym_comment,
    ACTIONS(5991), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [169503] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3548), 1,
      anon_sym_EQ,
    STATE(4568), 1,
      sym_comment,
    ACTIONS(5853), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [169534] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4391), 1,
      anon_sym_EQ,
    STATE(4569), 1,
      sym_comment,
    ACTIONS(5837), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [169565] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4359), 1,
      anon_sym_EQ,
    STATE(4570), 1,
      sym_comment,
    ACTIONS(5839), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [169596] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4423), 1,
      anon_sym_EQ,
    STATE(4571), 1,
      sym_comment,
    ACTIONS(5773), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [169627] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4572), 1,
      sym_comment,
    ACTIONS(5683), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5685), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [169658] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4413), 1,
      anon_sym_EQ,
    STATE(4573), 1,
      sym_comment,
    ACTIONS(5777), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [169689] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4574), 1,
      sym_comment,
    ACTIONS(5785), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5787), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [169720] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4553), 1,
      anon_sym_LPAREN,
    ACTIONS(5515), 1,
      anon_sym_PIPE,
    ACTIONS(7743), 1,
      anon_sym_DOT,
    ACTIONS(7745), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7747), 1,
      anon_sym_LT,
    STATE(4575), 1,
      sym_comment,
    STATE(4799), 1,
      sym_arguments,
    STATE(4914), 1,
      sym_type_arguments,
    ACTIONS(5517), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [169763] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3546), 1,
      anon_sym_EQ,
    STATE(4576), 1,
      sym_comment,
    ACTIONS(5919), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [169794] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4367), 1,
      anon_sym_EQ,
    STATE(4577), 1,
      sym_comment,
    ACTIONS(5835), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [169825] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5569), 1,
      anon_sym_EQ,
    ACTIONS(7681), 1,
      anon_sym_LT,
    STATE(4578), 1,
      sym_comment,
    STATE(4613), 1,
      sym_type_arguments,
    ACTIONS(5571), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [169860] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4535), 1,
      anon_sym_PIPE,
    ACTIONS(4553), 1,
      anon_sym_LPAREN,
    ACTIONS(4555), 1,
      anon_sym_DOT,
    ACTIONS(4557), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7747), 1,
      anon_sym_LT,
    STATE(4579), 1,
      sym_comment,
    STATE(4797), 1,
      sym_arguments,
    STATE(4915), 1,
      sym_type_arguments,
    ACTIONS(4531), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [169903] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4379), 1,
      anon_sym_EQ,
    STATE(4580), 1,
      sym_comment,
    ACTIONS(5901), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [169934] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4381), 1,
      anon_sym_EQ,
    STATE(4581), 1,
      sym_comment,
    ACTIONS(5903), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [169965] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3550), 1,
      anon_sym_EQ,
    STATE(4582), 1,
      sym_comment,
    ACTIONS(5779), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [169996] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4553), 1,
      anon_sym_LPAREN,
    ACTIONS(5521), 1,
      anon_sym_PIPE,
    ACTIONS(7747), 1,
      anon_sym_LT,
    ACTIONS(7749), 1,
      anon_sym_DOT,
    ACTIONS(7751), 1,
      anon_sym_QMARK_DOT,
    STATE(4583), 1,
      sym_comment,
    STATE(4801), 1,
      sym_arguments,
    STATE(4913), 1,
      sym_type_arguments,
    ACTIONS(5523), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [170039] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7753), 1,
      anon_sym_DOT,
    ACTIONS(7755), 1,
      anon_sym_QMARK_DOT,
    STATE(4584), 1,
      sym_comment,
    ACTIONS(5713), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5715), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [170074] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4421), 1,
      anon_sym_EQ,
    STATE(4585), 1,
      sym_comment,
    ACTIONS(5775), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_QMARK,
      anon_sym_extends,
  [170105] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2412), 1,
      anon_sym_DOT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5989), 1,
      anon_sym_EQ,
    STATE(4586), 1,
      sym_comment,
    ACTIONS(5991), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [170138] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3544), 1,
      anon_sym_EQ,
    STATE(4587), 1,
      sym_comment,
    ACTIONS(5949), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [170169] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5577), 1,
      anon_sym_EQ,
    STATE(4588), 1,
      sym_comment,
    ACTIONS(5579), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [170199] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5561), 1,
      anon_sym_EQ,
    ACTIONS(7693), 1,
      anon_sym_is,
    STATE(4589), 1,
      sym_comment,
    ACTIONS(5563), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [170231] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5569), 1,
      anon_sym_EQ,
    ACTIONS(7757), 1,
      anon_sym_is,
    STATE(4590), 1,
      sym_comment,
    ACTIONS(5571), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [170263] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5589), 1,
      anon_sym_EQ,
    ACTIONS(7693), 1,
      anon_sym_is,
    STATE(4591), 1,
      sym_comment,
    ACTIONS(5591), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [170295] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2209), 1,
      anon_sym_EQ,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4592), 1,
      sym_comment,
    ACTIONS(2257), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [170325] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5741), 1,
      anon_sym_EQ,
    STATE(4593), 1,
      sym_comment,
    ACTIONS(5743), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [170354] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7765), 1,
      sym_number,
    ACTIONS(7767), 1,
      anon_sym_unique,
    STATE(4594), 1,
      sym_comment,
    STATE(8512), 1,
      sym_string,
    STATE(8518), 1,
      sym_predefined_type,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [170393] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_EQ,
    STATE(4595), 1,
      sym_comment,
    ACTIONS(5909), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [170422] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5867), 1,
      anon_sym_PIPE,
    STATE(4596), 1,
      sym_comment,
    ACTIONS(5869), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [170451] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5911), 1,
      anon_sym_EQ,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    STATE(4597), 1,
      sym_comment,
    ACTIONS(5913), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [170486] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5863), 1,
      anon_sym_PIPE,
    STATE(4598), 1,
      sym_comment,
    ACTIONS(5865), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [170515] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5845), 1,
      anon_sym_EQ,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    STATE(4599), 1,
      sym_comment,
    ACTIONS(5847), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [170546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5849), 1,
      anon_sym_EQ,
    STATE(4600), 1,
      sym_comment,
    ACTIONS(5851), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [170575] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5737), 1,
      anon_sym_EQ,
    STATE(4601), 1,
      sym_comment,
    ACTIONS(5739), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [170604] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5691), 1,
      anon_sym_EQ,
    STATE(4602), 1,
      sym_comment,
    ACTIONS(5689), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [170633] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4603), 1,
      sym_comment,
    ACTIONS(7775), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [170660] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5823), 1,
      anon_sym_EQ,
    STATE(4604), 1,
      sym_comment,
    ACTIONS(5825), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [170689] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4605), 1,
      sym_comment,
    ACTIONS(7777), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [170716] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7779), 1,
      sym_number,
    STATE(4606), 1,
      sym_comment,
    STATE(8294), 1,
      sym_predefined_type,
    STATE(8295), 1,
      sym_string,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [170755] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5625), 1,
      anon_sym_EQ,
    STATE(4607), 1,
      sym_comment,
    ACTIONS(5627), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [170784] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5867), 1,
      anon_sym_PIPE,
    STATE(4608), 1,
      sym_comment,
    ACTIONS(5869), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [170813] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5897), 1,
      anon_sym_EQ,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    STATE(4609), 1,
      sym_comment,
    ACTIONS(5899), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [170848] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5893), 1,
      anon_sym_EQ,
    STATE(4610), 1,
      sym_comment,
    ACTIONS(5895), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [170877] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5841), 1,
      anon_sym_EQ,
    STATE(4611), 1,
      sym_comment,
    ACTIONS(5843), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [170906] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5693), 1,
      anon_sym_EQ,
    STATE(4612), 1,
      sym_comment,
    ACTIONS(5695), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [170935] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5769), 1,
      anon_sym_EQ,
    STATE(4613), 1,
      sym_comment,
    ACTIONS(5771), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [170964] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4614), 1,
      sym_comment,
    ACTIONS(7781), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [170991] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5701), 1,
      anon_sym_EQ,
    ACTIONS(7783), 1,
      anon_sym_LBRACK,
    STATE(4615), 1,
      sym_comment,
    ACTIONS(5703), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [171022] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4616), 1,
      sym_comment,
    ACTIONS(7785), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [171049] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5937), 1,
      anon_sym_EQ,
    STATE(4617), 1,
      sym_comment,
    ACTIONS(5939), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [171078] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5697), 1,
      anon_sym_EQ,
    STATE(4618), 1,
      sym_comment,
    ACTIONS(5699), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [171107] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5871), 1,
      anon_sym_PIPE,
    STATE(4619), 1,
      sym_comment,
    ACTIONS(5873), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [171136] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5731), 1,
      anon_sym_EQ,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    STATE(4620), 1,
      sym_comment,
    ACTIONS(5733), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [171167] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5889), 1,
      anon_sym_EQ,
    STATE(4621), 1,
      sym_comment,
    ACTIONS(5891), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [171196] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5727), 1,
      anon_sym_EQ,
    STATE(4622), 1,
      sym_comment,
    ACTIONS(5729), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [171225] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5941), 1,
      anon_sym_EQ,
    STATE(4623), 1,
      sym_comment,
    ACTIONS(5943), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [171254] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5945), 1,
      anon_sym_EQ,
    STATE(4624), 1,
      sym_comment,
    ACTIONS(5947), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [171283] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5875), 1,
      anon_sym_PIPE,
    STATE(4625), 1,
      sym_comment,
    ACTIONS(5877), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [171312] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7787), 1,
      sym_number,
    STATE(4626), 1,
      sym_comment,
    STATE(8440), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [171349] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7789), 1,
      sym_number,
    STATE(4627), 1,
      sym_comment,
    STATE(8446), 1,
      sym_string,
    STATE(8449), 1,
      sym_predefined_type,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [171388] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7791), 1,
      sym_number,
    STATE(4628), 1,
      sym_comment,
    STATE(8454), 1,
      sym_string,
    STATE(8459), 1,
      sym_predefined_type,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [171427] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5871), 1,
      anon_sym_PIPE,
    STATE(4629), 1,
      sym_comment,
    ACTIONS(5873), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [171456] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5719), 1,
      anon_sym_EQ,
    STATE(4630), 1,
      sym_comment,
    ACTIONS(5721), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [171485] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5763), 1,
      anon_sym_EQ,
    ACTIONS(7783), 1,
      anon_sym_LBRACK,
    STATE(4631), 1,
      sym_comment,
    ACTIONS(5765), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [171516] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5933), 1,
      anon_sym_PIPE,
    STATE(4632), 1,
      sym_comment,
    ACTIONS(5935), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [171545] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4633), 1,
      sym_comment,
    ACTIONS(7793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [171572] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_EQ,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    STATE(4634), 1,
      sym_comment,
    ACTIONS(5909), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [171607] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7795), 1,
      sym_number,
    STATE(4635), 1,
      sym_comment,
    STATE(8538), 1,
      sym_string,
    STATE(8540), 1,
      sym_predefined_type,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [171646] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5933), 1,
      anon_sym_PIPE,
    STATE(4636), 1,
      sym_comment,
    ACTIONS(5935), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [171675] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7797), 1,
      sym_number,
    STATE(4637), 1,
      sym_comment,
    STATE(8305), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [171712] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5701), 1,
      anon_sym_EQ,
    STATE(4638), 1,
      sym_comment,
    ACTIONS(5703), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [171741] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5933), 1,
      anon_sym_PIPE,
    STATE(4639), 1,
      sym_comment,
    ACTIONS(5935), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [171770] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7799), 1,
      sym_number,
    STATE(4640), 1,
      sym_comment,
    STATE(8462), 1,
      sym_string,
    STATE(8463), 1,
      sym_predefined_type,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [171809] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7801), 1,
      sym_number,
    STATE(4641), 1,
      sym_comment,
    STATE(8504), 1,
      sym_predefined_type,
    STATE(8530), 1,
      sym_string,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [171848] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5745), 1,
      anon_sym_EQ,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    STATE(4642), 1,
      sym_comment,
    ACTIONS(5747), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [171883] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7803), 1,
      sym_number,
    STATE(4643), 1,
      sym_comment,
    STATE(8692), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [171920] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7805), 1,
      sym_number,
    STATE(4644), 1,
      sym_comment,
    STATE(8698), 1,
      sym_string,
    STATE(8701), 1,
      sym_predefined_type,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [171959] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4645), 1,
      sym_comment,
    ACTIONS(7807), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [171986] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7809), 1,
      sym_number,
    STATE(4646), 1,
      sym_comment,
    STATE(8710), 1,
      sym_string,
    STATE(8711), 1,
      sym_predefined_type,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [172025] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5797), 1,
      anon_sym_EQ,
    STATE(4647), 1,
      sym_comment,
    ACTIONS(5799), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [172054] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5561), 1,
      anon_sym_EQ,
    STATE(4648), 1,
      sym_comment,
    ACTIONS(5563), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [172083] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5957), 1,
      anon_sym_PIPE,
    STATE(4649), 1,
      sym_comment,
    ACTIONS(5959), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [172112] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5859), 1,
      anon_sym_PIPE,
    STATE(4650), 1,
      sym_comment,
    ACTIONS(5861), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [172141] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7811), 1,
      sym_number,
    STATE(4651), 1,
      sym_comment,
    STATE(8374), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [172178] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5589), 1,
      anon_sym_EQ,
    STATE(4652), 1,
      sym_comment,
    ACTIONS(5591), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [172207] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5879), 1,
      anon_sym_PIPE,
    STATE(4653), 1,
      sym_comment,
    ACTIONS(5881), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [172236] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7813), 1,
      sym_number,
    STATE(4654), 1,
      sym_comment,
    STATE(8732), 1,
      sym_string,
    STATE(8734), 1,
      sym_predefined_type,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [172275] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5929), 1,
      anon_sym_PIPE,
    STATE(4655), 1,
      sym_comment,
    ACTIONS(5931), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [172304] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5915), 1,
      anon_sym_EQ,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    STATE(4656), 1,
      sym_comment,
    ACTIONS(5917), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [172339] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5929), 1,
      anon_sym_PIPE,
    STATE(4657), 1,
      sym_comment,
    ACTIONS(5931), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [172368] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5929), 1,
      anon_sym_PIPE,
    STATE(4658), 1,
      sym_comment,
    ACTIONS(5931), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [172397] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5569), 1,
      anon_sym_EQ,
    STATE(4659), 1,
      sym_comment,
    ACTIONS(5571), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [172426] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4660), 1,
      sym_comment,
    ACTIONS(7815), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [172453] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5789), 1,
      anon_sym_EQ,
    STATE(4661), 1,
      sym_comment,
    ACTIONS(5791), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [172482] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5875), 1,
      anon_sym_PIPE,
    STATE(4662), 1,
      sym_comment,
    ACTIONS(5877), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [172511] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5925), 1,
      anon_sym_PIPE,
    STATE(4663), 1,
      sym_comment,
    ACTIONS(5927), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [172540] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5925), 1,
      anon_sym_PIPE,
    STATE(4664), 1,
      sym_comment,
    ACTIONS(5927), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [172569] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7817), 1,
      sym_number,
    STATE(4665), 1,
      sym_comment,
    STATE(8475), 1,
      sym_string,
    STATE(8483), 1,
      sym_predefined_type,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [172608] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5921), 1,
      anon_sym_PIPE,
    STATE(4666), 1,
      sym_comment,
    ACTIONS(5923), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [172637] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_PIPE,
    STATE(4667), 1,
      sym_comment,
    ACTIONS(5887), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [172666] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7819), 1,
      sym_number,
    STATE(4668), 1,
      sym_comment,
    STATE(8448), 1,
      sym_string,
    STATE(8464), 1,
      sym_predefined_type,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [172705] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5757), 1,
      anon_sym_EQ,
    ACTIONS(7821), 1,
      anon_sym_extends,
    STATE(4669), 1,
      sym_comment,
    ACTIONS(5759), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
  [172736] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5827), 1,
      anon_sym_EQ,
    STATE(4670), 1,
      sym_comment,
    ACTIONS(5829), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [172765] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5879), 1,
      anon_sym_PIPE,
    STATE(4671), 1,
      sym_comment,
    ACTIONS(5881), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [172794] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7823), 1,
      sym_number,
    STATE(4672), 1,
      sym_comment,
    STATE(8302), 1,
      sym_predefined_type,
    STATE(8303), 1,
      sym_string,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [172833] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5951), 1,
      anon_sym_PIPE,
    STATE(4673), 1,
      sym_comment,
    ACTIONS(5953), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [172862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5957), 1,
      anon_sym_PIPE,
    STATE(4674), 1,
      sym_comment,
    ACTIONS(5959), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [172891] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5781), 1,
      anon_sym_EQ,
    STATE(4675), 1,
      sym_comment,
    ACTIONS(5783), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [172920] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5707), 1,
      anon_sym_EQ,
    STATE(4676), 1,
      sym_comment,
    ACTIONS(5709), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [172949] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5957), 1,
      anon_sym_PIPE,
    STATE(4677), 1,
      sym_comment,
    ACTIONS(5959), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [172978] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5925), 1,
      anon_sym_PIPE,
    STATE(4678), 1,
      sym_comment,
    ACTIONS(5927), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [173007] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7825), 1,
      sym_number,
    STATE(4679), 1,
      sym_comment,
    STATE(8428), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [173044] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5961), 1,
      anon_sym_PIPE,
    STATE(4680), 1,
      sym_comment,
    ACTIONS(5963), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [173073] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5831), 1,
      anon_sym_EQ,
    STATE(4681), 1,
      sym_comment,
    ACTIONS(5833), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [173102] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5831), 1,
      anon_sym_EQ,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    STATE(4682), 1,
      sym_comment,
    ACTIONS(5833), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [173137] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5723), 1,
      anon_sym_EQ,
    STATE(4683), 1,
      sym_comment,
    ACTIONS(5725), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [173166] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5885), 1,
      anon_sym_PIPE,
    STATE(4684), 1,
      sym_comment,
    ACTIONS(5887), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [173195] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5961), 1,
      anon_sym_PIPE,
    STATE(4685), 1,
      sym_comment,
    ACTIONS(5963), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [173224] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4686), 1,
      sym_comment,
    ACTIONS(7827), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [173251] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5973), 1,
      anon_sym_EQ,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    STATE(4687), 1,
      sym_comment,
    ACTIONS(5975), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [173286] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5855), 1,
      anon_sym_PIPE,
    STATE(4688), 1,
      sym_comment,
    ACTIONS(5857), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [173315] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4689), 1,
      sym_comment,
    ACTIONS(7829), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [173342] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5961), 1,
      anon_sym_PIPE,
    STATE(4690), 1,
      sym_comment,
    ACTIONS(5963), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [173371] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7831), 1,
      sym_number,
    STATE(4691), 1,
      sym_comment,
    STATE(8432), 1,
      sym_string,
    STATE(8552), 1,
      sym_predefined_type,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [173410] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5965), 1,
      anon_sym_PIPE,
    STATE(4692), 1,
      sym_comment,
    ACTIONS(5967), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [173439] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7833), 1,
      anon_sym_LPAREN,
    ACTIONS(7835), 1,
      anon_sym_DOT,
    ACTIONS(7837), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7839), 1,
      anon_sym_LT,
    STATE(4693), 1,
      sym_comment,
    STATE(4893), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_type_arguments,
    ACTIONS(5523), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [173478] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5969), 1,
      anon_sym_EQ,
    STATE(4694), 1,
      sym_comment,
    ACTIONS(5971), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [173507] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7833), 1,
      anon_sym_LPAREN,
    ACTIONS(7839), 1,
      anon_sym_LT,
    ACTIONS(7841), 1,
      anon_sym_DOT,
    ACTIONS(7843), 1,
      anon_sym_QMARK_DOT,
    STATE(4695), 1,
      sym_comment,
    STATE(4889), 1,
      sym_arguments,
    STATE(5100), 1,
      sym_type_arguments,
    ACTIONS(5517), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [173546] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7833), 1,
      anon_sym_LPAREN,
    ACTIONS(7839), 1,
      anon_sym_LT,
    ACTIONS(7845), 1,
      anon_sym_DOT,
    ACTIONS(7847), 1,
      anon_sym_QMARK_DOT,
    STATE(4696), 1,
      sym_comment,
    STATE(4886), 1,
      sym_arguments,
    STATE(5105), 1,
      sym_type_arguments,
    ACTIONS(4531), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [173585] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5819), 1,
      anon_sym_EQ,
    STATE(4697), 1,
      sym_comment,
    ACTIONS(5821), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [173614] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5965), 1,
      anon_sym_PIPE,
    STATE(4698), 1,
      sym_comment,
    ACTIONS(5967), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [173643] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5753), 1,
      anon_sym_EQ,
    ACTIONS(7783), 1,
      anon_sym_LBRACK,
    STATE(4699), 1,
      sym_comment,
    ACTIONS(5703), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(5755), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [173676] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5965), 1,
      anon_sym_PIPE,
    STATE(4700), 1,
      sym_comment,
    ACTIONS(5967), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [173705] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    ACTIONS(7767), 1,
      anon_sym_unique,
    ACTIONS(7849), 1,
      sym_number,
    STATE(4701), 1,
      sym_comment,
    STATE(8289), 1,
      sym_predefined_type,
    STATE(8292), 1,
      sym_string,
    ACTIONS(7763), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [173744] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5863), 1,
      anon_sym_PIPE,
    STATE(4702), 1,
      sym_comment,
    ACTIONS(5865), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [173773] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5500), 1,
      anon_sym_PIPE,
    ACTIONS(7747), 1,
      anon_sym_LT,
    ACTIONS(7851), 1,
      anon_sym_DOT,
    ACTIONS(7853), 1,
      anon_sym_is,
    STATE(4703), 1,
      sym_comment,
    STATE(4932), 1,
      sym_type_arguments,
    ACTIONS(4595), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [173810] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7859), 1,
      anon_sym_BANG,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7867), 1,
      anon_sym_QMARK,
    STATE(4704), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5908), 1,
      sym_type_annotation,
    STATE(7134), 1,
      sym__initializer,
    STATE(7421), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(7857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173858] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7871), 1,
      anon_sym_BANG,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(7875), 1,
      anon_sym_QMARK,
    STATE(4705), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6040), 1,
      sym_type_annotation,
    STATE(6625), 1,
      sym__initializer,
    STATE(6626), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(7869), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173906] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7879), 1,
      anon_sym_BANG,
    ACTIONS(7881), 1,
      anon_sym_QMARK,
    STATE(4706), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6289), 1,
      sym_type_annotation,
    STATE(7161), 1,
      sym__initializer,
    STATE(7371), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(7877), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [173954] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5251), 1,
      anon_sym_COMMA,
    ACTIONS(5269), 1,
      anon_sym_RBRACE,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    STATE(4707), 1,
      sym_comment,
    STATE(5297), 1,
      sym_formal_parameters,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    STATE(7433), 1,
      sym_type_parameters,
    ACTIONS(5208), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [173998] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5251), 1,
      anon_sym_COMMA,
    ACTIONS(5281), 1,
      anon_sym_RBRACE,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    STATE(4708), 1,
      sym_comment,
    STATE(5297), 1,
      sym_formal_parameters,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    STATE(7433), 1,
      sym_type_parameters,
    ACTIONS(5208), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [174042] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7887), 1,
      anon_sym_BANG,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    ACTIONS(7891), 1,
      anon_sym_QMARK,
    STATE(4709), 1,
      sym_comment,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5632), 1,
      sym__call_signature,
    STATE(6210), 1,
      sym_type_annotation,
    STATE(7335), 1,
      sym__initializer,
    STATE(7675), 1,
      sym_type_parameters,
    ACTIONS(7885), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174090] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7895), 1,
      anon_sym_BANG,
    ACTIONS(7897), 1,
      anon_sym_QMARK,
    STATE(4710), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6033), 1,
      sym_type_annotation,
    STATE(6987), 1,
      sym__initializer,
    STATE(8189), 1,
      sym_type_parameters,
    STATE(8192), 1,
      sym__call_signature,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174138] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7899), 1,
      anon_sym_BANG,
    ACTIONS(7901), 1,
      anon_sym_QMARK,
    STATE(4711), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6278), 1,
      sym_type_annotation,
    STATE(7200), 1,
      sym__initializer,
    STATE(7780), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(7877), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174186] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7903), 1,
      anon_sym_BANG,
    ACTIONS(7905), 1,
      anon_sym_QMARK,
    STATE(4712), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5860), 1,
      sym_type_annotation,
    STATE(7096), 1,
      sym__initializer,
    STATE(7971), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(7857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174234] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5500), 1,
      anon_sym_PIPE,
    ACTIONS(7747), 1,
      anon_sym_LT,
    ACTIONS(7851), 1,
      anon_sym_DOT,
    STATE(4713), 1,
      sym_comment,
    STATE(4932), 1,
      sym_type_arguments,
    ACTIONS(4595), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [174268] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7907), 1,
      anon_sym_BANG,
    ACTIONS(7909), 1,
      anon_sym_QMARK,
    STATE(4714), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6198), 1,
      sym_type_annotation,
    STATE(7225), 1,
      sym__initializer,
    STATE(7375), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(7877), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174316] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    ACTIONS(7913), 1,
      anon_sym_BANG,
    ACTIONS(7915), 1,
      anon_sym_QMARK,
    STATE(4715), 1,
      sym_comment,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5734), 1,
      sym__call_signature,
    STATE(5761), 1,
      sym_type_annotation,
    STATE(6935), 1,
      sym__initializer,
    STATE(7675), 1,
      sym_type_parameters,
    ACTIONS(7911), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174364] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7917), 1,
      sym_identifier,
    ACTIONS(7919), 1,
      anon_sym_type,
    STATE(4716), 1,
      sym_comment,
    STATE(6358), 1,
      sym_string,
    STATE(6359), 1,
      sym_import_require_clause,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(7903), 1,
      sym_import_clause,
    ACTIONS(7921), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
  [174412] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7917), 1,
      sym_identifier,
    ACTIONS(7919), 1,
      anon_sym_type,
    STATE(4717), 1,
      sym_comment,
    STATE(6504), 1,
      sym_import_require_clause,
    STATE(6506), 1,
      sym_string,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(8125), 1,
      sym_import_clause,
    ACTIONS(7921), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
  [174460] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7925), 1,
      anon_sym_BANG,
    ACTIONS(7927), 1,
      anon_sym_QMARK,
    STATE(4718), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5909), 1,
      sym_type_annotation,
    STATE(7137), 1,
      sym__initializer,
    STATE(7887), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(7923), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174508] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    ACTIONS(7931), 1,
      anon_sym_BANG,
    ACTIONS(7933), 1,
      anon_sym_QMARK,
    STATE(4719), 1,
      sym_comment,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5516), 1,
      sym__call_signature,
    STATE(5778), 1,
      sym_type_annotation,
    STATE(6604), 1,
      sym__initializer,
    STATE(7675), 1,
      sym_type_parameters,
    ACTIONS(7929), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174556] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7917), 1,
      sym_identifier,
    ACTIONS(7919), 1,
      anon_sym_type,
    STATE(4720), 1,
      sym_comment,
    STATE(6408), 1,
      sym_string,
    STATE(6409), 1,
      sym_import_require_clause,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(8129), 1,
      sym_import_clause,
    ACTIONS(7921), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
  [174604] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7935), 1,
      anon_sym_BANG,
    ACTIONS(7937), 1,
      anon_sym_QMARK,
    STATE(4721), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5804), 1,
      sym_type_annotation,
    STATE(7062), 1,
      sym__initializer,
    STATE(8030), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(7857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174652] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7871), 1,
      anon_sym_BANG,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    ACTIONS(7939), 1,
      anon_sym_QMARK,
    STATE(4722), 1,
      sym_comment,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5554), 1,
      sym__call_signature,
    STATE(6040), 1,
      sym_type_annotation,
    STATE(6641), 1,
      sym__initializer,
    STATE(7675), 1,
      sym_type_parameters,
    ACTIONS(7869), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174700] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7941), 1,
      anon_sym_BANG,
    ACTIONS(7943), 1,
      anon_sym_QMARK,
    STATE(4723), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5745), 1,
      sym_type_annotation,
    STATE(6602), 1,
      sym__initializer,
    STATE(7628), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174748] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7917), 1,
      sym_identifier,
    ACTIONS(7919), 1,
      anon_sym_type,
    STATE(4724), 1,
      sym_comment,
    STATE(6509), 1,
      sym_import_require_clause,
    STATE(6510), 1,
      sym_string,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(7948), 1,
      sym_import_clause,
    ACTIONS(7921), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
  [174796] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7945), 1,
      anon_sym_BANG,
    ACTIONS(7947), 1,
      anon_sym_QMARK,
    STATE(4725), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6237), 1,
      sym_type_annotation,
    STATE(7083), 1,
      sym__initializer,
    STATE(7988), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(7877), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174844] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7949), 1,
      anon_sym_BANG,
    ACTIONS(7951), 1,
      anon_sym_QMARK,
    STATE(4726), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6229), 1,
      sym_type_annotation,
    STATE(7059), 1,
      sym__initializer,
    STATE(8028), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(7877), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174892] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(7913), 1,
      anon_sym_BANG,
    ACTIONS(7953), 1,
      anon_sym_QMARK,
    STATE(4727), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5761), 1,
      sym_type_annotation,
    STATE(6998), 1,
      sym__call_signature,
    STATE(7006), 1,
      sym__initializer,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(7911), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [174940] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5251), 1,
      anon_sym_COMMA,
    ACTIONS(5272), 1,
      anon_sym_RBRACE,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    STATE(4728), 1,
      sym_comment,
    STATE(5297), 1,
      sym_formal_parameters,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    STATE(7433), 1,
      sym_type_parameters,
    ACTIONS(5208), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [174984] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7957), 1,
      anon_sym_BANG,
    ACTIONS(7959), 1,
      anon_sym_QMARK,
    STATE(4729), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5750), 1,
      sym_type_annotation,
    STATE(6663), 1,
      sym__initializer,
    STATE(7977), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(7955), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175032] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5251), 1,
      anon_sym_COMMA,
    ACTIONS(5275), 1,
      anon_sym_RBRACE,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    STATE(4730), 1,
      sym_comment,
    STATE(5297), 1,
      sym_formal_parameters,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    STATE(7433), 1,
      sym_type_parameters,
    ACTIONS(5208), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [175076] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5251), 1,
      anon_sym_COMMA,
    ACTIONS(5254), 1,
      anon_sym_RBRACE,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    STATE(4731), 1,
      sym_comment,
    STATE(5297), 1,
      sym_formal_parameters,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    STATE(7433), 1,
      sym_type_parameters,
    ACTIONS(5208), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [175120] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7961), 1,
      anon_sym_BANG,
    ACTIONS(7963), 1,
      anon_sym_QMARK,
    STATE(4732), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6187), 1,
      sym_type_annotation,
    STATE(7347), 1,
      sym__initializer,
    STATE(7600), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(7877), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175168] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(120), 1,
      anon_sym_unique,
    STATE(4652), 1,
      sym_type_predicate,
    STATE(4733), 1,
      sym_comment,
    STATE(8233), 1,
      sym_predefined_type,
    ACTIONS(7965), 2,
      sym_identifier,
      sym_this,
    ACTIONS(122), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [175202] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    STATE(4734), 1,
      sym_comment,
    STATE(3148), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5783), 10,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [175234] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7917), 1,
      sym_identifier,
    ACTIONS(7919), 1,
      anon_sym_type,
    STATE(4735), 1,
      sym_comment,
    STATE(6541), 1,
      sym_import_require_clause,
    STATE(6542), 1,
      sym_string,
    STATE(7429), 1,
      sym_import_clause,
    STATE(7706), 1,
      sym__import_identifier,
    ACTIONS(7921), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
  [175282] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7967), 1,
      anon_sym_BANG,
    ACTIONS(7969), 1,
      anon_sym_QMARK,
    STATE(4736), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5820), 1,
      sym_type_annotation,
    STATE(7041), 1,
      sym__initializer,
    STATE(8066), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(7857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175330] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7971), 1,
      anon_sym_BANG,
    ACTIONS(7973), 1,
      anon_sym_QMARK,
    STATE(4737), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6005), 1,
      sym_type_annotation,
    STATE(6849), 1,
      sym__initializer,
    STATE(8033), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175378] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7917), 1,
      sym_identifier,
    ACTIONS(7919), 1,
      anon_sym_type,
    STATE(4738), 1,
      sym_comment,
    STATE(6363), 1,
      sym_import_require_clause,
    STATE(6364), 1,
      sym_string,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(7985), 1,
      sym_import_clause,
    ACTIONS(7921), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
  [175426] = 15,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7917), 1,
      sym_identifier,
    ACTIONS(7919), 1,
      anon_sym_type,
    STATE(4739), 1,
      sym_comment,
    STATE(6402), 1,
      sym_string,
    STATE(6403), 1,
      sym_import_require_clause,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(7832), 1,
      sym_import_clause,
    ACTIONS(7921), 2,
      anon_sym_COMMA,
      anon_sym_from,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
  [175474] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(120), 1,
      anon_sym_unique,
    STATE(3467), 1,
      sym_type_predicate,
    STATE(4740), 1,
      sym_comment,
    STATE(8269), 1,
      sym_predefined_type,
    ACTIONS(7975), 2,
      sym_identifier,
      sym_this,
    ACTIONS(122), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [175508] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5251), 1,
      anon_sym_COMMA,
    ACTIONS(5278), 1,
      anon_sym_RBRACE,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    STATE(4741), 1,
      sym_comment,
    STATE(5297), 1,
      sym_formal_parameters,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    STATE(7433), 1,
      sym_type_parameters,
    ACTIONS(5208), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [175552] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(120), 1,
      anon_sym_unique,
    STATE(4742), 1,
      sym_comment,
    STATE(5062), 1,
      sym_type_predicate,
    STATE(8353), 1,
      sym_predefined_type,
    ACTIONS(7977), 2,
      sym_identifier,
      sym_this,
    ACTIONS(122), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [175586] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(120), 1,
      anon_sym_unique,
    STATE(4743), 1,
      sym_comment,
    STATE(4882), 1,
      sym_type_predicate,
    STATE(8592), 1,
      sym_predefined_type,
    ACTIONS(7979), 2,
      sym_identifier,
      sym_this,
    ACTIONS(122), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [175620] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(120), 1,
      anon_sym_unique,
    STATE(2844), 1,
      sym_type_predicate,
    STATE(4744), 1,
      sym_comment,
    STATE(8402), 1,
      sym_predefined_type,
    ACTIONS(7981), 2,
      sym_identifier,
      sym_this,
    ACTIONS(122), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [175654] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    ACTIONS(7985), 1,
      anon_sym_BANG,
    ACTIONS(7987), 1,
      anon_sym_QMARK,
    STATE(4745), 1,
      sym_comment,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5639), 1,
      sym__call_signature,
    STATE(6171), 1,
      sym_type_annotation,
    STATE(7327), 1,
      sym__initializer,
    STATE(7675), 1,
      sym_type_parameters,
    ACTIONS(7983), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175702] = 15,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7989), 1,
      anon_sym_BANG,
    ACTIONS(7991), 1,
      anon_sym_QMARK,
    STATE(4746), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5972), 1,
      sym_type_annotation,
    STATE(6803), 1,
      sym__initializer,
    STATE(7363), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [175750] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(7995), 1,
      anon_sym_QMARK,
    STATE(4747), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5929), 1,
      sym__call_signature,
    STATE(5937), 1,
      sym_type_annotation,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(7993), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175791] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4748), 1,
      sym_comment,
    ACTIONS(5923), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [175816] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4423), 1,
      anon_sym_PIPE,
    STATE(4749), 1,
      sym_comment,
    ACTIONS(5773), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [175843] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4421), 1,
      anon_sym_PIPE,
    STATE(4750), 1,
      sym_comment,
    ACTIONS(5775), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [175870] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4413), 1,
      anon_sym_PIPE,
    STATE(4751), 1,
      sym_comment,
    ACTIONS(5777), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [175897] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7839), 1,
      anon_sym_LT,
    ACTIONS(7997), 1,
      anon_sym_DOT,
    ACTIONS(7999), 1,
      anon_sym_is,
    STATE(4752), 1,
      sym_comment,
    STATE(5165), 1,
      sym_type_arguments,
    ACTIONS(4595), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [175930] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(8003), 1,
      anon_sym_QMARK,
    STATE(4753), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6042), 1,
      sym_type_annotation,
    STATE(6064), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8001), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [175971] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(8007), 1,
      anon_sym_QMARK,
    STATE(4754), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5918), 1,
      sym__call_signature,
    STATE(5919), 1,
      sym_type_annotation,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8005), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176012] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(8011), 1,
      anon_sym_QMARK,
    STATE(4755), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6132), 1,
      sym_type_annotation,
    STATE(6133), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8009), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176053] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4383), 1,
      anon_sym_PIPE,
    STATE(4756), 1,
      sym_comment,
    ACTIONS(5905), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [176080] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4381), 1,
      anon_sym_PIPE,
    STATE(4757), 1,
      sym_comment,
    ACTIONS(5903), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [176107] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4379), 1,
      anon_sym_PIPE,
    STATE(4758), 1,
      sym_comment,
    ACTIONS(5901), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [176134] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(8015), 1,
      anon_sym_QMARK,
    STATE(4759), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6190), 1,
      sym__call_signature,
    STATE(6199), 1,
      sym_type_annotation,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8013), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176175] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4760), 1,
      sym_comment,
    ACTIONS(5887), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176200] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4761), 1,
      sym_comment,
    ACTIONS(5881), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176225] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7681), 1,
      anon_sym_LT,
    ACTIONS(7691), 1,
      anon_sym_DOT,
    ACTIONS(8017), 1,
      anon_sym_EQ,
    ACTIONS(8022), 1,
      anon_sym_COLON,
    ACTIONS(8024), 1,
      anon_sym_extends,
    STATE(4593), 1,
      sym_type_arguments,
    STATE(4762), 1,
      sym_comment,
    STATE(6381), 1,
      sym_constraint,
    STATE(8085), 1,
      sym_default_type,
    ACTIONS(8019), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(4595), 3,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [176268] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(8027), 1,
      anon_sym_QMARK,
    STATE(4763), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5257), 1,
      sym__call_signature,
    STATE(5919), 1,
      sym_type_annotation,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8005), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176309] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4764), 1,
      sym_comment,
    ACTIONS(5887), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176334] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5989), 1,
      anon_sym_PIPE,
    STATE(4765), 1,
      sym_comment,
    ACTIONS(5991), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [176363] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4766), 1,
      sym_comment,
    ACTIONS(5881), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176388] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4767), 1,
      sym_comment,
    ACTIONS(5877), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176413] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4768), 1,
      sym_comment,
    ACTIONS(5873), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176438] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4769), 1,
      sym_comment,
    ACTIONS(5877), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176463] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5569), 1,
      anon_sym_PIPE,
    ACTIONS(7747), 1,
      anon_sym_LT,
    STATE(4770), 1,
      sym_comment,
    STATE(4924), 1,
      sym_type_arguments,
    ACTIONS(5571), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [176494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4771), 1,
      sym_comment,
    ACTIONS(5873), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176519] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4772), 1,
      sym_comment,
    ACTIONS(5869), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176544] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4773), 1,
      sym_comment,
    ACTIONS(5865), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176569] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4774), 1,
      sym_comment,
    ACTIONS(5869), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176594] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4775), 1,
      sym_comment,
    ACTIONS(5865), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176619] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4776), 1,
      sym_comment,
    ACTIONS(5861), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176644] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4343), 1,
      anon_sym_PIPE,
    STATE(4777), 1,
      sym_comment,
    ACTIONS(5595), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [176671] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4778), 1,
      sym_comment,
    ACTIONS(5857), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176696] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(8029), 1,
      anon_sym_COLON,
    ACTIONS(8031), 1,
      anon_sym_QMARK,
    STATE(4779), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5421), 1,
      sym__call_signature,
    STATE(6132), 1,
      sym_type_annotation,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8009), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [176737] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4780), 1,
      sym_comment,
    ACTIONS(5963), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176762] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4781), 1,
      sym_comment,
    ACTIONS(5927), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176787] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4782), 1,
      sym_comment,
    ACTIONS(5927), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176812] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4783), 1,
      sym_comment,
    ACTIONS(5927), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176837] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4784), 1,
      sym_comment,
    ACTIONS(5931), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176862] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4785), 1,
      sym_comment,
    ACTIONS(5931), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176887] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4786), 1,
      sym_comment,
    ACTIONS(5931), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176912] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4787), 1,
      sym_comment,
    ACTIONS(5935), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176937] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4788), 1,
      sym_comment,
    ACTIONS(5935), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176962] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4789), 1,
      sym_comment,
    ACTIONS(5935), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [176987] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(8033), 1,
      anon_sym_QMARK,
    STATE(4790), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5437), 1,
      sym__call_signature,
    STATE(5937), 1,
      sym_type_annotation,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(7993), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177028] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4367), 1,
      anon_sym_PIPE,
    STATE(4791), 1,
      sym_comment,
    ACTIONS(5835), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [177055] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(8035), 1,
      anon_sym_QMARK,
    STATE(4792), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5237), 1,
      sym__call_signature,
    STATE(6042), 1,
      sym_type_annotation,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8001), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4367), 1,
      anon_sym_PIPE,
    STATE(4793), 1,
      sym_comment,
    ACTIONS(5835), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [177123] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4391), 1,
      anon_sym_PIPE,
    STATE(4794), 1,
      sym_comment,
    ACTIONS(5837), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [177150] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4795), 1,
      sym_comment,
    ACTIONS(5967), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [177175] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2412), 1,
      anon_sym_DOT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5989), 1,
      anon_sym_PIPE,
    STATE(4796), 1,
      sym_comment,
    ACTIONS(5991), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [177204] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5683), 1,
      anon_sym_PIPE,
    STATE(4797), 1,
      sym_comment,
    ACTIONS(5685), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [177231] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(8037), 1,
      anon_sym_QMARK,
    STATE(4798), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5268), 1,
      sym__call_signature,
    STATE(6199), 1,
      sym_type_annotation,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8013), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177272] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5785), 1,
      anon_sym_PIPE,
    STATE(4799), 1,
      sym_comment,
    ACTIONS(5787), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [177299] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4800), 1,
      sym_comment,
    ACTIONS(5967), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [177324] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5793), 1,
      anon_sym_PIPE,
    STATE(4801), 1,
      sym_comment,
    ACTIONS(5795), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [177351] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4802), 1,
      sym_comment,
    ACTIONS(5967), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [177376] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5713), 1,
      anon_sym_PIPE,
    ACTIONS(8039), 1,
      anon_sym_DOT,
    ACTIONS(8041), 1,
      anon_sym_QMARK_DOT,
    STATE(4803), 1,
      sym_comment,
    ACTIONS(5715), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [177407] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4804), 1,
      sym_comment,
    ACTIONS(5963), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [177432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4805), 1,
      sym_comment,
    ACTIONS(5963), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [177457] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4337), 1,
      anon_sym_PIPE,
    STATE(4806), 1,
      sym_comment,
    ACTIONS(5565), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [177484] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4359), 1,
      anon_sym_PIPE,
    STATE(4807), 1,
      sym_comment,
    ACTIONS(5839), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [177511] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5781), 1,
      anon_sym_PIPE,
    STATE(4808), 1,
      sym_comment,
    STATE(3148), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5783), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [177544] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4391), 1,
      anon_sym_PIPE,
    STATE(4809), 1,
      sym_comment,
    ACTIONS(5837), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [177571] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4339), 1,
      anon_sym_PIPE,
    STATE(4810), 1,
      sym_comment,
    ACTIONS(5617), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [177598] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4811), 1,
      sym_comment,
    ACTIONS(5953), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [177623] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4812), 1,
      sym_comment,
    ACTIONS(5959), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [177648] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4813), 1,
      sym_comment,
    ACTIONS(5959), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [177673] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4814), 1,
      sym_comment,
    ACTIONS(5959), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [177698] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(4815), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5787), 1,
      sym_type_annotation,
    STATE(6613), 1,
      sym__initializer,
    STATE(7467), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177740] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7839), 1,
      anon_sym_LT,
    ACTIONS(7997), 1,
      anon_sym_DOT,
    STATE(4816), 1,
      sym_comment,
    STATE(5165), 1,
      sym_type_arguments,
    ACTIONS(4595), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [177770] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    STATE(4817), 1,
      sym_comment,
    STATE(5297), 1,
      sym_formal_parameters,
    STATE(7433), 1,
      sym_type_parameters,
    ACTIONS(5404), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5208), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [177806] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5569), 1,
      anon_sym_PIPE,
    ACTIONS(8045), 1,
      anon_sym_is,
    STATE(4818), 1,
      sym_comment,
    ACTIONS(5571), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [177834] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4819), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5766), 1,
      sym_type_annotation,
    STATE(6800), 1,
      sym__initializer,
    STATE(6991), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8047), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [177876] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4820), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6173), 1,
      sym__call_signature,
    STATE(6180), 1,
      sym_type_annotation,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8049), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [177914] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5251), 1,
      anon_sym_COMMA,
    ACTIONS(5281), 1,
      anon_sym_RBRACE,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    STATE(4821), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(5208), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [177948] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7917), 1,
      sym_identifier,
    ACTIONS(7919), 1,
      anon_sym_type,
    STATE(4822), 1,
      sym_comment,
    STATE(6408), 1,
      sym_string,
    STATE(6409), 1,
      sym_import_require_clause,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(8129), 1,
      sym_import_clause,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
  [177992] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4823), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5252), 1,
      sym__call_signature,
    STATE(6180), 1,
      sym_type_annotation,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8049), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178030] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4824), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5964), 1,
      sym__call_signature,
    STATE(5974), 1,
      sym_type_annotation,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8051), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178068] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5251), 1,
      anon_sym_COMMA,
    ACTIONS(5272), 1,
      anon_sym_RBRACE,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    STATE(4825), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(5208), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [178102] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(4826), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5884), 1,
      sym_type_annotation,
    STATE(7122), 1,
      sym__initializer,
    STATE(7915), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178144] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5251), 1,
      anon_sym_COMMA,
    ACTIONS(5254), 1,
      anon_sym_RBRACE,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    STATE(4827), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(5208), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [178178] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5589), 1,
      anon_sym_PIPE,
    ACTIONS(7853), 1,
      anon_sym_is,
    STATE(4828), 1,
      sym_comment,
    ACTIONS(5591), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [178206] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5577), 1,
      anon_sym_PIPE,
    STATE(4829), 1,
      sym_comment,
    ACTIONS(5579), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [178232] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(4830), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5751), 1,
      sym_type_annotation,
    STATE(6603), 1,
      sym__initializer,
    STATE(7412), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178274] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7917), 1,
      sym_identifier,
    ACTIONS(7919), 1,
      anon_sym_type,
    STATE(4831), 1,
      sym_comment,
    STATE(6358), 1,
      sym_string,
    STATE(6359), 1,
      sym_import_require_clause,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(7903), 1,
      sym_import_clause,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
  [178318] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4832), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5445), 1,
      sym__call_signature,
    STATE(5974), 1,
      sym_type_annotation,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8051), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178356] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4833), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5240), 1,
      sym__call_signature,
    STATE(6116), 1,
      sym_type_annotation,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178394] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(4834), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6044), 1,
      sym_type_annotation,
    STATE(6937), 1,
      sym__initializer,
    STATE(8189), 1,
      sym_type_parameters,
    STATE(8190), 1,
      sym__call_signature,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178436] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(4835), 1,
      sym_comment,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5531), 1,
      sym__call_signature,
    STATE(5904), 1,
      sym_type_annotation,
    STATE(6612), 1,
      sym__initializer,
    STATE(7675), 1,
      sym_type_parameters,
    ACTIONS(8057), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178478] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(4836), 1,
      sym_comment,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5641), 1,
      sym__call_signature,
    STATE(6152), 1,
      sym_type_annotation,
    STATE(7320), 1,
      sym__initializer,
    STATE(7675), 1,
      sym_type_parameters,
    ACTIONS(8059), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178520] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(4837), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6011), 1,
      sym_type_annotation,
    STATE(6876), 1,
      sym__initializer,
    STATE(8082), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178562] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2209), 1,
      anon_sym_PIPE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4838), 1,
      sym_comment,
    ACTIONS(2257), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [178588] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(4839), 1,
      sym_comment,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5612), 1,
      sym__call_signature,
    STATE(6291), 1,
      sym_type_annotation,
    STATE(7176), 1,
      sym__initializer,
    STATE(7675), 1,
      sym_type_parameters,
    ACTIONS(8061), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178630] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7917), 1,
      sym_identifier,
    ACTIONS(7919), 1,
      anon_sym_type,
    STATE(4840), 1,
      sym_comment,
    STATE(6363), 1,
      sym_import_require_clause,
    STATE(6364), 1,
      sym_string,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(7985), 1,
      sym_import_clause,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
  [178674] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7917), 1,
      sym_identifier,
    ACTIONS(7919), 1,
      anon_sym_type,
    STATE(4841), 1,
      sym_comment,
    STATE(6541), 1,
      sym_import_require_clause,
    STATE(6542), 1,
      sym_string,
    STATE(7429), 1,
      sym_import_clause,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
  [178718] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4842), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5292), 1,
      sym__call_signature,
    STATE(5921), 1,
      sym_type_annotation,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8063), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178756] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7917), 1,
      sym_identifier,
    ACTIONS(7919), 1,
      anon_sym_type,
    STATE(4843), 1,
      sym_comment,
    STATE(6402), 1,
      sym_string,
    STATE(6403), 1,
      sym_import_require_clause,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(7832), 1,
      sym_import_clause,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
  [178800] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(4844), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5965), 1,
      sym_type_annotation,
    STATE(6824), 1,
      sym__initializer,
    STATE(7969), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178842] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(4845), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6098), 1,
      sym_type_annotation,
    STATE(6971), 1,
      sym__initializer,
    STATE(8141), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [178884] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4846), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5772), 1,
      sym_type_annotation,
    STATE(5774), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8065), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178922] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(7681), 1,
      anon_sym_LT,
    ACTIONS(7691), 1,
      anon_sym_DOT,
    ACTIONS(8067), 1,
      anon_sym_QMARK,
    STATE(4593), 1,
      sym_type_arguments,
    STATE(4847), 1,
      sym_comment,
    STATE(7925), 1,
      sym_type_annotation,
    ACTIONS(4595), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [178958] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4848), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5920), 1,
      sym__call_signature,
    STATE(5921), 1,
      sym_type_annotation,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8063), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [178996] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(4849), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6297), 1,
      sym_type_annotation,
    STATE(6698), 1,
      sym__initializer,
    STATE(7704), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179038] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(4850), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6280), 1,
      sym_type_annotation,
    STATE(7183), 1,
      sym__initializer,
    STATE(7800), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179080] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(4851), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5802), 1,
      sym_type_annotation,
    STATE(6996), 1,
      sym__initializer,
    STATE(8090), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179122] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5251), 1,
      anon_sym_COMMA,
    ACTIONS(5278), 1,
      anon_sym_RBRACE,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    STATE(4852), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(5208), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [179156] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5251), 1,
      anon_sym_COMMA,
    ACTIONS(5275), 1,
      anon_sym_RBRACE,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    STATE(4853), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(5208), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [179190] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4854), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6116), 1,
      sym_type_annotation,
    STATE(6126), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8055), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179228] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7917), 1,
      sym_identifier,
    ACTIONS(7919), 1,
      anon_sym_type,
    STATE(4855), 1,
      sym_comment,
    STATE(6504), 1,
      sym_import_require_clause,
    STATE(6506), 1,
      sym_string,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(8125), 1,
      sym_import_clause,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
  [179272] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4856), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6152), 1,
      sym_type_annotation,
    STATE(7342), 1,
      sym__call_signature,
    STATE(7344), 1,
      sym__initializer,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8059), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179314] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(4857), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6172), 1,
      sym_type_annotation,
    STATE(7035), 1,
      sym__initializer,
    STATE(8052), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(8072), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179356] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4858), 1,
      sym_comment,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5280), 1,
      sym__call_signature,
    STATE(5772), 1,
      sym_type_annotation,
    STATE(8017), 1,
      sym_type_parameters,
    ACTIONS(8065), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [179394] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(4859), 1,
      sym_comment,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5520), 1,
      sym__call_signature,
    STATE(5865), 1,
      sym_type_annotation,
    STATE(6635), 1,
      sym__initializer,
    STATE(7675), 1,
      sym_type_parameters,
    ACTIONS(8074), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179436] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(7697), 1,
      anon_sym_STAR,
    ACTIONS(7701), 1,
      anon_sym_LBRACE,
    ACTIONS(7917), 1,
      sym_identifier,
    ACTIONS(7919), 1,
      anon_sym_type,
    STATE(4860), 1,
      sym_comment,
    STATE(6509), 1,
      sym_import_require_clause,
    STATE(6510), 1,
      sym_string,
    STATE(7706), 1,
      sym__import_identifier,
    STATE(7948), 1,
      sym_import_clause,
    STATE(8569), 2,
      sym_namespace_import,
      sym_named_imports,
  [179480] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(4861), 1,
      sym_comment,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5740), 1,
      sym__call_signature,
    STATE(5766), 1,
      sym_type_annotation,
    STATE(6976), 1,
      sym__initializer,
    STATE(7675), 1,
      sym_type_parameters,
    ACTIONS(8047), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179522] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5251), 1,
      anon_sym_COMMA,
    ACTIONS(5269), 1,
      anon_sym_RBRACE,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    STATE(4862), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(5208), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [179556] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5561), 1,
      anon_sym_PIPE,
    ACTIONS(7853), 1,
      anon_sym_is,
    STATE(4863), 1,
      sym_comment,
    ACTIONS(5563), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [179584] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(4864), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6027), 1,
      sym_type_annotation,
    STATE(7094), 1,
      sym__initializer,
    STATE(7959), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(8072), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179626] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(4865), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5851), 1,
      sym_type_annotation,
    STATE(7079), 1,
      sym__initializer,
    STATE(7756), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(8076), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179668] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(4866), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6213), 1,
      sym_type_annotation,
    STATE(7343), 1,
      sym__initializer,
    STATE(7390), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(8072), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179710] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(4867), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5931), 1,
      sym_type_annotation,
    STATE(7157), 1,
      sym__initializer,
    STATE(7819), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179752] = 13,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(4868), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6192), 1,
      sym_type_annotation,
    STATE(7361), 1,
      sym__initializer,
    STATE(7368), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
    ACTIONS(8072), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [179794] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3546), 1,
      anon_sym_PIPE,
    STATE(4869), 1,
      sym_comment,
    ACTIONS(5919), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [179819] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5893), 1,
      anon_sym_PIPE,
    STATE(4870), 1,
      sym_comment,
    ACTIONS(5895), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [179844] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5907), 1,
      anon_sym_PIPE,
    STATE(4871), 1,
      sym_comment,
    ACTIONS(5909), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [179869] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4872), 1,
      sym_comment,
    ACTIONS(5617), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [179892] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8080), 1,
      anon_sym_PIPE,
    ACTIONS(8082), 1,
      anon_sym_extends,
    STATE(4873), 1,
      sym_comment,
    ACTIONS(5909), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [179921] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5969), 1,
      anon_sym_PIPE,
    STATE(4874), 1,
      sym_comment,
    ACTIONS(5971), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [179946] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8084), 1,
      anon_sym_DOT,
    ACTIONS(8086), 1,
      anon_sym_QMARK_DOT,
    STATE(4875), 1,
      sym_comment,
    ACTIONS(5715), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [179973] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3544), 1,
      anon_sym_PIPE,
    STATE(4876), 1,
      sym_comment,
    ACTIONS(5949), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [179998] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4877), 1,
      sym_comment,
    ACTIONS(7127), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [180021] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4878), 1,
      sym_comment,
    ACTIONS(5595), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [180044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4879), 1,
      sym_comment,
    ACTIONS(6917), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [180067] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3548), 1,
      anon_sym_PIPE,
    STATE(4880), 1,
      sym_comment,
    ACTIONS(5853), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180092] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7839), 1,
      anon_sym_LT,
    STATE(4881), 1,
      sym_comment,
    STATE(5174), 1,
      sym_type_arguments,
    ACTIONS(5571), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [180119] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5589), 1,
      anon_sym_PIPE,
    STATE(4882), 1,
      sym_comment,
    ACTIONS(5591), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4883), 1,
      sym_comment,
    ACTIONS(5565), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [180167] = 14,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(8088), 1,
      sym_identifier,
    ACTIONS(8090), 1,
      anon_sym_type,
    ACTIONS(8092), 1,
      anon_sym_COMMA,
    ACTIONS(8094), 1,
      anon_sym_RBRACE,
    ACTIONS(8096), 1,
      anon_sym_typeof,
    STATE(4884), 1,
      sym_comment,
    STATE(6566), 1,
      sym_string,
    STATE(6700), 1,
      sym_import_specifier,
    STATE(7719), 1,
      sym__import_identifier,
    STATE(8575), 1,
      sym__module_export_name,
  [180210] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5693), 1,
      anon_sym_PIPE,
    STATE(4885), 1,
      sym_comment,
    ACTIONS(5695), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180235] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4886), 1,
      sym_comment,
    ACTIONS(5685), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [180258] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5697), 1,
      anon_sym_PIPE,
    STATE(4887), 1,
      sym_comment,
    ACTIONS(5699), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180283] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8080), 1,
      anon_sym_PIPE,
    ACTIONS(8082), 1,
      anon_sym_extends,
    STATE(4888), 1,
      sym_comment,
    ACTIONS(5913), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [180312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4889), 1,
      sym_comment,
    ACTIONS(5787), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [180335] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8080), 1,
      anon_sym_PIPE,
    ACTIONS(8082), 1,
      anon_sym_extends,
    STATE(4890), 1,
      sym_comment,
    ACTIONS(5917), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [180364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4891), 1,
      sym_comment,
    ACTIONS(5208), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [180387] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5561), 1,
      anon_sym_PIPE,
    STATE(4892), 1,
      sym_comment,
    ACTIONS(5563), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180412] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4893), 1,
      sym_comment,
    ACTIONS(5795), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [180435] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5849), 1,
      anon_sym_PIPE,
    STATE(4894), 1,
      sym_comment,
    ACTIONS(5851), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180460] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5701), 1,
      anon_sym_PIPE,
    STATE(4895), 1,
      sym_comment,
    ACTIONS(5703), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180485] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5945), 1,
      anon_sym_PIPE,
    STATE(4896), 1,
      sym_comment,
    ACTIONS(5947), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180510] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4897), 1,
      sym_comment,
    ACTIONS(5991), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [180535] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2412), 1,
      anon_sym_DOT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4898), 1,
      sym_comment,
    ACTIONS(5991), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [180560] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5701), 1,
      anon_sym_PIPE,
    ACTIONS(8098), 1,
      anon_sym_LBRACK,
    STATE(4899), 1,
      sym_comment,
    ACTIONS(5703), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180587] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5569), 1,
      anon_sym_PIPE,
    STATE(4900), 1,
      sym_comment,
    ACTIONS(5571), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180612] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5941), 1,
      anon_sym_PIPE,
    STATE(4901), 1,
      sym_comment,
    ACTIONS(5943), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180637] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5707), 1,
      anon_sym_PIPE,
    STATE(4902), 1,
      sym_comment,
    ACTIONS(5709), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180662] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5845), 1,
      anon_sym_PIPE,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    STATE(4903), 1,
      sym_comment,
    ACTIONS(5847), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180689] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5937), 1,
      anon_sym_PIPE,
    STATE(4904), 1,
      sym_comment,
    ACTIONS(5939), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180714] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5841), 1,
      anon_sym_PIPE,
    STATE(4905), 1,
      sym_comment,
    ACTIONS(5843), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180739] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8080), 1,
      anon_sym_PIPE,
    ACTIONS(8082), 1,
      anon_sym_extends,
    STATE(4906), 1,
      sym_comment,
    ACTIONS(5975), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [180768] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8080), 1,
      anon_sym_PIPE,
    ACTIONS(8082), 1,
      anon_sym_extends,
    STATE(4907), 1,
      sym_comment,
    ACTIONS(5833), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [180797] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5831), 1,
      anon_sym_PIPE,
    STATE(4908), 1,
      sym_comment,
    ACTIONS(5833), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180822] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    STATE(4909), 1,
      sym_comment,
    ACTIONS(5829), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180847] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5823), 1,
      anon_sym_PIPE,
    STATE(4910), 1,
      sym_comment,
    ACTIONS(5825), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180872] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5819), 1,
      anon_sym_PIPE,
    STATE(4911), 1,
      sym_comment,
    ACTIONS(5821), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180897] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8080), 1,
      anon_sym_PIPE,
    ACTIONS(8082), 1,
      anon_sym_extends,
    STATE(4912), 1,
      sym_comment,
    ACTIONS(5899), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [180926] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5797), 1,
      anon_sym_PIPE,
    STATE(4913), 1,
      sym_comment,
    ACTIONS(5799), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180951] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5789), 1,
      anon_sym_PIPE,
    STATE(4914), 1,
      sym_comment,
    ACTIONS(5791), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [180976] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5781), 1,
      anon_sym_PIPE,
    STATE(4915), 1,
      sym_comment,
    ACTIONS(5783), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [181001] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3550), 1,
      anon_sym_PIPE,
    STATE(4916), 1,
      sym_comment,
    ACTIONS(5779), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [181026] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5737), 1,
      anon_sym_PIPE,
    STATE(4917), 1,
      sym_comment,
    ACTIONS(5739), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [181051] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5691), 1,
      anon_sym_PIPE,
    STATE(4918), 1,
      sym_comment,
    ACTIONS(5689), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [181076] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4919), 1,
      sym_comment,
    STATE(5297), 1,
      sym_formal_parameters,
    STATE(7433), 1,
      sym_type_parameters,
    ACTIONS(5208), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [181107] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5719), 1,
      anon_sym_PIPE,
    STATE(4920), 1,
      sym_comment,
    ACTIONS(5721), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [181132] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5731), 1,
      anon_sym_PIPE,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    STATE(4921), 1,
      sym_comment,
    ACTIONS(5733), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [181159] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5625), 1,
      anon_sym_PIPE,
    STATE(4922), 1,
      sym_comment,
    ACTIONS(5627), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [181184] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5727), 1,
      anon_sym_PIPE,
    STATE(4923), 1,
      sym_comment,
    ACTIONS(5729), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [181209] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5769), 1,
      anon_sym_PIPE,
    STATE(4924), 1,
      sym_comment,
    ACTIONS(5771), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [181234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5723), 1,
      anon_sym_PIPE,
    STATE(4925), 1,
      sym_comment,
    ACTIONS(5725), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [181259] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5889), 1,
      anon_sym_PIPE,
    STATE(4926), 1,
      sym_comment,
    ACTIONS(5891), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [181284] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3558), 1,
      anon_sym_PIPE,
    STATE(4927), 1,
      sym_comment,
    ACTIONS(5711), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [181309] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5763), 1,
      anon_sym_PIPE,
    ACTIONS(8098), 1,
      anon_sym_LBRACK,
    STATE(4928), 1,
      sym_comment,
    ACTIONS(5765), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [181336] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5757), 1,
      anon_sym_PIPE,
    ACTIONS(8100), 1,
      anon_sym_extends,
    STATE(4929), 1,
      sym_comment,
    ACTIONS(5759), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE_RBRACE,
  [181363] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5701), 1,
      anon_sym_PIPE,
    ACTIONS(8098), 1,
      anon_sym_LBRACK,
    STATE(4930), 1,
      sym_comment,
    ACTIONS(5703), 2,
      anon_sym_AMP,
      anon_sym_extends,
    ACTIONS(5755), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181392] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8080), 1,
      anon_sym_PIPE,
    ACTIONS(8082), 1,
      anon_sym_extends,
    STATE(4931), 1,
      sym_comment,
    ACTIONS(5747), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [181421] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5741), 1,
      anon_sym_PIPE,
    STATE(4932), 1,
      sym_comment,
    ACTIONS(5743), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [181446] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8102), 1,
      sym_identifier,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    STATE(3602), 1,
      sym_class_body,
    STATE(4933), 1,
      sym_comment,
    STATE(5499), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7696), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [181486] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8080), 1,
      anon_sym_PIPE,
    ACTIONS(8082), 1,
      anon_sym_extends,
    STATE(4934), 1,
      sym_comment,
    ACTIONS(8110), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181514] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8112), 1,
      sym_identifier,
    STATE(3602), 1,
      sym_class_body,
    STATE(4935), 1,
      sym_comment,
    STATE(5499), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7696), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [181554] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(8088), 1,
      sym_identifier,
    ACTIONS(8090), 1,
      anon_sym_type,
    ACTIONS(8096), 1,
      anon_sym_typeof,
    ACTIONS(8114), 1,
      anon_sym_RBRACE,
    STATE(4936), 1,
      sym_comment,
    STATE(6566), 1,
      sym_string,
    STATE(7719), 1,
      sym__import_identifier,
    STATE(7742), 1,
      sym_import_specifier,
    STATE(8575), 1,
      sym__module_export_name,
  [181594] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4937), 1,
      sym_comment,
    ACTIONS(5579), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [181616] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7999), 1,
      anon_sym_is,
    STATE(4938), 1,
      sym_comment,
    ACTIONS(5563), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [181640] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8116), 1,
      anon_sym_is,
    STATE(4939), 1,
      sym_comment,
    ACTIONS(5571), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [181664] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8118), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_class_body,
    STATE(4940), 1,
      sym_comment,
    STATE(5308), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8029), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [181704] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8120), 1,
      sym_identifier,
    STATE(3602), 1,
      sym_class_body,
    STATE(4941), 1,
      sym_comment,
    STATE(5499), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7696), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [181744] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_COLON,
    STATE(4942), 1,
      sym_comment,
    STATE(5726), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(8122), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [181770] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8126), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_class_body,
    STATE(4943), 1,
      sym_comment,
    STATE(5308), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8029), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [181810] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8128), 1,
      sym_identifier,
    STATE(3602), 1,
      sym_class_body,
    STATE(4944), 1,
      sym_comment,
    STATE(5499), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7696), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [181850] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8130), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_class_body,
    STATE(4945), 1,
      sym_comment,
    STATE(5308), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8029), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [181890] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4946), 1,
      sym_comment,
    ACTIONS(2257), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [181912] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8132), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_class_body,
    STATE(4947), 1,
      sym_comment,
    STATE(5308), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8029), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [181952] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3265), 1,
      anon_sym_LBRACE,
    ACTIONS(7581), 1,
      anon_sym_COLON,
    ACTIONS(7583), 1,
      anon_sym_DOT,
    ACTIONS(8134), 1,
      sym_identifier,
    ACTIONS(8136), 1,
      anon_sym_on,
    ACTIONS(8138), 1,
      anon_sym_list,
    STATE(4262), 1,
      sym_ui_object_initializer,
    STATE(4948), 1,
      sym_comment,
    STATE(8436), 1,
      sym_nested_identifier,
    STATE(4507), 2,
      sym_nested_type_identifier,
      sym_ui_list_property_type,
  [181990] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8140), 1,
      sym_identifier,
    ACTIONS(8142), 1,
      anon_sym_LBRACE,
    STATE(3908), 1,
      sym_class_body,
    STATE(4949), 1,
      sym_comment,
    STATE(5389), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7758), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [182030] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(8144), 1,
      sym_identifier,
    ACTIONS(8148), 1,
      anon_sym_COMMA,
    ACTIONS(8150), 1,
      anon_sym_RBRACE,
    STATE(4950), 1,
      sym_comment,
    STATE(6566), 1,
      sym_string,
    STATE(6659), 1,
      sym_export_specifier,
    STATE(6660), 1,
      sym__module_export_name,
    ACTIONS(8146), 2,
      anon_sym_type,
      anon_sym_typeof,
  [182068] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8152), 1,
      sym_identifier,
    STATE(3602), 1,
      sym_class_body,
    STATE(4951), 1,
      sym_comment,
    STATE(5499), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7696), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [182108] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8154), 1,
      sym_identifier,
    STATE(3602), 1,
      sym_class_body,
    STATE(4952), 1,
      sym_comment,
    STATE(5499), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7696), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [182148] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8156), 1,
      sym_identifier,
    STATE(3602), 1,
      sym_class_body,
    STATE(4953), 1,
      sym_comment,
    STATE(5499), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7696), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [182188] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8158), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_class_body,
    STATE(4954), 1,
      sym_comment,
    STATE(5308), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8029), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [182228] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8162), 1,
      anon_sym_BANG,
    STATE(4955), 1,
      sym_comment,
    STATE(5762), 1,
      sym_type_annotation,
    STATE(6942), 1,
      sym__initializer,
    ACTIONS(8164), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(8160), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182262] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8166), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_class_body,
    STATE(4956), 1,
      sym_comment,
    STATE(5308), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8029), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [182302] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8162), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_EQ,
    STATE(4957), 1,
      sym_comment,
    STATE(5762), 1,
      sym_type_annotation,
    STATE(6255), 1,
      sym__initializer,
    ACTIONS(8164), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(8160), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182336] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8170), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_class_body,
    STATE(4958), 1,
      sym_comment,
    STATE(5308), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8029), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [182376] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7999), 1,
      anon_sym_is,
    STATE(4959), 1,
      sym_comment,
    ACTIONS(5591), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [182400] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    STATE(4960), 1,
      sym_comment,
    STATE(3704), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5783), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [182428] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8142), 1,
      anon_sym_LBRACE,
    ACTIONS(8172), 1,
      sym_identifier,
    STATE(3081), 1,
      sym_class_body,
    STATE(4961), 1,
      sym_comment,
    STATE(5258), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8159), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [182468] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8174), 1,
      sym_identifier,
    STATE(3602), 1,
      sym_class_body,
    STATE(4962), 1,
      sym_comment,
    STATE(5499), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7696), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [182508] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8176), 1,
      sym_identifier,
    STATE(3602), 1,
      sym_class_body,
    STATE(4963), 1,
      sym_comment,
    STATE(5499), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7696), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [182548] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(8088), 1,
      sym_identifier,
    ACTIONS(8090), 1,
      anon_sym_type,
    ACTIONS(8096), 1,
      anon_sym_typeof,
    ACTIONS(8178), 1,
      anon_sym_RBRACE,
    STATE(4964), 1,
      sym_comment,
    STATE(6566), 1,
      sym_string,
    STATE(7719), 1,
      sym__import_identifier,
    STATE(7742), 1,
      sym_import_specifier,
    STATE(8575), 1,
      sym__module_export_name,
  [182588] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8180), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_class_body,
    STATE(4965), 1,
      sym_comment,
    STATE(5308), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8029), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [182628] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    STATE(4966), 1,
      sym_comment,
    ACTIONS(5404), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5208), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [182654] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8124), 1,
      anon_sym_COLON,
    STATE(4967), 1,
      sym_comment,
    STATE(5704), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(8182), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182680] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(8088), 1,
      sym_identifier,
    ACTIONS(8184), 1,
      anon_sym_type,
    ACTIONS(8186), 1,
      anon_sym_as,
    STATE(4968), 1,
      sym_comment,
    STATE(6566), 1,
      sym_string,
    STATE(7783), 1,
      sym__import_identifier,
    STATE(8485), 1,
      sym__module_export_name,
    ACTIONS(7921), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [182718] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8142), 1,
      anon_sym_LBRACE,
    ACTIONS(8188), 1,
      sym_identifier,
    STATE(3103), 1,
      sym_class_body,
    STATE(4969), 1,
      sym_comment,
    STATE(5261), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7797), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [182758] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4553), 1,
      anon_sym_LPAREN,
    ACTIONS(8192), 1,
      anon_sym_DOT,
    STATE(4970), 1,
      sym_comment,
    STATE(5181), 1,
      sym_arguments,
    ACTIONS(8190), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [182786] = 13,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8104), 1,
      anon_sym_LBRACE,
    ACTIONS(8106), 1,
      anon_sym_extends,
    ACTIONS(8108), 1,
      anon_sym_implements,
    ACTIONS(8194), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_class_body,
    STATE(4971), 1,
      sym_comment,
    STATE(5308), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8029), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [182826] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4972), 1,
      sym_comment,
    ACTIONS(5829), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [182847] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8196), 1,
      anon_sym_BANG,
    ACTIONS(8198), 1,
      anon_sym_QMARK,
    STATE(4973), 1,
      sym_comment,
    STATE(5906), 1,
      sym_type_annotation,
    STATE(6691), 1,
      sym__initializer,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182880] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(7681), 1,
      anon_sym_LT,
    STATE(3722), 1,
      sym_template_string,
    STATE(3857), 1,
      sym_arguments,
    STATE(4960), 1,
      sym_type_arguments,
    STATE(4974), 1,
      sym_comment,
    STATE(7919), 1,
      sym_optional_chain,
  [182917] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8200), 1,
      anon_sym_BANG,
    ACTIONS(8202), 1,
      anon_sym_QMARK,
    STATE(4975), 1,
      sym_comment,
    STATE(6023), 1,
      sym_type_annotation,
    STATE(6896), 1,
      sym__initializer,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [182950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4976), 1,
      sym_comment,
    ACTIONS(2440), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [182971] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8204), 1,
      anon_sym_BANG,
    ACTIONS(8206), 1,
      anon_sym_QMARK,
    STATE(4977), 1,
      sym_comment,
    STATE(6026), 1,
      sym_type_annotation,
    STATE(6898), 1,
      sym__initializer,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183004] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2961), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    ACTIONS(8208), 1,
      anon_sym_COMMA,
    STATE(4978), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(5208), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [183035] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8210), 1,
      anon_sym_LBRACE,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    STATE(518), 1,
      sym_class_body,
    STATE(4979), 1,
      sym_comment,
    STATE(5359), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7670), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [183072] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    ACTIONS(8208), 1,
      anon_sym_COMMA,
    ACTIONS(8216), 1,
      anon_sym_RBRACE,
    STATE(4980), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(5208), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [183103] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8218), 1,
      anon_sym_LBRACE,
    STATE(1881), 1,
      sym_class_body,
    STATE(4981), 1,
      sym_comment,
    STATE(5310), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7831), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [183140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4982), 1,
      sym_comment,
    ACTIONS(5939), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [183161] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8222), 1,
      anon_sym_BANG,
    ACTIONS(8224), 1,
      anon_sym_QMARK,
    STATE(4983), 1,
      sym_comment,
    STATE(6261), 1,
      sym_type_annotation,
    STATE(6723), 1,
      sym__initializer,
    ACTIONS(8220), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183194] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4984), 1,
      sym_comment,
    ACTIONS(5947), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [183215] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4985), 1,
      sym_comment,
    ACTIONS(5943), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [183236] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8226), 1,
      anon_sym_BANG,
    ACTIONS(8228), 1,
      anon_sym_QMARK,
    STATE(4986), 1,
      sym_comment,
    STATE(5821), 1,
      sym_type_annotation,
    STATE(7046), 1,
      sym__initializer,
    ACTIONS(7923), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183269] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(4987), 1,
      sym_comment,
    STATE(5762), 1,
      sym_type_annotation,
    STATE(6948), 1,
      sym__initializer,
    ACTIONS(8164), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(8160), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183300] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8230), 1,
      anon_sym_BANG,
    ACTIONS(8232), 1,
      anon_sym_QMARK,
    STATE(4988), 1,
      sym_comment,
    STATE(5830), 1,
      sym_type_annotation,
    STATE(7068), 1,
      sym__initializer,
    ACTIONS(7923), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183333] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8234), 1,
      anon_sym_LBRACE,
    STATE(1906), 1,
      sym_class_body,
    STATE(4989), 1,
      sym_comment,
    STATE(5416), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8161), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [183370] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8168), 1,
      anon_sym_EQ,
    STATE(4990), 1,
      sym_comment,
    STATE(5762), 1,
      sym_type_annotation,
    STATE(6252), 1,
      sym__initializer,
    ACTIONS(8164), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(8160), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183401] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(4991), 1,
      sym_comment,
    ACTIONS(5709), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [183422] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(4992), 1,
      sym_comment,
    STATE(5778), 1,
      sym_type_annotation,
    STATE(6617), 1,
      sym__initializer,
    ACTIONS(7931), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7929), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183453] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(1760), 1,
      sym_class_body,
    STATE(4993), 1,
      sym_comment,
    STATE(5351), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7711), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [183490] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8238), 1,
      anon_sym_BANG,
    ACTIONS(8240), 1,
      anon_sym_QMARK,
    STATE(4994), 1,
      sym_comment,
    STATE(5793), 1,
      sym_type_annotation,
    STATE(6894), 1,
      sym__initializer,
    ACTIONS(8220), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183523] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3003), 1,
      anon_sym_RBRACE,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    ACTIONS(8208), 1,
      anon_sym_COMMA,
    STATE(4995), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(5208), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [183554] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(7681), 1,
      anon_sym_LT,
    ACTIONS(8242), 1,
      anon_sym_DOT,
    STATE(3722), 1,
      sym_template_string,
    STATE(3868), 1,
      sym_arguments,
    STATE(4996), 1,
      sym_comment,
    STATE(6545), 1,
      sym_type_arguments,
    STATE(7919), 1,
      sym_optional_chain,
  [183591] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8244), 1,
      anon_sym_LBRACE,
    STATE(1522), 1,
      sym_class_body,
    STATE(4997), 1,
      sym_comment,
    STATE(5356), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7691), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [183628] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(8144), 1,
      sym_identifier,
    ACTIONS(8246), 1,
      anon_sym_RBRACE,
    STATE(4998), 1,
      sym_comment,
    STATE(6566), 1,
      sym_string,
    STATE(6660), 1,
      sym__module_export_name,
    STATE(7646), 1,
      sym_export_specifier,
    ACTIONS(8146), 2,
      anon_sym_type,
      anon_sym_typeof,
  [183663] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7681), 1,
      anon_sym_LT,
    ACTIONS(8248), 1,
      anon_sym_DOT,
    STATE(2997), 1,
      sym_template_string,
    STATE(3246), 1,
      sym_arguments,
    STATE(4999), 1,
      sym_comment,
    STATE(6573), 1,
      sym_type_arguments,
    STATE(8103), 1,
      sym_optional_chain,
  [183700] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8250), 1,
      anon_sym_LBRACE,
    STATE(4109), 1,
      sym_class_body,
    STATE(5000), 1,
      sym_comment,
    STATE(5423), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8138), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [183737] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8252), 1,
      anon_sym_EQ,
    STATE(5001), 1,
      sym_comment,
    ACTIONS(8254), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [183760] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8256), 1,
      anon_sym_LBRACE,
    STATE(418), 1,
      sym_class_body,
    STATE(5002), 1,
      sym_comment,
    STATE(5367), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7486), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [183797] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8258), 1,
      anon_sym_LBRACE,
    STATE(4425), 1,
      sym_class_body,
    STATE(5003), 1,
      sym_comment,
    STATE(5424), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8021), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [183834] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8260), 1,
      anon_sym_EQ,
    STATE(5004), 1,
      sym_comment,
    ACTIONS(8262), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [183857] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8264), 1,
      anon_sym_AMP,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8268), 1,
      anon_sym_extends,
    STATE(5005), 1,
      sym_comment,
    ACTIONS(5917), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [183884] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8270), 1,
      anon_sym_COLON,
    STATE(5006), 1,
      sym_comment,
    STATE(6234), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(8182), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [183909] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3574), 1,
      sym_class_body,
    STATE(5007), 1,
      sym_comment,
    STATE(5262), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7501), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [183946] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8264), 1,
      anon_sym_AMP,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8268), 1,
      anon_sym_extends,
    STATE(5008), 1,
      sym_comment,
    ACTIONS(5913), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [183973] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8234), 1,
      anon_sym_LBRACE,
    STATE(1912), 1,
      sym_class_body,
    STATE(5009), 1,
      sym_comment,
    STATE(5426), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7956), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [184010] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8264), 1,
      anon_sym_AMP,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8268), 1,
      anon_sym_extends,
    STATE(5010), 1,
      sym_comment,
    ACTIONS(5909), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [184037] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8274), 1,
      anon_sym_LBRACE,
    STATE(4117), 1,
      sym_class_body,
    STATE(5011), 1,
      sym_comment,
    STATE(5251), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7955), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [184074] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5012), 1,
      sym_comment,
    ACTIONS(5909), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [184095] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5013), 1,
      sym_comment,
    ACTIONS(5627), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [184116] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8264), 1,
      anon_sym_AMP,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8268), 1,
      anon_sym_extends,
    STATE(5014), 1,
      sym_comment,
    ACTIONS(5899), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [184143] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(8276), 1,
      anon_sym_EQ,
    STATE(5015), 1,
      sym_comment,
    ACTIONS(8110), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [184172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5016), 1,
      sym_comment,
    ACTIONS(5895), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [184193] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5017), 1,
      sym_comment,
    ACTIONS(5891), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [184214] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5018), 1,
      sym_comment,
    ACTIONS(5901), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [184235] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5019), 1,
      sym_comment,
    ACTIONS(5903), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [184256] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5020), 1,
      sym_comment,
    ACTIONS(5905), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [184277] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    ACTIONS(8208), 1,
      anon_sym_COMMA,
    ACTIONS(8278), 1,
      anon_sym_RBRACE,
    STATE(5021), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(5208), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [184308] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(8280), 1,
      anon_sym_EQ,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(5022), 1,
      sym_comment,
    STATE(5180), 1,
      sym_arguments,
    ACTIONS(8190), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [184337] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8284), 1,
      anon_sym_LBRACE,
    STATE(1353), 1,
      sym_class_body,
    STATE(5023), 1,
      sym_comment,
    STATE(5504), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7542), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [184374] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5024), 1,
      sym_comment,
    ACTIONS(8286), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [184395] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8288), 1,
      anon_sym_BANG,
    ACTIONS(8290), 1,
      anon_sym_QMARK,
    STATE(5025), 1,
      sym_comment,
    STATE(6015), 1,
      sym_type_annotation,
    STATE(7258), 1,
      sym__initializer,
    ACTIONS(7923), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [184428] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7681), 1,
      anon_sym_LT,
    STATE(5026), 1,
      sym_comment,
    STATE(6573), 1,
      sym_type_arguments,
    STATE(8103), 1,
      sym_optional_chain,
    STATE(2997), 2,
      sym_template_string,
      sym_arguments,
  [184463] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8292), 1,
      anon_sym_BANG,
    ACTIONS(8294), 1,
      anon_sym_QMARK,
    STATE(5027), 1,
      sym_comment,
    STATE(5806), 1,
      sym_type_annotation,
    STATE(6648), 1,
      sym__initializer,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [184496] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7681), 1,
      anon_sym_LT,
    STATE(2790), 1,
      sym_arguments,
    STATE(2997), 1,
      sym_template_string,
    STATE(4734), 1,
      sym_type_arguments,
    STATE(5028), 1,
      sym_comment,
    STATE(8103), 1,
      sym_optional_chain,
  [184533] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8296), 1,
      anon_sym_LBRACE,
    STATE(1168), 1,
      sym_class_body,
    STATE(5029), 1,
      sym_comment,
    STATE(5505), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7531), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [184570] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5030), 1,
      sym_comment,
    ACTIONS(8298), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [184591] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3577), 1,
      sym_class_body,
    STATE(5031), 1,
      sym_comment,
    STATE(5276), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8174), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [184628] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8300), 1,
      anon_sym_BANG,
    ACTIONS(8302), 1,
      anon_sym_QMARK,
    STATE(5032), 1,
      sym_comment,
    STATE(6201), 1,
      sym_type_annotation,
    STATE(7352), 1,
      sym__initializer,
    ACTIONS(7877), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [184661] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8304), 1,
      anon_sym_BANG,
    ACTIONS(8306), 1,
      anon_sym_QMARK,
    STATE(5033), 1,
      sym_comment,
    STATE(5837), 1,
      sym_type_annotation,
    STATE(7066), 1,
      sym__initializer,
    ACTIONS(7857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [184694] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8308), 1,
      anon_sym_EQ,
    STATE(5034), 1,
      sym_comment,
    ACTIONS(8310), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [184717] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8312), 1,
      anon_sym_EQ,
    STATE(5035), 1,
      sym_comment,
    ACTIONS(8314), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [184740] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8250), 1,
      anon_sym_LBRACE,
    STATE(4187), 1,
      sym_class_body,
    STATE(5036), 1,
      sym_comment,
    STATE(5427), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7852), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [184777] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8316), 1,
      anon_sym_BANG,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    STATE(5037), 1,
      sym_comment,
    STATE(6006), 1,
      sym_type_annotation,
    STATE(6855), 1,
      sym__initializer,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [184810] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8320), 1,
      anon_sym_BANG,
    ACTIONS(8322), 1,
      anon_sym_QMARK,
    STATE(5038), 1,
      sym_comment,
    STATE(6219), 1,
      sym_type_annotation,
    STATE(7331), 1,
      sym__initializer,
    ACTIONS(7877), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [184843] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8324), 1,
      anon_sym_LBRACE,
    STATE(371), 1,
      sym_class_body,
    STATE(5039), 1,
      sym_comment,
    STATE(5459), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7602), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [184880] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5040), 1,
      sym_comment,
    STATE(5761), 1,
      sym_type_annotation,
    STATE(6973), 1,
      sym__initializer,
    ACTIONS(7913), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7911), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [184911] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8258), 1,
      anon_sym_LBRACE,
    STATE(4315), 1,
      sym_class_body,
    STATE(5041), 1,
      sym_comment,
    STATE(5428), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7781), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [184948] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3886), 1,
      sym_class_body,
    STATE(5042), 1,
      sym_comment,
    STATE(5380), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7763), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [184985] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8328), 1,
      anon_sym_BANG,
    ACTIONS(8330), 1,
      anon_sym_QMARK,
    STATE(5043), 1,
      sym_comment,
    STATE(5887), 1,
      sym_type_annotation,
    STATE(6677), 1,
      sym__initializer,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [185018] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8332), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_class_body,
    STATE(5044), 1,
      sym_comment,
    STATE(5364), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7951), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [185055] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    ACTIONS(8208), 1,
      anon_sym_COMMA,
    ACTIONS(8334), 1,
      anon_sym_RBRACE,
    STATE(5045), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7210), 1,
      aux_sym_object_repeat1,
    ACTIONS(5208), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [185086] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    STATE(1578), 1,
      sym_class_body,
    STATE(5046), 1,
      sym_comment,
    STATE(5366), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7957), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [185123] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8338), 1,
      anon_sym_BANG,
    ACTIONS(8340), 1,
      anon_sym_QMARK,
    STATE(5047), 1,
      sym_comment,
    STATE(5889), 1,
      sym_type_annotation,
    STATE(6679), 1,
      sym__initializer,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [185156] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8274), 1,
      anon_sym_LBRACE,
    STATE(4075), 1,
      sym_class_body,
    STATE(5048), 1,
      sym_comment,
    STATE(5329), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8062), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [185193] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8270), 1,
      anon_sym_COLON,
    STATE(5049), 1,
      sym_comment,
    STATE(6283), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(8122), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [185218] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8342), 1,
      anon_sym_BANG,
    ACTIONS(8344), 1,
      anon_sym_QMARK,
    STATE(5050), 1,
      sym_comment,
    STATE(6096), 1,
      sym_type_annotation,
    STATE(7303), 1,
      sym__initializer,
    ACTIONS(7923), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [185251] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8244), 1,
      anon_sym_LBRACE,
    STATE(1555), 1,
      sym_class_body,
    STATE(5051), 1,
      sym_comment,
    STATE(5313), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7845), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [185288] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8296), 1,
      anon_sym_LBRACE,
    STATE(1236), 1,
      sym_class_body,
    STATE(5052), 1,
      sym_comment,
    STATE(5399), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7504), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [185325] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5053), 1,
      sym_comment,
    ACTIONS(4758), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [185346] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5054), 1,
      sym_comment,
    ACTIONS(4756), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [185367] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8346), 1,
      anon_sym_BANG,
    ACTIONS(8348), 1,
      anon_sym_QMARK,
    STATE(5055), 1,
      sym_comment,
    STATE(6012), 1,
      sym_type_annotation,
    STATE(6885), 1,
      sym__initializer,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [185400] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5056), 1,
      sym_comment,
    ACTIONS(8350), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [185421] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5057), 1,
      sym_comment,
    ACTIONS(8314), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [185442] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    STATE(5058), 1,
      sym_comment,
    STATE(5290), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7398), 1,
      sym_class_body,
    STATE(7533), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [185479] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3635), 1,
      sym_class_body,
    STATE(5059), 1,
      sym_comment,
    STATE(5272), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7430), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [185516] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5060), 1,
      sym_comment,
    ACTIONS(8310), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [185537] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(7681), 1,
      anon_sym_LT,
    ACTIONS(8354), 1,
      anon_sym_DOT,
    STATE(3580), 1,
      sym_arguments,
    STATE(3722), 1,
      sym_template_string,
    STATE(5061), 1,
      sym_comment,
    STATE(6545), 1,
      sym_type_arguments,
    STATE(7919), 1,
      sym_optional_chain,
  [185574] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5062), 1,
      sym_comment,
    ACTIONS(5591), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [185595] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5063), 1,
      sym_comment,
    ACTIONS(8262), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [185616] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8356), 1,
      anon_sym_BANG,
    ACTIONS(8358), 1,
      anon_sym_QMARK,
    STATE(5064), 1,
      sym_comment,
    STATE(6222), 1,
      sym_type_annotation,
    STATE(7330), 1,
      sym__initializer,
    ACTIONS(7877), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [185649] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(5065), 1,
      sym_comment,
    STATE(5286), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7299), 1,
      sym_class_body,
    STATE(7574), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [185686] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5066), 1,
      sym_comment,
    STATE(6286), 1,
      sym_type_annotation,
    STATE(7167), 1,
      sym__initializer,
    ACTIONS(8364), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(8362), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [185717] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5067), 1,
      sym_comment,
    ACTIONS(5971), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [185738] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5068), 1,
      sym_comment,
    ACTIONS(5851), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [185759] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8264), 1,
      anon_sym_AMP,
    STATE(5069), 1,
      sym_comment,
    ACTIONS(5847), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [185782] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5070), 1,
      sym_comment,
    ACTIONS(5843), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [185803] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(7681), 1,
      anon_sym_LT,
    STATE(3434), 1,
      sym_arguments,
    STATE(3722), 1,
      sym_template_string,
    STATE(4960), 1,
      sym_type_arguments,
    STATE(5071), 1,
      sym_comment,
    STATE(7919), 1,
      sym_optional_chain,
  [185840] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8218), 1,
      anon_sym_LBRACE,
    STATE(1875), 1,
      sym_class_body,
    STATE(5072), 1,
      sym_comment,
    STATE(5275), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7972), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [185877] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8264), 1,
      anon_sym_AMP,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8268), 1,
      anon_sym_extends,
    STATE(5073), 1,
      sym_comment,
    ACTIONS(5833), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [185904] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5074), 1,
      sym_comment,
    ACTIONS(5833), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [185925] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5075), 1,
      sym_comment,
    ACTIONS(8254), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [185946] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8366), 1,
      anon_sym_BANG,
    ACTIONS(8368), 1,
      anon_sym_QMARK,
    STATE(5076), 1,
      sym_comment,
    STATE(5839), 1,
      sym_type_annotation,
    STATE(7073), 1,
      sym__initializer,
    ACTIONS(7857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [185979] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5077), 1,
      sym_comment,
    ACTIONS(5825), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [186000] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5078), 1,
      sym_comment,
    ACTIONS(5821), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [186021] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    STATE(1623), 1,
      sym_class_body,
    STATE(5079), 1,
      sym_comment,
    STATE(5343), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7882), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [186058] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7681), 1,
      anon_sym_LT,
    STATE(2997), 1,
      sym_template_string,
    STATE(3470), 1,
      sym_arguments,
    STATE(4734), 1,
      sym_type_arguments,
    STATE(5080), 1,
      sym_comment,
    STATE(8103), 1,
      sym_optional_chain,
  [186095] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8370), 1,
      anon_sym_LBRACE,
    STATE(4019), 1,
      sym_class_body,
    STATE(5081), 1,
      sym_comment,
    STATE(5239), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7921), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [186132] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(1799), 1,
      sym_class_body,
    STATE(5082), 1,
      sym_comment,
    STATE(5289), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8126), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [186169] = 11,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(8144), 1,
      sym_identifier,
    ACTIONS(8372), 1,
      anon_sym_RBRACE,
    STATE(5083), 1,
      sym_comment,
    STATE(6566), 1,
      sym_string,
    STATE(6660), 1,
      sym__module_export_name,
    STATE(7646), 1,
      sym_export_specifier,
    ACTIONS(8146), 2,
      anon_sym_type,
      anon_sym_typeof,
  [186204] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8374), 1,
      anon_sym_BANG,
    ACTIONS(8376), 1,
      anon_sym_QMARK,
    STATE(5084), 1,
      sym_comment,
    STATE(6224), 1,
      sym_type_annotation,
    STATE(7326), 1,
      sym__initializer,
    ACTIONS(7877), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186237] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5085), 1,
      sym_comment,
    STATE(6040), 1,
      sym_type_annotation,
    STATE(6634), 1,
      sym__initializer,
    ACTIONS(7871), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7869), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186268] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8378), 1,
      anon_sym_BANG,
    ACTIONS(8380), 1,
      anon_sym_QMARK,
    STATE(5086), 1,
      sym_comment,
    STATE(5939), 1,
      sym_type_annotation,
    STATE(6722), 1,
      sym__initializer,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186301] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8382), 1,
      anon_sym_BANG,
    ACTIONS(8384), 1,
      anon_sym_QMARK,
    STATE(5087), 1,
      sym_comment,
    STATE(5978), 1,
      sym_type_annotation,
    STATE(7213), 1,
      sym__initializer,
    ACTIONS(7923), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186334] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5088), 1,
      sym_comment,
    ACTIONS(8386), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [186355] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8388), 1,
      anon_sym_BANG,
    ACTIONS(8390), 1,
      anon_sym_QMARK,
    STATE(5089), 1,
      sym_comment,
    STATE(5940), 1,
      sym_type_annotation,
    STATE(6724), 1,
      sym__initializer,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186388] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3005), 1,
      anon_sym_RBRACE,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    ACTIONS(8208), 1,
      anon_sym_COMMA,
    STATE(5090), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(5208), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [186419] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8392), 1,
      anon_sym_BANG,
    ACTIONS(8394), 1,
      anon_sym_QMARK,
    STATE(5091), 1,
      sym_comment,
    STATE(5945), 1,
      sym_type_annotation,
    STATE(6743), 1,
      sym__initializer,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186452] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8284), 1,
      anon_sym_LBRACE,
    STATE(1307), 1,
      sym_class_body,
    STATE(5092), 1,
      sym_comment,
    STATE(5456), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7518), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [186489] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5093), 1,
      sym_comment,
    ACTIONS(5799), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [186510] = 12,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(8088), 1,
      sym_identifier,
    ACTIONS(8090), 1,
      anon_sym_type,
    ACTIONS(8096), 1,
      anon_sym_typeof,
    STATE(5094), 1,
      sym_comment,
    STATE(6566), 1,
      sym_string,
    STATE(7719), 1,
      sym__import_identifier,
    STATE(7742), 1,
      sym_import_specifier,
    STATE(8575), 1,
      sym__module_export_name,
  [186547] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3592), 1,
      sym_class_body,
    STATE(5095), 1,
      sym_comment,
    STATE(5285), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7657), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [186584] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(5096), 1,
      sym_comment,
    STATE(5287), 1,
      sym_type_parameters,
    STATE(6110), 1,
      sym_class_body,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7380), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [186621] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    STATE(5097), 1,
      sym_comment,
    STATE(5279), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7545), 1,
      sym_class_body,
    STATE(7660), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [186658] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(5098), 1,
      sym_comment,
    STATE(5347), 1,
      sym_type_parameters,
    STATE(6113), 1,
      sym_class_body,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7902), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [186695] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5099), 1,
      sym_comment,
    ACTIONS(5721), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [186716] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5100), 1,
      sym_comment,
    ACTIONS(5791), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [186737] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8396), 1,
      anon_sym_BANG,
    ACTIONS(8398), 1,
      anon_sym_QMARK,
    STATE(5101), 1,
      sym_comment,
    STATE(5846), 1,
      sym_type_annotation,
    STATE(7081), 1,
      sym__initializer,
    ACTIONS(7923), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186770] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(5102), 1,
      sym_comment,
    STATE(5274), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7248), 1,
      sym_class_body,
    STATE(7682), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [186807] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8400), 1,
      anon_sym_BANG,
    ACTIONS(8402), 1,
      anon_sym_QMARK,
    STATE(5103), 1,
      sym_comment,
    STATE(5842), 1,
      sym_type_annotation,
    STATE(6966), 1,
      sym__initializer,
    ACTIONS(7923), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186840] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8404), 1,
      anon_sym_BANG,
    ACTIONS(8406), 1,
      anon_sym_QMARK,
    STATE(5104), 1,
      sym_comment,
    STATE(5856), 1,
      sym_type_annotation,
    STATE(7090), 1,
      sym__initializer,
    ACTIONS(7923), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [186873] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5105), 1,
      sym_comment,
    ACTIONS(5783), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [186894] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5106), 1,
      sym_comment,
    ACTIONS(5777), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [186915] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(5107), 1,
      sym_comment,
    STATE(5397), 1,
      sym_type_parameters,
    STATE(5812), 1,
      sym_class_body,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7974), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [186952] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    STATE(1376), 1,
      sym_class_body,
    STATE(5108), 1,
      sym_comment,
    STATE(5271), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7369), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [186989] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5109), 1,
      sym_comment,
    ACTIONS(5775), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [187010] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5110), 1,
      sym_comment,
    ACTIONS(5839), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [187031] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8410), 1,
      anon_sym_BANG,
    ACTIONS(8412), 1,
      anon_sym_QMARK,
    STATE(5111), 1,
      sym_comment,
    STATE(6101), 1,
      sym_type_annotation,
    STATE(7289), 1,
      sym__initializer,
    ACTIONS(7923), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187064] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5112), 1,
      sym_comment,
    ACTIONS(5773), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [187085] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8414), 1,
      anon_sym_BANG,
    ACTIONS(8416), 1,
      anon_sym_QMARK,
    STATE(5113), 1,
      sym_comment,
    STATE(6232), 1,
      sym_type_annotation,
    STATE(7314), 1,
      sym__initializer,
    ACTIONS(7877), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187118] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5114), 1,
      sym_comment,
    ACTIONS(5725), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [187139] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(7747), 1,
      anon_sym_LT,
    STATE(2997), 1,
      sym_template_string,
    STATE(3318), 1,
      sym_arguments,
    STATE(4808), 1,
      sym_type_arguments,
    STATE(5115), 1,
      sym_comment,
    STATE(8103), 1,
      sym_optional_chain,
  [187176] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3100), 1,
      sym_class_body,
    STATE(5116), 1,
      sym_comment,
    STATE(5235), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7954), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [187213] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5117), 1,
      sym_comment,
    ACTIONS(5837), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [187234] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5118), 1,
      sym_comment,
    ACTIONS(5837), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [187255] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8210), 1,
      anon_sym_LBRACE,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    STATE(521), 1,
      sym_class_body,
    STATE(5119), 1,
      sym_comment,
    STATE(5418), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8185), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [187292] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3537), 1,
      sym_class_body,
    STATE(5120), 1,
      sym_comment,
    STATE(5269), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7366), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [187329] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(5121), 1,
      sym_comment,
    STATE(5267), 1,
      sym_type_parameters,
    STATE(6161), 1,
      sym_class_body,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7377), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [187366] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5122), 1,
      sym_comment,
    ACTIONS(5835), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [187387] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3058), 1,
      sym_class_body,
    STATE(5123), 1,
      sym_comment,
    STATE(5273), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7689), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [187424] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5124), 1,
      sym_comment,
    ACTIONS(5711), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [187445] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5125), 1,
      sym_comment,
    ACTIONS(5729), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [187466] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8418), 1,
      anon_sym_LBRACE,
    STATE(1244), 1,
      sym_class_body,
    STATE(5126), 1,
      sym_comment,
    STATE(5447), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7648), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [187503] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5127), 1,
      sym_comment,
    ACTIONS(5779), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [187524] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8420), 1,
      anon_sym_LBRACE,
    STATE(1028), 1,
      sym_class_body,
    STATE(5128), 1,
      sym_comment,
    STATE(5448), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7638), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [187561] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(7681), 1,
      anon_sym_LT,
    ACTIONS(8422), 1,
      anon_sym_DOT,
    STATE(2997), 1,
      sym_template_string,
    STATE(3687), 1,
      sym_arguments,
    STATE(5129), 1,
      sym_comment,
    STATE(6573), 1,
      sym_type_arguments,
    STATE(8103), 1,
      sym_optional_chain,
  [187598] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8424), 1,
      anon_sym_BANG,
    ACTIONS(8426), 1,
      anon_sym_QMARK,
    STATE(5130), 1,
      sym_comment,
    STATE(6253), 1,
      sym_type_annotation,
    STATE(7282), 1,
      sym__initializer,
    ACTIONS(7877), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187631] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5131), 1,
      sym_comment,
    STATE(6171), 1,
      sym_type_annotation,
    STATE(7339), 1,
      sym__initializer,
    ACTIONS(7985), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(7983), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [187662] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7681), 1,
      anon_sym_LT,
    ACTIONS(8428), 1,
      anon_sym_DOT,
    STATE(2997), 1,
      sym_template_string,
    STATE(3816), 1,
      sym_arguments,
    STATE(5132), 1,
      sym_comment,
    STATE(6573), 1,
      sym_type_arguments,
    STATE(8103), 1,
      sym_optional_chain,
  [187699] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5133), 1,
      sym_comment,
    ACTIONS(5695), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [187720] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5134), 1,
      sym_comment,
    ACTIONS(5853), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [187741] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8324), 1,
      anon_sym_LBRACE,
    STATE(352), 1,
      sym_class_body,
    STATE(5135), 1,
      sym_comment,
    STATE(5453), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7631), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [187778] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8418), 1,
      anon_sym_LBRACE,
    STATE(1143), 1,
      sym_class_body,
    STATE(5136), 1,
      sym_comment,
    STATE(5454), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7625), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [187815] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8370), 1,
      anon_sym_LBRACE,
    STATE(4032), 1,
      sym_class_body,
    STATE(5137), 1,
      sym_comment,
    STATE(5307), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8013), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [187852] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5138), 1,
      sym_comment,
    ACTIONS(5835), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [187873] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3001), 1,
      anon_sym_RBRACE,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    ACTIONS(8208), 1,
      anon_sym_COMMA,
    STATE(5139), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
    STATE(7064), 1,
      aux_sym_object_repeat1,
    ACTIONS(5208), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [187904] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5140), 1,
      sym_comment,
    ACTIONS(5699), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [187925] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5141), 1,
      sym_comment,
    ACTIONS(5563), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [187946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5142), 1,
      sym_comment,
    ACTIONS(5919), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [187967] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8430), 1,
      anon_sym_BANG,
    ACTIONS(8432), 1,
      anon_sym_QMARK,
    STATE(5143), 1,
      sym_comment,
    STATE(6197), 1,
      sym_type_annotation,
    STATE(7310), 1,
      sym__initializer,
    ACTIONS(7923), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188000] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5144), 1,
      sym_comment,
    ACTIONS(5949), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [188021] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8434), 1,
      anon_sym_BANG,
    ACTIONS(8436), 1,
      anon_sym_QMARK,
    STATE(5145), 1,
      sym_comment,
    STATE(6260), 1,
      sym_type_annotation,
    STATE(7261), 1,
      sym__initializer,
    ACTIONS(7877), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188054] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5146), 1,
      sym_comment,
    ACTIONS(5703), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [188075] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8264), 1,
      anon_sym_AMP,
    STATE(5147), 1,
      sym_comment,
    ACTIONS(5733), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [188098] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8438), 1,
      anon_sym_BANG,
    ACTIONS(8440), 1,
      anon_sym_QMARK,
    STATE(5148), 1,
      sym_comment,
    STATE(6016), 1,
      sym_type_annotation,
    STATE(6887), 1,
      sym__initializer,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188131] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8420), 1,
      anon_sym_LBRACE,
    STATE(1052), 1,
      sym_class_body,
    STATE(5149), 1,
      sym_comment,
    STATE(5455), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7615), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [188168] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8442), 1,
      anon_sym_LBRACK,
    STATE(5150), 1,
      sym_comment,
    ACTIONS(5703), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [188191] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5151), 1,
      sym_comment,
    ACTIONS(5571), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [188212] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8444), 1,
      anon_sym_BANG,
    ACTIONS(8446), 1,
      anon_sym_QMARK,
    STATE(5152), 1,
      sym_comment,
    STATE(5950), 1,
      sym_type_annotation,
    STATE(6793), 1,
      sym__initializer,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188245] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    STATE(1459), 1,
      sym_class_body,
    STATE(5153), 1,
      sym_comment,
    STATE(5265), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7393), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [188282] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8448), 1,
      anon_sym_BANG,
    ACTIONS(8450), 1,
      anon_sym_QMARK,
    STATE(5154), 1,
      sym_comment,
    STATE(5957), 1,
      sym_type_annotation,
    STATE(6768), 1,
      sym__initializer,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188315] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5549), 1,
      anon_sym_DOT,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(7681), 1,
      anon_sym_LT,
    STATE(2997), 1,
      sym_template_string,
    STATE(3880), 1,
      sym_arguments,
    STATE(4734), 1,
      sym_type_arguments,
    STATE(5155), 1,
      sym_comment,
    STATE(8103), 1,
      sym_optional_chain,
  [188352] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5156), 1,
      sym_comment,
    ACTIONS(5689), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [188373] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8452), 1,
      anon_sym_BANG,
    ACTIONS(8454), 1,
      anon_sym_QMARK,
    STATE(5157), 1,
      sym_comment,
    STATE(6018), 1,
      sym_type_annotation,
    STATE(6889), 1,
      sym__initializer,
    ACTIONS(7893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188406] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8456), 1,
      anon_sym_EQ,
    STATE(5158), 1,
      sym_comment,
    ACTIONS(4756), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [188429] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4730), 1,
      anon_sym_LBRACE,
    ACTIONS(8460), 1,
      anon_sym_COLON,
    ACTIONS(8462), 1,
      anon_sym_DOT,
    ACTIONS(8464), 1,
      anon_sym_on,
    STATE(4262), 1,
      sym_ui_object_initializer,
    STATE(5159), 1,
      sym_comment,
    ACTIONS(8458), 4,
      anon_sym_default,
      anon_sym_readonly,
      anon_sym_property,
      anon_sym_required,
  [188460] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5641), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    ACTIONS(7681), 1,
      anon_sym_LT,
    STATE(5160), 1,
      sym_comment,
    STATE(6545), 1,
      sym_type_arguments,
    STATE(7919), 1,
      sym_optional_chain,
    STATE(3722), 2,
      sym_template_string,
      sym_arguments,
  [188495] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8466), 1,
      anon_sym_EQ,
    STATE(5161), 1,
      sym_comment,
    ACTIONS(4758), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [188518] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5162), 1,
      sym_comment,
    ACTIONS(5739), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [188539] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8256), 1,
      anon_sym_LBRACE,
    STATE(381), 1,
      sym_class_body,
    STATE(5163), 1,
      sym_comment,
    STATE(5506), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7524), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [188576] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5164), 1,
      sym_comment,
    ACTIONS(8468), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [188597] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5165), 1,
      sym_comment,
    ACTIONS(5743), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [188618] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8264), 1,
      anon_sym_AMP,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8268), 1,
      anon_sym_extends,
    STATE(5166), 1,
      sym_comment,
    ACTIONS(5975), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [188645] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3742), 1,
      sym_class_body,
    STATE(5167), 1,
      sym_comment,
    STATE(5270), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7766), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [188682] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8264), 1,
      anon_sym_AMP,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8268), 1,
      anon_sym_extends,
    STATE(5168), 1,
      sym_comment,
    ACTIONS(5747), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [188709] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8470), 1,
      anon_sym_BANG,
    ACTIONS(8472), 1,
      anon_sym_QMARK,
    STATE(5169), 1,
      sym_comment,
    STATE(6273), 1,
      sym_type_annotation,
    STATE(7337), 1,
      sym__initializer,
    ACTIONS(7923), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188742] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5170), 1,
      sym_comment,
    ACTIONS(2476), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [188763] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5171), 1,
      sym_comment,
    ACTIONS(8474), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [188784] = 12,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8332), 1,
      anon_sym_LBRACE,
    STATE(455), 1,
      sym_class_body,
    STATE(5172), 1,
      sym_comment,
    STATE(5431), 1,
      sym_type_parameters,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8034), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [188821] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8476), 1,
      anon_sym_BANG,
    ACTIONS(8478), 1,
      anon_sym_QMARK,
    STATE(5173), 1,
      sym_comment,
    STATE(6305), 1,
      sym_type_annotation,
    STATE(7171), 1,
      sym__initializer,
    ACTIONS(7877), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188854] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5174), 1,
      sym_comment,
    ACTIONS(5771), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [188875] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8442), 1,
      anon_sym_LBRACK,
    STATE(5175), 1,
      sym_comment,
    ACTIONS(5703), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(5755), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188900] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8480), 1,
      anon_sym_BANG,
    ACTIONS(8482), 1,
      anon_sym_QMARK,
    STATE(5176), 1,
      sym_comment,
    STATE(6293), 1,
      sym_type_annotation,
    STATE(7139), 1,
      sym__initializer,
    ACTIONS(7877), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [188933] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8442), 1,
      anon_sym_LBRACK,
    STATE(5177), 1,
      sym_comment,
    ACTIONS(5765), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [188956] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8484), 1,
      anon_sym_extends,
    STATE(5178), 1,
      sym_comment,
    ACTIONS(5759), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [188979] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8486), 1,
      sym_escape_sequence,
    ACTIONS(8488), 1,
      anon_sym_BQUOTE,
    ACTIONS(8490), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8492), 1,
      sym__template_chars,
    STATE(5179), 1,
      sym_comment,
    STATE(5728), 1,
      aux_sym_template_string_repeat1,
    STATE(6177), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6550), 1,
      sym_template_substitution,
    STATE(7022), 1,
      sym_template_type,
  [189013] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8494), 1,
      anon_sym_EQ,
    STATE(5180), 1,
      sym_comment,
    ACTIONS(8496), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [189035] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5181), 1,
      sym_comment,
    ACTIONS(8496), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [189055] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8486), 1,
      sym_escape_sequence,
    ACTIONS(8490), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8492), 1,
      sym__template_chars,
    ACTIONS(8498), 1,
      anon_sym_BQUOTE,
    STATE(5182), 1,
      sym_comment,
    STATE(5709), 1,
      aux_sym_template_string_repeat1,
    STATE(6177), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6550), 1,
      sym_template_substitution,
    STATE(7022), 1,
      sym_template_type,
  [189089] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8486), 1,
      sym_escape_sequence,
    ACTIONS(8490), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8492), 1,
      sym__template_chars,
    ACTIONS(8500), 1,
      anon_sym_BQUOTE,
    STATE(5183), 1,
      sym_comment,
    STATE(5728), 1,
      aux_sym_template_string_repeat1,
    STATE(6177), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6550), 1,
      sym_template_substitution,
    STATE(7022), 1,
      sym_template_type,
  [189123] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5184), 1,
      sym_comment,
    ACTIONS(7111), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [189143] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8486), 1,
      sym_escape_sequence,
    ACTIONS(8490), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8492), 1,
      sym__template_chars,
    ACTIONS(8502), 1,
      anon_sym_BQUOTE,
    STATE(5185), 1,
      sym_comment,
    STATE(5728), 1,
      aux_sym_template_string_repeat1,
    STATE(5891), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6550), 1,
      sym_template_substitution,
    STATE(7022), 1,
      sym_template_type,
  [189177] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4273), 1,
      sym_identifier,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8504), 1,
      anon_sym_enum,
    STATE(5186), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6394), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [189209] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4273), 1,
      sym_identifier,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8506), 1,
      anon_sym_enum,
    STATE(5187), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6535), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [189241] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4273), 1,
      sym_identifier,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8508), 1,
      anon_sym_enum,
    STATE(5188), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6425), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [189273] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8510), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(8512), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(8514), 1,
      anon_sym_QMARK_COLON,
    STATE(5189), 1,
      sym_comment,
    STATE(6176), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [189301] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8516), 1,
      anon_sym_EQ,
    STATE(5190), 1,
      sym_comment,
    ACTIONS(7111), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
  [189323] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8510), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(8512), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(8514), 1,
      anon_sym_QMARK_COLON,
    STATE(5191), 1,
      sym_comment,
    STATE(6298), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [189351] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8162), 1,
      anon_sym_BANG,
    STATE(5192), 1,
      sym_comment,
    STATE(5762), 1,
      sym_type_annotation,
    STATE(6942), 1,
      sym__initializer,
    ACTIONS(8160), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189381] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(8144), 1,
      sym_identifier,
    STATE(5193), 1,
      sym_comment,
    STATE(6566), 1,
      sym_string,
    STATE(6660), 1,
      sym__module_export_name,
    STATE(7646), 1,
      sym_export_specifier,
    ACTIONS(8146), 2,
      anon_sym_type,
      anon_sym_typeof,
  [189413] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8510), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(8512), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(8514), 1,
      anon_sym_QMARK_COLON,
    STATE(5194), 1,
      sym_comment,
    STATE(5770), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [189441] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8510), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(8512), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(8514), 1,
      anon_sym_QMARK_COLON,
    STATE(5195), 1,
      sym_comment,
    STATE(6296), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [189469] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4273), 1,
      sym_identifier,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8518), 1,
      anon_sym_enum,
    STATE(5196), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6448), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [189501] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8510), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(8512), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(8514), 1,
      anon_sym_QMARK_COLON,
    STATE(5197), 1,
      sym_comment,
    STATE(5771), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [189529] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8510), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(8512), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(8514), 1,
      anon_sym_QMARK_COLON,
    STATE(5198), 1,
      sym_comment,
    STATE(5749), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [189557] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8510), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(8512), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(8514), 1,
      anon_sym_QMARK_COLON,
    STATE(5199), 1,
      sym_comment,
    STATE(5975), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [189585] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4273), 1,
      sym_identifier,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8520), 1,
      anon_sym_enum,
    STATE(5200), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6462), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [189617] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4273), 1,
      sym_identifier,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8522), 1,
      anon_sym_enum,
    STATE(5201), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6340), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [189649] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8510), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(8512), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(8514), 1,
      anon_sym_QMARK_COLON,
    STATE(5202), 1,
      sym_comment,
    STATE(5946), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [189677] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    ACTIONS(8510), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(8512), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(8514), 1,
      anon_sym_QMARK_COLON,
    STATE(5203), 1,
      sym_comment,
    STATE(5949), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [189705] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8080), 1,
      anon_sym_PIPE,
    ACTIONS(8082), 1,
      anon_sym_extends,
    STATE(5204), 1,
      sym_comment,
    ACTIONS(8524), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [189731] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8526), 1,
      anon_sym_LBRACE,
    ACTIONS(8528), 1,
      anon_sym_DOT,
    STATE(5205), 1,
      sym_comment,
    STATE(5874), 1,
      sym_statement_block,
    ACTIONS(2303), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [189757] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8080), 1,
      anon_sym_PIPE,
    ACTIONS(8082), 1,
      anon_sym_extends,
    STATE(5206), 1,
      sym_comment,
    ACTIONS(8530), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [189783] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8526), 1,
      anon_sym_LBRACE,
    ACTIONS(8532), 1,
      anon_sym_DOT,
    STATE(5207), 1,
      sym_comment,
    STATE(5874), 1,
      sym_statement_block,
    ACTIONS(2303), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [189809] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8486), 1,
      sym_escape_sequence,
    ACTIONS(8490), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8492), 1,
      sym__template_chars,
    ACTIONS(8534), 1,
      anon_sym_BQUOTE,
    STATE(5208), 1,
      sym_comment,
    STATE(5728), 1,
      aux_sym_template_string_repeat1,
    STATE(6177), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6550), 1,
      sym_template_substitution,
    STATE(7022), 1,
      sym_template_type,
  [189843] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8080), 1,
      anon_sym_PIPE,
    ACTIONS(8082), 1,
      anon_sym_extends,
    STATE(5209), 1,
      sym_comment,
    ACTIONS(8536), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [189869] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4273), 1,
      sym_identifier,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8538), 1,
      anon_sym_enum,
    STATE(5210), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6400), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [189901] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8486), 1,
      sym_escape_sequence,
    ACTIONS(8490), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8492), 1,
      sym__template_chars,
    ACTIONS(8540), 1,
      anon_sym_BQUOTE,
    STATE(5211), 1,
      sym_comment,
    STATE(5728), 1,
      aux_sym_template_string_repeat1,
    STATE(6177), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6550), 1,
      sym_template_substitution,
    STATE(7022), 1,
      sym_template_type,
  [189935] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7833), 1,
      anon_sym_LPAREN,
    ACTIONS(8542), 1,
      anon_sym_DOT,
    STATE(5212), 1,
      sym_comment,
    STATE(5580), 1,
      sym_arguments,
    ACTIONS(8190), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189961] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8264), 1,
      anon_sym_AMP,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8268), 1,
      anon_sym_extends,
    STATE(5213), 1,
      sym_comment,
    ACTIONS(8110), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [189987] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8486), 1,
      sym_escape_sequence,
    ACTIONS(8490), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8492), 1,
      sym__template_chars,
    ACTIONS(8544), 1,
      anon_sym_BQUOTE,
    STATE(5214), 1,
      sym_comment,
    STATE(5728), 1,
      aux_sym_template_string_repeat1,
    STATE(6177), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6550), 1,
      sym_template_substitution,
    STATE(7022), 1,
      sym_template_type,
  [190021] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8548), 1,
      anon_sym_DOT,
    STATE(5215), 1,
      sym_comment,
    ACTIONS(8546), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [190043] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4273), 1,
      sym_identifier,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8550), 1,
      anon_sym_enum,
    STATE(5216), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6562), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [190075] = 11,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8486), 1,
      sym_escape_sequence,
    ACTIONS(8490), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8492), 1,
      sym__template_chars,
    ACTIONS(8552), 1,
      anon_sym_BQUOTE,
    STATE(5217), 1,
      sym_comment,
    STATE(5709), 1,
      aux_sym_template_string_repeat1,
    STATE(6177), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6550), 1,
      sym_template_substitution,
    STATE(7022), 1,
      sym_template_type,
  [190109] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5218), 1,
      sym_comment,
    STATE(5938), 1,
      sym_type_annotation,
    STATE(6621), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190136] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5219), 1,
      sym_comment,
    STATE(5932), 1,
      sym_type_annotation,
    STATE(7158), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190163] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5220), 1,
      sym_comment,
    STATE(6263), 1,
      sym_type_annotation,
    STATE(7245), 1,
      sym__initializer,
    ACTIONS(8072), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190190] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5221), 1,
      sym_comment,
    STATE(6209), 1,
      sym_type_annotation,
    STATE(7042), 1,
      sym__initializer,
    ACTIONS(8072), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190217] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5222), 1,
      sym_comment,
    STATE(5746), 1,
      sym_type_annotation,
    STATE(6909), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190244] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5223), 1,
      sym_comment,
    STATE(7720), 1,
      sym_statement_block,
    ACTIONS(8556), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [190267] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5224), 1,
      sym_comment,
    STATE(6203), 1,
      sym_type_annotation,
    STATE(7346), 1,
      sym__initializer,
    ACTIONS(8072), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190294] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(5225), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6400), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [190323] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5226), 1,
      sym_comment,
    STATE(5753), 1,
      sym_type_annotation,
    STATE(6915), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190350] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(8560), 1,
      sym_identifier,
    ACTIONS(8562), 1,
      anon_sym_DOT,
    STATE(5227), 1,
      sym_comment,
    STATE(5943), 1,
      sym_nested_identifier,
    STATE(6516), 1,
      sym_string,
    STATE(8006), 1,
      sym__module,
  [190381] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(124), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8564), 1,
      anon_sym_LT,
    ACTIONS(8566), 1,
      anon_sym_extends,
    ACTIONS(8568), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5228), 1,
      sym_comment,
    STATE(5963), 1,
      sym_type_parameters,
    STATE(7209), 1,
      sym_extends_type_clause,
    STATE(7824), 1,
      sym_object_type,
  [190412] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5229), 1,
      sym_comment,
    STATE(7714), 1,
      sym_statement_block,
    ACTIONS(8570), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [190435] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5230), 1,
      sym_comment,
    STATE(6228), 1,
      sym_type_annotation,
    STATE(7318), 1,
      sym__initializer,
    ACTIONS(8072), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190462] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5231), 1,
      sym_comment,
    STATE(6189), 1,
      sym_type_annotation,
    STATE(7345), 1,
      sym__initializer,
    ACTIONS(8072), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190489] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5232), 1,
      sym_comment,
    STATE(8135), 1,
      sym_statement_block,
    ACTIONS(8572), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [190512] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5233), 1,
      sym_comment,
    STATE(6226), 1,
      sym_type_annotation,
    STATE(7323), 1,
      sym__initializer,
    ACTIONS(8072), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190539] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5234), 1,
      sym_comment,
    STATE(6307), 1,
      sym_type_annotation,
    STATE(7108), 1,
      sym__initializer,
    ACTIONS(8072), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190566] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3023), 1,
      sym_class_body,
    STATE(5235), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7750), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [190597] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8574), 1,
      sym_identifier,
    ACTIONS(8576), 1,
      anon_sym_STAR,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    STATE(5236), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(8018), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [190628] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5237), 1,
      sym_comment,
    STATE(7523), 1,
      sym_statement_block,
    ACTIONS(8570), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [190651] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(5238), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6442), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [190680] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8370), 1,
      anon_sym_LBRACE,
    STATE(4031), 1,
      sym_class_body,
    STATE(5239), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7991), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [190711] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5240), 1,
      sym_comment,
    STATE(7520), 1,
      sym_statement_block,
    ACTIONS(8556), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [190734] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5241), 1,
      sym_comment,
    STATE(6266), 1,
      sym_type_annotation,
    STATE(7242), 1,
      sym__initializer,
    ACTIONS(8072), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190761] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8580), 1,
      anon_sym_EQ,
    STATE(5242), 1,
      sym_comment,
    ACTIONS(4699), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [190782] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5243), 1,
      sym_comment,
    STATE(5988), 1,
      sym_type_annotation,
    STATE(6815), 1,
      sym__initializer,
    ACTIONS(8583), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190809] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4543), 1,
      anon_sym_LT,
    ACTIONS(8585), 1,
      sym_identifier,
    ACTIONS(8587), 1,
      anon_sym_LPAREN,
    STATE(3110), 1,
      sym_arguments,
    STATE(5244), 1,
      sym_comment,
    STATE(7830), 1,
      sym_type_arguments,
    ACTIONS(8589), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [190838] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5245), 1,
      sym_comment,
    STATE(5989), 1,
      sym_type_annotation,
    STATE(6814), 1,
      sym__initializer,
    ACTIONS(8583), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [190865] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(5246), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6535), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [190894] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5247), 1,
      sym_comment,
    STATE(6039), 1,
      sym_type_annotation,
    ACTIONS(8591), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [190917] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(39), 1,
      anon_sym_import,
    ACTIONS(8593), 1,
      sym_identifier,
    STATE(4575), 1,
      sym__type_query_member_expression,
    STATE(4583), 1,
      sym__type_query_subscript_expression,
    STATE(4803), 1,
      sym__type_query_call_expression,
    STATE(4920), 1,
      sym__type_query_instantiation_expression,
    STATE(5248), 1,
      sym_comment,
    STATE(6554), 1,
      sym_import,
  [190948] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(5249), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6581), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [190977] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5250), 1,
      sym_comment,
    STATE(8077), 1,
      sym_statement_block,
    ACTIONS(8595), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [191000] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8274), 1,
      anon_sym_LBRACE,
    STATE(4085), 1,
      sym_class_body,
    STATE(5251), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8041), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [191031] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5252), 1,
      sym_comment,
    STATE(7538), 1,
      sym_statement_block,
    ACTIONS(8572), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [191054] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1569), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8564), 1,
      anon_sym_LT,
    ACTIONS(8566), 1,
      anon_sym_extends,
    ACTIONS(8597), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5253), 1,
      sym_comment,
    STATE(6207), 1,
      sym_object_type,
    STATE(6221), 1,
      sym_type_parameters,
    STATE(7325), 1,
      sym_extends_type_clause,
  [191085] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5254), 1,
      sym_comment,
    ACTIONS(6322), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [191104] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5255), 1,
      sym_comment,
    ACTIONS(6917), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [191123] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5256), 1,
      sym_comment,
    ACTIONS(6338), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [191142] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5257), 1,
      sym_comment,
    STATE(7463), 1,
      sym_statement_block,
    ACTIONS(8599), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [191165] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3102), 1,
      sym_class_body,
    STATE(5258), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7952), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [191196] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5259), 1,
      sym_comment,
    ACTIONS(8601), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [191215] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5260), 1,
      sym_comment,
    ACTIONS(4699), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [191234] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(2981), 1,
      sym_class_body,
    STATE(5261), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7687), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [191265] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3597), 1,
      sym_class_body,
    STATE(5262), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7596), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [191296] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(5263), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(7155), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [191325] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(8603), 1,
      sym_identifier,
    ACTIONS(8605), 1,
      anon_sym_DOT,
    STATE(5207), 1,
      sym_nested_identifier,
    STATE(5264), 1,
      sym_comment,
    STATE(5502), 1,
      sym_string,
    STATE(6244), 1,
      sym__module,
  [191356] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    STATE(1377), 1,
      sym_class_body,
    STATE(5265), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7367), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [191387] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5266), 1,
      sym_comment,
    STATE(6152), 1,
      sym_type_annotation,
    STATE(7319), 1,
      sym__initializer,
    ACTIONS(8059), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191414] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(5267), 1,
      sym_comment,
    STATE(6134), 1,
      sym_class_body,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7374), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [191445] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5268), 1,
      sym_comment,
    STATE(7540), 1,
      sym_statement_block,
    ACTIONS(8595), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [191468] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3517), 1,
      sym_class_body,
    STATE(5269), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7379), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [191499] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3598), 1,
      sym_class_body,
    STATE(5270), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7667), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [191530] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    STATE(1323), 1,
      sym_class_body,
    STATE(5271), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7384), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [191561] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3552), 1,
      sym_class_body,
    STATE(5272), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7381), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [191592] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3051), 1,
      sym_class_body,
    STATE(5273), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7576), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [191623] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(5274), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7297), 1,
      sym_class_body,
    STATE(7575), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [191654] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8218), 1,
      anon_sym_LBRACE,
    STATE(1851), 1,
      sym_class_body,
    STATE(5275), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8154), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [191685] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3525), 1,
      sym_class_body,
    STATE(5276), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7620), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [191716] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5277), 1,
      sym_comment,
    STATE(7795), 1,
      sym_statement_block,
    ACTIONS(8607), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [191739] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5278), 1,
      sym_comment,
    STATE(7998), 1,
      sym_statement_block,
    ACTIONS(8609), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [191762] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    STATE(5279), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7422), 1,
      sym_class_body,
    STATE(7555), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [191793] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5280), 1,
      sym_comment,
    STATE(7549), 1,
      sym_statement_block,
    ACTIONS(8607), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [191816] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5281), 1,
      sym_comment,
    STATE(8144), 1,
      sym_statement_block,
    ACTIONS(8611), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [191839] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5282), 1,
      sym_comment,
    STATE(8146), 1,
      sym_statement_block,
    ACTIONS(8613), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [191862] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5283), 1,
      sym_comment,
    STATE(7929), 1,
      sym_statement_block,
    ACTIONS(8615), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [191885] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5284), 1,
      sym_comment,
    STATE(5823), 1,
      sym_type_annotation,
    STATE(7063), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [191912] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3528), 1,
      sym_class_body,
    STATE(5285), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7547), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [191943] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(5286), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7359), 1,
      sym_class_body,
    STATE(7495), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [191974] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(5287), 1,
      sym_comment,
    STATE(6048), 1,
      sym_class_body,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7388), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [192005] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(5288), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6382), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [192034] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(1823), 1,
      sym_class_body,
    STATE(5289), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7528), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [192065] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    STATE(5290), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7425), 1,
      sym_class_body,
    STATE(7480), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [192096] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(5291), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6340), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [192125] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5292), 1,
      sym_comment,
    STATE(7465), 1,
      sym_statement_block,
    ACTIONS(8617), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [192148] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8619), 1,
      sym__automatic_semicolon,
    STATE(5293), 1,
      sym_comment,
    ACTIONS(2336), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [192169] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(5294), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6347), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [192198] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8621), 1,
      sym_identifier,
    ACTIONS(8623), 1,
      anon_sym_STAR,
    STATE(5295), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(8018), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [192229] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5296), 1,
      sym_comment,
    STATE(5899), 1,
      sym_type_annotation,
    STATE(7127), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192256] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5297), 1,
      sym_comment,
    STATE(5905), 1,
      sym_type_annotation,
    ACTIONS(8625), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [192279] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5298), 1,
      sym_comment,
    STATE(7859), 1,
      sym_statement_block,
    ACTIONS(8599), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [192302] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5299), 1,
      sym_comment,
    STATE(7698), 1,
      sym_statement_block,
    ACTIONS(8617), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [192325] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8627), 1,
      anon_sym_EQ,
    ACTIONS(8629), 1,
      anon_sym_DOT,
    STATE(5300), 1,
      sym_comment,
    ACTIONS(8546), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [192348] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8631), 1,
      anon_sym_COLON,
    ACTIONS(8633), 1,
      anon_sym_QMARK,
    STATE(5301), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(7563), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [192379] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(8635), 1,
      anon_sym_EQ,
    ACTIONS(8639), 1,
      anon_sym_QMARK,
    STATE(5302), 1,
      sym_comment,
    STATE(6390), 1,
      sym_type_annotation,
    STATE(7453), 1,
      sym__initializer,
    ACTIONS(8637), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [192408] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5303), 1,
      sym_comment,
    STATE(5758), 1,
      sym_type_annotation,
    STATE(6934), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192435] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5304), 1,
      sym_comment,
    STATE(5759), 1,
      sym_type_annotation,
    STATE(6938), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192462] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5305), 1,
      sym_comment,
    STATE(5959), 1,
      sym_type_annotation,
    STATE(6775), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192489] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5306), 1,
      sym_comment,
    STATE(6102), 1,
      sym_type_annotation,
    STATE(6770), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192516] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8370), 1,
      anon_sym_LBRACE,
    STATE(4038), 1,
      sym_class_body,
    STATE(5307), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8078), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [192547] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3609), 1,
      sym_class_body,
    STATE(5308), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7674), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [192578] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8641), 1,
      sym_identifier,
    ACTIONS(8643), 1,
      anon_sym_STAR,
    STATE(5309), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(7679), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [192609] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8218), 1,
      anon_sym_LBRACE,
    STATE(1883), 1,
      sym_class_body,
    STATE(5310), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7942), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [192640] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(39), 1,
      anon_sym_import,
    ACTIONS(8645), 1,
      sym_identifier,
    STATE(4512), 1,
      sym__type_query_member_expression,
    STATE(4513), 1,
      sym__type_query_subscript_expression,
    STATE(4584), 1,
      sym__type_query_call_expression,
    STATE(4630), 1,
      sym__type_query_instantiation_expression,
    STATE(5311), 1,
      sym_comment,
    STATE(6314), 1,
      sym_import,
  [192671] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5312), 1,
      sym_comment,
    STATE(5865), 1,
      sym_type_annotation,
    STATE(6676), 1,
      sym__initializer,
    ACTIONS(8074), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192698] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8244), 1,
      anon_sym_LBRACE,
    STATE(1523), 1,
      sym_class_body,
    STATE(5313), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7672), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [192729] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5314), 1,
      sym_comment,
    STATE(6120), 1,
      sym_type_annotation,
    STATE(6761), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192756] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5315), 1,
      sym_comment,
    STATE(6149), 1,
      sym_type_annotation,
    STATE(6760), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192783] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8647), 1,
      sym_identifier,
    STATE(5316), 1,
      sym_comment,
    ACTIONS(5569), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [192804] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5317), 1,
      sym_comment,
    STATE(5873), 1,
      sym_type_annotation,
    STATE(7113), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192831] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5318), 1,
      sym_comment,
    ACTIONS(2352), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [192850] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5319), 1,
      sym_comment,
    ACTIONS(8649), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [192869] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5320), 1,
      sym_comment,
    STATE(5868), 1,
      sym_type_annotation,
    STATE(7112), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192896] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(5321), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6394), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [192925] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4417), 1,
      anon_sym_DQUOTE,
    ACTIONS(4419), 1,
      anon_sym_SQUOTE,
    ACTIONS(8651), 1,
      sym_identifier,
    ACTIONS(8653), 1,
      anon_sym_DOT,
    STATE(1017), 1,
      sym_nested_identifier,
    STATE(1112), 1,
      sym_string,
    STATE(1290), 1,
      sym__module,
    STATE(5322), 1,
      sym_comment,
  [192956] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5323), 1,
      sym_comment,
    STATE(6157), 1,
      sym_type_annotation,
    STATE(6826), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [192983] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5324), 1,
      sym_comment,
    STATE(6216), 1,
      sym_type_annotation,
    STATE(6739), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193010] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5325), 1,
      sym_comment,
    ACTIONS(2336), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [193029] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8564), 1,
      anon_sym_LT,
    ACTIONS(8566), 1,
      anon_sym_extends,
    ACTIONS(8655), 1,
      anon_sym_LBRACE,
    ACTIONS(8657), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1263), 1,
      sym_object_type,
    STATE(5326), 1,
      sym_comment,
    STATE(6106), 1,
      sym_type_parameters,
    STATE(7292), 1,
      sym_extends_type_clause,
  [193060] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5327), 1,
      sym_comment,
    STATE(6256), 1,
      sym_type_annotation,
    STATE(6727), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193087] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5328), 1,
      sym_comment,
    STATE(6259), 1,
      sym_type_annotation,
    STATE(6726), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193114] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8274), 1,
      anon_sym_LBRACE,
    STATE(4056), 1,
      sym_class_body,
    STATE(5329), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8091), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [193145] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5330), 1,
      sym_comment,
    STATE(5755), 1,
      sym_type_annotation,
    STATE(6598), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193172] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5331), 1,
      sym_comment,
    STATE(5768), 1,
      sym_type_annotation,
    STATE(6965), 1,
      sym__initializer,
    ACTIONS(8659), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193199] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(5332), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6420), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [193228] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5333), 1,
      sym_comment,
    STATE(5934), 1,
      sym_type_annotation,
    STATE(7188), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193255] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5334), 1,
      sym_comment,
    STATE(5784), 1,
      sym_type_annotation,
    STATE(6606), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193282] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5335), 1,
      sym_comment,
    STATE(6285), 1,
      sym_type_annotation,
    STATE(6710), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193309] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5336), 1,
      sym_comment,
    STATE(5936), 1,
      sym_type_annotation,
    STATE(7226), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193336] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8661), 1,
      anon_sym_COMMA,
    ACTIONS(8663), 1,
      anon_sym_RBRACE,
    STATE(5337), 1,
      sym_comment,
    STATE(7093), 1,
      aux_sym_object_repeat1,
    ACTIONS(5208), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [193361] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5338), 1,
      sym_comment,
    STATE(5791), 1,
      sym_type_annotation,
    STATE(6622), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193388] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5339), 1,
      sym_comment,
    STATE(5803), 1,
      sym_type_annotation,
    STATE(6640), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193415] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5340), 1,
      sym_comment,
    STATE(6287), 1,
      sym_type_annotation,
    STATE(6708), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193442] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8665), 1,
      sym__automatic_semicolon,
    STATE(5341), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [193463] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8017), 1,
      anon_sym_EQ,
    STATE(5342), 1,
      sym_comment,
    STATE(6467), 1,
      sym_constraint,
    STATE(7712), 1,
      sym_default_type,
    ACTIONS(8022), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(8667), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [193490] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    STATE(1641), 1,
      sym_class_body,
    STATE(5343), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7810), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [193521] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5344), 1,
      sym_comment,
    STATE(5828), 1,
      sym_type_annotation,
    STATE(6652), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193548] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5345), 1,
      sym_comment,
    STATE(5877), 1,
      sym_type_annotation,
    STATE(6666), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193575] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(5346), 1,
      sym_comment,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(6425), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [193604] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(5347), 1,
      sym_comment,
    STATE(6250), 1,
      sym_class_body,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7815), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [193635] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5348), 1,
      sym_comment,
    STATE(5904), 1,
      sym_type_annotation,
    STATE(6616), 1,
      sym__initializer,
    ACTIONS(8057), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193662] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5349), 1,
      sym_comment,
    STATE(5896), 1,
      sym_type_annotation,
    STATE(6681), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193689] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5350), 1,
      sym_comment,
    STATE(5897), 1,
      sym_type_annotation,
    STATE(6683), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193716] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(1778), 1,
      sym_class_body,
    STATE(5351), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7973), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [193747] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8669), 1,
      anon_sym_LBRACE,
    ACTIONS(8671), 1,
      anon_sym_COMMA,
    ACTIONS(8673), 1,
      anon_sym_DOT,
    ACTIONS(8675), 1,
      anon_sym_LT,
    ACTIONS(8677), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5352), 1,
      sym_comment,
    STATE(6481), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(7309), 1,
      sym_type_arguments,
  [193778] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5353), 1,
      sym_comment,
    STATE(5912), 1,
      sym_type_annotation,
    STATE(6653), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193805] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5354), 1,
      sym_comment,
    STATE(5762), 1,
      sym_type_annotation,
    STATE(6948), 1,
      sym__initializer,
    ACTIONS(8160), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193832] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(5355), 1,
      sym_comment,
    STATE(6438), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [193861] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8244), 1,
      anon_sym_LBRACE,
    STATE(1624), 1,
      sym_class_body,
    STATE(5356), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7759), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [193892] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5357), 1,
      sym_comment,
    STATE(5855), 1,
      sym_type_annotation,
    STATE(7089), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193919] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5358), 1,
      sym_comment,
    ACTIONS(8468), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [193938] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8210), 1,
      anon_sym_LBRACE,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    STATE(524), 1,
      sym_class_body,
    STATE(5359), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7899), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [193969] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5360), 1,
      sym_comment,
    STATE(5935), 1,
      sym_type_annotation,
    STATE(6763), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [193996] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5361), 1,
      sym_comment,
    STATE(5850), 1,
      sym_type_annotation,
    STATE(7119), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194023] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5362), 1,
      sym_comment,
    ACTIONS(6306), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [194042] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5363), 1,
      sym_comment,
    STATE(5942), 1,
      sym_type_annotation,
    STATE(7205), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194069] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8332), 1,
      anon_sym_LBRACE,
    STATE(462), 1,
      sym_class_body,
    STATE(5364), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7885), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [194100] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5365), 1,
      sym_comment,
    STATE(5952), 1,
      sym_type_annotation,
    STATE(7208), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194127] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    STATE(1618), 1,
      sym_class_body,
    STATE(5366), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7888), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [194158] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8256), 1,
      anon_sym_LBRACE,
    STATE(403), 1,
      sym_class_body,
    STATE(5367), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7515), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [194189] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5368), 1,
      sym_comment,
    STATE(5911), 1,
      sym_type_annotation,
    STATE(6745), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194216] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5369), 1,
      sym_comment,
    STATE(5948), 1,
      sym_type_annotation,
    STATE(6750), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194243] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5370), 1,
      sym_comment,
    STATE(5840), 1,
      sym_type_annotation,
    STATE(7077), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194270] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5371), 1,
      sym_comment,
    STATE(5835), 1,
      sym_type_annotation,
    STATE(7076), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194297] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5372), 1,
      sym_comment,
    STATE(5780), 1,
      sym_type_annotation,
    STATE(6888), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194324] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(5373), 1,
      sym_comment,
    STATE(6448), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [194353] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5374), 1,
      sym_comment,
    STATE(5848), 1,
      sym_type_annotation,
    STATE(6875), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194380] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(8681), 1,
      anon_sym_DOT,
    STATE(5375), 1,
      sym_comment,
    STATE(6441), 1,
      sym_arguments,
    ACTIONS(8679), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [194405] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6779), 1,
      sym__automatic_semicolon,
    STATE(5376), 1,
      sym_comment,
    ACTIONS(2448), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [194426] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5377), 1,
      sym_comment,
    STATE(5958), 1,
      sym_type_annotation,
    STATE(6772), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194453] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5378), 1,
      sym_comment,
    STATE(5947), 1,
      sym_type_annotation,
    STATE(6776), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194480] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5379), 1,
      sym_comment,
    STATE(5880), 1,
      sym_type_annotation,
    STATE(6667), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194507] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3874), 1,
      sym_class_body,
    STATE(5380), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8127), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [194538] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5381), 1,
      sym_comment,
    STATE(5966), 1,
      sym_type_annotation,
    STATE(6784), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194565] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5382), 1,
      sym_comment,
    STATE(5968), 1,
      sym_type_annotation,
    STATE(6786), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194592] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(5383), 1,
      sym_comment,
    STATE(6562), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [194621] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4543), 1,
      anon_sym_LT,
    ACTIONS(8585), 1,
      sym_identifier,
    ACTIONS(8683), 1,
      anon_sym_LPAREN,
    STATE(3588), 1,
      sym_arguments,
    STATE(5384), 1,
      sym_comment,
    STATE(7760), 1,
      sym_type_arguments,
    ACTIONS(8589), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [194650] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5385), 1,
      sym_comment,
    STATE(6037), 1,
      sym_type_annotation,
    STATE(6926), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194677] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5386), 1,
      sym_comment,
    STATE(5984), 1,
      sym_type_annotation,
    STATE(6813), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194704] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5387), 1,
      sym_comment,
    STATE(5822), 1,
      sym_type_annotation,
    STATE(7060), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194731] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5388), 1,
      sym_comment,
    STATE(6300), 1,
      sym_type_annotation,
    STATE(6697), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194758] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3878), 1,
      sym_class_body,
    STATE(5389), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7611), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [194789] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8685), 1,
      sym_identifier,
    ACTIONS(8687), 1,
      anon_sym_STAR,
    STATE(5390), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(8018), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [194820] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8689), 1,
      sym_identifier,
    ACTIONS(8691), 1,
      anon_sym_STAR,
    STATE(5391), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(7950), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [194851] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5392), 1,
      sym_comment,
    STATE(5893), 1,
      sym_type_annotation,
    STATE(6844), 1,
      sym__initializer,
    ACTIONS(8583), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194878] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5393), 1,
      sym_comment,
    STATE(6010), 1,
      sym_type_annotation,
    STATE(6879), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194905] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8693), 1,
      anon_sym_EQ,
    STATE(5394), 1,
      sym_comment,
    ACTIONS(4706), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [194926] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5395), 1,
      sym_comment,
    STATE(5901), 1,
      sym_type_annotation,
    STATE(6841), 1,
      sym__initializer,
    ACTIONS(8583), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194953] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5396), 1,
      sym_comment,
    STATE(5898), 1,
      sym_type_annotation,
    STATE(6608), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [194980] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(5397), 1,
      sym_comment,
    STATE(6111), 1,
      sym_class_body,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7905), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [195011] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5398), 1,
      sym_comment,
    ACTIONS(8298), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [195030] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8296), 1,
      anon_sym_LBRACE,
    STATE(1170), 1,
      sym_class_body,
    STATE(5399), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7529), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [195061] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5400), 1,
      sym_comment,
    STATE(6019), 1,
      sym_type_annotation,
    STATE(6891), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195088] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5401), 1,
      sym_comment,
    STATE(6020), 1,
      sym_type_annotation,
    STATE(6893), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195115] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(39), 1,
      anon_sym_import,
    ACTIONS(8695), 1,
      sym_identifier,
    STATE(3003), 1,
      sym__type_query_member_expression,
    STATE(3004), 1,
      sym__type_query_subscript_expression,
    STATE(3313), 1,
      sym__type_query_instantiation_expression,
    STATE(3315), 1,
      sym__type_query_call_expression,
    STATE(5402), 1,
      sym_comment,
    STATE(6367), 1,
      sym_import,
  [195146] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5403), 1,
      sym_comment,
    STATE(6028), 1,
      sym_type_annotation,
    STATE(6900), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195173] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5404), 1,
      sym_comment,
    STATE(6029), 1,
      sym_type_annotation,
    STATE(6902), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195200] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8697), 1,
      anon_sym_EQ,
    STATE(5405), 1,
      sym_comment,
    ACTIONS(4699), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [195221] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8633), 1,
      anon_sym_QMARK,
    ACTIONS(8700), 1,
      anon_sym_COLON,
    STATE(5406), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(7563), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [195252] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5407), 1,
      sym_comment,
    ACTIONS(8286), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [195271] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8702), 1,
      sym_identifier,
    ACTIONS(8704), 1,
      anon_sym_STAR,
    STATE(5408), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(8150), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [195302] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(5409), 1,
      sym_comment,
    STATE(6468), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [195331] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5410), 1,
      sym_comment,
    STATE(6291), 1,
      sym_type_annotation,
    STATE(7133), 1,
      sym__initializer,
    ACTIONS(8061), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195358] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5411), 1,
      sym_comment,
    STATE(6031), 1,
      sym_type_annotation,
    STATE(6954), 1,
      sym__initializer,
    ACTIONS(8043), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195385] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4387), 1,
      anon_sym_DQUOTE,
    ACTIONS(4389), 1,
      anon_sym_SQUOTE,
    ACTIONS(8706), 1,
      sym_identifier,
    ACTIONS(8708), 1,
      anon_sym_DOT,
    STATE(3968), 1,
      sym_nested_identifier,
    STATE(4015), 1,
      sym_string,
    STATE(4336), 1,
      sym__module,
    STATE(5412), 1,
      sym_comment,
  [195416] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8564), 1,
      anon_sym_LT,
    ACTIONS(8566), 1,
      anon_sym_extends,
    ACTIONS(8710), 1,
      anon_sym_LBRACE,
    ACTIONS(8712), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4328), 1,
      sym_object_type,
    STATE(5413), 1,
      sym_comment,
    STATE(6070), 1,
      sym_type_parameters,
    STATE(6962), 1,
      sym_extends_type_clause,
  [195447] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5414), 1,
      sym_comment,
    STATE(5766), 1,
      sym_type_annotation,
    STATE(6939), 1,
      sym__initializer,
    ACTIONS(8047), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195474] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8017), 1,
      anon_sym_EQ,
    STATE(5415), 1,
      sym_comment,
    STATE(6381), 1,
      sym_constraint,
    STATE(8085), 1,
      sym_default_type,
    ACTIONS(8022), 2,
      anon_sym_COLON,
      anon_sym_extends,
    ACTIONS(8714), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [195501] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8234), 1,
      anon_sym_LBRACE,
    STATE(1893), 1,
      sym_class_body,
    STATE(5416), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8064), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [195532] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5417), 1,
      sym_comment,
    ACTIONS(8716), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [195551] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8210), 1,
      anon_sym_LBRACE,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    STATE(516), 1,
      sym_class_body,
    STATE(5418), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7749), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [195582] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5419), 1,
      sym_comment,
    STATE(5992), 1,
      sym_type_annotation,
    STATE(7241), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195609] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8718), 1,
      sym_identifier,
    STATE(4987), 1,
      sym__destructuring_pattern,
    STATE(5420), 1,
      sym_comment,
    STATE(6345), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [195638] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5421), 1,
      sym_comment,
    STATE(7953), 1,
      sym_statement_block,
    ACTIONS(8720), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [195661] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8722), 1,
      sym_identifier,
    STATE(4990), 1,
      sym__destructuring_pattern,
    STATE(5422), 1,
      sym_comment,
    STATE(6332), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [195690] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8250), 1,
      anon_sym_LBRACE,
    STATE(4186), 1,
      sym_class_body,
    STATE(5423), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7853), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [195721] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8258), 1,
      anon_sym_LBRACE,
    STATE(4247), 1,
      sym_class_body,
    STATE(5424), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7796), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [195752] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5425), 1,
      sym_comment,
    STATE(6093), 1,
      sym_type_annotation,
    STATE(7277), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195779] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8234), 1,
      anon_sym_LBRACE,
    STATE(1921), 1,
      sym_class_body,
    STATE(5426), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7790), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [195810] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8250), 1,
      anon_sym_LBRACE,
    STATE(4122), 1,
      sym_class_body,
    STATE(5427), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7697), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [195841] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8258), 1,
      anon_sym_LBRACE,
    STATE(4413), 1,
      sym_class_body,
    STATE(5428), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7741), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [195872] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5429), 1,
      sym_comment,
    STATE(6094), 1,
      sym_type_annotation,
    STATE(7278), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [195899] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(8088), 1,
      sym_identifier,
    ACTIONS(8184), 1,
      anon_sym_type,
    STATE(5430), 1,
      sym_comment,
    STATE(6566), 1,
      sym_string,
    STATE(7783), 1,
      sym__import_identifier,
    STATE(8485), 1,
      sym__module_export_name,
  [195930] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8332), 1,
      anon_sym_LBRACE,
    STATE(436), 1,
      sym_class_body,
    STATE(5431), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7962), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [195961] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(5432), 1,
      sym_comment,
    STATE(6462), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [195990] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8724), 1,
      sym_identifier,
    ACTIONS(8726), 1,
      anon_sym_STAR,
    STATE(5433), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(7679), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [196021] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    STATE(5434), 1,
      sym_comment,
    ACTIONS(8728), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5208), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [196044] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5435), 1,
      sym_comment,
    STATE(5818), 1,
      sym_type_annotation,
    STATE(7045), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196071] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5436), 1,
      sym_comment,
    STATE(5816), 1,
      sym_type_annotation,
    STATE(7037), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196098] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5437), 1,
      sym_comment,
    STATE(7387), 1,
      sym_statement_block,
    ACTIONS(8731), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [196121] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5438), 1,
      sym_comment,
    STATE(6211), 1,
      sym_type_annotation,
    STATE(6749), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196148] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5439), 1,
      sym_comment,
    STATE(6167), 1,
      sym_type_annotation,
    STATE(6655), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196175] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5440), 1,
      sym_comment,
    STATE(5991), 1,
      sym_type_annotation,
    STATE(7232), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196202] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5441), 1,
      sym_comment,
    STATE(5922), 1,
      sym_type_annotation,
    ACTIONS(8733), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [196225] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5442), 1,
      sym_comment,
    STATE(5814), 1,
      sym_type_annotation,
    STATE(7086), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196252] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5443), 1,
      sym_comment,
    STATE(5813), 1,
      sym_type_annotation,
    STATE(7030), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196279] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5444), 1,
      sym_comment,
    ACTIONS(2444), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [196298] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5445), 1,
      sym_comment,
    STATE(7693), 1,
      sym_statement_block,
    ACTIONS(8735), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [196321] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8737), 1,
      sym_identifier,
    ACTIONS(8739), 1,
      anon_sym_STAR,
    STATE(5446), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(7679), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [196352] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8418), 1,
      anon_sym_LBRACE,
    STATE(1245), 1,
      sym_class_body,
    STATE(5447), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7655), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [196383] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8420), 1,
      anon_sym_LBRACE,
    STATE(1054), 1,
      sym_class_body,
    STATE(5448), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7651), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [196414] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5449), 1,
      sym_comment,
    STATE(5809), 1,
      sym_type_annotation,
    STATE(7008), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196441] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5450), 1,
      sym_comment,
    STATE(5980), 1,
      sym_type_annotation,
    STATE(6631), 1,
      sym__initializer,
    ACTIONS(8070), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196468] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5451), 1,
      sym_comment,
    ACTIONS(2330), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [196487] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5452), 1,
      sym_comment,
    STATE(6281), 1,
      sym_type_annotation,
    STATE(7180), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196514] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8324), 1,
      anon_sym_LBRACE,
    STATE(359), 1,
      sym_class_body,
    STATE(5453), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7647), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [196545] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8418), 1,
      anon_sym_LBRACE,
    STATE(1182), 1,
      sym_class_body,
    STATE(5454), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7642), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [196576] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8420), 1,
      anon_sym_LBRACE,
    STATE(1026), 1,
      sym_class_body,
    STATE(5455), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7636), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [196607] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8284), 1,
      anon_sym_LBRACE,
    STATE(1340), 1,
      sym_class_body,
    STATE(5456), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7536), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [196638] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5457), 1,
      sym_comment,
    STATE(6168), 1,
      sym_type_annotation,
    STATE(7273), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196665] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5458), 1,
      sym_comment,
    STATE(6182), 1,
      sym_type_annotation,
    STATE(7351), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196692] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8324), 1,
      anon_sym_LBRACE,
    STATE(365), 1,
      sym_class_body,
    STATE(5459), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7622), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [196723] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5460), 1,
      sym_comment,
    STATE(6279), 1,
      sym_type_annotation,
    STATE(7207), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196750] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5461), 1,
      sym_comment,
    STATE(6277), 1,
      sym_type_annotation,
    STATE(7193), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196777] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5462), 1,
      sym_comment,
    ACTIONS(8386), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [196796] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5463), 1,
      sym_comment,
    STATE(5915), 1,
      sym_type_annotation,
    ACTIONS(8741), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [196819] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4289), 1,
      anon_sym_DQUOTE,
    ACTIONS(4291), 1,
      anon_sym_SQUOTE,
    ACTIONS(8743), 1,
      sym_identifier,
    ACTIONS(8745), 1,
      anon_sym_DOT,
    STATE(1325), 1,
      sym_nested_identifier,
    STATE(1610), 1,
      sym_string,
    STATE(1668), 1,
      sym__module,
    STATE(5464), 1,
      sym_comment,
  [196850] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(39), 1,
      anon_sym_import,
    ACTIONS(8747), 1,
      sym_identifier,
    STATE(2737), 1,
      sym__type_query_member_expression,
    STATE(2738), 1,
      sym__type_query_subscript_expression,
    STATE(2803), 1,
      sym__type_query_call_expression,
    STATE(2804), 1,
      sym__type_query_instantiation_expression,
    STATE(5465), 1,
      sym_comment,
    STATE(6521), 1,
      sym_import,
  [196881] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5466), 1,
      sym_comment,
    STATE(6272), 1,
      sym_type_annotation,
    STATE(7168), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [196908] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4275), 1,
      anon_sym_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_LBRACK,
    ACTIONS(8558), 1,
      sym_identifier,
    STATE(5354), 1,
      sym__destructuring_pattern,
    STATE(5467), 1,
      sym_comment,
    STATE(6414), 1,
      sym_variable_declarator,
    STATE(5358), 2,
      sym_object_pattern,
      sym_array_pattern,
  [196937] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8749), 1,
      sym_identifier,
    ACTIONS(8751), 1,
      anon_sym_STAR,
    STATE(5468), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(8018), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [196968] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8564), 1,
      anon_sym_LT,
    ACTIONS(8566), 1,
      anon_sym_extends,
    ACTIONS(8753), 1,
      anon_sym_LBRACE,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1744), 1,
      sym_object_type,
    STATE(5469), 1,
      sym_comment,
    STATE(6200), 1,
      sym_type_parameters,
    STATE(7038), 1,
      sym_extends_type_clause,
  [196999] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8564), 1,
      anon_sym_LT,
    ACTIONS(8566), 1,
      anon_sym_extends,
    ACTIONS(8757), 1,
      anon_sym_LBRACE,
    ACTIONS(8759), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1482), 1,
      sym_object_type,
    STATE(5470), 1,
      sym_comment,
    STATE(6233), 1,
      sym_type_parameters,
    STATE(7055), 1,
      sym_extends_type_clause,
  [197030] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5471), 1,
      sym_comment,
    STATE(6268), 1,
      sym_type_annotation,
    STATE(7224), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197057] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8761), 1,
      sym_identifier,
    ACTIONS(8763), 1,
      anon_sym_STAR,
    STATE(5472), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(7679), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [197088] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5473), 1,
      sym_comment,
    ACTIONS(2412), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [197107] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5474), 1,
      sym_comment,
    ACTIONS(2372), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [197126] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5475), 1,
      sym_comment,
    ACTIONS(8350), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [197145] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4409), 1,
      anon_sym_DQUOTE,
    ACTIONS(4411), 1,
      anon_sym_SQUOTE,
    ACTIONS(8765), 1,
      sym_identifier,
    ACTIONS(8767), 1,
      anon_sym_DOT,
    STATE(1129), 1,
      sym_nested_identifier,
    STATE(1364), 1,
      sym_string,
    STATE(1568), 1,
      sym__module,
    STATE(5476), 1,
      sym_comment,
  [197176] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5477), 1,
      sym_comment,
    ACTIONS(7127), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [197195] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8769), 1,
      sym_identifier,
    ACTIONS(8771), 1,
      anon_sym_STAR,
    STATE(5478), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(8018), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [197226] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8773), 1,
      sym_identifier,
    ACTIONS(8775), 1,
      anon_sym_STAR,
    STATE(5479), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(7679), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [197257] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8777), 1,
      sym_identifier,
    ACTIONS(8779), 1,
      anon_sym_STAR,
    STATE(5480), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(8018), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [197288] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8781), 1,
      sym_identifier,
    ACTIONS(8783), 1,
      anon_sym_STAR,
    STATE(5481), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(7679), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [197319] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8785), 1,
      sym_identifier,
    ACTIONS(8787), 1,
      anon_sym_STAR,
    STATE(5482), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(8018), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [197350] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5483), 1,
      sym_comment,
    STATE(6267), 1,
      sym_type_annotation,
    STATE(7229), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197377] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8789), 1,
      sym_identifier,
    ACTIONS(8791), 1,
      anon_sym_STAR,
    STATE(5484), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(7679), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [197408] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5485), 1,
      sym_comment,
    STATE(6264), 1,
      sym_type_annotation,
    STATE(7235), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197435] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5486), 1,
      sym_comment,
    ACTIONS(4758), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [197454] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5487), 1,
      sym_comment,
    ACTIONS(4756), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [197473] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      sym_identifier,
    ACTIONS(8795), 1,
      anon_sym_STAR,
    STATE(5488), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(8018), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [197504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5489), 1,
      sym_comment,
    ACTIONS(8310), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [197523] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8564), 1,
      anon_sym_LT,
    ACTIONS(8566), 1,
      anon_sym_extends,
    ACTIONS(8797), 1,
      anon_sym_LBRACE,
    ACTIONS(8799), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1087), 1,
      sym_object_type,
    STATE(5490), 1,
      sym_comment,
    STATE(6061), 1,
      sym_type_parameters,
    STATE(7267), 1,
      sym_extends_type_clause,
  [197554] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5491), 1,
      sym_comment,
    STATE(5847), 1,
      sym_type_annotation,
    STATE(7074), 1,
      sym__initializer,
    ACTIONS(8076), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197581] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8801), 1,
      sym_identifier,
    ACTIONS(8803), 1,
      anon_sym_STAR,
    STATE(5492), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(7679), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [197612] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5493), 1,
      sym_comment,
    ACTIONS(8262), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [197631] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8805), 1,
      sym_identifier,
    ACTIONS(8807), 1,
      anon_sym_STAR,
    STATE(5494), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(8018), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [197662] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5495), 1,
      sym_comment,
    ACTIONS(8474), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [197681] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8809), 1,
      sym_identifier,
    ACTIONS(8811), 1,
      anon_sym_STAR,
    STATE(5496), 1,
      sym_comment,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(7679), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [197712] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5497), 1,
      sym_comment,
    ACTIONS(8254), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [197731] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4395), 1,
      anon_sym_DQUOTE,
    ACTIONS(4397), 1,
      anon_sym_SQUOTE,
    ACTIONS(8813), 1,
      sym_identifier,
    ACTIONS(8815), 1,
      anon_sym_DOT,
    STATE(1005), 1,
      sym_nested_identifier,
    STATE(1024), 1,
      sym_string,
    STATE(1072), 1,
      sym__module,
    STATE(5498), 1,
      sym_comment,
  [197762] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3575), 1,
      sym_class_body,
    STATE(5499), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(8169), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [197793] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5500), 1,
      sym_comment,
    STATE(6257), 1,
      sym_type_annotation,
    STATE(7250), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197820] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8817), 1,
      sym__automatic_semicolon,
    STATE(5501), 1,
      sym_comment,
    ACTIONS(2336), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [197841] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8526), 1,
      anon_sym_LBRACE,
    STATE(5502), 1,
      sym_comment,
    STATE(5874), 1,
      sym_statement_block,
    ACTIONS(2303), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [197864] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(5503), 1,
      sym_comment,
    STATE(6254), 1,
      sym_type_annotation,
    STATE(7253), 1,
      sym__initializer,
    ACTIONS(8053), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [197891] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8284), 1,
      anon_sym_LBRACE,
    STATE(1430), 1,
      sym_class_body,
    STATE(5504), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7550), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [197922] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8296), 1,
      anon_sym_LBRACE,
    STATE(1095), 1,
      sym_class_body,
    STATE(5505), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7546), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [197953] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8212), 1,
      anon_sym_extends,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(8256), 1,
      anon_sym_LBRACE,
    STATE(382), 1,
      sym_class_body,
    STATE(5506), 1,
      sym_comment,
    STATE(7061), 1,
      sym_extends_clause,
    STATE(7541), 1,
      sym_class_heritage,
    STATE(8325), 1,
      sym_implements_clause,
  [197984] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(39), 1,
      anon_sym_import,
    ACTIONS(8819), 1,
      sym_identifier,
    STATE(4693), 1,
      sym__type_query_subscript_expression,
    STATE(4695), 1,
      sym__type_query_member_expression,
    STATE(4875), 1,
      sym__type_query_call_expression,
    STATE(5099), 1,
      sym__type_query_instantiation_expression,
    STATE(5507), 1,
      sym_comment,
    STATE(6383), 1,
      sym_import,
  [198015] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5508), 1,
      sym_comment,
    ACTIONS(8314), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
  [198034] = 10,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4401), 1,
      anon_sym_DQUOTE,
    ACTIONS(4403), 1,
      anon_sym_SQUOTE,
    ACTIONS(8821), 1,
      sym_identifier,
    ACTIONS(8823), 1,
      anon_sym_DOT,
    STATE(3889), 1,
      sym_nested_identifier,
    STATE(3922), 1,
      sym_string,
    STATE(4141), 1,
      sym__module,
    STATE(5509), 1,
      sym_comment,
  [198065] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5510), 1,
      sym_comment,
    ACTIONS(8825), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [198084] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5511), 1,
      sym_comment,
    STATE(7829), 1,
      sym_statement_block,
    ACTIONS(8731), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [198107] = 10,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8564), 1,
      anon_sym_LT,
    ACTIONS(8566), 1,
      anon_sym_extends,
    ACTIONS(8827), 1,
      anon_sym_LBRACE,
    ACTIONS(8829), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4211), 1,
      sym_object_type,
    STATE(5512), 1,
      sym_comment,
    STATE(5954), 1,
      sym_type_parameters,
    STATE(6769), 1,
      sym_extends_type_clause,
  [198138] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5513), 1,
      sym_comment,
    ACTIONS(8831), 6,
      anon_sym_export,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [198156] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8833), 1,
      anon_sym_COLON,
    STATE(5514), 1,
      sym_comment,
    ACTIONS(8122), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(7893), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [198178] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8835), 1,
      sym_identifier,
    STATE(5515), 1,
      sym_comment,
    ACTIONS(7705), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [198198] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3238), 1,
      sym_statement_block,
    STATE(5516), 1,
      sym_comment,
    ACTIONS(8595), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198220] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8839), 1,
      sym_identifier,
    STATE(5517), 1,
      sym_comment,
    ACTIONS(7705), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [198240] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8841), 1,
      sym_identifier,
    STATE(5518), 1,
      sym_comment,
    ACTIONS(7705), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [198260] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8843), 1,
      sym_identifier,
    STATE(5519), 1,
      sym_comment,
    ACTIONS(7705), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [198280] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3285), 1,
      sym_statement_block,
    STATE(5520), 1,
      sym_comment,
    ACTIONS(8572), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198302] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    ACTIONS(8845), 1,
      anon_sym_COMMA,
    ACTIONS(8847), 1,
      anon_sym_GT,
    STATE(5180), 1,
      sym_arguments,
    STATE(5521), 1,
      sym_comment,
    STATE(6733), 1,
      aux_sym_type_arguments_repeat1,
  [198330] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8849), 1,
      sym_identifier,
    STATE(5522), 1,
      sym_comment,
    ACTIONS(7705), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [198350] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(8851), 1,
      anon_sym_COMMA,
    ACTIONS(8853), 1,
      anon_sym_GT,
    STATE(5523), 1,
      sym_comment,
    STATE(6737), 1,
      aux_sym_type_arguments_repeat1,
  [198378] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8855), 1,
      sym_identifier,
    STATE(5524), 1,
      sym_comment,
    ACTIONS(7705), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [198398] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    ACTIONS(8857), 1,
      anon_sym_QMARK,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5525), 1,
      sym_comment,
    STATE(5599), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [198426] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4401), 1,
      anon_sym_DQUOTE,
    ACTIONS(4403), 1,
      anon_sym_SQUOTE,
    ACTIONS(8821), 1,
      sym_identifier,
    STATE(3889), 1,
      sym_nested_identifier,
    STATE(3922), 1,
      sym_string,
    STATE(4159), 1,
      sym__module,
    STATE(5526), 1,
      sym_comment,
  [198454] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8859), 1,
      sym_identifier,
    STATE(5527), 1,
      sym_comment,
    ACTIONS(7705), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [198474] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4401), 1,
      anon_sym_DQUOTE,
    ACTIONS(4403), 1,
      anon_sym_SQUOTE,
    ACTIONS(8821), 1,
      sym_identifier,
    STATE(3889), 1,
      sym_nested_identifier,
    STATE(3922), 1,
      sym_string,
    STATE(4141), 1,
      sym__module,
    STATE(5528), 1,
      sym_comment,
  [198502] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8861), 1,
      sym_identifier,
    STATE(5529), 1,
      sym_comment,
    ACTIONS(7705), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [198522] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5530), 1,
      sym_comment,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8865), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8863), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198544] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3156), 1,
      sym_statement_block,
    STATE(5531), 1,
      sym_comment,
    ACTIONS(8735), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198566] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3229), 1,
      sym_statement_block,
    STATE(5532), 1,
      sym_comment,
    ACTIONS(8595), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198588] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(8867), 1,
      anon_sym_QMARK,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5533), 1,
      sym_comment,
    STATE(5914), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
  [198616] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8869), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5534), 1,
      sym_comment,
    STATE(7416), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [198644] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3231), 1,
      sym_statement_block,
    STATE(5535), 1,
      sym_comment,
    ACTIONS(8572), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198666] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8871), 1,
      anon_sym_default,
    ACTIONS(8873), 1,
      anon_sym_RBRACE,
    ACTIONS(8875), 1,
      anon_sym_case,
    STATE(5536), 1,
      sym_comment,
    STATE(5539), 1,
      aux_sym_switch_body_repeat1,
    STATE(7172), 2,
      sym_switch_case,
      sym_switch_default,
  [198692] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5537), 1,
      sym_comment,
    STATE(5541), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8879), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8877), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198714] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8881), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5538), 1,
      sym_comment,
    STATE(7707), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [198742] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8871), 1,
      anon_sym_default,
    ACTIONS(8875), 1,
      anon_sym_case,
    ACTIONS(8883), 1,
      anon_sym_RBRACE,
    STATE(5539), 1,
      sym_comment,
    STATE(5583), 1,
      aux_sym_switch_body_repeat1,
    STATE(7172), 2,
      sym_switch_case,
      sym_switch_default,
  [198768] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5540), 1,
      sym_comment,
    STATE(5548), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8887), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8885), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198790] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5541), 1,
      sym_comment,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8887), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8885), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198812] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(8889), 1,
      sym_identifier,
    ACTIONS(8891), 1,
      anon_sym_LBRACK,
    STATE(5542), 1,
      sym_comment,
    STATE(6762), 1,
      sym__destructuring_pattern,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
  [198838] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8893), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5543), 1,
      sym_comment,
    STATE(7416), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [198866] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8898), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    STATE(5544), 2,
      sym_comment,
      aux_sym_object_type_repeat1,
    ACTIONS(8895), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198886] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5545), 1,
      sym_comment,
    ACTIONS(8902), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198908] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8904), 1,
      anon_sym_QMARK,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5546), 1,
      sym_comment,
    STATE(7964), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [198936] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8906), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5547), 1,
      sym_comment,
    STATE(7707), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [198964] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5548), 1,
      sym_comment,
    ACTIONS(8910), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8908), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [198986] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8915), 1,
      anon_sym_BQUOTE,
    ACTIONS(8917), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(6550), 1,
      sym_template_substitution,
    ACTIONS(8912), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(5549), 2,
      sym_comment,
      aux_sym_template_string_repeat1,
  [199010] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5550), 1,
      sym_comment,
    ACTIONS(8922), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8920), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199032] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(8891), 1,
      anon_sym_LBRACK,
    ACTIONS(8924), 1,
      sym_identifier,
    STATE(5551), 1,
      sym_comment,
    STATE(6782), 1,
      sym__destructuring_pattern,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
  [199058] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(8926), 1,
      anon_sym_QMARK,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5552), 1,
      sym_comment,
    STATE(6989), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
  [199086] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8928), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5553), 1,
      sym_comment,
    STATE(7416), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [199114] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3205), 1,
      sym_statement_block,
    STATE(5554), 1,
      sym_comment,
    ACTIONS(8731), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199136] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8930), 1,
      anon_sym_as,
    ACTIONS(8934), 1,
      anon_sym_DOT,
    ACTIONS(8936), 1,
      aux_sym_ui_version_specifier_token1,
    STATE(5555), 1,
      sym_comment,
    STATE(6729), 1,
      sym_ui_version_specifier,
    ACTIONS(8932), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199162] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8938), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5556), 1,
      sym_comment,
    STATE(7707), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [199190] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(8940), 1,
      anon_sym_QMARK,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5557), 1,
      sym_comment,
    STATE(7748), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [199218] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5545), 1,
      aux_sym_object_type_repeat1,
    STATE(5558), 1,
      sym_comment,
    ACTIONS(8922), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8920), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199240] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8942), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5559), 1,
      sym_comment,
    STATE(7416), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [199268] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(8891), 1,
      anon_sym_LBRACK,
    ACTIONS(8944), 1,
      sym_identifier,
    STATE(5560), 1,
      sym_comment,
    STATE(6832), 1,
      sym__destructuring_pattern,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
  [199294] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    ACTIONS(8946), 1,
      anon_sym_QMARK,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5561), 1,
      sym_comment,
    STATE(5738), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [199322] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8948), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5562), 1,
      sym_comment,
    STATE(7416), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [199350] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3220), 1,
      sym_statement_block,
    STATE(5563), 1,
      sym_comment,
    ACTIONS(8731), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199372] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8871), 1,
      anon_sym_default,
    ACTIONS(8875), 1,
      anon_sym_case,
    ACTIONS(8950), 1,
      anon_sym_RBRACE,
    STATE(5564), 1,
      sym_comment,
    STATE(5583), 1,
      aux_sym_switch_body_repeat1,
    STATE(7172), 2,
      sym_switch_case,
      sym_switch_default,
  [199398] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    ACTIONS(8952), 1,
      anon_sym_COMMA,
    ACTIONS(8954), 1,
      anon_sym_GT,
    STATE(5180), 1,
      sym_arguments,
    STATE(5565), 1,
      sym_comment,
    STATE(7019), 1,
      aux_sym_type_arguments_repeat1,
  [199426] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(8956), 1,
      anon_sym_COMMA,
    ACTIONS(8958), 1,
      anon_sym_GT,
    STATE(5566), 1,
      sym_comment,
    STATE(7023), 1,
      aux_sym_type_arguments_repeat1,
  [199454] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5567), 1,
      sym_comment,
    ACTIONS(8825), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [199472] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(8603), 1,
      sym_identifier,
    STATE(5207), 1,
      sym_nested_identifier,
    STATE(5502), 1,
      sym_string,
    STATE(5568), 1,
      sym_comment,
    STATE(5993), 1,
      sym__module,
  [199500] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8936), 1,
      aux_sym_ui_version_specifier_token1,
    ACTIONS(8960), 1,
      anon_sym_as,
    ACTIONS(8964), 1,
      anon_sym_DOT,
    STATE(5569), 1,
      sym_comment,
    STATE(6738), 1,
      sym_ui_version_specifier,
    ACTIONS(8962), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [199526] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(8603), 1,
      sym_identifier,
    STATE(5207), 1,
      sym_nested_identifier,
    STATE(5502), 1,
      sym_string,
    STATE(5570), 1,
      sym_comment,
    STATE(6244), 1,
      sym__module,
  [199554] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(8966), 1,
      anon_sym_QMARK,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5571), 1,
      sym_comment,
    STATE(6165), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
  [199582] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8968), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5572), 1,
      sym_comment,
    STATE(7707), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [199610] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(8970), 1,
      anon_sym_QMARK,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5573), 1,
      sym_comment,
    STATE(5781), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
  [199638] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8871), 1,
      anon_sym_default,
    ACTIONS(8875), 1,
      anon_sym_case,
    ACTIONS(8972), 1,
      anon_sym_RBRACE,
    STATE(5574), 1,
      sym_comment,
    STATE(5585), 1,
      aux_sym_switch_body_repeat1,
    STATE(7172), 2,
      sym_switch_case,
      sym_switch_default,
  [199664] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5575), 1,
      sym_comment,
    STATE(5590), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(8976), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8974), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199686] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5576), 1,
      sym_comment,
    ACTIONS(8716), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [199704] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(8891), 1,
      anon_sym_LBRACK,
    ACTIONS(8978), 1,
      sym_identifier,
    STATE(5577), 1,
      sym_comment,
    STATE(6874), 1,
      sym__destructuring_pattern,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
  [199730] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8980), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5578), 1,
      sym_comment,
    STATE(7416), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [199758] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(8982), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5579), 1,
      sym_comment,
    STATE(7707), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [199786] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5580), 1,
      sym_comment,
    ACTIONS(8496), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
  [199804] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5550), 1,
      aux_sym_object_type_repeat1,
    STATE(5581), 1,
      sym_comment,
    ACTIONS(8986), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(8984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199826] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5582), 1,
      sym_comment,
    ACTIONS(8988), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5208), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [199846] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8990), 1,
      anon_sym_default,
    ACTIONS(8993), 1,
      anon_sym_RBRACE,
    ACTIONS(8995), 1,
      anon_sym_case,
    STATE(5583), 2,
      sym_comment,
      aux_sym_switch_body_repeat1,
    STATE(7172), 2,
      sym_switch_case,
      sym_switch_default,
  [199870] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8871), 1,
      anon_sym_default,
    ACTIONS(8875), 1,
      anon_sym_case,
    ACTIONS(8998), 1,
      anon_sym_RBRACE,
    STATE(5564), 1,
      aux_sym_switch_body_repeat1,
    STATE(5584), 1,
      sym_comment,
    STATE(7172), 2,
      sym_switch_case,
      sym_switch_default,
  [199896] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8871), 1,
      anon_sym_default,
    ACTIONS(8875), 1,
      anon_sym_case,
    ACTIONS(9000), 1,
      anon_sym_RBRACE,
    STATE(5583), 1,
      aux_sym_switch_body_repeat1,
    STATE(5585), 1,
      sym_comment,
    STATE(7172), 2,
      sym_switch_case,
      sym_switch_default,
  [199922] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5586), 1,
      sym_comment,
    STATE(5601), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(9004), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [199944] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(8891), 1,
      anon_sym_LBRACK,
    ACTIONS(9006), 1,
      sym_identifier,
    STATE(5587), 1,
      sym_comment,
    STATE(6968), 1,
      sym__destructuring_pattern,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
  [199970] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(9008), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5588), 1,
      sym_comment,
    STATE(7416), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [199998] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(9010), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5589), 1,
      sym_comment,
    STATE(7707), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [200026] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5590), 1,
      sym_comment,
    ACTIONS(9004), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [200048] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(9014), 1,
      anon_sym_QMARK,
    STATE(5591), 1,
      sym_comment,
    ACTIONS(9012), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [200074] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4387), 1,
      anon_sym_DQUOTE,
    ACTIONS(4389), 1,
      anon_sym_SQUOTE,
    ACTIONS(8706), 1,
      sym_identifier,
    STATE(3968), 1,
      sym_nested_identifier,
    STATE(4015), 1,
      sym_string,
    STATE(4336), 1,
      sym__module,
    STATE(5592), 1,
      sym_comment,
  [200102] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4387), 1,
      anon_sym_DQUOTE,
    ACTIONS(4389), 1,
      anon_sym_SQUOTE,
    ACTIONS(8706), 1,
      sym_identifier,
    STATE(3968), 1,
      sym_nested_identifier,
    STATE(4015), 1,
      sym_string,
    STATE(4409), 1,
      sym__module,
    STATE(5593), 1,
      sym_comment,
  [200130] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5594), 1,
      sym_comment,
    ACTIONS(7111), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_DOT,
  [200148] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4730), 1,
      anon_sym_LBRACE,
    ACTIONS(8460), 1,
      anon_sym_COLON,
    ACTIONS(8462), 1,
      anon_sym_DOT,
    ACTIONS(8464), 1,
      anon_sym_on,
    ACTIONS(9016), 1,
      anon_sym_function,
    STATE(4262), 1,
      sym_ui_object_initializer,
    STATE(5595), 1,
      sym_comment,
  [200176] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_statement_block,
    STATE(5596), 1,
      sym_comment,
    ACTIONS(8607), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [200198] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9020), 1,
      anon_sym_GT,
    STATE(5597), 1,
      sym_comment,
    STATE(6999), 1,
      aux_sym_type_arguments_repeat1,
  [200226] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    ACTIONS(9022), 1,
      anon_sym_COMMA,
    ACTIONS(9024), 1,
      anon_sym_GT,
    STATE(5180), 1,
      sym_arguments,
    STATE(5598), 1,
      sym_comment,
    STATE(7007), 1,
      aux_sym_type_arguments_repeat1,
  [200254] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3185), 1,
      sym_statement_block,
    STATE(5599), 1,
      sym_comment,
    ACTIONS(8609), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [200276] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8671), 1,
      anon_sym_COMMA,
    ACTIONS(8675), 1,
      anon_sym_LT,
    ACTIONS(9026), 1,
      anon_sym_LBRACE,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5600), 1,
      sym_comment,
    STATE(6487), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(7313), 1,
      sym_type_arguments,
  [200304] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5601), 1,
      sym_comment,
    ACTIONS(9032), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9030), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [200326] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5602), 1,
      sym_comment,
    ACTIONS(8649), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [200344] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9034), 1,
      anon_sym_DOT,
    STATE(5603), 1,
      sym_comment,
    ACTIONS(8546), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [200364] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(8891), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      sym_identifier,
    STATE(5604), 1,
      sym_comment,
    STATE(7095), 1,
      sym__destructuring_pattern,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
  [200390] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(9038), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5605), 1,
      sym_comment,
    STATE(7416), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [200418] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3265), 1,
      anon_sym_LBRACE,
    ACTIONS(7581), 1,
      anon_sym_COLON,
    ACTIONS(7583), 1,
      anon_sym_DOT,
    ACTIONS(8136), 1,
      anon_sym_on,
    ACTIONS(9040), 1,
      sym_identifier,
    STATE(4262), 1,
      sym_ui_object_initializer,
    STATE(5606), 1,
      sym_comment,
  [200446] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8871), 1,
      anon_sym_default,
    ACTIONS(8875), 1,
      anon_sym_case,
    ACTIONS(9042), 1,
      anon_sym_RBRACE,
    STATE(5583), 1,
      aux_sym_switch_body_repeat1,
    STATE(5607), 1,
      sym_comment,
    STATE(7172), 2,
      sym_switch_case,
      sym_switch_default,
  [200472] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(9044), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5608), 1,
      sym_comment,
    STATE(7707), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [200500] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    ACTIONS(9046), 1,
      anon_sym_QMARK,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5609), 1,
      sym_comment,
    STATE(5735), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [200528] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(9048), 1,
      anon_sym_QMARK,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5610), 1,
      sym_comment,
    STATE(7928), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [200556] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3265), 1,
      anon_sym_LBRACE,
    ACTIONS(7581), 1,
      anon_sym_COLON,
    ACTIONS(7583), 1,
      anon_sym_DOT,
    ACTIONS(8136), 1,
      anon_sym_on,
    ACTIONS(9050), 1,
      sym_identifier,
    STATE(4262), 1,
      sym_ui_object_initializer,
    STATE(5611), 1,
      sym_comment,
  [200584] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3222), 1,
      sym_statement_block,
    STATE(5612), 1,
      sym_comment,
    ACTIONS(8607), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [200606] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9054), 1,
      anon_sym_catch,
    ACTIONS(9056), 1,
      anon_sym_finally,
    STATE(5613), 1,
      sym_comment,
    STATE(6328), 1,
      sym_catch_clause,
    STATE(7890), 1,
      sym_finally_clause,
    ACTIONS(9052), 2,
      anon_sym_else,
      anon_sym_while,
  [200632] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5614), 1,
      sym_comment,
    ACTIONS(8601), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [200650] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5615), 1,
      sym_comment,
    STATE(5649), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(9060), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9058), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [200672] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9064), 1,
      anon_sym_property,
    STATE(5616), 1,
      sym_comment,
    STATE(5698), 1,
      aux_sym_ui_property_repeat1,
    STATE(6330), 1,
      sym_ui_property_modifier,
    ACTIONS(9062), 3,
      anon_sym_default,
      anon_sym_readonly,
      anon_sym_required,
  [200696] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(8891), 1,
      anon_sym_LBRACK,
    ACTIONS(9066), 1,
      sym_identifier,
    STATE(5617), 1,
      sym_comment,
    STATE(6651), 1,
      sym__destructuring_pattern,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
  [200722] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    ACTIONS(9068), 1,
      anon_sym_COMMA,
    ACTIONS(9070), 1,
      anon_sym_GT,
    STATE(5180), 1,
      sym_arguments,
    STATE(5618), 1,
      sym_comment,
    STATE(7294), 1,
      aux_sym_type_arguments_repeat1,
  [200750] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(9072), 1,
      anon_sym_COMMA,
    ACTIONS(9074), 1,
      anon_sym_GT,
    STATE(5619), 1,
      sym_comment,
    STATE(7298), 1,
      aux_sym_type_arguments_repeat1,
  [200778] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(9076), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5620), 1,
      sym_comment,
    STATE(7416), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [200806] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(8891), 1,
      anon_sym_LBRACK,
    ACTIONS(9078), 1,
      sym_identifier,
    STATE(5621), 1,
      sym_comment,
    STATE(7838), 1,
      sym__destructuring_pattern,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
  [200832] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    ACTIONS(8891), 1,
      anon_sym_LBRACK,
    ACTIONS(9080), 1,
      sym_identifier,
    STATE(5622), 1,
      sym_comment,
    STATE(6388), 1,
      sym__destructuring_pattern,
    STATE(5164), 2,
      sym_object_pattern,
      sym_array_pattern,
  [200858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5623), 1,
      sym_comment,
    ACTIONS(2336), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [200876] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4409), 1,
      anon_sym_DQUOTE,
    ACTIONS(4411), 1,
      anon_sym_SQUOTE,
    ACTIONS(8765), 1,
      sym_identifier,
    STATE(1129), 1,
      sym_nested_identifier,
    STATE(1364), 1,
      sym_string,
    STATE(1557), 1,
      sym__module,
    STATE(5624), 1,
      sym_comment,
  [200904] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4409), 1,
      anon_sym_DQUOTE,
    ACTIONS(4411), 1,
      anon_sym_SQUOTE,
    ACTIONS(8765), 1,
      sym_identifier,
    STATE(1129), 1,
      sym_nested_identifier,
    STATE(1364), 1,
      sym_string,
    STATE(1568), 1,
      sym__module,
    STATE(5625), 1,
      sym_comment,
  [200932] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    ACTIONS(9082), 1,
      anon_sym_QMARK,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5563), 1,
      sym__call_signature,
    STATE(5626), 1,
      sym_comment,
    STATE(7675), 1,
      sym_type_parameters,
  [200960] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(9084), 1,
      anon_sym_LBRACE,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    STATE(5627), 1,
      sym_comment,
    STATE(7332), 1,
      aux_sym_implements_clause_repeat1,
  [200988] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8871), 1,
      anon_sym_default,
    ACTIONS(8875), 1,
      anon_sym_case,
    ACTIONS(9088), 1,
      anon_sym_RBRACE,
    STATE(5628), 1,
      sym_comment,
    STATE(5630), 1,
      aux_sym_switch_body_repeat1,
    STATE(7172), 2,
      sym_switch_case,
      sym_switch_default,
  [201014] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5629), 1,
      sym_comment,
    STATE(5633), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(9092), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9090), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201036] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8871), 1,
      anon_sym_default,
    ACTIONS(8875), 1,
      anon_sym_case,
    ACTIONS(9094), 1,
      anon_sym_RBRACE,
    STATE(5583), 1,
      aux_sym_switch_body_repeat1,
    STATE(5630), 1,
      sym_comment,
    STATE(7172), 2,
      sym_switch_case,
      sym_switch_default,
  [201062] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5631), 1,
      sym_comment,
    STATE(5636), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(9098), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9096), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201084] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3254), 1,
      sym_statement_block,
    STATE(5632), 1,
      sym_comment,
    ACTIONS(8720), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201106] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5633), 1,
      sym_comment,
    ACTIONS(9098), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9096), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201128] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5634), 1,
      sym_comment,
    ACTIONS(2352), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
  [201146] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8871), 1,
      anon_sym_default,
    ACTIONS(8875), 1,
      anon_sym_case,
    ACTIONS(9100), 1,
      anon_sym_RBRACE,
    STATE(5607), 1,
      aux_sym_switch_body_repeat1,
    STATE(5635), 1,
      sym_comment,
    STATE(7172), 2,
      sym_switch_case,
      sym_switch_default,
  [201172] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5636), 1,
      sym_comment,
    ACTIONS(9104), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9102), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201194] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(9106), 1,
      anon_sym_QMARK,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5637), 1,
      sym_comment,
    STATE(6705), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
  [201222] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    ACTIONS(9108), 1,
      anon_sym_COMMA,
    ACTIONS(9110), 1,
      anon_sym_GT,
    STATE(5180), 1,
      sym_arguments,
    STATE(5638), 1,
      sym_comment,
    STATE(7308), 1,
      aux_sym_type_arguments_repeat1,
  [201250] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3301), 1,
      sym_statement_block,
    STATE(5639), 1,
      sym_comment,
    ACTIONS(8570), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201272] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(9112), 1,
      anon_sym_COMMA,
    ACTIONS(9114), 1,
      anon_sym_GT,
    STATE(5640), 1,
      sym_comment,
    STATE(7306), 1,
      aux_sym_type_arguments_repeat1,
  [201300] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3288), 1,
      sym_statement_block,
    STATE(5641), 1,
      sym_comment,
    ACTIONS(8556), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201322] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4417), 1,
      anon_sym_DQUOTE,
    ACTIONS(4419), 1,
      anon_sym_SQUOTE,
    ACTIONS(8651), 1,
      sym_identifier,
    STATE(1017), 1,
      sym_nested_identifier,
    STATE(1112), 1,
      sym_string,
    STATE(1394), 1,
      sym__module,
    STATE(5642), 1,
      sym_comment,
  [201350] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    ACTIONS(9116), 1,
      anon_sym_QMARK,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5532), 1,
      sym__call_signature,
    STATE(5643), 1,
      sym_comment,
    STATE(7675), 1,
      sym_type_parameters,
  [201378] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(9118), 1,
      anon_sym_QMARK,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5644), 1,
      sym_comment,
    STATE(5885), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
  [201406] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5530), 1,
      aux_sym_object_type_repeat1,
    STATE(5645), 1,
      sym_comment,
    ACTIONS(9122), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9120), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201428] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3275), 1,
      sym_statement_block,
    STATE(5646), 1,
      sym_comment,
    ACTIONS(8570), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201450] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4417), 1,
      anon_sym_DQUOTE,
    ACTIONS(4419), 1,
      anon_sym_SQUOTE,
    ACTIONS(8651), 1,
      sym_identifier,
    STATE(1017), 1,
      sym_nested_identifier,
    STATE(1112), 1,
      sym_string,
    STATE(1290), 1,
      sym__module,
    STATE(5647), 1,
      sym_comment,
  [201478] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3277), 1,
      sym_statement_block,
    STATE(5648), 1,
      sym_comment,
    ACTIONS(8556), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201500] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5649), 1,
      sym_comment,
    ACTIONS(9122), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9120), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201522] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8871), 1,
      anon_sym_default,
    ACTIONS(8875), 1,
      anon_sym_case,
    ACTIONS(9124), 1,
      anon_sym_RBRACE,
    STATE(5650), 1,
      sym_comment,
    STATE(5656), 1,
      aux_sym_switch_body_repeat1,
    STATE(7172), 2,
      sym_switch_case,
      sym_switch_default,
  [201548] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(9126), 1,
      anon_sym_QMARK,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5282), 1,
      sym__call_signature,
    STATE(5651), 1,
      sym_comment,
    STATE(8017), 1,
      sym_type_parameters,
  [201576] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5652), 1,
      sym_comment,
    STATE(5658), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(9130), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9128), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201598] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(8635), 1,
      anon_sym_EQ,
    STATE(5653), 1,
      sym_comment,
    STATE(6333), 1,
      sym_type_annotation,
    STATE(7785), 1,
      sym__initializer,
    ACTIONS(9132), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [201624] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(9134), 1,
      anon_sym_QMARK,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5278), 1,
      sym__call_signature,
    STATE(5654), 1,
      sym_comment,
    STATE(8017), 1,
      sym_type_parameters,
  [201652] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(9136), 1,
      anon_sym_QMARK,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5250), 1,
      sym__call_signature,
    STATE(5655), 1,
      sym_comment,
    STATE(8017), 1,
      sym_type_parameters,
  [201680] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8871), 1,
      anon_sym_default,
    ACTIONS(8875), 1,
      anon_sym_case,
    ACTIONS(9138), 1,
      anon_sym_RBRACE,
    STATE(5583), 1,
      aux_sym_switch_body_repeat1,
    STATE(5656), 1,
      sym_comment,
    STATE(7172), 2,
      sym_switch_case,
      sym_switch_default,
  [201706] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5657), 1,
      sym_comment,
    STATE(5660), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(9142), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9140), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201728] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5658), 1,
      sym_comment,
    ACTIONS(9142), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9140), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201750] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(9144), 1,
      anon_sym_QMARK,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5229), 1,
      sym__call_signature,
    STATE(5659), 1,
      sym_comment,
    STATE(8017), 1,
      sym_type_parameters,
  [201778] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5660), 1,
      sym_comment,
    ACTIONS(9148), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9146), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201800] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9150), 1,
      anon_sym_export,
    ACTIONS(9152), 1,
      anon_sym_class,
    ACTIONS(9154), 1,
      anon_sym_abstract,
    STATE(5661), 1,
      sym_comment,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
  [201828] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4395), 1,
      anon_sym_DQUOTE,
    ACTIONS(4397), 1,
      anon_sym_SQUOTE,
    ACTIONS(8813), 1,
      sym_identifier,
    STATE(1005), 1,
      sym_nested_identifier,
    STATE(1024), 1,
      sym_string,
    STATE(1090), 1,
      sym__module,
    STATE(5662), 1,
      sym_comment,
  [201856] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4395), 1,
      anon_sym_DQUOTE,
    ACTIONS(4397), 1,
      anon_sym_SQUOTE,
    ACTIONS(8813), 1,
      sym_identifier,
    STATE(1005), 1,
      sym_nested_identifier,
    STATE(1024), 1,
      sym_string,
    STATE(1072), 1,
      sym__module,
    STATE(5663), 1,
      sym_comment,
  [201884] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5664), 1,
      sym_comment,
    STATE(5666), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(9158), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201906] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5665), 1,
      sym_comment,
    STATE(5667), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(9162), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9160), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201928] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5666), 1,
      sym_comment,
    ACTIONS(9162), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9160), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201950] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5667), 1,
      sym_comment,
    ACTIONS(9166), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9164), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201972] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5668), 1,
      sym_comment,
    ACTIONS(9170), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9168), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [201994] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(9172), 1,
      anon_sym_QMARK,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5298), 1,
      sym__call_signature,
    STATE(5669), 1,
      sym_comment,
    STATE(8017), 1,
      sym_type_parameters,
  [202022] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(9174), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5670), 1,
      sym_comment,
    STATE(7707), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [202050] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5671), 1,
      sym_comment,
    STATE(5673), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(9178), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9176), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [202072] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5672), 1,
      sym_comment,
    STATE(5674), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(9182), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9180), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [202094] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5673), 1,
      sym_comment,
    ACTIONS(9182), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9180), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [202116] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5674), 1,
      sym_comment,
    ACTIONS(9186), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9184), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [202138] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5675), 1,
      sym_comment,
    STATE(5678), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(9190), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9188), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [202160] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8673), 1,
      anon_sym_DOT,
    ACTIONS(8675), 1,
      anon_sym_LT,
    ACTIONS(9192), 1,
      anon_sym_LBRACE,
    STATE(5676), 1,
      sym_comment,
    STATE(7309), 1,
      sym_type_arguments,
    ACTIONS(9194), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [202186] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5677), 1,
      sym_comment,
    STATE(5679), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(9198), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9196), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [202208] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5678), 1,
      sym_comment,
    ACTIONS(9198), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9196), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [202230] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5679), 1,
      sym_comment,
    ACTIONS(9202), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9200), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [202252] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(9204), 1,
      anon_sym_QMARK,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5680), 1,
      sym_comment,
    STATE(7967), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [202280] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5681), 1,
      sym_comment,
    STATE(5685), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(9208), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9206), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [202302] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9210), 1,
      anon_sym_export,
    ACTIONS(9212), 1,
      anon_sym_class,
    ACTIONS(9214), 1,
      anon_sym_abstract,
    STATE(5682), 1,
      sym_comment,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
  [202330] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3161), 1,
      sym_statement_block,
    STATE(5683), 1,
      sym_comment,
    ACTIONS(8615), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [202352] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5684), 1,
      sym_comment,
    STATE(5686), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(9218), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9216), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [202374] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5685), 1,
      sym_comment,
    ACTIONS(9218), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9216), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [202396] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5686), 1,
      sym_comment,
    ACTIONS(9222), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9220), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [202418] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5544), 1,
      aux_sym_object_type_repeat1,
    STATE(5687), 1,
      sym_comment,
    ACTIONS(9226), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9224), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [202440] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(9228), 1,
      anon_sym_QMARK,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5688), 1,
      sym_comment,
    STATE(7713), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [202468] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5668), 1,
      aux_sym_object_type_repeat1,
    STATE(5689), 1,
      sym_comment,
    ACTIONS(9226), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9224), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [202490] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(9230), 1,
      anon_sym_QMARK,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5690), 1,
      sym_comment,
    STATE(7669), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [202518] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5691), 1,
      sym_comment,
    ACTIONS(5208), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [202536] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9232), 1,
      anon_sym_BQUOTE,
    ACTIONS(9234), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(5692), 1,
      sym_comment,
    STATE(5728), 1,
      aux_sym_template_string_repeat1,
    STATE(6550), 1,
      sym_template_substitution,
    ACTIONS(8486), 2,
      sym__template_chars,
      sym_escape_sequence,
  [202562] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(9236), 1,
      anon_sym_QMARK,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5511), 1,
      sym__call_signature,
    STATE(5693), 1,
      sym_comment,
    STATE(8017), 1,
      sym_type_parameters,
  [202590] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8871), 1,
      anon_sym_default,
    ACTIONS(8875), 1,
      anon_sym_case,
    ACTIONS(9238), 1,
      anon_sym_RBRACE,
    STATE(5583), 1,
      aux_sym_switch_body_repeat1,
    STATE(5694), 1,
      sym_comment,
    STATE(7172), 2,
      sym_switch_case,
      sym_switch_default,
  [202616] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4289), 1,
      anon_sym_DQUOTE,
    ACTIONS(4291), 1,
      anon_sym_SQUOTE,
    ACTIONS(8743), 1,
      sym_identifier,
    STATE(1325), 1,
      sym_nested_identifier,
    STATE(1610), 1,
      sym_string,
    STATE(1668), 1,
      sym__module,
    STATE(5695), 1,
      sym_comment,
  [202644] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(4289), 1,
      anon_sym_DQUOTE,
    ACTIONS(4291), 1,
      anon_sym_SQUOTE,
    ACTIONS(8743), 1,
      sym_identifier,
    STATE(1325), 1,
      sym_nested_identifier,
    STATE(1610), 1,
      sym_string,
    STATE(1773), 1,
      sym__module,
    STATE(5696), 1,
      sym_comment,
  [202672] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9240), 1,
      anon_sym_export,
    ACTIONS(9242), 1,
      anon_sym_class,
    ACTIONS(9244), 1,
      anon_sym_abstract,
    STATE(5697), 1,
      sym_comment,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(6589), 1,
      sym_decorator,
  [202700] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9249), 1,
      anon_sym_property,
    STATE(6330), 1,
      sym_ui_property_modifier,
    STATE(5698), 2,
      sym_comment,
      aux_sym_ui_property_repeat1,
    ACTIONS(9246), 3,
      anon_sym_default,
      anon_sym_readonly,
      anon_sym_required,
  [202722] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(9251), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5699), 1,
      sym_comment,
    STATE(7949), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [202750] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(9253), 1,
      anon_sym_QMARK,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5700), 1,
      sym_comment,
    STATE(6131), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
  [202778] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9257), 1,
      anon_sym_AT,
    STATE(6589), 1,
      sym_decorator,
    STATE(5701), 2,
      sym_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(9255), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_abstract,
  [202800] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8833), 1,
      anon_sym_COLON,
    STATE(5702), 1,
      sym_comment,
    ACTIONS(8182), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(7701), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [202822] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(9260), 1,
      anon_sym_QMARK,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5703), 1,
      sym_comment,
    STATE(7777), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [202850] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5704), 1,
      sym_comment,
    ACTIONS(9262), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [202868] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5705), 1,
      sym_comment,
    ACTIONS(9264), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [202886] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5706), 1,
      sym_comment,
    ACTIONS(9266), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [202904] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9268), 1,
      anon_sym_COMMA,
    STATE(5707), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(6003), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [202924] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(9271), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5708), 1,
      sym_comment,
    STATE(7747), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [202952] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9234), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9273), 1,
      anon_sym_BQUOTE,
    STATE(5549), 1,
      aux_sym_template_string_repeat1,
    STATE(5709), 1,
      sym_comment,
    STATE(6550), 1,
      sym_template_substitution,
    ACTIONS(8486), 2,
      sym__template_chars,
      sym_escape_sequence,
  [202978] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5687), 1,
      aux_sym_object_type_repeat1,
    STATE(5710), 1,
      sym_comment,
    ACTIONS(9277), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(9275), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [203000] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9279), 1,
      anon_sym_export,
    ACTIONS(9281), 1,
      anon_sym_class,
    ACTIONS(9283), 1,
      anon_sym_abstract,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(5711), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [203028] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(9285), 1,
      anon_sym_QMARK,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5712), 1,
      sym_comment,
    STATE(7666), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [203056] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(9287), 1,
      anon_sym_COMMA,
    ACTIONS(9289), 1,
      anon_sym_GT,
    STATE(5713), 1,
      sym_comment,
    STATE(6950), 1,
      aux_sym_type_arguments_repeat1,
  [203084] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    ACTIONS(9291), 1,
      anon_sym_COMMA,
    ACTIONS(9293), 1,
      anon_sym_GT,
    STATE(5180), 1,
      sym_arguments,
    STATE(5714), 1,
      sym_comment,
    STATE(6838), 1,
      aux_sym_type_arguments_repeat1,
  [203112] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8871), 1,
      anon_sym_default,
    ACTIONS(8875), 1,
      anon_sym_case,
    ACTIONS(9295), 1,
      anon_sym_RBRACE,
    STATE(5694), 1,
      aux_sym_switch_body_repeat1,
    STATE(5715), 1,
      sym_comment,
    STATE(7172), 2,
      sym_switch_case,
      sym_switch_default,
  [203138] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(9297), 1,
      anon_sym_QMARK,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5716), 1,
      sym_comment,
    STATE(7556), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [203166] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(9299), 1,
      anon_sym_QMARK,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5717), 1,
      sym_comment,
    STATE(7488), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [203194] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(9301), 1,
      anon_sym_QMARK,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5718), 1,
      sym_comment,
    STATE(7474), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [203222] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    STATE(5719), 1,
      sym_comment,
    ACTIONS(9303), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
  [203246] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(9305), 1,
      anon_sym_QMARK,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5720), 1,
      sym_comment,
    STATE(7455), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [203274] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(5721), 1,
      sym_comment,
    STATE(5943), 1,
      sym_nested_identifier,
    STATE(6516), 1,
      sym_string,
    STATE(8006), 1,
      sym__module,
  [203302] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2275), 1,
      anon_sym_LT,
    ACTIONS(8578), 1,
      anon_sym_LPAREN,
    ACTIONS(9307), 1,
      sym_identifier,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5722), 1,
      sym_comment,
    STATE(7707), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [203330] = 9,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(8560), 1,
      sym_identifier,
    STATE(5723), 1,
      sym_comment,
    STATE(5943), 1,
      sym_nested_identifier,
    STATE(6516), 1,
      sym_string,
    STATE(8151), 1,
      sym__module,
  [203358] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9309), 1,
      anon_sym_export,
    ACTIONS(9311), 1,
      anon_sym_class,
    ACTIONS(9313), 1,
      anon_sym_abstract,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(5724), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [203386] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9315), 1,
      anon_sym_export,
    ACTIONS(9317), 1,
      anon_sym_class,
    ACTIONS(9319), 1,
      anon_sym_abstract,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(5725), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [203414] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5726), 1,
      sym_comment,
    ACTIONS(9321), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [203432] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(9323), 1,
      anon_sym_QMARK,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5727), 1,
      sym_comment,
    STATE(7341), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
  [203460] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9234), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9325), 1,
      anon_sym_BQUOTE,
    STATE(5549), 1,
      aux_sym_template_string_repeat1,
    STATE(5728), 1,
      sym_comment,
    STATE(6550), 1,
      sym_template_substitution,
    ACTIONS(8486), 2,
      sym__template_chars,
      sym_escape_sequence,
  [203486] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9234), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9327), 1,
      anon_sym_BQUOTE,
    STATE(5709), 1,
      aux_sym_template_string_repeat1,
    STATE(5729), 1,
      sym_comment,
    STATE(6550), 1,
      sym_template_substitution,
    ACTIONS(8486), 2,
      sym__template_chars,
      sym_escape_sequence,
  [203512] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5633), 1,
      anon_sym_COMMA,
    STATE(5707), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5730), 1,
      sym_comment,
    ACTIONS(9329), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [203534] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(9331), 1,
      anon_sym_COMMA,
    ACTIONS(9333), 1,
      anon_sym_GT,
    STATE(5731), 1,
      sym_comment,
    STATE(7146), 1,
      aux_sym_type_arguments_repeat1,
  [203562] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    ACTIONS(9335), 1,
      anon_sym_COMMA,
    ACTIONS(9337), 1,
      anon_sym_GT,
    STATE(5180), 1,
      sym_arguments,
    STATE(5732), 1,
      sym_comment,
    STATE(7124), 1,
      aux_sym_type_arguments_repeat1,
  [203590] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    ACTIONS(9339), 1,
      anon_sym_QMARK,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5733), 1,
      sym_comment,
    STATE(5997), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
  [203618] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3240), 1,
      sym_statement_block,
    STATE(5734), 1,
      sym_comment,
    ACTIONS(8599), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [203640] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3155), 1,
      sym_statement_block,
    STATE(5735), 1,
      sym_comment,
    ACTIONS(8613), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [203662] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3252), 1,
      sym_statement_block,
    STATE(5736), 1,
      sym_comment,
    ACTIONS(8617), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [203684] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9341), 1,
      anon_sym_export,
    ACTIONS(9343), 1,
      anon_sym_class,
    ACTIONS(9345), 1,
      anon_sym_abstract,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(5737), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [203712] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3266), 1,
      sym_statement_block,
    STATE(5738), 1,
      sym_comment,
    ACTIONS(8599), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [203734] = 9,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    ACTIONS(9347), 1,
      anon_sym_QMARK,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5646), 1,
      sym__call_signature,
    STATE(5739), 1,
      sym_comment,
    STATE(7675), 1,
      sym_type_parameters,
  [203762] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3228), 1,
      sym_statement_block,
    STATE(5740), 1,
      sym_comment,
    ACTIONS(8617), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [203784] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3154), 1,
      sym_statement_block,
    STATE(5741), 1,
      sym_comment,
    ACTIONS(8611), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [203806] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5742), 1,
      sym_comment,
    STATE(6017), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [203831] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(5743), 1,
      sym_comment,
    ACTIONS(9349), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [203854] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5744), 1,
      sym_comment,
    STATE(7769), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [203879] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5745), 1,
      sym_comment,
    STATE(7185), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [203900] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5746), 1,
      sym_comment,
    STATE(6812), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [203921] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(9357), 1,
      anon_sym_as,
    ACTIONS(9359), 1,
      anon_sym_RBRACK,
    STATE(5747), 1,
      sym_comment,
  [203946] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(9361), 1,
      sym_identifier,
    STATE(5748), 1,
      sym_comment,
    STATE(6566), 1,
      sym_string,
    STATE(8478), 1,
      sym__module_export_name,
  [203971] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5749), 1,
      sym_comment,
    ACTIONS(9363), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [203988] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5750), 1,
      sym_comment,
    STATE(7084), 1,
      sym__initializer,
    ACTIONS(9365), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [204009] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5751), 1,
      sym_comment,
    STATE(7179), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [204030] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5648), 1,
      sym__call_signature,
    STATE(5752), 1,
      sym_comment,
    STATE(7675), 1,
      sym_type_parameters,
  [204055] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5753), 1,
      sym_comment,
    STATE(6809), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [204076] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5754), 1,
      sym_comment,
    STATE(7688), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [204101] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5755), 1,
      sym_comment,
    STATE(7178), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [204122] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5756), 1,
      sym_comment,
    ACTIONS(9369), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [204139] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5208), 1,
      anon_sym_COLON,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    ACTIONS(9371), 1,
      anon_sym_COMMA,
    ACTIONS(9373), 1,
      anon_sym_RBRACE,
    STATE(5757), 1,
      sym_comment,
    STATE(7141), 1,
      aux_sym_object_pattern_repeat1,
  [204164] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5758), 1,
      sym_comment,
    STATE(6807), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [204185] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5759), 1,
      sym_comment,
    STATE(6806), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [204206] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5760), 1,
      sym_comment,
    STATE(7177), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
  [204231] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5761), 1,
      sym_comment,
    STATE(7354), 1,
      sym__initializer,
    ACTIONS(9375), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [204252] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5762), 1,
      sym_comment,
    STATE(7154), 1,
      sym__initializer,
    ACTIONS(9377), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [204273] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9311), 1,
      anon_sym_class,
    ACTIONS(9313), 1,
      anon_sym_abstract,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(5763), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [204298] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5764), 1,
      sym_comment,
    STATE(7828), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [204323] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5765), 1,
      sym_comment,
    STATE(7827), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [204348] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5766), 1,
      sym_comment,
    STATE(7322), 1,
      sym__initializer,
    ACTIONS(9379), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [204369] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5683), 1,
      sym__call_signature,
    STATE(5767), 1,
      sym_comment,
    STATE(7675), 1,
      sym_type_parameters,
  [204394] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5768), 1,
      sym_comment,
    STATE(6804), 1,
      sym__initializer,
    ACTIONS(9381), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [204415] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9383), 1,
      sym_identifier,
    ACTIONS(9385), 1,
      anon_sym_RPAREN,
    STATE(5769), 1,
      sym_comment,
    STATE(7163), 1,
      sym_ui_signal_parameter,
    STATE(8216), 1,
      sym_nested_identifier,
    STATE(8474), 1,
      sym_nested_type_identifier,
  [204440] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5770), 1,
      sym_comment,
    ACTIONS(9387), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [204457] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5771), 1,
      sym_comment,
    ACTIONS(9389), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [204474] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5772), 1,
      sym_comment,
    ACTIONS(9391), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [204491] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5773), 1,
      sym_comment,
    STATE(7805), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [204516] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5774), 1,
      sym_comment,
    ACTIONS(8607), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [204533] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    STATE(5775), 1,
      sym_comment,
    ACTIONS(9393), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
  [204556] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5776), 1,
      sym_comment,
    STATE(5955), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [204581] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5777), 1,
      sym_comment,
    STATE(8042), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [204606] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5778), 1,
      sym_comment,
    STATE(7166), 1,
      sym__initializer,
    ACTIONS(9395), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [204627] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5779), 1,
      sym_comment,
    STATE(6003), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [204652] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5780), 1,
      sym_comment,
    STATE(6817), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [204673] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5781), 1,
      sym_comment,
    ACTIONS(8609), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [204690] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5782), 1,
      sym_comment,
    STATE(6021), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
  [204715] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5783), 1,
      sym_comment,
    ACTIONS(9397), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [204732] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5784), 1,
      sym_comment,
    STATE(7186), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [204753] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9399), 1,
      anon_sym_BQUOTE,
    ACTIONS(9401), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9403), 1,
      sym__template_chars,
    STATE(5785), 1,
      sym_comment,
    STATE(5891), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(7022), 1,
      sym_template_type,
  [204778] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9317), 1,
      anon_sym_class,
    ACTIONS(9319), 1,
      anon_sym_abstract,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(5786), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [204803] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5787), 1,
      sym_comment,
    STATE(7187), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [204824] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5788), 1,
      sym_comment,
    ACTIONS(8607), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [204841] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5789), 1,
      sym_comment,
    STATE(6080), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [204866] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5790), 1,
      sym_comment,
    ACTIONS(6338), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [204883] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5791), 1,
      sym_comment,
    STATE(7189), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [204904] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5792), 1,
      sym_comment,
    ACTIONS(6322), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [204921] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5793), 1,
      sym_comment,
    STATE(6816), 1,
      sym__initializer,
    ACTIONS(9405), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [204942] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5794), 1,
      sym_comment,
    STATE(7340), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
  [204967] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5795), 1,
      sym_comment,
    STATE(5951), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [204992] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5796), 1,
      sym_comment,
    ACTIONS(9407), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [205009] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5797), 1,
      sym_comment,
    ACTIONS(9407), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [205026] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5798), 1,
      sym_comment,
    STATE(8111), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [205051] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5799), 1,
      sym_comment,
    ACTIONS(9409), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [205068] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5800), 1,
      sym_comment,
    ACTIONS(9411), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [205085] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(9361), 1,
      sym_identifier,
    STATE(5801), 1,
      sym_comment,
    STATE(6566), 1,
      sym_string,
    STATE(6779), 1,
      sym__module_export_name,
  [205110] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5802), 1,
      sym_comment,
    STATE(6799), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205131] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5803), 1,
      sym_comment,
    STATE(7190), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205152] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5804), 1,
      sym_comment,
    STATE(7333), 1,
      sym__initializer,
    ACTIONS(9415), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205173] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5805), 1,
      sym_comment,
    ACTIONS(7044), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [205190] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5806), 1,
      sym_comment,
    STATE(7195), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205211] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9343), 1,
      anon_sym_class,
    ACTIONS(9345), 1,
      anon_sym_abstract,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(5807), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [205236] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5808), 1,
      sym_comment,
    ACTIONS(6306), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [205253] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5809), 1,
      sym_comment,
    STATE(6798), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205274] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5810), 1,
      sym_comment,
    STATE(8123), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [205299] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    STATE(5811), 1,
      sym_comment,
    ACTIONS(9417), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [205322] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5812), 1,
      sym_comment,
    ACTIONS(7096), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [205339] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5813), 1,
      sym_comment,
    STATE(6795), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205360] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5814), 1,
      sym_comment,
    STATE(6791), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205381] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6121), 1,
      anon_sym_in,
    STATE(5815), 1,
      sym_comment,
    ACTIONS(6917), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [205400] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5816), 1,
      sym_comment,
    STATE(6781), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205421] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5817), 1,
      sym_comment,
    STATE(5971), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [205446] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5818), 1,
      sym_comment,
    STATE(6780), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205467] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5819), 1,
      sym_comment,
    ACTIONS(6684), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [205484] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5820), 1,
      sym_comment,
    STATE(6596), 1,
      sym__initializer,
    ACTIONS(9415), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205505] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5821), 1,
      sym_comment,
    STATE(6778), 1,
      sym__initializer,
    ACTIONS(9419), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205526] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5822), 1,
      sym_comment,
    STATE(6767), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205547] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5823), 1,
      sym_comment,
    STATE(6766), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205568] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8138), 1,
      anon_sym_list,
    ACTIONS(9421), 1,
      sym_identifier,
    STATE(5824), 1,
      sym_comment,
    STATE(8436), 1,
      sym_nested_identifier,
    STATE(4508), 2,
      sym_nested_type_identifier,
      sym_ui_list_property_type,
  [205591] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5825), 1,
      sym_comment,
    STATE(5983), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [205616] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5826), 1,
      sym_comment,
    ACTIONS(9423), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [205633] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5827), 1,
      sym_comment,
    STATE(8058), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [205658] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5828), 1,
      sym_comment,
    STATE(7196), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205679] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5829), 1,
      sym_comment,
    STATE(7606), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [205704] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5830), 1,
      sym_comment,
    STATE(6765), 1,
      sym__initializer,
    ACTIONS(9419), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205725] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5831), 1,
      sym_comment,
    ACTIONS(9425), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [205742] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5832), 1,
      sym_comment,
    ACTIONS(9407), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [205759] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5833), 1,
      sym_comment,
    ACTIONS(9407), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [205776] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5834), 1,
      sym_comment,
    ACTIONS(9407), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [205793] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5835), 1,
      sym_comment,
    STATE(6759), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205814] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(8282), 1,
      anon_sym_DOT,
    STATE(5180), 1,
      sym_arguments,
    STATE(5836), 1,
      sym_comment,
    ACTIONS(9427), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [205837] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5837), 1,
      sym_comment,
    STATE(7315), 1,
      sym__initializer,
    ACTIONS(9415), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205858] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9401), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9403), 1,
      sym__template_chars,
    ACTIONS(9429), 1,
      anon_sym_BQUOTE,
    STATE(5838), 1,
      sym_comment,
    STATE(6177), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(7022), 1,
      sym_template_type,
  [205883] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5839), 1,
      sym_comment,
    STATE(7217), 1,
      sym__initializer,
    ACTIONS(9415), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205904] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5840), 1,
      sym_comment,
    STATE(6758), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205925] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5841), 1,
      sym_comment,
    STATE(7454), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [205950] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5842), 1,
      sym_comment,
    STATE(6754), 1,
      sym__initializer,
    ACTIONS(9419), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [205971] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5843), 1,
      sym_comment,
    STATE(5996), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [205996] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5844), 1,
      sym_comment,
    STATE(8038), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [206021] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5845), 1,
      sym_comment,
    STATE(7460), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [206046] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5846), 1,
      sym_comment,
    STATE(6736), 1,
      sym__initializer,
    ACTIONS(9419), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [206067] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5847), 1,
      sym_comment,
    STATE(7216), 1,
      sym__initializer,
    ACTIONS(9431), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [206088] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5848), 1,
      sym_comment,
    STATE(6818), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [206109] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5849), 1,
      sym_comment,
    STATE(7478), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [206134] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5850), 1,
      sym_comment,
    STATE(6718), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [206155] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5851), 1,
      sym_comment,
    STATE(7215), 1,
      sym__initializer,
    ACTIONS(9431), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [206176] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5852), 1,
      sym_comment,
    ACTIONS(9433), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [206193] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5853), 1,
      sym_comment,
    ACTIONS(9407), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [206210] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5854), 1,
      sym_comment,
    STATE(7491), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [206235] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5855), 1,
      sym_comment,
    STATE(6716), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [206256] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5856), 1,
      sym_comment,
    STATE(6714), 1,
      sym__initializer,
    ACTIONS(9419), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [206277] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5857), 1,
      sym_comment,
    ACTIONS(9435), 5,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_DOT,
      aux_sym_ui_version_specifier_token1,
  [206294] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5858), 1,
      sym_comment,
    STATE(7560), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [206319] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5859), 1,
      sym_comment,
    STATE(7566), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [206344] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5860), 1,
      sym_comment,
    STATE(6624), 1,
      sym__initializer,
    ACTIONS(9415), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [206365] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5861), 1,
      sym_comment,
    ACTIONS(8615), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [206382] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5862), 1,
      sym_comment,
    STATE(6071), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [206407] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    STATE(5863), 1,
      sym_comment,
    ACTIONS(9437), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [206430] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5864), 1,
      sym_comment,
    ACTIONS(9439), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
      anon_sym_BQUOTE,
  [206447] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5865), 1,
      sym_comment,
    STATE(7115), 1,
      sym__initializer,
    ACTIONS(9441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [206468] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5866), 1,
      sym_comment,
    STATE(7652), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [206493] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5867), 1,
      sym_comment,
    STATE(6119), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [206518] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5868), 1,
      sym_comment,
    STATE(6706), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [206539] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5869), 1,
      sym_comment,
    STATE(7662), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [206564] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9443), 1,
      anon_sym_BQUOTE,
    ACTIONS(9445), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9448), 1,
      sym__template_chars,
    STATE(7022), 1,
      sym_template_type,
    STATE(5870), 2,
      sym_comment,
      aux_sym_template_literal_type_repeat1,
  [206587] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5871), 1,
      sym_comment,
    STATE(6038), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [206612] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5872), 1,
      sym_comment,
    STATE(8140), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [206637] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5873), 1,
      sym_comment,
    STATE(6704), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [206658] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5874), 1,
      sym_comment,
    ACTIONS(2340), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [206675] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5875), 1,
      sym_comment,
    STATE(7680), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [206700] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5876), 1,
      sym_comment,
    STATE(6024), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [206725] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5877), 1,
      sym_comment,
    STATE(7197), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [206746] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9401), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9403), 1,
      sym__template_chars,
    ACTIONS(9451), 1,
      anon_sym_BQUOTE,
    STATE(5878), 1,
      sym_comment,
    STATE(5941), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(7022), 1,
      sym_template_type,
  [206771] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9242), 1,
      anon_sym_class,
    ACTIONS(9244), 1,
      anon_sym_abstract,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(5879), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [206796] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5880), 1,
      sym_comment,
    STATE(6820), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [206817] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7783), 1,
      anon_sym_LBRACK,
    ACTIONS(9453), 1,
      anon_sym_RBRACE,
    STATE(5881), 1,
      sym_comment,
    ACTIONS(5703), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [206838] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5882), 1,
      sym_comment,
    STATE(7833), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [206863] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5883), 1,
      sym_comment,
    STATE(5910), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
  [206888] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5884), 1,
      sym_comment,
    STATE(6703), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [206909] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5885), 1,
      sym_comment,
    ACTIONS(8731), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [206926] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8833), 1,
      anon_sym_COLON,
    ACTIONS(9455), 1,
      anon_sym_EQ_GT,
    STATE(5886), 1,
      sym_comment,
    STATE(7893), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [206947] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5887), 1,
      sym_comment,
    STATE(7227), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [206968] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5888), 1,
      sym_comment,
    STATE(7744), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [206993] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5889), 1,
      sym_comment,
    STATE(7237), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [207014] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5890), 1,
      sym_comment,
    STATE(7746), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [207039] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9401), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9403), 1,
      sym__template_chars,
    ACTIONS(9458), 1,
      anon_sym_BQUOTE,
    STATE(5870), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5891), 1,
      sym_comment,
    STATE(7022), 1,
      sym_template_type,
  [207064] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5892), 1,
      sym_comment,
    STATE(8067), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [207089] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5893), 1,
      sym_comment,
    STATE(6869), 1,
      sym__initializer,
    ACTIONS(9460), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [207110] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5208), 1,
      anon_sym_COLON,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    ACTIONS(9371), 1,
      anon_sym_COMMA,
    ACTIONS(9462), 1,
      anon_sym_RBRACE,
    STATE(5894), 1,
      sym_comment,
    STATE(6997), 1,
      aux_sym_object_pattern_repeat1,
  [207135] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5895), 1,
      sym_comment,
    STATE(5960), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [207160] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5896), 1,
      sym_comment,
    STATE(7239), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [207181] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5897), 1,
      sym_comment,
    STATE(7247), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [207202] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5898), 1,
      sym_comment,
    STATE(6822), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [207223] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5899), 1,
      sym_comment,
    STATE(6702), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [207244] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    STATE(5900), 1,
      sym_comment,
    ACTIONS(9464), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [207267] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5901), 1,
      sym_comment,
    STATE(6868), 1,
      sym__initializer,
    ACTIONS(9460), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [207288] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5902), 1,
      sym_comment,
    STATE(7794), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [207313] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9466), 1,
      anon_sym_EQ,
    STATE(5903), 1,
      sym_comment,
    ACTIONS(4706), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [207332] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5904), 1,
      sym_comment,
    STATE(6995), 1,
      sym__initializer,
    ACTIONS(9468), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [207353] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5905), 1,
      sym_comment,
    ACTIONS(9470), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [207370] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5906), 1,
      sym_comment,
    STATE(7260), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [207391] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5907), 1,
      sym_comment,
    STATE(6231), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [207416] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5908), 1,
      sym_comment,
    STATE(7000), 1,
      sym__initializer,
    ACTIONS(9415), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [207437] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5909), 1,
      sym_comment,
    STATE(6701), 1,
      sym__initializer,
    ACTIONS(9419), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [207458] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5910), 1,
      sym_comment,
    ACTIONS(8617), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [207475] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5911), 1,
      sym_comment,
    STATE(7268), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [207496] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5912), 1,
      sym_comment,
    STATE(7286), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [207517] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5913), 1,
      sym_comment,
    STATE(6155), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
  [207542] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5914), 1,
      sym_comment,
    ACTIONS(8599), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [207559] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5915), 1,
      sym_comment,
    ACTIONS(9472), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [207576] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5916), 1,
      sym_comment,
    ACTIONS(7082), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [207593] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9474), 1,
      anon_sym_class,
    ACTIONS(9476), 1,
      anon_sym_abstract,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(5917), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [207618] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5918), 1,
      sym_comment,
    ACTIONS(8599), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [207635] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5919), 1,
      sym_comment,
    ACTIONS(9478), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [207652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5920), 1,
      sym_comment,
    ACTIONS(8617), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [207669] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5921), 1,
      sym_comment,
    ACTIONS(9480), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [207686] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5922), 1,
      sym_comment,
    ACTIONS(9482), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [207703] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5923), 1,
      sym_comment,
    STATE(7946), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [207728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5924), 1,
      sym_comment,
    ACTIONS(9484), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [207745] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5925), 1,
      sym_comment,
    STATE(6310), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [207770] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8833), 1,
      anon_sym_COLON,
    ACTIONS(9486), 1,
      anon_sym_EQ_GT,
    STATE(5926), 1,
      sym_comment,
    STATE(7701), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [207791] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5927), 1,
      sym_comment,
    STATE(8050), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [207816] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5596), 1,
      sym__call_signature,
    STATE(5928), 1,
      sym_comment,
    STATE(7675), 1,
      sym_type_parameters,
  [207841] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5929), 1,
      sym_comment,
    ACTIONS(8731), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [207858] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5930), 1,
      sym_comment,
    STATE(7612), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [207883] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5931), 1,
      sym_comment,
    STATE(6695), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [207904] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5932), 1,
      sym_comment,
    STATE(6692), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [207925] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(5933), 1,
      sym_comment,
    ACTIONS(9489), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [207948] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5934), 1,
      sym_comment,
    STATE(6688), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [207969] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5935), 1,
      sym_comment,
    STATE(7212), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [207990] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5936), 1,
      sym_comment,
    STATE(6685), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208011] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5937), 1,
      sym_comment,
    ACTIONS(9491), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [208028] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5938), 1,
      sym_comment,
    STATE(6823), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208049] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5939), 1,
      sym_comment,
    STATE(7321), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208070] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5940), 1,
      sym_comment,
    STATE(7274), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208091] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9401), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9403), 1,
      sym__template_chars,
    ACTIONS(9493), 1,
      anon_sym_BQUOTE,
    STATE(5870), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(5941), 1,
      sym_comment,
    STATE(7022), 1,
      sym_template_type,
  [208116] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5942), 1,
      sym_comment,
    STATE(6678), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208137] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    ACTIONS(9495), 1,
      anon_sym_DOT,
    STATE(5943), 1,
      sym_comment,
    STATE(7731), 1,
      sym_statement_block,
    ACTIONS(2303), 2,
      anon_sym_else,
      anon_sym_while,
  [208160] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    ACTIONS(9497), 1,
      anon_sym_DOT,
    STATE(5944), 1,
      sym_comment,
    STATE(7731), 1,
      sym_statement_block,
    ACTIONS(2303), 2,
      anon_sym_else,
      anon_sym_while,
  [208183] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5945), 1,
      sym_comment,
    STATE(7231), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208204] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5946), 1,
      sym_comment,
    ACTIONS(9499), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [208221] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5947), 1,
      sym_comment,
    STATE(7165), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208242] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5948), 1,
      sym_comment,
    STATE(7222), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208263] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5949), 1,
      sym_comment,
    ACTIONS(9501), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [208280] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5950), 1,
      sym_comment,
    STATE(7191), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208301] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9503), 1,
      anon_sym_LBRACE,
    ACTIONS(9505), 1,
      anon_sym_SEMI,
    ACTIONS(9507), 1,
      sym__automatic_semicolon,
    ACTIONS(9509), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1889), 1,
      sym_statement_block,
    STATE(5951), 1,
      sym_comment,
  [208326] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5952), 1,
      sym_comment,
    STATE(6675), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208347] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(5953), 1,
      sym_comment,
    ACTIONS(9511), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208370] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8566), 1,
      anon_sym_extends,
    ACTIONS(8827), 1,
      anon_sym_LBRACE,
    ACTIONS(8829), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4115), 1,
      sym_object_type,
    STATE(5954), 1,
      sym_comment,
    STATE(6819), 1,
      sym_extends_type_clause,
  [208395] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9513), 1,
      anon_sym_LBRACE,
    ACTIONS(9515), 1,
      anon_sym_SEMI,
    ACTIONS(9517), 1,
      sym__automatic_semicolon,
    ACTIONS(9519), 1,
      sym__function_signature_automatic_semicolon,
    STATE(4046), 1,
      sym_statement_block,
    STATE(5955), 1,
      sym_comment,
  [208420] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5956), 1,
      sym_comment,
    ACTIONS(9521), 5,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_DOT,
      aux_sym_ui_version_specifier_token1,
  [208437] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5957), 1,
      sym_comment,
    STATE(7184), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208458] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5958), 1,
      sym_comment,
    STATE(7175), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208479] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5959), 1,
      sym_comment,
    STATE(6864), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208500] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    ACTIONS(9523), 1,
      anon_sym_SEMI,
    ACTIONS(9525), 1,
      sym__automatic_semicolon,
    ACTIONS(9527), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3596), 1,
      sym_statement_block,
    STATE(5960), 1,
      sym_comment,
  [208525] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9154), 1,
      anon_sym_abstract,
    ACTIONS(9529), 1,
      anon_sym_class,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(5961), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [208550] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5962), 1,
      sym_comment,
    ACTIONS(8898), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [208567] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(124), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8566), 1,
      anon_sym_extends,
    ACTIONS(8568), 1,
      anon_sym_LBRACE_PIPE,
    STATE(5963), 1,
      sym_comment,
    STATE(7252), 1,
      sym_extends_type_clause,
    STATE(7539), 1,
      sym_object_type,
  [208592] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5964), 1,
      sym_comment,
    ACTIONS(8735), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [208609] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5965), 1,
      sym_comment,
    STATE(7138), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208630] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5966), 1,
      sym_comment,
    STATE(7164), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208651] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9313), 1,
      anon_sym_abstract,
    ACTIONS(9531), 1,
      anon_sym_class,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(5967), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [208676] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5968), 1,
      sym_comment,
    STATE(7159), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208697] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8833), 1,
      anon_sym_COLON,
    ACTIONS(9533), 1,
      anon_sym_EQ_GT,
    STATE(5969), 1,
      sym_comment,
    STATE(7893), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [208718] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5970), 1,
      sym_comment,
    STATE(6306), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [208743] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9505), 1,
      anon_sym_SEMI,
    ACTIONS(9507), 1,
      sym__automatic_semicolon,
    ACTIONS(9509), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(9536), 1,
      anon_sym_LBRACE,
    STATE(4025), 1,
      sym_statement_block,
    STATE(5971), 1,
      sym_comment,
  [208768] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5972), 1,
      sym_comment,
    STATE(7156), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208789] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(5973), 1,
      sym_comment,
    ACTIONS(9538), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [208812] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5974), 1,
      sym_comment,
    ACTIONS(9540), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [208829] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5975), 1,
      sym_comment,
    ACTIONS(9542), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [208846] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5976), 1,
      sym_comment,
    ACTIONS(9544), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [208863] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5977), 1,
      sym_comment,
    STATE(7958), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [208888] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5978), 1,
      sym_comment,
    STATE(6672), 1,
      sym__initializer,
    ACTIONS(9419), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208909] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5979), 1,
      sym_comment,
    ACTIONS(9546), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [208926] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5980), 1,
      sym_comment,
    STATE(6871), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [208947] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    STATE(5981), 1,
      sym_comment,
    STATE(7925), 1,
      sym_type_annotation,
    ACTIONS(4699), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [208968] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5982), 1,
      sym_comment,
    STATE(6294), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [208993] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9503), 1,
      anon_sym_LBRACE,
    ACTIONS(9548), 1,
      anon_sym_SEMI,
    ACTIONS(9550), 1,
      sym__automatic_semicolon,
    ACTIONS(9552), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1870), 1,
      sym_statement_block,
    STATE(5983), 1,
      sym_comment,
  [209018] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5984), 1,
      sym_comment,
    STATE(7082), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [209039] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8635), 1,
      anon_sym_EQ,
    ACTIONS(9554), 1,
      anon_sym_COMMA,
    ACTIONS(9556), 1,
      anon_sym_RBRACE,
    STATE(5985), 1,
      sym_comment,
    STATE(6850), 1,
      aux_sym_enum_body_repeat1,
    STATE(7986), 1,
      sym__initializer,
  [209064] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8635), 1,
      anon_sym_EQ,
    ACTIONS(9558), 1,
      anon_sym_COMMA,
    ACTIONS(9560), 1,
      anon_sym_RBRACE,
    STATE(5986), 1,
      sym_comment,
    STATE(6757), 1,
      aux_sym_enum_body_repeat1,
    STATE(7986), 1,
      sym__initializer,
  [209089] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5987), 1,
      sym_comment,
    STATE(7889), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [209114] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5988), 1,
      sym_comment,
    STATE(6867), 1,
      sym__initializer,
    ACTIONS(9460), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [209135] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5989), 1,
      sym_comment,
    STATE(6866), 1,
      sym__initializer,
    ACTIONS(9460), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [209156] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5990), 1,
      sym_comment,
    STATE(7659), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [209181] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5991), 1,
      sym_comment,
    STATE(6650), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [209202] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(5992), 1,
      sym_comment,
    STATE(6645), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [209223] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5993), 1,
      sym_comment,
    ACTIONS(2436), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [209240] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5994), 1,
      sym_comment,
    STATE(8002), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [209265] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(5995), 1,
      sym_comment,
    STATE(8134), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [209290] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9536), 1,
      anon_sym_LBRACE,
    ACTIONS(9548), 1,
      anon_sym_SEMI,
    ACTIONS(9550), 1,
      sym__automatic_semicolon,
    ACTIONS(9552), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3996), 1,
      sym_statement_block,
    STATE(5996), 1,
      sym_comment,
  [209315] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5997), 1,
      sym_comment,
    ACTIONS(8613), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [209332] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(5998), 1,
      sym_comment,
    ACTIONS(9562), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [209355] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(5999), 1,
      sym_comment,
    ACTIONS(9564), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [209372] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8833), 1,
      anon_sym_COLON,
    ACTIONS(9566), 1,
      anon_sym_EQ_GT,
    STATE(6000), 1,
      sym_comment,
    STATE(7893), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [209393] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8833), 1,
      anon_sym_COLON,
    ACTIONS(9569), 1,
      anon_sym_EQ_GT,
    STATE(6001), 1,
      sym_comment,
    STATE(7701), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [209414] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6002), 1,
      sym_comment,
    ACTIONS(9572), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [209437] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9515), 1,
      anon_sym_SEMI,
    ACTIONS(9517), 1,
      sym__automatic_semicolon,
    ACTIONS(9519), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(9574), 1,
      anon_sym_LBRACE,
    STATE(1915), 1,
      sym_statement_block,
    STATE(6003), 1,
      sym_comment,
  [209462] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6004), 1,
      sym_comment,
    STATE(7717), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [209487] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6005), 1,
      sym_comment,
    STATE(7149), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [209508] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6006), 1,
      sym_comment,
    STATE(7106), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [209529] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5861), 1,
      sym__call_signature,
    STATE(6007), 1,
      sym_comment,
    STATE(8017), 1,
      sym_type_parameters,
  [209554] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6008), 1,
      sym_comment,
    ACTIONS(9576), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [209577] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6009), 1,
      sym_comment,
    STATE(7473), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [209602] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6010), 1,
      sym_comment,
    STATE(7102), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [209623] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6011), 1,
      sym_comment,
    STATE(7091), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [209644] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6012), 1,
      sym_comment,
    STATE(7078), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [209665] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6013), 1,
      sym_comment,
    ACTIONS(9578), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [209688] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8675), 1,
      anon_sym_LT,
    ACTIONS(9580), 1,
      anon_sym_LBRACE,
    STATE(6014), 1,
      sym_comment,
    STATE(7313), 1,
      sym_type_arguments,
    ACTIONS(9582), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [209711] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6015), 1,
      sym_comment,
    STATE(6639), 1,
      sym__initializer,
    ACTIONS(9419), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [209732] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6016), 1,
      sym_comment,
    STATE(7070), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [209753] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9513), 1,
      anon_sym_LBRACE,
    ACTIONS(9584), 1,
      anon_sym_SEMI,
    ACTIONS(9586), 1,
      sym__automatic_semicolon,
    ACTIONS(9588), 1,
      sym__function_signature_automatic_semicolon,
    STATE(4055), 1,
      sym_statement_block,
    STATE(6017), 1,
      sym_comment,
  [209778] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6018), 1,
      sym_comment,
    STATE(7050), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [209799] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6019), 1,
      sym_comment,
    STATE(7049), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [209820] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6020), 1,
      sym_comment,
    STATE(7048), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [209841] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6021), 1,
      sym_comment,
    ACTIONS(8611), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [209858] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(6022), 1,
      sym_comment,
    STATE(6223), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [209883] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6023), 1,
      sym_comment,
    STATE(7034), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [209904] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8526), 1,
      anon_sym_LBRACE,
    ACTIONS(9523), 1,
      anon_sym_SEMI,
    ACTIONS(9525), 1,
      sym__automatic_semicolon,
    ACTIONS(9527), 1,
      sym__function_signature_automatic_semicolon,
    STATE(6024), 1,
      sym_comment,
    STATE(7085), 1,
      sym_statement_block,
  [209929] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6025), 1,
      sym_comment,
    ACTIONS(9590), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [209946] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6026), 1,
      sym_comment,
    STATE(7025), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [209967] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6027), 1,
      sym_comment,
    STATE(6914), 1,
      sym__initializer,
    ACTIONS(9592), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [209988] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6028), 1,
      sym_comment,
    STATE(7024), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [210009] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6029), 1,
      sym_comment,
    STATE(7012), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [210030] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9281), 1,
      anon_sym_class,
    ACTIONS(9283), 1,
      anon_sym_abstract,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(6030), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [210055] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6031), 1,
      sym_comment,
    STATE(6980), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [210076] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6032), 1,
      sym_comment,
    ACTIONS(9594), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [210093] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6033), 1,
      sym_comment,
    STATE(6983), 1,
      sym__initializer,
    ACTIONS(9353), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [210114] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6034), 1,
      sym_comment,
    ACTIONS(9596), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [210131] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6035), 1,
      sym_comment,
    ACTIONS(9598), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [210148] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(6036), 1,
      sym_comment,
    STATE(6112), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [210173] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6037), 1,
      sym_comment,
    STATE(7032), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [210194] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    ACTIONS(9600), 1,
      anon_sym_SEMI,
    ACTIONS(9602), 1,
      sym__automatic_semicolon,
    ACTIONS(9604), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3544), 1,
      sym_statement_block,
    STATE(6038), 1,
      sym_comment,
  [210219] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6039), 1,
      sym_comment,
    ACTIONS(9606), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [210236] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6040), 1,
      sym_comment,
    STATE(6972), 1,
      sym__initializer,
    ACTIONS(9608), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [210257] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6041), 1,
      sym_comment,
    ACTIONS(9610), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [210274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6042), 1,
      sym_comment,
    ACTIONS(9612), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [210291] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8635), 1,
      anon_sym_EQ,
    ACTIONS(9614), 1,
      anon_sym_COMMA,
    ACTIONS(9616), 1,
      anon_sym_RBRACE,
    STATE(6043), 1,
      sym_comment,
    STATE(7270), 1,
      aux_sym_enum_body_repeat1,
    STATE(7986), 1,
      sym__initializer,
  [210316] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6044), 1,
      sym_comment,
    STATE(6981), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [210337] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6045), 1,
      sym_comment,
    ACTIONS(9618), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [210354] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9401), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9403), 1,
      sym__template_chars,
    ACTIONS(9620), 1,
      anon_sym_BQUOTE,
    STATE(6046), 1,
      sym_comment,
    STATE(6174), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(7022), 1,
      sym_template_type,
  [210379] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6047), 1,
      sym_comment,
    ACTIONS(9622), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [210402] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6048), 1,
      sym_comment,
    ACTIONS(9624), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [210419] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5299), 1,
      sym__call_signature,
    STATE(6049), 1,
      sym_comment,
    STATE(8017), 1,
      sym_type_parameters,
  [210444] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9283), 1,
      anon_sym_abstract,
    ACTIONS(9626), 1,
      anon_sym_class,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(6050), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [210469] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6051), 1,
      sym_comment,
    ACTIONS(9628), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [210492] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACE,
    ACTIONS(9632), 1,
      anon_sym_SEMI,
    ACTIONS(9634), 1,
      sym__automatic_semicolon,
    ACTIONS(9636), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1040), 1,
      sym_statement_block,
    STATE(6052), 1,
      sym_comment,
  [210517] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(6053), 1,
      sym_comment,
    STATE(6205), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [210542] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(6054), 1,
      sym_comment,
    STATE(6196), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [210567] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8635), 1,
      anon_sym_EQ,
    ACTIONS(9638), 1,
      anon_sym_COMMA,
    ACTIONS(9640), 1,
      anon_sym_RBRACE,
    STATE(6055), 1,
      sym_comment,
    STATE(7256), 1,
      aux_sym_enum_body_repeat1,
    STATE(7986), 1,
      sym__initializer,
  [210592] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9632), 1,
      anon_sym_SEMI,
    ACTIONS(9634), 1,
      sym__automatic_semicolon,
    ACTIONS(9636), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(9642), 1,
      anon_sym_LBRACE,
    STATE(351), 1,
      sym_statement_block,
    STATE(6056), 1,
      sym_comment,
  [210617] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6057), 1,
      sym_comment,
    ACTIONS(9644), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [210640] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACE,
    ACTIONS(9646), 1,
      anon_sym_SEMI,
    ACTIONS(9648), 1,
      sym__automatic_semicolon,
    ACTIONS(9650), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1046), 1,
      sym_statement_block,
    STATE(6058), 1,
      sym_comment,
  [210665] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6059), 1,
      sym_comment,
    STATE(7378), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [210690] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(6060), 1,
      sym_comment,
    STATE(6188), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [210715] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8566), 1,
      anon_sym_extends,
    ACTIONS(8797), 1,
      anon_sym_LBRACE,
    ACTIONS(8799), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1148), 1,
      sym_object_type,
    STATE(6061), 1,
      sym_comment,
    STATE(7263), 1,
      sym_extends_type_clause,
  [210740] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9642), 1,
      anon_sym_LBRACE,
    ACTIONS(9646), 1,
      anon_sym_SEMI,
    ACTIONS(9648), 1,
      sym__automatic_semicolon,
    ACTIONS(9650), 1,
      sym__function_signature_automatic_semicolon,
    STATE(363), 1,
      sym_statement_block,
    STATE(6062), 1,
      sym_comment,
  [210765] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5736), 1,
      sym__call_signature,
    STATE(6063), 1,
      sym_comment,
    STATE(7675), 1,
      sym_type_parameters,
  [210790] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6064), 1,
      sym_comment,
    ACTIONS(8570), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [210807] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8833), 1,
      anon_sym_COLON,
    ACTIONS(9652), 1,
      anon_sym_EQ_GT,
    STATE(6065), 1,
      sym_comment,
    STATE(7701), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [210828] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6066), 1,
      sym_comment,
    STATE(7373), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [210853] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(6067), 1,
      sym_comment,
    STATE(6282), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [210878] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6068), 1,
      sym_comment,
    ACTIONS(9655), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [210895] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6069), 1,
      sym_comment,
    ACTIONS(9657), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [210912] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8566), 1,
      anon_sym_extends,
    ACTIONS(8710), 1,
      anon_sym_LBRACE,
    ACTIONS(8712), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4422), 1,
      sym_object_type,
    STATE(6070), 1,
      sym_comment,
    STATE(6713), 1,
      sym_extends_type_clause,
  [210937] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8526), 1,
      anon_sym_LBRACE,
    ACTIONS(9600), 1,
      anon_sym_SEMI,
    ACTIONS(9602), 1,
      sym__automatic_semicolon,
    ACTIONS(9604), 1,
      sym__function_signature_automatic_semicolon,
    STATE(6071), 1,
      sym_comment,
    STATE(7054), 1,
      sym_statement_block,
  [210962] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6072), 1,
      sym_comment,
    ACTIONS(6976), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [210979] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6073), 1,
      sym_comment,
    ACTIONS(9659), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [210996] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6074), 1,
      sym_comment,
    ACTIONS(9661), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [211019] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6075), 1,
      sym_comment,
    STATE(7427), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [211044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6076), 1,
      sym_comment,
    ACTIONS(9663), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [211061] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6077), 1,
      sym_comment,
    ACTIONS(9665), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [211078] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6078), 1,
      sym_comment,
    STATE(7865), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [211103] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6079), 1,
      sym_comment,
    ACTIONS(9657), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [211120] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9574), 1,
      anon_sym_LBRACE,
    ACTIONS(9584), 1,
      anon_sym_SEMI,
    ACTIONS(9586), 1,
      sym__automatic_semicolon,
    ACTIONS(9588), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1910), 1,
      sym_statement_block,
    STATE(6080), 1,
      sym_comment,
  [211145] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6081), 1,
      sym_comment,
    ACTIONS(9667), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [211162] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8833), 1,
      anon_sym_COLON,
    ACTIONS(9669), 1,
      anon_sym_EQ_GT,
    STATE(6082), 1,
      sym_comment,
    STATE(7701), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [211183] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6083), 1,
      sym_comment,
    ACTIONS(9672), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [211200] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6084), 1,
      sym_comment,
    STATE(7740), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [211225] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6085), 1,
      sym_comment,
    ACTIONS(6976), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [211242] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6086), 1,
      sym_comment,
    ACTIONS(9674), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [211265] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6087), 1,
      sym_comment,
    ACTIONS(9676), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [211288] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9678), 1,
      anon_sym_LBRACE,
    ACTIONS(9680), 1,
      anon_sym_SEMI,
    ACTIONS(9682), 1,
      sym__automatic_semicolon,
    ACTIONS(9684), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1065), 1,
      sym_statement_block,
    STATE(6088), 1,
      sym_comment,
  [211313] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6089), 1,
      sym_comment,
    ACTIONS(9686), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [211330] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6090), 1,
      sym_comment,
    ACTIONS(6976), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [211347] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5223), 1,
      sym__call_signature,
    STATE(6091), 1,
      sym_comment,
    STATE(8017), 1,
      sym_type_parameters,
  [211372] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(9361), 1,
      sym_identifier,
    STATE(6092), 1,
      sym_comment,
    STATE(6566), 1,
      sym_string,
    STATE(7658), 1,
      sym__module_export_name,
  [211397] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6093), 1,
      sym_comment,
    STATE(6620), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [211418] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6094), 1,
      sym_comment,
    STATE(6618), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [211439] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8635), 1,
      anon_sym_EQ,
    ACTIONS(9688), 1,
      anon_sym_COMMA,
    ACTIONS(9690), 1,
      anon_sym_RBRACE,
    STATE(6095), 1,
      sym_comment,
    STATE(7276), 1,
      aux_sym_enum_body_repeat1,
    STATE(7986), 1,
      sym__initializer,
  [211464] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6096), 1,
      sym_comment,
    STATE(6614), 1,
      sym__initializer,
    ACTIONS(9419), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [211485] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9680), 1,
      anon_sym_SEMI,
    ACTIONS(9682), 1,
      sym__automatic_semicolon,
    ACTIONS(9684), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(9692), 1,
      anon_sym_LBRACE,
    STATE(409), 1,
      sym_statement_block,
    STATE(6097), 1,
      sym_comment,
  [211510] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6098), 1,
      sym_comment,
    STATE(6977), 1,
      sym__initializer,
    ACTIONS(9367), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [211531] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6099), 1,
      sym_comment,
    ACTIONS(9694), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [211554] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9678), 1,
      anon_sym_LBRACE,
    ACTIONS(9696), 1,
      anon_sym_SEMI,
    ACTIONS(9698), 1,
      sym__automatic_semicolon,
    ACTIONS(9700), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1100), 1,
      sym_statement_block,
    STATE(6100), 1,
      sym_comment,
  [211579] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6101), 1,
      sym_comment,
    STATE(6969), 1,
      sym__initializer,
    ACTIONS(9419), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [211600] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6102), 1,
      sym_comment,
    STATE(6863), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [211621] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6103), 1,
      sym_comment,
    STATE(7469), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [211646] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8936), 1,
      aux_sym_ui_version_specifier_token1,
    ACTIONS(8960), 1,
      anon_sym_as,
    STATE(6104), 1,
      sym_comment,
    STATE(6738), 1,
      sym_ui_version_specifier,
    ACTIONS(8962), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [211669] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(6105), 1,
      sym_comment,
    STATE(6107), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [211694] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8566), 1,
      anon_sym_extends,
    ACTIONS(8655), 1,
      anon_sym_LBRACE,
    ACTIONS(8657), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1309), 1,
      sym_object_type,
    STATE(6106), 1,
      sym_comment,
    STATE(7280), 1,
      sym_extends_type_clause,
  [211719] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9692), 1,
      anon_sym_LBRACE,
    ACTIONS(9696), 1,
      anon_sym_SEMI,
    ACTIONS(9698), 1,
      sym__automatic_semicolon,
    ACTIONS(9700), 1,
      sym__function_signature_automatic_semicolon,
    STATE(392), 1,
      sym_statement_block,
    STATE(6107), 1,
      sym_comment,
  [211744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6108), 1,
      sym_comment,
    ACTIONS(6988), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [211761] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6109), 1,
      sym_comment,
    ACTIONS(9702), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [211784] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6110), 1,
      sym_comment,
    ACTIONS(9704), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [211801] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6111), 1,
      sym_comment,
    ACTIONS(6986), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [211818] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9706), 1,
      anon_sym_LBRACE,
    ACTIONS(9708), 1,
      anon_sym_SEMI,
    ACTIONS(9710), 1,
      sym__automatic_semicolon,
    ACTIONS(9712), 1,
      sym__function_signature_automatic_semicolon,
    STATE(517), 1,
      sym_statement_block,
    STATE(6112), 1,
      sym_comment,
  [211843] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6113), 1,
      sym_comment,
    ACTIONS(6968), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [211860] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5232), 1,
      sym__call_signature,
    STATE(6114), 1,
      sym_comment,
    STATE(8017), 1,
      sym_type_parameters,
  [211885] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(6115), 1,
      sym_comment,
    STATE(6242), 1,
      sym__call_signature,
    STATE(7675), 1,
      sym_type_parameters,
  [211910] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6116), 1,
      sym_comment,
    ACTIONS(9714), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [211927] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6117), 1,
      sym_comment,
    ACTIONS(6806), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [211944] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5277), 1,
      sym__call_signature,
    STATE(6118), 1,
      sym_comment,
    STATE(8017), 1,
      sym_type_parameters,
  [211969] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9708), 1,
      anon_sym_SEMI,
    ACTIONS(9710), 1,
      sym__automatic_semicolon,
    ACTIONS(9712), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(9716), 1,
      anon_sym_LBRACE,
    STATE(1534), 1,
      sym_statement_block,
    STATE(6119), 1,
      sym_comment,
  [211994] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6120), 1,
      sym_comment,
    STATE(6862), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [212015] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(6100), 1,
      sym__call_signature,
    STATE(6121), 1,
      sym_comment,
    STATE(7675), 1,
      sym_type_parameters,
  [212040] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5281), 1,
      sym__call_signature,
    STATE(6122), 1,
      sym_comment,
    STATE(8017), 1,
      sym_type_parameters,
  [212065] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6123), 1,
      sym_comment,
    STATE(8170), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [212090] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6124), 1,
      sym_comment,
    ACTIONS(9718), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [212113] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5283), 1,
      sym__call_signature,
    STATE(6125), 1,
      sym_comment,
    STATE(8017), 1,
      sym_type_parameters,
  [212138] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6126), 1,
      sym_comment,
    ACTIONS(8556), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212155] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6127), 1,
      sym_comment,
    ACTIONS(9720), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6128), 1,
      sym_comment,
    ACTIONS(9722), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212189] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6129), 1,
      sym_comment,
    ACTIONS(9724), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212206] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9476), 1,
      anon_sym_abstract,
    ACTIONS(9726), 1,
      anon_sym_class,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(6130), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [212231] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6131), 1,
      sym_comment,
    ACTIONS(8570), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6132), 1,
      sym_comment,
    ACTIONS(9728), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212265] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6133), 1,
      sym_comment,
    ACTIONS(8720), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212282] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6134), 1,
      sym_comment,
    ACTIONS(9730), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212299] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(6097), 1,
      sym__call_signature,
    STATE(6135), 1,
      sym_comment,
    STATE(7675), 1,
      sym_type_parameters,
  [212324] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6136), 1,
      sym_comment,
    ACTIONS(9732), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212341] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6137), 1,
      sym_comment,
    ACTIONS(9734), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212358] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6138), 1,
      sym_comment,
    ACTIONS(9734), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212375] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6139), 1,
      sym_comment,
    STATE(6143), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
  [212400] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6140), 1,
      sym_comment,
    ACTIONS(9734), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212417] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6141), 1,
      sym_comment,
    ACTIONS(9736), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212434] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6142), 1,
      sym_comment,
    STATE(7517), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [212459] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6143), 1,
      sym_comment,
    ACTIONS(8572), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212476] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(5788), 1,
      sym__call_signature,
    STATE(6144), 1,
      sym_comment,
    STATE(8017), 1,
      sym_type_parameters,
  [212501] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6145), 1,
      sym_comment,
    ACTIONS(9738), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212518] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5535), 1,
      sym__call_signature,
    STATE(6146), 1,
      sym_comment,
    STATE(7675), 1,
      sym_type_parameters,
  [212543] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(6088), 1,
      sym__call_signature,
    STATE(6147), 1,
      sym_comment,
    STATE(7675), 1,
      sym_type_parameters,
  [212568] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6148), 1,
      sym_comment,
    STATE(7535), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [212593] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6149), 1,
      sym_comment,
    STATE(6861), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [212614] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6150), 1,
      sym_comment,
    STATE(7569), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [212639] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6151), 1,
      sym_comment,
    STATE(7624), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [212664] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6152), 1,
      sym_comment,
    STATE(6693), 1,
      sym__initializer,
    ACTIONS(9740), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [212685] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6153), 1,
      sym_comment,
    STATE(7591), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [212710] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6154), 1,
      sym_comment,
    ACTIONS(9742), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212727] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6155), 1,
      sym_comment,
    ACTIONS(8556), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6156), 1,
      sym_comment,
    ACTIONS(6966), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [212761] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6157), 1,
      sym_comment,
    STATE(6859), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [212782] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6158), 1,
      sym_comment,
    ACTIONS(9744), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212799] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6159), 1,
      sym_comment,
    ACTIONS(9746), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212816] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6160), 1,
      sym_comment,
    ACTIONS(9748), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212833] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6161), 1,
      sym_comment,
    ACTIONS(9750), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212850] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6162), 1,
      sym_comment,
    ACTIONS(9752), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212867] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6163), 1,
      sym_comment,
    ACTIONS(9752), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6164), 1,
      sym_comment,
    ACTIONS(9752), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212901] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6165), 1,
      sym_comment,
    ACTIONS(8595), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [212918] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(6062), 1,
      sym__call_signature,
    STATE(6166), 1,
      sym_comment,
    STATE(7675), 1,
      sym_type_parameters,
  [212943] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6167), 1,
      sym_comment,
    STATE(6828), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [212964] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6168), 1,
      sym_comment,
    STATE(6899), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [212985] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6169), 1,
      sym_comment,
    STATE(7403), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [213010] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6170), 1,
      sym_comment,
    ACTIONS(9754), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [213027] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6171), 1,
      sym_comment,
    STATE(6627), 1,
      sym__initializer,
    ACTIONS(9756), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [213048] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6172), 1,
      sym_comment,
    STATE(6992), 1,
      sym__initializer,
    ACTIONS(9592), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [213069] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6173), 1,
      sym_comment,
    ACTIONS(8572), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [213086] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9401), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9403), 1,
      sym__template_chars,
    ACTIONS(9758), 1,
      anon_sym_BQUOTE,
    STATE(5870), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6174), 1,
      sym_comment,
    STATE(7022), 1,
      sym_template_type,
  [213111] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9401), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9403), 1,
      sym__template_chars,
    ACTIONS(9760), 1,
      anon_sym_BQUOTE,
    STATE(5870), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6175), 1,
      sym_comment,
    STATE(7022), 1,
      sym_template_type,
  [213136] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6176), 1,
      sym_comment,
    ACTIONS(9762), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [213153] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9401), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9403), 1,
      sym__template_chars,
    ACTIONS(9764), 1,
      anon_sym_BQUOTE,
    STATE(5870), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6177), 1,
      sym_comment,
    STATE(7022), 1,
      sym_template_type,
  [213178] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6178), 1,
      sym_comment,
    ACTIONS(6910), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [213195] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4942), 1,
      sym_formal_parameters,
    STATE(6179), 1,
      sym_comment,
    STATE(6610), 1,
      sym__call_signature,
    STATE(8017), 1,
      sym_type_parameters,
  [213220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6180), 1,
      sym_comment,
    ACTIONS(9766), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [213237] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9345), 1,
      anon_sym_abstract,
    ACTIONS(9768), 1,
      anon_sym_class,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(6181), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [213262] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6182), 1,
      sym_comment,
    STATE(6901), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [213283] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6183), 1,
      sym_comment,
    ACTIONS(9770), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [213300] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(6058), 1,
      sym__call_signature,
    STATE(6184), 1,
      sym_comment,
    STATE(7675), 1,
      sym_type_parameters,
  [213325] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6185), 1,
      sym_comment,
    ACTIONS(9772), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [213348] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6186), 1,
      sym_comment,
    ACTIONS(9774), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [213371] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6187), 1,
      sym_comment,
    STATE(6605), 1,
      sym__initializer,
    ACTIONS(9776), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [213392] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9778), 1,
      anon_sym_LBRACE,
    ACTIONS(9780), 1,
      anon_sym_SEMI,
    ACTIONS(9782), 1,
      sym__automatic_semicolon,
    ACTIONS(9784), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1379), 1,
      sym_statement_block,
    STATE(6188), 1,
      sym_comment,
  [213417] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6189), 1,
      sym_comment,
    STATE(6607), 1,
      sym__initializer,
    ACTIONS(9592), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [213438] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6190), 1,
      sym_comment,
    ACTIONS(8595), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [213455] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2412), 1,
      anon_sym_DOT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5989), 1,
      anon_sym_LBRACE,
    STATE(6191), 1,
      sym_comment,
    ACTIONS(5991), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [213476] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6192), 1,
      sym_comment,
    STATE(7246), 1,
      sym__initializer,
    ACTIONS(9592), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [213497] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8635), 1,
      anon_sym_EQ,
    ACTIONS(9786), 1,
      anon_sym_COMMA,
    ACTIONS(9788), 1,
      anon_sym_RBRACE,
    STATE(6193), 1,
      sym_comment,
    STATE(7356), 1,
      aux_sym_enum_body_repeat1,
    STATE(7986), 1,
      sym__initializer,
  [213522] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6194), 1,
      sym_comment,
    ACTIONS(9790), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [213539] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6195), 1,
      sym_comment,
    ACTIONS(9792), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [213556] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_SEMI,
    ACTIONS(9796), 1,
      sym__automatic_semicolon,
    ACTIONS(9798), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3520), 1,
      sym_statement_block,
    STATE(6196), 1,
      sym_comment,
  [213581] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6197), 1,
      sym_comment,
    STATE(6982), 1,
      sym__initializer,
    ACTIONS(9419), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [213602] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6198), 1,
      sym_comment,
    STATE(6619), 1,
      sym__initializer,
    ACTIONS(9776), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [213623] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6199), 1,
      sym_comment,
    ACTIONS(9800), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [213640] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8566), 1,
      anon_sym_extends,
    ACTIONS(8753), 1,
      anon_sym_LBRACE,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1753), 1,
      sym_object_type,
    STATE(6200), 1,
      sym_comment,
    STATE(6694), 1,
      sym_extends_type_clause,
  [213665] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6201), 1,
      sym_comment,
    STATE(6643), 1,
      sym__initializer,
    ACTIONS(9776), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [213686] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6202), 1,
      sym_comment,
    ACTIONS(9802), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [213709] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6203), 1,
      sym_comment,
    STATE(6644), 1,
      sym__initializer,
    ACTIONS(9592), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [213730] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(6056), 1,
      sym__call_signature,
    STATE(6204), 1,
      sym_comment,
    STATE(7675), 1,
      sym_type_parameters,
  [213755] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9778), 1,
      anon_sym_LBRACE,
    ACTIONS(9804), 1,
      anon_sym_SEMI,
    ACTIONS(9806), 1,
      sym__automatic_semicolon,
    ACTIONS(9808), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1361), 1,
      sym_statement_block,
    STATE(6205), 1,
      sym_comment,
  [213780] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6206), 1,
      sym_comment,
    ACTIONS(9810), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [213797] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6207), 1,
      sym_comment,
    ACTIONS(9812), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [213814] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6208), 1,
      sym_comment,
    ACTIONS(9814), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [213831] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6209), 1,
      sym_comment,
    STATE(6990), 1,
      sym__initializer,
    ACTIONS(9592), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [213852] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6210), 1,
      sym_comment,
    STATE(6611), 1,
      sym__initializer,
    ACTIONS(9816), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [213873] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6211), 1,
      sym_comment,
    STATE(6829), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [213894] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5989), 1,
      anon_sym_LBRACE,
    STATE(6212), 1,
      sym_comment,
    ACTIONS(5991), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [213915] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6213), 1,
      sym_comment,
    STATE(6646), 1,
      sym__initializer,
    ACTIONS(9592), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [213936] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(6052), 1,
      sym__call_signature,
    STATE(6214), 1,
      sym_comment,
    STATE(7675), 1,
      sym_type_parameters,
  [213961] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6984), 1,
      sym__automatic_semicolon,
    STATE(6215), 1,
      sym_comment,
    ACTIONS(6982), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [213980] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6216), 1,
      sym_comment,
    STATE(6858), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214001] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6866), 1,
      sym__automatic_semicolon,
    STATE(6217), 1,
      sym_comment,
    ACTIONS(6864), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [214020] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6862), 1,
      sym__automatic_semicolon,
    STATE(6218), 1,
      sym_comment,
    ACTIONS(6860), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [214039] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6219), 1,
      sym_comment,
    STATE(6668), 1,
      sym__initializer,
    ACTIONS(9776), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214060] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6854), 1,
      sym__automatic_semicolon,
    STATE(6220), 1,
      sym_comment,
    ACTIONS(6852), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [214079] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1569), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8566), 1,
      anon_sym_extends,
    ACTIONS(8597), 1,
      anon_sym_LBRACE_PIPE,
    STATE(6159), 1,
      sym_object_type,
    STATE(6221), 1,
      sym_comment,
    STATE(7358), 1,
      sym_extends_type_clause,
  [214104] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6222), 1,
      sym_comment,
    STATE(6690), 1,
      sym__initializer,
    ACTIONS(9776), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214125] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    ACTIONS(9818), 1,
      anon_sym_SEMI,
    ACTIONS(9820), 1,
      sym__automatic_semicolon,
    ACTIONS(9822), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3550), 1,
      sym_statement_block,
    STATE(6223), 1,
      sym_comment,
  [214150] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6224), 1,
      sym_comment,
    STATE(6717), 1,
      sym__initializer,
    ACTIONS(9776), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214171] = 8,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2267), 1,
      anon_sym_DQUOTE,
    ACTIONS(2269), 1,
      anon_sym_SQUOTE,
    ACTIONS(9361), 1,
      sym_identifier,
    STATE(6225), 1,
      sym_comment,
    STATE(6566), 1,
      sym_string,
    STATE(7768), 1,
      sym__module_export_name,
  [214196] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6226), 1,
      sym_comment,
    STATE(6720), 1,
      sym__initializer,
    ACTIONS(9592), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214217] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9152), 1,
      anon_sym_class,
    ACTIONS(9154), 1,
      anon_sym_abstract,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(6227), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [214242] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6228), 1,
      sym_comment,
    STATE(6721), 1,
      sym__initializer,
    ACTIONS(9592), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214263] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6229), 1,
      sym_comment,
    STATE(7075), 1,
      sym__initializer,
    ACTIONS(9776), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214284] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6230), 1,
      sym_comment,
    ACTIONS(9824), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [214301] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9804), 1,
      anon_sym_SEMI,
    ACTIONS(9806), 1,
      sym__automatic_semicolon,
    ACTIONS(9808), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(9826), 1,
      anon_sym_LBRACE,
    STATE(443), 1,
      sym_statement_block,
    STATE(6231), 1,
      sym_comment,
  [214326] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6232), 1,
      sym_comment,
    STATE(6753), 1,
      sym__initializer,
    ACTIONS(9776), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214347] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8566), 1,
      anon_sym_extends,
    ACTIONS(8757), 1,
      anon_sym_LBRACE,
    ACTIONS(8759), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1583), 1,
      sym_object_type,
    STATE(6233), 1,
      sym_comment,
    STATE(7109), 1,
      sym_extends_type_clause,
  [214372] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6234), 1,
      sym_comment,
    ACTIONS(9262), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214389] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6235), 1,
      sym_comment,
    ACTIONS(9264), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214406] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6236), 1,
      sym_comment,
    STATE(7641), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [214431] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6237), 1,
      sym_comment,
    STATE(6949), 1,
      sym__initializer,
    ACTIONS(9776), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214452] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4730), 1,
      anon_sym_LBRACE,
    ACTIONS(8460), 1,
      anon_sym_COLON,
    ACTIONS(8462), 1,
      anon_sym_DOT,
    ACTIONS(8464), 1,
      anon_sym_on,
    STATE(4262), 1,
      sym_ui_object_initializer,
    STATE(6238), 1,
      sym_comment,
  [214477] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6239), 1,
      sym_comment,
    ACTIONS(9828), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [214494] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9319), 1,
      anon_sym_abstract,
    ACTIONS(9830), 1,
      anon_sym_class,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(6240), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [214519] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6241), 1,
      sym_comment,
    ACTIONS(9828), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [214536] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9716), 1,
      anon_sym_LBRACE,
    ACTIONS(9832), 1,
      anon_sym_SEMI,
    ACTIONS(9834), 1,
      sym__automatic_semicolon,
    ACTIONS(9836), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1656), 1,
      sym_statement_block,
    STATE(6242), 1,
      sym_comment,
  [214561] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8833), 1,
      anon_sym_COLON,
    ACTIONS(9838), 1,
      anon_sym_EQ_GT,
    STATE(6243), 1,
      sym_comment,
    STATE(7893), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [214582] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6244), 1,
      sym_comment,
    ACTIONS(9841), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [214599] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6245), 1,
      sym_comment,
    ACTIONS(9266), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214616] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6246), 1,
      sym_comment,
    ACTIONS(6868), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [214633] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6247), 1,
      sym_comment,
    ACTIONS(6858), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [214650] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6248), 1,
      sym_comment,
    ACTIONS(9843), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [214667] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9214), 1,
      anon_sym_abstract,
    ACTIONS(9845), 1,
      anon_sym_class,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(6249), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [214692] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6250), 1,
      sym_comment,
    ACTIONS(6856), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [214709] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6251), 1,
      sym_comment,
    ACTIONS(9847), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [214726] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9851), 1,
      anon_sym_in,
    ACTIONS(9853), 1,
      anon_sym_of,
    STATE(6252), 1,
      sym_comment,
    ACTIONS(9849), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214747] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6253), 1,
      sym_comment,
    STATE(6783), 1,
      sym__initializer,
    ACTIONS(9776), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214768] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6254), 1,
      sym_comment,
    STATE(6916), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214789] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9855), 1,
      anon_sym_in,
    ACTIONS(9857), 1,
      anon_sym_of,
    STATE(6255), 1,
      sym_comment,
    ACTIONS(9849), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214810] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6256), 1,
      sym_comment,
    STATE(6854), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214831] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6257), 1,
      sym_comment,
    STATE(6917), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214852] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6258), 1,
      sym_comment,
    STATE(7417), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [214877] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6259), 1,
      sym_comment,
    STATE(6851), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214898] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6260), 1,
      sym_comment,
    STATE(6788), 1,
      sym__initializer,
    ACTIONS(9776), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214919] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6261), 1,
      sym_comment,
    STATE(6846), 1,
      sym__initializer,
    ACTIONS(9405), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214940] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6262), 1,
      sym_comment,
    STATE(7424), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [214965] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6263), 1,
      sym_comment,
    STATE(6789), 1,
      sym__initializer,
    ACTIONS(9592), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [214986] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6264), 1,
      sym_comment,
    STATE(6918), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215007] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6265), 1,
      sym_comment,
    ACTIONS(7151), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [215024] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6266), 1,
      sym_comment,
    STATE(6870), 1,
      sym__initializer,
    ACTIONS(9592), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215045] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6267), 1,
      sym_comment,
    STATE(6919), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215066] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6268), 1,
      sym_comment,
    STATE(6921), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215087] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6269), 1,
      sym_comment,
    ACTIONS(7151), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [215104] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6270), 1,
      sym_comment,
    STATE(7842), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [215129] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6271), 1,
      sym_comment,
    ACTIONS(7151), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [215146] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6272), 1,
      sym_comment,
    STATE(6925), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215167] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6273), 1,
      sym_comment,
    STATE(6928), 1,
      sym__initializer,
    ACTIONS(9419), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215188] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6274), 1,
      sym_comment,
    ACTIONS(7082), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [215205] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6275), 1,
      sym_comment,
    STATE(7718), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [215230] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6276), 1,
      sym_comment,
    ACTIONS(7144), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [215247] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6277), 1,
      sym_comment,
    STATE(6940), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215268] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6278), 1,
      sym_comment,
    STATE(6825), 1,
      sym__initializer,
    ACTIONS(9776), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215289] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6279), 1,
      sym_comment,
    STATE(6944), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215310] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6280), 1,
      sym_comment,
    STATE(6946), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215331] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6281), 1,
      sym_comment,
    STATE(6955), 1,
      sym__initializer,
    ACTIONS(9413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215352] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9706), 1,
      anon_sym_LBRACE,
    ACTIONS(9832), 1,
      anon_sym_SEMI,
    ACTIONS(9834), 1,
      sym__automatic_semicolon,
    ACTIONS(9836), 1,
      sym__function_signature_automatic_semicolon,
    STATE(492), 1,
      sym_statement_block,
    STATE(6282), 1,
      sym_comment,
  [215377] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6283), 1,
      sym_comment,
    ACTIONS(9321), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215394] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9244), 1,
      anon_sym_abstract,
    ACTIONS(9859), 1,
      anon_sym_class,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(6284), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [215419] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6285), 1,
      sym_comment,
    STATE(6840), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215440] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6286), 1,
      sym_comment,
    STATE(6964), 1,
      sym__initializer,
    ACTIONS(9861), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215461] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6287), 1,
      sym_comment,
    STATE(6833), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215482] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6288), 1,
      sym_comment,
    ACTIONS(9863), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [215505] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6289), 1,
      sym_comment,
    STATE(6880), 1,
      sym__initializer,
    ACTIONS(9776), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215526] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6290), 1,
      sym_comment,
    ACTIONS(6850), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [215543] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6291), 1,
      sym_comment,
    STATE(6873), 1,
      sym__initializer,
    ACTIONS(9865), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215564] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6292), 1,
      sym_comment,
    ACTIONS(9867), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [215587] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6293), 1,
      sym_comment,
    STATE(6895), 1,
      sym__initializer,
    ACTIONS(9776), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215608] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8526), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_SEMI,
    ACTIONS(9796), 1,
      sym__automatic_semicolon,
    ACTIONS(9798), 1,
      sym__function_signature_automatic_semicolon,
    STATE(6217), 1,
      sym_statement_block,
    STATE(6294), 1,
      sym_comment,
  [215633] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9401), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9403), 1,
      sym__template_chars,
    ACTIONS(9869), 1,
      anon_sym_BQUOTE,
    STATE(6175), 1,
      aux_sym_template_literal_type_repeat1,
    STATE(6295), 1,
      sym_comment,
    STATE(7022), 1,
      sym_template_type,
  [215658] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6296), 1,
      sym_comment,
    ACTIONS(9871), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [215675] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6297), 1,
      sym_comment,
    STATE(6831), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215696] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6298), 1,
      sym_comment,
    ACTIONS(9873), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [215713] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6299), 1,
      sym_comment,
    ACTIONS(9875), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [215736] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6300), 1,
      sym_comment,
    STATE(6830), 1,
      sym__initializer,
    ACTIONS(9355), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215757] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5049), 1,
      sym_formal_parameters,
    STATE(5741), 1,
      sym__call_signature,
    STATE(6301), 1,
      sym_comment,
    STATE(7675), 1,
      sym_type_parameters,
  [215782] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6302), 1,
      sym_comment,
    ACTIONS(9877), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [215799] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8635), 1,
      anon_sym_EQ,
    ACTIONS(9879), 1,
      anon_sym_COMMA,
    ACTIONS(9881), 1,
      anon_sym_RBRACE,
    STATE(6303), 1,
      sym_comment,
    STATE(7140), 1,
      aux_sym_enum_body_repeat1,
    STATE(7986), 1,
      sym__initializer,
  [215824] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4730), 1,
      anon_sym_LBRACE,
    ACTIONS(9883), 1,
      anon_sym_COLON,
    ACTIONS(9885), 1,
      anon_sym_DOT,
    ACTIONS(9887), 1,
      anon_sym_on,
    STATE(4266), 1,
      sym_ui_object_initializer,
    STATE(6304), 1,
      sym_comment,
  [215849] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6305), 1,
      sym_comment,
    STATE(6904), 1,
      sym__initializer,
    ACTIONS(9776), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215870] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9780), 1,
      anon_sym_SEMI,
    ACTIONS(9782), 1,
      sym__automatic_semicolon,
    ACTIONS(9784), 1,
      sym__function_signature_automatic_semicolon,
    ACTIONS(9826), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_statement_block,
    STATE(6306), 1,
      sym_comment,
  [215895] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_EQ,
    STATE(6307), 1,
      sym_comment,
    STATE(6905), 1,
      sym__initializer,
    ACTIONS(9592), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [215916] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(6308), 1,
      sym_comment,
    ACTIONS(9889), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [215939] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8635), 1,
      anon_sym_EQ,
    ACTIONS(9891), 1,
      anon_sym_COMMA,
    ACTIONS(9893), 1,
      anon_sym_RBRACE,
    STATE(6309), 1,
      sym_comment,
    STATE(6839), 1,
      aux_sym_enum_body_repeat1,
    STATE(7986), 1,
      sym__initializer,
  [215964] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8526), 1,
      anon_sym_LBRACE,
    ACTIONS(9818), 1,
      anon_sym_SEMI,
    ACTIONS(9820), 1,
      sym__automatic_semicolon,
    ACTIONS(9822), 1,
      sym__function_signature_automatic_semicolon,
    STATE(6215), 1,
      sym_statement_block,
    STATE(6310), 1,
      sym_comment,
  [215989] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(5514), 1,
      sym_formal_parameters,
    STATE(6311), 1,
      sym_comment,
    STATE(8145), 1,
      sym__call_signature,
    STATE(8189), 1,
      sym_type_parameters,
  [216014] = 8,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9212), 1,
      anon_sym_class,
    ACTIONS(9214), 1,
      anon_sym_abstract,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(6312), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [216039] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9895), 1,
      anon_sym_DQUOTE,
    STATE(6313), 1,
      sym_comment,
    STATE(6544), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [216059] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(7681), 1,
      anon_sym_LT,
    STATE(4572), 1,
      sym_arguments,
    STATE(4675), 1,
      sym_type_arguments,
    STATE(6314), 1,
      sym_comment,
  [216081] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9899), 1,
      anon_sym_SQUOTE,
    STATE(6315), 1,
      sym_comment,
    STATE(6546), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [216101] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9899), 1,
      anon_sym_DQUOTE,
    STATE(6316), 1,
      sym_comment,
    STATE(6544), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [216121] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8671), 1,
      anon_sym_COMMA,
    ACTIONS(9026), 1,
      anon_sym_LBRACE,
    ACTIONS(9028), 1,
      anon_sym_LBRACE_PIPE,
    STATE(6317), 1,
      sym_comment,
    STATE(6519), 1,
      aux_sym_extends_type_clause_repeat1,
  [216143] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8629), 1,
      anon_sym_DOT,
    ACTIONS(9903), 1,
      anon_sym_COMMA,
    ACTIONS(9905), 1,
      anon_sym_GT,
    STATE(6318), 1,
      sym_comment,
    STATE(7005), 1,
      aux_sym_type_arguments_repeat1,
  [216165] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9909), 1,
      anon_sym_DOT,
    STATE(6319), 1,
      sym_comment,
    ACTIONS(9907), 3,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
  [216183] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9911), 1,
      anon_sym_SQUOTE,
    STATE(6315), 1,
      aux_sym_string_repeat2,
    STATE(6320), 1,
      sym_comment,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [216203] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9911), 1,
      anon_sym_DQUOTE,
    STATE(6316), 1,
      aux_sym_string_repeat1,
    STATE(6321), 1,
      sym_comment,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [216223] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(9913), 1,
      anon_sym_COLON,
    STATE(6322), 1,
      sym_comment,
  [216245] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(9915), 1,
      anon_sym_export,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(6323), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [216267] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6324), 1,
      sym_comment,
    ACTIONS(9521), 4,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_on,
  [216283] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6325), 1,
      sym_comment,
    STATE(6529), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9919), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [216303] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(9921), 1,
      anon_sym_QMARK,
    STATE(6326), 1,
      sym_comment,
  [216325] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    ACTIONS(9925), 1,
      anon_sym_SEMI,
    ACTIONS(9927), 1,
      sym__automatic_semicolon,
    STATE(6327), 1,
      sym_comment,
    STATE(7894), 1,
      sym_import_attribute,
  [216347] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9056), 1,
      anon_sym_finally,
    STATE(6328), 1,
      sym_comment,
    STATE(8084), 1,
      sym_finally_clause,
    ACTIONS(9929), 2,
      anon_sym_else,
      anon_sym_while,
  [216367] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6329), 1,
      sym_comment,
    STATE(6529), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9931), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [216387] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6330), 1,
      sym_comment,
    ACTIONS(9933), 4,
      anon_sym_default,
      anon_sym_readonly,
      anon_sym_property,
      anon_sym_required,
  [216403] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8629), 1,
      anon_sym_DOT,
    ACTIONS(9935), 1,
      anon_sym_COMMA,
    ACTIONS(9937), 1,
      anon_sym_GT,
    STATE(6331), 1,
      sym_comment,
    STATE(7296), 1,
      aux_sym_type_arguments_repeat1,
  [216425] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6325), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(6332), 1,
      sym_comment,
    ACTIONS(9939), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [216445] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8635), 1,
      anon_sym_EQ,
    STATE(6333), 1,
      sym_comment,
    STATE(7623), 1,
      sym__initializer,
    ACTIONS(9941), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [216465] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6334), 1,
      sym_comment,
    STATE(7456), 1,
      sym_import_attribute,
    ACTIONS(9943), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [216485] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6335), 1,
      sym_comment,
    STATE(7457), 1,
      sym__from_clause,
    ACTIONS(9947), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [216505] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6336), 1,
      sym_comment,
    STATE(8116), 1,
      sym__from_clause,
    ACTIONS(9949), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [216525] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(9951), 1,
      anon_sym_RBRACK,
    STATE(6337), 1,
      sym_comment,
  [216547] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6338), 1,
      sym_comment,
    STATE(8114), 1,
      sym_import_attribute,
    ACTIONS(9953), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [216567] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6339), 1,
      sym_comment,
    STATE(8121), 1,
      sym_import_attribute,
    ACTIONS(9955), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [216587] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6340), 1,
      sym_comment,
    STATE(6413), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9957), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [216607] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6341), 1,
      sym_comment,
    STATE(7482), 1,
      sym_import_attribute,
    ACTIONS(9959), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [216627] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6342), 1,
      sym_comment,
    STATE(7451), 1,
      sym_import_attribute,
    ACTIONS(9961), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [216647] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9963), 1,
      anon_sym_DQUOTE,
    STATE(6343), 1,
      sym_comment,
    STATE(6544), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [216667] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(9965), 1,
      anon_sym_RPAREN,
    STATE(6344), 1,
      sym_comment,
  [216689] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6345), 1,
      sym_comment,
    STATE(6366), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9967), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [216709] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9963), 1,
      anon_sym_SQUOTE,
    STATE(6346), 1,
      sym_comment,
    STATE(6546), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [216729] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6329), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(6347), 1,
      sym_comment,
    ACTIONS(9969), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [216749] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9971), 1,
      anon_sym_SQUOTE,
    STATE(6348), 1,
      sym_comment,
    STATE(6546), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [216769] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9971), 1,
      anon_sym_DQUOTE,
    STATE(6349), 1,
      sym_comment,
    STATE(6544), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [216789] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9975), 1,
      anon_sym_COMMA,
    STATE(6350), 1,
      sym_comment,
    STATE(6379), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(9973), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [216809] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9977), 1,
      anon_sym_SQUOTE,
    STATE(6348), 1,
      aux_sym_string_repeat2,
    STATE(6351), 1,
      sym_comment,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [216829] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9977), 1,
      anon_sym_DQUOTE,
    STATE(6349), 1,
      aux_sym_string_repeat1,
    STATE(6352), 1,
      sym_comment,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [216849] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(9979), 1,
      anon_sym_QMARK,
    STATE(6353), 1,
      sym_comment,
  [216871] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6354), 1,
      sym_comment,
    ACTIONS(9435), 4,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_on,
  [216887] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6355), 1,
      sym_comment,
    ACTIONS(3466), 4,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
  [216903] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6356), 1,
      sym_comment,
    ACTIONS(6601), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [216919] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6357), 1,
      sym_comment,
    STATE(7395), 1,
      sym__from_clause,
    ACTIONS(6588), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [216939] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6358), 1,
      sym_comment,
    STATE(7386), 1,
      sym_import_attribute,
    ACTIONS(9981), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [216959] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6359), 1,
      sym_comment,
    STATE(7385), 1,
      sym_import_attribute,
    ACTIONS(9983), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [216979] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6360), 1,
      sym_comment,
    STATE(6529), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9985), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [216999] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    ACTIONS(9987), 1,
      anon_sym_SEMI,
    ACTIONS(9989), 1,
      sym__automatic_semicolon,
    STATE(6361), 1,
      sym_comment,
    STATE(7383), 1,
      sym_import_attribute,
  [217021] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    ACTIONS(9991), 1,
      anon_sym_SEMI,
    ACTIONS(9993), 1,
      sym__automatic_semicolon,
    STATE(6362), 1,
      sym_comment,
    STATE(7966), 1,
      sym_import_attribute,
  [217043] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6363), 1,
      sym_comment,
    STATE(7968), 1,
      sym_import_attribute,
    ACTIONS(9995), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217063] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6364), 1,
      sym_comment,
    STATE(7970), 1,
      sym_import_attribute,
    ACTIONS(9997), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217083] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6365), 1,
      sym_comment,
    STATE(7978), 1,
      sym__from_clause,
    ACTIONS(6411), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217103] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6366), 1,
      sym_comment,
    STATE(6529), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(9999), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217123] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(10001), 1,
      anon_sym_LT,
    STATE(3431), 1,
      sym_arguments,
    STATE(3433), 1,
      sym_type_arguments,
    STATE(6367), 1,
      sym_comment,
  [217145] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6368), 1,
      sym_comment,
    ACTIONS(8458), 4,
      anon_sym_default,
      anon_sym_readonly,
      anon_sym_property,
      anon_sym_required,
  [217161] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10003), 1,
      anon_sym_COMMA,
    ACTIONS(6653), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(6369), 2,
      sym_comment,
      aux_sym_array_repeat1,
  [217179] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6370), 1,
      sym_comment,
    ACTIONS(3430), 4,
      sym__automatic_semicolon,
      anon_sym_else,
      anon_sym_while,
      anon_sym_SEMI,
  [217195] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10006), 1,
      sym_identifier,
    STATE(5600), 1,
      sym_nested_type_identifier,
    STATE(6317), 1,
      sym_generic_type,
    STATE(6371), 1,
      sym_comment,
    STATE(8430), 1,
      sym_nested_identifier,
  [217217] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    ACTIONS(10008), 1,
      anon_sym_SEMI,
    ACTIONS(10010), 1,
      sym__automatic_semicolon,
    STATE(6372), 1,
      sym_comment,
    STATE(7372), 1,
      sym_import_attribute,
  [217239] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(10012), 1,
      sym_identifier,
    STATE(6373), 1,
      sym_comment,
    STATE(6471), 1,
      sym_string,
  [217261] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10014), 1,
      anon_sym_RPAREN,
    STATE(6374), 1,
      sym_comment,
  [217283] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10016), 1,
      anon_sym_DQUOTE,
    STATE(6375), 1,
      sym_comment,
    STATE(6377), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [217303] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10016), 1,
      anon_sym_SQUOTE,
    STATE(6376), 1,
      sym_comment,
    STATE(6378), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [217323] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10018), 1,
      anon_sym_DQUOTE,
    STATE(6377), 1,
      sym_comment,
    STATE(6544), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [217343] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10018), 1,
      anon_sym_SQUOTE,
    STATE(6378), 1,
      sym_comment,
    STATE(6546), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [217363] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9975), 1,
      anon_sym_COMMA,
    STATE(6379), 1,
      sym_comment,
    STATE(6575), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(10020), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [217383] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10022), 1,
      anon_sym_RPAREN,
    STATE(6380), 1,
      sym_comment,
  [217405] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8017), 1,
      anon_sym_EQ,
    STATE(6381), 1,
      sym_comment,
    STATE(7997), 1,
      sym_default_type,
    ACTIONS(10024), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [217425] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6382), 1,
      sym_comment,
    STATE(6387), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10026), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217445] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7833), 1,
      anon_sym_LPAREN,
    ACTIONS(7839), 1,
      anon_sym_LT,
    STATE(4886), 1,
      sym_arguments,
    STATE(5105), 1,
      sym_type_arguments,
    STATE(6383), 1,
      sym_comment,
  [217467] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10028), 1,
      anon_sym_RBRACK,
    STATE(6384), 1,
      sym_comment,
  [217489] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10030), 1,
      anon_sym_QMARK,
    STATE(6385), 1,
      sym_comment,
  [217511] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10032), 1,
      anon_sym_RBRACK,
    STATE(6386), 1,
      sym_comment,
  [217533] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6387), 1,
      sym_comment,
    STATE(6529), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10034), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217553] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10036), 1,
      anon_sym_EQ,
    STATE(6388), 1,
      sym_comment,
    STATE(7726), 1,
      sym__initializer,
    ACTIONS(8164), 2,
      anon_sym_in,
      anon_sym_of,
  [217573] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8629), 1,
      anon_sym_DOT,
    ACTIONS(10038), 1,
      anon_sym_COMMA,
    ACTIONS(10040), 1,
      anon_sym_GT,
    STATE(6389), 1,
      sym_comment,
    STATE(7307), 1,
      aux_sym_type_arguments_repeat1,
  [217595] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8635), 1,
      anon_sym_EQ,
    STATE(6390), 1,
      sym_comment,
    STATE(7784), 1,
      sym__initializer,
    ACTIONS(10042), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [217615] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    ACTIONS(10044), 1,
      anon_sym_SEMI,
    ACTIONS(10046), 1,
      sym__automatic_semicolon,
    STATE(6391), 1,
      sym_comment,
    STATE(7702), 1,
      sym_import_attribute,
  [217637] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6392), 1,
      sym_comment,
    STATE(7477), 1,
      sym__from_clause,
    ACTIONS(10048), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217657] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(6393), 1,
      sym_comment,
    STATE(8000), 1,
      sym_type_parameters,
    STATE(8339), 1,
      sym_formal_parameters,
  [217679] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6360), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(6394), 1,
      sym_comment,
    ACTIONS(10050), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217699] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(5441), 1,
      sym_formal_parameters,
    STATE(6395), 1,
      sym_comment,
    STATE(7505), 1,
      sym_type_parameters,
  [217721] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6396), 1,
      sym_comment,
    STATE(7481), 1,
      sym_import_attribute,
    ACTIONS(10052), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217741] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6397), 1,
      sym_comment,
    STATE(7943), 1,
      sym_import_attribute,
    ACTIONS(10054), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217761] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6398), 1,
      sym_comment,
    STATE(8039), 1,
      sym_import_attribute,
    ACTIONS(10056), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217781] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6399), 1,
      sym_comment,
    STATE(8043), 1,
      sym_import_attribute,
    ACTIONS(10058), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217801] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6400), 1,
      sym_comment,
    STATE(6407), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10060), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217821] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6401), 1,
      sym_comment,
    STATE(7502), 1,
      sym__from_clause,
    ACTIONS(6639), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217841] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6402), 1,
      sym_comment,
    STATE(7510), 1,
      sym_import_attribute,
    ACTIONS(10062), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217861] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6403), 1,
      sym_comment,
    STATE(7511), 1,
      sym_import_attribute,
    ACTIONS(10064), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217881] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6404), 1,
      sym_comment,
    STATE(8149), 1,
      sym__from_clause,
    ACTIONS(6657), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217901] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    ACTIONS(10066), 1,
      anon_sym_SEMI,
    ACTIONS(10068), 1,
      sym__automatic_semicolon,
    STATE(6405), 1,
      sym_comment,
    STATE(7514), 1,
      sym_import_attribute,
  [217923] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6406), 1,
      sym_comment,
    STATE(8046), 1,
      sym__from_clause,
    ACTIONS(10070), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217943] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6407), 1,
      sym_comment,
    STATE(6529), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10072), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217963] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6408), 1,
      sym_comment,
    STATE(8128), 1,
      sym_import_attribute,
    ACTIONS(10074), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [217983] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6409), 1,
      sym_comment,
    STATE(8124), 1,
      sym_import_attribute,
    ACTIONS(10076), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [218003] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    ACTIONS(10078), 1,
      anon_sym_SEMI,
    ACTIONS(10080), 1,
      sym__automatic_semicolon,
    STATE(6410), 1,
      sym_comment,
    STATE(8081), 1,
      sym_import_attribute,
  [218025] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10082), 1,
      anon_sym_COLON,
    STATE(6411), 1,
      sym_comment,
  [218047] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    ACTIONS(10084), 1,
      anon_sym_SEMI,
    ACTIONS(10086), 1,
      sym__automatic_semicolon,
    STATE(6412), 1,
      sym_comment,
    STATE(7534), 1,
      sym_import_attribute,
  [218069] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6413), 1,
      sym_comment,
    STATE(6529), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10088), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [218089] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6414), 1,
      sym_comment,
    STATE(6586), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10090), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [218109] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10092), 1,
      anon_sym_DQUOTE,
    STATE(6415), 1,
      sym_comment,
    STATE(6418), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [218129] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10092), 1,
      anon_sym_SQUOTE,
    STATE(6416), 1,
      sym_comment,
    STATE(6419), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [218149] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8629), 1,
      anon_sym_DOT,
    ACTIONS(10094), 1,
      anon_sym_COMMA,
    ACTIONS(10096), 1,
      anon_sym_GT,
    STATE(6417), 1,
      sym_comment,
    STATE(7021), 1,
      aux_sym_type_arguments_repeat1,
  [218171] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10098), 1,
      anon_sym_DQUOTE,
    STATE(6418), 1,
      sym_comment,
    STATE(6544), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [218191] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10098), 1,
      anon_sym_SQUOTE,
    STATE(6419), 1,
      sym_comment,
    STATE(6546), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [218211] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6420), 1,
      sym_comment,
    STATE(6421), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10100), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [218231] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6421), 1,
      sym_comment,
    STATE(6529), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10102), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [218251] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6422), 1,
      sym_comment,
    ACTIONS(10104), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(10106), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [218269] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10108), 1,
      anon_sym_LPAREN,
    STATE(6423), 1,
      sym_comment,
    STATE(8152), 1,
      sym_ui_signal_parameters,
    ACTIONS(10110), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [218289] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6424), 1,
      sym_comment,
    STATE(7599), 1,
      sym__from_clause,
    ACTIONS(10112), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [218309] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6425), 1,
      sym_comment,
    STATE(6430), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10114), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [218329] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10116), 1,
      anon_sym_SQUOTE,
    STATE(6346), 1,
      aux_sym_string_repeat2,
    STATE(6426), 1,
      sym_comment,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [218349] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6427), 1,
      sym_comment,
    STATE(7613), 1,
      sym__from_clause,
    ACTIONS(6655), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [218369] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10118), 1,
      anon_sym_QMARK,
    STATE(6428), 1,
      sym_comment,
  [218391] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10116), 1,
      anon_sym_DQUOTE,
    STATE(6343), 1,
      aux_sym_string_repeat1,
    STATE(6429), 1,
      sym_comment,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [218411] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6430), 1,
      sym_comment,
    STATE(6529), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10120), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [218431] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10122), 1,
      anon_sym_DQUOTE,
    STATE(6431), 1,
      sym_comment,
    STATE(6455), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [218451] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10124), 1,
      sym_identifier,
    ACTIONS(10126), 1,
      anon_sym_const,
    ACTIONS(10128), 1,
      anon_sym_GT,
    STATE(6432), 1,
      sym_comment,
    STATE(8132), 1,
      sym_type_parameter,
  [218473] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10130), 1,
      anon_sym_DQUOTE,
    STATE(6433), 1,
      sym_comment,
    STATE(6436), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [218493] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8635), 1,
      anon_sym_EQ,
    STATE(6434), 1,
      sym_comment,
    STATE(7986), 1,
      sym__initializer,
    ACTIONS(10132), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [218513] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10130), 1,
      anon_sym_SQUOTE,
    STATE(6435), 1,
      sym_comment,
    STATE(6437), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [218533] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10134), 1,
      anon_sym_DQUOTE,
    STATE(6436), 1,
      sym_comment,
    STATE(6544), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [218553] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10134), 1,
      anon_sym_SQUOTE,
    STATE(6437), 1,
      sym_comment,
    STATE(6546), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [218573] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6438), 1,
      sym_comment,
    STATE(6440), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10136), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [218593] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6439), 1,
      sym_comment,
    STATE(6529), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10138), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [218613] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6440), 1,
      sym_comment,
    STATE(6529), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10140), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [218633] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6441), 1,
      sym_comment,
    ACTIONS(10142), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [218649] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6439), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(6442), 1,
      sym_comment,
    ACTIONS(10144), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [218669] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10146), 1,
      anon_sym_SQUOTE,
    STATE(6443), 1,
      sym_comment,
    STATE(6546), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [218689] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10146), 1,
      anon_sym_DQUOTE,
    STATE(6444), 1,
      sym_comment,
    STATE(6544), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [218709] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10148), 1,
      anon_sym_SQUOTE,
    STATE(6443), 1,
      aux_sym_string_repeat2,
    STATE(6445), 1,
      sym_comment,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [218729] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10122), 1,
      anon_sym_SQUOTE,
    STATE(6446), 1,
      sym_comment,
    STATE(6461), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [218749] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10148), 1,
      anon_sym_DQUOTE,
    STATE(6444), 1,
      aux_sym_string_repeat1,
    STATE(6447), 1,
      sym_comment,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [218769] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6448), 1,
      sym_comment,
    STATE(6453), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10150), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [218789] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10152), 1,
      anon_sym_RBRACK,
    STATE(6449), 1,
      sym_comment,
  [218811] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10154), 1,
      anon_sym_EQ_GT,
    STATE(6450), 1,
      sym_comment,
    ACTIONS(5208), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [218829] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10156), 1,
      anon_sym_EQ_GT,
    STATE(6451), 1,
      sym_comment,
    ACTIONS(5208), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [218847] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    ACTIONS(10158), 1,
      anon_sym_SEMI,
    ACTIONS(10160), 1,
      sym__automatic_semicolon,
    STATE(6452), 1,
      sym_comment,
    STATE(7573), 1,
      sym_import_attribute,
  [218869] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6453), 1,
      sym_comment,
    STATE(6529), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10162), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [218889] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10164), 1,
      anon_sym_LBRACE,
    ACTIONS(10166), 1,
      anon_sym_COMMA,
    ACTIONS(10169), 1,
      anon_sym_LBRACE_PIPE,
    STATE(6454), 2,
      sym_comment,
      aux_sym_extends_type_clause_repeat1,
  [218909] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10171), 1,
      anon_sym_DQUOTE,
    STATE(6455), 1,
      sym_comment,
    STATE(6544), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [218929] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10173), 1,
      anon_sym_DQUOTE,
    STATE(6456), 1,
      sym_comment,
    STATE(6458), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [218949] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10173), 1,
      anon_sym_SQUOTE,
    STATE(6457), 1,
      sym_comment,
    STATE(6459), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [218969] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10175), 1,
      anon_sym_DQUOTE,
    STATE(6458), 1,
      sym_comment,
    STATE(6544), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [218989] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10175), 1,
      anon_sym_SQUOTE,
    STATE(6459), 1,
      sym_comment,
    STATE(6546), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [219009] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    ACTIONS(10177), 1,
      anon_sym_SEMI,
    ACTIONS(10179), 1,
      sym__automatic_semicolon,
    STATE(6460), 1,
      sym_comment,
    STATE(7850), 1,
      sym_import_attribute,
  [219031] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10171), 1,
      anon_sym_SQUOTE,
    STATE(6461), 1,
      sym_comment,
    STATE(6546), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [219051] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6462), 1,
      sym_comment,
    STATE(6466), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10181), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [219071] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10124), 1,
      sym_identifier,
    ACTIONS(10126), 1,
      anon_sym_const,
    ACTIONS(10183), 1,
      anon_sym_GT,
    STATE(6463), 1,
      sym_comment,
    STATE(8132), 1,
      sym_type_parameter,
  [219093] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10185), 1,
      anon_sym_RBRACK,
    STATE(6464), 1,
      sym_comment,
  [219115] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10187), 1,
      anon_sym_COLON,
    STATE(6465), 1,
      sym_comment,
  [219137] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6466), 1,
      sym_comment,
    STATE(6529), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10189), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [219157] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8017), 1,
      anon_sym_EQ,
    STATE(6467), 1,
      sym_comment,
    STATE(7587), 1,
      sym_default_type,
    ACTIONS(10191), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [219177] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6468), 1,
      sym_comment,
    STATE(6559), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10193), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [219197] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6469), 1,
      sym_comment,
    STATE(7849), 1,
      sym_import_attribute,
    ACTIONS(10195), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [219217] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10197), 1,
      anon_sym_DQUOTE,
    STATE(6470), 1,
      sym_comment,
    STATE(6473), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [219237] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10199), 1,
      anon_sym_COMMA,
    STATE(6471), 1,
      sym_comment,
    STATE(6572), 1,
      aux_sym_ui_pragma_repeat1,
    ACTIONS(10201), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [219257] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10197), 1,
      anon_sym_SQUOTE,
    STATE(6472), 1,
      sym_comment,
    STATE(6474), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [219277] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10203), 1,
      anon_sym_DQUOTE,
    STATE(6473), 1,
      sym_comment,
    STATE(6544), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [219297] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10203), 1,
      anon_sym_SQUOTE,
    STATE(6474), 1,
      sym_comment,
    STATE(6546), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [219317] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10205), 1,
      anon_sym_DQUOTE,
    STATE(6475), 1,
      sym_comment,
    STATE(6477), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [219337] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10205), 1,
      anon_sym_SQUOTE,
    STATE(6476), 1,
      sym_comment,
    STATE(6478), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [219357] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10207), 1,
      anon_sym_DQUOTE,
    STATE(6477), 1,
      sym_comment,
    STATE(6544), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [219377] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10207), 1,
      anon_sym_SQUOTE,
    STATE(6478), 1,
      sym_comment,
    STATE(6546), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [219397] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10209), 1,
      sym_identifier,
    STATE(6014), 1,
      sym_nested_type_identifier,
    STATE(6479), 1,
      sym_comment,
    STATE(7243), 1,
      sym_generic_type,
    STATE(8430), 1,
      sym_nested_identifier,
  [219419] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    ACTIONS(10211), 1,
      anon_sym_SEMI,
    ACTIONS(10213), 1,
      sym__automatic_semicolon,
    STATE(6480), 1,
      sym_comment,
    STATE(8026), 1,
      sym_import_attribute,
  [219441] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8671), 1,
      anon_sym_COMMA,
    ACTIONS(10215), 1,
      anon_sym_LBRACE,
    ACTIONS(10217), 1,
      anon_sym_LBRACE_PIPE,
    STATE(6454), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(6481), 1,
      sym_comment,
  [219463] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10219), 1,
      anon_sym_DQUOTE,
    STATE(6482), 1,
      sym_comment,
    STATE(6484), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [219483] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10219), 1,
      anon_sym_SQUOTE,
    STATE(6483), 1,
      sym_comment,
    STATE(6486), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [219503] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10221), 1,
      anon_sym_DQUOTE,
    STATE(6484), 1,
      sym_comment,
    STATE(6544), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [219523] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10223), 1,
      anon_sym_RBRACK,
    STATE(6485), 1,
      sym_comment,
  [219545] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10221), 1,
      anon_sym_SQUOTE,
    STATE(6486), 1,
      sym_comment,
    STATE(6546), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [219565] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8671), 1,
      anon_sym_COMMA,
    ACTIONS(10225), 1,
      anon_sym_LBRACE,
    ACTIONS(10227), 1,
      anon_sym_LBRACE_PIPE,
    STATE(6454), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(6487), 1,
      sym_comment,
  [219587] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6488), 1,
      sym_comment,
    STATE(7644), 1,
      sym__from_clause,
    ACTIONS(10229), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [219607] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10231), 1,
      anon_sym_DQUOTE,
    STATE(6489), 1,
      sym_comment,
    STATE(6491), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [219627] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10231), 1,
      anon_sym_SQUOTE,
    STATE(6490), 1,
      sym_comment,
    STATE(6493), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [219647] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10233), 1,
      anon_sym_DQUOTE,
    STATE(6491), 1,
      sym_comment,
    STATE(6544), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [219667] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10235), 1,
      anon_sym_STAR,
    ACTIONS(10237), 1,
      anon_sym_LBRACE,
    STATE(6492), 1,
      sym_comment,
    STATE(8509), 2,
      sym_namespace_import,
      sym_named_imports,
  [219687] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10233), 1,
      anon_sym_SQUOTE,
    STATE(6493), 1,
      sym_comment,
    STATE(6546), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [219707] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10239), 1,
      anon_sym_DQUOTE,
    STATE(6313), 1,
      aux_sym_string_repeat1,
    STATE(6494), 1,
      sym_comment,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [219727] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10239), 1,
      anon_sym_SQUOTE,
    STATE(6495), 1,
      sym_comment,
    STATE(6498), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [219747] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10241), 1,
      sym_escape_sequence,
    STATE(6496), 1,
      sym_comment,
    ACTIONS(10243), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [219765] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10246), 1,
      anon_sym_RBRACK,
    STATE(6497), 1,
      sym_comment,
  [219787] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9895), 1,
      anon_sym_SQUOTE,
    STATE(6498), 1,
      sym_comment,
    STATE(6546), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [219807] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6499), 1,
      sym_comment,
    STATE(6529), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10248), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [219827] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10250), 1,
      anon_sym_DQUOTE,
    STATE(6500), 1,
      sym_comment,
    STATE(6513), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [219847] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    ACTIONS(10252), 1,
      anon_sym_SEMI,
    ACTIONS(10254), 1,
      sym__automatic_semicolon,
    STATE(6501), 1,
      sym_comment,
    STATE(7671), 1,
      sym_import_attribute,
  [219869] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6502), 1,
      sym_comment,
    STATE(6529), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(10256), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [219889] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    ACTIONS(10258), 1,
      anon_sym_SEMI,
    ACTIONS(10260), 1,
      sym__automatic_semicolon,
    STATE(6503), 1,
      sym_comment,
    STATE(7938), 1,
      sym_import_attribute,
  [219911] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6504), 1,
      sym_comment,
    STATE(7935), 1,
      sym_import_attribute,
    ACTIONS(10262), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [219931] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10264), 1,
      anon_sym_RBRACK,
    STATE(6505), 1,
      sym_comment,
  [219953] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6506), 1,
      sym_comment,
    STATE(7933), 1,
      sym_import_attribute,
    ACTIONS(10266), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [219973] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10268), 1,
      anon_sym_RBRACK,
    STATE(6507), 1,
      sym_comment,
  [219995] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6508), 1,
      sym_comment,
    STATE(7913), 1,
      sym__from_clause,
    ACTIONS(6645), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [220015] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6509), 1,
      sym_comment,
    STATE(7362), 1,
      sym_import_attribute,
    ACTIONS(10270), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [220035] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6510), 1,
      sym_comment,
    STATE(7610), 1,
      sym_import_attribute,
    ACTIONS(10272), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [220055] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10250), 1,
      anon_sym_SQUOTE,
    STATE(6511), 1,
      sym_comment,
    STATE(6514), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [220075] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10274), 1,
      anon_sym_COMMA,
    ACTIONS(6003), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(6512), 2,
      sym_comment,
      aux_sym_sequence_expression_repeat1,
  [220093] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10277), 1,
      anon_sym_DQUOTE,
    STATE(6513), 1,
      sym_comment,
    STATE(6544), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [220113] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10277), 1,
      anon_sym_SQUOTE,
    STATE(6514), 1,
      sym_comment,
    STATE(6546), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [220133] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10279), 1,
      anon_sym_COLON,
    STATE(6515), 1,
      sym_comment,
  [220155] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(6516), 1,
      sym_comment,
    STATE(7731), 1,
      sym_statement_block,
    ACTIONS(2303), 2,
      anon_sym_else,
      anon_sym_while,
  [220175] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6517), 1,
      sym_comment,
    STATE(7686), 1,
      sym__from_clause,
    ACTIONS(6663), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [220195] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10281), 1,
      anon_sym_RPAREN,
    STATE(6518), 1,
      sym_comment,
  [220217] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8671), 1,
      anon_sym_COMMA,
    ACTIONS(10225), 1,
      anon_sym_LBRACE,
    ACTIONS(10227), 1,
      anon_sym_LBRACE_PIPE,
    STATE(6454), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(6519), 1,
      sym_comment,
  [220239] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10283), 1,
      anon_sym_DQUOTE,
    STATE(6520), 1,
      sym_comment,
    STATE(6523), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [220259] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(10285), 1,
      anon_sym_LT,
    STATE(2823), 1,
      sym_arguments,
    STATE(2824), 1,
      sym_type_arguments,
    STATE(6521), 1,
      sym_comment,
  [220281] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10283), 1,
      anon_sym_SQUOTE,
    STATE(6522), 1,
      sym_comment,
    STATE(6525), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [220301] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10287), 1,
      anon_sym_DQUOTE,
    STATE(6523), 1,
      sym_comment,
    STATE(6544), 1,
      aux_sym_string_repeat1,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [220321] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10289), 1,
      anon_sym_COLON,
    STATE(6524), 1,
      sym_comment,
  [220343] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10287), 1,
      anon_sym_SQUOTE,
    STATE(6525), 1,
      sym_comment,
    STATE(6546), 1,
      aux_sym_string_repeat2,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [220363] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    ACTIONS(10291), 1,
      anon_sym_SEMI,
    ACTIONS(10293), 1,
      sym__automatic_semicolon,
    STATE(6526), 1,
      sym_comment,
    STATE(7804), 1,
      sym_import_attribute,
  [220385] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10295), 1,
      anon_sym_COMMA,
    ACTIONS(10298), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(6527), 2,
      sym_comment,
      aux_sym_ui_pragma_repeat1,
  [220403] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10300), 1,
      anon_sym_EQ,
    ACTIONS(10302), 1,
      anon_sym_COMMA,
    ACTIONS(10304), 1,
      anon_sym_RBRACE,
    STATE(6528), 1,
      sym_comment,
    STATE(6623), 1,
      aux_sym__qml_enum_body_repeat1,
  [220425] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10306), 1,
      anon_sym_COMMA,
    ACTIONS(10309), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(6529), 2,
      sym_comment,
      aux_sym_variable_declaration_repeat1,
  [220443] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(10311), 1,
      anon_sym_class,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(6530), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [220465] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10313), 1,
      sym__glimmer_template_content,
    ACTIONS(10315), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(3017), 1,
      sym_glimmer_closing_tag,
    STATE(6531), 1,
      sym_comment,
    STATE(6574), 1,
      aux_sym_glimmer_template_repeat1,
  [220487] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(6532), 1,
      sym_comment,
    STATE(7937), 1,
      sym_type_parameters,
    STATE(8392), 1,
      sym_formal_parameters,
  [220509] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5208), 1,
      anon_sym_COLON,
    ACTIONS(7883), 1,
      anon_sym_EQ,
    STATE(6533), 1,
      sym_comment,
    ACTIONS(10317), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [220529] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(6534), 1,
      sym_comment,
    STATE(7979), 1,
      sym_type_parameters,
    STATE(8371), 1,
      sym_formal_parameters,
  [220551] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6502), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(6535), 1,
      sym_comment,
    ACTIONS(10319), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [220571] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6536), 1,
      sym_comment,
    STATE(7803), 1,
      sym_import_attribute,
    ACTIONS(10321), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [220591] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10313), 1,
      sym__glimmer_template_content,
    ACTIONS(10323), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(3589), 1,
      sym_glimmer_closing_tag,
    STATE(6537), 1,
      sym_comment,
    STATE(6732), 1,
      aux_sym_glimmer_template_repeat1,
  [220613] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6538), 1,
      sym_comment,
    STATE(7802), 1,
      sym_import_attribute,
    ACTIONS(10325), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [220633] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6539), 1,
      sym_comment,
    STATE(7792), 1,
      sym__from_clause,
    ACTIONS(10327), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [220653] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6085), 1,
      anon_sym_COMMA,
    STATE(6512), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(6540), 1,
      sym_comment,
    ACTIONS(9329), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [220673] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6541), 1,
      sym_comment,
    STATE(7807), 1,
      sym_import_attribute,
    ACTIONS(10329), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [220693] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6542), 1,
      sym_comment,
    STATE(7820), 1,
      sym_import_attribute,
    ACTIONS(10331), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [220713] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10124), 1,
      sym_identifier,
    ACTIONS(10126), 1,
      anon_sym_const,
    ACTIONS(10333), 1,
      anon_sym_GT,
    STATE(6543), 1,
      sym_comment,
    STATE(8132), 1,
      sym_type_parameter,
  [220735] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10335), 1,
      anon_sym_DQUOTE,
    ACTIONS(10337), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
    STATE(6544), 2,
      sym_comment,
      aux_sym_string_repeat1,
  [220753] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    ACTIONS(6131), 1,
      anon_sym_BQUOTE,
    STATE(6545), 1,
      sym_comment,
    STATE(3704), 2,
      sym_template_string,
      sym_arguments,
  [220773] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10340), 1,
      anon_sym_SQUOTE,
    ACTIONS(10342), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
    STATE(6546), 2,
      sym_comment,
      aux_sym_string_repeat2,
  [220791] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6547), 1,
      sym_comment,
    ACTIONS(8679), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [220807] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10345), 1,
      anon_sym_RPAREN,
    STATE(6548), 1,
      sym_comment,
  [220829] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(6549), 1,
      sym_comment,
    STATE(7995), 1,
      sym_type_parameters,
    STATE(8288), 1,
      sym_formal_parameters,
  [220851] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6550), 1,
      sym_comment,
    ACTIONS(10241), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [220867] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8629), 1,
      anon_sym_DOT,
    ACTIONS(10347), 1,
      anon_sym_COMMA,
    ACTIONS(10349), 1,
      anon_sym_GT,
    STATE(6551), 1,
      sym_comment,
    STATE(6735), 1,
      aux_sym_type_arguments_repeat1,
  [220889] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(6552), 1,
      sym_comment,
    STATE(7963), 1,
      sym_type_parameters,
    STATE(8572), 1,
      sym_formal_parameters,
  [220911] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9453), 1,
      anon_sym_RBRACE,
    STATE(6553), 1,
      sym_comment,
    ACTIONS(5703), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [220929] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4553), 1,
      anon_sym_LPAREN,
    ACTIONS(7747), 1,
      anon_sym_LT,
    STATE(4797), 1,
      sym_arguments,
    STATE(4915), 1,
      sym_type_arguments,
    STATE(6554), 1,
      sym_comment,
  [220951] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10351), 1,
      anon_sym_RBRACK,
    STATE(6555), 1,
      sym_comment,
  [220973] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6556), 1,
      sym_comment,
    ACTIONS(2412), 4,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_DOT,
  [220989] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10353), 1,
      anon_sym_EQ,
    ACTIONS(10355), 1,
      anon_sym_COMMA,
    ACTIONS(10357), 1,
      anon_sym_RBRACK,
    STATE(6557), 1,
      sym_comment,
    STATE(7036), 1,
      aux_sym_array_pattern_repeat1,
  [221011] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8629), 1,
      anon_sym_DOT,
    ACTIONS(10359), 1,
      anon_sym_COMMA,
    ACTIONS(10361), 1,
      anon_sym_GT,
    STATE(6558), 1,
      sym_comment,
    STATE(6953), 1,
      aux_sym_type_arguments_repeat1,
  [221033] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6529), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(6559), 1,
      sym_comment,
    ACTIONS(10363), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [221053] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6560), 1,
      sym_comment,
    ACTIONS(2372), 4,
      anon_sym_LBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_DOT,
  [221069] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(6561), 1,
      sym_comment,
    STATE(8053), 1,
      sym_type_parameters,
    STATE(8323), 1,
      sym_formal_parameters,
  [221091] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6499), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(6562), 1,
      sym_comment,
    ACTIONS(10365), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [221111] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6563), 1,
      sym_comment,
    STATE(7775), 1,
      sym_import_attribute,
    ACTIONS(10367), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [221131] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9923), 1,
      anon_sym_with,
    STATE(6564), 1,
      sym_comment,
    STATE(7776), 1,
      sym_import_attribute,
    ACTIONS(10369), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [221151] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6565), 1,
      sym_comment,
    STATE(7778), 1,
      sym__from_clause,
    ACTIONS(10371), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [221171] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6566), 1,
      sym_comment,
    ACTIONS(10373), 4,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [221187] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2524), 1,
      anon_sym_DQUOTE,
    ACTIONS(2526), 1,
      anon_sym_SQUOTE,
    ACTIONS(10375), 1,
      sym_identifier,
    STATE(6567), 1,
      sym_comment,
    STATE(7182), 1,
      sym_string,
  [221209] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(6568), 1,
      sym_comment,
    STATE(8109), 1,
      sym_type_parameters,
    STATE(8417), 1,
      sym_formal_parameters,
  [221231] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(6569), 1,
      sym_comment,
    STATE(8122), 1,
      sym_type_parameters,
    STATE(8290), 1,
      sym_formal_parameters,
  [221253] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9383), 1,
      sym_identifier,
    STATE(6570), 1,
      sym_comment,
    STATE(8098), 1,
      sym_ui_signal_parameter,
    STATE(8216), 1,
      sym_nested_identifier,
    STATE(8474), 1,
      sym_nested_type_identifier,
  [221275] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10377), 1,
      anon_sym_QMARK,
    STATE(6571), 1,
      sym_comment,
  [221297] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10199), 1,
      anon_sym_COMMA,
    ACTIONS(10379), 1,
      anon_sym_SEMI,
    ACTIONS(10381), 1,
      sym__automatic_semicolon,
    STATE(6527), 1,
      aux_sym_ui_pragma_repeat1,
    STATE(6572), 1,
      sym_comment,
  [221319] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    ACTIONS(5557), 1,
      anon_sym_BQUOTE,
    STATE(6573), 1,
      sym_comment,
    STATE(3148), 2,
      sym_template_string,
      sym_arguments,
  [221339] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10313), 1,
      sym__glimmer_template_content,
    ACTIONS(10315), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(3109), 1,
      sym_glimmer_closing_tag,
    STATE(6574), 1,
      sym_comment,
    STATE(6732), 1,
      aux_sym_glimmer_template_repeat1,
  [221361] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10385), 1,
      anon_sym_COMMA,
    ACTIONS(10383), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    STATE(6575), 2,
      sym_comment,
      aux_sym_extends_clause_repeat1,
  [221379] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10388), 1,
      anon_sym_RBRACK,
    STATE(6576), 1,
      sym_comment,
  [221401] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6529), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(6577), 1,
      sym_comment,
    ACTIONS(10390), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [221421] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8629), 1,
      anon_sym_DOT,
    ACTIONS(10392), 1,
      anon_sym_COMMA,
    ACTIONS(10394), 1,
      anon_sym_GT,
    STATE(6578), 1,
      sym_comment,
    STATE(7126), 1,
      aux_sym_type_arguments_repeat1,
  [221443] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(6579), 1,
      sym_comment,
    STATE(8136), 1,
      sym_type_parameters,
    STATE(8231), 1,
      sym_formal_parameters,
  [221465] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10396), 1,
      anon_sym_DQUOTE,
    STATE(6544), 1,
      aux_sym_string_repeat1,
    STATE(6580), 1,
      sym_comment,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [221485] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6577), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(6581), 1,
      sym_comment,
    ACTIONS(10398), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [221505] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10124), 1,
      sym_identifier,
    ACTIONS(10126), 1,
      anon_sym_const,
    ACTIONS(10400), 1,
      anon_sym_GT,
    STATE(6582), 1,
      sym_comment,
    STATE(8132), 1,
      sym_type_parameter,
  [221527] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10396), 1,
      anon_sym_SQUOTE,
    STATE(6546), 1,
      aux_sym_string_repeat2,
    STATE(6583), 1,
      sym_comment,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [221547] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6584), 1,
      sym_comment,
    STATE(7901), 1,
      sym__from_clause,
    ACTIONS(6203), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [221567] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6585), 1,
      sym_comment,
    ACTIONS(10402), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [221583] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9917), 1,
      anon_sym_COMMA,
    STATE(6529), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(6586), 1,
      sym_comment,
    ACTIONS(10404), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [221603] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10353), 1,
      anon_sym_EQ,
    ACTIONS(10355), 1,
      anon_sym_COMMA,
    ACTIONS(10406), 1,
      anon_sym_RBRACK,
    STATE(6587), 1,
      sym_comment,
    STATE(7151), 1,
      aux_sym_array_pattern_repeat1,
  [221625] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(2989), 1,
      anon_sym_AT,
    ACTIONS(10408), 1,
      anon_sym_class,
    STATE(5701), 1,
      aux_sym_export_statement_repeat1,
    STATE(6588), 1,
      sym_comment,
    STATE(6589), 1,
      sym_decorator,
  [221647] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6589), 1,
      sym_comment,
    ACTIONS(10410), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [221663] = 7,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10313), 1,
      sym__glimmer_template_content,
    ACTIONS(10323), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(3761), 1,
      sym_glimmer_closing_tag,
    STATE(6537), 1,
      aux_sym_glimmer_template_repeat1,
    STATE(6590), 1,
      sym_comment,
  [221685] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    ACTIONS(7865), 1,
      anon_sym_LT,
    STATE(6591), 1,
      sym_comment,
    STATE(8131), 1,
      sym_type_parameters,
    STATE(8522), 1,
      sym_formal_parameters,
  [221707] = 7,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    ACTIONS(10412), 1,
      anon_sym_RBRACK,
    STATE(6592), 1,
      sym_comment,
  [221729] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10414), 1,
      anon_sym_DQUOTE,
    STATE(6580), 1,
      aux_sym_string_repeat1,
    STATE(6593), 1,
      sym_comment,
    ACTIONS(9897), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [221749] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10414), 1,
      anon_sym_SQUOTE,
    STATE(6583), 1,
      aux_sym_string_repeat2,
    STATE(6594), 1,
      sym_comment,
    ACTIONS(9901), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [221769] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10416), 1,
      sym_identifier,
    ACTIONS(10418), 1,
      anon_sym_require,
    STATE(6595), 1,
      sym_comment,
    STATE(7251), 1,
      sym_nested_identifier,
  [221788] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6596), 1,
      sym_comment,
    ACTIONS(10420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [221803] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9393), 1,
      anon_sym_LBRACE,
    ACTIONS(10422), 1,
      anon_sym_COMMA,
    STATE(6597), 2,
      sym_comment,
      aux_sym_implements_clause_repeat1,
  [221820] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6598), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [221835] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6599), 1,
      sym_comment,
    ACTIONS(10427), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [221850] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10429), 1,
      anon_sym_DQUOTE,
    ACTIONS(10431), 1,
      anon_sym_SQUOTE,
    STATE(6600), 1,
      sym_comment,
    STATE(6796), 1,
      sym_string,
  [221869] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4773), 1,
      anon_sym_LBRACE,
    ACTIONS(8462), 1,
      anon_sym_DOT,
    STATE(6601), 1,
      sym_comment,
    STATE(6642), 1,
      sym_ui_object_initializer,
  [221888] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6602), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [221903] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6603), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [221918] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6604), 1,
      sym_comment,
    ACTIONS(10435), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [221933] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6605), 1,
      sym_comment,
    ACTIONS(10437), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [221948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6606), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [221963] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6607), 1,
      sym_comment,
    ACTIONS(10439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [221978] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6608), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [221993] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4773), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      anon_sym_DOT,
    STATE(6609), 1,
      sym_comment,
    STATE(6664), 1,
      sym_ui_object_initializer,
  [222012] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6610), 1,
      sym_comment,
    ACTIONS(10443), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222027] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6611), 1,
      sym_comment,
    ACTIONS(10445), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222042] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6612), 1,
      sym_comment,
    ACTIONS(10447), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222057] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6613), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222072] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6614), 1,
      sym_comment,
    ACTIONS(10449), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222087] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10302), 1,
      anon_sym_COMMA,
    ACTIONS(10451), 1,
      anon_sym_RBRACE,
    STATE(6615), 1,
      sym_comment,
    STATE(6835), 1,
      aux_sym__qml_enum_body_repeat1,
  [222106] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6616), 1,
      sym_comment,
    ACTIONS(10447), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222121] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6617), 1,
      sym_comment,
    ACTIONS(10435), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222136] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6618), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222151] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6619), 1,
      sym_comment,
    ACTIONS(10437), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222166] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6620), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222181] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6621), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222196] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6622), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222211] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10302), 1,
      anon_sym_COMMA,
    ACTIONS(10455), 1,
      anon_sym_RBRACE,
    STATE(6623), 1,
      sym_comment,
    STATE(6835), 1,
      aux_sym__qml_enum_body_repeat1,
  [222230] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6624), 1,
      sym_comment,
    ACTIONS(10420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222245] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6625), 1,
      sym_comment,
    ACTIONS(10457), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6626), 1,
      sym_comment,
    ACTIONS(10459), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222275] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6627), 1,
      sym_comment,
    ACTIONS(10461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222290] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(10463), 1,
      anon_sym_EQ,
    STATE(6628), 1,
      sym_comment,
    STATE(8717), 1,
      sym_type_parameters,
  [222309] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10465), 1,
      anon_sym_DASH,
    ACTIONS(10467), 1,
      sym_number,
    STATE(6629), 1,
      sym_comment,
    STATE(8055), 1,
      sym__qml_enum_negative_number,
  [222328] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10469), 1,
      anon_sym_COMMA,
    ACTIONS(10471), 1,
      anon_sym_RPAREN,
    STATE(6630), 1,
      sym_comment,
    STATE(6865), 1,
      aux_sym_ui_signal_parameters_repeat1,
  [222347] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6631), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222362] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10473), 1,
      sym_identifier,
    ACTIONS(10475), 1,
      anon_sym_SEMI,
    ACTIONS(10477), 1,
      sym__automatic_semicolon,
    STATE(6632), 1,
      sym_comment,
  [222381] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10479), 1,
      sym_identifier,
    ACTIONS(10481), 1,
      anon_sym_SEMI,
    ACTIONS(10483), 1,
      sym__automatic_semicolon,
    STATE(6633), 1,
      sym_comment,
  [222400] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6634), 1,
      sym_comment,
    ACTIONS(10457), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222415] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6635), 1,
      sym_comment,
    ACTIONS(10485), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222430] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10487), 1,
      anon_sym_EQ,
    STATE(6636), 1,
      sym_comment,
    ACTIONS(10489), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [222447] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(10491), 1,
      anon_sym_EQ,
    STATE(6637), 1,
      sym_comment,
    STATE(8699), 1,
      sym_type_parameters,
  [222466] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10493), 1,
      sym_identifier,
    STATE(6638), 1,
      sym_comment,
    STATE(8117), 1,
      sym_nested_type_identifier,
    STATE(8457), 1,
      sym_nested_identifier,
  [222485] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6639), 1,
      sym_comment,
    ACTIONS(10449), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222500] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6640), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222515] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6641), 1,
      sym_comment,
    ACTIONS(10457), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222530] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6642), 1,
      sym_comment,
    ACTIONS(10495), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [222545] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6643), 1,
      sym_comment,
    ACTIONS(10437), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222560] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6644), 1,
      sym_comment,
    ACTIONS(10439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222575] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6645), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222590] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6646), 1,
      sym_comment,
    ACTIONS(10439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222605] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10497), 1,
      anon_sym_EQ,
    STATE(6647), 1,
      sym_comment,
    ACTIONS(10489), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [222622] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6648), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222637] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(10499), 1,
      anon_sym_EQ,
    STATE(6649), 1,
      sym_comment,
    STATE(8679), 1,
      sym_type_parameters,
  [222656] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6650), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222671] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(10501), 1,
      anon_sym_RPAREN,
    STATE(6651), 1,
      sym_comment,
    STATE(8240), 1,
      sym_type_annotation,
  [222690] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6652), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222705] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6653), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222720] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6654), 1,
      sym_comment,
    ACTIONS(10503), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [222735] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6655), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222750] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10505), 1,
      anon_sym_EQ,
    STATE(6656), 1,
      sym_comment,
    ACTIONS(10489), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [222767] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6657), 1,
      sym_comment,
    ACTIONS(10507), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [222782] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(10509), 1,
      anon_sym_EQ,
    STATE(6658), 1,
      sym_comment,
    STATE(8655), 1,
      sym_type_parameters,
  [222801] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10511), 1,
      anon_sym_COMMA,
    ACTIONS(10513), 1,
      anon_sym_RBRACE,
    STATE(6659), 1,
      sym_comment,
    STATE(6774), 1,
      aux_sym_export_clause_repeat1,
  [222820] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10515), 1,
      anon_sym_as,
    STATE(6660), 1,
      sym_comment,
    ACTIONS(10517), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [222837] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10353), 1,
      anon_sym_EQ,
    STATE(6661), 1,
      sym_comment,
    ACTIONS(10519), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [222854] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10124), 1,
      sym_identifier,
    ACTIONS(10126), 1,
      anon_sym_const,
    STATE(6662), 1,
      sym_comment,
    STATE(8132), 1,
      sym_type_parameter,
  [222873] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6663), 1,
      sym_comment,
    ACTIONS(10521), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222888] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6664), 1,
      sym_comment,
    ACTIONS(10523), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [222903] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10525), 1,
      anon_sym_LBRACE,
    ACTIONS(10527), 1,
      anon_sym_DOT,
    STATE(4497), 1,
      sym_ui_object_initializer,
    STATE(6665), 1,
      sym_comment,
  [222922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6666), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222937] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6667), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222952] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6668), 1,
      sym_comment,
    ACTIONS(10437), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [222967] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10529), 1,
      anon_sym_EQ,
    STATE(6669), 1,
      sym_comment,
    ACTIONS(10489), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [222984] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(10531), 1,
      anon_sym_EQ,
    STATE(6670), 1,
      sym_comment,
    STATE(8630), 1,
      sym_type_parameters,
  [223003] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6671), 1,
      sym_comment,
    ACTIONS(8825), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [223018] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6672), 1,
      sym_comment,
    ACTIONS(10449), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223033] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6673), 1,
      sym_comment,
    ACTIONS(10533), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [223048] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10535), 1,
      anon_sym_COMMA,
    ACTIONS(10538), 1,
      anon_sym_RBRACE,
    STATE(6674), 2,
      sym_comment,
      aux_sym_export_clause_repeat1,
  [223065] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6675), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6676), 1,
      sym_comment,
    ACTIONS(10485), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223095] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6677), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6678), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223125] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6679), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223140] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10540), 1,
      anon_sym_EQ,
    STATE(6680), 1,
      sym_comment,
    ACTIONS(10489), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [223157] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6681), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223172] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(10542), 1,
      anon_sym_EQ,
    STATE(6682), 1,
      sym_comment,
    STATE(8604), 1,
      sym_type_parameters,
  [223191] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6683), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6684), 1,
      sym_comment,
    ACTIONS(10544), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [223221] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6685), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223236] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10546), 1,
      anon_sym_COMMA,
    ACTIONS(10548), 1,
      anon_sym_RBRACE,
    STATE(6686), 1,
      sym_comment,
    STATE(6853), 1,
      aux_sym_enum_body_repeat1,
  [223255] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6687), 1,
      sym_comment,
    ACTIONS(10550), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [223270] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6688), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223285] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10552), 1,
      anon_sym_EQ,
    STATE(6689), 1,
      sym_comment,
    ACTIONS(10489), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [223302] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6690), 1,
      sym_comment,
    ACTIONS(10437), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223317] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6691), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6692), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223347] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6693), 1,
      sym_comment,
    ACTIONS(10554), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223362] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACE,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1783), 1,
      sym_object_type,
    STATE(6694), 1,
      sym_comment,
  [223381] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6695), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223396] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10373), 1,
      anon_sym_as,
    STATE(6696), 1,
      sym_comment,
    ACTIONS(10489), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [223413] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6697), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223428] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6698), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223443] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7919), 1,
      anon_sym_type,
    ACTIONS(10556), 1,
      sym_identifier,
    STATE(6699), 1,
      sym_comment,
    STATE(7757), 1,
      sym__import_identifier,
  [223462] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10558), 1,
      anon_sym_COMMA,
    ACTIONS(10560), 1,
      anon_sym_RBRACE,
    STATE(6700), 1,
      sym_comment,
    STATE(6746), 1,
      aux_sym_named_imports_repeat1,
  [223481] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6701), 1,
      sym_comment,
    ACTIONS(10449), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223496] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6702), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223511] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6703), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223526] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6704), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223541] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6705), 1,
      sym_comment,
    ACTIONS(10562), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223556] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6706), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223571] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10418), 1,
      anon_sym_require,
    ACTIONS(10564), 1,
      sym_identifier,
    STATE(6707), 1,
      sym_comment,
    STATE(6740), 1,
      sym_nested_identifier,
  [223590] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6708), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223605] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7919), 1,
      anon_sym_type,
    ACTIONS(10556), 1,
      sym_identifier,
    STATE(6709), 1,
      sym_comment,
    STATE(7751), 1,
      sym__import_identifier,
  [223624] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6710), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223639] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10566), 1,
      anon_sym_EQ,
    STATE(6711), 1,
      sym_comment,
    ACTIONS(10489), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [223656] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(10568), 1,
      anon_sym_EQ,
    STATE(6712), 1,
      sym_comment,
    STATE(8562), 1,
      sym_type_parameters,
  [223675] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8710), 1,
      anon_sym_LBRACE,
    ACTIONS(8712), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4245), 1,
      sym_object_type,
    STATE(6713), 1,
      sym_comment,
  [223694] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6714), 1,
      sym_comment,
    ACTIONS(10449), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223709] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10570), 1,
      anon_sym_LBRACE,
    ACTIONS(10572), 1,
      anon_sym_LPAREN,
    STATE(4005), 1,
      sym_statement_block,
    STATE(6715), 1,
      sym_comment,
  [223728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6716), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223743] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6717), 1,
      sym_comment,
    ACTIONS(10437), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6718), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223773] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10574), 1,
      anon_sym_COMMA,
    ACTIONS(10577), 1,
      anon_sym_RBRACE,
    STATE(6719), 2,
      sym_comment,
      aux_sym_named_imports_repeat1,
  [223790] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6720), 1,
      sym_comment,
    ACTIONS(10439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223805] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6721), 1,
      sym_comment,
    ACTIONS(10439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223820] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6722), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223835] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6723), 1,
      sym_comment,
    ACTIONS(10579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223850] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6724), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223865] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_DQUOTE,
    ACTIONS(7761), 1,
      anon_sym_SQUOTE,
    STATE(6725), 1,
      sym_comment,
    STATE(8541), 1,
      sym_string,
  [223884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6726), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223899] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6727), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [223914] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10581), 1,
      anon_sym_COMMA,
    ACTIONS(10583), 1,
      anon_sym_RBRACK,
    STATE(6728), 1,
      sym_comment,
    STATE(6790), 1,
      aux_sym_tuple_type_repeat1,
  [223933] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10585), 1,
      anon_sym_as,
    STATE(6729), 1,
      sym_comment,
    ACTIONS(10587), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [223950] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10589), 1,
      anon_sym_DQUOTE,
    STATE(6730), 1,
      sym_comment,
    ACTIONS(10591), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [223967] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5751), 1,
      anon_sym_extends,
    ACTIONS(10593), 1,
      anon_sym_AMP,
    ACTIONS(10595), 1,
      anon_sym_PIPE,
    STATE(6731), 1,
      sym_comment,
  [223986] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10597), 1,
      sym__glimmer_template_content,
    ACTIONS(10600), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(6732), 2,
      sym_comment,
      aux_sym_glimmer_template_repeat1,
  [224003] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10602), 1,
      anon_sym_COMMA,
    ACTIONS(10604), 1,
      anon_sym_GT,
    STATE(6733), 1,
      sym_comment,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
  [224022] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10606), 1,
      anon_sym_SQUOTE,
    STATE(6734), 1,
      sym_comment,
    ACTIONS(10608), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [224039] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10610), 1,
      anon_sym_COMMA,
    ACTIONS(10612), 1,
      anon_sym_GT,
    STATE(6735), 1,
      sym_comment,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
  [224058] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6736), 1,
      sym_comment,
    ACTIONS(10449), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224073] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10614), 1,
      anon_sym_COMMA,
    ACTIONS(10616), 1,
      anon_sym_GT,
    STATE(6737), 1,
      sym_comment,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
  [224092] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10618), 1,
      anon_sym_as,
    STATE(6738), 1,
      sym_comment,
    ACTIONS(10620), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [224109] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6739), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224124] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8532), 1,
      anon_sym_DOT,
    STATE(6740), 1,
      sym_comment,
    ACTIONS(10622), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [224141] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6546), 1,
      anon_sym_RPAREN,
    STATE(6741), 1,
      sym_comment,
    STATE(6797), 1,
      aux_sym_array_repeat1,
  [224160] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6546), 1,
      anon_sym_RPAREN,
    STATE(6369), 1,
      aux_sym_array_repeat1,
    STATE(6742), 1,
      sym_comment,
  [224179] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6743), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224194] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8528), 1,
      anon_sym_DOT,
    STATE(6744), 1,
      sym_comment,
    ACTIONS(10622), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [224211] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6745), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224226] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10624), 1,
      anon_sym_COMMA,
    ACTIONS(10626), 1,
      anon_sym_RBRACE,
    STATE(6719), 1,
      aux_sym_named_imports_repeat1,
    STATE(6746), 1,
      sym_comment,
  [224245] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7919), 1,
      anon_sym_type,
    ACTIONS(10556), 1,
      sym_identifier,
    STATE(6747), 1,
      sym_comment,
    STATE(7735), 1,
      sym__import_identifier,
  [224264] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10630), 1,
      anon_sym_COLON,
    STATE(6748), 1,
      sym_comment,
    ACTIONS(10628), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [224281] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6749), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224296] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6750), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224311] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10632), 1,
      sym_identifier,
    ACTIONS(10634), 1,
      anon_sym_LBRACE,
    STATE(6427), 1,
      sym_export_clause,
    STATE(6751), 1,
      sym_comment,
  [224330] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    ACTIONS(10636), 1,
      anon_sym_as,
    STATE(6752), 1,
      sym_comment,
    STATE(7592), 1,
      sym__from_clause,
  [224349] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6753), 1,
      sym_comment,
    ACTIONS(10437), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6754), 1,
      sym_comment,
    ACTIONS(10449), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224379] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(7919), 1,
      anon_sym_type,
    ACTIONS(10556), 1,
      sym_identifier,
    STATE(6755), 1,
      sym_comment,
    STATE(7724), 1,
      sym__import_identifier,
  [224398] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10638), 1,
      anon_sym_COMMA,
    ACTIONS(10640), 1,
      anon_sym_RBRACE,
    STATE(6756), 1,
      sym_comment,
    STATE(7271), 1,
      aux_sym_enum_body_repeat1,
  [224417] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10642), 1,
      anon_sym_COMMA,
    ACTIONS(10644), 1,
      anon_sym_RBRACE,
    STATE(6757), 1,
      sym_comment,
    STATE(7271), 1,
      aux_sym_enum_body_repeat1,
  [224436] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6758), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224451] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6759), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224466] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6760), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224481] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6761), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224496] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(10646), 1,
      anon_sym_RPAREN,
    STATE(6762), 1,
      sym_comment,
    STATE(8473), 1,
      sym_type_annotation,
  [224515] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6763), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224530] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10418), 1,
      anon_sym_require,
    ACTIONS(10648), 1,
      sym_identifier,
    STATE(6764), 1,
      sym_comment,
    STATE(7265), 1,
      sym_nested_identifier,
  [224549] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6765), 1,
      sym_comment,
    ACTIONS(10449), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6766), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224579] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6767), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224594] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6768), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224609] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8827), 1,
      anon_sym_LBRACE,
    ACTIONS(8829), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4116), 1,
      sym_object_type,
    STATE(6769), 1,
      sym_comment,
  [224628] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6770), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224643] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10634), 1,
      anon_sym_LBRACE,
    ACTIONS(10650), 1,
      sym_identifier,
    STATE(6401), 1,
      sym_export_clause,
    STATE(6771), 1,
      sym_comment,
  [224662] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6772), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224677] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    ACTIONS(10636), 1,
      anon_sym_as,
    STATE(6773), 1,
      sym_comment,
    STATE(7470), 1,
      sym__from_clause,
  [224696] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10652), 1,
      anon_sym_COMMA,
    ACTIONS(10654), 1,
      anon_sym_RBRACE,
    STATE(6674), 1,
      aux_sym_export_clause_repeat1,
    STATE(6774), 1,
      sym_comment,
  [224715] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6775), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224730] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6776), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224745] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6777), 1,
      sym_comment,
    ACTIONS(10656), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [224760] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6778), 1,
      sym_comment,
    ACTIONS(10449), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224775] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10658), 1,
      anon_sym_as,
    STATE(6779), 1,
      sym_comment,
    ACTIONS(10660), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [224792] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6780), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224807] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6781), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224822] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(10662), 1,
      anon_sym_RPAREN,
    STATE(6782), 1,
      sym_comment,
    STATE(8427), 1,
      sym_type_annotation,
  [224841] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6783), 1,
      sym_comment,
    ACTIONS(10437), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224856] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6784), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224871] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4730), 1,
      anon_sym_LBRACE,
    ACTIONS(8462), 1,
      anon_sym_DOT,
    STATE(4262), 1,
      sym_ui_object_initializer,
    STATE(6785), 1,
      sym_comment,
  [224890] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6786), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224905] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4730), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      anon_sym_DOT,
    STATE(4266), 1,
      sym_ui_object_initializer,
    STATE(6787), 1,
      sym_comment,
  [224924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6788), 1,
      sym_comment,
    ACTIONS(10437), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224939] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6789), 1,
      sym_comment,
    ACTIONS(10439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224954] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10664), 1,
      anon_sym_COMMA,
    ACTIONS(10666), 1,
      anon_sym_RBRACK,
    STATE(6790), 1,
      sym_comment,
    STATE(6881), 1,
      aux_sym_tuple_type_repeat1,
  [224973] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6791), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [224988] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10418), 1,
      anon_sym_require,
    ACTIONS(10668), 1,
      sym_identifier,
    STATE(6792), 1,
      sym_comment,
    STATE(7281), 1,
      sym_nested_identifier,
  [225007] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6793), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225022] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4730), 1,
      anon_sym_LBRACE,
    ACTIONS(10527), 1,
      anon_sym_DOT,
    STATE(4459), 1,
      sym_ui_object_initializer,
    STATE(6794), 1,
      sym_comment,
  [225041] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6795), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225056] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6796), 1,
      sym_comment,
    ACTIONS(10670), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [225071] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(10672), 1,
      anon_sym_RPAREN,
    STATE(6369), 1,
      aux_sym_array_repeat1,
    STATE(6797), 1,
      sym_comment,
  [225090] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6798), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225105] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6799), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225120] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6800), 1,
      sym_comment,
    ACTIONS(10674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225135] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10634), 1,
      anon_sym_LBRACE,
    ACTIONS(10676), 1,
      sym_identifier,
    STATE(6357), 1,
      sym_export_clause,
    STATE(6801), 1,
      sym_comment,
  [225154] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    ACTIONS(10636), 1,
      anon_sym_as,
    STATE(6802), 1,
      sym_comment,
    STATE(7471), 1,
      sym__from_clause,
  [225173] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6803), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225188] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6804), 1,
      sym_comment,
    ACTIONS(10678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225203] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10680), 1,
      anon_sym_LPAREN,
    ACTIONS(10682), 1,
      anon_sym_await,
    STATE(123), 1,
      sym__for_header,
    STATE(6805), 1,
      sym_comment,
  [225222] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6806), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225237] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6807), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225252] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10686), 1,
      anon_sym_as,
    STATE(6808), 1,
      sym_comment,
    ACTIONS(10544), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [225269] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6809), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225284] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8528), 1,
      anon_sym_DOT,
    STATE(6810), 1,
      sym_comment,
    ACTIONS(10688), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [225301] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8532), 1,
      anon_sym_DOT,
    STATE(6811), 1,
      sym_comment,
    ACTIONS(10688), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [225318] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6812), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225333] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6813), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225348] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6814), 1,
      sym_comment,
    ACTIONS(10690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225363] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6815), 1,
      sym_comment,
    ACTIONS(10690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225378] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6816), 1,
      sym_comment,
    ACTIONS(10692), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225393] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6817), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225408] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6818), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225423] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8827), 1,
      anon_sym_LBRACE,
    ACTIONS(8829), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4082), 1,
      sym_object_type,
    STATE(6819), 1,
      sym_comment,
  [225442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6820), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225457] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10694), 1,
      anon_sym_COMMA,
    ACTIONS(10696), 1,
      anon_sym_RBRACE,
    STATE(6821), 1,
      sym_comment,
    STATE(6852), 1,
      aux_sym_enum_body_repeat1,
  [225476] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6822), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225491] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6823), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225506] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6824), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225521] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6825), 1,
      sym_comment,
    ACTIONS(10437), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225536] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6826), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225551] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10698), 1,
      anon_sym_COMMA,
    ACTIONS(10700), 1,
      anon_sym_RBRACE,
    STATE(6756), 1,
      aux_sym_enum_body_repeat1,
    STATE(6827), 1,
      sym_comment,
  [225570] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6828), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225585] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6829), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225600] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6830), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225615] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6831), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225630] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(10702), 1,
      anon_sym_RPAREN,
    STATE(6832), 1,
      sym_comment,
    STATE(8368), 1,
      sym_type_annotation,
  [225649] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6833), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225664] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6834), 1,
      sym_comment,
    ACTIONS(10704), 3,
      ts_builtin_sym_end,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [225679] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10706), 1,
      anon_sym_COMMA,
    ACTIONS(10709), 1,
      anon_sym_RBRACE,
    STATE(6835), 2,
      sym_comment,
      aux_sym__qml_enum_body_repeat1,
  [225696] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10711), 1,
      sym_identifier,
    STATE(2104), 1,
      sym_decorator_member_expression,
    STATE(2148), 1,
      sym_decorator_call_expression,
    STATE(6836), 1,
      sym_comment,
  [225715] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10418), 1,
      anon_sym_require,
    ACTIONS(10713), 1,
      sym_identifier,
    STATE(6837), 1,
      sym_comment,
    STATE(7101), 1,
      sym_nested_identifier,
  [225734] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10715), 1,
      anon_sym_COMMA,
    ACTIONS(10717), 1,
      anon_sym_GT,
    STATE(6838), 1,
      sym_comment,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
  [225753] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10719), 1,
      anon_sym_COMMA,
    ACTIONS(10721), 1,
      anon_sym_RBRACE,
    STATE(6839), 1,
      sym_comment,
    STATE(7271), 1,
      aux_sym_enum_body_repeat1,
  [225772] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6840), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225787] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6841), 1,
      sym_comment,
    ACTIONS(10690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225802] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10300), 1,
      anon_sym_EQ,
    STATE(6842), 1,
      sym_comment,
    ACTIONS(10723), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [225819] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9371), 1,
      anon_sym_COMMA,
    ACTIONS(10725), 1,
      anon_sym_RBRACE,
    STATE(6843), 1,
      sym_comment,
    STATE(7001), 1,
      aux_sym_object_pattern_repeat1,
  [225838] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6844), 1,
      sym_comment,
    ACTIONS(10690), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225853] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9371), 1,
      anon_sym_COMMA,
    ACTIONS(10725), 1,
      anon_sym_RBRACE,
    STATE(6845), 1,
      sym_comment,
    STATE(7145), 1,
      aux_sym_object_pattern_repeat1,
  [225872] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6846), 1,
      sym_comment,
    ACTIONS(10692), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225887] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10634), 1,
      anon_sym_LBRACE,
    ACTIONS(10727), 1,
      sym_identifier,
    STATE(6365), 1,
      sym_export_clause,
    STATE(6847), 1,
      sym_comment,
  [225906] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    ACTIONS(10636), 1,
      anon_sym_as,
    STATE(6848), 1,
      sym_comment,
    STATE(8057), 1,
      sym__from_clause,
  [225925] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6849), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225940] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10729), 1,
      anon_sym_COMMA,
    ACTIONS(10731), 1,
      anon_sym_RBRACE,
    STATE(6850), 1,
      sym_comment,
    STATE(7271), 1,
      aux_sym_enum_body_repeat1,
  [225959] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6851), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [225974] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10733), 1,
      anon_sym_COMMA,
    ACTIONS(10735), 1,
      anon_sym_RBRACE,
    STATE(6852), 1,
      sym_comment,
    STATE(7271), 1,
      aux_sym_enum_body_repeat1,
  [225993] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10737), 1,
      anon_sym_COMMA,
    ACTIONS(10739), 1,
      anon_sym_RBRACE,
    STATE(6853), 1,
      sym_comment,
    STATE(7271), 1,
      aux_sym_enum_body_repeat1,
  [226012] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6854), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226027] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6855), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226042] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10355), 1,
      anon_sym_COMMA,
    ACTIONS(10357), 1,
      anon_sym_RBRACK,
    STATE(6856), 1,
      sym_comment,
    STATE(7036), 1,
      aux_sym_array_pattern_repeat1,
  [226061] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10741), 1,
      anon_sym_LPAREN,
    ACTIONS(10743), 1,
      anon_sym_await,
    STATE(132), 1,
      sym__for_header,
    STATE(6857), 1,
      sym_comment,
  [226080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6858), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226095] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6859), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226110] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10355), 1,
      anon_sym_COMMA,
    ACTIONS(10357), 1,
      anon_sym_RBRACK,
    STATE(6860), 1,
      sym_comment,
    STATE(7152), 1,
      aux_sym_array_pattern_repeat1,
  [226129] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6861), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6862), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226159] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6863), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226174] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6864), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226189] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10745), 1,
      anon_sym_COMMA,
    ACTIONS(10748), 1,
      anon_sym_RPAREN,
    STATE(6865), 2,
      sym_comment,
      aux_sym_ui_signal_parameters_repeat1,
  [226206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6866), 1,
      sym_comment,
    ACTIONS(10750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226221] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6867), 1,
      sym_comment,
    ACTIONS(10750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226236] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6868), 1,
      sym_comment,
    ACTIONS(10750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226251] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6869), 1,
      sym_comment,
    ACTIONS(10750), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226266] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6870), 1,
      sym_comment,
    ACTIONS(10439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226281] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6871), 1,
      sym_comment,
    ACTIONS(10684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226296] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8532), 1,
      anon_sym_DOT,
    STATE(6872), 1,
      sym_comment,
    ACTIONS(10752), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [226313] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6873), 1,
      sym_comment,
    ACTIONS(10754), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226328] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(10756), 1,
      anon_sym_RPAREN,
    STATE(6874), 1,
      sym_comment,
    STATE(8287), 1,
      sym_type_annotation,
  [226347] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6875), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226362] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6876), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226377] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8528), 1,
      anon_sym_DOT,
    STATE(6877), 1,
      sym_comment,
    ACTIONS(10752), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [226394] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7691), 1,
      anon_sym_DOT,
    STATE(6878), 1,
      sym_comment,
    ACTIONS(10758), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [226411] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6879), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226426] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6880), 1,
      sym_comment,
    ACTIONS(10437), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226441] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10760), 1,
      anon_sym_COMMA,
    ACTIONS(10763), 1,
      anon_sym_RBRACK,
    STATE(6881), 2,
      sym_comment,
      aux_sym_tuple_type_repeat1,
  [226458] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10418), 1,
      anon_sym_require,
    ACTIONS(10765), 1,
      sym_identifier,
    STATE(6811), 1,
      sym_nested_identifier,
    STATE(6882), 1,
      sym_comment,
  [226477] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6544), 1,
      anon_sym_RPAREN,
    STATE(6369), 1,
      aux_sym_array_repeat1,
    STATE(6883), 1,
      sym_comment,
  [226496] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6544), 1,
      anon_sym_RPAREN,
    STATE(6884), 1,
      sym_comment,
    STATE(6967), 1,
      aux_sym_array_repeat1,
  [226515] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6885), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226530] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10767), 1,
      anon_sym_LPAREN,
    ACTIONS(10769), 1,
      anon_sym_await,
    STATE(97), 1,
      sym__for_header,
    STATE(6886), 1,
      sym_comment,
  [226549] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6887), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6888), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226579] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6889), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226594] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10771), 1,
      sym_identifier,
    ACTIONS(10773), 1,
      anon_sym_SEMI,
    ACTIONS(10775), 1,
      sym__automatic_semicolon,
    STATE(6890), 1,
      sym_comment,
  [226613] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6891), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226628] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10777), 1,
      sym_identifier,
    ACTIONS(10779), 1,
      anon_sym_SEMI,
    ACTIONS(10781), 1,
      sym__automatic_semicolon,
    STATE(6892), 1,
      sym_comment,
  [226647] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6893), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226662] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6894), 1,
      sym_comment,
    ACTIONS(10579), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226677] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6895), 1,
      sym_comment,
    ACTIONS(10437), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226692] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6896), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226707] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10783), 1,
      sym_identifier,
    STATE(5375), 1,
      sym_decorator_member_expression,
    STATE(6547), 1,
      sym_decorator_call_expression,
    STATE(6897), 1,
      sym_comment,
  [226726] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6898), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226741] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6899), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226756] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6900), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226771] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6901), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226786] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6902), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226801] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10634), 1,
      anon_sym_LBRACE,
    ACTIONS(10785), 1,
      sym_identifier,
    STATE(6508), 1,
      sym_export_clause,
    STATE(6903), 1,
      sym_comment,
  [226820] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6904), 1,
      sym_comment,
    ACTIONS(10437), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226835] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6905), 1,
      sym_comment,
    ACTIONS(10439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226850] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    ACTIONS(10636), 1,
      anon_sym_as,
    STATE(6906), 1,
      sym_comment,
    STATE(7771), 1,
      sym__from_clause,
  [226869] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(10787), 1,
      anon_sym_RPAREN,
    STATE(6369), 1,
      aux_sym_array_repeat1,
    STATE(6907), 1,
      sym_comment,
  [226888] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6908), 1,
      sym_comment,
    ACTIONS(10789), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [226903] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6909), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [226918] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8661), 1,
      anon_sym_COMMA,
    ACTIONS(10791), 1,
      anon_sym_RBRACE,
    STATE(6910), 1,
      sym_comment,
    STATE(7088), 1,
      aux_sym_object_repeat1,
  [226937] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8661), 1,
      anon_sym_COMMA,
    ACTIONS(10791), 1,
      anon_sym_RBRACE,
    STATE(6911), 1,
      sym_comment,
    STATE(7288), 1,
      aux_sym_object_repeat1,
  [226956] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10793), 1,
      anon_sym_LPAREN,
    ACTIONS(10795), 1,
      anon_sym_await,
    STATE(116), 1,
      sym__for_header,
    STATE(6912), 1,
      sym_comment,
  [226975] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10797), 1,
      anon_sym_COMMA,
    ACTIONS(10799), 1,
      anon_sym_RBRACK,
    STATE(6881), 1,
      aux_sym_tuple_type_repeat1,
    STATE(6913), 1,
      sym_comment,
  [226994] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6914), 1,
      sym_comment,
    ACTIONS(10439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227009] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6915), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6916), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227039] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6917), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227054] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6918), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227069] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6919), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227084] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6920), 1,
      sym_comment,
    ACTIONS(10801), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [227099] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6921), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227114] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4730), 1,
      anon_sym_LBRACE,
    ACTIONS(8462), 1,
      anon_sym_DOT,
    STATE(4435), 1,
      sym_ui_object_initializer,
    STATE(6922), 1,
      sym_comment,
  [227133] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4730), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      anon_sym_DOT,
    STATE(4436), 1,
      sym_ui_object_initializer,
    STATE(6923), 1,
      sym_comment,
  [227152] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10803), 1,
      anon_sym_COMMA,
    ACTIONS(10805), 1,
      anon_sym_RPAREN,
    STATE(6924), 1,
      sym_comment,
    STATE(7099), 1,
      aux_sym_formal_parameters_repeat1,
  [227171] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6925), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227186] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6926), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227201] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10807), 1,
      anon_sym_EQ,
    STATE(6927), 1,
      sym_comment,
    ACTIONS(4765), 2,
      anon_sym_in,
      anon_sym_of,
  [227218] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6928), 1,
      sym_comment,
    ACTIONS(10449), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227233] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9371), 1,
      anon_sym_COMMA,
    ACTIONS(10809), 1,
      anon_sym_RBRACE,
    STATE(6929), 1,
      sym_comment,
    STATE(7144), 1,
      aux_sym_object_pattern_repeat1,
  [227252] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10811), 1,
      sym_identifier,
    ACTIONS(10813), 1,
      anon_sym_SEMI,
    ACTIONS(10815), 1,
      sym__automatic_semicolon,
    STATE(6930), 1,
      sym_comment,
  [227271] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10817), 1,
      sym_identifier,
    ACTIONS(10819), 1,
      anon_sym_SEMI,
    ACTIONS(10821), 1,
      sym__automatic_semicolon,
    STATE(6931), 1,
      sym_comment,
  [227290] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9371), 1,
      anon_sym_COMMA,
    ACTIONS(10809), 1,
      anon_sym_RBRACE,
    STATE(6932), 1,
      sym_comment,
    STATE(7145), 1,
      aux_sym_object_pattern_repeat1,
  [227309] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6933), 1,
      sym_comment,
    ACTIONS(10823), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [227324] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6934), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227339] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6935), 1,
      sym_comment,
    ACTIONS(10825), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227354] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10355), 1,
      anon_sym_COMMA,
    ACTIONS(10406), 1,
      anon_sym_RBRACK,
    STATE(6936), 1,
      sym_comment,
    STATE(7151), 1,
      aux_sym_array_pattern_repeat1,
  [227373] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6937), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227388] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6938), 1,
      sym_comment,
    ACTIONS(10441), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227403] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6939), 1,
      sym_comment,
    ACTIONS(10674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227418] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6940), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227433] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10355), 1,
      anon_sym_COMMA,
    ACTIONS(10406), 1,
      anon_sym_RBRACK,
    STATE(6941), 1,
      sym_comment,
    STATE(7152), 1,
      aux_sym_array_pattern_repeat1,
  [227452] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6942), 1,
      sym_comment,
    ACTIONS(9849), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227467] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6580), 1,
      anon_sym_RBRACK,
    STATE(6943), 1,
      sym_comment,
    STATE(7105), 1,
      aux_sym_array_repeat1,
  [227486] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6944), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227501] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10827), 1,
      anon_sym_COMMA,
    ACTIONS(10829), 1,
      anon_sym_GT,
    STATE(6945), 1,
      sym_comment,
    STATE(6970), 1,
      aux_sym_type_parameters_repeat1,
  [227520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6946), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227535] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10831), 1,
      anon_sym_COMMA,
    ACTIONS(10833), 1,
      anon_sym_RBRACK,
    STATE(6947), 1,
      sym_comment,
    STATE(7107), 1,
      aux_sym_ui_object_array_repeat1,
  [227554] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6948), 1,
      sym_comment,
    ACTIONS(9849), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227569] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6949), 1,
      sym_comment,
    ACTIONS(10437), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227584] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10835), 1,
      anon_sym_COMMA,
    ACTIONS(10837), 1,
      anon_sym_GT,
    STATE(6950), 1,
      sym_comment,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
  [227603] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6580), 1,
      anon_sym_RBRACK,
    STATE(6369), 1,
      aux_sym_array_repeat1,
    STATE(6951), 1,
      sym_comment,
  [227622] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10124), 1,
      sym_identifier,
    ACTIONS(10126), 1,
      anon_sym_const,
    STATE(6952), 1,
      sym_comment,
    STATE(7116), 1,
      sym_type_parameter,
  [227641] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10839), 1,
      anon_sym_COMMA,
    ACTIONS(10841), 1,
      anon_sym_GT,
    STATE(6953), 1,
      sym_comment,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
  [227660] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6954), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227675] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6955), 1,
      sym_comment,
    ACTIONS(10453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227690] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4730), 1,
      anon_sym_LBRACE,
    ACTIONS(8462), 1,
      anon_sym_DOT,
    STATE(4373), 1,
      sym_ui_object_initializer,
    STATE(6956), 1,
      sym_comment,
  [227709] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4730), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      anon_sym_DOT,
    STATE(4367), 1,
      sym_ui_object_initializer,
    STATE(6957), 1,
      sym_comment,
  [227728] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10845), 1,
      anon_sym_COLON,
    STATE(6958), 1,
      sym_comment,
    ACTIONS(10843), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [227745] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10849), 1,
      anon_sym_COLON,
    STATE(6959), 1,
      sym_comment,
    ACTIONS(10847), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [227762] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10851), 1,
      sym_identifier,
    STATE(6960), 1,
      sym_comment,
    STATE(8457), 1,
      sym_nested_identifier,
    STATE(8471), 1,
      sym_nested_type_identifier,
  [227781] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10855), 1,
      anon_sym_COLON,
    STATE(6961), 1,
      sym_comment,
    ACTIONS(10853), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [227798] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8710), 1,
      anon_sym_LBRACE,
    ACTIONS(8712), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4424), 1,
      sym_object_type,
    STATE(6962), 1,
      sym_comment,
  [227817] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10859), 1,
      anon_sym_COLON,
    STATE(6963), 1,
      sym_comment,
    ACTIONS(10857), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [227834] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6964), 1,
      sym_comment,
    ACTIONS(10861), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227849] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6965), 1,
      sym_comment,
    ACTIONS(10863), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227864] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6966), 1,
      sym_comment,
    ACTIONS(10865), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227879] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(10867), 1,
      anon_sym_RPAREN,
    STATE(6369), 1,
      aux_sym_array_repeat1,
    STATE(6967), 1,
      sym_comment,
  [227898] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(10869), 1,
      anon_sym_RPAREN,
    STATE(6968), 1,
      sym_comment,
    STATE(8249), 1,
      sym_type_annotation,
  [227917] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6969), 1,
      sym_comment,
    ACTIONS(10449), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227932] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10871), 1,
      anon_sym_COMMA,
    ACTIONS(10874), 1,
      anon_sym_GT,
    STATE(6970), 2,
      sym_comment,
      aux_sym_type_parameters_repeat1,
  [227949] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6971), 1,
      sym_comment,
    ACTIONS(10425), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227964] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6972), 1,
      sym_comment,
    ACTIONS(10876), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227979] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6973), 1,
      sym_comment,
    ACTIONS(10825), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [227994] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10418), 1,
      anon_sym_require,
    ACTIONS(10878), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_nested_identifier,
    STATE(6974), 1,
      sym_comment,
  [228013] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4553), 1,
      anon_sym_LPAREN,
    ACTIONS(10880), 1,
      anon_sym_DOT,
    STATE(5184), 1,
      sym_arguments,
    STATE(6975), 1,
      sym_comment,
  [228032] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6976), 1,
      sym_comment,
    ACTIONS(10674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228047] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6977), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228062] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10884), 1,
      anon_sym_COMMA,
    ACTIONS(10886), 1,
      anon_sym_GT,
    STATE(6978), 1,
      sym_comment,
    STATE(7131), 1,
      aux_sym_type_parameters_repeat1,
  [228081] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6979), 1,
      sym_comment,
    ACTIONS(10888), 3,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
  [228096] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6980), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228111] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6981), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228126] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6982), 1,
      sym_comment,
    ACTIONS(10449), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228141] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6983), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228156] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10634), 1,
      anon_sym_LBRACE,
    ACTIONS(10892), 1,
      sym_identifier,
    STATE(6404), 1,
      sym_export_clause,
    STATE(6984), 1,
      sym_comment,
  [228175] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6962), 1,
      sym__automatic_semicolon,
    STATE(6985), 1,
      sym_comment,
    ACTIONS(6852), 2,
      anon_sym_else,
      anon_sym_while,
  [228192] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6614), 1,
      anon_sym_RPAREN,
    STATE(6369), 1,
      aux_sym_array_repeat1,
    STATE(6986), 1,
      sym_comment,
  [228211] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6987), 1,
      sym_comment,
    ACTIONS(10433), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228226] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    ACTIONS(10636), 1,
      anon_sym_as,
    STATE(6988), 1,
      sym_comment,
    STATE(8112), 1,
      sym__from_clause,
  [228245] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6989), 1,
      sym_comment,
    ACTIONS(10894), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6990), 1,
      sym_comment,
    ACTIONS(10439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228275] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6991), 1,
      sym_comment,
    ACTIONS(10896), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228290] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6992), 1,
      sym_comment,
    ACTIONS(10439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228305] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10898), 1,
      sym_identifier,
    ACTIONS(10900), 1,
      anon_sym_LBRACK,
    ACTIONS(10902), 1,
      sym_private_property_identifier,
    STATE(6993), 1,
      sym_comment,
  [228324] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6614), 1,
      anon_sym_RPAREN,
    STATE(6907), 1,
      aux_sym_array_repeat1,
    STATE(6994), 1,
      sym_comment,
  [228343] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6995), 1,
      sym_comment,
    ACTIONS(10904), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228358] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6996), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228373] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9371), 1,
      anon_sym_COMMA,
    ACTIONS(10908), 1,
      anon_sym_RBRACE,
    STATE(6997), 1,
      sym_comment,
    STATE(7145), 1,
      aux_sym_object_pattern_repeat1,
  [228392] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(6998), 1,
      sym_comment,
    ACTIONS(10894), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228407] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10910), 1,
      anon_sym_COMMA,
    ACTIONS(10912), 1,
      anon_sym_GT,
    STATE(6999), 1,
      sym_comment,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
  [228426] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7000), 1,
      sym_comment,
    ACTIONS(10420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228441] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9371), 1,
      anon_sym_COMMA,
    ACTIONS(10914), 1,
      anon_sym_RBRACE,
    STATE(7001), 1,
      sym_comment,
    STATE(7145), 1,
      aux_sym_object_pattern_repeat1,
  [228460] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10916), 1,
      anon_sym_LBRACE,
    ACTIONS(10918), 1,
      anon_sym_LPAREN,
    STATE(1456), 1,
      sym_statement_block,
    STATE(7002), 1,
      sym_comment,
  [228479] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10920), 1,
      anon_sym_LPAREN,
    ACTIONS(10922), 1,
      anon_sym_await,
    STATE(106), 1,
      sym__for_header,
    STATE(7003), 1,
      sym_comment,
  [228498] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_AMP,
    ACTIONS(7771), 1,
      anon_sym_PIPE,
    ACTIONS(7773), 1,
      anon_sym_extends,
    STATE(7004), 1,
      sym_comment,
  [228517] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10924), 1,
      anon_sym_COMMA,
    ACTIONS(10926), 1,
      anon_sym_GT,
    STATE(7005), 1,
      sym_comment,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
  [228536] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7006), 1,
      sym_comment,
    ACTIONS(10825), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228551] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10928), 1,
      anon_sym_COMMA,
    ACTIONS(10930), 1,
      anon_sym_GT,
    STATE(7007), 1,
      sym_comment,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
  [228570] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7008), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228585] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4383), 1,
      anon_sym_LBRACE,
    STATE(7009), 1,
      sym_comment,
    ACTIONS(5905), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [228602] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10932), 1,
      anon_sym_EQ,
    STATE(7010), 1,
      sym_comment,
    ACTIONS(4699), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [228619] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10935), 1,
      anon_sym_LPAREN,
    ACTIONS(10937), 1,
      anon_sym_await,
    STATE(129), 1,
      sym__for_header,
    STATE(7011), 1,
      sym_comment,
  [228638] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7012), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228653] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10939), 1,
      sym_identifier,
    ACTIONS(10941), 1,
      anon_sym_SEMI,
    ACTIONS(10943), 1,
      sym__automatic_semicolon,
    STATE(7013), 1,
      sym_comment,
  [228672] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10945), 1,
      anon_sym_COMMA,
    ACTIONS(10947), 1,
      anon_sym_RBRACK,
    STATE(7014), 1,
      sym_comment,
    STATE(7080), 1,
      aux_sym_tuple_type_repeat1,
  [228691] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10949), 1,
      sym_identifier,
    ACTIONS(10951), 1,
      anon_sym_SEMI,
    ACTIONS(10953), 1,
      sym__automatic_semicolon,
    STATE(7015), 1,
      sym_comment,
  [228710] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4381), 1,
      anon_sym_LBRACE,
    STATE(7016), 1,
      sym_comment,
    ACTIONS(5903), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [228727] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8264), 1,
      anon_sym_AMP,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8268), 1,
      anon_sym_extends,
    STATE(7017), 1,
      sym_comment,
  [228746] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6737), 1,
      anon_sym_extends,
    ACTIONS(10955), 1,
      anon_sym_AMP,
    ACTIONS(10957), 1,
      anon_sym_PIPE,
    STATE(7018), 1,
      sym_comment,
  [228765] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10959), 1,
      anon_sym_COMMA,
    ACTIONS(10961), 1,
      anon_sym_GT,
    STATE(7019), 1,
      sym_comment,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
  [228784] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7020), 1,
      sym_comment,
    ACTIONS(10963), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_finally,
  [228799] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10965), 1,
      anon_sym_COMMA,
    ACTIONS(10967), 1,
      anon_sym_GT,
    STATE(7021), 1,
      sym_comment,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
  [228818] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7022), 1,
      sym_comment,
    ACTIONS(10969), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [228833] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10971), 1,
      anon_sym_COMMA,
    ACTIONS(10973), 1,
      anon_sym_GT,
    STATE(7023), 1,
      sym_comment,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
  [228852] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7024), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228867] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7025), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228882] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10975), 1,
      anon_sym_COMMA,
    ACTIONS(10977), 1,
      anon_sym_RBRACK,
    STATE(6913), 1,
      aux_sym_tuple_type_repeat1,
    STATE(7026), 1,
      sym_comment,
  [228901] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6449), 1,
      anon_sym_RPAREN,
    STATE(7027), 1,
      sym_comment,
    STATE(7087), 1,
      aux_sym_array_repeat1,
  [228920] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6449), 1,
      anon_sym_RPAREN,
    STATE(6369), 1,
      aux_sym_array_repeat1,
    STATE(7028), 1,
      sym_comment,
  [228939] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9417), 1,
      anon_sym_GT,
    ACTIONS(10979), 1,
      anon_sym_COMMA,
    STATE(7029), 2,
      sym_comment,
      aux_sym_type_arguments_repeat1,
  [228956] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7030), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [228971] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4379), 1,
      anon_sym_LBRACE,
    STATE(7031), 1,
      sym_comment,
    ACTIONS(5901), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [228988] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7032), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229003] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8661), 1,
      anon_sym_COMMA,
    ACTIONS(10982), 1,
      anon_sym_RBRACE,
    STATE(7033), 1,
      sym_comment,
    STATE(7269), 1,
      aux_sym_object_repeat1,
  [229022] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7034), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229037] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7035), 1,
      sym_comment,
    ACTIONS(10984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229052] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10355), 1,
      anon_sym_COMMA,
    ACTIONS(10986), 1,
      anon_sym_RBRACK,
    STATE(7036), 1,
      sym_comment,
    STATE(7152), 1,
      aux_sym_array_pattern_repeat1,
  [229071] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7037), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229086] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACE,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1756), 1,
      sym_object_type,
    STATE(7038), 1,
      sym_comment,
  [229105] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8661), 1,
      anon_sym_COMMA,
    ACTIONS(10982), 1,
      anon_sym_RBRACE,
    STATE(7039), 1,
      sym_comment,
    STATE(7288), 1,
      aux_sym_object_repeat1,
  [229124] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7040), 1,
      sym_comment,
    ACTIONS(8601), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [229139] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7041), 1,
      sym_comment,
    ACTIONS(10988), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229154] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7042), 1,
      sym_comment,
    ACTIONS(10984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229169] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10990), 1,
      anon_sym_COMMA,
    ACTIONS(10992), 1,
      anon_sym_RPAREN,
    STATE(7043), 1,
      sym_comment,
    STATE(7312), 1,
      aux_sym_formal_parameters_repeat1,
  [229188] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    ACTIONS(10994), 1,
      anon_sym_LPAREN,
    STATE(7020), 1,
      sym_statement_block,
    STATE(7044), 1,
      sym_comment,
  [229207] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7045), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229222] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7046), 1,
      sym_comment,
    ACTIONS(10865), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229237] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10996), 1,
      anon_sym_COMMA,
    ACTIONS(10998), 1,
      anon_sym_RPAREN,
    STATE(7047), 1,
      sym_comment,
    STATE(7199), 1,
      aux_sym_formal_parameters_repeat1,
  [229256] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7048), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229271] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7049), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7050), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229301] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6594), 1,
      anon_sym_RBRACK,
    STATE(7051), 1,
      sym_comment,
    STATE(7348), 1,
      aux_sym_array_repeat1,
  [229320] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6972), 1,
      sym__automatic_semicolon,
    STATE(7052), 1,
      sym_comment,
    ACTIONS(6860), 2,
      anon_sym_else,
      anon_sym_while,
  [229337] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10831), 1,
      anon_sym_COMMA,
    ACTIONS(11000), 1,
      anon_sym_RBRACK,
    STATE(7053), 1,
      sym_comment,
    STATE(7336), 1,
      aux_sym_ui_object_array_repeat1,
  [229356] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6978), 1,
      sym__automatic_semicolon,
    STATE(7054), 1,
      sym_comment,
    ACTIONS(6864), 2,
      anon_sym_else,
      anon_sym_while,
  [229373] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8757), 1,
      anon_sym_LBRACE,
    ACTIONS(8759), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1582), 1,
      sym_object_type,
    STATE(7055), 1,
      sym_comment,
  [229392] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8661), 1,
      anon_sym_COMMA,
    ACTIONS(11002), 1,
      anon_sym_RBRACE,
    STATE(7056), 1,
      sym_comment,
    STATE(7288), 1,
      aux_sym_object_repeat1,
  [229411] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6594), 1,
      anon_sym_RBRACK,
    STATE(6369), 1,
      aux_sym_array_repeat1,
    STATE(7057), 1,
      sym_comment,
  [229430] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11004), 1,
      anon_sym_COMMA,
    ACTIONS(11006), 1,
      anon_sym_RBRACK,
    STATE(7058), 1,
      sym_comment,
    STATE(7118), 1,
      aux_sym_tuple_type_repeat1,
  [229449] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7059), 1,
      sym_comment,
    ACTIONS(11008), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229464] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7060), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229479] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8214), 1,
      anon_sym_implements,
    ACTIONS(11010), 1,
      anon_sym_LBRACE,
    STATE(7061), 1,
      sym_comment,
    STATE(8610), 1,
      sym_implements_clause,
  [229498] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7062), 1,
      sym_comment,
    ACTIONS(10988), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229513] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7063), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229528] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8661), 1,
      anon_sym_COMMA,
    ACTIONS(11012), 1,
      anon_sym_RBRACE,
    STATE(7064), 1,
      sym_comment,
    STATE(7288), 1,
      aux_sym_object_repeat1,
  [229547] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11014), 1,
      sym_identifier,
    ACTIONS(11016), 1,
      anon_sym_LBRACK,
    ACTIONS(11018), 1,
      sym_private_property_identifier,
    STATE(7065), 1,
      sym_comment,
  [229566] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7066), 1,
      sym_comment,
    ACTIONS(10988), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229581] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11020), 1,
      sym_identifier,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 1,
      sym_private_property_identifier,
    STATE(7067), 1,
      sym_comment,
  [229600] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7068), 1,
      sym_comment,
    ACTIONS(10865), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229615] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11026), 1,
      sym_identifier,
    ACTIONS(11028), 1,
      anon_sym_LBRACK,
    ACTIONS(11030), 1,
      sym_private_property_identifier,
    STATE(7069), 1,
      sym_comment,
  [229634] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7070), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229649] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11032), 1,
      sym_identifier,
    ACTIONS(11034), 1,
      anon_sym_LBRACK,
    ACTIONS(11036), 1,
      sym_private_property_identifier,
    STATE(7071), 1,
      sym_comment,
  [229668] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8629), 1,
      anon_sym_DOT,
    STATE(7072), 1,
      sym_comment,
    ACTIONS(11038), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [229685] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7073), 1,
      sym_comment,
    ACTIONS(10988), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229700] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7074), 1,
      sym_comment,
    ACTIONS(11040), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229715] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7075), 1,
      sym_comment,
    ACTIONS(10437), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229730] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7076), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229745] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7077), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229760] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7078), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229775] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7079), 1,
      sym_comment,
    ACTIONS(11040), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229790] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11042), 1,
      anon_sym_COMMA,
    ACTIONS(11044), 1,
      anon_sym_RBRACK,
    STATE(6881), 1,
      aux_sym_tuple_type_repeat1,
    STATE(7080), 1,
      sym_comment,
  [229809] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7081), 1,
      sym_comment,
    ACTIONS(10865), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229824] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7082), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229839] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7083), 1,
      sym_comment,
    ACTIONS(11008), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229854] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7084), 1,
      sym_comment,
    ACTIONS(11046), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229869] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7065), 1,
      sym__automatic_semicolon,
    STATE(7085), 1,
      sym_comment,
    ACTIONS(6982), 2,
      anon_sym_else,
      anon_sym_while,
  [229886] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7086), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229901] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(11048), 1,
      anon_sym_RPAREN,
    STATE(6369), 1,
      aux_sym_array_repeat1,
    STATE(7087), 1,
      sym_comment,
  [229920] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8661), 1,
      anon_sym_COMMA,
    ACTIONS(11050), 1,
      anon_sym_RBRACE,
    STATE(7088), 1,
      sym_comment,
    STATE(7288), 1,
      aux_sym_object_repeat1,
  [229939] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7089), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229954] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7090), 1,
      sym_comment,
    ACTIONS(10865), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229969] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7091), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [229984] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11052), 1,
      anon_sym_LBRACE,
    STATE(7092), 1,
      sym_comment,
    ACTIONS(9618), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [230001] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8661), 1,
      anon_sym_COMMA,
    ACTIONS(11054), 1,
      anon_sym_RBRACE,
    STATE(7093), 1,
      sym_comment,
    STATE(7288), 1,
      aux_sym_object_repeat1,
  [230020] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7094), 1,
      sym_comment,
    ACTIONS(10984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [230035] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    ACTIONS(11056), 1,
      anon_sym_RPAREN,
    STATE(7095), 1,
      sym_comment,
    STATE(8346), 1,
      sym_type_annotation,
  [230054] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7096), 1,
      sym_comment,
    ACTIONS(10988), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [230069] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8661), 1,
      anon_sym_COMMA,
    ACTIONS(11058), 1,
      anon_sym_RBRACE,
    STATE(7056), 1,
      aux_sym_object_repeat1,
    STATE(7097), 1,
      sym_comment,
  [230088] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4533), 1,
      anon_sym_LPAREN,
    ACTIONS(11060), 1,
      anon_sym_DOT,
    STATE(5190), 1,
      sym_arguments,
    STATE(7098), 1,
      sym_comment,
  [230107] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11062), 1,
      anon_sym_COMMA,
    ACTIONS(11064), 1,
      anon_sym_RPAREN,
    STATE(7099), 1,
      sym_comment,
    STATE(7199), 1,
      aux_sym_formal_parameters_repeat1,
  [230126] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8528), 1,
      anon_sym_DOT,
    STATE(7100), 1,
      sym_comment,
    ACTIONS(11066), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [230143] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8532), 1,
      anon_sym_DOT,
    STATE(7101), 1,
      sym_comment,
    ACTIONS(11066), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [230160] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7102), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [230175] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11068), 1,
      anon_sym_LBRACE,
    ACTIONS(11070), 1,
      anon_sym_LPAREN,
    STATE(1654), 1,
      sym_statement_block,
    STATE(7103), 1,
      sym_comment,
  [230194] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4359), 1,
      anon_sym_LBRACE,
    STATE(7104), 1,
      sym_comment,
    ACTIONS(5839), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [230211] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(11072), 1,
      anon_sym_RBRACK,
    STATE(6369), 1,
      aux_sym_array_repeat1,
    STATE(7105), 1,
      sym_comment,
  [230230] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7106), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [230245] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10831), 1,
      anon_sym_COMMA,
    ACTIONS(11074), 1,
      anon_sym_RBRACK,
    STATE(7107), 1,
      sym_comment,
    STATE(7264), 1,
      aux_sym_ui_object_array_repeat1,
  [230264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7108), 1,
      sym_comment,
    ACTIONS(10984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [230279] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8757), 1,
      anon_sym_LBRACE,
    ACTIONS(8759), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1619), 1,
      sym_object_type,
    STATE(7109), 1,
      sym_comment,
  [230298] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4391), 1,
      anon_sym_LBRACE,
    STATE(7110), 1,
      sym_comment,
    ACTIONS(5837), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [230315] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11076), 1,
      anon_sym_COMMA,
    ACTIONS(11078), 1,
      anon_sym_RBRACE,
    STATE(7111), 1,
      sym_comment,
    STATE(7142), 1,
      aux_sym_enum_body_repeat1,
  [230334] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7112), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [230349] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7113), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [230364] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4391), 1,
      anon_sym_LBRACE,
    STATE(7114), 1,
      sym_comment,
    ACTIONS(5837), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [230381] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7115), 1,
      sym_comment,
    ACTIONS(11080), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [230396] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    ACTIONS(11084), 1,
      anon_sym_GT,
    STATE(6945), 1,
      aux_sym_type_parameters_repeat1,
    STATE(7116), 1,
      sym_comment,
  [230415] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7833), 1,
      anon_sym_LPAREN,
    ACTIONS(11086), 1,
      anon_sym_DOT,
    STATE(5594), 1,
      sym_arguments,
    STATE(7117), 1,
      sym_comment,
  [230434] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11088), 1,
      anon_sym_COMMA,
    ACTIONS(11090), 1,
      anon_sym_RBRACK,
    STATE(6881), 1,
      aux_sym_tuple_type_repeat1,
    STATE(7118), 1,
      sym_comment,
  [230453] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7119), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [230468] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4367), 1,
      anon_sym_LBRACE,
    STATE(7120), 1,
      sym_comment,
    ACTIONS(5835), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [230485] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11092), 1,
      anon_sym_COMMA,
    ACTIONS(11094), 1,
      anon_sym_RBRACK,
    STATE(7121), 1,
      sym_comment,
    STATE(7234), 1,
      aux_sym_tuple_type_repeat1,
  [230504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7122), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [230519] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8078), 1,
      anon_sym_AMP,
    ACTIONS(8082), 1,
      anon_sym_extends,
    ACTIONS(9351), 1,
      anon_sym_PIPE,
    STATE(7123), 1,
      sym_comment,
  [230538] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11096), 1,
      anon_sym_COMMA,
    ACTIONS(11098), 1,
      anon_sym_GT,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
    STATE(7124), 1,
      sym_comment,
  [230557] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8585), 1,
      sym_identifier,
    STATE(7125), 1,
      sym_comment,
    ACTIONS(8589), 2,
      anon_sym_LBRACK,
      sym_private_property_identifier,
  [230574] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11100), 1,
      anon_sym_COMMA,
    ACTIONS(11102), 1,
      anon_sym_GT,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
    STATE(7126), 1,
      sym_comment,
  [230593] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7127), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [230608] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4367), 1,
      anon_sym_LBRACE,
    STATE(7128), 1,
      sym_comment,
    ACTIONS(5835), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [230625] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10634), 1,
      anon_sym_LBRACE,
    ACTIONS(11104), 1,
      sym_identifier,
    STATE(6517), 1,
      sym_export_clause,
    STATE(7129), 1,
      sym_comment,
  [230644] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    ACTIONS(10636), 1,
      anon_sym_as,
    STATE(7130), 1,
      sym_comment,
    STATE(7788), 1,
      sym__from_clause,
  [230663] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(11108), 1,
      anon_sym_GT,
    STATE(6970), 1,
      aux_sym_type_parameters_repeat1,
    STATE(7131), 1,
      sym_comment,
  [230682] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11110), 1,
      sym_identifier,
    ACTIONS(11112), 1,
      anon_sym_LBRACK,
    ACTIONS(11114), 1,
      sym_private_property_identifier,
    STATE(7132), 1,
      sym_comment,
  [230701] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7133), 1,
      sym_comment,
    ACTIONS(11116), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [230716] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7134), 1,
      sym_comment,
    ACTIONS(10988), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [230731] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6578), 1,
      anon_sym_RPAREN,
    STATE(7135), 1,
      sym_comment,
    STATE(7240), 1,
      aux_sym_array_repeat1,
  [230750] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6578), 1,
      anon_sym_RPAREN,
    STATE(6369), 1,
      aux_sym_array_repeat1,
    STATE(7136), 1,
      sym_comment,
  [230769] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7137), 1,
      sym_comment,
    ACTIONS(10865), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [230784] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7138), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [230799] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7139), 1,
      sym_comment,
    ACTIONS(11008), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [230814] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11118), 1,
      anon_sym_COMMA,
    ACTIONS(11120), 1,
      anon_sym_RBRACE,
    STATE(7140), 1,
      sym_comment,
    STATE(7271), 1,
      aux_sym_enum_body_repeat1,
  [230833] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9371), 1,
      anon_sym_COMMA,
    ACTIONS(11122), 1,
      anon_sym_RBRACE,
    STATE(7141), 1,
      sym_comment,
    STATE(7145), 1,
      aux_sym_object_pattern_repeat1,
  [230852] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11124), 1,
      anon_sym_COMMA,
    ACTIONS(11126), 1,
      anon_sym_RBRACE,
    STATE(7142), 1,
      sym_comment,
    STATE(7271), 1,
      aux_sym_enum_body_repeat1,
  [230871] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8693), 1,
      anon_sym_EQ,
    STATE(7143), 1,
      sym_comment,
    ACTIONS(4765), 2,
      anon_sym_in,
      anon_sym_of,
  [230888] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9371), 1,
      anon_sym_COMMA,
    ACTIONS(11128), 1,
      anon_sym_RBRACE,
    STATE(7144), 1,
      sym_comment,
    STATE(7145), 1,
      aux_sym_object_pattern_repeat1,
  [230907] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11130), 1,
      anon_sym_COMMA,
    ACTIONS(11133), 1,
      anon_sym_RBRACE,
    STATE(7145), 2,
      sym_comment,
      aux_sym_object_pattern_repeat1,
  [230924] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11135), 1,
      anon_sym_COMMA,
    ACTIONS(11137), 1,
      anon_sym_GT,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
    STATE(7146), 1,
      sym_comment,
  [230943] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11139), 1,
      anon_sym_LPAREN,
    ACTIONS(11141), 1,
      anon_sym_await,
    STATE(162), 1,
      sym__for_header,
    STATE(7147), 1,
      sym_comment,
  [230962] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10124), 1,
      sym_identifier,
    ACTIONS(10126), 1,
      anon_sym_const,
    STATE(6978), 1,
      sym_type_parameter,
    STATE(7148), 1,
      sym_comment,
  [230981] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7149), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [230996] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10353), 1,
      anon_sym_EQ,
    STATE(7150), 1,
      sym_comment,
    ACTIONS(11143), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [231013] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10355), 1,
      anon_sym_COMMA,
    ACTIONS(11145), 1,
      anon_sym_RBRACK,
    STATE(7151), 1,
      sym_comment,
    STATE(7152), 1,
      aux_sym_array_pattern_repeat1,
  [231032] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11143), 1,
      anon_sym_RBRACK,
    ACTIONS(11147), 1,
      anon_sym_COMMA,
    STATE(7152), 2,
      sym_comment,
      aux_sym_array_pattern_repeat1,
  [231049] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7153), 1,
      sym_comment,
    ACTIONS(11150), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231064] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7154), 1,
      sym_comment,
    ACTIONS(11152), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231079] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7155), 1,
      sym_comment,
    ACTIONS(10309), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231094] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7156), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231109] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7157), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231124] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7158), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231139] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7159), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231154] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11154), 1,
      anon_sym_else,
    ACTIONS(11156), 1,
      anon_sym_while,
    STATE(7160), 1,
      sym_comment,
    STATE(8070), 1,
      sym_else_clause,
  [231173] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7161), 1,
      sym_comment,
    ACTIONS(11008), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231188] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11158), 1,
      sym_identifier,
    ACTIONS(11160), 1,
      anon_sym_COLON,
    ACTIONS(11162), 1,
      anon_sym_DOT,
    STATE(7162), 1,
      sym_comment,
  [231207] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10469), 1,
      anon_sym_COMMA,
    ACTIONS(11164), 1,
      anon_sym_RPAREN,
    STATE(6630), 1,
      aux_sym_ui_signal_parameters_repeat1,
    STATE(7163), 1,
      sym_comment,
  [231226] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7164), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231241] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7165), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231256] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7166), 1,
      sym_comment,
    ACTIONS(11166), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231271] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7167), 1,
      sym_comment,
    ACTIONS(11168), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7168), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231301] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11172), 1,
      anon_sym_COLON,
    STATE(7169), 1,
      sym_comment,
    ACTIONS(11170), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [231318] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11176), 1,
      anon_sym_COLON,
    STATE(7170), 1,
      sym_comment,
    ACTIONS(11174), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [231335] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7171), 1,
      sym_comment,
    ACTIONS(11008), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7172), 1,
      sym_comment,
    ACTIONS(11178), 3,
      anon_sym_default,
      anon_sym_RBRACE,
      anon_sym_case,
  [231365] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11182), 1,
      anon_sym_COLON,
    STATE(7173), 1,
      sym_comment,
    ACTIONS(11180), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [231382] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11186), 1,
      anon_sym_COLON,
    STATE(7174), 1,
      sym_comment,
    ACTIONS(11184), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [231399] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7175), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231414] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7176), 1,
      sym_comment,
    ACTIONS(11116), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231429] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7177), 1,
      sym_comment,
    ACTIONS(11188), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231444] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7178), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231459] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7179), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231474] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7180), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231489] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7181), 1,
      sym_comment,
    ACTIONS(8716), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [231504] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7182), 1,
      sym_comment,
    ACTIONS(11190), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231519] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7183), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231534] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7184), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231549] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7185), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7186), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231579] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7187), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231594] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7188), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231609] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7189), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231624] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7190), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231639] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7191), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231654] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    ACTIONS(10636), 1,
      anon_sym_as,
    STATE(7192), 1,
      sym_comment,
    STATE(7404), 1,
      sym__from_clause,
  [231673] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7193), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231688] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11192), 1,
      anon_sym_COMMA,
    ACTIONS(11194), 1,
      anon_sym_RPAREN,
    STATE(7047), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(7194), 1,
      sym_comment,
  [231707] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7195), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231722] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7196), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231737] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7197), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231752] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4413), 1,
      anon_sym_LBRACE,
    STATE(7198), 1,
      sym_comment,
    ACTIONS(5777), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [231769] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11196), 1,
      anon_sym_COMMA,
    ACTIONS(11199), 1,
      anon_sym_RPAREN,
    STATE(7199), 2,
      sym_comment,
      aux_sym_formal_parameters_repeat1,
  [231786] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7200), 1,
      sym_comment,
    ACTIONS(11008), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231801] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8661), 1,
      anon_sym_COMMA,
    ACTIONS(11058), 1,
      anon_sym_RBRACE,
    STATE(7201), 1,
      sym_comment,
    STATE(7288), 1,
      aux_sym_object_repeat1,
  [231820] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4421), 1,
      anon_sym_LBRACE,
    STATE(7202), 1,
      sym_comment,
    ACTIONS(5775), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [231837] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10634), 1,
      anon_sym_LBRACE,
    ACTIONS(11201), 1,
      sym_identifier,
    STATE(6584), 1,
      sym_export_clause,
    STATE(7203), 1,
      sym_comment,
  [231856] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4423), 1,
      anon_sym_LBRACE,
    STATE(7204), 1,
      sym_comment,
    ACTIONS(5773), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [231873] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7205), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231888] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7206), 1,
      sym_comment,
    ACTIONS(11203), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [231903] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7207), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231918] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7208), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [231933] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(124), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8568), 1,
      anon_sym_LBRACE_PIPE,
    STATE(7209), 1,
      sym_comment,
    STATE(7543), 1,
      sym_object_type,
  [231952] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8661), 1,
      anon_sym_COMMA,
    ACTIONS(11205), 1,
      anon_sym_RBRACE,
    STATE(7210), 1,
      sym_comment,
    STATE(7288), 1,
      aux_sym_object_repeat1,
  [231971] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_LT,
    ACTIONS(11207), 1,
      anon_sym_EQ,
    STATE(7211), 1,
      sym_comment,
    STATE(8596), 1,
      sym_type_parameters,
  [231990] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7212), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232005] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7213), 1,
      sym_comment,
    ACTIONS(10865), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232020] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11209), 1,
      sym_identifier,
    ACTIONS(11211), 1,
      anon_sym_LBRACK,
    ACTIONS(11213), 1,
      sym_private_property_identifier,
    STATE(7214), 1,
      sym_comment,
  [232039] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7215), 1,
      sym_comment,
    ACTIONS(11215), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232054] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7216), 1,
      sym_comment,
    ACTIONS(11215), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232069] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7217), 1,
      sym_comment,
    ACTIONS(10420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232084] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11217), 1,
      anon_sym_LBRACE,
    STATE(7218), 1,
      sym_comment,
    ACTIONS(9397), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [232101] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11219), 1,
      sym_identifier,
    ACTIONS(11221), 1,
      anon_sym_LBRACK,
    ACTIONS(11223), 1,
      sym_private_property_identifier,
    STATE(7219), 1,
      sym_comment,
  [232120] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11225), 1,
      sym_identifier,
    ACTIONS(11227), 1,
      anon_sym_SEMI,
    ACTIONS(11229), 1,
      sym__automatic_semicolon,
    STATE(7220), 1,
      sym_comment,
  [232139] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11231), 1,
      sym_identifier,
    ACTIONS(11233), 1,
      anon_sym_SEMI,
    ACTIONS(11235), 1,
      sym__automatic_semicolon,
    STATE(7221), 1,
      sym_comment,
  [232158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7222), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232173] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11237), 1,
      sym_identifier,
    ACTIONS(11239), 1,
      anon_sym_LBRACK,
    ACTIONS(11241), 1,
      sym_private_property_identifier,
    STATE(7223), 1,
      sym_comment,
  [232192] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7224), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232207] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7225), 1,
      sym_comment,
    ACTIONS(11008), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232222] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7226), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232237] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7227), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232252] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10302), 1,
      anon_sym_COMMA,
    ACTIONS(11243), 1,
      anon_sym_RBRACE,
    STATE(6615), 1,
      aux_sym__qml_enum_body_repeat1,
    STATE(7228), 1,
      sym_comment,
  [232271] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7229), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232286] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11245), 1,
      sym_identifier,
    ACTIONS(11247), 1,
      anon_sym_SEMI,
    ACTIONS(11249), 1,
      sym__automatic_semicolon,
    STATE(7230), 1,
      sym_comment,
  [232305] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7231), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232320] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7232), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232335] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11251), 1,
      anon_sym_EQ,
    STATE(7233), 1,
      sym_comment,
    ACTIONS(10489), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [232352] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11253), 1,
      anon_sym_COMMA,
    ACTIONS(11255), 1,
      anon_sym_RBRACK,
    STATE(6881), 1,
      aux_sym_tuple_type_repeat1,
    STATE(7234), 1,
      sym_comment,
  [232371] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7235), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232386] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11257), 1,
      sym_identifier,
    ACTIONS(11259), 1,
      anon_sym_SEMI,
    ACTIONS(11261), 1,
      sym__automatic_semicolon,
    STATE(7236), 1,
      sym_comment,
  [232405] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7237), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232420] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11263), 1,
      sym_identifier,
    ACTIONS(11265), 1,
      anon_sym_LBRACK,
    ACTIONS(11267), 1,
      sym_private_property_identifier,
    STATE(7238), 1,
      sym_comment,
  [232439] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7239), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232454] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(11269), 1,
      anon_sym_RPAREN,
    STATE(6369), 1,
      aux_sym_array_repeat1,
    STATE(7240), 1,
      sym_comment,
  [232473] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7241), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232488] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7242), 1,
      sym_comment,
    ACTIONS(10984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232503] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9580), 1,
      anon_sym_LBRACE,
    STATE(7243), 1,
      sym_comment,
    ACTIONS(9582), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [232520] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11271), 1,
      sym_identifier,
    ACTIONS(11273), 1,
      anon_sym_LBRACK,
    ACTIONS(11275), 1,
      sym_private_property_identifier,
    STATE(7244), 1,
      sym_comment,
  [232539] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7245), 1,
      sym_comment,
    ACTIONS(10984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232554] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7246), 1,
      sym_comment,
    ACTIONS(10439), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232569] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7247), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232584] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7136), 1,
      sym__automatic_semicolon,
    STATE(7248), 1,
      sym_comment,
    ACTIONS(7096), 2,
      anon_sym_else,
      anon_sym_while,
  [232601] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8528), 1,
      anon_sym_DOT,
    STATE(7249), 1,
      sym_comment,
    ACTIONS(11277), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [232618] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7250), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232633] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8532), 1,
      anon_sym_DOT,
    STATE(7251), 1,
      sym_comment,
    ACTIONS(11277), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [232650] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(124), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8568), 1,
      anon_sym_LBRACE_PIPE,
    STATE(7252), 1,
      sym_comment,
    STATE(7420), 1,
      sym_object_type,
  [232669] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7253), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232684] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11279), 1,
      anon_sym_COMMA,
    ACTIONS(11281), 1,
      anon_sym_RBRACE,
    STATE(7254), 1,
      sym_comment,
    STATE(7272), 1,
      aux_sym_enum_body_repeat1,
  [232703] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11283), 1,
      anon_sym_COMMA,
    ACTIONS(11285), 1,
      anon_sym_RBRACE,
    STATE(7255), 1,
      sym_comment,
    STATE(7271), 1,
      aux_sym_enum_body_repeat1,
  [232722] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11287), 1,
      anon_sym_COMMA,
    ACTIONS(11289), 1,
      anon_sym_RBRACE,
    STATE(7256), 1,
      sym_comment,
    STATE(7271), 1,
      aux_sym_enum_body_repeat1,
  [232741] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11291), 1,
      sym_identifier,
    ACTIONS(11293), 1,
      anon_sym_LBRACK,
    ACTIONS(11295), 1,
      sym_private_property_identifier,
    STATE(7257), 1,
      sym_comment,
  [232760] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7258), 1,
      sym_comment,
    ACTIONS(10865), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232775] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11297), 1,
      anon_sym_COMMA,
    ACTIONS(11299), 1,
      anon_sym_RBRACE,
    STATE(7255), 1,
      aux_sym_enum_body_repeat1,
    STATE(7259), 1,
      sym_comment,
  [232794] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7260), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232809] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7261), 1,
      sym_comment,
    ACTIONS(11008), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232824] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11301), 1,
      sym_identifier,
    STATE(3652), 1,
      sym_decorator_member_expression,
    STATE(3994), 1,
      sym_decorator_call_expression,
    STATE(7262), 1,
      sym_comment,
  [232843] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8797), 1,
      anon_sym_LBRACE,
    ACTIONS(8799), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1184), 1,
      sym_object_type,
    STATE(7263), 1,
      sym_comment,
  [232862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11303), 1,
      anon_sym_COMMA,
    ACTIONS(11306), 1,
      anon_sym_RBRACK,
    STATE(7264), 2,
      sym_comment,
      aux_sym_ui_object_array_repeat1,
  [232879] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8532), 1,
      anon_sym_DOT,
    STATE(7265), 1,
      sym_comment,
    ACTIONS(11308), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [232896] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8528), 1,
      anon_sym_DOT,
    STATE(7266), 1,
      sym_comment,
    ACTIONS(11308), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [232913] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8797), 1,
      anon_sym_LBRACE,
    ACTIONS(8799), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1145), 1,
      sym_object_type,
    STATE(7267), 1,
      sym_comment,
  [232932] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7268), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [232947] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8661), 1,
      anon_sym_COMMA,
    ACTIONS(11310), 1,
      anon_sym_RBRACE,
    STATE(7269), 1,
      sym_comment,
    STATE(7288), 1,
      aux_sym_object_repeat1,
  [232966] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11312), 1,
      anon_sym_COMMA,
    ACTIONS(11314), 1,
      anon_sym_RBRACE,
    STATE(7270), 1,
      sym_comment,
    STATE(7271), 1,
      aux_sym_enum_body_repeat1,
  [232985] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11316), 1,
      anon_sym_COMMA,
    ACTIONS(11319), 1,
      anon_sym_RBRACE,
    STATE(7271), 2,
      sym_comment,
      aux_sym_enum_body_repeat1,
  [233002] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11321), 1,
      anon_sym_COMMA,
    ACTIONS(11323), 1,
      anon_sym_RBRACE,
    STATE(7271), 1,
      aux_sym_enum_body_repeat1,
    STATE(7272), 1,
      sym_comment,
  [233021] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7273), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233036] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7274), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233051] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11325), 1,
      anon_sym_COMMA,
    ACTIONS(11327), 1,
      anon_sym_RBRACE,
    STATE(7271), 1,
      aux_sym_enum_body_repeat1,
    STATE(7275), 1,
      sym_comment,
  [233070] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11329), 1,
      anon_sym_COMMA,
    ACTIONS(11331), 1,
      anon_sym_RBRACE,
    STATE(7271), 1,
      aux_sym_enum_body_repeat1,
    STATE(7276), 1,
      sym_comment,
  [233089] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7277), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233104] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7278), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233119] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11333), 1,
      anon_sym_COMMA,
    ACTIONS(11335), 1,
      anon_sym_RBRACE,
    STATE(7275), 1,
      aux_sym_enum_body_repeat1,
    STATE(7279), 1,
      sym_comment,
  [233138] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8655), 1,
      anon_sym_LBRACE,
    ACTIONS(8657), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1341), 1,
      sym_object_type,
    STATE(7280), 1,
      sym_comment,
  [233157] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8532), 1,
      anon_sym_DOT,
    STATE(7281), 1,
      sym_comment,
    ACTIONS(11337), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [233174] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7282), 1,
      sym_comment,
    ACTIONS(11008), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233189] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8528), 1,
      anon_sym_DOT,
    STATE(7283), 1,
      sym_comment,
    ACTIONS(11337), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [233206] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11339), 1,
      anon_sym_LBRACE,
    ACTIONS(11341), 1,
      anon_sym_LPAREN,
    STATE(1066), 1,
      sym_statement_block,
    STATE(7284), 1,
      sym_comment,
  [233225] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11343), 1,
      anon_sym_LBRACE,
    STATE(7285), 1,
      sym_comment,
    ACTIONS(9754), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [233242] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7286), 1,
      sym_comment,
    ACTIONS(10882), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233257] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(11345), 1,
      anon_sym_RPAREN,
    STATE(6369), 1,
      aux_sym_array_repeat1,
    STATE(7287), 1,
      sym_comment,
  [233276] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11347), 1,
      anon_sym_COMMA,
    ACTIONS(11350), 1,
      anon_sym_RBRACE,
    STATE(7288), 2,
      sym_comment,
      aux_sym_object_repeat1,
  [233293] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7289), 1,
      sym_comment,
    ACTIONS(10865), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233308] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11352), 1,
      sym_identifier,
    ACTIONS(11354), 1,
      anon_sym_LBRACK,
    ACTIONS(11356), 1,
      sym_private_property_identifier,
    STATE(7290), 1,
      sym_comment,
  [233327] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4741), 1,
      anon_sym_LBRACE,
    ACTIONS(9885), 1,
      anon_sym_DOT,
    STATE(7291), 1,
      sym_comment,
    STATE(7597), 1,
      sym_ui_object_initializer,
  [233346] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8655), 1,
      anon_sym_LBRACE,
    ACTIONS(8657), 1,
      anon_sym_LBRACE_PIPE,
    STATE(1308), 1,
      sym_object_type,
    STATE(7292), 1,
      sym_comment,
  [233365] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7293), 1,
      sym_comment,
    ACTIONS(6601), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233380] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11358), 1,
      anon_sym_COMMA,
    ACTIONS(11360), 1,
      anon_sym_GT,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
    STATE(7294), 1,
      sym_comment,
  [233399] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7072), 1,
      sym__automatic_semicolon,
    STATE(7295), 1,
      sym_comment,
    ACTIONS(6988), 2,
      anon_sym_else,
      anon_sym_while,
  [233416] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11362), 1,
      anon_sym_COMMA,
    ACTIONS(11364), 1,
      anon_sym_GT,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
    STATE(7296), 1,
      sym_comment,
  [233435] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7067), 1,
      sym__automatic_semicolon,
    STATE(7297), 1,
      sym_comment,
    ACTIONS(6986), 2,
      anon_sym_else,
      anon_sym_while,
  [233452] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11366), 1,
      anon_sym_COMMA,
    ACTIONS(11368), 1,
      anon_sym_GT,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
    STATE(7298), 1,
      sym_comment,
  [233471] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7061), 1,
      sym__automatic_semicolon,
    STATE(7299), 1,
      sym_comment,
    ACTIONS(6968), 2,
      anon_sym_else,
      anon_sym_while,
  [233488] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6603), 1,
      anon_sym_RPAREN,
    STATE(7300), 1,
      sym_comment,
    STATE(7338), 1,
      aux_sym_array_repeat1,
  [233507] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6603), 1,
      anon_sym_RPAREN,
    STATE(6369), 1,
      aux_sym_array_repeat1,
    STATE(7301), 1,
      sym_comment,
  [233526] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6970), 1,
      sym__automatic_semicolon,
    STATE(7302), 1,
      sym_comment,
    ACTIONS(6850), 2,
      anon_sym_else,
      anon_sym_while,
  [233543] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7303), 1,
      sym_comment,
    ACTIONS(10865), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233558] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6616), 1,
      anon_sym_RPAREN,
    STATE(6369), 1,
      aux_sym_array_repeat1,
    STATE(7304), 1,
      sym_comment,
  [233577] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(6616), 1,
      anon_sym_RPAREN,
    STATE(7287), 1,
      aux_sym_array_repeat1,
    STATE(7305), 1,
      sym_comment,
  [233596] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11370), 1,
      anon_sym_COMMA,
    ACTIONS(11372), 1,
      anon_sym_GT,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
    STATE(7306), 1,
      sym_comment,
  [233615] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11374), 1,
      anon_sym_COMMA,
    ACTIONS(11376), 1,
      anon_sym_GT,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
    STATE(7307), 1,
      sym_comment,
  [233634] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_COMMA,
    ACTIONS(11380), 1,
      anon_sym_GT,
    STATE(7029), 1,
      aux_sym_type_arguments_repeat1,
    STATE(7308), 1,
      sym_comment,
  [233653] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5741), 1,
      anon_sym_LBRACE,
    STATE(7309), 1,
      sym_comment,
    ACTIONS(5743), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [233670] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7310), 1,
      sym_comment,
    ACTIONS(10865), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233685] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7311), 1,
      sym_comment,
    ACTIONS(8649), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [233700] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11382), 1,
      anon_sym_COMMA,
    ACTIONS(11384), 1,
      anon_sym_RPAREN,
    STATE(7199), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(7312), 1,
      sym_comment,
  [233719] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5769), 1,
      anon_sym_LBRACE,
    STATE(7313), 1,
      sym_comment,
    ACTIONS(5771), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [233736] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7314), 1,
      sym_comment,
    ACTIONS(11008), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233751] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7315), 1,
      sym_comment,
    ACTIONS(10420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233766] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11386), 1,
      anon_sym_LBRACE,
    ACTIONS(11388), 1,
      anon_sym_LPAREN,
    STATE(1053), 1,
      sym_statement_block,
    STATE(7316), 1,
      sym_comment,
  [233785] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11390), 1,
      sym_identifier,
    ACTIONS(11392), 1,
      anon_sym_LBRACK,
    ACTIONS(11394), 1,
      sym_private_property_identifier,
    STATE(7317), 1,
      sym_comment,
  [233804] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7318), 1,
      sym_comment,
    ACTIONS(10984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233819] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7319), 1,
      sym_comment,
    ACTIONS(11396), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233834] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7320), 1,
      sym_comment,
    ACTIONS(11396), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233849] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7321), 1,
      sym_comment,
    ACTIONS(10890), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233864] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7322), 1,
      sym_comment,
    ACTIONS(11398), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233879] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7323), 1,
      sym_comment,
    ACTIONS(10984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233894] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11400), 1,
      anon_sym_LBRACE,
    ACTIONS(11402), 1,
      anon_sym_LPAREN,
    STATE(4071), 1,
      sym_statement_block,
    STATE(7324), 1,
      sym_comment,
  [233913] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1569), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8597), 1,
      anon_sym_LBRACE_PIPE,
    STATE(6160), 1,
      sym_object_type,
    STATE(7325), 1,
      sym_comment,
  [233932] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7326), 1,
      sym_comment,
    ACTIONS(11008), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233947] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7327), 1,
      sym_comment,
    ACTIONS(11404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [233962] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11406), 1,
      sym_identifier,
    ACTIONS(11408), 1,
      anon_sym_SEMI,
    ACTIONS(11410), 1,
      sym__automatic_semicolon,
    STATE(7328), 1,
      sym_comment,
  [233981] = 6,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11412), 1,
      sym_identifier,
    ACTIONS(11414), 1,
      anon_sym_SEMI,
    ACTIONS(11416), 1,
      sym__automatic_semicolon,
    STATE(7329), 1,
      sym_comment,
  [234000] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7330), 1,
      sym_comment,
    ACTIONS(11008), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234015] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7331), 1,
      sym_comment,
    ACTIONS(11008), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234030] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9086), 1,
      anon_sym_COMMA,
    ACTIONS(11418), 1,
      anon_sym_LBRACE,
    STATE(6597), 1,
      aux_sym_implements_clause_repeat1,
    STATE(7332), 1,
      sym_comment,
  [234049] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7333), 1,
      sym_comment,
    ACTIONS(10420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234064] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7334), 1,
      sym_comment,
    ACTIONS(6653), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [234079] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7335), 1,
      sym_comment,
    ACTIONS(11420), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234094] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10831), 1,
      anon_sym_COMMA,
    ACTIONS(11422), 1,
      anon_sym_RBRACK,
    STATE(7264), 1,
      aux_sym_ui_object_array_repeat1,
    STATE(7336), 1,
      sym_comment,
  [234113] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7337), 1,
      sym_comment,
    ACTIONS(10865), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234128] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(11424), 1,
      anon_sym_RPAREN,
    STATE(6369), 1,
      aux_sym_array_repeat1,
    STATE(7338), 1,
      sym_comment,
  [234147] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7339), 1,
      sym_comment,
    ACTIONS(11404), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234162] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7340), 1,
      sym_comment,
    ACTIONS(11426), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234177] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7341), 1,
      sym_comment,
    ACTIONS(11428), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234192] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7342), 1,
      sym_comment,
    ACTIONS(11426), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234207] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7343), 1,
      sym_comment,
    ACTIONS(10984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234222] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7344), 1,
      sym_comment,
    ACTIONS(11396), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234237] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7345), 1,
      sym_comment,
    ACTIONS(10984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234252] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7346), 1,
      sym_comment,
    ACTIONS(10984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234267] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7347), 1,
      sym_comment,
    ACTIONS(11008), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234282] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6447), 1,
      anon_sym_COMMA,
    ACTIONS(11430), 1,
      anon_sym_RBRACK,
    STATE(6369), 1,
      aux_sym_array_repeat1,
    STATE(7348), 1,
      sym_comment,
  [234301] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8528), 1,
      anon_sym_DOT,
    STATE(7349), 1,
      sym_comment,
    ACTIONS(11432), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [234318] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8532), 1,
      anon_sym_DOT,
    STATE(7350), 1,
      sym_comment,
    ACTIONS(11432), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [234335] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7351), 1,
      sym_comment,
    ACTIONS(10906), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7352), 1,
      sym_comment,
    ACTIONS(11008), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234365] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11434), 1,
      anon_sym_COMMA,
    ACTIONS(11436), 1,
      anon_sym_RBRACE,
    STATE(7271), 1,
      aux_sym_enum_body_repeat1,
    STATE(7353), 1,
      sym_comment,
  [234384] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7354), 1,
      sym_comment,
    ACTIONS(11438), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234399] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6980), 1,
      sym__automatic_semicolon,
    STATE(7355), 1,
      sym_comment,
    ACTIONS(6868), 2,
      anon_sym_else,
      anon_sym_while,
  [234416] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11440), 1,
      anon_sym_COMMA,
    ACTIONS(11442), 1,
      anon_sym_RBRACE,
    STATE(7271), 1,
      aux_sym_enum_body_repeat1,
    STATE(7356), 1,
      sym_comment,
  [234435] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6912), 1,
      sym__automatic_semicolon,
    STATE(7357), 1,
      sym_comment,
    ACTIONS(6858), 2,
      anon_sym_else,
      anon_sym_while,
  [234452] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1569), 1,
      anon_sym_LBRACE,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8597), 1,
      anon_sym_LBRACE_PIPE,
    STATE(6129), 1,
      sym_object_type,
    STATE(7358), 1,
      sym_comment,
  [234471] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6924), 1,
      sym__automatic_semicolon,
    STATE(7359), 1,
      sym_comment,
    ACTIONS(6856), 2,
      anon_sym_else,
      anon_sym_while,
  [234488] = 6,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11444), 1,
      anon_sym_COMMA,
    ACTIONS(11446), 1,
      anon_sym_RBRACE,
    STATE(7353), 1,
      aux_sym_enum_body_repeat1,
    STATE(7360), 1,
      sym_comment,
  [234507] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7361), 1,
      sym_comment,
    ACTIONS(10984), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [234522] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7362), 1,
      sym_comment,
    ACTIONS(11448), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [234536] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3255), 1,
      sym_statement_block,
    STATE(7363), 1,
      sym_comment,
  [234552] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7364), 1,
      sym_comment,
    ACTIONS(9686), 2,
      anon_sym_else,
      anon_sym_while,
  [234566] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7365), 1,
      sym_comment,
    ACTIONS(9610), 2,
      anon_sym_else,
      anon_sym_while,
  [234580] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3518), 1,
      sym_class_body,
    STATE(7366), 1,
      sym_comment,
  [234596] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    STATE(1329), 1,
      sym_class_body,
    STATE(7367), 1,
      sym_comment,
  [234612] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3228), 1,
      sym_statement_block,
    STATE(7368), 1,
      sym_comment,
  [234628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    STATE(1327), 1,
      sym_class_body,
    STATE(7369), 1,
      sym_comment,
  [234644] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7370), 1,
      sym_comment,
    ACTIONS(11450), 2,
      anon_sym_else,
      anon_sym_while,
  [234658] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3164), 1,
      sym_statement_block,
    STATE(7371), 1,
      sym_comment,
  [234674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11452), 1,
      anon_sym_SEMI,
    ACTIONS(11454), 1,
      sym__automatic_semicolon,
    STATE(7372), 1,
      sym_comment,
  [234690] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    STATE(3515), 1,
      sym_statement_block,
    STATE(7373), 1,
      sym_comment,
  [234706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(6083), 1,
      sym_class_body,
    STATE(7374), 1,
      sym_comment,
  [234722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3173), 1,
      sym_statement_block,
    STATE(7375), 1,
      sym_comment,
  [234738] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7376), 1,
      sym_comment,
    ACTIONS(11456), 2,
      anon_sym_else,
      anon_sym_while,
  [234752] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(6136), 1,
      sym_class_body,
    STATE(7377), 1,
      sym_comment,
  [234768] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    STATE(3519), 1,
      sym_statement_block,
    STATE(7378), 1,
      sym_comment,
  [234784] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3513), 1,
      sym_class_body,
    STATE(7379), 1,
      sym_comment,
  [234800] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(5976), 1,
      sym_class_body,
    STATE(7380), 1,
      sym_comment,
  [234816] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3521), 1,
      sym_class_body,
    STATE(7381), 1,
      sym_comment,
  [234832] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11339), 1,
      anon_sym_LBRACE,
    STATE(1074), 1,
      sym_statement_block,
    STATE(7382), 1,
      sym_comment,
  [234848] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11458), 1,
      anon_sym_SEMI,
    ACTIONS(11460), 1,
      sym__automatic_semicolon,
    STATE(7383), 1,
      sym_comment,
  [234864] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    STATE(1317), 1,
      sym_class_body,
    STATE(7384), 1,
      sym_comment,
  [234880] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7385), 1,
      sym_comment,
    ACTIONS(11462), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [234894] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7386), 1,
      sym_comment,
    ACTIONS(11464), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [234908] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7387), 1,
      sym_comment,
    ACTIONS(6472), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [234922] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(6025), 1,
      sym_class_body,
    STATE(7388), 1,
      sym_comment,
  [234938] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11339), 1,
      anon_sym_LBRACE,
    STATE(1076), 1,
      sym_statement_block,
    STATE(7389), 1,
      sym_comment,
  [234954] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_statement_block,
    STATE(7390), 1,
      sym_comment,
  [234970] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7391), 1,
      sym_comment,
    ACTIONS(11466), 2,
      anon_sym_else,
      anon_sym_while,
  [234984] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7392), 1,
      sym_comment,
    ACTIONS(11468), 2,
      anon_sym_else,
      anon_sym_while,
  [234998] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    STATE(1378), 1,
      sym_class_body,
    STATE(7393), 1,
      sym_comment,
  [235014] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7394), 1,
      sym_comment,
    ACTIONS(11470), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [235028] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11472), 1,
      anon_sym_SEMI,
    ACTIONS(11474), 1,
      sym__automatic_semicolon,
    STATE(7395), 1,
      sym_comment,
  [235044] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(139), 1,
      sym_parenthesized_expression,
    STATE(7396), 1,
      sym_comment,
  [235060] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11478), 1,
      anon_sym_LBRACE,
    STATE(963), 1,
      sym_statement_block,
    STATE(7397), 1,
      sym_comment,
  [235076] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7398), 1,
      sym_comment,
    ACTIONS(9704), 2,
      anon_sym_else,
      anon_sym_while,
  [235090] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7399), 1,
      sym_comment,
    ACTIONS(6193), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [235104] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7400), 1,
      sym_comment,
    ACTIONS(9665), 2,
      anon_sym_else,
      anon_sym_while,
  [235118] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7401), 1,
      sym_comment,
    ACTIONS(11480), 2,
      anon_sym_else,
      anon_sym_while,
  [235132] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7402), 1,
      sym_comment,
    ACTIONS(9663), 2,
      anon_sym_else,
      anon_sym_while,
  [235146] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    STATE(3746), 1,
      sym_statement_block,
    STATE(7403), 1,
      sym_comment,
  [235162] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11482), 1,
      anon_sym_SEMI,
    ACTIONS(11484), 1,
      sym__automatic_semicolon,
    STATE(7404), 1,
      sym_comment,
  [235178] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7405), 1,
      sym_comment,
    ACTIONS(9659), 2,
      anon_sym_else,
      anon_sym_while,
  [235192] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7406), 1,
      sym_comment,
    ACTIONS(9655), 2,
      anon_sym_else,
      anon_sym_while,
  [235206] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7407), 1,
      sym_comment,
    ACTIONS(11486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [235220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7408), 1,
      sym_comment,
    ACTIONS(9828), 2,
      anon_sym_else,
      anon_sym_while,
  [235234] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7409), 1,
      sym_comment,
    ACTIONS(9828), 2,
      anon_sym_else,
      anon_sym_while,
  [235248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11488), 1,
      anon_sym_LBRACE,
    STATE(1108), 1,
      sym_switch_body,
    STATE(7410), 1,
      sym_comment,
  [235264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7411), 1,
      sym_comment,
    ACTIONS(11490), 2,
      anon_sym_else,
      anon_sym_while,
  [235278] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3288), 1,
      sym_statement_block,
    STATE(7412), 1,
      sym_comment,
  [235294] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7413), 1,
      sym_comment,
    ACTIONS(9720), 2,
      anon_sym_else,
      anon_sym_while,
  [235308] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11492), 1,
      anon_sym_LBRACE,
    STATE(4433), 1,
      sym_statement_block,
    STATE(7414), 1,
      sym_comment,
  [235324] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7415), 1,
      sym_comment,
    ACTIONS(11494), 2,
      anon_sym_else,
      anon_sym_while,
  [235338] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    STATE(3752), 1,
      sym_statement_block,
    STATE(7416), 1,
      sym_comment,
  [235354] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    STATE(3751), 1,
      sym_statement_block,
    STATE(7417), 1,
      sym_comment,
  [235370] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7418), 1,
      sym_comment,
    ACTIONS(9544), 2,
      anon_sym_else,
      anon_sym_while,
  [235384] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7419), 1,
      sym_comment,
    ACTIONS(9722), 2,
      anon_sym_else,
      anon_sym_while,
  [235398] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7420), 1,
      sym_comment,
    ACTIONS(9724), 2,
      anon_sym_else,
      anon_sym_while,
  [235412] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3249), 1,
      sym_statement_block,
    STATE(7421), 1,
      sym_comment,
  [235428] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7422), 1,
      sym_comment,
    ACTIONS(9730), 2,
      anon_sym_else,
      anon_sym_while,
  [235442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7423), 1,
      sym_comment,
    ACTIONS(9732), 2,
      anon_sym_else,
      anon_sym_while,
  [235456] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    STATE(3681), 1,
      sym_statement_block,
    STATE(7424), 1,
      sym_comment,
  [235472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7425), 1,
      sym_comment,
    ACTIONS(9624), 2,
      anon_sym_else,
      anon_sym_while,
  [235486] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7426), 1,
      sym_comment,
    ACTIONS(9734), 2,
      anon_sym_else,
      anon_sym_while,
  [235500] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9678), 1,
      anon_sym_LBRACE,
    STATE(1248), 1,
      sym_statement_block,
    STATE(7427), 1,
      sym_comment,
  [235516] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7428), 1,
      sym_comment,
    ACTIONS(2330), 2,
      anon_sym_else,
      anon_sym_while,
  [235530] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6391), 1,
      sym__from_clause,
    STATE(7429), 1,
      sym_comment,
  [235546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3556), 1,
      sym_class_body,
    STATE(7430), 1,
      sym_comment,
  [235562] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7431), 1,
      sym_comment,
    ACTIONS(9734), 2,
      anon_sym_else,
      anon_sym_while,
  [235576] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11496), 1,
      anon_sym_LPAREN,
    STATE(1055), 1,
      sym_parenthesized_expression,
    STATE(7432), 1,
      sym_comment,
  [235592] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(5463), 1,
      sym_formal_parameters,
    STATE(7433), 1,
      sym_comment,
  [235608] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11400), 1,
      anon_sym_LBRACE,
    STATE(4048), 1,
      sym_statement_block,
    STATE(7434), 1,
      sym_comment,
  [235624] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11390), 1,
      sym_identifier,
    ACTIONS(11394), 1,
      sym_private_property_identifier,
    STATE(7435), 1,
      sym_comment,
  [235640] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11498), 1,
      anon_sym_LBRACE,
    STATE(6183), 1,
      sym_enum_body,
    STATE(7436), 1,
      sym_comment,
  [235656] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7437), 1,
      sym_comment,
    ACTIONS(11500), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [235670] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7438), 1,
      sym_comment,
    ACTIONS(11502), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [235684] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7439), 1,
      sym_comment,
    ACTIONS(9734), 2,
      anon_sym_else,
      anon_sym_while,
  [235698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7440), 1,
      sym_comment,
    ACTIONS(6245), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [235712] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7441), 1,
      sym_comment,
    ACTIONS(11504), 2,
      anon_sym_else,
      anon_sym_while,
  [235726] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7442), 1,
      sym_comment,
    ACTIONS(6247), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [235740] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7443), 1,
      sym_comment,
    ACTIONS(11506), 2,
      anon_sym_else,
      anon_sym_while,
  [235754] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7444), 1,
      sym_comment,
    ACTIONS(11508), 2,
      anon_sym_else,
      anon_sym_while,
  [235768] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11510), 1,
      anon_sym_LBRACE,
    STATE(1262), 1,
      sym_statement_block,
    STATE(7445), 1,
      sym_comment,
  [235784] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7446), 1,
      sym_comment,
    ACTIONS(11512), 2,
      anon_sym_else,
      anon_sym_while,
  [235798] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11514), 1,
      anon_sym_LBRACE,
    STATE(1265), 1,
      sym_enum_body,
    STATE(7447), 1,
      sym_comment,
  [235814] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7448), 1,
      sym_comment,
    ACTIONS(11512), 2,
      anon_sym_else,
      anon_sym_while,
  [235828] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11516), 1,
      sym_identifier,
    ACTIONS(11518), 1,
      sym_private_property_identifier,
    STATE(7449), 1,
      sym_comment,
  [235844] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7450), 1,
      sym_comment,
    ACTIONS(2444), 2,
      anon_sym_else,
      anon_sym_while,
  [235858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7451), 1,
      sym_comment,
    ACTIONS(9983), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [235872] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11520), 1,
      anon_sym_LBRACE,
    STATE(1251), 1,
      sym_statement_block,
    STATE(7452), 1,
      sym_comment,
  [235888] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7453), 1,
      sym_comment,
    ACTIONS(11522), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [235902] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3161), 1,
      sym_statement_block,
    STATE(7454), 1,
      sym_comment,
  [235918] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3155), 1,
      sym_statement_block,
    STATE(7455), 1,
      sym_comment,
  [235934] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7456), 1,
      sym_comment,
    ACTIONS(11524), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [235948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11526), 1,
      anon_sym_SEMI,
    ACTIONS(11528), 1,
      sym__automatic_semicolon,
    STATE(7457), 1,
      sym_comment,
  [235964] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7458), 1,
      sym_comment,
    ACTIONS(11530), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [235978] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7459), 1,
      sym_comment,
    ACTIONS(9736), 2,
      anon_sym_else,
      anon_sym_while,
  [235992] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3154), 1,
      sym_statement_block,
    STATE(7460), 1,
      sym_comment,
  [236008] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11532), 1,
      anon_sym_SEMI,
    ACTIONS(11534), 1,
      sym__automatic_semicolon,
    STATE(7461), 1,
      sym_comment,
  [236024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7462), 1,
      sym_comment,
    ACTIONS(11536), 2,
      anon_sym_else,
      anon_sym_while,
  [236038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7463), 1,
      sym_comment,
    ACTIONS(6492), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [236052] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7464), 1,
      sym_comment,
    ACTIONS(11538), 2,
      anon_sym_else,
      anon_sym_while,
  [236066] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7465), 1,
      sym_comment,
    ACTIONS(6542), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [236080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7466), 1,
      sym_comment,
    ACTIONS(11468), 2,
      anon_sym_else,
      anon_sym_while,
  [236094] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3236), 1,
      sym_statement_block,
    STATE(7467), 1,
      sym_comment,
  [236110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7468), 1,
      sym_comment,
    ACTIONS(9672), 2,
      anon_sym_else,
      anon_sym_while,
  [236124] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9678), 1,
      anon_sym_LBRACE,
    STATE(1070), 1,
      sym_statement_block,
    STATE(7469), 1,
      sym_comment,
  [236140] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11540), 1,
      anon_sym_SEMI,
    ACTIONS(11542), 1,
      sym__automatic_semicolon,
    STATE(7470), 1,
      sym_comment,
  [236156] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11544), 1,
      anon_sym_SEMI,
    ACTIONS(11546), 1,
      sym__automatic_semicolon,
    STATE(7471), 1,
      sym_comment,
  [236172] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7472), 1,
      sym_comment,
    ACTIONS(9738), 2,
      anon_sym_else,
      anon_sym_while,
  [236186] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9778), 1,
      anon_sym_LBRACE,
    STATE(1421), 1,
      sym_statement_block,
    STATE(7473), 1,
      sym_comment,
  [236202] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3185), 1,
      sym_statement_block,
    STATE(7474), 1,
      sym_comment,
  [236218] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7475), 1,
      sym_comment,
    ACTIONS(11548), 2,
      anon_sym_else,
      anon_sym_while,
  [236232] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11550), 1,
      anon_sym_SEMI,
    ACTIONS(11552), 1,
      sym__automatic_semicolon,
    STATE(7476), 1,
      sym_comment,
  [236248] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11554), 1,
      anon_sym_SEMI,
    ACTIONS(11556), 1,
      sym__automatic_semicolon,
    STATE(7477), 1,
      sym_comment,
  [236264] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3187), 1,
      sym_statement_block,
    STATE(7478), 1,
      sym_comment,
  [236280] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11068), 1,
      anon_sym_LBRACE,
    STATE(1642), 1,
      sym_statement_block,
    STATE(7479), 1,
      sym_comment,
  [236296] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    STATE(7480), 1,
      sym_comment,
    STATE(7498), 1,
      sym_class_body,
  [236312] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7481), 1,
      sym_comment,
    ACTIONS(11558), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [236326] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7482), 1,
      sym_comment,
    ACTIONS(10064), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [236340] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11560), 1,
      sym_identifier,
    STATE(6665), 1,
      sym_ui_simple_nested_identifier,
    STATE(7483), 1,
      sym_comment,
  [236356] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11514), 1,
      anon_sym_LBRACE,
    STATE(1288), 1,
      sym_enum_body,
    STATE(7484), 1,
      sym_comment,
  [236372] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11562), 1,
      anon_sym_LPAREN,
    STATE(1035), 1,
      sym_parenthesized_expression,
    STATE(7485), 1,
      sym_comment,
  [236388] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8256), 1,
      anon_sym_LBRACE,
    STATE(411), 1,
      sym_class_body,
    STATE(7486), 1,
      sym_comment,
  [236404] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7487), 1,
      sym_comment,
    ACTIONS(11564), 2,
      anon_sym_else,
      anon_sym_while,
  [236418] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3229), 1,
      sym_statement_block,
    STATE(7488), 1,
      sym_comment,
  [236434] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7489), 1,
      sym_comment,
    ACTIONS(9667), 2,
      anon_sym_else,
      anon_sym_while,
  [236448] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7490), 1,
      sym_comment,
    ACTIONS(9598), 2,
      anon_sym_else,
      anon_sym_while,
  [236462] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3231), 1,
      sym_statement_block,
    STATE(7491), 1,
      sym_comment,
  [236478] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7492), 1,
      sym_comment,
    ACTIONS(9657), 2,
      anon_sym_else,
      anon_sym_while,
  [236492] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7493), 1,
      sym_comment,
    ACTIONS(9657), 2,
      anon_sym_else,
      anon_sym_while,
  [236506] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7494), 1,
      sym_comment,
    ACTIONS(9596), 2,
      anon_sym_else,
      anon_sym_while,
  [236520] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(7302), 1,
      sym_class_body,
    STATE(7495), 1,
      sym_comment,
  [236536] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7496), 1,
      sym_comment,
    ACTIONS(11566), 2,
      anon_sym_else,
      anon_sym_while,
  [236550] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(146), 1,
      sym_parenthesized_expression,
    STATE(7497), 1,
      sym_comment,
  [236566] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7498), 1,
      sym_comment,
    ACTIONS(9590), 2,
      anon_sym_else,
      anon_sym_while,
  [236580] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11568), 1,
      anon_sym_LBRACE,
    STATE(3787), 1,
      sym_statement_block,
    STATE(7499), 1,
      sym_comment,
  [236596] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7500), 1,
      sym_comment,
    ACTIONS(6413), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [236610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3616), 1,
      sym_class_body,
    STATE(7501), 1,
      sym_comment,
  [236626] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11570), 1,
      anon_sym_SEMI,
    ACTIONS(11572), 1,
      sym__automatic_semicolon,
    STATE(7502), 1,
      sym_comment,
  [236642] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7503), 1,
      sym_comment,
    ACTIONS(11574), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [236656] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8296), 1,
      anon_sym_LBRACE,
    STATE(1171), 1,
      sym_class_body,
    STATE(7504), 1,
      sym_comment,
  [236672] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(5247), 1,
      sym_formal_parameters,
    STATE(7505), 1,
      sym_comment,
  [236688] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11576), 1,
      sym_identifier,
    ACTIONS(11578), 1,
      anon_sym_STAR,
    STATE(7506), 1,
      sym_comment,
  [236704] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7507), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [236718] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11582), 1,
      sym_identifier,
    STATE(7508), 1,
      sym_comment,
    STATE(7982), 1,
      sym__qml_enum_assignment,
  [236734] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7509), 1,
      sym_comment,
    ACTIONS(11584), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [236748] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7510), 1,
      sym_comment,
    ACTIONS(11586), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [236762] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7511), 1,
      sym_comment,
    ACTIONS(11588), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [236776] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11510), 1,
      anon_sym_LBRACE,
    STATE(1462), 1,
      sym_statement_block,
    STATE(7512), 1,
      sym_comment,
  [236792] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11590), 1,
      sym_identifier,
    ACTIONS(11592), 1,
      anon_sym_STAR,
    STATE(7513), 1,
      sym_comment,
  [236808] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11594), 1,
      anon_sym_SEMI,
    ACTIONS(11596), 1,
      sym__automatic_semicolon,
    STATE(7514), 1,
      sym_comment,
  [236824] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8256), 1,
      anon_sym_LBRACE,
    STATE(407), 1,
      sym_class_body,
    STATE(7515), 1,
      sym_comment,
  [236840] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7516), 1,
      sym_comment,
    ACTIONS(11598), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [236854] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9692), 1,
      anon_sym_LBRACE,
    STATE(413), 1,
      sym_statement_block,
    STATE(7517), 1,
      sym_comment,
  [236870] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8284), 1,
      anon_sym_LBRACE,
    STATE(1339), 1,
      sym_class_body,
    STATE(7518), 1,
      sym_comment,
  [236886] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7519), 1,
      sym_comment,
    ACTIONS(11600), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [236900] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7520), 1,
      sym_comment,
    ACTIONS(6488), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [236914] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11602), 1,
      sym_identifier,
    ACTIONS(11604), 1,
      anon_sym_STAR,
    STATE(7521), 1,
      sym_comment,
  [236930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11498), 1,
      anon_sym_LBRACE,
    STATE(6206), 1,
      sym_enum_body,
    STATE(7522), 1,
      sym_comment,
  [236946] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7523), 1,
      sym_comment,
    ACTIONS(6550), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [236960] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8256), 1,
      anon_sym_LBRACE,
    STATE(396), 1,
      sym_class_body,
    STATE(7524), 1,
      sym_comment,
  [236976] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7525), 1,
      sym_comment,
    ACTIONS(10489), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [236990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8526), 1,
      anon_sym_LBRACE,
    STATE(6208), 1,
      sym_statement_block,
    STATE(7526), 1,
      sym_comment,
  [237006] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7527), 1,
      sym_comment,
    ACTIONS(11606), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [237020] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(1716), 1,
      sym_class_body,
    STATE(7528), 1,
      sym_comment,
  [237036] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8296), 1,
      anon_sym_LBRACE,
    STATE(1098), 1,
      sym_class_body,
    STATE(7529), 1,
      sym_comment,
  [237052] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11068), 1,
      anon_sym_LBRACE,
    STATE(1650), 1,
      sym_statement_block,
    STATE(7530), 1,
      sym_comment,
  [237068] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8296), 1,
      anon_sym_LBRACE,
    STATE(1097), 1,
      sym_class_body,
    STATE(7531), 1,
      sym_comment,
  [237084] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7532), 1,
      sym_comment,
    ACTIONS(9877), 2,
      anon_sym_else,
      anon_sym_while,
  [237098] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    STATE(7418), 1,
      sym_class_body,
    STATE(7533), 1,
      sym_comment,
  [237114] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11608), 1,
      anon_sym_SEMI,
    ACTIONS(11610), 1,
      sym__automatic_semicolon,
    STATE(7534), 1,
      sym_comment,
  [237130] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9692), 1,
      anon_sym_LBRACE,
    STATE(410), 1,
      sym_statement_block,
    STATE(7535), 1,
      sym_comment,
  [237146] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8284), 1,
      anon_sym_LBRACE,
    STATE(1401), 1,
      sym_class_body,
    STATE(7536), 1,
      sym_comment,
  [237162] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7537), 1,
      sym_comment,
    ACTIONS(9744), 2,
      anon_sym_else,
      anon_sym_while,
  [237176] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7538), 1,
      sym_comment,
    ACTIONS(6536), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [237190] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7539), 1,
      sym_comment,
    ACTIONS(9746), 2,
      anon_sym_else,
      anon_sym_while,
  [237204] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7540), 1,
      sym_comment,
    ACTIONS(6592), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [237218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8256), 1,
      anon_sym_LBRACE,
    STATE(424), 1,
      sym_class_body,
    STATE(7541), 1,
      sym_comment,
  [237234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8284), 1,
      anon_sym_LBRACE,
    STATE(1428), 1,
      sym_class_body,
    STATE(7542), 1,
      sym_comment,
  [237250] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7543), 1,
      sym_comment,
    ACTIONS(9748), 2,
      anon_sym_else,
      anon_sym_while,
  [237264] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11386), 1,
      anon_sym_LBRACE,
    STATE(1038), 1,
      sym_statement_block,
    STATE(7544), 1,
      sym_comment,
  [237280] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7545), 1,
      sym_comment,
    ACTIONS(9750), 2,
      anon_sym_else,
      anon_sym_while,
  [237294] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8296), 1,
      anon_sym_LBRACE,
    STATE(1067), 1,
      sym_class_body,
    STATE(7546), 1,
      sym_comment,
  [237310] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3540), 1,
      sym_class_body,
    STATE(7547), 1,
      sym_comment,
  [237326] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7548), 1,
      sym_comment,
    ACTIONS(6418), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [237340] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7549), 1,
      sym_comment,
    ACTIONS(6568), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [237354] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8284), 1,
      anon_sym_LBRACE,
    STATE(1437), 1,
      sym_class_body,
    STATE(7550), 1,
      sym_comment,
  [237370] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11386), 1,
      anon_sym_LBRACE,
    STATE(1037), 1,
      sym_statement_block,
    STATE(7551), 1,
      sym_comment,
  [237386] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7552), 1,
      sym_comment,
    ACTIONS(6432), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [237400] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7553), 1,
      sym_comment,
    ACTIONS(10495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [237414] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7554), 1,
      sym_comment,
    ACTIONS(11612), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [237428] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    STATE(7468), 1,
      sym_class_body,
    STATE(7555), 1,
      sym_comment,
  [237444] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3275), 1,
      sym_statement_block,
    STATE(7556), 1,
      sym_comment,
  [237460] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7557), 1,
      sym_comment,
    ACTIONS(9752), 2,
      anon_sym_else,
      anon_sym_while,
  [237474] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7558), 1,
      sym_comment,
    ACTIONS(9752), 2,
      anon_sym_else,
      anon_sym_while,
  [237488] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7559), 1,
      sym_comment,
    ACTIONS(6441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [237502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    STATE(3532), 1,
      sym_statement_block,
    STATE(7560), 1,
      sym_comment,
  [237518] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7561), 1,
      sym_comment,
    ACTIONS(11614), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [237532] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11616), 1,
      sym_identifier,
    ACTIONS(11618), 1,
      anon_sym_STAR,
    STATE(7562), 1,
      sym_comment,
  [237548] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(7563), 1,
      sym_comment,
    STATE(7953), 1,
      sym_statement_block,
  [237564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7564), 1,
      sym_comment,
    ACTIONS(9752), 2,
      anon_sym_else,
      anon_sym_while,
  [237578] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7565), 1,
      sym_comment,
    ACTIONS(11620), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [237592] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3277), 1,
      sym_statement_block,
    STATE(7566), 1,
      sym_comment,
  [237608] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7567), 1,
      sym_comment,
    ACTIONS(11622), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [237622] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7568), 1,
      sym_comment,
    ACTIONS(11624), 2,
      anon_sym_else,
      anon_sym_while,
  [237636] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACE,
    STATE(1015), 1,
      sym_statement_block,
    STATE(7569), 1,
      sym_comment,
  [237652] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11626), 1,
      sym_identifier,
    ACTIONS(11628), 1,
      anon_sym_STAR,
    STATE(7570), 1,
      sym_comment,
  [237668] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7571), 1,
      sym_comment,
    ACTIONS(11630), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [237682] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7572), 1,
      sym_comment,
    ACTIONS(9266), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [237696] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11632), 1,
      anon_sym_SEMI,
    ACTIONS(11634), 1,
      sym__automatic_semicolon,
    STATE(7573), 1,
      sym_comment,
  [237712] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(7357), 1,
      sym_class_body,
    STATE(7574), 1,
      sym_comment,
  [237728] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(7355), 1,
      sym_class_body,
    STATE(7575), 1,
      sym_comment,
  [237744] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(2987), 1,
      sym_class_body,
    STATE(7576), 1,
      sym_comment,
  [237760] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7577), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [237774] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7578), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [237788] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11520), 1,
      anon_sym_LBRACE,
    STATE(1059), 1,
      sym_statement_block,
    STATE(7579), 1,
      sym_comment,
  [237804] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7580), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [237818] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11636), 1,
      anon_sym_LBRACE,
    STATE(1071), 1,
      sym_enum_body,
    STATE(7581), 1,
      sym_comment,
  [237834] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7582), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [237848] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11638), 1,
      anon_sym_LBRACE,
    STATE(4145), 1,
      sym_switch_body,
    STATE(7583), 1,
      sym_comment,
  [237864] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11640), 1,
      anon_sym_LBRACE,
    STATE(1747), 1,
      sym_enum_body,
    STATE(7584), 1,
      sym_comment,
  [237880] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11642), 1,
      sym_identifier,
    ACTIONS(11644), 1,
      anon_sym_STAR,
    STATE(7585), 1,
      sym_comment,
  [237896] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7586), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [237910] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7587), 1,
      sym_comment,
    ACTIONS(11646), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [237924] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11648), 1,
      anon_sym_LBRACE,
    STATE(1742), 1,
      sym_statement_block,
    STATE(7588), 1,
      sym_comment,
  [237940] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7589), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [237954] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7590), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [237968] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9630), 1,
      anon_sym_LBRACE,
    STATE(1043), 1,
      sym_statement_block,
    STATE(7591), 1,
      sym_comment,
  [237984] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11650), 1,
      anon_sym_SEMI,
    ACTIONS(11652), 1,
      sym__automatic_semicolon,
    STATE(7592), 1,
      sym_comment,
  [238000] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7593), 1,
      sym_comment,
    ACTIONS(11654), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [238014] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7594), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [238028] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7595), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [238042] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3756), 1,
      sym_class_body,
    STATE(7596), 1,
      sym_comment,
  [238058] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7597), 1,
      sym_comment,
    ACTIONS(10523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [238072] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11656), 1,
      anon_sym_SEMI,
    ACTIONS(11658), 1,
      sym__automatic_semicolon,
    STATE(7598), 1,
      sym_comment,
  [238088] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11660), 1,
      anon_sym_SEMI,
    ACTIONS(11662), 1,
      sym__automatic_semicolon,
    STATE(7599), 1,
      sym_comment,
  [238104] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3240), 1,
      sym_statement_block,
    STATE(7600), 1,
      sym_comment,
  [238120] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11636), 1,
      anon_sym_LBRACE,
    STATE(1132), 1,
      sym_enum_body,
    STATE(7601), 1,
      sym_comment,
  [238136] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8324), 1,
      anon_sym_LBRACE,
    STATE(377), 1,
      sym_class_body,
    STATE(7602), 1,
      sym_comment,
  [238152] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7603), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [238166] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11664), 1,
      sym_identifier,
    ACTIONS(11666), 1,
      anon_sym_STAR,
    STATE(7604), 1,
      sym_comment,
  [238182] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7605), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [238196] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    STATE(3536), 1,
      sym_statement_block,
    STATE(7606), 1,
      sym_comment,
  [238212] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7607), 1,
      sym_comment,
    ACTIONS(10763), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [238226] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7608), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [238240] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7609), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [238254] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7610), 1,
      sym_comment,
    ACTIONS(11668), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [238268] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3876), 1,
      sym_class_body,
    STATE(7611), 1,
      sym_comment,
  [238284] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9513), 1,
      anon_sym_LBRACE,
    STATE(4198), 1,
      sym_statement_block,
    STATE(7612), 1,
      sym_comment,
  [238300] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11670), 1,
      anon_sym_SEMI,
    ACTIONS(11672), 1,
      sym__automatic_semicolon,
    STATE(7613), 1,
      sym_comment,
  [238316] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7614), 1,
      sym_comment,
    ACTIONS(11674), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [238330] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8420), 1,
      anon_sym_LBRACE,
    STATE(1025), 1,
      sym_class_body,
    STATE(7615), 1,
      sym_comment,
  [238346] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7616), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [238360] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11676), 1,
      sym_identifier,
    ACTIONS(11678), 1,
      anon_sym_STAR,
    STATE(7617), 1,
      sym_comment,
  [238376] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7618), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [238390] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7619), 1,
      sym_comment,
    ACTIONS(10519), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [238404] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3559), 1,
      sym_class_body,
    STATE(7620), 1,
      sym_comment,
  [238420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(126), 1,
      sym_parenthesized_expression,
    STATE(7621), 1,
      sym_comment,
  [238436] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8324), 1,
      anon_sym_LBRACE,
    STATE(357), 1,
      sym_class_body,
    STATE(7622), 1,
      sym_comment,
  [238452] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7623), 1,
      sym_comment,
    ACTIONS(11680), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [238466] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9642), 1,
      anon_sym_LBRACE,
    STATE(354), 1,
      sym_statement_block,
    STATE(7624), 1,
      sym_comment,
  [238482] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8418), 1,
      anon_sym_LBRACE,
    STATE(1181), 1,
      sym_class_body,
    STATE(7625), 1,
      sym_comment,
  [238498] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7626), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [238512] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(5613), 1,
      sym_statement_block,
    STATE(7627), 1,
      sym_comment,
  [238528] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3301), 1,
      sym_statement_block,
    STATE(7628), 1,
      sym_comment,
  [238544] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11682), 1,
      sym_identifier,
    ACTIONS(11684), 1,
      anon_sym_STAR,
    STATE(7629), 1,
      sym_comment,
  [238560] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7630), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [238574] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8324), 1,
      anon_sym_LBRACE,
    STATE(370), 1,
      sym_class_body,
    STATE(7631), 1,
      sym_comment,
  [238590] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7632), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [238604] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7633), 1,
      sym_comment,
    ACTIONS(11580), 2,
      anon_sym_else,
      anon_sym_while,
  [238618] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11686), 1,
      sym_identifier,
    ACTIONS(11688), 1,
      anon_sym_STAR,
    STATE(7634), 1,
      sym_comment,
  [238634] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7635), 1,
      sym_comment,
    ACTIONS(11690), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [238648] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8420), 1,
      anon_sym_LBRACE,
    STATE(1050), 1,
      sym_class_body,
    STATE(7636), 1,
      sym_comment,
  [238664] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11692), 1,
      anon_sym_SEMI,
    ACTIONS(11694), 1,
      sym__automatic_semicolon,
    STATE(7637), 1,
      sym_comment,
  [238680] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8420), 1,
      anon_sym_LBRACE,
    STATE(1051), 1,
      sym_class_body,
    STATE(7638), 1,
      sym_comment,
  [238696] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7639), 1,
      sym_comment,
    ACTIONS(9770), 2,
      anon_sym_else,
      anon_sym_while,
  [238710] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11696), 1,
      sym_identifier,
    ACTIONS(11698), 1,
      anon_sym_STAR,
    STATE(7640), 1,
      sym_comment,
  [238726] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9642), 1,
      anon_sym_LBRACE,
    STATE(355), 1,
      sym_statement_block,
    STATE(7641), 1,
      sym_comment,
  [238742] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8418), 1,
      anon_sym_LBRACE,
    STATE(1131), 1,
      sym_class_body,
    STATE(7642), 1,
      sym_comment,
  [238758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7643), 1,
      sym_comment,
    ACTIONS(9433), 2,
      anon_sym_else,
      anon_sym_while,
  [238772] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11700), 1,
      anon_sym_SEMI,
    ACTIONS(11702), 1,
      sym__automatic_semicolon,
    STATE(7644), 1,
      sym_comment,
  [238788] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7645), 1,
      sym_comment,
    ACTIONS(11704), 2,
      anon_sym_else,
      anon_sym_while,
  [238802] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7646), 1,
      sym_comment,
    ACTIONS(10538), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [238816] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8324), 1,
      anon_sym_LBRACE,
    STATE(349), 1,
      sym_class_body,
    STATE(7647), 1,
      sym_comment,
  [238832] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8418), 1,
      anon_sym_LBRACE,
    STATE(1246), 1,
      sym_class_body,
    STATE(7648), 1,
      sym_comment,
  [238848] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7649), 1,
      sym_comment,
    ACTIONS(11706), 2,
      anon_sym_else,
      anon_sym_while,
  [238862] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7650), 1,
      sym_comment,
    ACTIONS(11706), 2,
      anon_sym_else,
      anon_sym_while,
  [238876] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8420), 1,
      anon_sym_LBRACE,
    STATE(1049), 1,
      sym_class_body,
    STATE(7651), 1,
      sym_comment,
  [238892] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6023), 1,
      anon_sym_LBRACE,
    STATE(2989), 1,
      sym_statement_block,
    STATE(7652), 1,
      sym_comment,
  [238908] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7653), 1,
      sym_comment,
    ACTIONS(11708), 2,
      anon_sym_else,
      anon_sym_while,
  [238922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7654), 1,
      sym_comment,
    ACTIONS(11710), 2,
      anon_sym_else,
      anon_sym_while,
  [238936] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8418), 1,
      anon_sym_LBRACE,
    STATE(1222), 1,
      sym_class_body,
    STATE(7655), 1,
      sym_comment,
  [238952] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7656), 1,
      sym_comment,
    ACTIONS(11712), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [238966] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3526), 1,
      sym_class_body,
    STATE(7657), 1,
      sym_comment,
  [238982] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7658), 1,
      sym_comment,
    ACTIONS(11714), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [238996] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9778), 1,
      anon_sym_LBRACE,
    STATE(1380), 1,
      sym_statement_block,
    STATE(7659), 1,
      sym_comment,
  [239012] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8352), 1,
      anon_sym_LBRACE,
    STATE(7423), 1,
      sym_class_body,
    STATE(7660), 1,
      sym_comment,
  [239028] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7661), 1,
      sym_comment,
    ACTIONS(9407), 2,
      anon_sym_else,
      anon_sym_while,
  [239042] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    STATE(3541), 1,
      sym_statement_block,
    STATE(7662), 1,
      sym_comment,
  [239058] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7663), 1,
      sym_comment,
    ACTIONS(9407), 2,
      anon_sym_else,
      anon_sym_while,
  [239072] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7664), 1,
      sym_comment,
    ACTIONS(9407), 2,
      anon_sym_else,
      anon_sym_while,
  [239086] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11716), 1,
      sym_identifier,
    ACTIONS(11718), 1,
      anon_sym_STAR,
    STATE(7665), 1,
      sym_comment,
  [239102] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3266), 1,
      sym_statement_block,
    STATE(7666), 1,
      sym_comment,
  [239118] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3546), 1,
      sym_class_body,
    STATE(7667), 1,
      sym_comment,
  [239134] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7668), 1,
      sym_comment,
    ACTIONS(9407), 2,
      anon_sym_else,
      anon_sym_while,
  [239148] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(7669), 1,
      sym_comment,
    STATE(7829), 1,
      sym_statement_block,
  [239164] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8210), 1,
      anon_sym_LBRACE,
    STATE(523), 1,
      sym_class_body,
    STATE(7670), 1,
      sym_comment,
  [239180] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11720), 1,
      anon_sym_SEMI,
    ACTIONS(11722), 1,
      sym__automatic_semicolon,
    STATE(7671), 1,
      sym_comment,
  [239196] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8244), 1,
      anon_sym_LBRACE,
    STATE(1651), 1,
      sym_class_body,
    STATE(7672), 1,
      sym_comment,
  [239212] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7673), 1,
      sym_comment,
    ACTIONS(6367), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [239226] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3591), 1,
      sym_class_body,
    STATE(7674), 1,
      sym_comment,
  [239242] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7889), 1,
      anon_sym_LPAREN,
    STATE(5006), 1,
      sym_formal_parameters,
    STATE(7675), 1,
      sym_comment,
  [239258] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7676), 1,
      sym_comment,
    ACTIONS(9411), 2,
      anon_sym_else,
      anon_sym_while,
  [239272] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7677), 1,
      sym_comment,
    ACTIONS(11306), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [239286] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7678), 1,
      sym_comment,
    ACTIONS(9594), 2,
      anon_sym_else,
      anon_sym_while,
  [239300] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    STATE(3569), 1,
      sym_statement_block,
    STATE(7679), 1,
      sym_comment,
  [239316] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3252), 1,
      sym_statement_block,
    STATE(7680), 1,
      sym_comment,
  [239332] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7681), 1,
      sym_comment,
    ACTIONS(9407), 2,
      anon_sym_else,
      anon_sym_while,
  [239346] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(7295), 1,
      sym_class_body,
    STATE(7682), 1,
      sym_comment,
  [239362] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7683), 1,
      sym_comment,
    ACTIONS(6326), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [239376] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7684), 1,
      sym_comment,
    ACTIONS(11724), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [239390] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7685), 1,
      sym_comment,
    ACTIONS(9407), 2,
      anon_sym_else,
      anon_sym_while,
  [239404] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11726), 1,
      anon_sym_SEMI,
    ACTIONS(11728), 1,
      sym__automatic_semicolon,
    STATE(7686), 1,
      sym_comment,
  [239420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3049), 1,
      sym_class_body,
    STATE(7687), 1,
      sym_comment,
  [239436] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9536), 1,
      anon_sym_LBRACE,
    STATE(4007), 1,
      sym_statement_block,
    STATE(7688), 1,
      sym_comment,
  [239452] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3053), 1,
      sym_class_body,
    STATE(7689), 1,
      sym_comment,
  [239468] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7690), 1,
      sym_comment,
    ACTIONS(6324), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [239482] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8244), 1,
      anon_sym_LBRACE,
    STATE(1640), 1,
      sym_class_body,
    STATE(7691), 1,
      sym_comment,
  [239498] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11730), 1,
      sym_identifier,
    ACTIONS(11732), 1,
      anon_sym_STAR,
    STATE(7692), 1,
      sym_comment,
  [239514] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7693), 1,
      sym_comment,
    ACTIONS(6461), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [239528] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7694), 1,
      sym_comment,
    ACTIONS(11734), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [239542] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7695), 1,
      sym_comment,
    ACTIONS(11736), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [239556] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3576), 1,
      sym_class_body,
    STATE(7696), 1,
      sym_comment,
  [239572] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8250), 1,
      anon_sym_LBRACE,
    STATE(4059), 1,
      sym_class_body,
    STATE(7697), 1,
      sym_comment,
  [239588] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7698), 1,
      sym_comment,
    ACTIONS(6542), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [239602] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11732), 1,
      anon_sym_STAR,
    ACTIONS(11738), 1,
      sym_identifier,
    STATE(7699), 1,
      sym_comment,
  [239618] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11740), 1,
      anon_sym_LPAREN,
    STATE(155), 1,
      sym__for_header,
    STATE(7700), 1,
      sym_comment,
  [239634] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7701), 1,
      sym_comment,
    ACTIONS(9262), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [239648] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11742), 1,
      anon_sym_SEMI,
    ACTIONS(11744), 1,
      sym__automatic_semicolon,
    STATE(7702), 1,
      sym_comment,
  [239664] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11746), 1,
      sym_identifier,
    ACTIONS(11748), 1,
      sym_private_property_identifier,
    STATE(7703), 1,
      sym_comment,
  [239680] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3222), 1,
      sym_statement_block,
    STATE(7704), 1,
      sym_comment,
  [239696] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11750), 1,
      sym_identifier,
    ACTIONS(11752), 1,
      sym_private_property_identifier,
    STATE(7705), 1,
      sym_comment,
  [239712] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11754), 1,
      anon_sym_COMMA,
    ACTIONS(11756), 1,
      anon_sym_from,
    STATE(7706), 1,
      sym_comment,
  [239728] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    STATE(3538), 1,
      sym_statement_block,
    STATE(7707), 1,
      sym_comment,
  [239744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7708), 1,
      sym_comment,
    ACTIONS(9264), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [239758] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7709), 1,
      sym_comment,
    ACTIONS(11758), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [239772] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7710), 1,
      sym_comment,
    ACTIONS(11760), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [239786] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(1776), 1,
      sym_class_body,
    STATE(7711), 1,
      sym_comment,
  [239802] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7712), 1,
      sym_comment,
    ACTIONS(11762), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [239816] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(7713), 1,
      sym_comment,
    STATE(8077), 1,
      sym_statement_block,
  [239832] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7714), 1,
      sym_comment,
    ACTIONS(6550), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [239846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6526), 1,
      sym__from_clause,
    STATE(7715), 1,
      sym_comment,
  [239862] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7716), 1,
      sym_comment,
    ACTIONS(9564), 2,
      anon_sym_else,
      anon_sym_while,
  [239876] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(7717), 1,
      sym_comment,
    STATE(8135), 1,
      sym_statement_block,
  [239892] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9706), 1,
      anon_sym_LBRACE,
    STATE(515), 1,
      sym_statement_block,
    STATE(7718), 1,
      sym_comment,
  [239908] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7719), 1,
      sym_comment,
    ACTIONS(11764), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [239922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7720), 1,
      sym_comment,
    ACTIONS(6488), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [239936] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7721), 1,
      sym_comment,
    ACTIONS(6430), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [239950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7722), 1,
      sym_comment,
    ACTIONS(6428), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [239964] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11766), 1,
      sym_identifier,
    ACTIONS(11768), 1,
      anon_sym_STAR,
    STATE(7723), 1,
      sym_comment,
  [239980] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7724), 1,
      sym_comment,
    ACTIONS(11770), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [239994] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(6908), 1,
      sym_statement_block,
    STATE(7725), 1,
      sym_comment,
  [240010] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9855), 1,
      anon_sym_in,
    ACTIONS(9857), 1,
      anon_sym_of,
    STATE(7726), 1,
      sym_comment,
  [240026] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11772), 1,
      anon_sym_LBRACE,
    STATE(4209), 1,
      sym_statement_block,
    STATE(7727), 1,
      sym_comment,
  [240042] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11774), 1,
      anon_sym_LBRACE,
    STATE(1287), 1,
      sym_switch_body,
    STATE(7728), 1,
      sym_comment,
  [240058] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7729), 1,
      sym_comment,
    ACTIONS(11350), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [240072] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11776), 1,
      sym_identifier,
    ACTIONS(11778), 1,
      sym_private_property_identifier,
    STATE(7730), 1,
      sym_comment,
  [240088] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7731), 1,
      sym_comment,
    ACTIONS(2340), 2,
      anon_sym_else,
      anon_sym_while,
  [240102] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7732), 1,
      sym_comment,
    ACTIONS(11780), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [240116] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7733), 1,
      sym_comment,
    ACTIONS(11782), 2,
      anon_sym_else,
      anon_sym_while,
  [240130] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11784), 1,
      sym_identifier,
    ACTIONS(11786), 1,
      sym_private_property_identifier,
    STATE(7734), 1,
      sym_comment,
  [240146] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7735), 1,
      sym_comment,
    ACTIONS(11788), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [240160] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11790), 1,
      sym_identifier,
    ACTIONS(11792), 1,
      sym_private_property_identifier,
    STATE(7736), 1,
      sym_comment,
  [240176] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11794), 1,
      anon_sym_LBRACE,
    STATE(4212), 1,
      sym_enum_body,
    STATE(7737), 1,
      sym_comment,
  [240192] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7738), 1,
      sym_comment,
    ACTIONS(6093), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [240206] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11271), 1,
      sym_identifier,
    ACTIONS(11275), 1,
      sym_private_property_identifier,
    STATE(7739), 1,
      sym_comment,
  [240222] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9706), 1,
      anon_sym_LBRACE,
    STATE(494), 1,
      sym_statement_block,
    STATE(7740), 1,
      sym_comment,
  [240238] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8258), 1,
      anon_sym_LBRACE,
    STATE(4449), 1,
      sym_class_body,
    STATE(7741), 1,
      sym_comment,
  [240254] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7742), 1,
      sym_comment,
    ACTIONS(10577), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [240268] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11796), 1,
      sym_identifier,
    ACTIONS(11798), 1,
      anon_sym_STAR,
    STATE(7743), 1,
      sym_comment,
  [240284] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6023), 1,
      anon_sym_LBRACE,
    STATE(3124), 1,
      sym_statement_block,
    STATE(7744), 1,
      sym_comment,
  [240300] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11772), 1,
      anon_sym_LBRACE,
    STATE(4192), 1,
      sym_statement_block,
    STATE(7745), 1,
      sym_comment,
  [240316] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6023), 1,
      anon_sym_LBRACE,
    STATE(3125), 1,
      sym_statement_block,
    STATE(7746), 1,
      sym_comment,
  [240332] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6023), 1,
      anon_sym_LBRACE,
    STATE(3126), 1,
      sym_statement_block,
    STATE(7747), 1,
      sym_comment,
  [240348] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(7748), 1,
      sym_comment,
    STATE(7859), 1,
      sym_statement_block,
  [240364] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8210), 1,
      anon_sym_LBRACE,
    STATE(496), 1,
      sym_class_body,
    STATE(7749), 1,
      sym_comment,
  [240380] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3127), 1,
      sym_class_body,
    STATE(7750), 1,
      sym_comment,
  [240396] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7751), 1,
      sym_comment,
    ACTIONS(11800), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [240410] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7752), 1,
      sym_comment,
    ACTIONS(2295), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [240424] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(161), 1,
      sym_parenthesized_expression,
    STATE(7753), 1,
      sym_comment,
  [240440] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(7637), 1,
      sym__from_clause,
    STATE(7754), 1,
      sym_comment,
  [240456] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(6082), 1,
      sym_formal_parameters,
    STATE(7755), 1,
      sym_comment,
  [240472] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3156), 1,
      sym_statement_block,
    STATE(7756), 1,
      sym_comment,
  [240488] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7757), 1,
      sym_comment,
    ACTIONS(11802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [240502] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3879), 1,
      sym_class_body,
    STATE(7758), 1,
      sym_comment,
  [240518] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8244), 1,
      anon_sym_LBRACE,
    STATE(1572), 1,
      sym_class_body,
    STATE(7759), 1,
      sym_comment,
  [240534] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6089), 1,
      anon_sym_LPAREN,
    STATE(3578), 1,
      sym_arguments,
    STATE(7760), 1,
      sym_comment,
  [240550] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11804), 1,
      sym_identifier,
    ACTIONS(11806), 1,
      anon_sym_STAR,
    STATE(7761), 1,
      sym_comment,
  [240566] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7762), 1,
      sym_comment,
    ACTIONS(11808), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [240580] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3873), 1,
      sym_class_body,
    STATE(7763), 1,
      sym_comment,
  [240596] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11810), 1,
      sym_identifier,
    STATE(7265), 1,
      sym_nested_identifier,
    STATE(7764), 1,
      sym_comment,
  [240612] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11812), 1,
      anon_sym_LBRACE,
    STATE(981), 1,
      sym_statement_block,
    STATE(7765), 1,
      sym_comment,
  [240628] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3600), 1,
      sym_class_body,
    STATE(7766), 1,
      sym_comment,
  [240644] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11814), 1,
      anon_sym_LPAREN,
    STATE(6422), 1,
      sym_parenthesized_expression,
    STATE(7767), 1,
      sym_comment,
  [240660] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7768), 1,
      sym_comment,
    ACTIONS(11816), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [240674] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9536), 1,
      anon_sym_LBRACE,
    STATE(4016), 1,
      sym_statement_block,
    STATE(7769), 1,
      sym_comment,
  [240690] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11818), 1,
      anon_sym_LBRACE,
    STATE(7639), 1,
      sym_enum_body,
    STATE(7770), 1,
      sym_comment,
  [240706] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11820), 1,
      anon_sym_SEMI,
    ACTIONS(11822), 1,
      sym__automatic_semicolon,
    STATE(7771), 1,
      sym_comment,
  [240722] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11824), 1,
      anon_sym_LBRACE,
    STATE(7762), 1,
      sym_object,
    STATE(7772), 1,
      sym_comment,
  [240738] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(6920), 1,
      sym_statement_block,
    STATE(7773), 1,
      sym_comment,
  [240754] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(152), 1,
      sym_parenthesized_expression,
    STATE(7774), 1,
      sym_comment,
  [240770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7775), 1,
      sym_comment,
    ACTIONS(10270), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [240784] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7776), 1,
      sym_comment,
    ACTIONS(11826), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [240798] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3220), 1,
      sym_statement_block,
    STATE(7777), 1,
      sym_comment,
  [240814] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11828), 1,
      anon_sym_SEMI,
    ACTIONS(11830), 1,
      sym__automatic_semicolon,
    STATE(7778), 1,
      sym_comment,
  [240830] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11832), 1,
      anon_sym_SEMI,
    ACTIONS(11834), 1,
      sym__automatic_semicolon,
    STATE(7779), 1,
      sym_comment,
  [240846] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3179), 1,
      sym_statement_block,
    STATE(7780), 1,
      sym_comment,
  [240862] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8258), 1,
      anon_sym_LBRACE,
    STATE(4417), 1,
      sym_class_body,
    STATE(7781), 1,
      sym_comment,
  [240878] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(7598), 1,
      sym__from_clause,
    STATE(7782), 1,
      sym_comment,
  [240894] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7783), 1,
      sym_comment,
    ACTIONS(11836), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [240908] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7784), 1,
      sym_comment,
    ACTIONS(11838), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [240922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7785), 1,
      sym_comment,
    ACTIONS(11840), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [240936] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7786), 1,
      sym_comment,
    ACTIONS(11842), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [240950] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11844), 1,
      sym_identifier,
    ACTIONS(11846), 1,
      sym_private_property_identifier,
    STATE(7787), 1,
      sym_comment,
  [240966] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11848), 1,
      anon_sym_SEMI,
    ACTIONS(11850), 1,
      sym__automatic_semicolon,
    STATE(7788), 1,
      sym_comment,
  [240982] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11852), 1,
      anon_sym_LBRACE,
    STATE(7733), 1,
      sym_switch_body,
    STATE(7789), 1,
      sym_comment,
  [240998] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8234), 1,
      anon_sym_LBRACE,
    STATE(1908), 1,
      sym_class_body,
    STATE(7790), 1,
      sym_comment,
  [241014] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11854), 1,
      anon_sym_SEMI,
    ACTIONS(11856), 1,
      sym__automatic_semicolon,
    STATE(7791), 1,
      sym_comment,
  [241030] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11858), 1,
      anon_sym_SEMI,
    ACTIONS(11860), 1,
      sym__automatic_semicolon,
    STATE(7792), 1,
      sym_comment,
  [241046] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7793), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [241060] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9716), 1,
      anon_sym_LBRACE,
    STATE(1653), 1,
      sym_statement_block,
    STATE(7794), 1,
      sym_comment,
  [241076] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7795), 1,
      sym_comment,
    ACTIONS(6568), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [241090] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8258), 1,
      anon_sym_LBRACE,
    STATE(4402), 1,
      sym_class_body,
    STATE(7796), 1,
      sym_comment,
  [241106] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3062), 1,
      sym_class_body,
    STATE(7797), 1,
      sym_comment,
  [241122] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7798), 1,
      sym_comment,
    ACTIONS(11864), 2,
      anon_sym_else,
      anon_sym_while,
  [241136] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7799), 1,
      sym_comment,
    ACTIONS(11199), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [241150] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3285), 1,
      sym_statement_block,
    STATE(7800), 1,
      sym_comment,
  [241166] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7801), 1,
      sym_comment,
    ACTIONS(11866), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [241180] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7802), 1,
      sym_comment,
    ACTIONS(11868), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [241194] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7803), 1,
      sym_comment,
    ACTIONS(10262), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [241208] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11870), 1,
      anon_sym_SEMI,
    ACTIONS(11872), 1,
      sym__automatic_semicolon,
    STATE(7804), 1,
      sym_comment,
  [241224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9574), 1,
      anon_sym_LBRACE,
    STATE(1914), 1,
      sym_statement_block,
    STATE(7805), 1,
      sym_comment,
  [241240] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7806), 1,
      sym_comment,
    ACTIONS(11143), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [241254] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7807), 1,
      sym_comment,
    ACTIONS(11874), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [241268] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7808), 1,
      sym_comment,
    ACTIONS(9546), 2,
      anon_sym_else,
      anon_sym_while,
  [241282] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10916), 1,
      anon_sym_LBRACE,
    STATE(1292), 1,
      sym_statement_block,
    STATE(7809), 1,
      sym_comment,
  [241298] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    STATE(1649), 1,
      sym_class_body,
    STATE(7810), 1,
      sym_comment,
  [241314] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11794), 1,
      anon_sym_LBRACE,
    STATE(4161), 1,
      sym_enum_body,
    STATE(7811), 1,
      sym_comment,
  [241330] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7812), 1,
      sym_comment,
    ACTIONS(6345), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [241344] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7813), 1,
      sym_comment,
    ACTIONS(11876), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [241358] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7814), 1,
      sym_comment,
    ACTIONS(11878), 2,
      anon_sym_else,
      anon_sym_while,
  [241372] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(6290), 1,
      sym_class_body,
    STATE(7815), 1,
      sym_comment,
  [241388] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11718), 1,
      anon_sym_STAR,
    ACTIONS(11880), 1,
      sym_identifier,
    STATE(7816), 1,
      sym_comment,
  [241404] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11882), 1,
      anon_sym_LPAREN,
    STATE(3963), 1,
      sym_parenthesized_expression,
    STATE(7817), 1,
      sym_comment,
  [241420] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7691), 1,
      anon_sym_DOT,
    ACTIONS(11884), 1,
      anon_sym_GT,
    STATE(7818), 1,
      sym_comment,
  [241436] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3181), 1,
      sym_statement_block,
    STATE(7819), 1,
      sym_comment,
  [241452] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7820), 1,
      sym_comment,
    ACTIONS(11886), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [241466] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7821), 1,
      sym_comment,
    ACTIONS(6304), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [241480] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7822), 1,
      sym_comment,
    ACTIONS(9369), 2,
      anon_sym_else,
      anon_sym_while,
  [241494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7823), 1,
      sym_comment,
    ACTIONS(9810), 2,
      anon_sym_else,
      anon_sym_while,
  [241508] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7824), 1,
      sym_comment,
    ACTIONS(9812), 2,
      anon_sym_else,
      anon_sym_while,
  [241522] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7825), 1,
      sym_comment,
    ACTIONS(9814), 2,
      anon_sym_else,
      anon_sym_while,
  [241536] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11888), 1,
      sym_identifier,
    STATE(7281), 1,
      sym_nested_identifier,
    STATE(7826), 1,
      sym_comment,
  [241552] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9513), 1,
      anon_sym_LBRACE,
    STATE(4047), 1,
      sym_statement_block,
    STATE(7827), 1,
      sym_comment,
  [241568] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9513), 1,
      anon_sym_LBRACE,
    STATE(4046), 1,
      sym_statement_block,
    STATE(7828), 1,
      sym_comment,
  [241584] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7829), 1,
      sym_comment,
    ACTIONS(6472), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [241598] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5508), 1,
      anon_sym_LPAREN,
    STATE(3044), 1,
      sym_arguments,
    STATE(7830), 1,
      sym_comment,
  [241614] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8218), 1,
      anon_sym_LBRACE,
    STATE(1882), 1,
      sym_class_body,
    STATE(7831), 1,
      sym_comment,
  [241630] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6412), 1,
      sym__from_clause,
    STATE(7832), 1,
      sym_comment,
  [241646] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(7698), 1,
      sym_statement_block,
    STATE(7833), 1,
      sym_comment,
  [241662] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7834), 1,
      sym_comment,
    ACTIONS(11890), 2,
      anon_sym_else,
      anon_sym_while,
  [241676] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7835), 1,
      sym_comment,
    ACTIONS(11892), 2,
      anon_sym_else,
      anon_sym_while,
  [241690] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7836), 1,
      sym_comment,
    ACTIONS(11894), 2,
      anon_sym_else,
      anon_sym_while,
  [241704] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7837), 1,
      sym_comment,
    ACTIONS(11896), 2,
      anon_sym_else,
      anon_sym_while,
  [241718] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7838), 1,
      sym_comment,
    ACTIONS(8164), 2,
      anon_sym_in,
      anon_sym_of,
  [241732] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7839), 1,
      sym_comment,
    ACTIONS(11898), 2,
      anon_sym_else,
      anon_sym_while,
  [241746] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11900), 1,
      sym_identifier,
    STATE(6794), 1,
      sym_ui_simple_nested_identifier,
    STATE(7840), 1,
      sym_comment,
  [241762] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7841), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [241776] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(7720), 1,
      sym_statement_block,
    STATE(7842), 1,
      sym_comment,
  [241792] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(131), 1,
      sym_parenthesized_expression,
    STATE(7843), 1,
      sym_comment,
  [241808] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11902), 1,
      anon_sym_LPAREN,
    STATE(7844), 1,
      sym_comment,
    STATE(8191), 1,
      sym_parenthesized_expression,
  [241824] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8244), 1,
      anon_sym_LBRACE,
    STATE(1524), 1,
      sym_class_body,
    STATE(7845), 1,
      sym_comment,
  [241840] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6405), 1,
      sym__from_clause,
    STATE(7846), 1,
      sym_comment,
  [241856] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7847), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [241870] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7848), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [241884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7849), 1,
      sym_comment,
    ACTIONS(11904), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [241898] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11906), 1,
      anon_sym_SEMI,
    ACTIONS(11908), 1,
      sym__automatic_semicolon,
    STATE(7850), 1,
      sym_comment,
  [241914] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(7476), 1,
      sym__from_clause,
    STATE(7851), 1,
      sym_comment,
  [241930] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8250), 1,
      anon_sym_LBRACE,
    STATE(4126), 1,
      sym_class_body,
    STATE(7852), 1,
      sym_comment,
  [241946] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8250), 1,
      anon_sym_LBRACE,
    STATE(4127), 1,
      sym_class_body,
    STATE(7853), 1,
      sym_comment,
  [241962] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11910), 1,
      sym_identifier,
    STATE(6740), 1,
      sym_nested_identifier,
    STATE(7854), 1,
      sym_comment,
  [241978] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7855), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [241992] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7856), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [242006] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7857), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [242020] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7858), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [242034] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7859), 1,
      sym_comment,
    ACTIONS(6492), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [242048] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(102), 1,
      sym_parenthesized_expression,
    STATE(7860), 1,
      sym_comment,
  [242064] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7861), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [242078] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7862), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [242092] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11912), 1,
      sym_identifier,
    ACTIONS(11914), 1,
      sym_private_property_identifier,
    STATE(7863), 1,
      sym_comment,
  [242108] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11916), 1,
      sym_identifier,
    ACTIONS(11918), 1,
      sym_private_property_identifier,
    STATE(7864), 1,
      sym_comment,
  [242124] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(7693), 1,
      sym_statement_block,
    STATE(7865), 1,
      sym_comment,
  [242140] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7866), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [242154] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7867), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [242168] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10916), 1,
      anon_sym_LBRACE,
    STATE(1293), 1,
      sym_statement_block,
    STATE(7868), 1,
      sym_comment,
  [242184] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11920), 1,
      sym_identifier,
    ACTIONS(11922), 1,
      sym_private_property_identifier,
    STATE(7869), 1,
      sym_comment,
  [242200] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7870), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [242214] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7871), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [242228] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7872), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [242242] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7873), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [242256] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7874), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [242270] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7875), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [242284] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7876), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [242298] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11924), 1,
      sym_identifier,
    ACTIONS(11926), 1,
      sym_private_property_identifier,
    STATE(7877), 1,
      sym_comment,
  [242314] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11902), 1,
      anon_sym_LPAREN,
    STATE(7410), 1,
      sym_parenthesized_expression,
    STATE(7878), 1,
      sym_comment,
  [242330] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7879), 1,
      sym_comment,
    ACTIONS(11862), 2,
      anon_sym_else,
      anon_sym_while,
  [242344] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7880), 1,
      sym_comment,
    ACTIONS(11928), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [242358] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(7881), 1,
      sym_comment,
    STATE(8415), 1,
      sym_formal_parameters,
  [242374] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    STATE(1639), 1,
      sym_class_body,
    STATE(7882), 1,
      sym_comment,
  [242390] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7883), 1,
      sym_comment,
    ACTIONS(11133), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [242404] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7884), 1,
      sym_comment,
    ACTIONS(7631), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [242418] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8332), 1,
      anon_sym_LBRACE,
    STATE(466), 1,
      sym_class_body,
    STATE(7885), 1,
      sym_comment,
  [242434] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7886), 1,
      sym_comment,
    ACTIONS(11930), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [242448] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3238), 1,
      sym_statement_block,
    STATE(7887), 1,
      sym_comment,
  [242464] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    STATE(1631), 1,
      sym_class_body,
    STATE(7888), 1,
      sym_comment,
  [242480] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9826), 1,
      anon_sym_LBRACE,
    STATE(465), 1,
      sym_statement_block,
    STATE(7889), 1,
      sym_comment,
  [242496] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7890), 1,
      sym_comment,
    ACTIONS(11932), 2,
      anon_sym_else,
      anon_sym_while,
  [242510] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11934), 1,
      sym_identifier,
    STATE(7101), 1,
      sym_nested_identifier,
    STATE(7891), 1,
      sym_comment,
  [242526] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7892), 1,
      sym_comment,
    ACTIONS(9423), 2,
      anon_sym_else,
      anon_sym_while,
  [242540] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7893), 1,
      sym_comment,
    ACTIONS(9321), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [242554] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11936), 1,
      anon_sym_SEMI,
    ACTIONS(11938), 1,
      sym__automatic_semicolon,
    STATE(7894), 1,
      sym_comment,
  [242570] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7895), 1,
      sym_comment,
    ACTIONS(11940), 2,
      anon_sym_else,
      anon_sym_while,
  [242584] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7896), 1,
      sym_comment,
    ACTIONS(11942), 2,
      anon_sym_else,
      anon_sym_while,
  [242598] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(7897), 1,
      sym_comment,
    ACTIONS(11944), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [242612] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7898), 1,
      sym_comment,
    ACTIONS(9409), 2,
      anon_sym_else,
      anon_sym_while,
  [242626] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8210), 1,
      anon_sym_LBRACE,
    STATE(506), 1,
      sym_class_body,
    STATE(7899), 1,
      sym_comment,
  [242642] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7900), 1,
      sym_comment,
    ACTIONS(11946), 2,
      anon_sym_else,
      anon_sym_while,
  [242656] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11948), 1,
      anon_sym_SEMI,
    ACTIONS(11950), 1,
      sym__automatic_semicolon,
    STATE(7901), 1,
      sym_comment,
  [242672] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(6247), 1,
      sym_class_body,
    STATE(7902), 1,
      sym_comment,
  [242688] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6372), 1,
      sym__from_clause,
    STATE(7903), 1,
      sym_comment,
  [242704] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7904), 1,
      sym_comment,
    ACTIONS(11450), 2,
      anon_sym_else,
      anon_sym_while,
  [242718] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(6246), 1,
      sym_class_body,
    STATE(7905), 1,
      sym_comment,
  [242734] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7906), 1,
      sym_comment,
    ACTIONS(9425), 2,
      anon_sym_else,
      anon_sym_while,
  [242748] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11952), 1,
      anon_sym_LBRACE,
    STATE(4353), 1,
      sym__qml_enum_body,
    STATE(7907), 1,
      sym_comment,
  [242764] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(7779), 1,
      sym__from_clause,
    STATE(7908), 1,
      sym_comment,
  [242780] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11954), 1,
      sym_identifier,
    ACTIONS(11956), 1,
      sym_private_property_identifier,
    STATE(7909), 1,
      sym_comment,
  [242796] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6361), 1,
      sym__from_clause,
    STATE(7910), 1,
      sym_comment,
  [242812] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7911), 1,
      sym_comment,
    ACTIONS(11958), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [242826] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6501), 1,
      sym__from_clause,
    STATE(7912), 1,
      sym_comment,
  [242842] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11960), 1,
      anon_sym_SEMI,
    ACTIONS(11962), 1,
      sym__automatic_semicolon,
    STATE(7913), 1,
      sym_comment,
  [242858] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11740), 1,
      anon_sym_LPAREN,
    STATE(115), 1,
      sym__for_header,
    STATE(7914), 1,
      sym_comment,
  [242874] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3169), 1,
      sym_statement_block,
    STATE(7915), 1,
      sym_comment,
  [242890] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(7461), 1,
      sym__from_clause,
    STATE(7916), 1,
      sym_comment,
  [242906] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11964), 1,
      sym_identifier,
    ACTIONS(11966), 1,
      sym_private_property_identifier,
    STATE(7917), 1,
      sym_comment,
  [242922] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    STATE(7593), 1,
      sym_type_annotation,
    STATE(7918), 1,
      sym_comment,
  [242938] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11110), 1,
      sym_identifier,
    ACTIONS(11114), 1,
      sym_private_property_identifier,
    STATE(7919), 1,
      sym_comment,
  [242954] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7920), 1,
      sym_comment,
    ACTIONS(11968), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [242968] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8370), 1,
      anon_sym_LBRACE,
    STATE(4030), 1,
      sym_class_body,
    STATE(7921), 1,
      sym_comment,
  [242984] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7922), 1,
      sym_comment,
    ACTIONS(11970), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [242998] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7923), 1,
      sym_comment,
    ACTIONS(11972), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [243012] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11974), 1,
      sym_identifier,
    ACTIONS(11976), 1,
      sym_private_property_identifier,
    STATE(7924), 1,
      sym_comment,
  [243028] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7925), 1,
      sym_comment,
    ACTIONS(11978), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [243042] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11980), 1,
      sym_identifier,
    ACTIONS(11982), 1,
      sym_private_property_identifier,
    STATE(7926), 1,
      sym_comment,
  [243058] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11984), 1,
      sym_identifier,
    ACTIONS(11986), 1,
      sym_private_property_identifier,
    STATE(7927), 1,
      sym_comment,
  [243074] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(7714), 1,
      sym_statement_block,
    STATE(7928), 1,
      sym_comment,
  [243090] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7929), 1,
      sym_comment,
    ACTIONS(6476), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [243104] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7930), 1,
      sym_comment,
    ACTIONS(11988), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [243118] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(159), 1,
      sym_parenthesized_expression,
    STATE(7931), 1,
      sym_comment,
  [243134] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(142), 1,
      sym_parenthesized_expression,
    STATE(7932), 1,
      sym_comment,
  [243150] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7933), 1,
      sym_comment,
    ACTIONS(11990), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [243164] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7934), 1,
      sym_comment,
    ACTIONS(11992), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [243178] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7935), 1,
      sym_comment,
    ACTIONS(11994), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [243192] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(6001), 1,
      sym_formal_parameters,
    STATE(7936), 1,
      sym_comment,
  [243208] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(7937), 1,
      sym_comment,
    STATE(8570), 1,
      sym_formal_parameters,
  [243224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11996), 1,
      anon_sym_SEMI,
    ACTIONS(11998), 1,
      sym__automatic_semicolon,
    STATE(7938), 1,
      sym_comment,
  [243240] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11902), 1,
      anon_sym_LPAREN,
    STATE(7728), 1,
      sym_parenthesized_expression,
    STATE(7939), 1,
      sym_comment,
  [243256] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(7940), 1,
      sym_comment,
    STATE(8225), 1,
      sym_formal_parameters,
  [243272] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(120), 1,
      sym_parenthesized_expression,
    STATE(7941), 1,
      sym_comment,
  [243288] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8218), 1,
      anon_sym_LBRACE,
    STATE(1874), 1,
      sym_class_body,
    STATE(7942), 1,
      sym_comment,
  [243304] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7943), 1,
      sym_comment,
    ACTIONS(10329), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [243318] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12000), 1,
      anon_sym_LBRACE,
    STATE(1047), 1,
      sym_statement_block,
    STATE(7944), 1,
      sym_comment,
  [243334] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7945), 1,
      sym_comment,
    ACTIONS(12002), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [243348] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6023), 1,
      anon_sym_LBRACE,
    STATE(3009), 1,
      sym_statement_block,
    STATE(7946), 1,
      sym_comment,
  [243364] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12004), 1,
      anon_sym_LPAREN,
    STATE(1478), 1,
      sym_parenthesized_expression,
    STATE(7947), 1,
      sym_comment,
  [243380] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6452), 1,
      sym__from_clause,
    STATE(7948), 1,
      sym_comment,
  [243396] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6023), 1,
      anon_sym_LBRACE,
    STATE(3011), 1,
      sym_statement_block,
    STATE(7949), 1,
      sym_comment,
  [243412] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6023), 1,
      anon_sym_LBRACE,
    STATE(3020), 1,
      sym_statement_block,
    STATE(7950), 1,
      sym_comment,
  [243428] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8332), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_class_body,
    STATE(7951), 1,
      sym_comment,
  [243444] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3022), 1,
      sym_class_body,
    STATE(7952), 1,
      sym_comment,
  [243460] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7953), 1,
      sym_comment,
    ACTIONS(6612), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [243474] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3026), 1,
      sym_class_body,
    STATE(7954), 1,
      sym_comment,
  [243490] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8274), 1,
      anon_sym_LBRACE,
    STATE(4086), 1,
      sym_class_body,
    STATE(7955), 1,
      sym_comment,
  [243506] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8234), 1,
      anon_sym_LBRACE,
    STATE(1918), 1,
      sym_class_body,
    STATE(7956), 1,
      sym_comment,
  [243522] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8336), 1,
      anon_sym_LBRACE,
    STATE(1616), 1,
      sym_class_body,
    STATE(7957), 1,
      sym_comment,
  [243538] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9826), 1,
      anon_sym_LBRACE,
    STATE(456), 1,
      sym_statement_block,
    STATE(7958), 1,
      sym_comment,
  [243554] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3177), 1,
      sym_statement_block,
    STATE(7959), 1,
      sym_comment,
  [243570] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11648), 1,
      anon_sym_LBRACE,
    STATE(1690), 1,
      sym_statement_block,
    STATE(7960), 1,
      sym_comment,
  [243586] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(6065), 1,
      sym_formal_parameters,
    STATE(7961), 1,
      sym_comment,
  [243602] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8332), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_class_body,
    STATE(7962), 1,
      sym_comment,
  [243618] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(7963), 1,
      sym_comment,
    STATE(8667), 1,
      sym_formal_parameters,
  [243634] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(7964), 1,
      sym_comment,
    STATE(8146), 1,
      sym_statement_block,
  [243650] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12006), 1,
      sym_identifier,
    STATE(7251), 1,
      sym_nested_identifier,
    STATE(7965), 1,
      sym_comment,
  [243666] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12008), 1,
      anon_sym_SEMI,
    ACTIONS(12010), 1,
      sym__automatic_semicolon,
    STATE(7966), 1,
      sym_comment,
  [243682] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(7967), 1,
      sym_comment,
    STATE(7998), 1,
      sym_statement_block,
  [243698] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7968), 1,
      sym_comment,
    ACTIONS(12012), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [243712] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3221), 1,
      sym_statement_block,
    STATE(7969), 1,
      sym_comment,
  [243728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7970), 1,
      sym_comment,
    ACTIONS(12014), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [243742] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3237), 1,
      sym_statement_block,
    STATE(7971), 1,
      sym_comment,
  [243758] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8218), 1,
      anon_sym_LBRACE,
    STATE(1854), 1,
      sym_class_body,
    STATE(7972), 1,
      sym_comment,
  [243774] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(1749), 1,
      sym_class_body,
    STATE(7973), 1,
      sym_comment,
  [243790] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8360), 1,
      anon_sym_LBRACE,
    STATE(6108), 1,
      sym_class_body,
    STATE(7974), 1,
      sym_comment,
  [243806] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12016), 1,
      sym_identifier,
    STATE(7350), 1,
      sym_nested_identifier,
    STATE(7975), 1,
      sym_comment,
  [243822] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7976), 1,
      sym_comment,
    ACTIONS(12018), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [243836] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3254), 1,
      sym_statement_block,
    STATE(7977), 1,
      sym_comment,
  [243852] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12020), 1,
      anon_sym_SEMI,
    ACTIONS(12022), 1,
      sym__automatic_semicolon,
    STATE(7978), 1,
      sym_comment,
  [243868] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(7979), 1,
      sym_comment,
    STATE(8406), 1,
      sym_formal_parameters,
  [243884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7980), 1,
      sym_comment,
    ACTIONS(12024), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [243898] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12026), 1,
      sym_identifier,
    ACTIONS(12028), 1,
      sym_private_property_identifier,
    STATE(7981), 1,
      sym_comment,
  [243914] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7982), 1,
      sym_comment,
    ACTIONS(12030), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [243928] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11818), 1,
      anon_sym_LBRACE,
    STATE(7823), 1,
      sym_enum_body,
    STATE(7983), 1,
      sym_comment,
  [243944] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11740), 1,
      anon_sym_LPAREN,
    STATE(156), 1,
      sym__for_header,
    STATE(7984), 1,
      sym_comment,
  [243960] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6327), 1,
      sym__from_clause,
    STATE(7985), 1,
      sym_comment,
  [243976] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7986), 1,
      sym_comment,
    ACTIONS(12032), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [243990] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(7825), 1,
      sym_statement_block,
    STATE(7987), 1,
      sym_comment,
  [244006] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3234), 1,
      sym_statement_block,
    STATE(7988), 1,
      sym_comment,
  [244022] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12034), 1,
      anon_sym_SEMI,
    ACTIONS(12036), 1,
      sym__automatic_semicolon,
    STATE(7989), 1,
      sym_comment,
  [244038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7990), 1,
      sym_comment,
    ACTIONS(6407), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [244052] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8370), 1,
      anon_sym_LBRACE,
    STATE(4036), 1,
      sym_class_body,
    STATE(7991), 1,
      sym_comment,
  [244068] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7992), 1,
      sym_comment,
    ACTIONS(6409), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [244082] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7993), 1,
      sym_comment,
    ACTIONS(12038), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [244096] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(5926), 1,
      sym_formal_parameters,
    STATE(7994), 1,
      sym_comment,
  [244112] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(7995), 1,
      sym_comment,
    STATE(8342), 1,
      sym_formal_parameters,
  [244128] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7996), 1,
      sym_comment,
    ACTIONS(12040), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [244142] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7997), 1,
      sym_comment,
    ACTIONS(12042), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [244156] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7998), 1,
      sym_comment,
    ACTIONS(6562), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [244170] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(7999), 1,
      sym_comment,
    ACTIONS(12044), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [244184] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(8000), 1,
      sym_comment,
    STATE(8644), 1,
      sym_formal_parameters,
  [244200] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12046), 1,
      anon_sym_LBRACE,
    STATE(4257), 1,
      sym_enum_body,
    STATE(8001), 1,
      sym_comment,
  [244216] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(8002), 1,
      sym_comment,
    STATE(8144), 1,
      sym_statement_block,
  [244232] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8003), 1,
      sym_comment,
    ACTIONS(12048), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [244246] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8004), 1,
      sym_comment,
    ACTIONS(6255), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [244260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8005), 1,
      sym_comment,
    ACTIONS(12050), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [244274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8006), 1,
      sym_comment,
    ACTIONS(9841), 2,
      anon_sym_else,
      anon_sym_while,
  [244288] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8007), 1,
      sym_comment,
    ACTIONS(9847), 2,
      anon_sym_else,
      anon_sym_while,
  [244302] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8008), 1,
      sym_comment,
    ACTIONS(6286), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [244316] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8009), 1,
      sym_comment,
    ACTIONS(12052), 2,
      anon_sym_else,
      anon_sym_while,
  [244330] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8010), 1,
      sym_comment,
    ACTIONS(12054), 2,
      anon_sym_else,
      anon_sym_while,
  [244344] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8011), 1,
      sym_comment,
    ACTIONS(12056), 2,
      anon_sym_else,
      anon_sym_while,
  [244358] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8012), 1,
      sym_comment,
    ACTIONS(12058), 2,
      anon_sym_else,
      anon_sym_while,
  [244372] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8370), 1,
      anon_sym_LBRACE,
    STATE(4037), 1,
      sym_class_body,
    STATE(8013), 1,
      sym_comment,
  [244388] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8014), 1,
      sym_comment,
    ACTIONS(10550), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [244402] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12060), 1,
      sym_identifier,
    ACTIONS(12062), 1,
      sym_private_property_identifier,
    STATE(8015), 1,
      sym_comment,
  [244418] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11740), 1,
      anon_sym_LPAREN,
    STATE(127), 1,
      sym__for_header,
    STATE(8016), 1,
      sym_comment,
  [244434] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7873), 1,
      anon_sym_LPAREN,
    STATE(4967), 1,
      sym_formal_parameters,
    STATE(8017), 1,
      sym_comment,
  [244450] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    STATE(3612), 1,
      sym_statement_block,
    STATE(8018), 1,
      sym_comment,
  [244466] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12064), 1,
      sym_identifier,
    ACTIONS(12066), 1,
      sym_private_property_identifier,
    STATE(8019), 1,
      sym_comment,
  [244482] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12068), 1,
      sym_identifier,
    ACTIONS(12070), 1,
      sym_private_property_identifier,
    STATE(8020), 1,
      sym_comment,
  [244498] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8258), 1,
      anon_sym_LBRACE,
    STATE(4248), 1,
      sym_class_body,
    STATE(8021), 1,
      sym_comment,
  [244514] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11740), 1,
      anon_sym_LPAREN,
    STATE(144), 1,
      sym__for_header,
    STATE(8022), 1,
      sym_comment,
  [244530] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11014), 1,
      sym_identifier,
    ACTIONS(11018), 1,
      sym_private_property_identifier,
    STATE(8023), 1,
      sym_comment,
  [244546] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6362), 1,
      sym__from_clause,
    STATE(8024), 1,
      sym_comment,
  [244562] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8025), 1,
      sym_comment,
    ACTIONS(6284), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [244576] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12072), 1,
      anon_sym_SEMI,
    ACTIONS(12074), 1,
      sym__automatic_semicolon,
    STATE(8026), 1,
      sym_comment,
  [244592] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8027), 1,
      sym_comment,
    ACTIONS(9012), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [244606] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3193), 1,
      sym_statement_block,
    STATE(8028), 1,
      sym_comment,
  [244622] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3604), 1,
      sym_class_body,
    STATE(8029), 1,
      sym_comment,
  [244638] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3159), 1,
      sym_statement_block,
    STATE(8030), 1,
      sym_comment,
  [244654] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11492), 1,
      anon_sym_LBRACE,
    STATE(4337), 1,
      sym_statement_block,
    STATE(8031), 1,
      sym_comment,
  [244670] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12046), 1,
      anon_sym_LBRACE,
    STATE(4327), 1,
      sym_enum_body,
    STATE(8032), 1,
      sym_comment,
  [244686] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3176), 1,
      sym_statement_block,
    STATE(8033), 1,
      sym_comment,
  [244702] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8332), 1,
      anon_sym_LBRACE,
    STATE(429), 1,
      sym_class_body,
    STATE(8034), 1,
      sym_comment,
  [244718] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    STATE(1368), 1,
      sym_parenthesized_expression,
    STATE(8035), 1,
      sym_comment,
  [244734] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(8036), 1,
      sym_comment,
    STATE(8049), 1,
      sym__from_clause,
  [244750] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12078), 1,
      anon_sym_LBRACE,
    STATE(1505), 1,
      sym_enum_body,
    STATE(8037), 1,
      sym_comment,
  [244766] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9503), 1,
      anon_sym_LBRACE,
    STATE(1877), 1,
      sym_statement_block,
    STATE(8038), 1,
      sym_comment,
  [244782] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8039), 1,
      sym_comment,
    ACTIONS(9995), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [244796] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8040), 1,
      sym_comment,
    ACTIONS(12080), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [244810] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8274), 1,
      anon_sym_LBRACE,
    STATE(4065), 1,
      sym_class_body,
    STATE(8041), 1,
      sym_comment,
  [244826] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9574), 1,
      anon_sym_LBRACE,
    STATE(1916), 1,
      sym_statement_block,
    STATE(8042), 1,
      sym_comment,
  [244842] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8043), 1,
      sym_comment,
    ACTIONS(12082), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [244856] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(8044), 1,
      sym_comment,
    STATE(8083), 1,
      sym_statement_block,
  [244872] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8045), 1,
      sym_comment,
    ACTIONS(7082), 2,
      anon_sym_else,
      anon_sym_while,
  [244886] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12084), 1,
      anon_sym_SEMI,
    ACTIONS(12086), 1,
      sym__automatic_semicolon,
    STATE(8046), 1,
      sym_comment,
  [244902] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12088), 1,
      anon_sym_LBRACE,
    STATE(4384), 1,
      sym_switch_body,
    STATE(8047), 1,
      sym_comment,
  [244918] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8048), 1,
      sym_comment,
    ACTIONS(9484), 2,
      anon_sym_else,
      anon_sym_while,
  [244932] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12090), 1,
      anon_sym_SEMI,
    ACTIONS(12092), 1,
      sym__automatic_semicolon,
    STATE(8049), 1,
      sym_comment,
  [244948] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9716), 1,
      anon_sym_LBRACE,
    STATE(1655), 1,
      sym_statement_block,
    STATE(8050), 1,
      sym_comment,
  [244964] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8051), 1,
      sym_comment,
    ACTIONS(9824), 2,
      anon_sym_else,
      anon_sym_while,
  [244978] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3245), 1,
      sym_statement_block,
    STATE(8052), 1,
      sym_comment,
  [244994] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(8053), 1,
      sym_comment,
    STATE(8377), 1,
      sym_formal_parameters,
  [245010] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8054), 1,
      sym_comment,
    ACTIONS(6349), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [245024] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8055), 1,
      sym_comment,
    ACTIONS(12094), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [245038] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8056), 1,
      sym_comment,
    ACTIONS(12096), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [245052] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12098), 1,
      anon_sym_SEMI,
    ACTIONS(12100), 1,
      sym__automatic_semicolon,
    STATE(8057), 1,
      sym_comment,
  [245068] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9503), 1,
      anon_sym_LBRACE,
    STATE(1855), 1,
      sym_statement_block,
    STATE(8058), 1,
      sym_comment,
  [245084] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(8059), 1,
      sym_comment,
    STATE(8291), 1,
      sym_formal_parameters,
  [245100] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8060), 1,
      sym_comment,
    ACTIONS(12102), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [245114] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8061), 1,
      sym_comment,
    ACTIONS(12104), 2,
      anon_sym_LBRACE,
      anon_sym_DOT,
  [245128] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8274), 1,
      anon_sym_LBRACE,
    STATE(4057), 1,
      sym_class_body,
    STATE(8062), 1,
      sym_comment,
  [245144] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10570), 1,
      anon_sym_LBRACE,
    STATE(4039), 1,
      sym_statement_block,
    STATE(8063), 1,
      sym_comment,
  [245160] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8234), 1,
      anon_sym_LBRACE,
    STATE(1913), 1,
      sym_class_body,
    STATE(8064), 1,
      sym_comment,
  [245176] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(133), 1,
      sym_parenthesized_expression,
    STATE(8065), 1,
      sym_comment,
  [245192] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3205), 1,
      sym_statement_block,
    STATE(8066), 1,
      sym_comment,
  [245208] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8526), 1,
      anon_sym_LBRACE,
    STATE(6220), 1,
      sym_statement_block,
    STATE(8067), 1,
      sym_comment,
  [245224] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11902), 1,
      anon_sym_LPAREN,
    STATE(8068), 1,
      sym_comment,
    STATE(8187), 1,
      sym_parenthesized_expression,
  [245240] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(128), 1,
      sym_parenthesized_expression,
    STATE(8069), 1,
      sym_comment,
  [245256] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8070), 1,
      sym_comment,
    ACTIONS(12106), 2,
      anon_sym_else,
      anon_sym_while,
  [245270] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8071), 1,
      sym_comment,
    ACTIONS(12108), 2,
      anon_sym_else,
      anon_sym_while,
  [245284] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(141), 1,
      sym_parenthesized_expression,
    STATE(8072), 1,
      sym_comment,
  [245300] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(138), 1,
      sym_parenthesized_expression,
    STATE(8073), 1,
      sym_comment,
  [245316] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12110), 1,
      sym_identifier,
    ACTIONS(12112), 1,
      sym_private_property_identifier,
    STATE(8074), 1,
      sym_comment,
  [245332] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11902), 1,
      anon_sym_LPAREN,
    STATE(8047), 1,
      sym_parenthesized_expression,
    STATE(8075), 1,
      sym_comment,
  [245348] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(136), 1,
      sym_parenthesized_expression,
    STATE(8076), 1,
      sym_comment,
  [245364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8077), 1,
      sym_comment,
    ACTIONS(6592), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [245378] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8370), 1,
      anon_sym_LBRACE,
    STATE(4041), 1,
      sym_class_body,
    STATE(8078), 1,
      sym_comment,
  [245394] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(103), 1,
      sym_parenthesized_expression,
    STATE(8079), 1,
      sym_comment,
  [245410] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11902), 1,
      anon_sym_LPAREN,
    STATE(7789), 1,
      sym_parenthesized_expression,
    STATE(8080), 1,
      sym_comment,
  [245426] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12114), 1,
      anon_sym_SEMI,
    ACTIONS(12116), 1,
      sym__automatic_semicolon,
    STATE(8081), 1,
      sym_comment,
  [245442] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3163), 1,
      sym_statement_block,
    STATE(8082), 1,
      sym_comment,
  [245458] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8083), 1,
      sym_comment,
    ACTIONS(12118), 2,
      anon_sym_else,
      anon_sym_while,
  [245472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8084), 1,
      sym_comment,
    ACTIONS(12120), 2,
      anon_sym_else,
      anon_sym_while,
  [245486] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8085), 1,
      sym_comment,
    ACTIONS(12122), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [245500] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12124), 1,
      sym_identifier,
    ACTIONS(12126), 1,
      sym_private_property_identifier,
    STATE(8086), 1,
      sym_comment,
  [245516] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12128), 1,
      sym_identifier,
    ACTIONS(12130), 1,
      sym_private_property_identifier,
    STATE(8087), 1,
      sym_comment,
  [245532] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(118), 1,
      sym_parenthesized_expression,
    STATE(8088), 1,
      sym_comment,
  [245548] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12132), 1,
      anon_sym_LBRACE,
    STATE(1464), 1,
      sym_statement_block,
    STATE(8089), 1,
      sym_comment,
  [245564] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3267), 1,
      sym_statement_block,
    STATE(8090), 1,
      sym_comment,
  [245580] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8274), 1,
      anon_sym_LBRACE,
    STATE(4049), 1,
      sym_class_body,
    STATE(8091), 1,
      sym_comment,
  [245596] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8092), 1,
      sym_comment,
    ACTIONS(12134), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [245610] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10570), 1,
      anon_sym_LBRACE,
    STATE(4042), 1,
      sym_statement_block,
    STATE(8093), 1,
      sym_comment,
  [245626] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12078), 1,
      anon_sym_LBRACE,
    STATE(1483), 1,
      sym_enum_body,
    STATE(8094), 1,
      sym_comment,
  [245642] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    STATE(8095), 1,
      sym_comment,
    ACTIONS(12136), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [245656] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12132), 1,
      anon_sym_LBRACE,
    STATE(1481), 1,
      sym_statement_block,
    STATE(8096), 1,
      sym_comment,
  [245672] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(8097), 1,
      sym_comment,
    STATE(8276), 1,
      sym_formal_parameters,
  [245688] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8098), 1,
      sym_comment,
    ACTIONS(10748), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [245702] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8099), 1,
      sym_comment,
    ACTIONS(6328), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [245716] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8100), 1,
      sym_comment,
    ACTIONS(6292), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [245730] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8101), 1,
      sym_comment,
    ACTIONS(12138), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [245744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8102), 1,
      sym_comment,
    ACTIONS(12140), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [245758] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10898), 1,
      sym_identifier,
    ACTIONS(10902), 1,
      sym_private_property_identifier,
    STATE(8103), 1,
      sym_comment,
  [245774] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12142), 1,
      sym_identifier,
    STATE(6811), 1,
      sym_nested_identifier,
    STATE(8104), 1,
      sym_comment,
  [245790] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(7989), 1,
      sym__from_clause,
    STATE(8105), 1,
      sym_comment,
  [245806] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12144), 1,
      sym_identifier,
    ACTIONS(12146), 1,
      sym_private_property_identifier,
    STATE(8106), 1,
      sym_comment,
  [245822] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8107), 1,
      sym_comment,
    ACTIONS(9792), 2,
      anon_sym_else,
      anon_sym_while,
  [245836] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6410), 1,
      sym__from_clause,
    STATE(8108), 1,
      sym_comment,
  [245852] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(8109), 1,
      sym_comment,
    STATE(8348), 1,
      sym_formal_parameters,
  [245868] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11740), 1,
      anon_sym_LPAREN,
    STATE(100), 1,
      sym__for_header,
    STATE(8110), 1,
      sym_comment,
  [245884] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8526), 1,
      anon_sym_LBRACE,
    STATE(6985), 1,
      sym_statement_block,
    STATE(8111), 1,
      sym_comment,
  [245900] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12148), 1,
      anon_sym_SEMI,
    ACTIONS(12150), 1,
      sym__automatic_semicolon,
    STATE(8112), 1,
      sym_comment,
  [245916] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8113), 1,
      sym_comment,
    ACTIONS(12152), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [245930] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8114), 1,
      sym_comment,
    ACTIONS(12154), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [245944] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8115), 1,
      sym_comment,
    ACTIONS(12156), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [245958] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12158), 1,
      anon_sym_SEMI,
    ACTIONS(12160), 1,
      sym__automatic_semicolon,
    STATE(8116), 1,
      sym_comment,
  [245974] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8117), 1,
      sym_comment,
    ACTIONS(12162), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [245988] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2370), 1,
      anon_sym_DOT,
    ACTIONS(5991), 1,
      sym_identifier,
    STATE(8118), 1,
      sym_comment,
  [246004] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2410), 1,
      anon_sym_DOT,
    ACTIONS(5991), 1,
      sym_identifier,
    STATE(8119), 1,
      sym_comment,
  [246020] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8120), 1,
      sym_comment,
    ACTIONS(9790), 2,
      anon_sym_else,
      anon_sym_while,
  [246034] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8121), 1,
      sym_comment,
    ACTIONS(10076), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [246048] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(8122), 1,
      sym_comment,
    STATE(8230), 1,
      sym_formal_parameters,
  [246064] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8526), 1,
      anon_sym_LBRACE,
    STATE(7052), 1,
      sym_statement_block,
    STATE(8123), 1,
      sym_comment,
  [246080] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8124), 1,
      sym_comment,
    ACTIONS(12164), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [246094] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6480), 1,
      sym__from_clause,
    STATE(8125), 1,
      sym_comment,
  [246110] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8236), 1,
      anon_sym_LBRACE,
    STATE(1809), 1,
      sym_class_body,
    STATE(8126), 1,
      sym_comment,
  [246126] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3898), 1,
      sym_class_body,
    STATE(8127), 1,
      sym_comment,
  [246142] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8128), 1,
      sym_comment,
    ACTIONS(12166), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [246156] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6460), 1,
      sym__from_clause,
    STATE(8129), 1,
      sym_comment,
  [246172] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12168), 1,
      sym_identifier,
    ACTIONS(12170), 1,
      sym_private_property_identifier,
    STATE(8130), 1,
      sym_comment,
  [246188] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(8131), 1,
      sym_comment,
    STATE(8422), 1,
      sym_formal_parameters,
  [246204] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8132), 1,
      sym_comment,
    ACTIONS(10874), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [246218] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(99), 1,
      sym_parenthesized_expression,
    STATE(8133), 1,
      sym_comment,
  [246234] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(7795), 1,
      sym_statement_block,
    STATE(8134), 1,
      sym_comment,
  [246250] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8135), 1,
      sym_comment,
    ACTIONS(6536), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [246264] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(8136), 1,
      sym_comment,
    STATE(8444), 1,
      sym_formal_parameters,
  [246280] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12172), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_nested_identifier,
    STATE(8137), 1,
      sym_comment,
  [246296] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8250), 1,
      anon_sym_LBRACE,
    STATE(4184), 1,
      sym_class_body,
    STATE(8138), 1,
      sym_comment,
  [246312] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12174), 1,
      sym_identifier,
    STATE(7228), 1,
      sym__qml_enum_assignment,
    STATE(8139), 1,
      sym_comment,
  [246328] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8526), 1,
      anon_sym_LBRACE,
    STATE(6218), 1,
      sym_statement_block,
    STATE(8140), 1,
      sym_comment,
  [246344] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3276), 1,
      sym_statement_block,
    STATE(8141), 1,
      sym_comment,
  [246360] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8142), 1,
      sym_comment,
    ACTIONS(12176), 2,
      anon_sym_else,
      anon_sym_while,
  [246374] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8143), 1,
      sym_comment,
    ACTIONS(12178), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [246388] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8144), 1,
      sym_comment,
    ACTIONS(6453), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [246402] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8554), 1,
      anon_sym_LBRACE,
    STATE(7929), 1,
      sym_statement_block,
    STATE(8145), 1,
      sym_comment,
  [246418] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8146), 1,
      sym_comment,
    ACTIONS(6457), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [246432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8147), 1,
      sym_comment,
    ACTIONS(12180), 2,
      anon_sym_else,
      anon_sym_while,
  [246446] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8148), 1,
      sym_comment,
    ACTIONS(12182), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [246460] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12184), 1,
      anon_sym_SEMI,
    ACTIONS(12186), 1,
      sym__automatic_semicolon,
    STATE(8149), 1,
      sym_comment,
  [246476] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6023), 1,
      anon_sym_LBRACE,
    STATE(3106), 1,
      sym_statement_block,
    STATE(8150), 1,
      sym_comment,
  [246492] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8151), 1,
      sym_comment,
    ACTIONS(2436), 2,
      anon_sym_else,
      anon_sym_while,
  [246506] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8152), 1,
      sym_comment,
    ACTIONS(12188), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [246520] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12190), 1,
      sym_identifier,
    ACTIONS(12192), 1,
      sym_private_property_identifier,
    STATE(8153), 1,
      sym_comment,
  [246536] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8218), 1,
      anon_sym_LBRACE,
    STATE(1857), 1,
      sym_class_body,
    STATE(8154), 1,
      sym_comment,
  [246552] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8155), 1,
      sym_comment,
    ACTIONS(6266), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [246566] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11740), 1,
      anon_sym_LPAREN,
    STATE(98), 1,
      sym__for_header,
    STATE(8156), 1,
      sym_comment,
  [246582] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12194), 1,
      anon_sym_LPAREN,
    STATE(4034), 1,
      sym_parenthesized_expression,
    STATE(8157), 1,
      sym_comment,
  [246598] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(6503), 1,
      sym__from_clause,
    STATE(8158), 1,
      sym_comment,
  [246614] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8326), 1,
      anon_sym_LBRACE,
    STATE(3101), 1,
      sym_class_body,
    STATE(8159), 1,
      sym_comment,
  [246630] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(4622), 1,
      anon_sym_COLON,
    STATE(7925), 1,
      sym_type_annotation,
    STATE(8160), 1,
      sym_comment,
  [246646] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8234), 1,
      anon_sym_LBRACE,
    STATE(1892), 1,
      sym_class_body,
    STATE(8161), 1,
      sym_comment,
  [246662] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12196), 1,
      sym_identifier,
    ACTIONS(12198), 1,
      sym_private_property_identifier,
    STATE(8162), 1,
      sym_comment,
  [246678] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12200), 1,
      sym_identifier,
    ACTIONS(12202), 1,
      sym_private_property_identifier,
    STATE(8163), 1,
      sym_comment,
  [246694] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11400), 1,
      anon_sym_LBRACE,
    STATE(4110), 1,
      sym_statement_block,
    STATE(8164), 1,
      sym_comment,
  [246710] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9945), 1,
      anon_sym_from,
    STATE(7791), 1,
      sym__from_clause,
    STATE(8165), 1,
      sym_comment,
  [246726] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8166), 1,
      sym_comment,
    ACTIONS(10704), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [246740] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11640), 1,
      anon_sym_LBRACE,
    STATE(1805), 1,
      sym_enum_body,
    STATE(8167), 1,
      sym_comment,
  [246756] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12204), 1,
      sym_identifier,
    ACTIONS(12206), 1,
      sym_private_property_identifier,
    STATE(8168), 1,
      sym_comment,
  [246772] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3524), 1,
      sym_class_body,
    STATE(8169), 1,
      sym_comment,
  [246788] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9513), 1,
      anon_sym_LBRACE,
    STATE(4055), 1,
      sym_statement_block,
    STATE(8170), 1,
      sym_comment,
  [246804] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12208), 1,
      sym_identifier,
    ACTIONS(12210), 1,
      sym_private_property_identifier,
    STATE(8171), 1,
      sym_comment,
  [246820] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12212), 1,
      sym_identifier,
    ACTIONS(12214), 1,
      sym_private_property_identifier,
    STATE(8172), 1,
      sym_comment,
  [246836] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12216), 1,
      anon_sym_LBRACE,
    STATE(3887), 1,
      sym_statement_block,
    STATE(8173), 1,
      sym_comment,
  [246852] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8272), 1,
      anon_sym_LBRACE,
    STATE(3529), 1,
      sym_class_body,
    STATE(8174), 1,
      sym_comment,
  [246868] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(8175), 1,
      sym_comment,
    STATE(8510), 1,
      sym_formal_parameters,
  [246884] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(113), 1,
      sym_parenthesized_expression,
    STATE(8176), 1,
      sym_comment,
  [246900] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12218), 1,
      sym_identifier,
    ACTIONS(12220), 1,
      sym_private_property_identifier,
    STATE(8177), 1,
      sym_comment,
  [246916] = 5,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12222), 1,
      sym_identifier,
    ACTIONS(12224), 1,
      sym_private_property_identifier,
    STATE(8178), 1,
      sym_comment,
  [246932] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8179), 1,
      sym_comment,
    ACTIONS(9742), 2,
      anon_sym_else,
      anon_sym_while,
  [246946] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(109), 1,
      sym_parenthesized_expression,
    STATE(8180), 1,
      sym_comment,
  [246962] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_COLON,
    STATE(7153), 1,
      sym_type_annotation,
    STATE(8181), 1,
      sym_comment,
  [246978] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12226), 1,
      anon_sym_LBRACE,
    STATE(1002), 1,
      sym_statement_block,
    STATE(8182), 1,
      sym_comment,
  [246994] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11902), 1,
      anon_sym_LPAREN,
    STATE(7583), 1,
      sym_parenthesized_expression,
    STATE(8183), 1,
      sym_comment,
  [247010] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11476), 1,
      anon_sym_LPAREN,
    STATE(121), 1,
      sym_parenthesized_expression,
    STATE(8184), 1,
      sym_comment,
  [247026] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8210), 1,
      anon_sym_LBRACE,
    STATE(490), 1,
      sym_class_body,
    STATE(8185), 1,
      sym_comment,
  [247042] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8186), 1,
      sym_comment,
    ACTIONS(6213), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [247056] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12228), 1,
      anon_sym_LBRACE,
    STATE(1565), 1,
      sym_switch_body,
    STATE(8187), 1,
      sym_comment,
  [247072] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12230), 1,
      anon_sym_in,
    ACTIONS(12232), 1,
      anon_sym_COLON,
    STATE(8188), 1,
      sym_comment,
  [247088] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_LPAREN,
    STATE(5702), 1,
      sym_formal_parameters,
    STATE(8189), 1,
      sym_comment,
  [247104] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3274), 1,
      sym_statement_block,
    STATE(8190), 1,
      sym_comment,
  [247120] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12234), 1,
      anon_sym_LBRACE,
    STATE(1677), 1,
      sym_switch_body,
    STATE(8191), 1,
      sym_comment,
  [247136] = 5,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_LBRACE,
    STATE(3271), 1,
      sym_statement_block,
    STATE(8192), 1,
      sym_comment,
  [247152] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8193), 1,
      sym_comment,
    ACTIONS(12236), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [247166] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8194), 1,
      sym_comment,
    ACTIONS(6426), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [247180] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    STATE(8195), 1,
      sym_comment,
    ACTIONS(7082), 2,
      anon_sym_else,
      anon_sym_while,
  [247194] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12238), 1,
      anon_sym_EQ_GT,
    STATE(8196), 1,
      sym_comment,
  [247207] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12240), 1,
      sym_identifier,
    STATE(8197), 1,
      sym_comment,
  [247220] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12242), 1,
      anon_sym_EQ_GT,
    STATE(8198), 1,
      sym_comment,
  [247233] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12244), 1,
      anon_sym_EQ_GT,
    STATE(8199), 1,
      sym_comment,
  [247246] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12246), 1,
      anon_sym_EQ_GT,
    STATE(8200), 1,
      sym_comment,
  [247259] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12248), 1,
      sym_identifier,
    STATE(8201), 1,
      sym_comment,
  [247272] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12250), 1,
      anon_sym_EQ_GT,
    STATE(8202), 1,
      sym_comment,
  [247285] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12252), 1,
      anon_sym_RPAREN,
    STATE(8203), 1,
      sym_comment,
  [247298] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6898), 1,
      anon_sym_in,
    STATE(8204), 1,
      sym_comment,
  [247311] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12254), 1,
      anon_sym_EQ,
    STATE(8205), 1,
      sym_comment,
  [247324] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12256), 1,
      anon_sym_EQ,
    STATE(8206), 1,
      sym_comment,
  [247337] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12258), 1,
      anon_sym_COLON,
    STATE(8207), 1,
      sym_comment,
  [247350] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12260), 1,
      anon_sym_EQ,
    STATE(8208), 1,
      sym_comment,
  [247363] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5955), 1,
      anon_sym_RPAREN,
    STATE(8209), 1,
      sym_comment,
  [247376] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12262), 1,
      anon_sym_EQ_GT,
    STATE(8210), 1,
      sym_comment,
  [247389] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12264), 1,
      anon_sym_RBRACK,
    STATE(8211), 1,
      sym_comment,
  [247402] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12266), 1,
      anon_sym_RPAREN,
    STATE(8212), 1,
      sym_comment,
  [247415] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5687), 1,
      anon_sym_RPAREN,
    STATE(8213), 1,
      sym_comment,
  [247428] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10807), 1,
      anon_sym_EQ,
    STATE(8214), 1,
      sym_comment,
  [247441] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6167), 1,
      anon_sym_in,
    STATE(8215), 1,
      sym_comment,
  [247454] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12268), 1,
      anon_sym_DOT,
    STATE(8216), 1,
      sym_comment,
  [247467] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6605), 1,
      anon_sym_RBRACE,
    STATE(8217), 1,
      sym_comment,
  [247480] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12270), 1,
      anon_sym_EQ_GT,
    STATE(8218), 1,
      sym_comment,
  [247493] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12272), 1,
      anon_sym_EQ_GT,
    STATE(8219), 1,
      sym_comment,
  [247506] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12274), 1,
      sym_regex_pattern,
    STATE(8220), 1,
      sym_comment,
  [247519] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6582), 1,
      anon_sym_RBRACK,
    STATE(8221), 1,
      sym_comment,
  [247532] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12276), 1,
      sym_identifier,
    STATE(8222), 1,
      sym_comment,
  [247545] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12278), 1,
      anon_sym_EQ_GT,
    STATE(8223), 1,
      sym_comment,
  [247558] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12280), 1,
      anon_sym_RPAREN,
    STATE(8224), 1,
      sym_comment,
  [247571] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12282), 1,
      anon_sym_EQ_GT,
    STATE(8225), 1,
      sym_comment,
  [247584] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12284), 1,
      anon_sym_EQ_GT,
    STATE(8226), 1,
      sym_comment,
  [247597] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12286), 1,
      anon_sym_COLON,
    STATE(8227), 1,
      sym_comment,
  [247610] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12288), 1,
      sym_identifier,
    STATE(8228), 1,
      sym_comment,
  [247623] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12290), 1,
      sym_identifier,
    STATE(8229), 1,
      sym_comment,
  [247636] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12292), 1,
      anon_sym_EQ_GT,
    STATE(8230), 1,
      sym_comment,
  [247649] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12294), 1,
      anon_sym_EQ_GT,
    STATE(8231), 1,
      sym_comment,
  [247662] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12296), 1,
      anon_sym_RPAREN,
    STATE(8232), 1,
      sym_comment,
  [247675] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7757), 1,
      anon_sym_is,
    STATE(8233), 1,
      sym_comment,
  [247688] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12298), 1,
      anon_sym_EQ,
    STATE(8234), 1,
      sym_comment,
  [247701] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12300), 1,
      sym_identifier,
    STATE(8235), 1,
      sym_comment,
  [247714] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12302), 1,
      anon_sym_SLASH2,
    STATE(8236), 1,
      sym_comment,
  [247727] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12304), 1,
      sym_number,
    STATE(8237), 1,
      sym_comment,
  [247740] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12306), 1,
      sym_identifier,
    STATE(8238), 1,
      sym_comment,
  [247753] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12308), 1,
      anon_sym_symbol,
    STATE(8239), 1,
      sym_comment,
  [247766] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12310), 1,
      anon_sym_RPAREN,
    STATE(8240), 1,
      sym_comment,
  [247779] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12312), 1,
      sym_identifier,
    STATE(8241), 1,
      sym_comment,
  [247792] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12314), 1,
      sym_identifier,
    STATE(8242), 1,
      sym_comment,
  [247805] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12316), 1,
      anon_sym_EQ_GT,
    STATE(8243), 1,
      sym_comment,
  [247818] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12318), 1,
      sym_identifier,
    STATE(8244), 1,
      sym_comment,
  [247831] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12320), 1,
      anon_sym_EQ_GT,
    STATE(8245), 1,
      sym_comment,
  [247844] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12322), 1,
      sym_identifier,
    STATE(8246), 1,
      sym_comment,
  [247857] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12324), 1,
      anon_sym_EQ_GT,
    STATE(8247), 1,
      sym_comment,
  [247870] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12326), 1,
      anon_sym_EQ_GT,
    STATE(8248), 1,
      sym_comment,
  [247883] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12328), 1,
      anon_sym_RPAREN,
    STATE(8249), 1,
      sym_comment,
  [247896] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6661), 1,
      anon_sym_RPAREN,
    STATE(8250), 1,
      sym_comment,
  [247909] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12330), 1,
      anon_sym_target,
    STATE(8251), 1,
      sym_comment,
  [247922] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6121), 1,
      anon_sym_in,
    STATE(8252), 1,
      sym_comment,
  [247935] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12332), 1,
      sym_identifier,
    STATE(8253), 1,
      sym_comment,
  [247948] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12334), 1,
      anon_sym_while,
    STATE(8254), 1,
      sym_comment,
  [247961] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12336), 1,
      sym_identifier,
    STATE(8255), 1,
      sym_comment,
  [247974] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12338), 1,
      sym_identifier,
    STATE(8256), 1,
      sym_comment,
  [247987] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12340), 1,
      anon_sym_EQ,
    STATE(8257), 1,
      sym_comment,
  [248000] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12342), 1,
      anon_sym_SLASH2,
    STATE(8258), 1,
      sym_comment,
  [248013] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12344), 1,
      sym_identifier,
    STATE(8259), 1,
      sym_comment,
  [248026] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12346), 1,
      sym_number,
    STATE(8260), 1,
      sym_comment,
  [248039] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12348), 1,
      sym_identifier,
    STATE(8261), 1,
      sym_comment,
  [248052] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12350), 1,
      sym_identifier,
    STATE(8262), 1,
      sym_comment,
  [248065] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12352), 1,
      sym_identifier,
    STATE(8263), 1,
      sym_comment,
  [248078] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12354), 1,
      sym_identifier,
    STATE(8264), 1,
      sym_comment,
  [248091] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12356), 1,
      sym_regex_pattern,
    STATE(8265), 1,
      sym_comment,
  [248104] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12358), 1,
      sym_identifier,
    STATE(8266), 1,
      sym_comment,
  [248117] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12360), 1,
      anon_sym_symbol,
    STATE(8267), 1,
      sym_comment,
  [248130] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12362), 1,
      sym_identifier,
    STATE(8268), 1,
      sym_comment,
  [248143] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6554), 1,
      anon_sym_is,
    STATE(8269), 1,
      sym_comment,
  [248156] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12364), 1,
      anon_sym_while,
    STATE(8270), 1,
      sym_comment,
  [248169] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12366), 1,
      sym_identifier,
    STATE(8271), 1,
      sym_comment,
  [248182] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12368), 1,
      sym_identifier,
    STATE(8272), 1,
      sym_comment,
  [248195] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12370), 1,
      sym_identifier,
    STATE(8273), 1,
      sym_comment,
  [248208] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12372), 1,
      sym_identifier,
    STATE(8274), 1,
      sym_comment,
  [248221] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3466), 1,
      anon_sym_LBRACE,
    STATE(8275), 1,
      sym_comment,
  [248234] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12374), 1,
      anon_sym_EQ_GT,
    STATE(8276), 1,
      sym_comment,
  [248247] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12376), 1,
      sym_identifier,
    STATE(8277), 1,
      sym_comment,
  [248260] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12378), 1,
      anon_sym_RPAREN,
    STATE(8278), 1,
      sym_comment,
  [248273] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12380), 1,
      sym_identifier,
    STATE(8279), 1,
      sym_comment,
  [248286] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12382), 1,
      sym_identifier,
    STATE(8280), 1,
      sym_comment,
  [248299] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12384), 1,
      sym_identifier,
    STATE(8281), 1,
      sym_comment,
  [248312] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12386), 1,
      sym_regex_pattern,
    STATE(8282), 1,
      sym_comment,
  [248325] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12388), 1,
      sym_identifier,
    STATE(8283), 1,
      sym_comment,
  [248338] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12390), 1,
      anon_sym_DOT,
    STATE(8284), 1,
      sym_comment,
  [248351] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6532), 1,
      anon_sym_RPAREN,
    STATE(8285), 1,
      sym_comment,
  [248364] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10947), 1,
      anon_sym_RBRACK,
    STATE(8286), 1,
      sym_comment,
  [248377] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12392), 1,
      anon_sym_RPAREN,
    STATE(8287), 1,
      sym_comment,
  [248390] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12394), 1,
      anon_sym_EQ_GT,
    STATE(8288), 1,
      sym_comment,
  [248403] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12396), 1,
      anon_sym_RBRACK,
    STATE(8289), 1,
      sym_comment,
  [248416] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12398), 1,
      anon_sym_EQ_GT,
    STATE(8290), 1,
      sym_comment,
  [248429] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12400), 1,
      anon_sym_EQ_GT,
    STATE(8291), 1,
      sym_comment,
  [248442] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12402), 1,
      anon_sym_RBRACK,
    STATE(8292), 1,
      sym_comment,
  [248455] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12404), 1,
      anon_sym_RBRACK,
    STATE(8293), 1,
      sym_comment,
  [248468] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12406), 1,
      anon_sym_RBRACK,
    STATE(8294), 1,
      sym_comment,
  [248481] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12408), 1,
      anon_sym_RBRACK,
    STATE(8295), 1,
      sym_comment,
  [248494] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12410), 1,
      anon_sym_RBRACK,
    STATE(8296), 1,
      sym_comment,
  [248507] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12412), 1,
      anon_sym_DOT,
    STATE(8297), 1,
      sym_comment,
  [248520] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12414), 1,
      anon_sym_EQ,
    STATE(8298), 1,
      sym_comment,
  [248533] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10977), 1,
      anon_sym_RBRACK,
    STATE(8299), 1,
      sym_comment,
  [248546] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12416), 1,
      sym_number,
    STATE(8300), 1,
      sym_comment,
  [248559] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12418), 1,
      sym_regex_pattern,
    STATE(8301), 1,
      sym_comment,
  [248572] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12420), 1,
      anon_sym_RBRACK,
    STATE(8302), 1,
      sym_comment,
  [248585] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12422), 1,
      anon_sym_RBRACK,
    STATE(8303), 1,
      sym_comment,
  [248598] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12424), 1,
      anon_sym_RBRACK,
    STATE(8304), 1,
      sym_comment,
  [248611] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12426), 1,
      anon_sym_RBRACK,
    STATE(8305), 1,
      sym_comment,
  [248624] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12428), 1,
      anon_sym_class,
    STATE(8306), 1,
      sym_comment,
  [248637] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12430), 1,
      sym_identifier,
    STATE(8307), 1,
      sym_comment,
  [248650] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12432), 1,
      sym_identifier,
    STATE(8308), 1,
      sym_comment,
  [248663] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12434), 1,
      sym_identifier,
    STATE(8309), 1,
      sym_comment,
  [248676] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12436), 1,
      sym_identifier,
    STATE(8310), 1,
      sym_comment,
  [248689] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12438), 1,
      anon_sym_EQ,
    STATE(8311), 1,
      sym_comment,
  [248702] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12440), 1,
      anon_sym_EQ_GT,
    STATE(8312), 1,
      sym_comment,
  [248715] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12442), 1,
      sym_identifier,
    STATE(8313), 1,
      sym_comment,
  [248728] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12444), 1,
      anon_sym_EQ_GT,
    STATE(8314), 1,
      sym_comment,
  [248741] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12446), 1,
      anon_sym_EQ_GT,
    STATE(8315), 1,
      sym_comment,
  [248754] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12448), 1,
      anon_sym_EQ,
    STATE(8316), 1,
      sym_comment,
  [248767] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12450), 1,
      anon_sym_EQ_GT,
    STATE(8317), 1,
      sym_comment,
  [248780] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6952), 1,
      anon_sym_in,
    STATE(8318), 1,
      sym_comment,
  [248793] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5637), 1,
      anon_sym_RPAREN,
    STATE(8319), 1,
      sym_comment,
  [248806] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12452), 1,
      sym_identifier,
    STATE(8320), 1,
      sym_comment,
  [248819] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12454), 1,
      sym_identifier,
    STATE(8321), 1,
      sym_comment,
  [248832] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12456), 1,
      sym_identifier,
    STATE(8322), 1,
      sym_comment,
  [248845] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12458), 1,
      anon_sym_EQ_GT,
    STATE(8323), 1,
      sym_comment,
  [248858] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12460), 1,
      anon_sym_RPAREN,
    STATE(8324), 1,
      sym_comment,
  [248871] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11010), 1,
      anon_sym_LBRACE,
    STATE(8325), 1,
      sym_comment,
  [248884] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10156), 1,
      anon_sym_EQ_GT,
    STATE(8326), 1,
      sym_comment,
  [248897] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12462), 1,
      sym_identifier,
    STATE(8327), 1,
      sym_comment,
  [248910] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10154), 1,
      anon_sym_EQ_GT,
    STATE(8328), 1,
      sym_comment,
  [248923] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12464), 1,
      anon_sym_EQ_GT,
    STATE(8329), 1,
      sym_comment,
  [248936] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12466), 1,
      anon_sym_target,
    STATE(8330), 1,
      sym_comment,
  [248949] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12468), 1,
      anon_sym_EQ,
    STATE(8331), 1,
      sym_comment,
  [248962] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12470), 1,
      sym_identifier,
    STATE(8332), 1,
      sym_comment,
  [248975] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12472), 1,
      anon_sym_SLASH2,
    STATE(8333), 1,
      sym_comment,
  [248988] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12474), 1,
      aux_sym_ui_version_specifier_token1,
    STATE(8334), 1,
      sym_comment,
  [249001] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12476), 1,
      anon_sym_while,
    STATE(8335), 1,
      sym_comment,
  [249014] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12478), 1,
      sym_number,
    STATE(8336), 1,
      sym_comment,
  [249027] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12480), 1,
      sym_identifier,
    STATE(8337), 1,
      sym_comment,
  [249040] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11006), 1,
      anon_sym_RBRACK,
    STATE(8338), 1,
      sym_comment,
  [249053] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12482), 1,
      anon_sym_EQ_GT,
    STATE(8339), 1,
      sym_comment,
  [249066] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12484), 1,
      anon_sym_EQ_GT,
    STATE(8340), 1,
      sym_comment,
  [249079] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8693), 1,
      anon_sym_EQ,
    STATE(8341), 1,
      sym_comment,
  [249092] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12486), 1,
      anon_sym_EQ_GT,
    STATE(8342), 1,
      sym_comment,
  [249105] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12488), 1,
      sym_identifier,
    STATE(8343), 1,
      sym_comment,
  [249118] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12490), 1,
      anon_sym_EQ_GT,
    STATE(8344), 1,
      sym_comment,
  [249131] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12492), 1,
      sym_identifier,
    STATE(8345), 1,
      sym_comment,
  [249144] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12494), 1,
      anon_sym_RPAREN,
    STATE(8346), 1,
      sym_comment,
  [249157] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12496), 1,
      anon_sym_new,
    STATE(8347), 1,
      sym_comment,
  [249170] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12498), 1,
      anon_sym_EQ_GT,
    STATE(8348), 1,
      sym_comment,
  [249183] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6445), 1,
      anon_sym_RPAREN,
    STATE(8349), 1,
      sym_comment,
  [249196] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12500), 1,
      anon_sym_RBRACK,
    STATE(8350), 1,
      sym_comment,
  [249209] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7192), 1,
      anon_sym_in,
    STATE(8351), 1,
      sym_comment,
  [249222] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12502), 1,
      sym_identifier,
    STATE(8352), 1,
      sym_comment,
  [249235] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8116), 1,
      anon_sym_is,
    STATE(8353), 1,
      sym_comment,
  [249248] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12504), 1,
      anon_sym_symbol,
    STATE(8354), 1,
      sym_comment,
  [249261] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12506), 1,
      anon_sym_RBRACK,
    STATE(8355), 1,
      sym_comment,
  [249274] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12508), 1,
      anon_sym_RBRACK,
    STATE(8356), 1,
      sym_comment,
  [249287] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12510), 1,
      anon_sym_RBRACK,
    STATE(8357), 1,
      sym_comment,
  [249300] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12512), 1,
      sym_identifier,
    STATE(8358), 1,
      sym_comment,
  [249313] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12514), 1,
      anon_sym_RBRACK,
    STATE(8359), 1,
      sym_comment,
  [249326] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12516), 1,
      anon_sym_RBRACK,
    STATE(8360), 1,
      sym_comment,
  [249339] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12518), 1,
      anon_sym_RBRACK,
    STATE(8361), 1,
      sym_comment,
  [249352] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12520), 1,
      anon_sym_RBRACK,
    STATE(8362), 1,
      sym_comment,
  [249365] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12522), 1,
      anon_sym_RBRACK,
    STATE(8363), 1,
      sym_comment,
  [249378] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12524), 1,
      anon_sym_RBRACK,
    STATE(8364), 1,
      sym_comment,
  [249391] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6443), 1,
      anon_sym_RBRACK,
    STATE(8365), 1,
      sym_comment,
  [249404] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6584), 1,
      anon_sym_RPAREN,
    STATE(8366), 1,
      sym_comment,
  [249417] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12526), 1,
      sym_identifier,
    STATE(8367), 1,
      sym_comment,
  [249430] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12528), 1,
      anon_sym_RPAREN,
    STATE(8368), 1,
      sym_comment,
  [249443] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12530), 1,
      anon_sym_RPAREN,
    STATE(8369), 1,
      sym_comment,
  [249456] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12532), 1,
      anon_sym_EQ_GT,
    STATE(8370), 1,
      sym_comment,
  [249469] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12534), 1,
      anon_sym_EQ_GT,
    STATE(8371), 1,
      sym_comment,
  [249482] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12536), 1,
      sym_identifier,
    STATE(8372), 1,
      sym_comment,
  [249495] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12538), 1,
      sym_identifier,
    STATE(8373), 1,
      sym_comment,
  [249508] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12540), 1,
      anon_sym_RBRACK,
    STATE(8374), 1,
      sym_comment,
  [249521] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12542), 1,
      anon_sym_EQ_GT,
    STATE(8375), 1,
      sym_comment,
  [249534] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12544), 1,
      sym_identifier,
    STATE(8376), 1,
      sym_comment,
  [249547] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12546), 1,
      anon_sym_EQ_GT,
    STATE(8377), 1,
      sym_comment,
  [249560] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12548), 1,
      anon_sym_DOT,
    STATE(8378), 1,
      sym_comment,
  [249573] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12550), 1,
      sym_identifier,
    STATE(8379), 1,
      sym_comment,
  [249586] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12552), 1,
      anon_sym_RBRACK,
    STATE(8380), 1,
      sym_comment,
  [249599] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12554), 1,
      anon_sym_RBRACK,
    STATE(8381), 1,
      sym_comment,
  [249612] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12556), 1,
      anon_sym_RBRACK,
    STATE(8382), 1,
      sym_comment,
  [249625] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12558), 1,
      anon_sym_RBRACK,
    STATE(8383), 1,
      sym_comment,
  [249638] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12560), 1,
      anon_sym_RBRACK,
    STATE(8384), 1,
      sym_comment,
  [249651] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12562), 1,
      anon_sym_RBRACK,
    STATE(8385), 1,
      sym_comment,
  [249664] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11094), 1,
      anon_sym_RBRACK,
    STATE(8386), 1,
      sym_comment,
  [249677] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12564), 1,
      anon_sym_RBRACK,
    STATE(8387), 1,
      sym_comment,
  [249690] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12566), 1,
      anon_sym_RBRACK,
    STATE(8388), 1,
      sym_comment,
  [249703] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12568), 1,
      sym_identifier,
    STATE(8389), 1,
      sym_comment,
  [249716] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12570), 1,
      sym_identifier,
    STATE(8390), 1,
      sym_comment,
  [249729] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12572), 1,
      anon_sym_RBRACK,
    STATE(8391), 1,
      sym_comment,
  [249742] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12574), 1,
      anon_sym_EQ_GT,
    STATE(8392), 1,
      sym_comment,
  [249755] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12576), 1,
      anon_sym_RBRACK,
    STATE(8393), 1,
      sym_comment,
  [249768] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12578), 1,
      sym_identifier,
    STATE(8394), 1,
      sym_comment,
  [249781] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12580), 1,
      anon_sym_RBRACK,
    STATE(8395), 1,
      sym_comment,
  [249794] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12582), 1,
      anon_sym_RBRACK,
    STATE(8396), 1,
      sym_comment,
  [249807] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12584), 1,
      anon_sym_while,
    STATE(8397), 1,
      sym_comment,
  [249820] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12586), 1,
      anon_sym_RBRACK,
    STATE(8398), 1,
      sym_comment,
  [249833] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12588), 1,
      sym_identifier,
    STATE(8399), 1,
      sym_comment,
  [249846] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12590), 1,
      anon_sym_RBRACK,
    STATE(8400), 1,
      sym_comment,
  [249859] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12592), 1,
      sym_identifier,
    STATE(8401), 1,
      sym_comment,
  [249872] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5573), 1,
      anon_sym_is,
    STATE(8402), 1,
      sym_comment,
  [249885] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12594), 1,
      anon_sym_symbol,
    STATE(8403), 1,
      sym_comment,
  [249898] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12596), 1,
      sym_identifier,
    STATE(8404), 1,
      sym_comment,
  [249911] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12598), 1,
      anon_sym_while,
    STATE(8405), 1,
      sym_comment,
  [249924] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12600), 1,
      anon_sym_EQ_GT,
    STATE(8406), 1,
      sym_comment,
  [249937] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12602), 1,
      sym_identifier,
    STATE(8407), 1,
      sym_comment,
  [249950] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12604), 1,
      anon_sym_RBRACK,
    STATE(8408), 1,
      sym_comment,
  [249963] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12606), 1,
      sym_identifier,
    STATE(8409), 1,
      sym_comment,
  [249976] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12608), 1,
      sym_identifier,
    STATE(8410), 1,
      sym_comment,
  [249989] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12610), 1,
      sym_identifier,
    STATE(8411), 1,
      sym_comment,
  [250002] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12612), 1,
      sym_identifier,
    STATE(8412), 1,
      sym_comment,
  [250015] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12614), 1,
      sym_identifier,
    STATE(8413), 1,
      sym_comment,
  [250028] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12616), 1,
      anon_sym_COLON,
    STATE(8414), 1,
      sym_comment,
  [250041] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12618), 1,
      anon_sym_EQ_GT,
    STATE(8415), 1,
      sym_comment,
  [250054] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(3430), 1,
      anon_sym_LBRACE,
    STATE(8416), 1,
      sym_comment,
  [250067] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12620), 1,
      anon_sym_EQ_GT,
    STATE(8417), 1,
      sym_comment,
  [250080] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12622), 1,
      sym_identifier,
    STATE(8418), 1,
      sym_comment,
  [250093] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12624), 1,
      sym_number,
    STATE(8419), 1,
      sym_comment,
  [250106] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12626), 1,
      sym_identifier,
    STATE(8420), 1,
      sym_comment,
  [250119] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12628), 1,
      sym_identifier,
    STATE(8421), 1,
      sym_comment,
  [250132] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12630), 1,
      anon_sym_EQ_GT,
    STATE(8422), 1,
      sym_comment,
  [250145] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12632), 1,
      sym_identifier,
    STATE(8423), 1,
      sym_comment,
  [250158] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12634), 1,
      anon_sym_RBRACK,
    STATE(8424), 1,
      sym_comment,
  [250171] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12636), 1,
      anon_sym_RBRACK,
    STATE(8425), 1,
      sym_comment,
  [250184] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6556), 1,
      anon_sym_RBRACK,
    STATE(8426), 1,
      sym_comment,
  [250197] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12638), 1,
      anon_sym_RPAREN,
    STATE(8427), 1,
      sym_comment,
  [250210] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12640), 1,
      anon_sym_RBRACK,
    STATE(8428), 1,
      sym_comment,
  [250223] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12642), 1,
      anon_sym_RBRACK,
    STATE(8429), 1,
      sym_comment,
  [250236] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12644), 1,
      anon_sym_DOT,
    STATE(8430), 1,
      sym_comment,
  [250249] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12646), 1,
      anon_sym_RBRACK,
    STATE(8431), 1,
      sym_comment,
  [250262] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12648), 1,
      anon_sym_RBRACK,
    STATE(8432), 1,
      sym_comment,
  [250275] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12650), 1,
      anon_sym_SLASH2,
    STATE(8433), 1,
      sym_comment,
  [250288] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12652), 1,
      sym_identifier,
    STATE(8434), 1,
      sym_comment,
  [250301] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12654), 1,
      sym_identifier,
    STATE(8435), 1,
      sym_comment,
  [250314] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12656), 1,
      anon_sym_DOT,
    STATE(8436), 1,
      sym_comment,
  [250327] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12658), 1,
      anon_sym_RBRACK,
    STATE(8437), 1,
      sym_comment,
  [250340] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12660), 1,
      sym_identifier,
    STATE(8438), 1,
      sym_comment,
  [250353] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12662), 1,
      sym_identifier,
    STATE(8439), 1,
      sym_comment,
  [250366] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12664), 1,
      anon_sym_RBRACK,
    STATE(8440), 1,
      sym_comment,
  [250379] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12666), 1,
      anon_sym_LT,
    STATE(8441), 1,
      sym_comment,
  [250392] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12668), 1,
      anon_sym_RBRACK,
    STATE(8442), 1,
      sym_comment,
  [250405] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12670), 1,
      anon_sym_RBRACK,
    STATE(8443), 1,
      sym_comment,
  [250418] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12672), 1,
      anon_sym_EQ_GT,
    STATE(8444), 1,
      sym_comment,
  [250431] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12674), 1,
      anon_sym_RBRACK,
    STATE(8445), 1,
      sym_comment,
  [250444] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12676), 1,
      anon_sym_RBRACK,
    STATE(8446), 1,
      sym_comment,
  [250457] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12678), 1,
      sym_identifier,
    STATE(8447), 1,
      sym_comment,
  [250470] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12680), 1,
      anon_sym_RBRACK,
    STATE(8448), 1,
      sym_comment,
  [250483] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12682), 1,
      anon_sym_RBRACK,
    STATE(8449), 1,
      sym_comment,
  [250496] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12684), 1,
      sym_regex_pattern,
    STATE(8450), 1,
      sym_comment,
  [250509] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12686), 1,
      anon_sym_RBRACK,
    STATE(8451), 1,
      sym_comment,
  [250522] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12688), 1,
      sym_identifier,
    STATE(8452), 1,
      sym_comment,
  [250535] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12690), 1,
      anon_sym_while,
    STATE(8453), 1,
      sym_comment,
  [250548] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12692), 1,
      anon_sym_RBRACK,
    STATE(8454), 1,
      sym_comment,
  [250561] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12694), 1,
      sym_identifier,
    STATE(8455), 1,
      sym_comment,
  [250574] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6649), 1,
      anon_sym_RPAREN,
    STATE(8456), 1,
      sym_comment,
  [250587] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12696), 1,
      anon_sym_DOT,
    STATE(8457), 1,
      sym_comment,
  [250600] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12698), 1,
      sym_identifier,
    STATE(8458), 1,
      sym_comment,
  [250613] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12700), 1,
      anon_sym_RBRACK,
    STATE(8459), 1,
      sym_comment,
  [250626] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12702), 1,
      sym_identifier,
    STATE(8460), 1,
      sym_comment,
  [250639] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12704), 1,
      anon_sym_RBRACK,
    STATE(8461), 1,
      sym_comment,
  [250652] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12706), 1,
      anon_sym_RBRACK,
    STATE(8462), 1,
      sym_comment,
  [250665] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12708), 1,
      anon_sym_RBRACK,
    STATE(8463), 1,
      sym_comment,
  [250678] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12710), 1,
      anon_sym_RBRACK,
    STATE(8464), 1,
      sym_comment,
  [250691] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12712), 1,
      anon_sym_from,
    STATE(8465), 1,
      sym_comment,
  [250704] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12714), 1,
      sym_identifier,
    STATE(8466), 1,
      sym_comment,
  [250717] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12716), 1,
      sym_identifier,
    STATE(8467), 1,
      sym_comment,
  [250730] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12718), 1,
      anon_sym_require,
    STATE(8468), 1,
      sym_comment,
  [250743] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12720), 1,
      sym_identifier,
    STATE(8469), 1,
      sym_comment,
  [250756] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12722), 1,
      anon_sym_EQ,
    STATE(8470), 1,
      sym_comment,
  [250769] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12724), 1,
      anon_sym_GT,
    STATE(8471), 1,
      sym_comment,
  [250782] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12726), 1,
      anon_sym_RBRACK,
    STATE(8472), 1,
      sym_comment,
  [250795] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12728), 1,
      anon_sym_RPAREN,
    STATE(8473), 1,
      sym_comment,
  [250808] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12730), 1,
      sym_identifier,
    STATE(8474), 1,
      sym_comment,
  [250821] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12732), 1,
      anon_sym_RBRACK,
    STATE(8475), 1,
      sym_comment,
  [250834] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12734), 1,
      anon_sym_DOT,
    STATE(8476), 1,
      sym_comment,
  [250847] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12736), 1,
      anon_sym_COLON,
    STATE(8477), 1,
      sym_comment,
  [250860] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12738), 1,
      anon_sym_from,
    STATE(8478), 1,
      sym_comment,
  [250873] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12740), 1,
      anon_sym_EQ,
    STATE(8479), 1,
      sym_comment,
  [250886] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12742), 1,
      sym_identifier,
    STATE(8480), 1,
      sym_comment,
  [250899] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12744), 1,
      sym_identifier,
    STATE(8481), 1,
      sym_comment,
  [250912] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12746), 1,
      sym_identifier,
    STATE(8482), 1,
      sym_comment,
  [250925] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12748), 1,
      anon_sym_RBRACK,
    STATE(8483), 1,
      sym_comment,
  [250938] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12750), 1,
      sym_identifier,
    STATE(8484), 1,
      sym_comment,
  [250951] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12752), 1,
      anon_sym_as,
    STATE(8485), 1,
      sym_comment,
  [250964] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5987), 1,
      anon_sym_RPAREN,
    STATE(8486), 1,
      sym_comment,
  [250977] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12754), 1,
      sym_identifier,
    STATE(8487), 1,
      sym_comment,
  [250990] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12756), 1,
      sym_identifier,
    STATE(8488), 1,
      sym_comment,
  [251003] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12758), 1,
      sym_identifier,
    STATE(8489), 1,
      sym_comment,
  [251016] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12760), 1,
      sym_identifier,
    STATE(8490), 1,
      sym_comment,
  [251029] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12762), 1,
      sym_identifier,
    STATE(8491), 1,
      sym_comment,
  [251042] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12764), 1,
      anon_sym_from,
    STATE(8492), 1,
      sym_comment,
  [251055] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12766), 1,
      sym_identifier,
    STATE(8493), 1,
      sym_comment,
  [251068] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12768), 1,
      anon_sym_namespace,
    STATE(8494), 1,
      sym_comment,
  [251081] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12770), 1,
      sym_identifier,
    STATE(8495), 1,
      sym_comment,
  [251094] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12772), 1,
      sym_identifier,
    STATE(8496), 1,
      sym_comment,
  [251107] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12774), 1,
      sym_identifier,
    STATE(8497), 1,
      sym_comment,
  [251120] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12776), 1,
      sym_identifier,
    STATE(8498), 1,
      sym_comment,
  [251133] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8835), 1,
      sym_identifier,
    STATE(8499), 1,
      sym_comment,
  [251146] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12778), 1,
      sym_identifier,
    STATE(8500), 1,
      sym_comment,
  [251159] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12780), 1,
      anon_sym_LPAREN,
    STATE(8501), 1,
      sym_comment,
  [251172] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12782), 1,
      sym_identifier,
    STATE(8502), 1,
      sym_comment,
  [251185] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12784), 1,
      anon_sym_function,
    STATE(8503), 1,
      sym_comment,
  [251198] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12786), 1,
      anon_sym_RBRACK,
    STATE(8504), 1,
      sym_comment,
  [251211] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12788), 1,
      sym_identifier,
    STATE(8505), 1,
      sym_comment,
  [251224] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12790), 1,
      sym_identifier,
    STATE(8506), 1,
      sym_comment,
  [251237] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12792), 1,
      anon_sym_RBRACK,
    STATE(8507), 1,
      sym_comment,
  [251250] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12794), 1,
      sym_identifier,
    STATE(8508), 1,
      sym_comment,
  [251263] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12796), 1,
      anon_sym_from,
    STATE(8509), 1,
      sym_comment,
  [251276] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12798), 1,
      anon_sym_EQ_GT,
    STATE(8510), 1,
      sym_comment,
  [251289] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12800), 1,
      anon_sym_EQ_GT,
    STATE(8511), 1,
      sym_comment,
  [251302] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12802), 1,
      anon_sym_RBRACK,
    STATE(8512), 1,
      sym_comment,
  [251315] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12804), 1,
      sym_identifier,
    STATE(8513), 1,
      sym_comment,
  [251328] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12806), 1,
      sym_identifier,
    STATE(8514), 1,
      sym_comment,
  [251341] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(7024), 1,
      anon_sym_in,
    STATE(8515), 1,
      sym_comment,
  [251354] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12808), 1,
      sym_identifier,
    STATE(8516), 1,
      sym_comment,
  [251367] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6635), 1,
      anon_sym_RPAREN,
    STATE(8517), 1,
      sym_comment,
  [251380] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12810), 1,
      anon_sym_RBRACK,
    STATE(8518), 1,
      sym_comment,
  [251393] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6637), 1,
      anon_sym_RPAREN,
    STATE(8519), 1,
      sym_comment,
  [251406] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12812), 1,
      anon_sym_RBRACK,
    STATE(8520), 1,
      sym_comment,
  [251419] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6717), 1,
      anon_sym_in,
    STATE(8521), 1,
      sym_comment,
  [251432] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12814), 1,
      anon_sym_EQ_GT,
    STATE(8522), 1,
      sym_comment,
  [251445] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6647), 1,
      anon_sym_RPAREN,
    STATE(8523), 1,
      sym_comment,
  [251458] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12816), 1,
      anon_sym_EQ_GT,
    STATE(8524), 1,
      sym_comment,
  [251471] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12818), 1,
      sym_identifier,
    STATE(8525), 1,
      sym_comment,
  [251484] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12820), 1,
      anon_sym_EQ,
    STATE(8526), 1,
      sym_comment,
  [251497] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12822), 1,
      sym_identifier,
    STATE(8527), 1,
      sym_comment,
  [251510] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10583), 1,
      anon_sym_RBRACK,
    STATE(8528), 1,
      sym_comment,
  [251523] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12824), 1,
      sym_identifier,
    STATE(8529), 1,
      sym_comment,
  [251536] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12826), 1,
      anon_sym_RBRACK,
    STATE(8530), 1,
      sym_comment,
  [251549] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12828), 1,
      anon_sym_class,
    STATE(8531), 1,
      sym_comment,
  [251562] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12830), 1,
      anon_sym_SLASH2,
    STATE(8532), 1,
      sym_comment,
  [251575] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12832), 1,
      anon_sym_EQ_GT,
    STATE(8533), 1,
      sym_comment,
  [251588] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12834), 1,
      anon_sym_EQ_GT,
    STATE(8534), 1,
      sym_comment,
  [251601] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12836), 1,
      anon_sym_EQ_GT,
    STATE(8535), 1,
      sym_comment,
  [251614] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12838), 1,
      anon_sym_RBRACK,
    STATE(8536), 1,
      sym_comment,
  [251627] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12840), 1,
      anon_sym_EQ_GT,
    STATE(8537), 1,
      sym_comment,
  [251640] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12842), 1,
      anon_sym_RBRACK,
    STATE(8538), 1,
      sym_comment,
  [251653] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12844), 1,
      anon_sym_from,
    STATE(8539), 1,
      sym_comment,
  [251666] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12846), 1,
      anon_sym_RBRACK,
    STATE(8540), 1,
      sym_comment,
  [251679] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12848), 1,
      anon_sym_RPAREN,
    STATE(8541), 1,
      sym_comment,
  [251692] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12850), 1,
      sym_identifier,
    STATE(8542), 1,
      sym_comment,
  [251705] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12852), 1,
      anon_sym_EQ,
    STATE(8543), 1,
      sym_comment,
  [251718] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12854), 1,
      anon_sym_new,
    STATE(8544), 1,
      sym_comment,
  [251731] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12856), 1,
      anon_sym_namespace,
    STATE(8545), 1,
      sym_comment,
  [251744] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6667), 1,
      anon_sym_RPAREN,
    STATE(8546), 1,
      sym_comment,
  [251757] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12858), 1,
      sym_identifier,
    STATE(8547), 1,
      sym_comment,
  [251770] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12860), 1,
      anon_sym_RPAREN,
    STATE(8548), 1,
      sym_comment,
  [251783] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12862), 1,
      sym_identifier,
    STATE(8549), 1,
      sym_comment,
  [251796] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12864), 1,
      anon_sym_EQ,
    STATE(8550), 1,
      sym_comment,
  [251809] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12866), 1,
      anon_sym_from,
    STATE(8551), 1,
      sym_comment,
  [251822] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12868), 1,
      anon_sym_RBRACK,
    STATE(8552), 1,
      sym_comment,
  [251835] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12870), 1,
      sym_identifier,
    STATE(8553), 1,
      sym_comment,
  [251848] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12872), 1,
      anon_sym_new,
    STATE(8554), 1,
      sym_comment,
  [251861] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11104), 1,
      sym_identifier,
    STATE(8555), 1,
      sym_comment,
  [251874] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12874), 1,
      anon_sym_class,
    STATE(8556), 1,
      sym_comment,
  [251887] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5767), 1,
      anon_sym_RPAREN,
    STATE(8557), 1,
      sym_comment,
  [251900] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12876), 1,
      anon_sym_EQ_GT,
    STATE(8558), 1,
      sym_comment,
  [251913] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12878), 1,
      anon_sym_RPAREN,
    STATE(8559), 1,
      sym_comment,
  [251926] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12880), 1,
      anon_sym_EQ,
    STATE(8560), 1,
      sym_comment,
  [251939] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12882), 1,
      sym_identifier,
    STATE(8561), 1,
      sym_comment,
  [251952] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12884), 1,
      anon_sym_EQ,
    STATE(8562), 1,
      sym_comment,
  [251965] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12886), 1,
      sym_identifier,
    STATE(8563), 1,
      sym_comment,
  [251978] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12888), 1,
      anon_sym_COLON,
    STATE(8564), 1,
      sym_comment,
  [251991] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12890), 1,
      anon_sym_EQ_GT,
    STATE(8565), 1,
      sym_comment,
  [252004] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12892), 1,
      anon_sym_EQ_GT,
    STATE(8566), 1,
      sym_comment,
  [252017] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5985), 1,
      anon_sym_RPAREN,
    STATE(8567), 1,
      sym_comment,
  [252030] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12894), 1,
      sym_identifier,
    STATE(8568), 1,
      sym_comment,
  [252043] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(11756), 1,
      anon_sym_from,
    STATE(8569), 1,
      sym_comment,
  [252056] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12896), 1,
      anon_sym_EQ_GT,
    STATE(8570), 1,
      sym_comment,
  [252069] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12898), 1,
      anon_sym_COLON,
    STATE(8571), 1,
      sym_comment,
  [252082] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12900), 1,
      anon_sym_EQ_GT,
    STATE(8572), 1,
      sym_comment,
  [252095] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12902), 1,
      anon_sym_EQ,
    STATE(8573), 1,
      sym_comment,
  [252108] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12904), 1,
      sym_identifier,
    STATE(8574), 1,
      sym_comment,
  [252121] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12906), 1,
      anon_sym_as,
    STATE(8575), 1,
      sym_comment,
  [252134] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6659), 1,
      anon_sym_RBRACK,
    STATE(8576), 1,
      sym_comment,
  [252147] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12908), 1,
      anon_sym_from,
    STATE(8577), 1,
      sym_comment,
  [252160] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12910), 1,
      anon_sym_RPAREN,
    STATE(8578), 1,
      sym_comment,
  [252173] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12912), 1,
      sym_identifier,
    STATE(8579), 1,
      sym_comment,
  [252186] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10560), 1,
      anon_sym_RBRACE,
    STATE(8580), 1,
      sym_comment,
  [252199] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12914), 1,
      sym_identifier,
    STATE(8581), 1,
      sym_comment,
  [252212] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12916), 1,
      anon_sym_while,
    STATE(8582), 1,
      sym_comment,
  [252225] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12918), 1,
      sym_identifier,
    STATE(8583), 1,
      sym_comment,
  [252238] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12920), 1,
      sym_identifier,
    STATE(8584), 1,
      sym_comment,
  [252251] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12922), 1,
      sym_identifier,
    STATE(8585), 1,
      sym_comment,
  [252264] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5983), 1,
      anon_sym_RPAREN,
    STATE(8586), 1,
      sym_comment,
  [252277] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12924), 1,
      sym_identifier,
    STATE(8587), 1,
      sym_comment,
  [252290] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12926), 1,
      anon_sym_class,
    STATE(8588), 1,
      sym_comment,
  [252303] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12928), 1,
      anon_sym_new,
    STATE(8589), 1,
      sym_comment,
  [252316] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12930), 1,
      anon_sym_namespace,
    STATE(8590), 1,
      sym_comment,
  [252329] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12932), 1,
      sym_identifier,
    STATE(8591), 1,
      sym_comment,
  [252342] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(8045), 1,
      anon_sym_is,
    STATE(8592), 1,
      sym_comment,
  [252355] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12934), 1,
      sym_identifier,
    STATE(8593), 1,
      sym_comment,
  [252368] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12936), 1,
      sym_identifier,
    STATE(8594), 1,
      sym_comment,
  [252381] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12938), 1,
      anon_sym_RPAREN,
    STATE(8595), 1,
      sym_comment,
  [252394] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12940), 1,
      anon_sym_EQ,
    STATE(8596), 1,
      sym_comment,
  [252407] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12942), 1,
      sym_identifier,
    STATE(8597), 1,
      sym_comment,
  [252420] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10892), 1,
      sym_identifier,
    STATE(8598), 1,
      sym_comment,
  [252433] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12944), 1,
      anon_sym_class,
    STATE(8599), 1,
      sym_comment,
  [252446] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12946), 1,
      ts_builtin_sym_end,
    STATE(8600), 1,
      sym_comment,
  [252459] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12948), 1,
      sym_identifier,
    STATE(8601), 1,
      sym_comment,
  [252472] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12950), 1,
      anon_sym_EQ,
    STATE(8602), 1,
      sym_comment,
  [252485] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5981), 1,
      anon_sym_RPAREN,
    STATE(8603), 1,
      sym_comment,
  [252498] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12952), 1,
      anon_sym_EQ,
    STATE(8604), 1,
      sym_comment,
  [252511] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12954), 1,
      ts_builtin_sym_end,
    STATE(8605), 1,
      sym_comment,
  [252524] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12956), 1,
      anon_sym_EQ_GT,
    STATE(8606), 1,
      sym_comment,
  [252537] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12958), 1,
      sym_identifier,
    STATE(8607), 1,
      sym_comment,
  [252550] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12960), 1,
      sym_identifier,
    STATE(8608), 1,
      sym_comment,
  [252563] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12962), 1,
      anon_sym_COLON,
    STATE(8609), 1,
      sym_comment,
  [252576] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12964), 1,
      anon_sym_LBRACE,
    STATE(8610), 1,
      sym_comment,
  [252589] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12966), 1,
      sym_identifier,
    STATE(8611), 1,
      sym_comment,
  [252602] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12968), 1,
      sym_identifier,
    STATE(8612), 1,
      sym_comment,
  [252615] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12970), 1,
      anon_sym_EQ_GT,
    STATE(8613), 1,
      sym_comment,
  [252628] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6665), 1,
      anon_sym_COLON,
    STATE(8614), 1,
      sym_comment,
  [252641] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12972), 1,
      anon_sym_class,
    STATE(8615), 1,
      sym_comment,
  [252654] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12974), 1,
      anon_sym_new,
    STATE(8616), 1,
      sym_comment,
  [252667] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12976), 1,
      anon_sym_namespace,
    STATE(8617), 1,
      sym_comment,
  [252680] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(9466), 1,
      anon_sym_EQ,
    STATE(8618), 1,
      sym_comment,
  [252693] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12978), 1,
      anon_sym_symbol,
    STATE(8619), 1,
      sym_comment,
  [252706] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12980), 1,
      sym_identifier,
    STATE(8620), 1,
      sym_comment,
  [252719] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12982), 1,
      anon_sym_RBRACK,
    STATE(8621), 1,
      sym_comment,
  [252732] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12984), 1,
      sym_number,
    STATE(8622), 1,
      sym_comment,
  [252745] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12986), 1,
      anon_sym_RBRACK,
    STATE(8623), 1,
      sym_comment,
  [252758] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10785), 1,
      sym_identifier,
    STATE(8624), 1,
      sym_comment,
  [252771] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12988), 1,
      anon_sym_class,
    STATE(8625), 1,
      sym_comment,
  [252784] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(12990), 1,
      sym_identifier,
    STATE(8626), 1,
      sym_comment,
  [252797] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12992), 1,
      anon_sym_EQ_GT,
    STATE(8627), 1,
      sym_comment,
  [252810] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12994), 1,
      anon_sym_EQ,
    STATE(8628), 1,
      sym_comment,
  [252823] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5665), 1,
      anon_sym_in,
    STATE(8629), 1,
      sym_comment,
  [252836] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12996), 1,
      anon_sym_EQ,
    STATE(8630), 1,
      sym_comment,
  [252849] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(12998), 1,
      anon_sym_RBRACK,
    STATE(8631), 1,
      sym_comment,
  [252862] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13000), 1,
      anon_sym_RBRACK,
    STATE(8632), 1,
      sym_comment,
  [252875] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13002), 1,
      anon_sym_EQ,
    STATE(8633), 1,
      sym_comment,
  [252888] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13004), 1,
      anon_sym_RBRACK,
    STATE(8634), 1,
      sym_comment,
  [252901] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13006), 1,
      anon_sym_COLON,
    STATE(8635), 1,
      sym_comment,
  [252914] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13008), 1,
      sym_identifier,
    STATE(8636), 1,
      sym_comment,
  [252927] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13010), 1,
      sym_identifier,
    STATE(8637), 1,
      sym_comment,
  [252940] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13012), 1,
      sym_identifier,
    STATE(8638), 1,
      sym_comment,
  [252953] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13014), 1,
      anon_sym_RBRACK,
    STATE(8639), 1,
      sym_comment,
  [252966] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13016), 1,
      anon_sym_class,
    STATE(8640), 1,
      sym_comment,
  [252979] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13018), 1,
      anon_sym_new,
    STATE(8641), 1,
      sym_comment,
  [252992] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13020), 1,
      anon_sym_namespace,
    STATE(8642), 1,
      sym_comment,
  [253005] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13022), 1,
      anon_sym_RBRACK,
    STATE(8643), 1,
      sym_comment,
  [253018] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13024), 1,
      anon_sym_EQ_GT,
    STATE(8644), 1,
      sym_comment,
  [253031] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13026), 1,
      anon_sym_EQ,
    STATE(8645), 1,
      sym_comment,
  [253044] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13028), 1,
      anon_sym_RBRACK,
    STATE(8646), 1,
      sym_comment,
  [253057] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13030), 1,
      anon_sym_EQ_GT,
    STATE(8647), 1,
      sym_comment,
  [253070] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13032), 1,
      anon_sym_as,
    STATE(8648), 1,
      sym_comment,
  [253083] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10676), 1,
      sym_identifier,
    STATE(8649), 1,
      sym_comment,
  [253096] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13034), 1,
      anon_sym_class,
    STATE(8650), 1,
      sym_comment,
  [253109] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13036), 1,
      anon_sym_EQ_GT,
    STATE(8651), 1,
      sym_comment,
  [253122] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13038), 1,
      anon_sym_RBRACK,
    STATE(8652), 1,
      sym_comment,
  [253135] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13040), 1,
      anon_sym_EQ,
    STATE(8653), 1,
      sym_comment,
  [253148] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13042), 1,
      anon_sym_RBRACK,
    STATE(8654), 1,
      sym_comment,
  [253161] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13044), 1,
      anon_sym_EQ,
    STATE(8655), 1,
      sym_comment,
  [253174] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(11201), 1,
      sym_identifier,
    STATE(8656), 1,
      sym_comment,
  [253187] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13046), 1,
      anon_sym_EQ_GT,
    STATE(8657), 1,
      sym_comment,
  [253200] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13048), 1,
      sym_identifier,
    STATE(8658), 1,
      sym_comment,
  [253213] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13050), 1,
      anon_sym_RBRACK,
    STATE(8659), 1,
      sym_comment,
  [253226] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13052), 1,
      anon_sym_COLON,
    STATE(8660), 1,
      sym_comment,
  [253239] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13054), 1,
      sym_identifier,
    STATE(8661), 1,
      sym_comment,
  [253252] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13056), 1,
      sym_identifier,
    STATE(8662), 1,
      sym_comment,
  [253265] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13058), 1,
      anon_sym_RBRACK,
    STATE(8663), 1,
      sym_comment,
  [253278] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5979), 1,
      anon_sym_RPAREN,
    STATE(8664), 1,
      sym_comment,
  [253291] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13060), 1,
      anon_sym_class,
    STATE(8665), 1,
      sym_comment,
  [253304] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13062), 1,
      anon_sym_namespace,
    STATE(8666), 1,
      sym_comment,
  [253317] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13064), 1,
      anon_sym_EQ_GT,
    STATE(8667), 1,
      sym_comment,
  [253330] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13066), 1,
      anon_sym_RBRACK,
    STATE(8668), 1,
      sym_comment,
  [253343] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(10513), 1,
      anon_sym_RBRACE,
    STATE(8669), 1,
      sym_comment,
  [253356] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13068), 1,
      anon_sym_RPAREN,
    STATE(8670), 1,
      sym_comment,
  [253369] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6651), 1,
      anon_sym_RPAREN,
    STATE(8671), 1,
      sym_comment,
  [253382] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13070), 1,
      anon_sym_RBRACK,
    STATE(8672), 1,
      sym_comment,
  [253395] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10727), 1,
      sym_identifier,
    STATE(8673), 1,
      sym_comment,
  [253408] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13072), 1,
      anon_sym_class,
    STATE(8674), 1,
      sym_comment,
  [253421] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13074), 1,
      anon_sym_RBRACK,
    STATE(8675), 1,
      sym_comment,
  [253434] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13076), 1,
      sym_identifier,
    STATE(8676), 1,
      sym_comment,
  [253447] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13078), 1,
      anon_sym_EQ,
    STATE(8677), 1,
      sym_comment,
  [253460] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13080), 1,
      sym_identifier,
    STATE(8678), 1,
      sym_comment,
  [253473] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13082), 1,
      anon_sym_EQ,
    STATE(8679), 1,
      sym_comment,
  [253486] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13084), 1,
      anon_sym_RBRACK,
    STATE(8680), 1,
      sym_comment,
  [253499] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13086), 1,
      sym_identifier,
    STATE(8681), 1,
      sym_comment,
  [253512] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13088), 1,
      anon_sym_COLON,
    STATE(8682), 1,
      sym_comment,
  [253525] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13090), 1,
      sym_identifier,
    STATE(8683), 1,
      sym_comment,
  [253538] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13092), 1,
      sym_identifier,
    STATE(8684), 1,
      sym_comment,
  [253551] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13094), 1,
      sym_identifier,
    STATE(8685), 1,
      sym_comment,
  [253564] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5977), 1,
      anon_sym_RPAREN,
    STATE(8686), 1,
      sym_comment,
  [253577] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13096), 1,
      anon_sym_class,
    STATE(8687), 1,
      sym_comment,
  [253590] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13098), 1,
      anon_sym_namespace,
    STATE(8688), 1,
      sym_comment,
  [253603] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13100), 1,
      sym_identifier,
    STATE(8689), 1,
      sym_comment,
  [253616] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13102), 1,
      anon_sym_RBRACK,
    STATE(8690), 1,
      sym_comment,
  [253629] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13104), 1,
      sym_identifier,
    STATE(8691), 1,
      sym_comment,
  [253642] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13106), 1,
      anon_sym_RBRACK,
    STATE(8692), 1,
      sym_comment,
  [253655] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13108), 1,
      anon_sym_RBRACK,
    STATE(8693), 1,
      sym_comment,
  [253668] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13110), 1,
      anon_sym_RBRACK,
    STATE(8694), 1,
      sym_comment,
  [253681] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10650), 1,
      sym_identifier,
    STATE(8695), 1,
      sym_comment,
  [253694] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13112), 1,
      anon_sym_class,
    STATE(8696), 1,
      sym_comment,
  [253707] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13114), 1,
      anon_sym_EQ,
    STATE(8697), 1,
      sym_comment,
  [253720] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13116), 1,
      anon_sym_RBRACK,
    STATE(8698), 1,
      sym_comment,
  [253733] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13118), 1,
      anon_sym_EQ,
    STATE(8699), 1,
      sym_comment,
  [253746] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13120), 1,
      anon_sym_RBRACK,
    STATE(8700), 1,
      sym_comment,
  [253759] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13122), 1,
      anon_sym_RBRACK,
    STATE(8701), 1,
      sym_comment,
  [253772] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13124), 1,
      anon_sym_COLON,
    STATE(8702), 1,
      sym_comment,
  [253785] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13126), 1,
      sym_identifier,
    STATE(8703), 1,
      sym_comment,
  [253798] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13128), 1,
      sym_identifier,
    STATE(8704), 1,
      sym_comment,
  [253811] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13130), 1,
      anon_sym_RBRACK,
    STATE(8705), 1,
      sym_comment,
  [253824] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13132), 1,
      anon_sym_class,
    STATE(8706), 1,
      sym_comment,
  [253837] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13134), 1,
      anon_sym_namespace,
    STATE(8707), 1,
      sym_comment,
  [253850] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13136), 1,
      anon_sym_RPAREN,
    STATE(8708), 1,
      sym_comment,
  [253863] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13138), 1,
      anon_sym_RBRACK,
    STATE(8709), 1,
      sym_comment,
  [253876] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13140), 1,
      anon_sym_RBRACK,
    STATE(8710), 1,
      sym_comment,
  [253889] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13142), 1,
      anon_sym_RBRACK,
    STATE(8711), 1,
      sym_comment,
  [253902] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13144), 1,
      sym_identifier,
    STATE(8712), 1,
      sym_comment,
  [253915] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(10632), 1,
      sym_identifier,
    STATE(8713), 1,
      sym_comment,
  [253928] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13146), 1,
      anon_sym_class,
    STATE(8714), 1,
      sym_comment,
  [253941] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13148), 1,
      anon_sym_EQ,
    STATE(8715), 1,
      sym_comment,
  [253954] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13150), 1,
      anon_sym_RBRACK,
    STATE(8716), 1,
      sym_comment,
  [253967] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13152), 1,
      anon_sym_EQ,
    STATE(8717), 1,
      sym_comment,
  [253980] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13154), 1,
      anon_sym_LBRACK,
    STATE(8718), 1,
      sym_comment,
  [253993] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13156), 1,
      anon_sym_COLON,
    STATE(8719), 1,
      sym_comment,
  [254006] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13158), 1,
      sym_identifier,
    STATE(8720), 1,
      sym_comment,
  [254019] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13160), 1,
      ts_builtin_sym_end,
    STATE(8721), 1,
      sym_comment,
  [254032] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8861), 1,
      sym_identifier,
    STATE(8722), 1,
      sym_comment,
  [254045] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13162), 1,
      anon_sym_function,
    STATE(8723), 1,
      sym_comment,
  [254058] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13164), 1,
      anon_sym_class,
    STATE(8724), 1,
      sym_comment,
  [254071] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13166), 1,
      anon_sym_EQ,
    STATE(8725), 1,
      sym_comment,
  [254084] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13168), 1,
      anon_sym_EQ_GT,
    STATE(8726), 1,
      sym_comment,
  [254097] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13170), 1,
      sym_identifier,
    STATE(8727), 1,
      sym_comment,
  [254110] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(6522), 1,
      anon_sym_in,
    STATE(8728), 1,
      sym_comment,
  [254123] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13172), 1,
      ts_builtin_sym_end,
    STATE(8729), 1,
      sym_comment,
  [254136] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8859), 1,
      sym_identifier,
    STATE(8730), 1,
      sym_comment,
  [254149] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13174), 1,
      anon_sym_function,
    STATE(8731), 1,
      sym_comment,
  [254162] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13176), 1,
      anon_sym_RBRACK,
    STATE(8732), 1,
      sym_comment,
  [254175] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13178), 1,
      ts_builtin_sym_end,
    STATE(8733), 1,
      sym_comment,
  [254188] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13180), 1,
      anon_sym_RBRACK,
    STATE(8734), 1,
      sym_comment,
  [254201] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13182), 1,
      sym_identifier,
    STATE(8735), 1,
      sym_comment,
  [254214] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13184), 1,
      sym_identifier,
    STATE(8736), 1,
      sym_comment,
  [254227] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13186), 1,
      anon_sym_RBRACK,
    STATE(8737), 1,
      sym_comment,
  [254240] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8855), 1,
      sym_identifier,
    STATE(8738), 1,
      sym_comment,
  [254253] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13188), 1,
      anon_sym_function,
    STATE(8739), 1,
      sym_comment,
  [254266] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13190), 1,
      anon_sym_readonly,
    STATE(8740), 1,
      sym_comment,
  [254279] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13192), 1,
      anon_sym_RPAREN,
    STATE(8741), 1,
      sym_comment,
  [254292] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13194), 1,
      anon_sym_RPAREN,
    STATE(8742), 1,
      sym_comment,
  [254305] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13196), 1,
      sym_identifier,
    STATE(8743), 1,
      sym_comment,
  [254318] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8849), 1,
      sym_identifier,
    STATE(8744), 1,
      sym_comment,
  [254331] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13198), 1,
      anon_sym_function,
    STATE(8745), 1,
      sym_comment,
  [254344] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13200), 1,
      sym_identifier,
    STATE(8746), 1,
      sym_comment,
  [254357] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13202), 1,
      anon_sym_RBRACK,
    STATE(8747), 1,
      sym_comment,
  [254370] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13204), 1,
      sym_identifier,
    STATE(8748), 1,
      sym_comment,
  [254383] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13206), 1,
      sym_identifier,
    STATE(8749), 1,
      sym_comment,
  [254396] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8843), 1,
      sym_identifier,
    STATE(8750), 1,
      sym_comment,
  [254409] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13208), 1,
      anon_sym_function,
    STATE(8751), 1,
      sym_comment,
  [254422] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(5883), 1,
      anon_sym_RPAREN,
    STATE(8752), 1,
      sym_comment,
  [254435] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13210), 1,
      sym_identifier,
    STATE(8753), 1,
      sym_comment,
  [254448] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8841), 1,
      sym_identifier,
    STATE(8754), 1,
      sym_comment,
  [254461] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13212), 1,
      anon_sym_function,
    STATE(8755), 1,
      sym_comment,
  [254474] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13214), 1,
      sym_identifier,
    STATE(8756), 1,
      sym_comment,
  [254487] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13216), 1,
      sym_identifier,
    STATE(8757), 1,
      sym_comment,
  [254500] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8839), 1,
      sym_identifier,
    STATE(8758), 1,
      sym_comment,
  [254513] = 4,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2987), 1,
      aux_sym_comment_token1,
    ACTIONS(13218), 1,
      anon_sym_function,
    STATE(8759), 1,
      sym_comment,
  [254526] = 4,
    ACTIONS(3), 1,
      aux_sym_comment_token1,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(13220), 1,
      sym_identifier,
    STATE(8760), 1,
      sym_comment,
  [254539] = 1,
    ACTIONS(13222), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2218)] = 0,
  [SMALL_STATE(2219)] = 93,
  [SMALL_STATE(2220)] = 186,
  [SMALL_STATE(2221)] = 279,
  [SMALL_STATE(2222)] = 372,
  [SMALL_STATE(2223)] = 465,
  [SMALL_STATE(2224)] = 558,
  [SMALL_STATE(2225)] = 651,
  [SMALL_STATE(2226)] = 744,
  [SMALL_STATE(2227)] = 837,
  [SMALL_STATE(2228)] = 930,
  [SMALL_STATE(2229)] = 1025,
  [SMALL_STATE(2230)] = 1118,
  [SMALL_STATE(2231)] = 1211,
  [SMALL_STATE(2232)] = 1286,
  [SMALL_STATE(2233)] = 1379,
  [SMALL_STATE(2234)] = 1474,
  [SMALL_STATE(2235)] = 1569,
  [SMALL_STATE(2236)] = 1662,
  [SMALL_STATE(2237)] = 1755,
  [SMALL_STATE(2238)] = 1848,
  [SMALL_STATE(2239)] = 1923,
  [SMALL_STATE(2240)] = 2018,
  [SMALL_STATE(2241)] = 2093,
  [SMALL_STATE(2242)] = 2188,
  [SMALL_STATE(2243)] = 2263,
  [SMALL_STATE(2244)] = 2358,
  [SMALL_STATE(2245)] = 2451,
  [SMALL_STATE(2246)] = 2546,
  [SMALL_STATE(2247)] = 2639,
  [SMALL_STATE(2248)] = 2734,
  [SMALL_STATE(2249)] = 2829,
  [SMALL_STATE(2250)] = 2904,
  [SMALL_STATE(2251)] = 3001,
  [SMALL_STATE(2252)] = 3096,
  [SMALL_STATE(2253)] = 3171,
  [SMALL_STATE(2254)] = 3264,
  [SMALL_STATE(2255)] = 3339,
  [SMALL_STATE(2256)] = 3432,
  [SMALL_STATE(2257)] = 3525,
  [SMALL_STATE(2258)] = 3622,
  [SMALL_STATE(2259)] = 3715,
  [SMALL_STATE(2260)] = 3808,
  [SMALL_STATE(2261)] = 3901,
  [SMALL_STATE(2262)] = 3998,
  [SMALL_STATE(2263)] = 4090,
  [SMALL_STATE(2264)] = 4220,
  [SMALL_STATE(2265)] = 4350,
  [SMALL_STATE(2266)] = 4428,
  [SMALL_STATE(2267)] = 4524,
  [SMALL_STATE(2268)] = 4654,
  [SMALL_STATE(2269)] = 4784,
  [SMALL_STATE(2270)] = 4914,
  [SMALL_STATE(2271)] = 5044,
  [SMALL_STATE(2272)] = 5174,
  [SMALL_STATE(2273)] = 5266,
  [SMALL_STATE(2274)] = 5396,
  [SMALL_STATE(2275)] = 5526,
  [SMALL_STATE(2276)] = 5656,
  [SMALL_STATE(2277)] = 5748,
  [SMALL_STATE(2278)] = 5840,
  [SMALL_STATE(2279)] = 5970,
  [SMALL_STATE(2280)] = 6064,
  [SMALL_STATE(2281)] = 6194,
  [SMALL_STATE(2282)] = 6324,
  [SMALL_STATE(2283)] = 6454,
  [SMALL_STATE(2284)] = 6584,
  [SMALL_STATE(2285)] = 6714,
  [SMALL_STATE(2286)] = 6814,
  [SMALL_STATE(2287)] = 6944,
  [SMALL_STATE(2288)] = 7074,
  [SMALL_STATE(2289)] = 7204,
  [SMALL_STATE(2290)] = 7334,
  [SMALL_STATE(2291)] = 7464,
  [SMALL_STATE(2292)] = 7594,
  [SMALL_STATE(2293)] = 7724,
  [SMALL_STATE(2294)] = 7854,
  [SMALL_STATE(2295)] = 7984,
  [SMALL_STATE(2296)] = 8114,
  [SMALL_STATE(2297)] = 8206,
  [SMALL_STATE(2298)] = 8280,
  [SMALL_STATE(2299)] = 8410,
  [SMALL_STATE(2300)] = 8540,
  [SMALL_STATE(2301)] = 8632,
  [SMALL_STATE(2302)] = 8762,
  [SMALL_STATE(2303)] = 8892,
  [SMALL_STATE(2304)] = 9022,
  [SMALL_STATE(2305)] = 9118,
  [SMALL_STATE(2306)] = 9214,
  [SMALL_STATE(2307)] = 9310,
  [SMALL_STATE(2308)] = 9440,
  [SMALL_STATE(2309)] = 9570,
  [SMALL_STATE(2310)] = 9644,
  [SMALL_STATE(2311)] = 9736,
  [SMALL_STATE(2312)] = 9831,
  [SMALL_STATE(2313)] = 9922,
  [SMALL_STATE(2314)] = 10013,
  [SMALL_STATE(2315)] = 10086,
  [SMALL_STATE(2316)] = 10177,
  [SMALL_STATE(2317)] = 10268,
  [SMALL_STATE(2318)] = 10351,
  [SMALL_STATE(2319)] = 10434,
  [SMALL_STATE(2320)] = 10527,
  [SMALL_STATE(2321)] = 10618,
  [SMALL_STATE(2322)] = 10701,
  [SMALL_STATE(2323)] = 10774,
  [SMALL_STATE(2324)] = 10869,
  [SMALL_STATE(2325)] = 10954,
  [SMALL_STATE(2326)] = 11051,
  [SMALL_STATE(2327)] = 11142,
  [SMALL_STATE(2328)] = 11225,
  [SMALL_STATE(2329)] = 11316,
  [SMALL_STATE(2330)] = 11407,
  [SMALL_STATE(2331)] = 11498,
  [SMALL_STATE(2332)] = 11589,
  [SMALL_STATE(2333)] = 11686,
  [SMALL_STATE(2334)] = 11781,
  [SMALL_STATE(2335)] = 11872,
  [SMALL_STATE(2336)] = 11963,
  [SMALL_STATE(2337)] = 12046,
  [SMALL_STATE(2338)] = 12129,
  [SMALL_STATE(2339)] = 12214,
  [SMALL_STATE(2340)] = 12340,
  [SMALL_STATE(2341)] = 12466,
  [SMALL_STATE(2342)] = 12560,
  [SMALL_STATE(2343)] = 12638,
  [SMALL_STATE(2344)] = 12720,
  [SMALL_STATE(2345)] = 12846,
  [SMALL_STATE(2346)] = 12972,
  [SMALL_STATE(2347)] = 13062,
  [SMALL_STATE(2348)] = 13146,
  [SMALL_STATE(2349)] = 13272,
  [SMALL_STATE(2350)] = 13352,
  [SMALL_STATE(2351)] = 13442,
  [SMALL_STATE(2352)] = 13526,
  [SMALL_STATE(2353)] = 13652,
  [SMALL_STATE(2354)] = 13734,
  [SMALL_STATE(2355)] = 13860,
  [SMALL_STATE(2356)] = 13986,
  [SMALL_STATE(2357)] = 14112,
  [SMALL_STATE(2358)] = 14238,
  [SMALL_STATE(2359)] = 14320,
  [SMALL_STATE(2360)] = 14402,
  [SMALL_STATE(2361)] = 14484,
  [SMALL_STATE(2362)] = 14564,
  [SMALL_STATE(2363)] = 14648,
  [SMALL_STATE(2364)] = 14730,
  [SMALL_STATE(2365)] = 14810,
  [SMALL_STATE(2366)] = 14904,
  [SMALL_STATE(2367)] = 14992,
  [SMALL_STATE(2368)] = 15070,
  [SMALL_STATE(2369)] = 15154,
  [SMALL_STATE(2370)] = 15236,
  [SMALL_STATE(2371)] = 15324,
  [SMALL_STATE(2372)] = 15402,
  [SMALL_STATE(2373)] = 15528,
  [SMALL_STATE(2374)] = 15620,
  [SMALL_STATE(2375)] = 15704,
  [SMALL_STATE(2376)] = 15798,
  [SMALL_STATE(2377)] = 15924,
  [SMALL_STATE(2378)] = 16018,
  [SMALL_STATE(2379)] = 16096,
  [SMALL_STATE(2380)] = 16190,
  [SMALL_STATE(2381)] = 16274,
  [SMALL_STATE(2382)] = 16357,
  [SMALL_STATE(2383)] = 16428,
  [SMALL_STATE(2384)] = 16507,
  [SMALL_STATE(2385)] = 16596,
  [SMALL_STATE(2386)] = 16675,
  [SMALL_STATE(2387)] = 16752,
  [SMALL_STATE(2388)] = 16831,
  [SMALL_STATE(2389)] = 16916,
  [SMALL_STATE(2390)] = 17005,
  [SMALL_STATE(2391)] = 17078,
  [SMALL_STATE(2392)] = 17151,
  [SMALL_STATE(2393)] = 17244,
  [SMALL_STATE(2394)] = 17323,
  [SMALL_STATE(2395)] = 17394,
  [SMALL_STATE(2396)] = 17465,
  [SMALL_STATE(2397)] = 17540,
  [SMALL_STATE(2398)] = 17633,
  [SMALL_STATE(2399)] = 17704,
  [SMALL_STATE(2400)] = 17775,
  [SMALL_STATE(2401)] = 17846,
  [SMALL_STATE(2402)] = 17927,
  [SMALL_STATE(2403)] = 18004,
  [SMALL_STATE(2404)] = 18083,
  [SMALL_STATE(2405)] = 18162,
  [SMALL_STATE(2406)] = 18233,
  [SMALL_STATE(2407)] = 18304,
  [SMALL_STATE(2408)] = 18381,
  [SMALL_STATE(2409)] = 18460,
  [SMALL_STATE(2410)] = 18537,
  [SMALL_STATE(2411)] = 18614,
  [SMALL_STATE(2412)] = 18685,
  [SMALL_STATE(2413)] = 18764,
  [SMALL_STATE(2414)] = 18853,
  [SMALL_STATE(2415)] = 18934,
  [SMALL_STATE(2416)] = 19021,
  [SMALL_STATE(2417)] = 19100,
  [SMALL_STATE(2418)] = 19171,
  [SMALL_STATE(2419)] = 19248,
  [SMALL_STATE(2420)] = 19331,
  [SMALL_STATE(2421)] = 19410,
  [SMALL_STATE(2422)] = 19487,
  [SMALL_STATE(2423)] = 19566,
  [SMALL_STATE(2424)] = 19655,
  [SMALL_STATE(2425)] = 19726,
  [SMALL_STATE(2426)] = 19805,
  [SMALL_STATE(2427)] = 19890,
  [SMALL_STATE(2428)] = 19965,
  [SMALL_STATE(2429)] = 20044,
  [SMALL_STATE(2430)] = 20121,
  [SMALL_STATE(2431)] = 20200,
  [SMALL_STATE(2432)] = 20285,
  [SMALL_STATE(2433)] = 20370,
  [SMALL_STATE(2434)] = 20451,
  [SMALL_STATE(2435)] = 20575,
  [SMALL_STATE(2436)] = 20699,
  [SMALL_STATE(2437)] = 20823,
  [SMALL_STATE(2438)] = 20941,
  [SMALL_STATE(2439)] = 21065,
  [SMALL_STATE(2440)] = 21149,
  [SMALL_STATE(2441)] = 21273,
  [SMALL_STATE(2442)] = 21397,
  [SMALL_STATE(2443)] = 21521,
  [SMALL_STATE(2444)] = 21645,
  [SMALL_STATE(2445)] = 21727,
  [SMALL_STATE(2446)] = 21845,
  [SMALL_STATE(2447)] = 21923,
  [SMALL_STATE(2448)] = 22001,
  [SMALL_STATE(2449)] = 22125,
  [SMALL_STATE(2450)] = 22249,
  [SMALL_STATE(2451)] = 22373,
  [SMALL_STATE(2452)] = 22497,
  [SMALL_STATE(2453)] = 22619,
  [SMALL_STATE(2454)] = 22743,
  [SMALL_STATE(2455)] = 22867,
  [SMALL_STATE(2456)] = 22941,
  [SMALL_STATE(2457)] = 23017,
  [SMALL_STATE(2458)] = 23141,
  [SMALL_STATE(2459)] = 23265,
  [SMALL_STATE(2460)] = 23389,
  [SMALL_STATE(2461)] = 23471,
  [SMALL_STATE(2462)] = 23595,
  [SMALL_STATE(2463)] = 23719,
  [SMALL_STATE(2464)] = 23801,
  [SMALL_STATE(2465)] = 23925,
  [SMALL_STATE(2466)] = 24049,
  [SMALL_STATE(2467)] = 24173,
  [SMALL_STATE(2468)] = 24291,
  [SMALL_STATE(2469)] = 24415,
  [SMALL_STATE(2470)] = 24491,
  [SMALL_STATE(2471)] = 24615,
  [SMALL_STATE(2472)] = 24693,
  [SMALL_STATE(2473)] = 24817,
  [SMALL_STATE(2474)] = 24941,
  [SMALL_STATE(2475)] = 25065,
  [SMALL_STATE(2476)] = 25189,
  [SMALL_STATE(2477)] = 25277,
  [SMALL_STATE(2478)] = 25355,
  [SMALL_STATE(2479)] = 25473,
  [SMALL_STATE(2480)] = 25555,
  [SMALL_STATE(2481)] = 25679,
  [SMALL_STATE(2482)] = 25757,
  [SMALL_STATE(2483)] = 25881,
  [SMALL_STATE(2484)] = 26005,
  [SMALL_STATE(2485)] = 26129,
  [SMALL_STATE(2486)] = 26253,
  [SMALL_STATE(2487)] = 26377,
  [SMALL_STATE(2488)] = 26501,
  [SMALL_STATE(2489)] = 26625,
  [SMALL_STATE(2490)] = 26699,
  [SMALL_STATE(2491)] = 26777,
  [SMALL_STATE(2492)] = 26895,
  [SMALL_STATE(2493)] = 26973,
  [SMALL_STATE(2494)] = 27097,
  [SMALL_STATE(2495)] = 27221,
  [SMALL_STATE(2496)] = 27303,
  [SMALL_STATE(2497)] = 27427,
  [SMALL_STATE(2498)] = 27505,
  [SMALL_STATE(2499)] = 27583,
  [SMALL_STATE(2500)] = 27661,
  [SMALL_STATE(2501)] = 27739,
  [SMALL_STATE(2502)] = 27857,
  [SMALL_STATE(2503)] = 27975,
  [SMALL_STATE(2504)] = 28051,
  [SMALL_STATE(2505)] = 28175,
  [SMALL_STATE(2506)] = 28251,
  [SMALL_STATE(2507)] = 28375,
  [SMALL_STATE(2508)] = 28447,
  [SMALL_STATE(2509)] = 28519,
  [SMALL_STATE(2510)] = 28643,
  [SMALL_STATE(2511)] = 28767,
  [SMALL_STATE(2512)] = 28891,
  [SMALL_STATE(2513)] = 28972,
  [SMALL_STATE(2514)] = 29043,
  [SMALL_STATE(2515)] = 29116,
  [SMALL_STATE(2516)] = 29191,
  [SMALL_STATE(2517)] = 29270,
  [SMALL_STATE(2518)] = 29347,
  [SMALL_STATE(2519)] = 29426,
  [SMALL_STATE(2520)] = 29497,
  [SMALL_STATE(2521)] = 29576,
  [SMALL_STATE(2522)] = 29651,
  [SMALL_STATE(2523)] = 29730,
  [SMALL_STATE(2524)] = 29807,
  [SMALL_STATE(2525)] = 29882,
  [SMALL_STATE(2526)] = 29957,
  [SMALL_STATE(2527)] = 30031,
  [SMALL_STATE(2528)] = 30105,
  [SMALL_STATE(2529)] = 30179,
  [SMALL_STATE(2530)] = 30253,
  [SMALL_STATE(2531)] = 30331,
  [SMALL_STATE(2532)] = 30441,
  [SMALL_STATE(2533)] = 30519,
  [SMALL_STATE(2534)] = 30593,
  [SMALL_STATE(2535)] = 30667,
  [SMALL_STATE(2536)] = 30743,
  [SMALL_STATE(2537)] = 30815,
  [SMALL_STATE(2538)] = 30889,
  [SMALL_STATE(2539)] = 30963,
  [SMALL_STATE(2540)] = 31037,
  [SMALL_STATE(2541)] = 31111,
  [SMALL_STATE(2542)] = 31185,
  [SMALL_STATE(2543)] = 31259,
  [SMALL_STATE(2544)] = 31364,
  [SMALL_STATE(2545)] = 31437,
  [SMALL_STATE(2546)] = 31510,
  [SMALL_STATE(2547)] = 31585,
  [SMALL_STATE(2548)] = 31692,
  [SMALL_STATE(2549)] = 31799,
  [SMALL_STATE(2550)] = 31906,
  [SMALL_STATE(2551)] = 31979,
  [SMALL_STATE(2552)] = 32052,
  [SMALL_STATE(2553)] = 32125,
  [SMALL_STATE(2554)] = 32198,
  [SMALL_STATE(2555)] = 32271,
  [SMALL_STATE(2556)] = 32342,
  [SMALL_STATE(2557)] = 32415,
  [SMALL_STATE(2558)] = 32488,
  [SMALL_STATE(2559)] = 32595,
  [SMALL_STATE(2560)] = 32668,
  [SMALL_STATE(2561)] = 32775,
  [SMALL_STATE(2562)] = 32848,
  [SMALL_STATE(2563)] = 32955,
  [SMALL_STATE(2564)] = 33026,
  [SMALL_STATE(2565)] = 33133,
  [SMALL_STATE(2566)] = 33240,
  [SMALL_STATE(2567)] = 33313,
  [SMALL_STATE(2568)] = 33386,
  [SMALL_STATE(2569)] = 33459,
  [SMALL_STATE(2570)] = 33530,
  [SMALL_STATE(2571)] = 33603,
  [SMALL_STATE(2572)] = 33676,
  [SMALL_STATE(2573)] = 33749,
  [SMALL_STATE(2574)] = 33822,
  [SMALL_STATE(2575)] = 33895,
  [SMALL_STATE(2576)] = 33968,
  [SMALL_STATE(2577)] = 34038,
  [SMALL_STATE(2578)] = 34140,
  [SMALL_STATE(2579)] = 34210,
  [SMALL_STATE(2580)] = 34280,
  [SMALL_STATE(2581)] = 34350,
  [SMALL_STATE(2582)] = 34420,
  [SMALL_STATE(2583)] = 34490,
  [SMALL_STATE(2584)] = 34592,
  [SMALL_STATE(2585)] = 34694,
  [SMALL_STATE(2586)] = 34764,
  [SMALL_STATE(2587)] = 34866,
  [SMALL_STATE(2588)] = 34936,
  [SMALL_STATE(2589)] = 35038,
  [SMALL_STATE(2590)] = 35108,
  [SMALL_STATE(2591)] = 35210,
  [SMALL_STATE(2592)] = 35305,
  [SMALL_STATE(2593)] = 35400,
  [SMALL_STATE(2594)] = 35495,
  [SMALL_STATE(2595)] = 35588,
  [SMALL_STATE(2596)] = 35681,
  [SMALL_STATE(2597)] = 35776,
  [SMALL_STATE(2598)] = 35869,
  [SMALL_STATE(2599)] = 35964,
  [SMALL_STATE(2600)] = 36059,
  [SMALL_STATE(2601)] = 36154,
  [SMALL_STATE(2602)] = 36247,
  [SMALL_STATE(2603)] = 36340,
  [SMALL_STATE(2604)] = 36433,
  [SMALL_STATE(2605)] = 36521,
  [SMALL_STATE(2606)] = 36609,
  [SMALL_STATE(2607)] = 36697,
  [SMALL_STATE(2608)] = 36785,
  [SMALL_STATE(2609)] = 36909,
  [SMALL_STATE(2610)] = 37027,
  [SMALL_STATE(2611)] = 37121,
  [SMALL_STATE(2612)] = 37213,
  [SMALL_STATE(2613)] = 37301,
  [SMALL_STATE(2614)] = 37425,
  [SMALL_STATE(2615)] = 37549,
  [SMALL_STATE(2616)] = 37673,
  [SMALL_STATE(2617)] = 37797,
  [SMALL_STATE(2618)] = 37921,
  [SMALL_STATE(2619)] = 38009,
  [SMALL_STATE(2620)] = 38101,
  [SMALL_STATE(2621)] = 38188,
  [SMALL_STATE(2622)] = 38273,
  [SMALL_STATE(2623)] = 38358,
  [SMALL_STATE(2624)] = 38445,
  [SMALL_STATE(2625)] = 38534,
  [SMALL_STATE(2626)] = 38623,
  [SMALL_STATE(2627)] = 38720,
  [SMALL_STATE(2628)] = 38809,
  [SMALL_STATE(2629)] = 38898,
  [SMALL_STATE(2630)] = 38995,
  [SMALL_STATE(2631)] = 39092,
  [SMALL_STATE(2632)] = 39181,
  [SMALL_STATE(2633)] = 39278,
  [SMALL_STATE(2634)] = 39363,
  [SMALL_STATE(2635)] = 39452,
  [SMALL_STATE(2636)] = 39537,
  [SMALL_STATE(2637)] = 39634,
  [SMALL_STATE(2638)] = 39723,
  [SMALL_STATE(2639)] = 39820,
  [SMALL_STATE(2640)] = 39905,
  [SMALL_STATE(2641)] = 39994,
  [SMALL_STATE(2642)] = 40081,
  [SMALL_STATE(2643)] = 40178,
  [SMALL_STATE(2644)] = 40260,
  [SMALL_STATE(2645)] = 40340,
  [SMALL_STATE(2646)] = 40414,
  [SMALL_STATE(2647)] = 40494,
  [SMALL_STATE(2648)] = 40574,
  [SMALL_STATE(2649)] = 40656,
  [SMALL_STATE(2650)] = 40744,
  [SMALL_STATE(2651)] = 40832,
  [SMALL_STATE(2652)] = 40914,
  [SMALL_STATE(2653)] = 40988,
  [SMALL_STATE(2654)] = 41070,
  [SMALL_STATE(2655)] = 41160,
  [SMALL_STATE(2656)] = 41248,
  [SMALL_STATE(2657)] = 41338,
  [SMALL_STATE(2658)] = 41418,
  [SMALL_STATE(2659)] = 41508,
  [SMALL_STATE(2660)] = 41588,
  [SMALL_STATE(2661)] = 41678,
  [SMALL_STATE(2662)] = 41758,
  [SMALL_STATE(2663)] = 41874,
  [SMALL_STATE(2664)] = 41954,
  [SMALL_STATE(2665)] = 42034,
  [SMALL_STATE(2666)] = 42116,
  [SMALL_STATE(2667)] = 42198,
  [SMALL_STATE(2668)] = 42272,
  [SMALL_STATE(2669)] = 42346,
  [SMALL_STATE(2670)] = 42426,
  [SMALL_STATE(2671)] = 42488,
  [SMALL_STATE(2672)] = 42568,
  [SMALL_STATE(2673)] = 42658,
  [SMALL_STATE(2674)] = 42740,
  [SMALL_STATE(2675)] = 42822,
  [SMALL_STATE(2676)] = 42896,
  [SMALL_STATE(2677)] = 42970,
  [SMALL_STATE(2678)] = 43084,
  [SMALL_STATE(2679)] = 43174,
  [SMALL_STATE(2680)] = 43254,
  [SMALL_STATE(2681)] = 43336,
  [SMALL_STATE(2682)] = 43424,
  [SMALL_STATE(2683)] = 43512,
  [SMALL_STATE(2684)] = 43594,
  [SMALL_STATE(2685)] = 43668,
  [SMALL_STATE(2686)] = 43750,
  [SMALL_STATE(2687)] = 43834,
  [SMALL_STATE(2688)] = 43914,
  [SMALL_STATE(2689)] = 43988,
  [SMALL_STATE(2690)] = 44076,
  [SMALL_STATE(2691)] = 44150,
  [SMALL_STATE(2692)] = 44230,
  [SMALL_STATE(2693)] = 44320,
  [SMALL_STATE(2694)] = 44400,
  [SMALL_STATE(2695)] = 44462,
  [SMALL_STATE(2696)] = 44542,
  [SMALL_STATE(2697)] = 44622,
  [SMALL_STATE(2698)] = 44702,
  [SMALL_STATE(2699)] = 44782,
  [SMALL_STATE(2700)] = 44864,
  [SMALL_STATE(2701)] = 44946,
  [SMALL_STATE(2702)] = 45020,
  [SMALL_STATE(2703)] = 45094,
  [SMALL_STATE(2704)] = 45176,
  [SMALL_STATE(2705)] = 45258,
  [SMALL_STATE(2706)] = 45340,
  [SMALL_STATE(2707)] = 45420,
  [SMALL_STATE(2708)] = 45494,
  [SMALL_STATE(2709)] = 45582,
  [SMALL_STATE(2710)] = 45682,
  [SMALL_STATE(2711)] = 45762,
  [SMALL_STATE(2712)] = 45853,
  [SMALL_STATE(2713)] = 45928,
  [SMALL_STATE(2714)] = 46003,
  [SMALL_STATE(2715)] = 46078,
  [SMALL_STATE(2716)] = 46153,
  [SMALL_STATE(2717)] = 46228,
  [SMALL_STATE(2718)] = 46303,
  [SMALL_STATE(2719)] = 46386,
  [SMALL_STATE(2720)] = 46461,
  [SMALL_STATE(2721)] = 46536,
  [SMALL_STATE(2722)] = 46611,
  [SMALL_STATE(2723)] = 46686,
  [SMALL_STATE(2724)] = 46761,
  [SMALL_STATE(2725)] = 46836,
  [SMALL_STATE(2726)] = 46911,
  [SMALL_STATE(2727)] = 46974,
  [SMALL_STATE(2728)] = 47049,
  [SMALL_STATE(2729)] = 47124,
  [SMALL_STATE(2730)] = 47199,
  [SMALL_STATE(2731)] = 47268,
  [SMALL_STATE(2732)] = 47339,
  [SMALL_STATE(2733)] = 47422,
  [SMALL_STATE(2734)] = 47511,
  [SMALL_STATE(2735)] = 47586,
  [SMALL_STATE(2736)] = 47669,
  [SMALL_STATE(2737)] = 47744,
  [SMALL_STATE(2738)] = 47815,
  [SMALL_STATE(2739)] = 47886,
  [SMALL_STATE(2740)] = 47969,
  [SMALL_STATE(2741)] = 48052,
  [SMALL_STATE(2742)] = 48127,
  [SMALL_STATE(2743)] = 48202,
  [SMALL_STATE(2744)] = 48277,
  [SMALL_STATE(2745)] = 48352,
  [SMALL_STATE(2746)] = 48435,
  [SMALL_STATE(2747)] = 48510,
  [SMALL_STATE(2748)] = 48605,
  [SMALL_STATE(2749)] = 48682,
  [SMALL_STATE(2750)] = 48765,
  [SMALL_STATE(2751)] = 48831,
  [SMALL_STATE(2752)] = 48917,
  [SMALL_STATE(2753)] = 48979,
  [SMALL_STATE(2754)] = 49039,
  [SMALL_STATE(2755)] = 49099,
  [SMALL_STATE(2756)] = 49161,
  [SMALL_STATE(2757)] = 49221,
  [SMALL_STATE(2758)] = 49285,
  [SMALL_STATE(2759)] = 49369,
  [SMALL_STATE(2760)] = 49451,
  [SMALL_STATE(2761)] = 49513,
  [SMALL_STATE(2762)] = 49593,
  [SMALL_STATE(2763)] = 49653,
  [SMALL_STATE(2764)] = 49717,
  [SMALL_STATE(2765)] = 49793,
  [SMALL_STATE(2766)] = 49873,
  [SMALL_STATE(2767)] = 49955,
  [SMALL_STATE(2768)] = 50035,
  [SMALL_STATE(2769)] = 50095,
  [SMALL_STATE(2770)] = 50175,
  [SMALL_STATE(2771)] = 50241,
  [SMALL_STATE(2772)] = 50303,
  [SMALL_STATE(2773)] = 50379,
  [SMALL_STATE(2774)] = 50439,
  [SMALL_STATE(2775)] = 50519,
  [SMALL_STATE(2776)] = 50595,
  [SMALL_STATE(2777)] = 50659,
  [SMALL_STATE(2778)] = 50759,
  [SMALL_STATE(2779)] = 50835,
  [SMALL_STATE(2780)] = 50915,
  [SMALL_STATE(2781)] = 50975,
  [SMALL_STATE(2782)] = 51041,
  [SMALL_STATE(2783)] = 51107,
  [SMALL_STATE(2784)] = 51173,
  [SMALL_STATE(2785)] = 51249,
  [SMALL_STATE(2786)] = 51315,
  [SMALL_STATE(2787)] = 51374,
  [SMALL_STATE(2788)] = 51499,
  [SMALL_STATE(2789)] = 51568,
  [SMALL_STATE(2790)] = 51637,
  [SMALL_STATE(2791)] = 51700,
  [SMALL_STATE(2792)] = 51825,
  [SMALL_STATE(2793)] = 51888,
  [SMALL_STATE(2794)] = 51961,
  [SMALL_STATE(2795)] = 52020,
  [SMALL_STATE(2796)] = 52079,
  [SMALL_STATE(2797)] = 52138,
  [SMALL_STATE(2798)] = 52197,
  [SMALL_STATE(2799)] = 52258,
  [SMALL_STATE(2800)] = 52317,
  [SMALL_STATE(2801)] = 52376,
  [SMALL_STATE(2802)] = 52449,
  [SMALL_STATE(2803)] = 52508,
  [SMALL_STATE(2804)] = 52569,
  [SMALL_STATE(2805)] = 52628,
  [SMALL_STATE(2806)] = 52687,
  [SMALL_STATE(2807)] = 52746,
  [SMALL_STATE(2808)] = 52807,
  [SMALL_STATE(2809)] = 52866,
  [SMALL_STATE(2810)] = 52925,
  [SMALL_STATE(2811)] = 52984,
  [SMALL_STATE(2812)] = 53049,
  [SMALL_STATE(2813)] = 53114,
  [SMALL_STATE(2814)] = 53175,
  [SMALL_STATE(2815)] = 53236,
  [SMALL_STATE(2816)] = 53361,
  [SMALL_STATE(2817)] = 53420,
  [SMALL_STATE(2818)] = 53479,
  [SMALL_STATE(2819)] = 53538,
  [SMALL_STATE(2820)] = 53597,
  [SMALL_STATE(2821)] = 53666,
  [SMALL_STATE(2822)] = 53735,
  [SMALL_STATE(2823)] = 53794,
  [SMALL_STATE(2824)] = 53853,
  [SMALL_STATE(2825)] = 53912,
  [SMALL_STATE(2826)] = 53971,
  [SMALL_STATE(2827)] = 54030,
  [SMALL_STATE(2828)] = 54089,
  [SMALL_STATE(2829)] = 54148,
  [SMALL_STATE(2830)] = 54215,
  [SMALL_STATE(2831)] = 54282,
  [SMALL_STATE(2832)] = 54341,
  [SMALL_STATE(2833)] = 54400,
  [SMALL_STATE(2834)] = 54459,
  [SMALL_STATE(2835)] = 54518,
  [SMALL_STATE(2836)] = 54583,
  [SMALL_STATE(2837)] = 54642,
  [SMALL_STATE(2838)] = 54701,
  [SMALL_STATE(2839)] = 54760,
  [SMALL_STATE(2840)] = 54819,
  [SMALL_STATE(2841)] = 54878,
  [SMALL_STATE(2842)] = 54937,
  [SMALL_STATE(2843)] = 54998,
  [SMALL_STATE(2844)] = 55057,
  [SMALL_STATE(2845)] = 55116,
  [SMALL_STATE(2846)] = 55175,
  [SMALL_STATE(2847)] = 55234,
  [SMALL_STATE(2848)] = 55293,
  [SMALL_STATE(2849)] = 55352,
  [SMALL_STATE(2850)] = 55411,
  [SMALL_STATE(2851)] = 55470,
  [SMALL_STATE(2852)] = 55529,
  [SMALL_STATE(2853)] = 55588,
  [SMALL_STATE(2854)] = 55647,
  [SMALL_STATE(2855)] = 55706,
  [SMALL_STATE(2856)] = 55765,
  [SMALL_STATE(2857)] = 55842,
  [SMALL_STATE(2858)] = 55901,
  [SMALL_STATE(2859)] = 56026,
  [SMALL_STATE(2860)] = 56085,
  [SMALL_STATE(2861)] = 56144,
  [SMALL_STATE(2862)] = 56203,
  [SMALL_STATE(2863)] = 56272,
  [SMALL_STATE(2864)] = 56341,
  [SMALL_STATE(2865)] = 56400,
  [SMALL_STATE(2866)] = 56459,
  [SMALL_STATE(2867)] = 56524,
  [SMALL_STATE(2868)] = 56583,
  [SMALL_STATE(2869)] = 56642,
  [SMALL_STATE(2870)] = 56701,
  [SMALL_STATE(2871)] = 56760,
  [SMALL_STATE(2872)] = 56825,
  [SMALL_STATE(2873)] = 56890,
  [SMALL_STATE(2874)] = 56955,
  [SMALL_STATE(2875)] = 57014,
  [SMALL_STATE(2876)] = 57073,
  [SMALL_STATE(2877)] = 57132,
  [SMALL_STATE(2878)] = 57191,
  [SMALL_STATE(2879)] = 57250,
  [SMALL_STATE(2880)] = 57309,
  [SMALL_STATE(2881)] = 57368,
  [SMALL_STATE(2882)] = 57427,
  [SMALL_STATE(2883)] = 57486,
  [SMALL_STATE(2884)] = 57545,
  [SMALL_STATE(2885)] = 57604,
  [SMALL_STATE(2886)] = 57663,
  [SMALL_STATE(2887)] = 57722,
  [SMALL_STATE(2888)] = 57781,
  [SMALL_STATE(2889)] = 57840,
  [SMALL_STATE(2890)] = 57899,
  [SMALL_STATE(2891)] = 58024,
  [SMALL_STATE(2892)] = 58083,
  [SMALL_STATE(2893)] = 58142,
  [SMALL_STATE(2894)] = 58201,
  [SMALL_STATE(2895)] = 58260,
  [SMALL_STATE(2896)] = 58319,
  [SMALL_STATE(2897)] = 58378,
  [SMALL_STATE(2898)] = 58451,
  [SMALL_STATE(2899)] = 58510,
  [SMALL_STATE(2900)] = 58569,
  [SMALL_STATE(2901)] = 58628,
  [SMALL_STATE(2902)] = 58687,
  [SMALL_STATE(2903)] = 58756,
  [SMALL_STATE(2904)] = 58821,
  [SMALL_STATE(2905)] = 58894,
  [SMALL_STATE(2906)] = 59019,
  [SMALL_STATE(2907)] = 59088,
  [SMALL_STATE(2908)] = 59157,
  [SMALL_STATE(2909)] = 59226,
  [SMALL_STATE(2910)] = 59351,
  [SMALL_STATE(2911)] = 59410,
  [SMALL_STATE(2912)] = 59483,
  [SMALL_STATE(2913)] = 59556,
  [SMALL_STATE(2914)] = 59629,
  [SMALL_STATE(2915)] = 59688,
  [SMALL_STATE(2916)] = 59813,
  [SMALL_STATE(2917)] = 59938,
  [SMALL_STATE(2918)] = 60011,
  [SMALL_STATE(2919)] = 60136,
  [SMALL_STATE(2920)] = 60211,
  [SMALL_STATE(2921)] = 60288,
  [SMALL_STATE(2922)] = 60367,
  [SMALL_STATE(2923)] = 60436,
  [SMALL_STATE(2924)] = 60505,
  [SMALL_STATE(2925)] = 60574,
  [SMALL_STATE(2926)] = 60643,
  [SMALL_STATE(2927)] = 60716,
  [SMALL_STATE(2928)] = 60789,
  [SMALL_STATE(2929)] = 60862,
  [SMALL_STATE(2930)] = 60923,
  [SMALL_STATE(2931)] = 61048,
  [SMALL_STATE(2932)] = 61115,
  [SMALL_STATE(2933)] = 61176,
  [SMALL_STATE(2934)] = 61237,
  [SMALL_STATE(2935)] = 61310,
  [SMALL_STATE(2936)] = 61375,
  [SMALL_STATE(2937)] = 61492,
  [SMALL_STATE(2938)] = 61557,
  [SMALL_STATE(2939)] = 61618,
  [SMALL_STATE(2940)] = 61691,
  [SMALL_STATE(2941)] = 61764,
  [SMALL_STATE(2942)] = 61825,
  [SMALL_STATE(2943)] = 61898,
  [SMALL_STATE(2944)] = 61959,
  [SMALL_STATE(2945)] = 62076,
  [SMALL_STATE(2946)] = 62193,
  [SMALL_STATE(2947)] = 62310,
  [SMALL_STATE(2948)] = 62427,
  [SMALL_STATE(2949)] = 62544,
  [SMALL_STATE(2950)] = 62661,
  [SMALL_STATE(2951)] = 62726,
  [SMALL_STATE(2952)] = 62791,
  [SMALL_STATE(2953)] = 62854,
  [SMALL_STATE(2954)] = 62971,
  [SMALL_STATE(2955)] = 63088,
  [SMALL_STATE(2956)] = 63197,
  [SMALL_STATE(2957)] = 63292,
  [SMALL_STATE(2958)] = 63379,
  [SMALL_STATE(2959)] = 63464,
  [SMALL_STATE(2960)] = 63567,
  [SMALL_STATE(2961)] = 63668,
  [SMALL_STATE(2962)] = 63767,
  [SMALL_STATE(2963)] = 63854,
  [SMALL_STATE(2964)] = 63917,
  [SMALL_STATE(2965)] = 64024,
  [SMALL_STATE(2966)] = 64129,
  [SMALL_STATE(2967)] = 64190,
  [SMALL_STATE(2968)] = 64271,
  [SMALL_STATE(2969)] = 64362,
  [SMALL_STATE(2970)] = 64479,
  [SMALL_STATE(2971)] = 64596,
  [SMALL_STATE(2972)] = 64669,
  [SMALL_STATE(2973)] = 64786,
  [SMALL_STATE(2974)] = 64865,
  [SMALL_STATE(2975)] = 64950,
  [SMALL_STATE(2976)] = 65067,
  [SMALL_STATE(2977)] = 65144,
  [SMALL_STATE(2978)] = 65261,
  [SMALL_STATE(2979)] = 65378,
  [SMALL_STATE(2980)] = 65449,
  [SMALL_STATE(2981)] = 65569,
  [SMALL_STATE(2982)] = 65627,
  [SMALL_STATE(2983)] = 65743,
  [SMALL_STATE(2984)] = 65823,
  [SMALL_STATE(2985)] = 65883,
  [SMALL_STATE(2986)] = 65999,
  [SMALL_STATE(2987)] = 66083,
  [SMALL_STATE(2988)] = 66141,
  [SMALL_STATE(2989)] = 66227,
  [SMALL_STATE(2990)] = 66285,
  [SMALL_STATE(2991)] = 66401,
  [SMALL_STATE(2992)] = 66459,
  [SMALL_STATE(2993)] = 66519,
  [SMALL_STATE(2994)] = 66589,
  [SMALL_STATE(2995)] = 66709,
  [SMALL_STATE(2996)] = 66811,
  [SMALL_STATE(2997)] = 66869,
  [SMALL_STATE(2998)] = 66927,
  [SMALL_STATE(2999)] = 67043,
  [SMALL_STATE(3000)] = 67163,
  [SMALL_STATE(3001)] = 67279,
  [SMALL_STATE(3002)] = 67347,
  [SMALL_STATE(3003)] = 67463,
  [SMALL_STATE(3004)] = 67531,
  [SMALL_STATE(3005)] = 67599,
  [SMALL_STATE(3006)] = 67715,
  [SMALL_STATE(3007)] = 67835,
  [SMALL_STATE(3008)] = 67893,
  [SMALL_STATE(3009)] = 67951,
  [SMALL_STATE(3010)] = 68009,
  [SMALL_STATE(3011)] = 68129,
  [SMALL_STATE(3012)] = 68187,
  [SMALL_STATE(3013)] = 68245,
  [SMALL_STATE(3014)] = 68303,
  [SMALL_STATE(3015)] = 68361,
  [SMALL_STATE(3016)] = 68461,
  [SMALL_STATE(3017)] = 68519,
  [SMALL_STATE(3018)] = 68577,
  [SMALL_STATE(3019)] = 68635,
  [SMALL_STATE(3020)] = 68693,
  [SMALL_STATE(3021)] = 68751,
  [SMALL_STATE(3022)] = 68809,
  [SMALL_STATE(3023)] = 68867,
  [SMALL_STATE(3024)] = 68925,
  [SMALL_STATE(3025)] = 69045,
  [SMALL_STATE(3026)] = 69165,
  [SMALL_STATE(3027)] = 69223,
  [SMALL_STATE(3028)] = 69281,
  [SMALL_STATE(3029)] = 69345,
  [SMALL_STATE(3030)] = 69465,
  [SMALL_STATE(3031)] = 69523,
  [SMALL_STATE(3032)] = 69643,
  [SMALL_STATE(3033)] = 69741,
  [SMALL_STATE(3034)] = 69799,
  [SMALL_STATE(3035)] = 69915,
  [SMALL_STATE(3036)] = 70033,
  [SMALL_STATE(3037)] = 70097,
  [SMALL_STATE(3038)] = 70191,
  [SMALL_STATE(3039)] = 70307,
  [SMALL_STATE(3040)] = 70423,
  [SMALL_STATE(3041)] = 70543,
  [SMALL_STATE(3042)] = 70663,
  [SMALL_STATE(3043)] = 70783,
  [SMALL_STATE(3044)] = 70855,
  [SMALL_STATE(3045)] = 70913,
  [SMALL_STATE(3046)] = 71033,
  [SMALL_STATE(3047)] = 71149,
  [SMALL_STATE(3048)] = 71265,
  [SMALL_STATE(3049)] = 71381,
  [SMALL_STATE(3050)] = 71439,
  [SMALL_STATE(3051)] = 71497,
  [SMALL_STATE(3052)] = 71555,
  [SMALL_STATE(3053)] = 71613,
  [SMALL_STATE(3054)] = 71671,
  [SMALL_STATE(3055)] = 71733,
  [SMALL_STATE(3056)] = 71811,
  [SMALL_STATE(3057)] = 71869,
  [SMALL_STATE(3058)] = 71985,
  [SMALL_STATE(3059)] = 72043,
  [SMALL_STATE(3060)] = 72159,
  [SMALL_STATE(3061)] = 72275,
  [SMALL_STATE(3062)] = 72359,
  [SMALL_STATE(3063)] = 72417,
  [SMALL_STATE(3064)] = 72533,
  [SMALL_STATE(3065)] = 72649,
  [SMALL_STATE(3066)] = 72707,
  [SMALL_STATE(3067)] = 72769,
  [SMALL_STATE(3068)] = 72889,
  [SMALL_STATE(3069)] = 73009,
  [SMALL_STATE(3070)] = 73095,
  [SMALL_STATE(3071)] = 73201,
  [SMALL_STATE(3072)] = 73321,
  [SMALL_STATE(3073)] = 73395,
  [SMALL_STATE(3074)] = 73453,
  [SMALL_STATE(3075)] = 73557,
  [SMALL_STATE(3076)] = 73673,
  [SMALL_STATE(3077)] = 73789,
  [SMALL_STATE(3078)] = 73847,
  [SMALL_STATE(3079)] = 73917,
  [SMALL_STATE(3080)] = 74033,
  [SMALL_STATE(3081)] = 74149,
  [SMALL_STATE(3082)] = 74207,
  [SMALL_STATE(3083)] = 74269,
  [SMALL_STATE(3084)] = 74347,
  [SMALL_STATE(3085)] = 74405,
  [SMALL_STATE(3086)] = 74463,
  [SMALL_STATE(3087)] = 74579,
  [SMALL_STATE(3088)] = 74687,
  [SMALL_STATE(3089)] = 74803,
  [SMALL_STATE(3090)] = 74887,
  [SMALL_STATE(3091)] = 74995,
  [SMALL_STATE(3092)] = 75111,
  [SMALL_STATE(3093)] = 75169,
  [SMALL_STATE(3094)] = 75227,
  [SMALL_STATE(3095)] = 75291,
  [SMALL_STATE(3096)] = 75367,
  [SMALL_STATE(3097)] = 75425,
  [SMALL_STATE(3098)] = 75545,
  [SMALL_STATE(3099)] = 75603,
  [SMALL_STATE(3100)] = 75697,
  [SMALL_STATE(3101)] = 75755,
  [SMALL_STATE(3102)] = 75813,
  [SMALL_STATE(3103)] = 75871,
  [SMALL_STATE(3104)] = 75929,
  [SMALL_STATE(3105)] = 75995,
  [SMALL_STATE(3106)] = 76053,
  [SMALL_STATE(3107)] = 76111,
  [SMALL_STATE(3108)] = 76169,
  [SMALL_STATE(3109)] = 76227,
  [SMALL_STATE(3110)] = 76285,
  [SMALL_STATE(3111)] = 76343,
  [SMALL_STATE(3112)] = 76433,
  [SMALL_STATE(3113)] = 76491,
  [SMALL_STATE(3114)] = 76611,
  [SMALL_STATE(3115)] = 76731,
  [SMALL_STATE(3116)] = 76849,
  [SMALL_STATE(3117)] = 76969,
  [SMALL_STATE(3118)] = 77055,
  [SMALL_STATE(3119)] = 77139,
  [SMALL_STATE(3120)] = 77197,
  [SMALL_STATE(3121)] = 77277,
  [SMALL_STATE(3122)] = 77397,
  [SMALL_STATE(3123)] = 77513,
  [SMALL_STATE(3124)] = 77571,
  [SMALL_STATE(3125)] = 77629,
  [SMALL_STATE(3126)] = 77687,
  [SMALL_STATE(3127)] = 77745,
  [SMALL_STATE(3128)] = 77803,
  [SMALL_STATE(3129)] = 77923,
  [SMALL_STATE(3130)] = 78039,
  [SMALL_STATE(3131)] = 78099,
  [SMALL_STATE(3132)] = 78159,
  [SMALL_STATE(3133)] = 78219,
  [SMALL_STATE(3134)] = 78309,
  [SMALL_STATE(3135)] = 78367,
  [SMALL_STATE(3136)] = 78487,
  [SMALL_STATE(3137)] = 78573,
  [SMALL_STATE(3138)] = 78631,
  [SMALL_STATE(3139)] = 78733,
  [SMALL_STATE(3140)] = 78849,
  [SMALL_STATE(3141)] = 78949,
  [SMALL_STATE(3142)] = 79069,
  [SMALL_STATE(3143)] = 79175,
  [SMALL_STATE(3144)] = 79295,
  [SMALL_STATE(3145)] = 79399,
  [SMALL_STATE(3146)] = 79457,
  [SMALL_STATE(3147)] = 79533,
  [SMALL_STATE(3148)] = 79631,
  [SMALL_STATE(3149)] = 79689,
  [SMALL_STATE(3150)] = 79805,
  [SMALL_STATE(3151)] = 79925,
  [SMALL_STATE(3152)] = 80044,
  [SMALL_STATE(3153)] = 80163,
  [SMALL_STATE(3154)] = 80282,
  [SMALL_STATE(3155)] = 80339,
  [SMALL_STATE(3156)] = 80396,
  [SMALL_STATE(3157)] = 80453,
  [SMALL_STATE(3158)] = 80512,
  [SMALL_STATE(3159)] = 80575,
  [SMALL_STATE(3160)] = 80632,
  [SMALL_STATE(3161)] = 80695,
  [SMALL_STATE(3162)] = 80752,
  [SMALL_STATE(3163)] = 80833,
  [SMALL_STATE(3164)] = 80890,
  [SMALL_STATE(3165)] = 80947,
  [SMALL_STATE(3166)] = 81004,
  [SMALL_STATE(3167)] = 81119,
  [SMALL_STATE(3168)] = 81236,
  [SMALL_STATE(3169)] = 81355,
  [SMALL_STATE(3170)] = 81412,
  [SMALL_STATE(3171)] = 81527,
  [SMALL_STATE(3172)] = 81584,
  [SMALL_STATE(3173)] = 81699,
  [SMALL_STATE(3174)] = 81756,
  [SMALL_STATE(3175)] = 81875,
  [SMALL_STATE(3176)] = 81994,
  [SMALL_STATE(3177)] = 82051,
  [SMALL_STATE(3178)] = 82108,
  [SMALL_STATE(3179)] = 82171,
  [SMALL_STATE(3180)] = 82228,
  [SMALL_STATE(3181)] = 82285,
  [SMALL_STATE(3182)] = 82342,
  [SMALL_STATE(3183)] = 82401,
  [SMALL_STATE(3184)] = 82520,
  [SMALL_STATE(3185)] = 82577,
  [SMALL_STATE(3186)] = 82634,
  [SMALL_STATE(3187)] = 82691,
  [SMALL_STATE(3188)] = 82748,
  [SMALL_STATE(3189)] = 82807,
  [SMALL_STATE(3190)] = 82922,
  [SMALL_STATE(3191)] = 82979,
  [SMALL_STATE(3192)] = 83094,
  [SMALL_STATE(3193)] = 83209,
  [SMALL_STATE(3194)] = 83266,
  [SMALL_STATE(3195)] = 83327,
  [SMALL_STATE(3196)] = 83434,
  [SMALL_STATE(3197)] = 83549,
  [SMALL_STATE(3198)] = 83642,
  [SMALL_STATE(3199)] = 83707,
  [SMALL_STATE(3200)] = 83822,
  [SMALL_STATE(3201)] = 83937,
  [SMALL_STATE(3202)] = 84022,
  [SMALL_STATE(3203)] = 84105,
  [SMALL_STATE(3204)] = 84224,
  [SMALL_STATE(3205)] = 84281,
  [SMALL_STATE(3206)] = 84338,
  [SMALL_STATE(3207)] = 84401,
  [SMALL_STATE(3208)] = 84502,
  [SMALL_STATE(3209)] = 84601,
  [SMALL_STATE(3210)] = 84720,
  [SMALL_STATE(3211)] = 84817,
  [SMALL_STATE(3212)] = 84936,
  [SMALL_STATE(3213)] = 85021,
  [SMALL_STATE(3214)] = 85126,
  [SMALL_STATE(3215)] = 85229,
  [SMALL_STATE(3216)] = 85308,
  [SMALL_STATE(3217)] = 85397,
  [SMALL_STATE(3218)] = 85512,
  [SMALL_STATE(3219)] = 85627,
  [SMALL_STATE(3220)] = 85684,
  [SMALL_STATE(3221)] = 85741,
  [SMALL_STATE(3222)] = 85798,
  [SMALL_STATE(3223)] = 85855,
  [SMALL_STATE(3224)] = 85974,
  [SMALL_STATE(3225)] = 86037,
  [SMALL_STATE(3226)] = 86098,
  [SMALL_STATE(3227)] = 86217,
  [SMALL_STATE(3228)] = 86334,
  [SMALL_STATE(3229)] = 86391,
  [SMALL_STATE(3230)] = 86448,
  [SMALL_STATE(3231)] = 86567,
  [SMALL_STATE(3232)] = 86624,
  [SMALL_STATE(3233)] = 86683,
  [SMALL_STATE(3234)] = 86802,
  [SMALL_STATE(3235)] = 86859,
  [SMALL_STATE(3236)] = 86978,
  [SMALL_STATE(3237)] = 87035,
  [SMALL_STATE(3238)] = 87092,
  [SMALL_STATE(3239)] = 87149,
  [SMALL_STATE(3240)] = 87218,
  [SMALL_STATE(3241)] = 87275,
  [SMALL_STATE(3242)] = 87390,
  [SMALL_STATE(3243)] = 87447,
  [SMALL_STATE(3244)] = 87512,
  [SMALL_STATE(3245)] = 87627,
  [SMALL_STATE(3246)] = 87684,
  [SMALL_STATE(3247)] = 87741,
  [SMALL_STATE(3248)] = 87802,
  [SMALL_STATE(3249)] = 87917,
  [SMALL_STATE(3250)] = 87974,
  [SMALL_STATE(3251)] = 88035,
  [SMALL_STATE(3252)] = 88150,
  [SMALL_STATE(3253)] = 88207,
  [SMALL_STATE(3254)] = 88266,
  [SMALL_STATE(3255)] = 88323,
  [SMALL_STATE(3256)] = 88380,
  [SMALL_STATE(3257)] = 88499,
  [SMALL_STATE(3258)] = 88618,
  [SMALL_STATE(3259)] = 88737,
  [SMALL_STATE(3260)] = 88856,
  [SMALL_STATE(3261)] = 88931,
  [SMALL_STATE(3262)] = 89050,
  [SMALL_STATE(3263)] = 89169,
  [SMALL_STATE(3264)] = 89284,
  [SMALL_STATE(3265)] = 89367,
  [SMALL_STATE(3266)] = 89444,
  [SMALL_STATE(3267)] = 89501,
  [SMALL_STATE(3268)] = 89558,
  [SMALL_STATE(3269)] = 89677,
  [SMALL_STATE(3270)] = 89796,
  [SMALL_STATE(3271)] = 89913,
  [SMALL_STATE(3272)] = 89970,
  [SMALL_STATE(3273)] = 90037,
  [SMALL_STATE(3274)] = 90094,
  [SMALL_STATE(3275)] = 90151,
  [SMALL_STATE(3276)] = 90208,
  [SMALL_STATE(3277)] = 90265,
  [SMALL_STATE(3278)] = 90322,
  [SMALL_STATE(3279)] = 90439,
  [SMALL_STATE(3280)] = 90558,
  [SMALL_STATE(3281)] = 90677,
  [SMALL_STATE(3282)] = 90740,
  [SMALL_STATE(3283)] = 90859,
  [SMALL_STATE(3284)] = 90974,
  [SMALL_STATE(3285)] = 91039,
  [SMALL_STATE(3286)] = 91096,
  [SMALL_STATE(3287)] = 91213,
  [SMALL_STATE(3288)] = 91330,
  [SMALL_STATE(3289)] = 91387,
  [SMALL_STATE(3290)] = 91452,
  [SMALL_STATE(3291)] = 91571,
  [SMALL_STATE(3292)] = 91686,
  [SMALL_STATE(3293)] = 91749,
  [SMALL_STATE(3294)] = 91868,
  [SMALL_STATE(3295)] = 91985,
  [SMALL_STATE(3296)] = 92104,
  [SMALL_STATE(3297)] = 92223,
  [SMALL_STATE(3298)] = 92284,
  [SMALL_STATE(3299)] = 92341,
  [SMALL_STATE(3300)] = 92398,
  [SMALL_STATE(3301)] = 92459,
  [SMALL_STATE(3302)] = 92516,
  [SMALL_STATE(3303)] = 92631,
  [SMALL_STATE(3304)] = 92746,
  [SMALL_STATE(3305)] = 92813,
  [SMALL_STATE(3306)] = 92871,
  [SMALL_STATE(3307)] = 92933,
  [SMALL_STATE(3308)] = 93001,
  [SMALL_STATE(3309)] = 93057,
  [SMALL_STATE(3310)] = 93171,
  [SMALL_STATE(3311)] = 93227,
  [SMALL_STATE(3312)] = 93283,
  [SMALL_STATE(3313)] = 93339,
  [SMALL_STATE(3314)] = 93395,
  [SMALL_STATE(3315)] = 93511,
  [SMALL_STATE(3316)] = 93569,
  [SMALL_STATE(3317)] = 93625,
  [SMALL_STATE(3318)] = 93683,
  [SMALL_STATE(3319)] = 93741,
  [SMALL_STATE(3320)] = 93803,
  [SMALL_STATE(3321)] = 93861,
  [SMALL_STATE(3322)] = 93919,
  [SMALL_STATE(3323)] = 93975,
  [SMALL_STATE(3324)] = 94091,
  [SMALL_STATE(3325)] = 94205,
  [SMALL_STATE(3326)] = 94265,
  [SMALL_STATE(3327)] = 94323,
  [SMALL_STATE(3328)] = 94385,
  [SMALL_STATE(3329)] = 94453,
  [SMALL_STATE(3330)] = 94521,
  [SMALL_STATE(3331)] = 94593,
  [SMALL_STATE(3332)] = 94667,
  [SMALL_STATE(3333)] = 94729,
  [SMALL_STATE(3334)] = 94787,
  [SMALL_STATE(3335)] = 94845,
  [SMALL_STATE(3336)] = 94899,
  [SMALL_STATE(3337)] = 94955,
  [SMALL_STATE(3338)] = 95013,
  [SMALL_STATE(3339)] = 95127,
  [SMALL_STATE(3340)] = 95241,
  [SMALL_STATE(3341)] = 95297,
  [SMALL_STATE(3342)] = 95353,
  [SMALL_STATE(3343)] = 95415,
  [SMALL_STATE(3344)] = 95483,
  [SMALL_STATE(3345)] = 95539,
  [SMALL_STATE(3346)] = 95595,
  [SMALL_STATE(3347)] = 95709,
  [SMALL_STATE(3348)] = 95823,
  [SMALL_STATE(3349)] = 95879,
  [SMALL_STATE(3350)] = 95955,
  [SMALL_STATE(3351)] = 96013,
  [SMALL_STATE(3352)] = 96069,
  [SMALL_STATE(3353)] = 96157,
  [SMALL_STATE(3354)] = 96227,
  [SMALL_STATE(3355)] = 96283,
  [SMALL_STATE(3356)] = 96365,
  [SMALL_STATE(3357)] = 96437,
  [SMALL_STATE(3358)] = 96493,
  [SMALL_STATE(3359)] = 96607,
  [SMALL_STATE(3360)] = 96663,
  [SMALL_STATE(3361)] = 96737,
  [SMALL_STATE(3362)] = 96793,
  [SMALL_STATE(3363)] = 96867,
  [SMALL_STATE(3364)] = 96921,
  [SMALL_STATE(3365)] = 96981,
  [SMALL_STATE(3366)] = 97059,
  [SMALL_STATE(3367)] = 97113,
  [SMALL_STATE(3368)] = 97227,
  [SMALL_STATE(3369)] = 97287,
  [SMALL_STATE(3370)] = 97403,
  [SMALL_STATE(3371)] = 97517,
  [SMALL_STATE(3372)] = 97579,
  [SMALL_STATE(3373)] = 97641,
  [SMALL_STATE(3374)] = 97697,
  [SMALL_STATE(3375)] = 97753,
  [SMALL_STATE(3376)] = 97809,
  [SMALL_STATE(3377)] = 97923,
  [SMALL_STATE(3378)] = 97979,
  [SMALL_STATE(3379)] = 98093,
  [SMALL_STATE(3380)] = 98149,
  [SMALL_STATE(3381)] = 98263,
  [SMALL_STATE(3382)] = 98319,
  [SMALL_STATE(3383)] = 98435,
  [SMALL_STATE(3384)] = 98491,
  [SMALL_STATE(3385)] = 98605,
  [SMALL_STATE(3386)] = 98707,
  [SMALL_STATE(3387)] = 98811,
  [SMALL_STATE(3388)] = 98925,
  [SMALL_STATE(3389)] = 98981,
  [SMALL_STATE(3390)] = 99037,
  [SMALL_STATE(3391)] = 99121,
  [SMALL_STATE(3392)] = 99185,
  [SMALL_STATE(3393)] = 99241,
  [SMALL_STATE(3394)] = 99297,
  [SMALL_STATE(3395)] = 99353,
  [SMALL_STATE(3396)] = 99409,
  [SMALL_STATE(3397)] = 99463,
  [SMALL_STATE(3398)] = 99559,
  [SMALL_STATE(3399)] = 99615,
  [SMALL_STATE(3400)] = 99671,
  [SMALL_STATE(3401)] = 99727,
  [SMALL_STATE(3402)] = 99783,
  [SMALL_STATE(3403)] = 99883,
  [SMALL_STATE(3404)] = 99965,
  [SMALL_STATE(3405)] = 100049,
  [SMALL_STATE(3406)] = 100105,
  [SMALL_STATE(3407)] = 100161,
  [SMALL_STATE(3408)] = 100219,
  [SMALL_STATE(3409)] = 100277,
  [SMALL_STATE(3410)] = 100369,
  [SMALL_STATE(3411)] = 100485,
  [SMALL_STATE(3412)] = 100591,
  [SMALL_STATE(3413)] = 100661,
  [SMALL_STATE(3414)] = 100775,
  [SMALL_STATE(3415)] = 100831,
  [SMALL_STATE(3416)] = 100899,
  [SMALL_STATE(3417)] = 100967,
  [SMALL_STATE(3418)] = 101037,
  [SMALL_STATE(3419)] = 101099,
  [SMALL_STATE(3420)] = 101155,
  [SMALL_STATE(3421)] = 101211,
  [SMALL_STATE(3422)] = 101267,
  [SMALL_STATE(3423)] = 101323,
  [SMALL_STATE(3424)] = 101437,
  [SMALL_STATE(3425)] = 101493,
  [SMALL_STATE(3426)] = 101607,
  [SMALL_STATE(3427)] = 101723,
  [SMALL_STATE(3428)] = 101787,
  [SMALL_STATE(3429)] = 101855,
  [SMALL_STATE(3430)] = 101923,
  [SMALL_STATE(3431)] = 101979,
  [SMALL_STATE(3432)] = 102035,
  [SMALL_STATE(3433)] = 102097,
  [SMALL_STATE(3434)] = 102153,
  [SMALL_STATE(3435)] = 102211,
  [SMALL_STATE(3436)] = 102267,
  [SMALL_STATE(3437)] = 102323,
  [SMALL_STATE(3438)] = 102379,
  [SMALL_STATE(3439)] = 102441,
  [SMALL_STATE(3440)] = 102497,
  [SMALL_STATE(3441)] = 102561,
  [SMALL_STATE(3442)] = 102619,
  [SMALL_STATE(3443)] = 102683,
  [SMALL_STATE(3444)] = 102739,
  [SMALL_STATE(3445)] = 102853,
  [SMALL_STATE(3446)] = 102909,
  [SMALL_STATE(3447)] = 102965,
  [SMALL_STATE(3448)] = 103021,
  [SMALL_STATE(3449)] = 103083,
  [SMALL_STATE(3450)] = 103139,
  [SMALL_STATE(3451)] = 103197,
  [SMALL_STATE(3452)] = 103259,
  [SMALL_STATE(3453)] = 103321,
  [SMALL_STATE(3454)] = 103377,
  [SMALL_STATE(3455)] = 103433,
  [SMALL_STATE(3456)] = 103531,
  [SMALL_STATE(3457)] = 103587,
  [SMALL_STATE(3458)] = 103643,
  [SMALL_STATE(3459)] = 103699,
  [SMALL_STATE(3460)] = 103757,
  [SMALL_STATE(3461)] = 103871,
  [SMALL_STATE(3462)] = 103925,
  [SMALL_STATE(3463)] = 103997,
  [SMALL_STATE(3464)] = 104111,
  [SMALL_STATE(3465)] = 104167,
  [SMALL_STATE(3466)] = 104229,
  [SMALL_STATE(3467)] = 104287,
  [SMALL_STATE(3468)] = 104343,
  [SMALL_STATE(3469)] = 104397,
  [SMALL_STATE(3470)] = 104453,
  [SMALL_STATE(3471)] = 104511,
  [SMALL_STATE(3472)] = 104567,
  [SMALL_STATE(3473)] = 104621,
  [SMALL_STATE(3474)] = 104679,
  [SMALL_STATE(3475)] = 104739,
  [SMALL_STATE(3476)] = 104795,
  [SMALL_STATE(3477)] = 104851,
  [SMALL_STATE(3478)] = 104965,
  [SMALL_STATE(3479)] = 105021,
  [SMALL_STATE(3480)] = 105083,
  [SMALL_STATE(3481)] = 105139,
  [SMALL_STATE(3482)] = 105195,
  [SMALL_STATE(3483)] = 105251,
  [SMALL_STATE(3484)] = 105307,
  [SMALL_STATE(3485)] = 105363,
  [SMALL_STATE(3486)] = 105419,
  [SMALL_STATE(3487)] = 105475,
  [SMALL_STATE(3488)] = 105531,
  [SMALL_STATE(3489)] = 105587,
  [SMALL_STATE(3490)] = 105643,
  [SMALL_STATE(3491)] = 105705,
  [SMALL_STATE(3492)] = 105761,
  [SMALL_STATE(3493)] = 105817,
  [SMALL_STATE(3494)] = 105931,
  [SMALL_STATE(3495)] = 105987,
  [SMALL_STATE(3496)] = 106043,
  [SMALL_STATE(3497)] = 106159,
  [SMALL_STATE(3498)] = 106275,
  [SMALL_STATE(3499)] = 106343,
  [SMALL_STATE(3500)] = 106399,
  [SMALL_STATE(3501)] = 106463,
  [SMALL_STATE(3502)] = 106525,
  [SMALL_STATE(3503)] = 106597,
  [SMALL_STATE(3504)] = 106653,
  [SMALL_STATE(3505)] = 106709,
  [SMALL_STATE(3506)] = 106777,
  [SMALL_STATE(3507)] = 106891,
  [SMALL_STATE(3508)] = 107005,
  [SMALL_STATE(3509)] = 107119,
  [SMALL_STATE(3510)] = 107233,
  [SMALL_STATE(3511)] = 107307,
  [SMALL_STATE(3512)] = 107368,
  [SMALL_STATE(3513)] = 107435,
  [SMALL_STATE(3514)] = 107492,
  [SMALL_STATE(3515)] = 107559,
  [SMALL_STATE(3516)] = 107618,
  [SMALL_STATE(3517)] = 107685,
  [SMALL_STATE(3518)] = 107742,
  [SMALL_STATE(3519)] = 107799,
  [SMALL_STATE(3520)] = 107858,
  [SMALL_STATE(3521)] = 107917,
  [SMALL_STATE(3522)] = 107974,
  [SMALL_STATE(3523)] = 108087,
  [SMALL_STATE(3524)] = 108146,
  [SMALL_STATE(3525)] = 108201,
  [SMALL_STATE(3526)] = 108256,
  [SMALL_STATE(3527)] = 108315,
  [SMALL_STATE(3528)] = 108378,
  [SMALL_STATE(3529)] = 108437,
  [SMALL_STATE(3530)] = 108492,
  [SMALL_STATE(3531)] = 108605,
  [SMALL_STATE(3532)] = 108672,
  [SMALL_STATE(3533)] = 108731,
  [SMALL_STATE(3534)] = 108786,
  [SMALL_STATE(3535)] = 108845,
  [SMALL_STATE(3536)] = 108900,
  [SMALL_STATE(3537)] = 108955,
  [SMALL_STATE(3538)] = 109012,
  [SMALL_STATE(3539)] = 109067,
  [SMALL_STATE(3540)] = 109126,
  [SMALL_STATE(3541)] = 109185,
  [SMALL_STATE(3542)] = 109244,
  [SMALL_STATE(3543)] = 109303,
  [SMALL_STATE(3544)] = 109362,
  [SMALL_STATE(3545)] = 109421,
  [SMALL_STATE(3546)] = 109480,
  [SMALL_STATE(3547)] = 109539,
  [SMALL_STATE(3548)] = 109594,
  [SMALL_STATE(3549)] = 109661,
  [SMALL_STATE(3550)] = 109720,
  [SMALL_STATE(3551)] = 109779,
  [SMALL_STATE(3552)] = 109834,
  [SMALL_STATE(3553)] = 109891,
  [SMALL_STATE(3554)] = 109958,
  [SMALL_STATE(3555)] = 110017,
  [SMALL_STATE(3556)] = 110072,
  [SMALL_STATE(3557)] = 110129,
  [SMALL_STATE(3558)] = 110196,
  [SMALL_STATE(3559)] = 110309,
  [SMALL_STATE(3560)] = 110364,
  [SMALL_STATE(3561)] = 110419,
  [SMALL_STATE(3562)] = 110486,
  [SMALL_STATE(3563)] = 110567,
  [SMALL_STATE(3564)] = 110640,
  [SMALL_STATE(3565)] = 110753,
  [SMALL_STATE(3566)] = 110866,
  [SMALL_STATE(3567)] = 110947,
  [SMALL_STATE(3568)] = 111022,
  [SMALL_STATE(3569)] = 111135,
  [SMALL_STATE(3570)] = 111190,
  [SMALL_STATE(3571)] = 111245,
  [SMALL_STATE(3572)] = 111304,
  [SMALL_STATE(3573)] = 111387,
  [SMALL_STATE(3574)] = 111448,
  [SMALL_STATE(3575)] = 111503,
  [SMALL_STATE(3576)] = 111558,
  [SMALL_STATE(3577)] = 111613,
  [SMALL_STATE(3578)] = 111668,
  [SMALL_STATE(3579)] = 111723,
  [SMALL_STATE(3580)] = 111790,
  [SMALL_STATE(3581)] = 111845,
  [SMALL_STATE(3582)] = 111958,
  [SMALL_STATE(3583)] = 112021,
  [SMALL_STATE(3584)] = 112088,
  [SMALL_STATE(3585)] = 112161,
  [SMALL_STATE(3586)] = 112216,
  [SMALL_STATE(3587)] = 112329,
  [SMALL_STATE(3588)] = 112442,
  [SMALL_STATE(3589)] = 112497,
  [SMALL_STATE(3590)] = 112552,
  [SMALL_STATE(3591)] = 112607,
  [SMALL_STATE(3592)] = 112662,
  [SMALL_STATE(3593)] = 112721,
  [SMALL_STATE(3594)] = 112788,
  [SMALL_STATE(3595)] = 112851,
  [SMALL_STATE(3596)] = 112918,
  [SMALL_STATE(3597)] = 112977,
  [SMALL_STATE(3598)] = 113032,
  [SMALL_STATE(3599)] = 113091,
  [SMALL_STATE(3600)] = 113166,
  [SMALL_STATE(3601)] = 113225,
  [SMALL_STATE(3602)] = 113280,
  [SMALL_STATE(3603)] = 113335,
  [SMALL_STATE(3604)] = 113396,
  [SMALL_STATE(3605)] = 113451,
  [SMALL_STATE(3606)] = 113524,
  [SMALL_STATE(3607)] = 113587,
  [SMALL_STATE(3608)] = 113654,
  [SMALL_STATE(3609)] = 113713,
  [SMALL_STATE(3610)] = 113768,
  [SMALL_STATE(3611)] = 113835,
  [SMALL_STATE(3612)] = 113902,
  [SMALL_STATE(3613)] = 113957,
  [SMALL_STATE(3614)] = 114012,
  [SMALL_STATE(3615)] = 114067,
  [SMALL_STATE(3616)] = 114142,
  [SMALL_STATE(3617)] = 114197,
  [SMALL_STATE(3618)] = 114254,
  [SMALL_STATE(3619)] = 114321,
  [SMALL_STATE(3620)] = 114434,
  [SMALL_STATE(3621)] = 114501,
  [SMALL_STATE(3622)] = 114564,
  [SMALL_STATE(3623)] = 114631,
  [SMALL_STATE(3624)] = 114736,
  [SMALL_STATE(3625)] = 114803,
  [SMALL_STATE(3626)] = 114866,
  [SMALL_STATE(3627)] = 114979,
  [SMALL_STATE(3628)] = 115046,
  [SMALL_STATE(3629)] = 115103,
  [SMALL_STATE(3630)] = 115170,
  [SMALL_STATE(3631)] = 115283,
  [SMALL_STATE(3632)] = 115366,
  [SMALL_STATE(3633)] = 115479,
  [SMALL_STATE(3634)] = 115592,
  [SMALL_STATE(3635)] = 115705,
  [SMALL_STATE(3636)] = 115762,
  [SMALL_STATE(3637)] = 115875,
  [SMALL_STATE(3638)] = 115988,
  [SMALL_STATE(3639)] = 116101,
  [SMALL_STATE(3640)] = 116166,
  [SMALL_STATE(3641)] = 116221,
  [SMALL_STATE(3642)] = 116334,
  [SMALL_STATE(3643)] = 116447,
  [SMALL_STATE(3644)] = 116560,
  [SMALL_STATE(3645)] = 116641,
  [SMALL_STATE(3646)] = 116754,
  [SMALL_STATE(3647)] = 116867,
  [SMALL_STATE(3648)] = 116980,
  [SMALL_STATE(3649)] = 117093,
  [SMALL_STATE(3650)] = 117206,
  [SMALL_STATE(3651)] = 117311,
  [SMALL_STATE(3652)] = 117402,
  [SMALL_STATE(3653)] = 117461,
  [SMALL_STATE(3654)] = 117528,
  [SMALL_STATE(3655)] = 117611,
  [SMALL_STATE(3656)] = 117692,
  [SMALL_STATE(3657)] = 117757,
  [SMALL_STATE(3658)] = 117856,
  [SMALL_STATE(3659)] = 117953,
  [SMALL_STATE(3660)] = 118048,
  [SMALL_STATE(3661)] = 118131,
  [SMALL_STATE(3662)] = 118234,
  [SMALL_STATE(3663)] = 118335,
  [SMALL_STATE(3664)] = 118412,
  [SMALL_STATE(3665)] = 118499,
  [SMALL_STATE(3666)] = 118612,
  [SMALL_STATE(3667)] = 118725,
  [SMALL_STATE(3668)] = 118792,
  [SMALL_STATE(3669)] = 118905,
  [SMALL_STATE(3670)] = 118996,
  [SMALL_STATE(3671)] = 119109,
  [SMALL_STATE(3672)] = 119172,
  [SMALL_STATE(3673)] = 119255,
  [SMALL_STATE(3674)] = 119322,
  [SMALL_STATE(3675)] = 119403,
  [SMALL_STATE(3676)] = 119470,
  [SMALL_STATE(3677)] = 119583,
  [SMALL_STATE(3678)] = 119682,
  [SMALL_STATE(3679)] = 119737,
  [SMALL_STATE(3680)] = 119798,
  [SMALL_STATE(3681)] = 119895,
  [SMALL_STATE(3682)] = 119950,
  [SMALL_STATE(3683)] = 120063,
  [SMALL_STATE(3684)] = 120158,
  [SMALL_STATE(3685)] = 120225,
  [SMALL_STATE(3686)] = 120282,
  [SMALL_STATE(3687)] = 120343,
  [SMALL_STATE(3688)] = 120400,
  [SMALL_STATE(3689)] = 120483,
  [SMALL_STATE(3690)] = 120586,
  [SMALL_STATE(3691)] = 120687,
  [SMALL_STATE(3692)] = 120764,
  [SMALL_STATE(3693)] = 120877,
  [SMALL_STATE(3694)] = 120990,
  [SMALL_STATE(3695)] = 121077,
  [SMALL_STATE(3696)] = 121190,
  [SMALL_STATE(3697)] = 121303,
  [SMALL_STATE(3698)] = 121370,
  [SMALL_STATE(3699)] = 121483,
  [SMALL_STATE(3700)] = 121596,
  [SMALL_STATE(3701)] = 121709,
  [SMALL_STATE(3702)] = 121822,
  [SMALL_STATE(3703)] = 121935,
  [SMALL_STATE(3704)] = 122048,
  [SMALL_STATE(3705)] = 122103,
  [SMALL_STATE(3706)] = 122216,
  [SMALL_STATE(3707)] = 122331,
  [SMALL_STATE(3708)] = 122444,
  [SMALL_STATE(3709)] = 122549,
  [SMALL_STATE(3710)] = 122662,
  [SMALL_STATE(3711)] = 122753,
  [SMALL_STATE(3712)] = 122808,
  [SMALL_STATE(3713)] = 122921,
  [SMALL_STATE(3714)] = 122984,
  [SMALL_STATE(3715)] = 123051,
  [SMALL_STATE(3716)] = 123164,
  [SMALL_STATE(3717)] = 123219,
  [SMALL_STATE(3718)] = 123332,
  [SMALL_STATE(3719)] = 123415,
  [SMALL_STATE(3720)] = 123496,
  [SMALL_STATE(3721)] = 123551,
  [SMALL_STATE(3722)] = 123650,
  [SMALL_STATE(3723)] = 123705,
  [SMALL_STATE(3724)] = 123760,
  [SMALL_STATE(3725)] = 123827,
  [SMALL_STATE(3726)] = 123884,
  [SMALL_STATE(3727)] = 123981,
  [SMALL_STATE(3728)] = 124076,
  [SMALL_STATE(3729)] = 124189,
  [SMALL_STATE(3730)] = 124250,
  [SMALL_STATE(3731)] = 124363,
  [SMALL_STATE(3732)] = 124428,
  [SMALL_STATE(3733)] = 124515,
  [SMALL_STATE(3734)] = 124570,
  [SMALL_STATE(3735)] = 124631,
  [SMALL_STATE(3736)] = 124692,
  [SMALL_STATE(3737)] = 124755,
  [SMALL_STATE(3738)] = 124838,
  [SMALL_STATE(3739)] = 124905,
  [SMALL_STATE(3740)] = 125018,
  [SMALL_STATE(3741)] = 125085,
  [SMALL_STATE(3742)] = 125188,
  [SMALL_STATE(3743)] = 125247,
  [SMALL_STATE(3744)] = 125312,
  [SMALL_STATE(3745)] = 125389,
  [SMALL_STATE(3746)] = 125502,
  [SMALL_STATE(3747)] = 125557,
  [SMALL_STATE(3748)] = 125612,
  [SMALL_STATE(3749)] = 125713,
  [SMALL_STATE(3750)] = 125768,
  [SMALL_STATE(3751)] = 125825,
  [SMALL_STATE(3752)] = 125880,
  [SMALL_STATE(3753)] = 125935,
  [SMALL_STATE(3754)] = 126048,
  [SMALL_STATE(3755)] = 126107,
  [SMALL_STATE(3756)] = 126168,
  [SMALL_STATE(3757)] = 126223,
  [SMALL_STATE(3758)] = 126278,
  [SMALL_STATE(3759)] = 126335,
  [SMALL_STATE(3760)] = 126394,
  [SMALL_STATE(3761)] = 126453,
  [SMALL_STATE(3762)] = 126508,
  [SMALL_STATE(3763)] = 126567,
  [SMALL_STATE(3764)] = 126635,
  [SMALL_STATE(3765)] = 126703,
  [SMALL_STATE(3766)] = 126775,
  [SMALL_STATE(3767)] = 126853,
  [SMALL_STATE(3768)] = 126921,
  [SMALL_STATE(3769)] = 126989,
  [SMALL_STATE(3770)] = 127099,
  [SMALL_STATE(3771)] = 127209,
  [SMALL_STATE(3772)] = 127319,
  [SMALL_STATE(3773)] = 127429,
  [SMALL_STATE(3774)] = 127539,
  [SMALL_STATE(3775)] = 127607,
  [SMALL_STATE(3776)] = 127681,
  [SMALL_STATE(3777)] = 127749,
  [SMALL_STATE(3778)] = 127809,
  [SMALL_STATE(3779)] = 127919,
  [SMALL_STATE(3780)] = 128029,
  [SMALL_STATE(3781)] = 128097,
  [SMALL_STATE(3782)] = 128165,
  [SMALL_STATE(3783)] = 128237,
  [SMALL_STATE(3784)] = 128305,
  [SMALL_STATE(3785)] = 128365,
  [SMALL_STATE(3786)] = 128455,
  [SMALL_STATE(3787)] = 128523,
  [SMALL_STATE(3788)] = 128583,
  [SMALL_STATE(3789)] = 128639,
  [SMALL_STATE(3790)] = 128707,
  [SMALL_STATE(3791)] = 128767,
  [SMALL_STATE(3792)] = 128877,
  [SMALL_STATE(3793)] = 128945,
  [SMALL_STATE(3794)] = 129013,
  [SMALL_STATE(3795)] = 129081,
  [SMALL_STATE(3796)] = 129149,
  [SMALL_STATE(3797)] = 129209,
  [SMALL_STATE(3798)] = 129277,
  [SMALL_STATE(3799)] = 129345,
  [SMALL_STATE(3800)] = 129413,
  [SMALL_STATE(3801)] = 129481,
  [SMALL_STATE(3802)] = 129549,
  [SMALL_STATE(3803)] = 129617,
  [SMALL_STATE(3804)] = 129675,
  [SMALL_STATE(3805)] = 129757,
  [SMALL_STATE(3806)] = 129837,
  [SMALL_STATE(3807)] = 129935,
  [SMALL_STATE(3808)] = 130031,
  [SMALL_STATE(3809)] = 130125,
  [SMALL_STATE(3810)] = 130207,
  [SMALL_STATE(3811)] = 130309,
  [SMALL_STATE(3812)] = 130409,
  [SMALL_STATE(3813)] = 130465,
  [SMALL_STATE(3814)] = 130541,
  [SMALL_STATE(3815)] = 130603,
  [SMALL_STATE(3816)] = 130677,
  [SMALL_STATE(3817)] = 130733,
  [SMALL_STATE(3818)] = 130819,
  [SMALL_STATE(3819)] = 130929,
  [SMALL_STATE(3820)] = 131039,
  [SMALL_STATE(3821)] = 131107,
  [SMALL_STATE(3822)] = 131175,
  [SMALL_STATE(3823)] = 131243,
  [SMALL_STATE(3824)] = 131317,
  [SMALL_STATE(3825)] = 131385,
  [SMALL_STATE(3826)] = 131453,
  [SMALL_STATE(3827)] = 131515,
  [SMALL_STATE(3828)] = 131583,
  [SMALL_STATE(3829)] = 131645,
  [SMALL_STATE(3830)] = 131713,
  [SMALL_STATE(3831)] = 131775,
  [SMALL_STATE(3832)] = 131835,
  [SMALL_STATE(3833)] = 131913,
  [SMALL_STATE(3834)] = 131981,
  [SMALL_STATE(3835)] = 132043,
  [SMALL_STATE(3836)] = 132147,
  [SMALL_STATE(3837)] = 132203,
  [SMALL_STATE(3838)] = 132277,
  [SMALL_STATE(3839)] = 132343,
  [SMALL_STATE(3840)] = 132411,
  [SMALL_STATE(3841)] = 132473,
  [SMALL_STATE(3842)] = 132533,
  [SMALL_STATE(3843)] = 132601,
  [SMALL_STATE(3844)] = 132711,
  [SMALL_STATE(3845)] = 132791,
  [SMALL_STATE(3846)] = 132859,
  [SMALL_STATE(3847)] = 132927,
  [SMALL_STATE(3848)] = 132995,
  [SMALL_STATE(3849)] = 133105,
  [SMALL_STATE(3850)] = 133173,
  [SMALL_STATE(3851)] = 133241,
  [SMALL_STATE(3852)] = 133299,
  [SMALL_STATE(3853)] = 133361,
  [SMALL_STATE(3854)] = 133433,
  [SMALL_STATE(3855)] = 133485,
  [SMALL_STATE(3856)] = 133563,
  [SMALL_STATE(3857)] = 133673,
  [SMALL_STATE(3858)] = 133729,
  [SMALL_STATE(3859)] = 133839,
  [SMALL_STATE(3860)] = 133907,
  [SMALL_STATE(3861)] = 133979,
  [SMALL_STATE(3862)] = 134089,
  [SMALL_STATE(3863)] = 134157,
  [SMALL_STATE(3864)] = 134267,
  [SMALL_STATE(3865)] = 134327,
  [SMALL_STATE(3866)] = 134401,
  [SMALL_STATE(3867)] = 134469,
  [SMALL_STATE(3868)] = 134537,
  [SMALL_STATE(3869)] = 134592,
  [SMALL_STATE(3870)] = 134663,
  [SMALL_STATE(3871)] = 134734,
  [SMALL_STATE(3872)] = 134791,
  [SMALL_STATE(3873)] = 134862,
  [SMALL_STATE(3874)] = 134917,
  [SMALL_STATE(3875)] = 134972,
  [SMALL_STATE(3876)] = 135025,
  [SMALL_STATE(3877)] = 135080,
  [SMALL_STATE(3878)] = 135151,
  [SMALL_STATE(3879)] = 135206,
  [SMALL_STATE(3880)] = 135261,
  [SMALL_STATE(3881)] = 135316,
  [SMALL_STATE(3882)] = 135371,
  [SMALL_STATE(3883)] = 135424,
  [SMALL_STATE(3884)] = 135483,
  [SMALL_STATE(3885)] = 135542,
  [SMALL_STATE(3886)] = 135609,
  [SMALL_STATE(3887)] = 135664,
  [SMALL_STATE(3888)] = 135723,
  [SMALL_STATE(3889)] = 135794,
  [SMALL_STATE(3890)] = 135851,
  [SMALL_STATE(3891)] = 135922,
  [SMALL_STATE(3892)] = 135981,
  [SMALL_STATE(3893)] = 136052,
  [SMALL_STATE(3894)] = 136111,
  [SMALL_STATE(3895)] = 136182,
  [SMALL_STATE(3896)] = 136253,
  [SMALL_STATE(3897)] = 136312,
  [SMALL_STATE(3898)] = 136383,
  [SMALL_STATE(3899)] = 136438,
  [SMALL_STATE(3900)] = 136509,
  [SMALL_STATE(3901)] = 136562,
  [SMALL_STATE(3902)] = 136629,
  [SMALL_STATE(3903)] = 136690,
  [SMALL_STATE(3904)] = 136761,
  [SMALL_STATE(3905)] = 136832,
  [SMALL_STATE(3906)] = 136897,
  [SMALL_STATE(3907)] = 136968,
  [SMALL_STATE(3908)] = 137039,
  [SMALL_STATE(3909)] = 137094,
  [SMALL_STATE(3910)] = 137165,
  [SMALL_STATE(3911)] = 137219,
  [SMALL_STATE(3912)] = 137277,
  [SMALL_STATE(3913)] = 137327,
  [SMALL_STATE(3914)] = 137381,
  [SMALL_STATE(3915)] = 137443,
  [SMALL_STATE(3916)] = 137505,
  [SMALL_STATE(3917)] = 137567,
  [SMALL_STATE(3918)] = 137617,
  [SMALL_STATE(3919)] = 137679,
  [SMALL_STATE(3920)] = 137741,
  [SMALL_STATE(3921)] = 137803,
  [SMALL_STATE(3922)] = 137865,
  [SMALL_STATE(3923)] = 137919,
  [SMALL_STATE(3924)] = 137983,
  [SMALL_STATE(3925)] = 138045,
  [SMALL_STATE(3926)] = 138107,
  [SMALL_STATE(3927)] = 138169,
  [SMALL_STATE(3928)] = 138233,
  [SMALL_STATE(3929)] = 138291,
  [SMALL_STATE(3930)] = 138353,
  [SMALL_STATE(3931)] = 138403,
  [SMALL_STATE(3932)] = 138465,
  [SMALL_STATE(3933)] = 138527,
  [SMALL_STATE(3934)] = 138591,
  [SMALL_STATE(3935)] = 138653,
  [SMALL_STATE(3936)] = 138717,
  [SMALL_STATE(3937)] = 138767,
  [SMALL_STATE(3938)] = 138829,
  [SMALL_STATE(3939)] = 138879,
  [SMALL_STATE(3940)] = 138941,
  [SMALL_STATE(3941)] = 139003,
  [SMALL_STATE(3942)] = 139065,
  [SMALL_STATE(3943)] = 139117,
  [SMALL_STATE(3944)] = 139179,
  [SMALL_STATE(3945)] = 139231,
  [SMALL_STATE(3946)] = 139293,
  [SMALL_STATE(3947)] = 139343,
  [SMALL_STATE(3948)] = 139405,
  [SMALL_STATE(3949)] = 139469,
  [SMALL_STATE(3950)] = 139531,
  [SMALL_STATE(3951)] = 139593,
  [SMALL_STATE(3952)] = 139655,
  [SMALL_STATE(3953)] = 139707,
  [SMALL_STATE(3954)] = 139769,
  [SMALL_STATE(3955)] = 139821,
  [SMALL_STATE(3956)] = 139883,
  [SMALL_STATE(3957)] = 139933,
  [SMALL_STATE(3958)] = 139995,
  [SMALL_STATE(3959)] = 140047,
  [SMALL_STATE(3960)] = 140109,
  [SMALL_STATE(3961)] = 140171,
  [SMALL_STATE(3962)] = 140233,
  [SMALL_STATE(3963)] = 140289,
  [SMALL_STATE(3964)] = 140343,
  [SMALL_STATE(3965)] = 140393,
  [SMALL_STATE(3966)] = 140455,
  [SMALL_STATE(3967)] = 140519,
  [SMALL_STATE(3968)] = 140581,
  [SMALL_STATE(3969)] = 140637,
  [SMALL_STATE(3970)] = 140701,
  [SMALL_STATE(3971)] = 140763,
  [SMALL_STATE(3972)] = 140821,
  [SMALL_STATE(3973)] = 140879,
  [SMALL_STATE(3974)] = 140943,
  [SMALL_STATE(3975)] = 141001,
  [SMALL_STATE(3976)] = 141055,
  [SMALL_STATE(3977)] = 141107,
  [SMALL_STATE(3978)] = 141169,
  [SMALL_STATE(3979)] = 141231,
  [SMALL_STATE(3980)] = 141295,
  [SMALL_STATE(3981)] = 141359,
  [SMALL_STATE(3982)] = 141421,
  [SMALL_STATE(3983)] = 141485,
  [SMALL_STATE(3984)] = 141549,
  [SMALL_STATE(3985)] = 141611,
  [SMALL_STATE(3986)] = 141675,
  [SMALL_STATE(3987)] = 141729,
  [SMALL_STATE(3988)] = 141791,
  [SMALL_STATE(3989)] = 141853,
  [SMALL_STATE(3990)] = 141917,
  [SMALL_STATE(3991)] = 141979,
  [SMALL_STATE(3992)] = 142033,
  [SMALL_STATE(3993)] = 142083,
  [SMALL_STATE(3994)] = 142145,
  [SMALL_STATE(3995)] = 142195,
  [SMALL_STATE(3996)] = 142246,
  [SMALL_STATE(3997)] = 142297,
  [SMALL_STATE(3998)] = 142350,
  [SMALL_STATE(3999)] = 142401,
  [SMALL_STATE(4000)] = 142452,
  [SMALL_STATE(4001)] = 142505,
  [SMALL_STATE(4002)] = 142556,
  [SMALL_STATE(4003)] = 142609,
  [SMALL_STATE(4004)] = 142658,
  [SMALL_STATE(4005)] = 142711,
  [SMALL_STATE(4006)] = 142760,
  [SMALL_STATE(4007)] = 142809,
  [SMALL_STATE(4008)] = 142860,
  [SMALL_STATE(4009)] = 142911,
  [SMALL_STATE(4010)] = 142962,
  [SMALL_STATE(4011)] = 143013,
  [SMALL_STATE(4012)] = 143066,
  [SMALL_STATE(4013)] = 143117,
  [SMALL_STATE(4014)] = 143166,
  [SMALL_STATE(4015)] = 143215,
  [SMALL_STATE(4016)] = 143268,
  [SMALL_STATE(4017)] = 143319,
  [SMALL_STATE(4018)] = 143368,
  [SMALL_STATE(4019)] = 143417,
  [SMALL_STATE(4020)] = 143468,
  [SMALL_STATE(4021)] = 143519,
  [SMALL_STATE(4022)] = 143572,
  [SMALL_STATE(4023)] = 143621,
  [SMALL_STATE(4024)] = 143670,
  [SMALL_STATE(4025)] = 143723,
  [SMALL_STATE(4026)] = 143774,
  [SMALL_STATE(4027)] = 143827,
  [SMALL_STATE(4028)] = 143880,
  [SMALL_STATE(4029)] = 143933,
  [SMALL_STATE(4030)] = 143984,
  [SMALL_STATE(4031)] = 144035,
  [SMALL_STATE(4032)] = 144086,
  [SMALL_STATE(4033)] = 144137,
  [SMALL_STATE(4034)] = 144188,
  [SMALL_STATE(4035)] = 144241,
  [SMALL_STATE(4036)] = 144294,
  [SMALL_STATE(4037)] = 144345,
  [SMALL_STATE(4038)] = 144396,
  [SMALL_STATE(4039)] = 144447,
  [SMALL_STATE(4040)] = 144496,
  [SMALL_STATE(4041)] = 144549,
  [SMALL_STATE(4042)] = 144600,
  [SMALL_STATE(4043)] = 144649,
  [SMALL_STATE(4044)] = 144700,
  [SMALL_STATE(4045)] = 144748,
  [SMALL_STATE(4046)] = 144796,
  [SMALL_STATE(4047)] = 144846,
  [SMALL_STATE(4048)] = 144896,
  [SMALL_STATE(4049)] = 144944,
  [SMALL_STATE(4050)] = 144992,
  [SMALL_STATE(4051)] = 145040,
  [SMALL_STATE(4052)] = 145088,
  [SMALL_STATE(4053)] = 145136,
  [SMALL_STATE(4054)] = 145184,
  [SMALL_STATE(4055)] = 145232,
  [SMALL_STATE(4056)] = 145282,
  [SMALL_STATE(4057)] = 145330,
  [SMALL_STATE(4058)] = 145378,
  [SMALL_STATE(4059)] = 145426,
  [SMALL_STATE(4060)] = 145476,
  [SMALL_STATE(4061)] = 145524,
  [SMALL_STATE(4062)] = 145572,
  [SMALL_STATE(4063)] = 145620,
  [SMALL_STATE(4064)] = 145668,
  [SMALL_STATE(4065)] = 145716,
  [SMALL_STATE(4066)] = 145764,
  [SMALL_STATE(4067)] = 145812,
  [SMALL_STATE(4068)] = 145860,
  [SMALL_STATE(4069)] = 145908,
  [SMALL_STATE(4070)] = 145956,
  [SMALL_STATE(4071)] = 146004,
  [SMALL_STATE(4072)] = 146052,
  [SMALL_STATE(4073)] = 146100,
  [SMALL_STATE(4074)] = 146150,
  [SMALL_STATE(4075)] = 146198,
  [SMALL_STATE(4076)] = 146246,
  [SMALL_STATE(4077)] = 146294,
  [SMALL_STATE(4078)] = 146342,
  [SMALL_STATE(4079)] = 146390,
  [SMALL_STATE(4080)] = 146438,
  [SMALL_STATE(4081)] = 146486,
  [SMALL_STATE(4082)] = 146534,
  [SMALL_STATE(4083)] = 146582,
  [SMALL_STATE(4084)] = 146630,
  [SMALL_STATE(4085)] = 146678,
  [SMALL_STATE(4086)] = 146726,
  [SMALL_STATE(4087)] = 146774,
  [SMALL_STATE(4088)] = 146822,
  [SMALL_STATE(4089)] = 146870,
  [SMALL_STATE(4090)] = 146918,
  [SMALL_STATE(4091)] = 146966,
  [SMALL_STATE(4092)] = 147014,
  [SMALL_STATE(4093)] = 147062,
  [SMALL_STATE(4094)] = 147110,
  [SMALL_STATE(4095)] = 147158,
  [SMALL_STATE(4096)] = 147206,
  [SMALL_STATE(4097)] = 147254,
  [SMALL_STATE(4098)] = 147302,
  [SMALL_STATE(4099)] = 147350,
  [SMALL_STATE(4100)] = 147398,
  [SMALL_STATE(4101)] = 147446,
  [SMALL_STATE(4102)] = 147494,
  [SMALL_STATE(4103)] = 147542,
  [SMALL_STATE(4104)] = 147590,
  [SMALL_STATE(4105)] = 147638,
  [SMALL_STATE(4106)] = 147686,
  [SMALL_STATE(4107)] = 147734,
  [SMALL_STATE(4108)] = 147782,
  [SMALL_STATE(4109)] = 147832,
  [SMALL_STATE(4110)] = 147882,
  [SMALL_STATE(4111)] = 147930,
  [SMALL_STATE(4112)] = 147978,
  [SMALL_STATE(4113)] = 148026,
  [SMALL_STATE(4114)] = 148074,
  [SMALL_STATE(4115)] = 148122,
  [SMALL_STATE(4116)] = 148170,
  [SMALL_STATE(4117)] = 148218,
  [SMALL_STATE(4118)] = 148266,
  [SMALL_STATE(4119)] = 148314,
  [SMALL_STATE(4120)] = 148362,
  [SMALL_STATE(4121)] = 148410,
  [SMALL_STATE(4122)] = 148458,
  [SMALL_STATE(4123)] = 148508,
  [SMALL_STATE(4124)] = 148556,
  [SMALL_STATE(4125)] = 148604,
  [SMALL_STATE(4126)] = 148652,
  [SMALL_STATE(4127)] = 148702,
  [SMALL_STATE(4128)] = 148752,
  [SMALL_STATE(4129)] = 148800,
  [SMALL_STATE(4130)] = 148848,
  [SMALL_STATE(4131)] = 148896,
  [SMALL_STATE(4132)] = 148944,
  [SMALL_STATE(4133)] = 148992,
  [SMALL_STATE(4134)] = 149040,
  [SMALL_STATE(4135)] = 149088,
  [SMALL_STATE(4136)] = 149138,
  [SMALL_STATE(4137)] = 149186,
  [SMALL_STATE(4138)] = 149234,
  [SMALL_STATE(4139)] = 149282,
  [SMALL_STATE(4140)] = 149330,
  [SMALL_STATE(4141)] = 149378,
  [SMALL_STATE(4142)] = 149426,
  [SMALL_STATE(4143)] = 149474,
  [SMALL_STATE(4144)] = 149522,
  [SMALL_STATE(4145)] = 149570,
  [SMALL_STATE(4146)] = 149618,
  [SMALL_STATE(4147)] = 149666,
  [SMALL_STATE(4148)] = 149714,
  [SMALL_STATE(4149)] = 149762,
  [SMALL_STATE(4150)] = 149810,
  [SMALL_STATE(4151)] = 149858,
  [SMALL_STATE(4152)] = 149906,
  [SMALL_STATE(4153)] = 149954,
  [SMALL_STATE(4154)] = 150002,
  [SMALL_STATE(4155)] = 150050,
  [SMALL_STATE(4156)] = 150098,
  [SMALL_STATE(4157)] = 150146,
  [SMALL_STATE(4158)] = 150194,
  [SMALL_STATE(4159)] = 150242,
  [SMALL_STATE(4160)] = 150290,
  [SMALL_STATE(4161)] = 150338,
  [SMALL_STATE(4162)] = 150386,
  [SMALL_STATE(4163)] = 150434,
  [SMALL_STATE(4164)] = 150482,
  [SMALL_STATE(4165)] = 150530,
  [SMALL_STATE(4166)] = 150578,
  [SMALL_STATE(4167)] = 150626,
  [SMALL_STATE(4168)] = 150674,
  [SMALL_STATE(4169)] = 150722,
  [SMALL_STATE(4170)] = 150770,
  [SMALL_STATE(4171)] = 150818,
  [SMALL_STATE(4172)] = 150866,
  [SMALL_STATE(4173)] = 150914,
  [SMALL_STATE(4174)] = 150962,
  [SMALL_STATE(4175)] = 151010,
  [SMALL_STATE(4176)] = 151058,
  [SMALL_STATE(4177)] = 151106,
  [SMALL_STATE(4178)] = 151154,
  [SMALL_STATE(4179)] = 151202,
  [SMALL_STATE(4180)] = 151250,
  [SMALL_STATE(4181)] = 151298,
  [SMALL_STATE(4182)] = 151346,
  [SMALL_STATE(4183)] = 151396,
  [SMALL_STATE(4184)] = 151446,
  [SMALL_STATE(4185)] = 151496,
  [SMALL_STATE(4186)] = 151544,
  [SMALL_STATE(4187)] = 151594,
  [SMALL_STATE(4188)] = 151644,
  [SMALL_STATE(4189)] = 151692,
  [SMALL_STATE(4190)] = 151742,
  [SMALL_STATE(4191)] = 151794,
  [SMALL_STATE(4192)] = 151842,
  [SMALL_STATE(4193)] = 151890,
  [SMALL_STATE(4194)] = 151938,
  [SMALL_STATE(4195)] = 151986,
  [SMALL_STATE(4196)] = 152034,
  [SMALL_STATE(4197)] = 152082,
  [SMALL_STATE(4198)] = 152130,
  [SMALL_STATE(4199)] = 152180,
  [SMALL_STATE(4200)] = 152228,
  [SMALL_STATE(4201)] = 152276,
  [SMALL_STATE(4202)] = 152324,
  [SMALL_STATE(4203)] = 152372,
  [SMALL_STATE(4204)] = 152420,
  [SMALL_STATE(4205)] = 152468,
  [SMALL_STATE(4206)] = 152516,
  [SMALL_STATE(4207)] = 152564,
  [SMALL_STATE(4208)] = 152612,
  [SMALL_STATE(4209)] = 152660,
  [SMALL_STATE(4210)] = 152708,
  [SMALL_STATE(4211)] = 152758,
  [SMALL_STATE(4212)] = 152806,
  [SMALL_STATE(4213)] = 152854,
  [SMALL_STATE(4214)] = 152902,
  [SMALL_STATE(4215)] = 152950,
  [SMALL_STATE(4216)] = 153000,
  [SMALL_STATE(4217)] = 153048,
  [SMALL_STATE(4218)] = 153096,
  [SMALL_STATE(4219)] = 153144,
  [SMALL_STATE(4220)] = 153192,
  [SMALL_STATE(4221)] = 153240,
  [SMALL_STATE(4222)] = 153288,
  [SMALL_STATE(4223)] = 153336,
  [SMALL_STATE(4224)] = 153384,
  [SMALL_STATE(4225)] = 153432,
  [SMALL_STATE(4226)] = 153480,
  [SMALL_STATE(4227)] = 153528,
  [SMALL_STATE(4228)] = 153576,
  [SMALL_STATE(4229)] = 153624,
  [SMALL_STATE(4230)] = 153672,
  [SMALL_STATE(4231)] = 153720,
  [SMALL_STATE(4232)] = 153768,
  [SMALL_STATE(4233)] = 153816,
  [SMALL_STATE(4234)] = 153864,
  [SMALL_STATE(4235)] = 153911,
  [SMALL_STATE(4236)] = 153958,
  [SMALL_STATE(4237)] = 154005,
  [SMALL_STATE(4238)] = 154052,
  [SMALL_STATE(4239)] = 154099,
  [SMALL_STATE(4240)] = 154146,
  [SMALL_STATE(4241)] = 154193,
  [SMALL_STATE(4242)] = 154240,
  [SMALL_STATE(4243)] = 154287,
  [SMALL_STATE(4244)] = 154334,
  [SMALL_STATE(4245)] = 154381,
  [SMALL_STATE(4246)] = 154428,
  [SMALL_STATE(4247)] = 154475,
  [SMALL_STATE(4248)] = 154522,
  [SMALL_STATE(4249)] = 154569,
  [SMALL_STATE(4250)] = 154616,
  [SMALL_STATE(4251)] = 154663,
  [SMALL_STATE(4252)] = 154710,
  [SMALL_STATE(4253)] = 154757,
  [SMALL_STATE(4254)] = 154804,
  [SMALL_STATE(4255)] = 154851,
  [SMALL_STATE(4256)] = 154898,
  [SMALL_STATE(4257)] = 154945,
  [SMALL_STATE(4258)] = 154992,
  [SMALL_STATE(4259)] = 155039,
  [SMALL_STATE(4260)] = 155086,
  [SMALL_STATE(4261)] = 155133,
  [SMALL_STATE(4262)] = 155186,
  [SMALL_STATE(4263)] = 155233,
  [SMALL_STATE(4264)] = 155280,
  [SMALL_STATE(4265)] = 155327,
  [SMALL_STATE(4266)] = 155374,
  [SMALL_STATE(4267)] = 155421,
  [SMALL_STATE(4268)] = 155468,
  [SMALL_STATE(4269)] = 155515,
  [SMALL_STATE(4270)] = 155562,
  [SMALL_STATE(4271)] = 155609,
  [SMALL_STATE(4272)] = 155656,
  [SMALL_STATE(4273)] = 155703,
  [SMALL_STATE(4274)] = 155750,
  [SMALL_STATE(4275)] = 155797,
  [SMALL_STATE(4276)] = 155844,
  [SMALL_STATE(4277)] = 155891,
  [SMALL_STATE(4278)] = 155938,
  [SMALL_STATE(4279)] = 155985,
  [SMALL_STATE(4280)] = 156032,
  [SMALL_STATE(4281)] = 156079,
  [SMALL_STATE(4282)] = 156126,
  [SMALL_STATE(4283)] = 156173,
  [SMALL_STATE(4284)] = 156220,
  [SMALL_STATE(4285)] = 156267,
  [SMALL_STATE(4286)] = 156314,
  [SMALL_STATE(4287)] = 156361,
  [SMALL_STATE(4288)] = 156408,
  [SMALL_STATE(4289)] = 156455,
  [SMALL_STATE(4290)] = 156502,
  [SMALL_STATE(4291)] = 156549,
  [SMALL_STATE(4292)] = 156596,
  [SMALL_STATE(4293)] = 156643,
  [SMALL_STATE(4294)] = 156690,
  [SMALL_STATE(4295)] = 156737,
  [SMALL_STATE(4296)] = 156784,
  [SMALL_STATE(4297)] = 156831,
  [SMALL_STATE(4298)] = 156878,
  [SMALL_STATE(4299)] = 156925,
  [SMALL_STATE(4300)] = 156972,
  [SMALL_STATE(4301)] = 157019,
  [SMALL_STATE(4302)] = 157066,
  [SMALL_STATE(4303)] = 157113,
  [SMALL_STATE(4304)] = 157160,
  [SMALL_STATE(4305)] = 157207,
  [SMALL_STATE(4306)] = 157254,
  [SMALL_STATE(4307)] = 157301,
  [SMALL_STATE(4308)] = 157348,
  [SMALL_STATE(4309)] = 157395,
  [SMALL_STATE(4310)] = 157442,
  [SMALL_STATE(4311)] = 157489,
  [SMALL_STATE(4312)] = 157536,
  [SMALL_STATE(4313)] = 157583,
  [SMALL_STATE(4314)] = 157630,
  [SMALL_STATE(4315)] = 157677,
  [SMALL_STATE(4316)] = 157724,
  [SMALL_STATE(4317)] = 157771,
  [SMALL_STATE(4318)] = 157818,
  [SMALL_STATE(4319)] = 157865,
  [SMALL_STATE(4320)] = 157912,
  [SMALL_STATE(4321)] = 157959,
  [SMALL_STATE(4322)] = 158006,
  [SMALL_STATE(4323)] = 158053,
  [SMALL_STATE(4324)] = 158100,
  [SMALL_STATE(4325)] = 158147,
  [SMALL_STATE(4326)] = 158194,
  [SMALL_STATE(4327)] = 158241,
  [SMALL_STATE(4328)] = 158288,
  [SMALL_STATE(4329)] = 158335,
  [SMALL_STATE(4330)] = 158382,
  [SMALL_STATE(4331)] = 158429,
  [SMALL_STATE(4332)] = 158476,
  [SMALL_STATE(4333)] = 158523,
  [SMALL_STATE(4334)] = 158570,
  [SMALL_STATE(4335)] = 158617,
  [SMALL_STATE(4336)] = 158664,
  [SMALL_STATE(4337)] = 158711,
  [SMALL_STATE(4338)] = 158758,
  [SMALL_STATE(4339)] = 158805,
  [SMALL_STATE(4340)] = 158852,
  [SMALL_STATE(4341)] = 158899,
  [SMALL_STATE(4342)] = 158946,
  [SMALL_STATE(4343)] = 158993,
  [SMALL_STATE(4344)] = 159040,
  [SMALL_STATE(4345)] = 159087,
  [SMALL_STATE(4346)] = 159134,
  [SMALL_STATE(4347)] = 159181,
  [SMALL_STATE(4348)] = 159228,
  [SMALL_STATE(4349)] = 159275,
  [SMALL_STATE(4350)] = 159322,
  [SMALL_STATE(4351)] = 159369,
  [SMALL_STATE(4352)] = 159416,
  [SMALL_STATE(4353)] = 159463,
  [SMALL_STATE(4354)] = 159510,
  [SMALL_STATE(4355)] = 159557,
  [SMALL_STATE(4356)] = 159604,
  [SMALL_STATE(4357)] = 159651,
  [SMALL_STATE(4358)] = 159698,
  [SMALL_STATE(4359)] = 159745,
  [SMALL_STATE(4360)] = 159792,
  [SMALL_STATE(4361)] = 159839,
  [SMALL_STATE(4362)] = 159886,
  [SMALL_STATE(4363)] = 159933,
  [SMALL_STATE(4364)] = 159980,
  [SMALL_STATE(4365)] = 160027,
  [SMALL_STATE(4366)] = 160074,
  [SMALL_STATE(4367)] = 160121,
  [SMALL_STATE(4368)] = 160168,
  [SMALL_STATE(4369)] = 160215,
  [SMALL_STATE(4370)] = 160262,
  [SMALL_STATE(4371)] = 160309,
  [SMALL_STATE(4372)] = 160356,
  [SMALL_STATE(4373)] = 160403,
  [SMALL_STATE(4374)] = 160450,
  [SMALL_STATE(4375)] = 160497,
  [SMALL_STATE(4376)] = 160544,
  [SMALL_STATE(4377)] = 160591,
  [SMALL_STATE(4378)] = 160638,
  [SMALL_STATE(4379)] = 160685,
  [SMALL_STATE(4380)] = 160732,
  [SMALL_STATE(4381)] = 160779,
  [SMALL_STATE(4382)] = 160826,
  [SMALL_STATE(4383)] = 160873,
  [SMALL_STATE(4384)] = 160920,
  [SMALL_STATE(4385)] = 160967,
  [SMALL_STATE(4386)] = 161014,
  [SMALL_STATE(4387)] = 161061,
  [SMALL_STATE(4388)] = 161108,
  [SMALL_STATE(4389)] = 161155,
  [SMALL_STATE(4390)] = 161202,
  [SMALL_STATE(4391)] = 161249,
  [SMALL_STATE(4392)] = 161296,
  [SMALL_STATE(4393)] = 161343,
  [SMALL_STATE(4394)] = 161390,
  [SMALL_STATE(4395)] = 161437,
  [SMALL_STATE(4396)] = 161484,
  [SMALL_STATE(4397)] = 161531,
  [SMALL_STATE(4398)] = 161578,
  [SMALL_STATE(4399)] = 161625,
  [SMALL_STATE(4400)] = 161672,
  [SMALL_STATE(4401)] = 161719,
  [SMALL_STATE(4402)] = 161766,
  [SMALL_STATE(4403)] = 161813,
  [SMALL_STATE(4404)] = 161860,
  [SMALL_STATE(4405)] = 161907,
  [SMALL_STATE(4406)] = 161954,
  [SMALL_STATE(4407)] = 162001,
  [SMALL_STATE(4408)] = 162048,
  [SMALL_STATE(4409)] = 162095,
  [SMALL_STATE(4410)] = 162142,
  [SMALL_STATE(4411)] = 162189,
  [SMALL_STATE(4412)] = 162236,
  [SMALL_STATE(4413)] = 162283,
  [SMALL_STATE(4414)] = 162330,
  [SMALL_STATE(4415)] = 162377,
  [SMALL_STATE(4416)] = 162424,
  [SMALL_STATE(4417)] = 162471,
  [SMALL_STATE(4418)] = 162518,
  [SMALL_STATE(4419)] = 162565,
  [SMALL_STATE(4420)] = 162612,
  [SMALL_STATE(4421)] = 162659,
  [SMALL_STATE(4422)] = 162706,
  [SMALL_STATE(4423)] = 162753,
  [SMALL_STATE(4424)] = 162800,
  [SMALL_STATE(4425)] = 162847,
  [SMALL_STATE(4426)] = 162894,
  [SMALL_STATE(4427)] = 162941,
  [SMALL_STATE(4428)] = 162988,
  [SMALL_STATE(4429)] = 163035,
  [SMALL_STATE(4430)] = 163082,
  [SMALL_STATE(4431)] = 163129,
  [SMALL_STATE(4432)] = 163176,
  [SMALL_STATE(4433)] = 163223,
  [SMALL_STATE(4434)] = 163270,
  [SMALL_STATE(4435)] = 163317,
  [SMALL_STATE(4436)] = 163364,
  [SMALL_STATE(4437)] = 163411,
  [SMALL_STATE(4438)] = 163458,
  [SMALL_STATE(4439)] = 163505,
  [SMALL_STATE(4440)] = 163552,
  [SMALL_STATE(4441)] = 163599,
  [SMALL_STATE(4442)] = 163646,
  [SMALL_STATE(4443)] = 163693,
  [SMALL_STATE(4444)] = 163740,
  [SMALL_STATE(4445)] = 163787,
  [SMALL_STATE(4446)] = 163834,
  [SMALL_STATE(4447)] = 163881,
  [SMALL_STATE(4448)] = 163928,
  [SMALL_STATE(4449)] = 163975,
  [SMALL_STATE(4450)] = 164022,
  [SMALL_STATE(4451)] = 164069,
  [SMALL_STATE(4452)] = 164116,
  [SMALL_STATE(4453)] = 164163,
  [SMALL_STATE(4454)] = 164210,
  [SMALL_STATE(4455)] = 164257,
  [SMALL_STATE(4456)] = 164304,
  [SMALL_STATE(4457)] = 164350,
  [SMALL_STATE(4458)] = 164412,
  [SMALL_STATE(4459)] = 164470,
  [SMALL_STATE(4460)] = 164516,
  [SMALL_STATE(4461)] = 164601,
  [SMALL_STATE(4462)] = 164656,
  [SMALL_STATE(4463)] = 164741,
  [SMALL_STATE(4464)] = 164826,
  [SMALL_STATE(4465)] = 164911,
  [SMALL_STATE(4466)] = 164996,
  [SMALL_STATE(4467)] = 165081,
  [SMALL_STATE(4468)] = 165166,
  [SMALL_STATE(4469)] = 165251,
  [SMALL_STATE(4470)] = 165336,
  [SMALL_STATE(4471)] = 165421,
  [SMALL_STATE(4472)] = 165506,
  [SMALL_STATE(4473)] = 165591,
  [SMALL_STATE(4474)] = 165676,
  [SMALL_STATE(4475)] = 165761,
  [SMALL_STATE(4476)] = 165846,
  [SMALL_STATE(4477)] = 165931,
  [SMALL_STATE(4478)] = 165975,
  [SMALL_STATE(4479)] = 166023,
  [SMALL_STATE(4480)] = 166067,
  [SMALL_STATE(4481)] = 166111,
  [SMALL_STATE(4482)] = 166155,
  [SMALL_STATE(4483)] = 166199,
  [SMALL_STATE(4484)] = 166251,
  [SMALL_STATE(4485)] = 166295,
  [SMALL_STATE(4486)] = 166339,
  [SMALL_STATE(4487)] = 166383,
  [SMALL_STATE(4488)] = 166427,
  [SMALL_STATE(4489)] = 166471,
  [SMALL_STATE(4490)] = 166515,
  [SMALL_STATE(4491)] = 166559,
  [SMALL_STATE(4492)] = 166603,
  [SMALL_STATE(4493)] = 166652,
  [SMALL_STATE(4494)] = 166699,
  [SMALL_STATE(4495)] = 166748,
  [SMALL_STATE(4496)] = 166794,
  [SMALL_STATE(4497)] = 166840,
  [SMALL_STATE(4498)] = 166882,
  [SMALL_STATE(4499)] = 166926,
  [SMALL_STATE(4500)] = 166968,
  [SMALL_STATE(4501)] = 167014,
  [SMALL_STATE(4502)] = 167060,
  [SMALL_STATE(4503)] = 167102,
  [SMALL_STATE(4504)] = 167146,
  [SMALL_STATE(4505)] = 167188,
  [SMALL_STATE(4506)] = 167229,
  [SMALL_STATE(4507)] = 167270,
  [SMALL_STATE(4508)] = 167313,
  [SMALL_STATE(4509)] = 167356,
  [SMALL_STATE(4510)] = 167391,
  [SMALL_STATE(4511)] = 167426,
  [SMALL_STATE(4512)] = 167473,
  [SMALL_STATE(4513)] = 167520,
  [SMALL_STATE(4514)] = 167567,
  [SMALL_STATE(4515)] = 167602,
  [SMALL_STATE(4516)] = 167636,
  [SMALL_STATE(4517)] = 167670,
  [SMALL_STATE(4518)] = 167703,
  [SMALL_STATE(4519)] = 167736,
  [SMALL_STATE(4520)] = 167769,
  [SMALL_STATE(4521)] = 167802,
  [SMALL_STATE(4522)] = 167835,
  [SMALL_STATE(4523)] = 167868,
  [SMALL_STATE(4524)] = 167901,
  [SMALL_STATE(4525)] = 167934,
  [SMALL_STATE(4526)] = 167967,
  [SMALL_STATE(4527)] = 168000,
  [SMALL_STATE(4528)] = 168033,
  [SMALL_STATE(4529)] = 168066,
  [SMALL_STATE(4530)] = 168099,
  [SMALL_STATE(4531)] = 168132,
  [SMALL_STATE(4532)] = 168165,
  [SMALL_STATE(4533)] = 168198,
  [SMALL_STATE(4534)] = 168231,
  [SMALL_STATE(4535)] = 168264,
  [SMALL_STATE(4536)] = 168297,
  [SMALL_STATE(4537)] = 168330,
  [SMALL_STATE(4538)] = 168363,
  [SMALL_STATE(4539)] = 168396,
  [SMALL_STATE(4540)] = 168429,
  [SMALL_STATE(4541)] = 168462,
  [SMALL_STATE(4542)] = 168495,
  [SMALL_STATE(4543)] = 168528,
  [SMALL_STATE(4544)] = 168561,
  [SMALL_STATE(4545)] = 168602,
  [SMALL_STATE(4546)] = 168635,
  [SMALL_STATE(4547)] = 168668,
  [SMALL_STATE(4548)] = 168701,
  [SMALL_STATE(4549)] = 168734,
  [SMALL_STATE(4550)] = 168767,
  [SMALL_STATE(4551)] = 168800,
  [SMALL_STATE(4552)] = 168833,
  [SMALL_STATE(4553)] = 168866,
  [SMALL_STATE(4554)] = 168899,
  [SMALL_STATE(4555)] = 168953,
  [SMALL_STATE(4556)] = 169007,
  [SMALL_STATE(4557)] = 169061,
  [SMALL_STATE(4558)] = 169115,
  [SMALL_STATE(4559)] = 169169,
  [SMALL_STATE(4560)] = 169223,
  [SMALL_STATE(4561)] = 169261,
  [SMALL_STATE(4562)] = 169315,
  [SMALL_STATE(4563)] = 169346,
  [SMALL_STATE(4564)] = 169377,
  [SMALL_STATE(4565)] = 169408,
  [SMALL_STATE(4566)] = 169439,
  [SMALL_STATE(4567)] = 169470,
  [SMALL_STATE(4568)] = 169503,
  [SMALL_STATE(4569)] = 169534,
  [SMALL_STATE(4570)] = 169565,
  [SMALL_STATE(4571)] = 169596,
  [SMALL_STATE(4572)] = 169627,
  [SMALL_STATE(4573)] = 169658,
  [SMALL_STATE(4574)] = 169689,
  [SMALL_STATE(4575)] = 169720,
  [SMALL_STATE(4576)] = 169763,
  [SMALL_STATE(4577)] = 169794,
  [SMALL_STATE(4578)] = 169825,
  [SMALL_STATE(4579)] = 169860,
  [SMALL_STATE(4580)] = 169903,
  [SMALL_STATE(4581)] = 169934,
  [SMALL_STATE(4582)] = 169965,
  [SMALL_STATE(4583)] = 169996,
  [SMALL_STATE(4584)] = 170039,
  [SMALL_STATE(4585)] = 170074,
  [SMALL_STATE(4586)] = 170105,
  [SMALL_STATE(4587)] = 170138,
  [SMALL_STATE(4588)] = 170169,
  [SMALL_STATE(4589)] = 170199,
  [SMALL_STATE(4590)] = 170231,
  [SMALL_STATE(4591)] = 170263,
  [SMALL_STATE(4592)] = 170295,
  [SMALL_STATE(4593)] = 170325,
  [SMALL_STATE(4594)] = 170354,
  [SMALL_STATE(4595)] = 170393,
  [SMALL_STATE(4596)] = 170422,
  [SMALL_STATE(4597)] = 170451,
  [SMALL_STATE(4598)] = 170486,
  [SMALL_STATE(4599)] = 170515,
  [SMALL_STATE(4600)] = 170546,
  [SMALL_STATE(4601)] = 170575,
  [SMALL_STATE(4602)] = 170604,
  [SMALL_STATE(4603)] = 170633,
  [SMALL_STATE(4604)] = 170660,
  [SMALL_STATE(4605)] = 170689,
  [SMALL_STATE(4606)] = 170716,
  [SMALL_STATE(4607)] = 170755,
  [SMALL_STATE(4608)] = 170784,
  [SMALL_STATE(4609)] = 170813,
  [SMALL_STATE(4610)] = 170848,
  [SMALL_STATE(4611)] = 170877,
  [SMALL_STATE(4612)] = 170906,
  [SMALL_STATE(4613)] = 170935,
  [SMALL_STATE(4614)] = 170964,
  [SMALL_STATE(4615)] = 170991,
  [SMALL_STATE(4616)] = 171022,
  [SMALL_STATE(4617)] = 171049,
  [SMALL_STATE(4618)] = 171078,
  [SMALL_STATE(4619)] = 171107,
  [SMALL_STATE(4620)] = 171136,
  [SMALL_STATE(4621)] = 171167,
  [SMALL_STATE(4622)] = 171196,
  [SMALL_STATE(4623)] = 171225,
  [SMALL_STATE(4624)] = 171254,
  [SMALL_STATE(4625)] = 171283,
  [SMALL_STATE(4626)] = 171312,
  [SMALL_STATE(4627)] = 171349,
  [SMALL_STATE(4628)] = 171388,
  [SMALL_STATE(4629)] = 171427,
  [SMALL_STATE(4630)] = 171456,
  [SMALL_STATE(4631)] = 171485,
  [SMALL_STATE(4632)] = 171516,
  [SMALL_STATE(4633)] = 171545,
  [SMALL_STATE(4634)] = 171572,
  [SMALL_STATE(4635)] = 171607,
  [SMALL_STATE(4636)] = 171646,
  [SMALL_STATE(4637)] = 171675,
  [SMALL_STATE(4638)] = 171712,
  [SMALL_STATE(4639)] = 171741,
  [SMALL_STATE(4640)] = 171770,
  [SMALL_STATE(4641)] = 171809,
  [SMALL_STATE(4642)] = 171848,
  [SMALL_STATE(4643)] = 171883,
  [SMALL_STATE(4644)] = 171920,
  [SMALL_STATE(4645)] = 171959,
  [SMALL_STATE(4646)] = 171986,
  [SMALL_STATE(4647)] = 172025,
  [SMALL_STATE(4648)] = 172054,
  [SMALL_STATE(4649)] = 172083,
  [SMALL_STATE(4650)] = 172112,
  [SMALL_STATE(4651)] = 172141,
  [SMALL_STATE(4652)] = 172178,
  [SMALL_STATE(4653)] = 172207,
  [SMALL_STATE(4654)] = 172236,
  [SMALL_STATE(4655)] = 172275,
  [SMALL_STATE(4656)] = 172304,
  [SMALL_STATE(4657)] = 172339,
  [SMALL_STATE(4658)] = 172368,
  [SMALL_STATE(4659)] = 172397,
  [SMALL_STATE(4660)] = 172426,
  [SMALL_STATE(4661)] = 172453,
  [SMALL_STATE(4662)] = 172482,
  [SMALL_STATE(4663)] = 172511,
  [SMALL_STATE(4664)] = 172540,
  [SMALL_STATE(4665)] = 172569,
  [SMALL_STATE(4666)] = 172608,
  [SMALL_STATE(4667)] = 172637,
  [SMALL_STATE(4668)] = 172666,
  [SMALL_STATE(4669)] = 172705,
  [SMALL_STATE(4670)] = 172736,
  [SMALL_STATE(4671)] = 172765,
  [SMALL_STATE(4672)] = 172794,
  [SMALL_STATE(4673)] = 172833,
  [SMALL_STATE(4674)] = 172862,
  [SMALL_STATE(4675)] = 172891,
  [SMALL_STATE(4676)] = 172920,
  [SMALL_STATE(4677)] = 172949,
  [SMALL_STATE(4678)] = 172978,
  [SMALL_STATE(4679)] = 173007,
  [SMALL_STATE(4680)] = 173044,
  [SMALL_STATE(4681)] = 173073,
  [SMALL_STATE(4682)] = 173102,
  [SMALL_STATE(4683)] = 173137,
  [SMALL_STATE(4684)] = 173166,
  [SMALL_STATE(4685)] = 173195,
  [SMALL_STATE(4686)] = 173224,
  [SMALL_STATE(4687)] = 173251,
  [SMALL_STATE(4688)] = 173286,
  [SMALL_STATE(4689)] = 173315,
  [SMALL_STATE(4690)] = 173342,
  [SMALL_STATE(4691)] = 173371,
  [SMALL_STATE(4692)] = 173410,
  [SMALL_STATE(4693)] = 173439,
  [SMALL_STATE(4694)] = 173478,
  [SMALL_STATE(4695)] = 173507,
  [SMALL_STATE(4696)] = 173546,
  [SMALL_STATE(4697)] = 173585,
  [SMALL_STATE(4698)] = 173614,
  [SMALL_STATE(4699)] = 173643,
  [SMALL_STATE(4700)] = 173676,
  [SMALL_STATE(4701)] = 173705,
  [SMALL_STATE(4702)] = 173744,
  [SMALL_STATE(4703)] = 173773,
  [SMALL_STATE(4704)] = 173810,
  [SMALL_STATE(4705)] = 173858,
  [SMALL_STATE(4706)] = 173906,
  [SMALL_STATE(4707)] = 173954,
  [SMALL_STATE(4708)] = 173998,
  [SMALL_STATE(4709)] = 174042,
  [SMALL_STATE(4710)] = 174090,
  [SMALL_STATE(4711)] = 174138,
  [SMALL_STATE(4712)] = 174186,
  [SMALL_STATE(4713)] = 174234,
  [SMALL_STATE(4714)] = 174268,
  [SMALL_STATE(4715)] = 174316,
  [SMALL_STATE(4716)] = 174364,
  [SMALL_STATE(4717)] = 174412,
  [SMALL_STATE(4718)] = 174460,
  [SMALL_STATE(4719)] = 174508,
  [SMALL_STATE(4720)] = 174556,
  [SMALL_STATE(4721)] = 174604,
  [SMALL_STATE(4722)] = 174652,
  [SMALL_STATE(4723)] = 174700,
  [SMALL_STATE(4724)] = 174748,
  [SMALL_STATE(4725)] = 174796,
  [SMALL_STATE(4726)] = 174844,
  [SMALL_STATE(4727)] = 174892,
  [SMALL_STATE(4728)] = 174940,
  [SMALL_STATE(4729)] = 174984,
  [SMALL_STATE(4730)] = 175032,
  [SMALL_STATE(4731)] = 175076,
  [SMALL_STATE(4732)] = 175120,
  [SMALL_STATE(4733)] = 175168,
  [SMALL_STATE(4734)] = 175202,
  [SMALL_STATE(4735)] = 175234,
  [SMALL_STATE(4736)] = 175282,
  [SMALL_STATE(4737)] = 175330,
  [SMALL_STATE(4738)] = 175378,
  [SMALL_STATE(4739)] = 175426,
  [SMALL_STATE(4740)] = 175474,
  [SMALL_STATE(4741)] = 175508,
  [SMALL_STATE(4742)] = 175552,
  [SMALL_STATE(4743)] = 175586,
  [SMALL_STATE(4744)] = 175620,
  [SMALL_STATE(4745)] = 175654,
  [SMALL_STATE(4746)] = 175702,
  [SMALL_STATE(4747)] = 175750,
  [SMALL_STATE(4748)] = 175791,
  [SMALL_STATE(4749)] = 175816,
  [SMALL_STATE(4750)] = 175843,
  [SMALL_STATE(4751)] = 175870,
  [SMALL_STATE(4752)] = 175897,
  [SMALL_STATE(4753)] = 175930,
  [SMALL_STATE(4754)] = 175971,
  [SMALL_STATE(4755)] = 176012,
  [SMALL_STATE(4756)] = 176053,
  [SMALL_STATE(4757)] = 176080,
  [SMALL_STATE(4758)] = 176107,
  [SMALL_STATE(4759)] = 176134,
  [SMALL_STATE(4760)] = 176175,
  [SMALL_STATE(4761)] = 176200,
  [SMALL_STATE(4762)] = 176225,
  [SMALL_STATE(4763)] = 176268,
  [SMALL_STATE(4764)] = 176309,
  [SMALL_STATE(4765)] = 176334,
  [SMALL_STATE(4766)] = 176363,
  [SMALL_STATE(4767)] = 176388,
  [SMALL_STATE(4768)] = 176413,
  [SMALL_STATE(4769)] = 176438,
  [SMALL_STATE(4770)] = 176463,
  [SMALL_STATE(4771)] = 176494,
  [SMALL_STATE(4772)] = 176519,
  [SMALL_STATE(4773)] = 176544,
  [SMALL_STATE(4774)] = 176569,
  [SMALL_STATE(4775)] = 176594,
  [SMALL_STATE(4776)] = 176619,
  [SMALL_STATE(4777)] = 176644,
  [SMALL_STATE(4778)] = 176671,
  [SMALL_STATE(4779)] = 176696,
  [SMALL_STATE(4780)] = 176737,
  [SMALL_STATE(4781)] = 176762,
  [SMALL_STATE(4782)] = 176787,
  [SMALL_STATE(4783)] = 176812,
  [SMALL_STATE(4784)] = 176837,
  [SMALL_STATE(4785)] = 176862,
  [SMALL_STATE(4786)] = 176887,
  [SMALL_STATE(4787)] = 176912,
  [SMALL_STATE(4788)] = 176937,
  [SMALL_STATE(4789)] = 176962,
  [SMALL_STATE(4790)] = 176987,
  [SMALL_STATE(4791)] = 177028,
  [SMALL_STATE(4792)] = 177055,
  [SMALL_STATE(4793)] = 177096,
  [SMALL_STATE(4794)] = 177123,
  [SMALL_STATE(4795)] = 177150,
  [SMALL_STATE(4796)] = 177175,
  [SMALL_STATE(4797)] = 177204,
  [SMALL_STATE(4798)] = 177231,
  [SMALL_STATE(4799)] = 177272,
  [SMALL_STATE(4800)] = 177299,
  [SMALL_STATE(4801)] = 177324,
  [SMALL_STATE(4802)] = 177351,
  [SMALL_STATE(4803)] = 177376,
  [SMALL_STATE(4804)] = 177407,
  [SMALL_STATE(4805)] = 177432,
  [SMALL_STATE(4806)] = 177457,
  [SMALL_STATE(4807)] = 177484,
  [SMALL_STATE(4808)] = 177511,
  [SMALL_STATE(4809)] = 177544,
  [SMALL_STATE(4810)] = 177571,
  [SMALL_STATE(4811)] = 177598,
  [SMALL_STATE(4812)] = 177623,
  [SMALL_STATE(4813)] = 177648,
  [SMALL_STATE(4814)] = 177673,
  [SMALL_STATE(4815)] = 177698,
  [SMALL_STATE(4816)] = 177740,
  [SMALL_STATE(4817)] = 177770,
  [SMALL_STATE(4818)] = 177806,
  [SMALL_STATE(4819)] = 177834,
  [SMALL_STATE(4820)] = 177876,
  [SMALL_STATE(4821)] = 177914,
  [SMALL_STATE(4822)] = 177948,
  [SMALL_STATE(4823)] = 177992,
  [SMALL_STATE(4824)] = 178030,
  [SMALL_STATE(4825)] = 178068,
  [SMALL_STATE(4826)] = 178102,
  [SMALL_STATE(4827)] = 178144,
  [SMALL_STATE(4828)] = 178178,
  [SMALL_STATE(4829)] = 178206,
  [SMALL_STATE(4830)] = 178232,
  [SMALL_STATE(4831)] = 178274,
  [SMALL_STATE(4832)] = 178318,
  [SMALL_STATE(4833)] = 178356,
  [SMALL_STATE(4834)] = 178394,
  [SMALL_STATE(4835)] = 178436,
  [SMALL_STATE(4836)] = 178478,
  [SMALL_STATE(4837)] = 178520,
  [SMALL_STATE(4838)] = 178562,
  [SMALL_STATE(4839)] = 178588,
  [SMALL_STATE(4840)] = 178630,
  [SMALL_STATE(4841)] = 178674,
  [SMALL_STATE(4842)] = 178718,
  [SMALL_STATE(4843)] = 178756,
  [SMALL_STATE(4844)] = 178800,
  [SMALL_STATE(4845)] = 178842,
  [SMALL_STATE(4846)] = 178884,
  [SMALL_STATE(4847)] = 178922,
  [SMALL_STATE(4848)] = 178958,
  [SMALL_STATE(4849)] = 178996,
  [SMALL_STATE(4850)] = 179038,
  [SMALL_STATE(4851)] = 179080,
  [SMALL_STATE(4852)] = 179122,
  [SMALL_STATE(4853)] = 179156,
  [SMALL_STATE(4854)] = 179190,
  [SMALL_STATE(4855)] = 179228,
  [SMALL_STATE(4856)] = 179272,
  [SMALL_STATE(4857)] = 179314,
  [SMALL_STATE(4858)] = 179356,
  [SMALL_STATE(4859)] = 179394,
  [SMALL_STATE(4860)] = 179436,
  [SMALL_STATE(4861)] = 179480,
  [SMALL_STATE(4862)] = 179522,
  [SMALL_STATE(4863)] = 179556,
  [SMALL_STATE(4864)] = 179584,
  [SMALL_STATE(4865)] = 179626,
  [SMALL_STATE(4866)] = 179668,
  [SMALL_STATE(4867)] = 179710,
  [SMALL_STATE(4868)] = 179752,
  [SMALL_STATE(4869)] = 179794,
  [SMALL_STATE(4870)] = 179819,
  [SMALL_STATE(4871)] = 179844,
  [SMALL_STATE(4872)] = 179869,
  [SMALL_STATE(4873)] = 179892,
  [SMALL_STATE(4874)] = 179921,
  [SMALL_STATE(4875)] = 179946,
  [SMALL_STATE(4876)] = 179973,
  [SMALL_STATE(4877)] = 179998,
  [SMALL_STATE(4878)] = 180021,
  [SMALL_STATE(4879)] = 180044,
  [SMALL_STATE(4880)] = 180067,
  [SMALL_STATE(4881)] = 180092,
  [SMALL_STATE(4882)] = 180119,
  [SMALL_STATE(4883)] = 180144,
  [SMALL_STATE(4884)] = 180167,
  [SMALL_STATE(4885)] = 180210,
  [SMALL_STATE(4886)] = 180235,
  [SMALL_STATE(4887)] = 180258,
  [SMALL_STATE(4888)] = 180283,
  [SMALL_STATE(4889)] = 180312,
  [SMALL_STATE(4890)] = 180335,
  [SMALL_STATE(4891)] = 180364,
  [SMALL_STATE(4892)] = 180387,
  [SMALL_STATE(4893)] = 180412,
  [SMALL_STATE(4894)] = 180435,
  [SMALL_STATE(4895)] = 180460,
  [SMALL_STATE(4896)] = 180485,
  [SMALL_STATE(4897)] = 180510,
  [SMALL_STATE(4898)] = 180535,
  [SMALL_STATE(4899)] = 180560,
  [SMALL_STATE(4900)] = 180587,
  [SMALL_STATE(4901)] = 180612,
  [SMALL_STATE(4902)] = 180637,
  [SMALL_STATE(4903)] = 180662,
  [SMALL_STATE(4904)] = 180689,
  [SMALL_STATE(4905)] = 180714,
  [SMALL_STATE(4906)] = 180739,
  [SMALL_STATE(4907)] = 180768,
  [SMALL_STATE(4908)] = 180797,
  [SMALL_STATE(4909)] = 180822,
  [SMALL_STATE(4910)] = 180847,
  [SMALL_STATE(4911)] = 180872,
  [SMALL_STATE(4912)] = 180897,
  [SMALL_STATE(4913)] = 180926,
  [SMALL_STATE(4914)] = 180951,
  [SMALL_STATE(4915)] = 180976,
  [SMALL_STATE(4916)] = 181001,
  [SMALL_STATE(4917)] = 181026,
  [SMALL_STATE(4918)] = 181051,
  [SMALL_STATE(4919)] = 181076,
  [SMALL_STATE(4920)] = 181107,
  [SMALL_STATE(4921)] = 181132,
  [SMALL_STATE(4922)] = 181159,
  [SMALL_STATE(4923)] = 181184,
  [SMALL_STATE(4924)] = 181209,
  [SMALL_STATE(4925)] = 181234,
  [SMALL_STATE(4926)] = 181259,
  [SMALL_STATE(4927)] = 181284,
  [SMALL_STATE(4928)] = 181309,
  [SMALL_STATE(4929)] = 181336,
  [SMALL_STATE(4930)] = 181363,
  [SMALL_STATE(4931)] = 181392,
  [SMALL_STATE(4932)] = 181421,
  [SMALL_STATE(4933)] = 181446,
  [SMALL_STATE(4934)] = 181486,
  [SMALL_STATE(4935)] = 181514,
  [SMALL_STATE(4936)] = 181554,
  [SMALL_STATE(4937)] = 181594,
  [SMALL_STATE(4938)] = 181616,
  [SMALL_STATE(4939)] = 181640,
  [SMALL_STATE(4940)] = 181664,
  [SMALL_STATE(4941)] = 181704,
  [SMALL_STATE(4942)] = 181744,
  [SMALL_STATE(4943)] = 181770,
  [SMALL_STATE(4944)] = 181810,
  [SMALL_STATE(4945)] = 181850,
  [SMALL_STATE(4946)] = 181890,
  [SMALL_STATE(4947)] = 181912,
  [SMALL_STATE(4948)] = 181952,
  [SMALL_STATE(4949)] = 181990,
  [SMALL_STATE(4950)] = 182030,
  [SMALL_STATE(4951)] = 182068,
  [SMALL_STATE(4952)] = 182108,
  [SMALL_STATE(4953)] = 182148,
  [SMALL_STATE(4954)] = 182188,
  [SMALL_STATE(4955)] = 182228,
  [SMALL_STATE(4956)] = 182262,
  [SMALL_STATE(4957)] = 182302,
  [SMALL_STATE(4958)] = 182336,
  [SMALL_STATE(4959)] = 182376,
  [SMALL_STATE(4960)] = 182400,
  [SMALL_STATE(4961)] = 182428,
  [SMALL_STATE(4962)] = 182468,
  [SMALL_STATE(4963)] = 182508,
  [SMALL_STATE(4964)] = 182548,
  [SMALL_STATE(4965)] = 182588,
  [SMALL_STATE(4966)] = 182628,
  [SMALL_STATE(4967)] = 182654,
  [SMALL_STATE(4968)] = 182680,
  [SMALL_STATE(4969)] = 182718,
  [SMALL_STATE(4970)] = 182758,
  [SMALL_STATE(4971)] = 182786,
  [SMALL_STATE(4972)] = 182826,
  [SMALL_STATE(4973)] = 182847,
  [SMALL_STATE(4974)] = 182880,
  [SMALL_STATE(4975)] = 182917,
  [SMALL_STATE(4976)] = 182950,
  [SMALL_STATE(4977)] = 182971,
  [SMALL_STATE(4978)] = 183004,
  [SMALL_STATE(4979)] = 183035,
  [SMALL_STATE(4980)] = 183072,
  [SMALL_STATE(4981)] = 183103,
  [SMALL_STATE(4982)] = 183140,
  [SMALL_STATE(4983)] = 183161,
  [SMALL_STATE(4984)] = 183194,
  [SMALL_STATE(4985)] = 183215,
  [SMALL_STATE(4986)] = 183236,
  [SMALL_STATE(4987)] = 183269,
  [SMALL_STATE(4988)] = 183300,
  [SMALL_STATE(4989)] = 183333,
  [SMALL_STATE(4990)] = 183370,
  [SMALL_STATE(4991)] = 183401,
  [SMALL_STATE(4992)] = 183422,
  [SMALL_STATE(4993)] = 183453,
  [SMALL_STATE(4994)] = 183490,
  [SMALL_STATE(4995)] = 183523,
  [SMALL_STATE(4996)] = 183554,
  [SMALL_STATE(4997)] = 183591,
  [SMALL_STATE(4998)] = 183628,
  [SMALL_STATE(4999)] = 183663,
  [SMALL_STATE(5000)] = 183700,
  [SMALL_STATE(5001)] = 183737,
  [SMALL_STATE(5002)] = 183760,
  [SMALL_STATE(5003)] = 183797,
  [SMALL_STATE(5004)] = 183834,
  [SMALL_STATE(5005)] = 183857,
  [SMALL_STATE(5006)] = 183884,
  [SMALL_STATE(5007)] = 183909,
  [SMALL_STATE(5008)] = 183946,
  [SMALL_STATE(5009)] = 183973,
  [SMALL_STATE(5010)] = 184010,
  [SMALL_STATE(5011)] = 184037,
  [SMALL_STATE(5012)] = 184074,
  [SMALL_STATE(5013)] = 184095,
  [SMALL_STATE(5014)] = 184116,
  [SMALL_STATE(5015)] = 184143,
  [SMALL_STATE(5016)] = 184172,
  [SMALL_STATE(5017)] = 184193,
  [SMALL_STATE(5018)] = 184214,
  [SMALL_STATE(5019)] = 184235,
  [SMALL_STATE(5020)] = 184256,
  [SMALL_STATE(5021)] = 184277,
  [SMALL_STATE(5022)] = 184308,
  [SMALL_STATE(5023)] = 184337,
  [SMALL_STATE(5024)] = 184374,
  [SMALL_STATE(5025)] = 184395,
  [SMALL_STATE(5026)] = 184428,
  [SMALL_STATE(5027)] = 184463,
  [SMALL_STATE(5028)] = 184496,
  [SMALL_STATE(5029)] = 184533,
  [SMALL_STATE(5030)] = 184570,
  [SMALL_STATE(5031)] = 184591,
  [SMALL_STATE(5032)] = 184628,
  [SMALL_STATE(5033)] = 184661,
  [SMALL_STATE(5034)] = 184694,
  [SMALL_STATE(5035)] = 184717,
  [SMALL_STATE(5036)] = 184740,
  [SMALL_STATE(5037)] = 184777,
  [SMALL_STATE(5038)] = 184810,
  [SMALL_STATE(5039)] = 184843,
  [SMALL_STATE(5040)] = 184880,
  [SMALL_STATE(5041)] = 184911,
  [SMALL_STATE(5042)] = 184948,
  [SMALL_STATE(5043)] = 184985,
  [SMALL_STATE(5044)] = 185018,
  [SMALL_STATE(5045)] = 185055,
  [SMALL_STATE(5046)] = 185086,
  [SMALL_STATE(5047)] = 185123,
  [SMALL_STATE(5048)] = 185156,
  [SMALL_STATE(5049)] = 185193,
  [SMALL_STATE(5050)] = 185218,
  [SMALL_STATE(5051)] = 185251,
  [SMALL_STATE(5052)] = 185288,
  [SMALL_STATE(5053)] = 185325,
  [SMALL_STATE(5054)] = 185346,
  [SMALL_STATE(5055)] = 185367,
  [SMALL_STATE(5056)] = 185400,
  [SMALL_STATE(5057)] = 185421,
  [SMALL_STATE(5058)] = 185442,
  [SMALL_STATE(5059)] = 185479,
  [SMALL_STATE(5060)] = 185516,
  [SMALL_STATE(5061)] = 185537,
  [SMALL_STATE(5062)] = 185574,
  [SMALL_STATE(5063)] = 185595,
  [SMALL_STATE(5064)] = 185616,
  [SMALL_STATE(5065)] = 185649,
  [SMALL_STATE(5066)] = 185686,
  [SMALL_STATE(5067)] = 185717,
  [SMALL_STATE(5068)] = 185738,
  [SMALL_STATE(5069)] = 185759,
  [SMALL_STATE(5070)] = 185782,
  [SMALL_STATE(5071)] = 185803,
  [SMALL_STATE(5072)] = 185840,
  [SMALL_STATE(5073)] = 185877,
  [SMALL_STATE(5074)] = 185904,
  [SMALL_STATE(5075)] = 185925,
  [SMALL_STATE(5076)] = 185946,
  [SMALL_STATE(5077)] = 185979,
  [SMALL_STATE(5078)] = 186000,
  [SMALL_STATE(5079)] = 186021,
  [SMALL_STATE(5080)] = 186058,
  [SMALL_STATE(5081)] = 186095,
  [SMALL_STATE(5082)] = 186132,
  [SMALL_STATE(5083)] = 186169,
  [SMALL_STATE(5084)] = 186204,
  [SMALL_STATE(5085)] = 186237,
  [SMALL_STATE(5086)] = 186268,
  [SMALL_STATE(5087)] = 186301,
  [SMALL_STATE(5088)] = 186334,
  [SMALL_STATE(5089)] = 186355,
  [SMALL_STATE(5090)] = 186388,
  [SMALL_STATE(5091)] = 186419,
  [SMALL_STATE(5092)] = 186452,
  [SMALL_STATE(5093)] = 186489,
  [SMALL_STATE(5094)] = 186510,
  [SMALL_STATE(5095)] = 186547,
  [SMALL_STATE(5096)] = 186584,
  [SMALL_STATE(5097)] = 186621,
  [SMALL_STATE(5098)] = 186658,
  [SMALL_STATE(5099)] = 186695,
  [SMALL_STATE(5100)] = 186716,
  [SMALL_STATE(5101)] = 186737,
  [SMALL_STATE(5102)] = 186770,
  [SMALL_STATE(5103)] = 186807,
  [SMALL_STATE(5104)] = 186840,
  [SMALL_STATE(5105)] = 186873,
  [SMALL_STATE(5106)] = 186894,
  [SMALL_STATE(5107)] = 186915,
  [SMALL_STATE(5108)] = 186952,
  [SMALL_STATE(5109)] = 186989,
  [SMALL_STATE(5110)] = 187010,
  [SMALL_STATE(5111)] = 187031,
  [SMALL_STATE(5112)] = 187064,
  [SMALL_STATE(5113)] = 187085,
  [SMALL_STATE(5114)] = 187118,
  [SMALL_STATE(5115)] = 187139,
  [SMALL_STATE(5116)] = 187176,
  [SMALL_STATE(5117)] = 187213,
  [SMALL_STATE(5118)] = 187234,
  [SMALL_STATE(5119)] = 187255,
  [SMALL_STATE(5120)] = 187292,
  [SMALL_STATE(5121)] = 187329,
  [SMALL_STATE(5122)] = 187366,
  [SMALL_STATE(5123)] = 187387,
  [SMALL_STATE(5124)] = 187424,
  [SMALL_STATE(5125)] = 187445,
  [SMALL_STATE(5126)] = 187466,
  [SMALL_STATE(5127)] = 187503,
  [SMALL_STATE(5128)] = 187524,
  [SMALL_STATE(5129)] = 187561,
  [SMALL_STATE(5130)] = 187598,
  [SMALL_STATE(5131)] = 187631,
  [SMALL_STATE(5132)] = 187662,
  [SMALL_STATE(5133)] = 187699,
  [SMALL_STATE(5134)] = 187720,
  [SMALL_STATE(5135)] = 187741,
  [SMALL_STATE(5136)] = 187778,
  [SMALL_STATE(5137)] = 187815,
  [SMALL_STATE(5138)] = 187852,
  [SMALL_STATE(5139)] = 187873,
  [SMALL_STATE(5140)] = 187904,
  [SMALL_STATE(5141)] = 187925,
  [SMALL_STATE(5142)] = 187946,
  [SMALL_STATE(5143)] = 187967,
  [SMALL_STATE(5144)] = 188000,
  [SMALL_STATE(5145)] = 188021,
  [SMALL_STATE(5146)] = 188054,
  [SMALL_STATE(5147)] = 188075,
  [SMALL_STATE(5148)] = 188098,
  [SMALL_STATE(5149)] = 188131,
  [SMALL_STATE(5150)] = 188168,
  [SMALL_STATE(5151)] = 188191,
  [SMALL_STATE(5152)] = 188212,
  [SMALL_STATE(5153)] = 188245,
  [SMALL_STATE(5154)] = 188282,
  [SMALL_STATE(5155)] = 188315,
  [SMALL_STATE(5156)] = 188352,
  [SMALL_STATE(5157)] = 188373,
  [SMALL_STATE(5158)] = 188406,
  [SMALL_STATE(5159)] = 188429,
  [SMALL_STATE(5160)] = 188460,
  [SMALL_STATE(5161)] = 188495,
  [SMALL_STATE(5162)] = 188518,
  [SMALL_STATE(5163)] = 188539,
  [SMALL_STATE(5164)] = 188576,
  [SMALL_STATE(5165)] = 188597,
  [SMALL_STATE(5166)] = 188618,
  [SMALL_STATE(5167)] = 188645,
  [SMALL_STATE(5168)] = 188682,
  [SMALL_STATE(5169)] = 188709,
  [SMALL_STATE(5170)] = 188742,
  [SMALL_STATE(5171)] = 188763,
  [SMALL_STATE(5172)] = 188784,
  [SMALL_STATE(5173)] = 188821,
  [SMALL_STATE(5174)] = 188854,
  [SMALL_STATE(5175)] = 188875,
  [SMALL_STATE(5176)] = 188900,
  [SMALL_STATE(5177)] = 188933,
  [SMALL_STATE(5178)] = 188956,
  [SMALL_STATE(5179)] = 188979,
  [SMALL_STATE(5180)] = 189013,
  [SMALL_STATE(5181)] = 189035,
  [SMALL_STATE(5182)] = 189055,
  [SMALL_STATE(5183)] = 189089,
  [SMALL_STATE(5184)] = 189123,
  [SMALL_STATE(5185)] = 189143,
  [SMALL_STATE(5186)] = 189177,
  [SMALL_STATE(5187)] = 189209,
  [SMALL_STATE(5188)] = 189241,
  [SMALL_STATE(5189)] = 189273,
  [SMALL_STATE(5190)] = 189301,
  [SMALL_STATE(5191)] = 189323,
  [SMALL_STATE(5192)] = 189351,
  [SMALL_STATE(5193)] = 189381,
  [SMALL_STATE(5194)] = 189413,
  [SMALL_STATE(5195)] = 189441,
  [SMALL_STATE(5196)] = 189469,
  [SMALL_STATE(5197)] = 189501,
  [SMALL_STATE(5198)] = 189529,
  [SMALL_STATE(5199)] = 189557,
  [SMALL_STATE(5200)] = 189585,
  [SMALL_STATE(5201)] = 189617,
  [SMALL_STATE(5202)] = 189649,
  [SMALL_STATE(5203)] = 189677,
  [SMALL_STATE(5204)] = 189705,
  [SMALL_STATE(5205)] = 189731,
  [SMALL_STATE(5206)] = 189757,
  [SMALL_STATE(5207)] = 189783,
  [SMALL_STATE(5208)] = 189809,
  [SMALL_STATE(5209)] = 189843,
  [SMALL_STATE(5210)] = 189869,
  [SMALL_STATE(5211)] = 189901,
  [SMALL_STATE(5212)] = 189935,
  [SMALL_STATE(5213)] = 189961,
  [SMALL_STATE(5214)] = 189987,
  [SMALL_STATE(5215)] = 190021,
  [SMALL_STATE(5216)] = 190043,
  [SMALL_STATE(5217)] = 190075,
  [SMALL_STATE(5218)] = 190109,
  [SMALL_STATE(5219)] = 190136,
  [SMALL_STATE(5220)] = 190163,
  [SMALL_STATE(5221)] = 190190,
  [SMALL_STATE(5222)] = 190217,
  [SMALL_STATE(5223)] = 190244,
  [SMALL_STATE(5224)] = 190267,
  [SMALL_STATE(5225)] = 190294,
  [SMALL_STATE(5226)] = 190323,
  [SMALL_STATE(5227)] = 190350,
  [SMALL_STATE(5228)] = 190381,
  [SMALL_STATE(5229)] = 190412,
  [SMALL_STATE(5230)] = 190435,
  [SMALL_STATE(5231)] = 190462,
  [SMALL_STATE(5232)] = 190489,
  [SMALL_STATE(5233)] = 190512,
  [SMALL_STATE(5234)] = 190539,
  [SMALL_STATE(5235)] = 190566,
  [SMALL_STATE(5236)] = 190597,
  [SMALL_STATE(5237)] = 190628,
  [SMALL_STATE(5238)] = 190651,
  [SMALL_STATE(5239)] = 190680,
  [SMALL_STATE(5240)] = 190711,
  [SMALL_STATE(5241)] = 190734,
  [SMALL_STATE(5242)] = 190761,
  [SMALL_STATE(5243)] = 190782,
  [SMALL_STATE(5244)] = 190809,
  [SMALL_STATE(5245)] = 190838,
  [SMALL_STATE(5246)] = 190865,
  [SMALL_STATE(5247)] = 190894,
  [SMALL_STATE(5248)] = 190917,
  [SMALL_STATE(5249)] = 190948,
  [SMALL_STATE(5250)] = 190977,
  [SMALL_STATE(5251)] = 191000,
  [SMALL_STATE(5252)] = 191031,
  [SMALL_STATE(5253)] = 191054,
  [SMALL_STATE(5254)] = 191085,
  [SMALL_STATE(5255)] = 191104,
  [SMALL_STATE(5256)] = 191123,
  [SMALL_STATE(5257)] = 191142,
  [SMALL_STATE(5258)] = 191165,
  [SMALL_STATE(5259)] = 191196,
  [SMALL_STATE(5260)] = 191215,
  [SMALL_STATE(5261)] = 191234,
  [SMALL_STATE(5262)] = 191265,
  [SMALL_STATE(5263)] = 191296,
  [SMALL_STATE(5264)] = 191325,
  [SMALL_STATE(5265)] = 191356,
  [SMALL_STATE(5266)] = 191387,
  [SMALL_STATE(5267)] = 191414,
  [SMALL_STATE(5268)] = 191445,
  [SMALL_STATE(5269)] = 191468,
  [SMALL_STATE(5270)] = 191499,
  [SMALL_STATE(5271)] = 191530,
  [SMALL_STATE(5272)] = 191561,
  [SMALL_STATE(5273)] = 191592,
  [SMALL_STATE(5274)] = 191623,
  [SMALL_STATE(5275)] = 191654,
  [SMALL_STATE(5276)] = 191685,
  [SMALL_STATE(5277)] = 191716,
  [SMALL_STATE(5278)] = 191739,
  [SMALL_STATE(5279)] = 191762,
  [SMALL_STATE(5280)] = 191793,
  [SMALL_STATE(5281)] = 191816,
  [SMALL_STATE(5282)] = 191839,
  [SMALL_STATE(5283)] = 191862,
  [SMALL_STATE(5284)] = 191885,
  [SMALL_STATE(5285)] = 191912,
  [SMALL_STATE(5286)] = 191943,
  [SMALL_STATE(5287)] = 191974,
  [SMALL_STATE(5288)] = 192005,
  [SMALL_STATE(5289)] = 192034,
  [SMALL_STATE(5290)] = 192065,
  [SMALL_STATE(5291)] = 192096,
  [SMALL_STATE(5292)] = 192125,
  [SMALL_STATE(5293)] = 192148,
  [SMALL_STATE(5294)] = 192169,
  [SMALL_STATE(5295)] = 192198,
  [SMALL_STATE(5296)] = 192229,
  [SMALL_STATE(5297)] = 192256,
  [SMALL_STATE(5298)] = 192279,
  [SMALL_STATE(5299)] = 192302,
  [SMALL_STATE(5300)] = 192325,
  [SMALL_STATE(5301)] = 192348,
  [SMALL_STATE(5302)] = 192379,
  [SMALL_STATE(5303)] = 192408,
  [SMALL_STATE(5304)] = 192435,
  [SMALL_STATE(5305)] = 192462,
  [SMALL_STATE(5306)] = 192489,
  [SMALL_STATE(5307)] = 192516,
  [SMALL_STATE(5308)] = 192547,
  [SMALL_STATE(5309)] = 192578,
  [SMALL_STATE(5310)] = 192609,
  [SMALL_STATE(5311)] = 192640,
  [SMALL_STATE(5312)] = 192671,
  [SMALL_STATE(5313)] = 192698,
  [SMALL_STATE(5314)] = 192729,
  [SMALL_STATE(5315)] = 192756,
  [SMALL_STATE(5316)] = 192783,
  [SMALL_STATE(5317)] = 192804,
  [SMALL_STATE(5318)] = 192831,
  [SMALL_STATE(5319)] = 192850,
  [SMALL_STATE(5320)] = 192869,
  [SMALL_STATE(5321)] = 192896,
  [SMALL_STATE(5322)] = 192925,
  [SMALL_STATE(5323)] = 192956,
  [SMALL_STATE(5324)] = 192983,
  [SMALL_STATE(5325)] = 193010,
  [SMALL_STATE(5326)] = 193029,
  [SMALL_STATE(5327)] = 193060,
  [SMALL_STATE(5328)] = 193087,
  [SMALL_STATE(5329)] = 193114,
  [SMALL_STATE(5330)] = 193145,
  [SMALL_STATE(5331)] = 193172,
  [SMALL_STATE(5332)] = 193199,
  [SMALL_STATE(5333)] = 193228,
  [SMALL_STATE(5334)] = 193255,
  [SMALL_STATE(5335)] = 193282,
  [SMALL_STATE(5336)] = 193309,
  [SMALL_STATE(5337)] = 193336,
  [SMALL_STATE(5338)] = 193361,
  [SMALL_STATE(5339)] = 193388,
  [SMALL_STATE(5340)] = 193415,
  [SMALL_STATE(5341)] = 193442,
  [SMALL_STATE(5342)] = 193463,
  [SMALL_STATE(5343)] = 193490,
  [SMALL_STATE(5344)] = 193521,
  [SMALL_STATE(5345)] = 193548,
  [SMALL_STATE(5346)] = 193575,
  [SMALL_STATE(5347)] = 193604,
  [SMALL_STATE(5348)] = 193635,
  [SMALL_STATE(5349)] = 193662,
  [SMALL_STATE(5350)] = 193689,
  [SMALL_STATE(5351)] = 193716,
  [SMALL_STATE(5352)] = 193747,
  [SMALL_STATE(5353)] = 193778,
  [SMALL_STATE(5354)] = 193805,
  [SMALL_STATE(5355)] = 193832,
  [SMALL_STATE(5356)] = 193861,
  [SMALL_STATE(5357)] = 193892,
  [SMALL_STATE(5358)] = 193919,
  [SMALL_STATE(5359)] = 193938,
  [SMALL_STATE(5360)] = 193969,
  [SMALL_STATE(5361)] = 193996,
  [SMALL_STATE(5362)] = 194023,
  [SMALL_STATE(5363)] = 194042,
  [SMALL_STATE(5364)] = 194069,
  [SMALL_STATE(5365)] = 194100,
  [SMALL_STATE(5366)] = 194127,
  [SMALL_STATE(5367)] = 194158,
  [SMALL_STATE(5368)] = 194189,
  [SMALL_STATE(5369)] = 194216,
  [SMALL_STATE(5370)] = 194243,
  [SMALL_STATE(5371)] = 194270,
  [SMALL_STATE(5372)] = 194297,
  [SMALL_STATE(5373)] = 194324,
  [SMALL_STATE(5374)] = 194353,
  [SMALL_STATE(5375)] = 194380,
  [SMALL_STATE(5376)] = 194405,
  [SMALL_STATE(5377)] = 194426,
  [SMALL_STATE(5378)] = 194453,
  [SMALL_STATE(5379)] = 194480,
  [SMALL_STATE(5380)] = 194507,
  [SMALL_STATE(5381)] = 194538,
  [SMALL_STATE(5382)] = 194565,
  [SMALL_STATE(5383)] = 194592,
  [SMALL_STATE(5384)] = 194621,
  [SMALL_STATE(5385)] = 194650,
  [SMALL_STATE(5386)] = 194677,
  [SMALL_STATE(5387)] = 194704,
  [SMALL_STATE(5388)] = 194731,
  [SMALL_STATE(5389)] = 194758,
  [SMALL_STATE(5390)] = 194789,
  [SMALL_STATE(5391)] = 194820,
  [SMALL_STATE(5392)] = 194851,
  [SMALL_STATE(5393)] = 194878,
  [SMALL_STATE(5394)] = 194905,
  [SMALL_STATE(5395)] = 194926,
  [SMALL_STATE(5396)] = 194953,
  [SMALL_STATE(5397)] = 194980,
  [SMALL_STATE(5398)] = 195011,
  [SMALL_STATE(5399)] = 195030,
  [SMALL_STATE(5400)] = 195061,
  [SMALL_STATE(5401)] = 195088,
  [SMALL_STATE(5402)] = 195115,
  [SMALL_STATE(5403)] = 195146,
  [SMALL_STATE(5404)] = 195173,
  [SMALL_STATE(5405)] = 195200,
  [SMALL_STATE(5406)] = 195221,
  [SMALL_STATE(5407)] = 195252,
  [SMALL_STATE(5408)] = 195271,
  [SMALL_STATE(5409)] = 195302,
  [SMALL_STATE(5410)] = 195331,
  [SMALL_STATE(5411)] = 195358,
  [SMALL_STATE(5412)] = 195385,
  [SMALL_STATE(5413)] = 195416,
  [SMALL_STATE(5414)] = 195447,
  [SMALL_STATE(5415)] = 195474,
  [SMALL_STATE(5416)] = 195501,
  [SMALL_STATE(5417)] = 195532,
  [SMALL_STATE(5418)] = 195551,
  [SMALL_STATE(5419)] = 195582,
  [SMALL_STATE(5420)] = 195609,
  [SMALL_STATE(5421)] = 195638,
  [SMALL_STATE(5422)] = 195661,
  [SMALL_STATE(5423)] = 195690,
  [SMALL_STATE(5424)] = 195721,
  [SMALL_STATE(5425)] = 195752,
  [SMALL_STATE(5426)] = 195779,
  [SMALL_STATE(5427)] = 195810,
  [SMALL_STATE(5428)] = 195841,
  [SMALL_STATE(5429)] = 195872,
  [SMALL_STATE(5430)] = 195899,
  [SMALL_STATE(5431)] = 195930,
  [SMALL_STATE(5432)] = 195961,
  [SMALL_STATE(5433)] = 195990,
  [SMALL_STATE(5434)] = 196021,
  [SMALL_STATE(5435)] = 196044,
  [SMALL_STATE(5436)] = 196071,
  [SMALL_STATE(5437)] = 196098,
  [SMALL_STATE(5438)] = 196121,
  [SMALL_STATE(5439)] = 196148,
  [SMALL_STATE(5440)] = 196175,
  [SMALL_STATE(5441)] = 196202,
  [SMALL_STATE(5442)] = 196225,
  [SMALL_STATE(5443)] = 196252,
  [SMALL_STATE(5444)] = 196279,
  [SMALL_STATE(5445)] = 196298,
  [SMALL_STATE(5446)] = 196321,
  [SMALL_STATE(5447)] = 196352,
  [SMALL_STATE(5448)] = 196383,
  [SMALL_STATE(5449)] = 196414,
  [SMALL_STATE(5450)] = 196441,
  [SMALL_STATE(5451)] = 196468,
  [SMALL_STATE(5452)] = 196487,
  [SMALL_STATE(5453)] = 196514,
  [SMALL_STATE(5454)] = 196545,
  [SMALL_STATE(5455)] = 196576,
  [SMALL_STATE(5456)] = 196607,
  [SMALL_STATE(5457)] = 196638,
  [SMALL_STATE(5458)] = 196665,
  [SMALL_STATE(5459)] = 196692,
  [SMALL_STATE(5460)] = 196723,
  [SMALL_STATE(5461)] = 196750,
  [SMALL_STATE(5462)] = 196777,
  [SMALL_STATE(5463)] = 196796,
  [SMALL_STATE(5464)] = 196819,
  [SMALL_STATE(5465)] = 196850,
  [SMALL_STATE(5466)] = 196881,
  [SMALL_STATE(5467)] = 196908,
  [SMALL_STATE(5468)] = 196937,
  [SMALL_STATE(5469)] = 196968,
  [SMALL_STATE(5470)] = 196999,
  [SMALL_STATE(5471)] = 197030,
  [SMALL_STATE(5472)] = 197057,
  [SMALL_STATE(5473)] = 197088,
  [SMALL_STATE(5474)] = 197107,
  [SMALL_STATE(5475)] = 197126,
  [SMALL_STATE(5476)] = 197145,
  [SMALL_STATE(5477)] = 197176,
  [SMALL_STATE(5478)] = 197195,
  [SMALL_STATE(5479)] = 197226,
  [SMALL_STATE(5480)] = 197257,
  [SMALL_STATE(5481)] = 197288,
  [SMALL_STATE(5482)] = 197319,
  [SMALL_STATE(5483)] = 197350,
  [SMALL_STATE(5484)] = 197377,
  [SMALL_STATE(5485)] = 197408,
  [SMALL_STATE(5486)] = 197435,
  [SMALL_STATE(5487)] = 197454,
  [SMALL_STATE(5488)] = 197473,
  [SMALL_STATE(5489)] = 197504,
  [SMALL_STATE(5490)] = 197523,
  [SMALL_STATE(5491)] = 197554,
  [SMALL_STATE(5492)] = 197581,
  [SMALL_STATE(5493)] = 197612,
  [SMALL_STATE(5494)] = 197631,
  [SMALL_STATE(5495)] = 197662,
  [SMALL_STATE(5496)] = 197681,
  [SMALL_STATE(5497)] = 197712,
  [SMALL_STATE(5498)] = 197731,
  [SMALL_STATE(5499)] = 197762,
  [SMALL_STATE(5500)] = 197793,
  [SMALL_STATE(5501)] = 197820,
  [SMALL_STATE(5502)] = 197841,
  [SMALL_STATE(5503)] = 197864,
  [SMALL_STATE(5504)] = 197891,
  [SMALL_STATE(5505)] = 197922,
  [SMALL_STATE(5506)] = 197953,
  [SMALL_STATE(5507)] = 197984,
  [SMALL_STATE(5508)] = 198015,
  [SMALL_STATE(5509)] = 198034,
  [SMALL_STATE(5510)] = 198065,
  [SMALL_STATE(5511)] = 198084,
  [SMALL_STATE(5512)] = 198107,
  [SMALL_STATE(5513)] = 198138,
  [SMALL_STATE(5514)] = 198156,
  [SMALL_STATE(5515)] = 198178,
  [SMALL_STATE(5516)] = 198198,
  [SMALL_STATE(5517)] = 198220,
  [SMALL_STATE(5518)] = 198240,
  [SMALL_STATE(5519)] = 198260,
  [SMALL_STATE(5520)] = 198280,
  [SMALL_STATE(5521)] = 198302,
  [SMALL_STATE(5522)] = 198330,
  [SMALL_STATE(5523)] = 198350,
  [SMALL_STATE(5524)] = 198378,
  [SMALL_STATE(5525)] = 198398,
  [SMALL_STATE(5526)] = 198426,
  [SMALL_STATE(5527)] = 198454,
  [SMALL_STATE(5528)] = 198474,
  [SMALL_STATE(5529)] = 198502,
  [SMALL_STATE(5530)] = 198522,
  [SMALL_STATE(5531)] = 198544,
  [SMALL_STATE(5532)] = 198566,
  [SMALL_STATE(5533)] = 198588,
  [SMALL_STATE(5534)] = 198616,
  [SMALL_STATE(5535)] = 198644,
  [SMALL_STATE(5536)] = 198666,
  [SMALL_STATE(5537)] = 198692,
  [SMALL_STATE(5538)] = 198714,
  [SMALL_STATE(5539)] = 198742,
  [SMALL_STATE(5540)] = 198768,
  [SMALL_STATE(5541)] = 198790,
  [SMALL_STATE(5542)] = 198812,
  [SMALL_STATE(5543)] = 198838,
  [SMALL_STATE(5544)] = 198866,
  [SMALL_STATE(5545)] = 198886,
  [SMALL_STATE(5546)] = 198908,
  [SMALL_STATE(5547)] = 198936,
  [SMALL_STATE(5548)] = 198964,
  [SMALL_STATE(5549)] = 198986,
  [SMALL_STATE(5550)] = 199010,
  [SMALL_STATE(5551)] = 199032,
  [SMALL_STATE(5552)] = 199058,
  [SMALL_STATE(5553)] = 199086,
  [SMALL_STATE(5554)] = 199114,
  [SMALL_STATE(5555)] = 199136,
  [SMALL_STATE(5556)] = 199162,
  [SMALL_STATE(5557)] = 199190,
  [SMALL_STATE(5558)] = 199218,
  [SMALL_STATE(5559)] = 199240,
  [SMALL_STATE(5560)] = 199268,
  [SMALL_STATE(5561)] = 199294,
  [SMALL_STATE(5562)] = 199322,
  [SMALL_STATE(5563)] = 199350,
  [SMALL_STATE(5564)] = 199372,
  [SMALL_STATE(5565)] = 199398,
  [SMALL_STATE(5566)] = 199426,
  [SMALL_STATE(5567)] = 199454,
  [SMALL_STATE(5568)] = 199472,
  [SMALL_STATE(5569)] = 199500,
  [SMALL_STATE(5570)] = 199526,
  [SMALL_STATE(5571)] = 199554,
  [SMALL_STATE(5572)] = 199582,
  [SMALL_STATE(5573)] = 199610,
  [SMALL_STATE(5574)] = 199638,
  [SMALL_STATE(5575)] = 199664,
  [SMALL_STATE(5576)] = 199686,
  [SMALL_STATE(5577)] = 199704,
  [SMALL_STATE(5578)] = 199730,
  [SMALL_STATE(5579)] = 199758,
  [SMALL_STATE(5580)] = 199786,
  [SMALL_STATE(5581)] = 199804,
  [SMALL_STATE(5582)] = 199826,
  [SMALL_STATE(5583)] = 199846,
  [SMALL_STATE(5584)] = 199870,
  [SMALL_STATE(5585)] = 199896,
  [SMALL_STATE(5586)] = 199922,
  [SMALL_STATE(5587)] = 199944,
  [SMALL_STATE(5588)] = 199970,
  [SMALL_STATE(5589)] = 199998,
  [SMALL_STATE(5590)] = 200026,
  [SMALL_STATE(5591)] = 200048,
  [SMALL_STATE(5592)] = 200074,
  [SMALL_STATE(5593)] = 200102,
  [SMALL_STATE(5594)] = 200130,
  [SMALL_STATE(5595)] = 200148,
  [SMALL_STATE(5596)] = 200176,
  [SMALL_STATE(5597)] = 200198,
  [SMALL_STATE(5598)] = 200226,
  [SMALL_STATE(5599)] = 200254,
  [SMALL_STATE(5600)] = 200276,
  [SMALL_STATE(5601)] = 200304,
  [SMALL_STATE(5602)] = 200326,
  [SMALL_STATE(5603)] = 200344,
  [SMALL_STATE(5604)] = 200364,
  [SMALL_STATE(5605)] = 200390,
  [SMALL_STATE(5606)] = 200418,
  [SMALL_STATE(5607)] = 200446,
  [SMALL_STATE(5608)] = 200472,
  [SMALL_STATE(5609)] = 200500,
  [SMALL_STATE(5610)] = 200528,
  [SMALL_STATE(5611)] = 200556,
  [SMALL_STATE(5612)] = 200584,
  [SMALL_STATE(5613)] = 200606,
  [SMALL_STATE(5614)] = 200632,
  [SMALL_STATE(5615)] = 200650,
  [SMALL_STATE(5616)] = 200672,
  [SMALL_STATE(5617)] = 200696,
  [SMALL_STATE(5618)] = 200722,
  [SMALL_STATE(5619)] = 200750,
  [SMALL_STATE(5620)] = 200778,
  [SMALL_STATE(5621)] = 200806,
  [SMALL_STATE(5622)] = 200832,
  [SMALL_STATE(5623)] = 200858,
  [SMALL_STATE(5624)] = 200876,
  [SMALL_STATE(5625)] = 200904,
  [SMALL_STATE(5626)] = 200932,
  [SMALL_STATE(5627)] = 200960,
  [SMALL_STATE(5628)] = 200988,
  [SMALL_STATE(5629)] = 201014,
  [SMALL_STATE(5630)] = 201036,
  [SMALL_STATE(5631)] = 201062,
  [SMALL_STATE(5632)] = 201084,
  [SMALL_STATE(5633)] = 201106,
  [SMALL_STATE(5634)] = 201128,
  [SMALL_STATE(5635)] = 201146,
  [SMALL_STATE(5636)] = 201172,
  [SMALL_STATE(5637)] = 201194,
  [SMALL_STATE(5638)] = 201222,
  [SMALL_STATE(5639)] = 201250,
  [SMALL_STATE(5640)] = 201272,
  [SMALL_STATE(5641)] = 201300,
  [SMALL_STATE(5642)] = 201322,
  [SMALL_STATE(5643)] = 201350,
  [SMALL_STATE(5644)] = 201378,
  [SMALL_STATE(5645)] = 201406,
  [SMALL_STATE(5646)] = 201428,
  [SMALL_STATE(5647)] = 201450,
  [SMALL_STATE(5648)] = 201478,
  [SMALL_STATE(5649)] = 201500,
  [SMALL_STATE(5650)] = 201522,
  [SMALL_STATE(5651)] = 201548,
  [SMALL_STATE(5652)] = 201576,
  [SMALL_STATE(5653)] = 201598,
  [SMALL_STATE(5654)] = 201624,
  [SMALL_STATE(5655)] = 201652,
  [SMALL_STATE(5656)] = 201680,
  [SMALL_STATE(5657)] = 201706,
  [SMALL_STATE(5658)] = 201728,
  [SMALL_STATE(5659)] = 201750,
  [SMALL_STATE(5660)] = 201778,
  [SMALL_STATE(5661)] = 201800,
  [SMALL_STATE(5662)] = 201828,
  [SMALL_STATE(5663)] = 201856,
  [SMALL_STATE(5664)] = 201884,
  [SMALL_STATE(5665)] = 201906,
  [SMALL_STATE(5666)] = 201928,
  [SMALL_STATE(5667)] = 201950,
  [SMALL_STATE(5668)] = 201972,
  [SMALL_STATE(5669)] = 201994,
  [SMALL_STATE(5670)] = 202022,
  [SMALL_STATE(5671)] = 202050,
  [SMALL_STATE(5672)] = 202072,
  [SMALL_STATE(5673)] = 202094,
  [SMALL_STATE(5674)] = 202116,
  [SMALL_STATE(5675)] = 202138,
  [SMALL_STATE(5676)] = 202160,
  [SMALL_STATE(5677)] = 202186,
  [SMALL_STATE(5678)] = 202208,
  [SMALL_STATE(5679)] = 202230,
  [SMALL_STATE(5680)] = 202252,
  [SMALL_STATE(5681)] = 202280,
  [SMALL_STATE(5682)] = 202302,
  [SMALL_STATE(5683)] = 202330,
  [SMALL_STATE(5684)] = 202352,
  [SMALL_STATE(5685)] = 202374,
  [SMALL_STATE(5686)] = 202396,
  [SMALL_STATE(5687)] = 202418,
  [SMALL_STATE(5688)] = 202440,
  [SMALL_STATE(5689)] = 202468,
  [SMALL_STATE(5690)] = 202490,
  [SMALL_STATE(5691)] = 202518,
  [SMALL_STATE(5692)] = 202536,
  [SMALL_STATE(5693)] = 202562,
  [SMALL_STATE(5694)] = 202590,
  [SMALL_STATE(5695)] = 202616,
  [SMALL_STATE(5696)] = 202644,
  [SMALL_STATE(5697)] = 202672,
  [SMALL_STATE(5698)] = 202700,
  [SMALL_STATE(5699)] = 202722,
  [SMALL_STATE(5700)] = 202750,
  [SMALL_STATE(5701)] = 202778,
  [SMALL_STATE(5702)] = 202800,
  [SMALL_STATE(5703)] = 202822,
  [SMALL_STATE(5704)] = 202850,
  [SMALL_STATE(5705)] = 202868,
  [SMALL_STATE(5706)] = 202886,
  [SMALL_STATE(5707)] = 202904,
  [SMALL_STATE(5708)] = 202924,
  [SMALL_STATE(5709)] = 202952,
  [SMALL_STATE(5710)] = 202978,
  [SMALL_STATE(5711)] = 203000,
  [SMALL_STATE(5712)] = 203028,
  [SMALL_STATE(5713)] = 203056,
  [SMALL_STATE(5714)] = 203084,
  [SMALL_STATE(5715)] = 203112,
  [SMALL_STATE(5716)] = 203138,
  [SMALL_STATE(5717)] = 203166,
  [SMALL_STATE(5718)] = 203194,
  [SMALL_STATE(5719)] = 203222,
  [SMALL_STATE(5720)] = 203246,
  [SMALL_STATE(5721)] = 203274,
  [SMALL_STATE(5722)] = 203302,
  [SMALL_STATE(5723)] = 203330,
  [SMALL_STATE(5724)] = 203358,
  [SMALL_STATE(5725)] = 203386,
  [SMALL_STATE(5726)] = 203414,
  [SMALL_STATE(5727)] = 203432,
  [SMALL_STATE(5728)] = 203460,
  [SMALL_STATE(5729)] = 203486,
  [SMALL_STATE(5730)] = 203512,
  [SMALL_STATE(5731)] = 203534,
  [SMALL_STATE(5732)] = 203562,
  [SMALL_STATE(5733)] = 203590,
  [SMALL_STATE(5734)] = 203618,
  [SMALL_STATE(5735)] = 203640,
  [SMALL_STATE(5736)] = 203662,
  [SMALL_STATE(5737)] = 203684,
  [SMALL_STATE(5738)] = 203712,
  [SMALL_STATE(5739)] = 203734,
  [SMALL_STATE(5740)] = 203762,
  [SMALL_STATE(5741)] = 203784,
  [SMALL_STATE(5742)] = 203806,
  [SMALL_STATE(5743)] = 203831,
  [SMALL_STATE(5744)] = 203854,
  [SMALL_STATE(5745)] = 203879,
  [SMALL_STATE(5746)] = 203900,
  [SMALL_STATE(5747)] = 203921,
  [SMALL_STATE(5748)] = 203946,
  [SMALL_STATE(5749)] = 203971,
  [SMALL_STATE(5750)] = 203988,
  [SMALL_STATE(5751)] = 204009,
  [SMALL_STATE(5752)] = 204030,
  [SMALL_STATE(5753)] = 204055,
  [SMALL_STATE(5754)] = 204076,
  [SMALL_STATE(5755)] = 204101,
  [SMALL_STATE(5756)] = 204122,
  [SMALL_STATE(5757)] = 204139,
  [SMALL_STATE(5758)] = 204164,
  [SMALL_STATE(5759)] = 204185,
  [SMALL_STATE(5760)] = 204206,
  [SMALL_STATE(5761)] = 204231,
  [SMALL_STATE(5762)] = 204252,
  [SMALL_STATE(5763)] = 204273,
  [SMALL_STATE(5764)] = 204298,
  [SMALL_STATE(5765)] = 204323,
  [SMALL_STATE(5766)] = 204348,
  [SMALL_STATE(5767)] = 204369,
  [SMALL_STATE(5768)] = 204394,
  [SMALL_STATE(5769)] = 204415,
  [SMALL_STATE(5770)] = 204440,
  [SMALL_STATE(5771)] = 204457,
  [SMALL_STATE(5772)] = 204474,
  [SMALL_STATE(5773)] = 204491,
  [SMALL_STATE(5774)] = 204516,
  [SMALL_STATE(5775)] = 204533,
  [SMALL_STATE(5776)] = 204556,
  [SMALL_STATE(5777)] = 204581,
  [SMALL_STATE(5778)] = 204606,
  [SMALL_STATE(5779)] = 204627,
  [SMALL_STATE(5780)] = 204652,
  [SMALL_STATE(5781)] = 204673,
  [SMALL_STATE(5782)] = 204690,
  [SMALL_STATE(5783)] = 204715,
  [SMALL_STATE(5784)] = 204732,
  [SMALL_STATE(5785)] = 204753,
  [SMALL_STATE(5786)] = 204778,
  [SMALL_STATE(5787)] = 204803,
  [SMALL_STATE(5788)] = 204824,
  [SMALL_STATE(5789)] = 204841,
  [SMALL_STATE(5790)] = 204866,
  [SMALL_STATE(5791)] = 204883,
  [SMALL_STATE(5792)] = 204904,
  [SMALL_STATE(5793)] = 204921,
  [SMALL_STATE(5794)] = 204942,
  [SMALL_STATE(5795)] = 204967,
  [SMALL_STATE(5796)] = 204992,
  [SMALL_STATE(5797)] = 205009,
  [SMALL_STATE(5798)] = 205026,
  [SMALL_STATE(5799)] = 205051,
  [SMALL_STATE(5800)] = 205068,
  [SMALL_STATE(5801)] = 205085,
  [SMALL_STATE(5802)] = 205110,
  [SMALL_STATE(5803)] = 205131,
  [SMALL_STATE(5804)] = 205152,
  [SMALL_STATE(5805)] = 205173,
  [SMALL_STATE(5806)] = 205190,
  [SMALL_STATE(5807)] = 205211,
  [SMALL_STATE(5808)] = 205236,
  [SMALL_STATE(5809)] = 205253,
  [SMALL_STATE(5810)] = 205274,
  [SMALL_STATE(5811)] = 205299,
  [SMALL_STATE(5812)] = 205322,
  [SMALL_STATE(5813)] = 205339,
  [SMALL_STATE(5814)] = 205360,
  [SMALL_STATE(5815)] = 205381,
  [SMALL_STATE(5816)] = 205400,
  [SMALL_STATE(5817)] = 205421,
  [SMALL_STATE(5818)] = 205446,
  [SMALL_STATE(5819)] = 205467,
  [SMALL_STATE(5820)] = 205484,
  [SMALL_STATE(5821)] = 205505,
  [SMALL_STATE(5822)] = 205526,
  [SMALL_STATE(5823)] = 205547,
  [SMALL_STATE(5824)] = 205568,
  [SMALL_STATE(5825)] = 205591,
  [SMALL_STATE(5826)] = 205616,
  [SMALL_STATE(5827)] = 205633,
  [SMALL_STATE(5828)] = 205658,
  [SMALL_STATE(5829)] = 205679,
  [SMALL_STATE(5830)] = 205704,
  [SMALL_STATE(5831)] = 205725,
  [SMALL_STATE(5832)] = 205742,
  [SMALL_STATE(5833)] = 205759,
  [SMALL_STATE(5834)] = 205776,
  [SMALL_STATE(5835)] = 205793,
  [SMALL_STATE(5836)] = 205814,
  [SMALL_STATE(5837)] = 205837,
  [SMALL_STATE(5838)] = 205858,
  [SMALL_STATE(5839)] = 205883,
  [SMALL_STATE(5840)] = 205904,
  [SMALL_STATE(5841)] = 205925,
  [SMALL_STATE(5842)] = 205950,
  [SMALL_STATE(5843)] = 205971,
  [SMALL_STATE(5844)] = 205996,
  [SMALL_STATE(5845)] = 206021,
  [SMALL_STATE(5846)] = 206046,
  [SMALL_STATE(5847)] = 206067,
  [SMALL_STATE(5848)] = 206088,
  [SMALL_STATE(5849)] = 206109,
  [SMALL_STATE(5850)] = 206134,
  [SMALL_STATE(5851)] = 206155,
  [SMALL_STATE(5852)] = 206176,
  [SMALL_STATE(5853)] = 206193,
  [SMALL_STATE(5854)] = 206210,
  [SMALL_STATE(5855)] = 206235,
  [SMALL_STATE(5856)] = 206256,
  [SMALL_STATE(5857)] = 206277,
  [SMALL_STATE(5858)] = 206294,
  [SMALL_STATE(5859)] = 206319,
  [SMALL_STATE(5860)] = 206344,
  [SMALL_STATE(5861)] = 206365,
  [SMALL_STATE(5862)] = 206382,
  [SMALL_STATE(5863)] = 206407,
  [SMALL_STATE(5864)] = 206430,
  [SMALL_STATE(5865)] = 206447,
  [SMALL_STATE(5866)] = 206468,
  [SMALL_STATE(5867)] = 206493,
  [SMALL_STATE(5868)] = 206518,
  [SMALL_STATE(5869)] = 206539,
  [SMALL_STATE(5870)] = 206564,
  [SMALL_STATE(5871)] = 206587,
  [SMALL_STATE(5872)] = 206612,
  [SMALL_STATE(5873)] = 206637,
  [SMALL_STATE(5874)] = 206658,
  [SMALL_STATE(5875)] = 206675,
  [SMALL_STATE(5876)] = 206700,
  [SMALL_STATE(5877)] = 206725,
  [SMALL_STATE(5878)] = 206746,
  [SMALL_STATE(5879)] = 206771,
  [SMALL_STATE(5880)] = 206796,
  [SMALL_STATE(5881)] = 206817,
  [SMALL_STATE(5882)] = 206838,
  [SMALL_STATE(5883)] = 206863,
  [SMALL_STATE(5884)] = 206888,
  [SMALL_STATE(5885)] = 206909,
  [SMALL_STATE(5886)] = 206926,
  [SMALL_STATE(5887)] = 206947,
  [SMALL_STATE(5888)] = 206968,
  [SMALL_STATE(5889)] = 206993,
  [SMALL_STATE(5890)] = 207014,
  [SMALL_STATE(5891)] = 207039,
  [SMALL_STATE(5892)] = 207064,
  [SMALL_STATE(5893)] = 207089,
  [SMALL_STATE(5894)] = 207110,
  [SMALL_STATE(5895)] = 207135,
  [SMALL_STATE(5896)] = 207160,
  [SMALL_STATE(5897)] = 207181,
  [SMALL_STATE(5898)] = 207202,
  [SMALL_STATE(5899)] = 207223,
  [SMALL_STATE(5900)] = 207244,
  [SMALL_STATE(5901)] = 207267,
  [SMALL_STATE(5902)] = 207288,
  [SMALL_STATE(5903)] = 207313,
  [SMALL_STATE(5904)] = 207332,
  [SMALL_STATE(5905)] = 207353,
  [SMALL_STATE(5906)] = 207370,
  [SMALL_STATE(5907)] = 207391,
  [SMALL_STATE(5908)] = 207416,
  [SMALL_STATE(5909)] = 207437,
  [SMALL_STATE(5910)] = 207458,
  [SMALL_STATE(5911)] = 207475,
  [SMALL_STATE(5912)] = 207496,
  [SMALL_STATE(5913)] = 207517,
  [SMALL_STATE(5914)] = 207542,
  [SMALL_STATE(5915)] = 207559,
  [SMALL_STATE(5916)] = 207576,
  [SMALL_STATE(5917)] = 207593,
  [SMALL_STATE(5918)] = 207618,
  [SMALL_STATE(5919)] = 207635,
  [SMALL_STATE(5920)] = 207652,
  [SMALL_STATE(5921)] = 207669,
  [SMALL_STATE(5922)] = 207686,
  [SMALL_STATE(5923)] = 207703,
  [SMALL_STATE(5924)] = 207728,
  [SMALL_STATE(5925)] = 207745,
  [SMALL_STATE(5926)] = 207770,
  [SMALL_STATE(5927)] = 207791,
  [SMALL_STATE(5928)] = 207816,
  [SMALL_STATE(5929)] = 207841,
  [SMALL_STATE(5930)] = 207858,
  [SMALL_STATE(5931)] = 207883,
  [SMALL_STATE(5932)] = 207904,
  [SMALL_STATE(5933)] = 207925,
  [SMALL_STATE(5934)] = 207948,
  [SMALL_STATE(5935)] = 207969,
  [SMALL_STATE(5936)] = 207990,
  [SMALL_STATE(5937)] = 208011,
  [SMALL_STATE(5938)] = 208028,
  [SMALL_STATE(5939)] = 208049,
  [SMALL_STATE(5940)] = 208070,
  [SMALL_STATE(5941)] = 208091,
  [SMALL_STATE(5942)] = 208116,
  [SMALL_STATE(5943)] = 208137,
  [SMALL_STATE(5944)] = 208160,
  [SMALL_STATE(5945)] = 208183,
  [SMALL_STATE(5946)] = 208204,
  [SMALL_STATE(5947)] = 208221,
  [SMALL_STATE(5948)] = 208242,
  [SMALL_STATE(5949)] = 208263,
  [SMALL_STATE(5950)] = 208280,
  [SMALL_STATE(5951)] = 208301,
  [SMALL_STATE(5952)] = 208326,
  [SMALL_STATE(5953)] = 208347,
  [SMALL_STATE(5954)] = 208370,
  [SMALL_STATE(5955)] = 208395,
  [SMALL_STATE(5956)] = 208420,
  [SMALL_STATE(5957)] = 208437,
  [SMALL_STATE(5958)] = 208458,
  [SMALL_STATE(5959)] = 208479,
  [SMALL_STATE(5960)] = 208500,
  [SMALL_STATE(5961)] = 208525,
  [SMALL_STATE(5962)] = 208550,
  [SMALL_STATE(5963)] = 208567,
  [SMALL_STATE(5964)] = 208592,
  [SMALL_STATE(5965)] = 208609,
  [SMALL_STATE(5966)] = 208630,
  [SMALL_STATE(5967)] = 208651,
  [SMALL_STATE(5968)] = 208676,
  [SMALL_STATE(5969)] = 208697,
  [SMALL_STATE(5970)] = 208718,
  [SMALL_STATE(5971)] = 208743,
  [SMALL_STATE(5972)] = 208768,
  [SMALL_STATE(5973)] = 208789,
  [SMALL_STATE(5974)] = 208812,
  [SMALL_STATE(5975)] = 208829,
  [SMALL_STATE(5976)] = 208846,
  [SMALL_STATE(5977)] = 208863,
  [SMALL_STATE(5978)] = 208888,
  [SMALL_STATE(5979)] = 208909,
  [SMALL_STATE(5980)] = 208926,
  [SMALL_STATE(5981)] = 208947,
  [SMALL_STATE(5982)] = 208968,
  [SMALL_STATE(5983)] = 208993,
  [SMALL_STATE(5984)] = 209018,
  [SMALL_STATE(5985)] = 209039,
  [SMALL_STATE(5986)] = 209064,
  [SMALL_STATE(5987)] = 209089,
  [SMALL_STATE(5988)] = 209114,
  [SMALL_STATE(5989)] = 209135,
  [SMALL_STATE(5990)] = 209156,
  [SMALL_STATE(5991)] = 209181,
  [SMALL_STATE(5992)] = 209202,
  [SMALL_STATE(5993)] = 209223,
  [SMALL_STATE(5994)] = 209240,
  [SMALL_STATE(5995)] = 209265,
  [SMALL_STATE(5996)] = 209290,
  [SMALL_STATE(5997)] = 209315,
  [SMALL_STATE(5998)] = 209332,
  [SMALL_STATE(5999)] = 209355,
  [SMALL_STATE(6000)] = 209372,
  [SMALL_STATE(6001)] = 209393,
  [SMALL_STATE(6002)] = 209414,
  [SMALL_STATE(6003)] = 209437,
  [SMALL_STATE(6004)] = 209462,
  [SMALL_STATE(6005)] = 209487,
  [SMALL_STATE(6006)] = 209508,
  [SMALL_STATE(6007)] = 209529,
  [SMALL_STATE(6008)] = 209554,
  [SMALL_STATE(6009)] = 209577,
  [SMALL_STATE(6010)] = 209602,
  [SMALL_STATE(6011)] = 209623,
  [SMALL_STATE(6012)] = 209644,
  [SMALL_STATE(6013)] = 209665,
  [SMALL_STATE(6014)] = 209688,
  [SMALL_STATE(6015)] = 209711,
  [SMALL_STATE(6016)] = 209732,
  [SMALL_STATE(6017)] = 209753,
  [SMALL_STATE(6018)] = 209778,
  [SMALL_STATE(6019)] = 209799,
  [SMALL_STATE(6020)] = 209820,
  [SMALL_STATE(6021)] = 209841,
  [SMALL_STATE(6022)] = 209858,
  [SMALL_STATE(6023)] = 209883,
  [SMALL_STATE(6024)] = 209904,
  [SMALL_STATE(6025)] = 209929,
  [SMALL_STATE(6026)] = 209946,
  [SMALL_STATE(6027)] = 209967,
  [SMALL_STATE(6028)] = 209988,
  [SMALL_STATE(6029)] = 210009,
  [SMALL_STATE(6030)] = 210030,
  [SMALL_STATE(6031)] = 210055,
  [SMALL_STATE(6032)] = 210076,
  [SMALL_STATE(6033)] = 210093,
  [SMALL_STATE(6034)] = 210114,
  [SMALL_STATE(6035)] = 210131,
  [SMALL_STATE(6036)] = 210148,
  [SMALL_STATE(6037)] = 210173,
  [SMALL_STATE(6038)] = 210194,
  [SMALL_STATE(6039)] = 210219,
  [SMALL_STATE(6040)] = 210236,
  [SMALL_STATE(6041)] = 210257,
  [SMALL_STATE(6042)] = 210274,
  [SMALL_STATE(6043)] = 210291,
  [SMALL_STATE(6044)] = 210316,
  [SMALL_STATE(6045)] = 210337,
  [SMALL_STATE(6046)] = 210354,
  [SMALL_STATE(6047)] = 210379,
  [SMALL_STATE(6048)] = 210402,
  [SMALL_STATE(6049)] = 210419,
  [SMALL_STATE(6050)] = 210444,
  [SMALL_STATE(6051)] = 210469,
  [SMALL_STATE(6052)] = 210492,
  [SMALL_STATE(6053)] = 210517,
  [SMALL_STATE(6054)] = 210542,
  [SMALL_STATE(6055)] = 210567,
  [SMALL_STATE(6056)] = 210592,
  [SMALL_STATE(6057)] = 210617,
  [SMALL_STATE(6058)] = 210640,
  [SMALL_STATE(6059)] = 210665,
  [SMALL_STATE(6060)] = 210690,
  [SMALL_STATE(6061)] = 210715,
  [SMALL_STATE(6062)] = 210740,
  [SMALL_STATE(6063)] = 210765,
  [SMALL_STATE(6064)] = 210790,
  [SMALL_STATE(6065)] = 210807,
  [SMALL_STATE(6066)] = 210828,
  [SMALL_STATE(6067)] = 210853,
  [SMALL_STATE(6068)] = 210878,
  [SMALL_STATE(6069)] = 210895,
  [SMALL_STATE(6070)] = 210912,
  [SMALL_STATE(6071)] = 210937,
  [SMALL_STATE(6072)] = 210962,
  [SMALL_STATE(6073)] = 210979,
  [SMALL_STATE(6074)] = 210996,
  [SMALL_STATE(6075)] = 211019,
  [SMALL_STATE(6076)] = 211044,
  [SMALL_STATE(6077)] = 211061,
  [SMALL_STATE(6078)] = 211078,
  [SMALL_STATE(6079)] = 211103,
  [SMALL_STATE(6080)] = 211120,
  [SMALL_STATE(6081)] = 211145,
  [SMALL_STATE(6082)] = 211162,
  [SMALL_STATE(6083)] = 211183,
  [SMALL_STATE(6084)] = 211200,
  [SMALL_STATE(6085)] = 211225,
  [SMALL_STATE(6086)] = 211242,
  [SMALL_STATE(6087)] = 211265,
  [SMALL_STATE(6088)] = 211288,
  [SMALL_STATE(6089)] = 211313,
  [SMALL_STATE(6090)] = 211330,
  [SMALL_STATE(6091)] = 211347,
  [SMALL_STATE(6092)] = 211372,
  [SMALL_STATE(6093)] = 211397,
  [SMALL_STATE(6094)] = 211418,
  [SMALL_STATE(6095)] = 211439,
  [SMALL_STATE(6096)] = 211464,
  [SMALL_STATE(6097)] = 211485,
  [SMALL_STATE(6098)] = 211510,
  [SMALL_STATE(6099)] = 211531,
  [SMALL_STATE(6100)] = 211554,
  [SMALL_STATE(6101)] = 211579,
  [SMALL_STATE(6102)] = 211600,
  [SMALL_STATE(6103)] = 211621,
  [SMALL_STATE(6104)] = 211646,
  [SMALL_STATE(6105)] = 211669,
  [SMALL_STATE(6106)] = 211694,
  [SMALL_STATE(6107)] = 211719,
  [SMALL_STATE(6108)] = 211744,
  [SMALL_STATE(6109)] = 211761,
  [SMALL_STATE(6110)] = 211784,
  [SMALL_STATE(6111)] = 211801,
  [SMALL_STATE(6112)] = 211818,
  [SMALL_STATE(6113)] = 211843,
  [SMALL_STATE(6114)] = 211860,
  [SMALL_STATE(6115)] = 211885,
  [SMALL_STATE(6116)] = 211910,
  [SMALL_STATE(6117)] = 211927,
  [SMALL_STATE(6118)] = 211944,
  [SMALL_STATE(6119)] = 211969,
  [SMALL_STATE(6120)] = 211994,
  [SMALL_STATE(6121)] = 212015,
  [SMALL_STATE(6122)] = 212040,
  [SMALL_STATE(6123)] = 212065,
  [SMALL_STATE(6124)] = 212090,
  [SMALL_STATE(6125)] = 212113,
  [SMALL_STATE(6126)] = 212138,
  [SMALL_STATE(6127)] = 212155,
  [SMALL_STATE(6128)] = 212172,
  [SMALL_STATE(6129)] = 212189,
  [SMALL_STATE(6130)] = 212206,
  [SMALL_STATE(6131)] = 212231,
  [SMALL_STATE(6132)] = 212248,
  [SMALL_STATE(6133)] = 212265,
  [SMALL_STATE(6134)] = 212282,
  [SMALL_STATE(6135)] = 212299,
  [SMALL_STATE(6136)] = 212324,
  [SMALL_STATE(6137)] = 212341,
  [SMALL_STATE(6138)] = 212358,
  [SMALL_STATE(6139)] = 212375,
  [SMALL_STATE(6140)] = 212400,
  [SMALL_STATE(6141)] = 212417,
  [SMALL_STATE(6142)] = 212434,
  [SMALL_STATE(6143)] = 212459,
  [SMALL_STATE(6144)] = 212476,
  [SMALL_STATE(6145)] = 212501,
  [SMALL_STATE(6146)] = 212518,
  [SMALL_STATE(6147)] = 212543,
  [SMALL_STATE(6148)] = 212568,
  [SMALL_STATE(6149)] = 212593,
  [SMALL_STATE(6150)] = 212614,
  [SMALL_STATE(6151)] = 212639,
  [SMALL_STATE(6152)] = 212664,
  [SMALL_STATE(6153)] = 212685,
  [SMALL_STATE(6154)] = 212710,
  [SMALL_STATE(6155)] = 212727,
  [SMALL_STATE(6156)] = 212744,
  [SMALL_STATE(6157)] = 212761,
  [SMALL_STATE(6158)] = 212782,
  [SMALL_STATE(6159)] = 212799,
  [SMALL_STATE(6160)] = 212816,
  [SMALL_STATE(6161)] = 212833,
  [SMALL_STATE(6162)] = 212850,
  [SMALL_STATE(6163)] = 212867,
  [SMALL_STATE(6164)] = 212884,
  [SMALL_STATE(6165)] = 212901,
  [SMALL_STATE(6166)] = 212918,
  [SMALL_STATE(6167)] = 212943,
  [SMALL_STATE(6168)] = 212964,
  [SMALL_STATE(6169)] = 212985,
  [SMALL_STATE(6170)] = 213010,
  [SMALL_STATE(6171)] = 213027,
  [SMALL_STATE(6172)] = 213048,
  [SMALL_STATE(6173)] = 213069,
  [SMALL_STATE(6174)] = 213086,
  [SMALL_STATE(6175)] = 213111,
  [SMALL_STATE(6176)] = 213136,
  [SMALL_STATE(6177)] = 213153,
  [SMALL_STATE(6178)] = 213178,
  [SMALL_STATE(6179)] = 213195,
  [SMALL_STATE(6180)] = 213220,
  [SMALL_STATE(6181)] = 213237,
  [SMALL_STATE(6182)] = 213262,
  [SMALL_STATE(6183)] = 213283,
  [SMALL_STATE(6184)] = 213300,
  [SMALL_STATE(6185)] = 213325,
  [SMALL_STATE(6186)] = 213348,
  [SMALL_STATE(6187)] = 213371,
  [SMALL_STATE(6188)] = 213392,
  [SMALL_STATE(6189)] = 213417,
  [SMALL_STATE(6190)] = 213438,
  [SMALL_STATE(6191)] = 213455,
  [SMALL_STATE(6192)] = 213476,
  [SMALL_STATE(6193)] = 213497,
  [SMALL_STATE(6194)] = 213522,
  [SMALL_STATE(6195)] = 213539,
  [SMALL_STATE(6196)] = 213556,
  [SMALL_STATE(6197)] = 213581,
  [SMALL_STATE(6198)] = 213602,
  [SMALL_STATE(6199)] = 213623,
  [SMALL_STATE(6200)] = 213640,
  [SMALL_STATE(6201)] = 213665,
  [SMALL_STATE(6202)] = 213686,
  [SMALL_STATE(6203)] = 213709,
  [SMALL_STATE(6204)] = 213730,
  [SMALL_STATE(6205)] = 213755,
  [SMALL_STATE(6206)] = 213780,
  [SMALL_STATE(6207)] = 213797,
  [SMALL_STATE(6208)] = 213814,
  [SMALL_STATE(6209)] = 213831,
  [SMALL_STATE(6210)] = 213852,
  [SMALL_STATE(6211)] = 213873,
  [SMALL_STATE(6212)] = 213894,
  [SMALL_STATE(6213)] = 213915,
  [SMALL_STATE(6214)] = 213936,
  [SMALL_STATE(6215)] = 213961,
  [SMALL_STATE(6216)] = 213980,
  [SMALL_STATE(6217)] = 214001,
  [SMALL_STATE(6218)] = 214020,
  [SMALL_STATE(6219)] = 214039,
  [SMALL_STATE(6220)] = 214060,
  [SMALL_STATE(6221)] = 214079,
  [SMALL_STATE(6222)] = 214104,
  [SMALL_STATE(6223)] = 214125,
  [SMALL_STATE(6224)] = 214150,
  [SMALL_STATE(6225)] = 214171,
  [SMALL_STATE(6226)] = 214196,
  [SMALL_STATE(6227)] = 214217,
  [SMALL_STATE(6228)] = 214242,
  [SMALL_STATE(6229)] = 214263,
  [SMALL_STATE(6230)] = 214284,
  [SMALL_STATE(6231)] = 214301,
  [SMALL_STATE(6232)] = 214326,
  [SMALL_STATE(6233)] = 214347,
  [SMALL_STATE(6234)] = 214372,
  [SMALL_STATE(6235)] = 214389,
  [SMALL_STATE(6236)] = 214406,
  [SMALL_STATE(6237)] = 214431,
  [SMALL_STATE(6238)] = 214452,
  [SMALL_STATE(6239)] = 214477,
  [SMALL_STATE(6240)] = 214494,
  [SMALL_STATE(6241)] = 214519,
  [SMALL_STATE(6242)] = 214536,
  [SMALL_STATE(6243)] = 214561,
  [SMALL_STATE(6244)] = 214582,
  [SMALL_STATE(6245)] = 214599,
  [SMALL_STATE(6246)] = 214616,
  [SMALL_STATE(6247)] = 214633,
  [SMALL_STATE(6248)] = 214650,
  [SMALL_STATE(6249)] = 214667,
  [SMALL_STATE(6250)] = 214692,
  [SMALL_STATE(6251)] = 214709,
  [SMALL_STATE(6252)] = 214726,
  [SMALL_STATE(6253)] = 214747,
  [SMALL_STATE(6254)] = 214768,
  [SMALL_STATE(6255)] = 214789,
  [SMALL_STATE(6256)] = 214810,
  [SMALL_STATE(6257)] = 214831,
  [SMALL_STATE(6258)] = 214852,
  [SMALL_STATE(6259)] = 214877,
  [SMALL_STATE(6260)] = 214898,
  [SMALL_STATE(6261)] = 214919,
  [SMALL_STATE(6262)] = 214940,
  [SMALL_STATE(6263)] = 214965,
  [SMALL_STATE(6264)] = 214986,
  [SMALL_STATE(6265)] = 215007,
  [SMALL_STATE(6266)] = 215024,
  [SMALL_STATE(6267)] = 215045,
  [SMALL_STATE(6268)] = 215066,
  [SMALL_STATE(6269)] = 215087,
  [SMALL_STATE(6270)] = 215104,
  [SMALL_STATE(6271)] = 215129,
  [SMALL_STATE(6272)] = 215146,
  [SMALL_STATE(6273)] = 215167,
  [SMALL_STATE(6274)] = 215188,
  [SMALL_STATE(6275)] = 215205,
  [SMALL_STATE(6276)] = 215230,
  [SMALL_STATE(6277)] = 215247,
  [SMALL_STATE(6278)] = 215268,
  [SMALL_STATE(6279)] = 215289,
  [SMALL_STATE(6280)] = 215310,
  [SMALL_STATE(6281)] = 215331,
  [SMALL_STATE(6282)] = 215352,
  [SMALL_STATE(6283)] = 215377,
  [SMALL_STATE(6284)] = 215394,
  [SMALL_STATE(6285)] = 215419,
  [SMALL_STATE(6286)] = 215440,
  [SMALL_STATE(6287)] = 215461,
  [SMALL_STATE(6288)] = 215482,
  [SMALL_STATE(6289)] = 215505,
  [SMALL_STATE(6290)] = 215526,
  [SMALL_STATE(6291)] = 215543,
  [SMALL_STATE(6292)] = 215564,
  [SMALL_STATE(6293)] = 215587,
  [SMALL_STATE(6294)] = 215608,
  [SMALL_STATE(6295)] = 215633,
  [SMALL_STATE(6296)] = 215658,
  [SMALL_STATE(6297)] = 215675,
  [SMALL_STATE(6298)] = 215696,
  [SMALL_STATE(6299)] = 215713,
  [SMALL_STATE(6300)] = 215736,
  [SMALL_STATE(6301)] = 215757,
  [SMALL_STATE(6302)] = 215782,
  [SMALL_STATE(6303)] = 215799,
  [SMALL_STATE(6304)] = 215824,
  [SMALL_STATE(6305)] = 215849,
  [SMALL_STATE(6306)] = 215870,
  [SMALL_STATE(6307)] = 215895,
  [SMALL_STATE(6308)] = 215916,
  [SMALL_STATE(6309)] = 215939,
  [SMALL_STATE(6310)] = 215964,
  [SMALL_STATE(6311)] = 215989,
  [SMALL_STATE(6312)] = 216014,
  [SMALL_STATE(6313)] = 216039,
  [SMALL_STATE(6314)] = 216059,
  [SMALL_STATE(6315)] = 216081,
  [SMALL_STATE(6316)] = 216101,
  [SMALL_STATE(6317)] = 216121,
  [SMALL_STATE(6318)] = 216143,
  [SMALL_STATE(6319)] = 216165,
  [SMALL_STATE(6320)] = 216183,
  [SMALL_STATE(6321)] = 216203,
  [SMALL_STATE(6322)] = 216223,
  [SMALL_STATE(6323)] = 216245,
  [SMALL_STATE(6324)] = 216267,
  [SMALL_STATE(6325)] = 216283,
  [SMALL_STATE(6326)] = 216303,
  [SMALL_STATE(6327)] = 216325,
  [SMALL_STATE(6328)] = 216347,
  [SMALL_STATE(6329)] = 216367,
  [SMALL_STATE(6330)] = 216387,
  [SMALL_STATE(6331)] = 216403,
  [SMALL_STATE(6332)] = 216425,
  [SMALL_STATE(6333)] = 216445,
  [SMALL_STATE(6334)] = 216465,
  [SMALL_STATE(6335)] = 216485,
  [SMALL_STATE(6336)] = 216505,
  [SMALL_STATE(6337)] = 216525,
  [SMALL_STATE(6338)] = 216547,
  [SMALL_STATE(6339)] = 216567,
  [SMALL_STATE(6340)] = 216587,
  [SMALL_STATE(6341)] = 216607,
  [SMALL_STATE(6342)] = 216627,
  [SMALL_STATE(6343)] = 216647,
  [SMALL_STATE(6344)] = 216667,
  [SMALL_STATE(6345)] = 216689,
  [SMALL_STATE(6346)] = 216709,
  [SMALL_STATE(6347)] = 216729,
  [SMALL_STATE(6348)] = 216749,
  [SMALL_STATE(6349)] = 216769,
  [SMALL_STATE(6350)] = 216789,
  [SMALL_STATE(6351)] = 216809,
  [SMALL_STATE(6352)] = 216829,
  [SMALL_STATE(6353)] = 216849,
  [SMALL_STATE(6354)] = 216871,
  [SMALL_STATE(6355)] = 216887,
  [SMALL_STATE(6356)] = 216903,
  [SMALL_STATE(6357)] = 216919,
  [SMALL_STATE(6358)] = 216939,
  [SMALL_STATE(6359)] = 216959,
  [SMALL_STATE(6360)] = 216979,
  [SMALL_STATE(6361)] = 216999,
  [SMALL_STATE(6362)] = 217021,
  [SMALL_STATE(6363)] = 217043,
  [SMALL_STATE(6364)] = 217063,
  [SMALL_STATE(6365)] = 217083,
  [SMALL_STATE(6366)] = 217103,
  [SMALL_STATE(6367)] = 217123,
  [SMALL_STATE(6368)] = 217145,
  [SMALL_STATE(6369)] = 217161,
  [SMALL_STATE(6370)] = 217179,
  [SMALL_STATE(6371)] = 217195,
  [SMALL_STATE(6372)] = 217217,
  [SMALL_STATE(6373)] = 217239,
  [SMALL_STATE(6374)] = 217261,
  [SMALL_STATE(6375)] = 217283,
  [SMALL_STATE(6376)] = 217303,
  [SMALL_STATE(6377)] = 217323,
  [SMALL_STATE(6378)] = 217343,
  [SMALL_STATE(6379)] = 217363,
  [SMALL_STATE(6380)] = 217383,
  [SMALL_STATE(6381)] = 217405,
  [SMALL_STATE(6382)] = 217425,
  [SMALL_STATE(6383)] = 217445,
  [SMALL_STATE(6384)] = 217467,
  [SMALL_STATE(6385)] = 217489,
  [SMALL_STATE(6386)] = 217511,
  [SMALL_STATE(6387)] = 217533,
  [SMALL_STATE(6388)] = 217553,
  [SMALL_STATE(6389)] = 217573,
  [SMALL_STATE(6390)] = 217595,
  [SMALL_STATE(6391)] = 217615,
  [SMALL_STATE(6392)] = 217637,
  [SMALL_STATE(6393)] = 217657,
  [SMALL_STATE(6394)] = 217679,
  [SMALL_STATE(6395)] = 217699,
  [SMALL_STATE(6396)] = 217721,
  [SMALL_STATE(6397)] = 217741,
  [SMALL_STATE(6398)] = 217761,
  [SMALL_STATE(6399)] = 217781,
  [SMALL_STATE(6400)] = 217801,
  [SMALL_STATE(6401)] = 217821,
  [SMALL_STATE(6402)] = 217841,
  [SMALL_STATE(6403)] = 217861,
  [SMALL_STATE(6404)] = 217881,
  [SMALL_STATE(6405)] = 217901,
  [SMALL_STATE(6406)] = 217923,
  [SMALL_STATE(6407)] = 217943,
  [SMALL_STATE(6408)] = 217963,
  [SMALL_STATE(6409)] = 217983,
  [SMALL_STATE(6410)] = 218003,
  [SMALL_STATE(6411)] = 218025,
  [SMALL_STATE(6412)] = 218047,
  [SMALL_STATE(6413)] = 218069,
  [SMALL_STATE(6414)] = 218089,
  [SMALL_STATE(6415)] = 218109,
  [SMALL_STATE(6416)] = 218129,
  [SMALL_STATE(6417)] = 218149,
  [SMALL_STATE(6418)] = 218171,
  [SMALL_STATE(6419)] = 218191,
  [SMALL_STATE(6420)] = 218211,
  [SMALL_STATE(6421)] = 218231,
  [SMALL_STATE(6422)] = 218251,
  [SMALL_STATE(6423)] = 218269,
  [SMALL_STATE(6424)] = 218289,
  [SMALL_STATE(6425)] = 218309,
  [SMALL_STATE(6426)] = 218329,
  [SMALL_STATE(6427)] = 218349,
  [SMALL_STATE(6428)] = 218369,
  [SMALL_STATE(6429)] = 218391,
  [SMALL_STATE(6430)] = 218411,
  [SMALL_STATE(6431)] = 218431,
  [SMALL_STATE(6432)] = 218451,
  [SMALL_STATE(6433)] = 218473,
  [SMALL_STATE(6434)] = 218493,
  [SMALL_STATE(6435)] = 218513,
  [SMALL_STATE(6436)] = 218533,
  [SMALL_STATE(6437)] = 218553,
  [SMALL_STATE(6438)] = 218573,
  [SMALL_STATE(6439)] = 218593,
  [SMALL_STATE(6440)] = 218613,
  [SMALL_STATE(6441)] = 218633,
  [SMALL_STATE(6442)] = 218649,
  [SMALL_STATE(6443)] = 218669,
  [SMALL_STATE(6444)] = 218689,
  [SMALL_STATE(6445)] = 218709,
  [SMALL_STATE(6446)] = 218729,
  [SMALL_STATE(6447)] = 218749,
  [SMALL_STATE(6448)] = 218769,
  [SMALL_STATE(6449)] = 218789,
  [SMALL_STATE(6450)] = 218811,
  [SMALL_STATE(6451)] = 218829,
  [SMALL_STATE(6452)] = 218847,
  [SMALL_STATE(6453)] = 218869,
  [SMALL_STATE(6454)] = 218889,
  [SMALL_STATE(6455)] = 218909,
  [SMALL_STATE(6456)] = 218929,
  [SMALL_STATE(6457)] = 218949,
  [SMALL_STATE(6458)] = 218969,
  [SMALL_STATE(6459)] = 218989,
  [SMALL_STATE(6460)] = 219009,
  [SMALL_STATE(6461)] = 219031,
  [SMALL_STATE(6462)] = 219051,
  [SMALL_STATE(6463)] = 219071,
  [SMALL_STATE(6464)] = 219093,
  [SMALL_STATE(6465)] = 219115,
  [SMALL_STATE(6466)] = 219137,
  [SMALL_STATE(6467)] = 219157,
  [SMALL_STATE(6468)] = 219177,
  [SMALL_STATE(6469)] = 219197,
  [SMALL_STATE(6470)] = 219217,
  [SMALL_STATE(6471)] = 219237,
  [SMALL_STATE(6472)] = 219257,
  [SMALL_STATE(6473)] = 219277,
  [SMALL_STATE(6474)] = 219297,
  [SMALL_STATE(6475)] = 219317,
  [SMALL_STATE(6476)] = 219337,
  [SMALL_STATE(6477)] = 219357,
  [SMALL_STATE(6478)] = 219377,
  [SMALL_STATE(6479)] = 219397,
  [SMALL_STATE(6480)] = 219419,
  [SMALL_STATE(6481)] = 219441,
  [SMALL_STATE(6482)] = 219463,
  [SMALL_STATE(6483)] = 219483,
  [SMALL_STATE(6484)] = 219503,
  [SMALL_STATE(6485)] = 219523,
  [SMALL_STATE(6486)] = 219545,
  [SMALL_STATE(6487)] = 219565,
  [SMALL_STATE(6488)] = 219587,
  [SMALL_STATE(6489)] = 219607,
  [SMALL_STATE(6490)] = 219627,
  [SMALL_STATE(6491)] = 219647,
  [SMALL_STATE(6492)] = 219667,
  [SMALL_STATE(6493)] = 219687,
  [SMALL_STATE(6494)] = 219707,
  [SMALL_STATE(6495)] = 219727,
  [SMALL_STATE(6496)] = 219747,
  [SMALL_STATE(6497)] = 219765,
  [SMALL_STATE(6498)] = 219787,
  [SMALL_STATE(6499)] = 219807,
  [SMALL_STATE(6500)] = 219827,
  [SMALL_STATE(6501)] = 219847,
  [SMALL_STATE(6502)] = 219869,
  [SMALL_STATE(6503)] = 219889,
  [SMALL_STATE(6504)] = 219911,
  [SMALL_STATE(6505)] = 219931,
  [SMALL_STATE(6506)] = 219953,
  [SMALL_STATE(6507)] = 219973,
  [SMALL_STATE(6508)] = 219995,
  [SMALL_STATE(6509)] = 220015,
  [SMALL_STATE(6510)] = 220035,
  [SMALL_STATE(6511)] = 220055,
  [SMALL_STATE(6512)] = 220075,
  [SMALL_STATE(6513)] = 220093,
  [SMALL_STATE(6514)] = 220113,
  [SMALL_STATE(6515)] = 220133,
  [SMALL_STATE(6516)] = 220155,
  [SMALL_STATE(6517)] = 220175,
  [SMALL_STATE(6518)] = 220195,
  [SMALL_STATE(6519)] = 220217,
  [SMALL_STATE(6520)] = 220239,
  [SMALL_STATE(6521)] = 220259,
  [SMALL_STATE(6522)] = 220281,
  [SMALL_STATE(6523)] = 220301,
  [SMALL_STATE(6524)] = 220321,
  [SMALL_STATE(6525)] = 220343,
  [SMALL_STATE(6526)] = 220363,
  [SMALL_STATE(6527)] = 220385,
  [SMALL_STATE(6528)] = 220403,
  [SMALL_STATE(6529)] = 220425,
  [SMALL_STATE(6530)] = 220443,
  [SMALL_STATE(6531)] = 220465,
  [SMALL_STATE(6532)] = 220487,
  [SMALL_STATE(6533)] = 220509,
  [SMALL_STATE(6534)] = 220529,
  [SMALL_STATE(6535)] = 220551,
  [SMALL_STATE(6536)] = 220571,
  [SMALL_STATE(6537)] = 220591,
  [SMALL_STATE(6538)] = 220613,
  [SMALL_STATE(6539)] = 220633,
  [SMALL_STATE(6540)] = 220653,
  [SMALL_STATE(6541)] = 220673,
  [SMALL_STATE(6542)] = 220693,
  [SMALL_STATE(6543)] = 220713,
  [SMALL_STATE(6544)] = 220735,
  [SMALL_STATE(6545)] = 220753,
  [SMALL_STATE(6546)] = 220773,
  [SMALL_STATE(6547)] = 220791,
  [SMALL_STATE(6548)] = 220807,
  [SMALL_STATE(6549)] = 220829,
  [SMALL_STATE(6550)] = 220851,
  [SMALL_STATE(6551)] = 220867,
  [SMALL_STATE(6552)] = 220889,
  [SMALL_STATE(6553)] = 220911,
  [SMALL_STATE(6554)] = 220929,
  [SMALL_STATE(6555)] = 220951,
  [SMALL_STATE(6556)] = 220973,
  [SMALL_STATE(6557)] = 220989,
  [SMALL_STATE(6558)] = 221011,
  [SMALL_STATE(6559)] = 221033,
  [SMALL_STATE(6560)] = 221053,
  [SMALL_STATE(6561)] = 221069,
  [SMALL_STATE(6562)] = 221091,
  [SMALL_STATE(6563)] = 221111,
  [SMALL_STATE(6564)] = 221131,
  [SMALL_STATE(6565)] = 221151,
  [SMALL_STATE(6566)] = 221171,
  [SMALL_STATE(6567)] = 221187,
  [SMALL_STATE(6568)] = 221209,
  [SMALL_STATE(6569)] = 221231,
  [SMALL_STATE(6570)] = 221253,
  [SMALL_STATE(6571)] = 221275,
  [SMALL_STATE(6572)] = 221297,
  [SMALL_STATE(6573)] = 221319,
  [SMALL_STATE(6574)] = 221339,
  [SMALL_STATE(6575)] = 221361,
  [SMALL_STATE(6576)] = 221379,
  [SMALL_STATE(6577)] = 221401,
  [SMALL_STATE(6578)] = 221421,
  [SMALL_STATE(6579)] = 221443,
  [SMALL_STATE(6580)] = 221465,
  [SMALL_STATE(6581)] = 221485,
  [SMALL_STATE(6582)] = 221505,
  [SMALL_STATE(6583)] = 221527,
  [SMALL_STATE(6584)] = 221547,
  [SMALL_STATE(6585)] = 221567,
  [SMALL_STATE(6586)] = 221583,
  [SMALL_STATE(6587)] = 221603,
  [SMALL_STATE(6588)] = 221625,
  [SMALL_STATE(6589)] = 221647,
  [SMALL_STATE(6590)] = 221663,
  [SMALL_STATE(6591)] = 221685,
  [SMALL_STATE(6592)] = 221707,
  [SMALL_STATE(6593)] = 221729,
  [SMALL_STATE(6594)] = 221749,
  [SMALL_STATE(6595)] = 221769,
  [SMALL_STATE(6596)] = 221788,
  [SMALL_STATE(6597)] = 221803,
  [SMALL_STATE(6598)] = 221820,
  [SMALL_STATE(6599)] = 221835,
  [SMALL_STATE(6600)] = 221850,
  [SMALL_STATE(6601)] = 221869,
  [SMALL_STATE(6602)] = 221888,
  [SMALL_STATE(6603)] = 221903,
  [SMALL_STATE(6604)] = 221918,
  [SMALL_STATE(6605)] = 221933,
  [SMALL_STATE(6606)] = 221948,
  [SMALL_STATE(6607)] = 221963,
  [SMALL_STATE(6608)] = 221978,
  [SMALL_STATE(6609)] = 221993,
  [SMALL_STATE(6610)] = 222012,
  [SMALL_STATE(6611)] = 222027,
  [SMALL_STATE(6612)] = 222042,
  [SMALL_STATE(6613)] = 222057,
  [SMALL_STATE(6614)] = 222072,
  [SMALL_STATE(6615)] = 222087,
  [SMALL_STATE(6616)] = 222106,
  [SMALL_STATE(6617)] = 222121,
  [SMALL_STATE(6618)] = 222136,
  [SMALL_STATE(6619)] = 222151,
  [SMALL_STATE(6620)] = 222166,
  [SMALL_STATE(6621)] = 222181,
  [SMALL_STATE(6622)] = 222196,
  [SMALL_STATE(6623)] = 222211,
  [SMALL_STATE(6624)] = 222230,
  [SMALL_STATE(6625)] = 222245,
  [SMALL_STATE(6626)] = 222260,
  [SMALL_STATE(6627)] = 222275,
  [SMALL_STATE(6628)] = 222290,
  [SMALL_STATE(6629)] = 222309,
  [SMALL_STATE(6630)] = 222328,
  [SMALL_STATE(6631)] = 222347,
  [SMALL_STATE(6632)] = 222362,
  [SMALL_STATE(6633)] = 222381,
  [SMALL_STATE(6634)] = 222400,
  [SMALL_STATE(6635)] = 222415,
  [SMALL_STATE(6636)] = 222430,
  [SMALL_STATE(6637)] = 222447,
  [SMALL_STATE(6638)] = 222466,
  [SMALL_STATE(6639)] = 222485,
  [SMALL_STATE(6640)] = 222500,
  [SMALL_STATE(6641)] = 222515,
  [SMALL_STATE(6642)] = 222530,
  [SMALL_STATE(6643)] = 222545,
  [SMALL_STATE(6644)] = 222560,
  [SMALL_STATE(6645)] = 222575,
  [SMALL_STATE(6646)] = 222590,
  [SMALL_STATE(6647)] = 222605,
  [SMALL_STATE(6648)] = 222622,
  [SMALL_STATE(6649)] = 222637,
  [SMALL_STATE(6650)] = 222656,
  [SMALL_STATE(6651)] = 222671,
  [SMALL_STATE(6652)] = 222690,
  [SMALL_STATE(6653)] = 222705,
  [SMALL_STATE(6654)] = 222720,
  [SMALL_STATE(6655)] = 222735,
  [SMALL_STATE(6656)] = 222750,
  [SMALL_STATE(6657)] = 222767,
  [SMALL_STATE(6658)] = 222782,
  [SMALL_STATE(6659)] = 222801,
  [SMALL_STATE(6660)] = 222820,
  [SMALL_STATE(6661)] = 222837,
  [SMALL_STATE(6662)] = 222854,
  [SMALL_STATE(6663)] = 222873,
  [SMALL_STATE(6664)] = 222888,
  [SMALL_STATE(6665)] = 222903,
  [SMALL_STATE(6666)] = 222922,
  [SMALL_STATE(6667)] = 222937,
  [SMALL_STATE(6668)] = 222952,
  [SMALL_STATE(6669)] = 222967,
  [SMALL_STATE(6670)] = 222984,
  [SMALL_STATE(6671)] = 223003,
  [SMALL_STATE(6672)] = 223018,
  [SMALL_STATE(6673)] = 223033,
  [SMALL_STATE(6674)] = 223048,
  [SMALL_STATE(6675)] = 223065,
  [SMALL_STATE(6676)] = 223080,
  [SMALL_STATE(6677)] = 223095,
  [SMALL_STATE(6678)] = 223110,
  [SMALL_STATE(6679)] = 223125,
  [SMALL_STATE(6680)] = 223140,
  [SMALL_STATE(6681)] = 223157,
  [SMALL_STATE(6682)] = 223172,
  [SMALL_STATE(6683)] = 223191,
  [SMALL_STATE(6684)] = 223206,
  [SMALL_STATE(6685)] = 223221,
  [SMALL_STATE(6686)] = 223236,
  [SMALL_STATE(6687)] = 223255,
  [SMALL_STATE(6688)] = 223270,
  [SMALL_STATE(6689)] = 223285,
  [SMALL_STATE(6690)] = 223302,
  [SMALL_STATE(6691)] = 223317,
  [SMALL_STATE(6692)] = 223332,
  [SMALL_STATE(6693)] = 223347,
  [SMALL_STATE(6694)] = 223362,
  [SMALL_STATE(6695)] = 223381,
  [SMALL_STATE(6696)] = 223396,
  [SMALL_STATE(6697)] = 223413,
  [SMALL_STATE(6698)] = 223428,
  [SMALL_STATE(6699)] = 223443,
  [SMALL_STATE(6700)] = 223462,
  [SMALL_STATE(6701)] = 223481,
  [SMALL_STATE(6702)] = 223496,
  [SMALL_STATE(6703)] = 223511,
  [SMALL_STATE(6704)] = 223526,
  [SMALL_STATE(6705)] = 223541,
  [SMALL_STATE(6706)] = 223556,
  [SMALL_STATE(6707)] = 223571,
  [SMALL_STATE(6708)] = 223590,
  [SMALL_STATE(6709)] = 223605,
  [SMALL_STATE(6710)] = 223624,
  [SMALL_STATE(6711)] = 223639,
  [SMALL_STATE(6712)] = 223656,
  [SMALL_STATE(6713)] = 223675,
  [SMALL_STATE(6714)] = 223694,
  [SMALL_STATE(6715)] = 223709,
  [SMALL_STATE(6716)] = 223728,
  [SMALL_STATE(6717)] = 223743,
  [SMALL_STATE(6718)] = 223758,
  [SMALL_STATE(6719)] = 223773,
  [SMALL_STATE(6720)] = 223790,
  [SMALL_STATE(6721)] = 223805,
  [SMALL_STATE(6722)] = 223820,
  [SMALL_STATE(6723)] = 223835,
  [SMALL_STATE(6724)] = 223850,
  [SMALL_STATE(6725)] = 223865,
  [SMALL_STATE(6726)] = 223884,
  [SMALL_STATE(6727)] = 223899,
  [SMALL_STATE(6728)] = 223914,
  [SMALL_STATE(6729)] = 223933,
  [SMALL_STATE(6730)] = 223950,
  [SMALL_STATE(6731)] = 223967,
  [SMALL_STATE(6732)] = 223986,
  [SMALL_STATE(6733)] = 224003,
  [SMALL_STATE(6734)] = 224022,
  [SMALL_STATE(6735)] = 224039,
  [SMALL_STATE(6736)] = 224058,
  [SMALL_STATE(6737)] = 224073,
  [SMALL_STATE(6738)] = 224092,
  [SMALL_STATE(6739)] = 224109,
  [SMALL_STATE(6740)] = 224124,
  [SMALL_STATE(6741)] = 224141,
  [SMALL_STATE(6742)] = 224160,
  [SMALL_STATE(6743)] = 224179,
  [SMALL_STATE(6744)] = 224194,
  [SMALL_STATE(6745)] = 224211,
  [SMALL_STATE(6746)] = 224226,
  [SMALL_STATE(6747)] = 224245,
  [SMALL_STATE(6748)] = 224264,
  [SMALL_STATE(6749)] = 224281,
  [SMALL_STATE(6750)] = 224296,
  [SMALL_STATE(6751)] = 224311,
  [SMALL_STATE(6752)] = 224330,
  [SMALL_STATE(6753)] = 224349,
  [SMALL_STATE(6754)] = 224364,
  [SMALL_STATE(6755)] = 224379,
  [SMALL_STATE(6756)] = 224398,
  [SMALL_STATE(6757)] = 224417,
  [SMALL_STATE(6758)] = 224436,
  [SMALL_STATE(6759)] = 224451,
  [SMALL_STATE(6760)] = 224466,
  [SMALL_STATE(6761)] = 224481,
  [SMALL_STATE(6762)] = 224496,
  [SMALL_STATE(6763)] = 224515,
  [SMALL_STATE(6764)] = 224530,
  [SMALL_STATE(6765)] = 224549,
  [SMALL_STATE(6766)] = 224564,
  [SMALL_STATE(6767)] = 224579,
  [SMALL_STATE(6768)] = 224594,
  [SMALL_STATE(6769)] = 224609,
  [SMALL_STATE(6770)] = 224628,
  [SMALL_STATE(6771)] = 224643,
  [SMALL_STATE(6772)] = 224662,
  [SMALL_STATE(6773)] = 224677,
  [SMALL_STATE(6774)] = 224696,
  [SMALL_STATE(6775)] = 224715,
  [SMALL_STATE(6776)] = 224730,
  [SMALL_STATE(6777)] = 224745,
  [SMALL_STATE(6778)] = 224760,
  [SMALL_STATE(6779)] = 224775,
  [SMALL_STATE(6780)] = 224792,
  [SMALL_STATE(6781)] = 224807,
  [SMALL_STATE(6782)] = 224822,
  [SMALL_STATE(6783)] = 224841,
  [SMALL_STATE(6784)] = 224856,
  [SMALL_STATE(6785)] = 224871,
  [SMALL_STATE(6786)] = 224890,
  [SMALL_STATE(6787)] = 224905,
  [SMALL_STATE(6788)] = 224924,
  [SMALL_STATE(6789)] = 224939,
  [SMALL_STATE(6790)] = 224954,
  [SMALL_STATE(6791)] = 224973,
  [SMALL_STATE(6792)] = 224988,
  [SMALL_STATE(6793)] = 225007,
  [SMALL_STATE(6794)] = 225022,
  [SMALL_STATE(6795)] = 225041,
  [SMALL_STATE(6796)] = 225056,
  [SMALL_STATE(6797)] = 225071,
  [SMALL_STATE(6798)] = 225090,
  [SMALL_STATE(6799)] = 225105,
  [SMALL_STATE(6800)] = 225120,
  [SMALL_STATE(6801)] = 225135,
  [SMALL_STATE(6802)] = 225154,
  [SMALL_STATE(6803)] = 225173,
  [SMALL_STATE(6804)] = 225188,
  [SMALL_STATE(6805)] = 225203,
  [SMALL_STATE(6806)] = 225222,
  [SMALL_STATE(6807)] = 225237,
  [SMALL_STATE(6808)] = 225252,
  [SMALL_STATE(6809)] = 225269,
  [SMALL_STATE(6810)] = 225284,
  [SMALL_STATE(6811)] = 225301,
  [SMALL_STATE(6812)] = 225318,
  [SMALL_STATE(6813)] = 225333,
  [SMALL_STATE(6814)] = 225348,
  [SMALL_STATE(6815)] = 225363,
  [SMALL_STATE(6816)] = 225378,
  [SMALL_STATE(6817)] = 225393,
  [SMALL_STATE(6818)] = 225408,
  [SMALL_STATE(6819)] = 225423,
  [SMALL_STATE(6820)] = 225442,
  [SMALL_STATE(6821)] = 225457,
  [SMALL_STATE(6822)] = 225476,
  [SMALL_STATE(6823)] = 225491,
  [SMALL_STATE(6824)] = 225506,
  [SMALL_STATE(6825)] = 225521,
  [SMALL_STATE(6826)] = 225536,
  [SMALL_STATE(6827)] = 225551,
  [SMALL_STATE(6828)] = 225570,
  [SMALL_STATE(6829)] = 225585,
  [SMALL_STATE(6830)] = 225600,
  [SMALL_STATE(6831)] = 225615,
  [SMALL_STATE(6832)] = 225630,
  [SMALL_STATE(6833)] = 225649,
  [SMALL_STATE(6834)] = 225664,
  [SMALL_STATE(6835)] = 225679,
  [SMALL_STATE(6836)] = 225696,
  [SMALL_STATE(6837)] = 225715,
  [SMALL_STATE(6838)] = 225734,
  [SMALL_STATE(6839)] = 225753,
  [SMALL_STATE(6840)] = 225772,
  [SMALL_STATE(6841)] = 225787,
  [SMALL_STATE(6842)] = 225802,
  [SMALL_STATE(6843)] = 225819,
  [SMALL_STATE(6844)] = 225838,
  [SMALL_STATE(6845)] = 225853,
  [SMALL_STATE(6846)] = 225872,
  [SMALL_STATE(6847)] = 225887,
  [SMALL_STATE(6848)] = 225906,
  [SMALL_STATE(6849)] = 225925,
  [SMALL_STATE(6850)] = 225940,
  [SMALL_STATE(6851)] = 225959,
  [SMALL_STATE(6852)] = 225974,
  [SMALL_STATE(6853)] = 225993,
  [SMALL_STATE(6854)] = 226012,
  [SMALL_STATE(6855)] = 226027,
  [SMALL_STATE(6856)] = 226042,
  [SMALL_STATE(6857)] = 226061,
  [SMALL_STATE(6858)] = 226080,
  [SMALL_STATE(6859)] = 226095,
  [SMALL_STATE(6860)] = 226110,
  [SMALL_STATE(6861)] = 226129,
  [SMALL_STATE(6862)] = 226144,
  [SMALL_STATE(6863)] = 226159,
  [SMALL_STATE(6864)] = 226174,
  [SMALL_STATE(6865)] = 226189,
  [SMALL_STATE(6866)] = 226206,
  [SMALL_STATE(6867)] = 226221,
  [SMALL_STATE(6868)] = 226236,
  [SMALL_STATE(6869)] = 226251,
  [SMALL_STATE(6870)] = 226266,
  [SMALL_STATE(6871)] = 226281,
  [SMALL_STATE(6872)] = 226296,
  [SMALL_STATE(6873)] = 226313,
  [SMALL_STATE(6874)] = 226328,
  [SMALL_STATE(6875)] = 226347,
  [SMALL_STATE(6876)] = 226362,
  [SMALL_STATE(6877)] = 226377,
  [SMALL_STATE(6878)] = 226394,
  [SMALL_STATE(6879)] = 226411,
  [SMALL_STATE(6880)] = 226426,
  [SMALL_STATE(6881)] = 226441,
  [SMALL_STATE(6882)] = 226458,
  [SMALL_STATE(6883)] = 226477,
  [SMALL_STATE(6884)] = 226496,
  [SMALL_STATE(6885)] = 226515,
  [SMALL_STATE(6886)] = 226530,
  [SMALL_STATE(6887)] = 226549,
  [SMALL_STATE(6888)] = 226564,
  [SMALL_STATE(6889)] = 226579,
  [SMALL_STATE(6890)] = 226594,
  [SMALL_STATE(6891)] = 226613,
  [SMALL_STATE(6892)] = 226628,
  [SMALL_STATE(6893)] = 226647,
  [SMALL_STATE(6894)] = 226662,
  [SMALL_STATE(6895)] = 226677,
  [SMALL_STATE(6896)] = 226692,
  [SMALL_STATE(6897)] = 226707,
  [SMALL_STATE(6898)] = 226726,
  [SMALL_STATE(6899)] = 226741,
  [SMALL_STATE(6900)] = 226756,
  [SMALL_STATE(6901)] = 226771,
  [SMALL_STATE(6902)] = 226786,
  [SMALL_STATE(6903)] = 226801,
  [SMALL_STATE(6904)] = 226820,
  [SMALL_STATE(6905)] = 226835,
  [SMALL_STATE(6906)] = 226850,
  [SMALL_STATE(6907)] = 226869,
  [SMALL_STATE(6908)] = 226888,
  [SMALL_STATE(6909)] = 226903,
  [SMALL_STATE(6910)] = 226918,
  [SMALL_STATE(6911)] = 226937,
  [SMALL_STATE(6912)] = 226956,
  [SMALL_STATE(6913)] = 226975,
  [SMALL_STATE(6914)] = 226994,
  [SMALL_STATE(6915)] = 227009,
  [SMALL_STATE(6916)] = 227024,
  [SMALL_STATE(6917)] = 227039,
  [SMALL_STATE(6918)] = 227054,
  [SMALL_STATE(6919)] = 227069,
  [SMALL_STATE(6920)] = 227084,
  [SMALL_STATE(6921)] = 227099,
  [SMALL_STATE(6922)] = 227114,
  [SMALL_STATE(6923)] = 227133,
  [SMALL_STATE(6924)] = 227152,
  [SMALL_STATE(6925)] = 227171,
  [SMALL_STATE(6926)] = 227186,
  [SMALL_STATE(6927)] = 227201,
  [SMALL_STATE(6928)] = 227218,
  [SMALL_STATE(6929)] = 227233,
  [SMALL_STATE(6930)] = 227252,
  [SMALL_STATE(6931)] = 227271,
  [SMALL_STATE(6932)] = 227290,
  [SMALL_STATE(6933)] = 227309,
  [SMALL_STATE(6934)] = 227324,
  [SMALL_STATE(6935)] = 227339,
  [SMALL_STATE(6936)] = 227354,
  [SMALL_STATE(6937)] = 227373,
  [SMALL_STATE(6938)] = 227388,
  [SMALL_STATE(6939)] = 227403,
  [SMALL_STATE(6940)] = 227418,
  [SMALL_STATE(6941)] = 227433,
  [SMALL_STATE(6942)] = 227452,
  [SMALL_STATE(6943)] = 227467,
  [SMALL_STATE(6944)] = 227486,
  [SMALL_STATE(6945)] = 227501,
  [SMALL_STATE(6946)] = 227520,
  [SMALL_STATE(6947)] = 227535,
  [SMALL_STATE(6948)] = 227554,
  [SMALL_STATE(6949)] = 227569,
  [SMALL_STATE(6950)] = 227584,
  [SMALL_STATE(6951)] = 227603,
  [SMALL_STATE(6952)] = 227622,
  [SMALL_STATE(6953)] = 227641,
  [SMALL_STATE(6954)] = 227660,
  [SMALL_STATE(6955)] = 227675,
  [SMALL_STATE(6956)] = 227690,
  [SMALL_STATE(6957)] = 227709,
  [SMALL_STATE(6958)] = 227728,
  [SMALL_STATE(6959)] = 227745,
  [SMALL_STATE(6960)] = 227762,
  [SMALL_STATE(6961)] = 227781,
  [SMALL_STATE(6962)] = 227798,
  [SMALL_STATE(6963)] = 227817,
  [SMALL_STATE(6964)] = 227834,
  [SMALL_STATE(6965)] = 227849,
  [SMALL_STATE(6966)] = 227864,
  [SMALL_STATE(6967)] = 227879,
  [SMALL_STATE(6968)] = 227898,
  [SMALL_STATE(6969)] = 227917,
  [SMALL_STATE(6970)] = 227932,
  [SMALL_STATE(6971)] = 227949,
  [SMALL_STATE(6972)] = 227964,
  [SMALL_STATE(6973)] = 227979,
  [SMALL_STATE(6974)] = 227994,
  [SMALL_STATE(6975)] = 228013,
  [SMALL_STATE(6976)] = 228032,
  [SMALL_STATE(6977)] = 228047,
  [SMALL_STATE(6978)] = 228062,
  [SMALL_STATE(6979)] = 228081,
  [SMALL_STATE(6980)] = 228096,
  [SMALL_STATE(6981)] = 228111,
  [SMALL_STATE(6982)] = 228126,
  [SMALL_STATE(6983)] = 228141,
  [SMALL_STATE(6984)] = 228156,
  [SMALL_STATE(6985)] = 228175,
  [SMALL_STATE(6986)] = 228192,
  [SMALL_STATE(6987)] = 228211,
  [SMALL_STATE(6988)] = 228226,
  [SMALL_STATE(6989)] = 228245,
  [SMALL_STATE(6990)] = 228260,
  [SMALL_STATE(6991)] = 228275,
  [SMALL_STATE(6992)] = 228290,
  [SMALL_STATE(6993)] = 228305,
  [SMALL_STATE(6994)] = 228324,
  [SMALL_STATE(6995)] = 228343,
  [SMALL_STATE(6996)] = 228358,
  [SMALL_STATE(6997)] = 228373,
  [SMALL_STATE(6998)] = 228392,
  [SMALL_STATE(6999)] = 228407,
  [SMALL_STATE(7000)] = 228426,
  [SMALL_STATE(7001)] = 228441,
  [SMALL_STATE(7002)] = 228460,
  [SMALL_STATE(7003)] = 228479,
  [SMALL_STATE(7004)] = 228498,
  [SMALL_STATE(7005)] = 228517,
  [SMALL_STATE(7006)] = 228536,
  [SMALL_STATE(7007)] = 228551,
  [SMALL_STATE(7008)] = 228570,
  [SMALL_STATE(7009)] = 228585,
  [SMALL_STATE(7010)] = 228602,
  [SMALL_STATE(7011)] = 228619,
  [SMALL_STATE(7012)] = 228638,
  [SMALL_STATE(7013)] = 228653,
  [SMALL_STATE(7014)] = 228672,
  [SMALL_STATE(7015)] = 228691,
  [SMALL_STATE(7016)] = 228710,
  [SMALL_STATE(7017)] = 228727,
  [SMALL_STATE(7018)] = 228746,
  [SMALL_STATE(7019)] = 228765,
  [SMALL_STATE(7020)] = 228784,
  [SMALL_STATE(7021)] = 228799,
  [SMALL_STATE(7022)] = 228818,
  [SMALL_STATE(7023)] = 228833,
  [SMALL_STATE(7024)] = 228852,
  [SMALL_STATE(7025)] = 228867,
  [SMALL_STATE(7026)] = 228882,
  [SMALL_STATE(7027)] = 228901,
  [SMALL_STATE(7028)] = 228920,
  [SMALL_STATE(7029)] = 228939,
  [SMALL_STATE(7030)] = 228956,
  [SMALL_STATE(7031)] = 228971,
  [SMALL_STATE(7032)] = 228988,
  [SMALL_STATE(7033)] = 229003,
  [SMALL_STATE(7034)] = 229022,
  [SMALL_STATE(7035)] = 229037,
  [SMALL_STATE(7036)] = 229052,
  [SMALL_STATE(7037)] = 229071,
  [SMALL_STATE(7038)] = 229086,
  [SMALL_STATE(7039)] = 229105,
  [SMALL_STATE(7040)] = 229124,
  [SMALL_STATE(7041)] = 229139,
  [SMALL_STATE(7042)] = 229154,
  [SMALL_STATE(7043)] = 229169,
  [SMALL_STATE(7044)] = 229188,
  [SMALL_STATE(7045)] = 229207,
  [SMALL_STATE(7046)] = 229222,
  [SMALL_STATE(7047)] = 229237,
  [SMALL_STATE(7048)] = 229256,
  [SMALL_STATE(7049)] = 229271,
  [SMALL_STATE(7050)] = 229286,
  [SMALL_STATE(7051)] = 229301,
  [SMALL_STATE(7052)] = 229320,
  [SMALL_STATE(7053)] = 229337,
  [SMALL_STATE(7054)] = 229356,
  [SMALL_STATE(7055)] = 229373,
  [SMALL_STATE(7056)] = 229392,
  [SMALL_STATE(7057)] = 229411,
  [SMALL_STATE(7058)] = 229430,
  [SMALL_STATE(7059)] = 229449,
  [SMALL_STATE(7060)] = 229464,
  [SMALL_STATE(7061)] = 229479,
  [SMALL_STATE(7062)] = 229498,
  [SMALL_STATE(7063)] = 229513,
  [SMALL_STATE(7064)] = 229528,
  [SMALL_STATE(7065)] = 229547,
  [SMALL_STATE(7066)] = 229566,
  [SMALL_STATE(7067)] = 229581,
  [SMALL_STATE(7068)] = 229600,
  [SMALL_STATE(7069)] = 229615,
  [SMALL_STATE(7070)] = 229634,
  [SMALL_STATE(7071)] = 229649,
  [SMALL_STATE(7072)] = 229668,
  [SMALL_STATE(7073)] = 229685,
  [SMALL_STATE(7074)] = 229700,
  [SMALL_STATE(7075)] = 229715,
  [SMALL_STATE(7076)] = 229730,
  [SMALL_STATE(7077)] = 229745,
  [SMALL_STATE(7078)] = 229760,
  [SMALL_STATE(7079)] = 229775,
  [SMALL_STATE(7080)] = 229790,
  [SMALL_STATE(7081)] = 229809,
  [SMALL_STATE(7082)] = 229824,
  [SMALL_STATE(7083)] = 229839,
  [SMALL_STATE(7084)] = 229854,
  [SMALL_STATE(7085)] = 229869,
  [SMALL_STATE(7086)] = 229886,
  [SMALL_STATE(7087)] = 229901,
  [SMALL_STATE(7088)] = 229920,
  [SMALL_STATE(7089)] = 229939,
  [SMALL_STATE(7090)] = 229954,
  [SMALL_STATE(7091)] = 229969,
  [SMALL_STATE(7092)] = 229984,
  [SMALL_STATE(7093)] = 230001,
  [SMALL_STATE(7094)] = 230020,
  [SMALL_STATE(7095)] = 230035,
  [SMALL_STATE(7096)] = 230054,
  [SMALL_STATE(7097)] = 230069,
  [SMALL_STATE(7098)] = 230088,
  [SMALL_STATE(7099)] = 230107,
  [SMALL_STATE(7100)] = 230126,
  [SMALL_STATE(7101)] = 230143,
  [SMALL_STATE(7102)] = 230160,
  [SMALL_STATE(7103)] = 230175,
  [SMALL_STATE(7104)] = 230194,
  [SMALL_STATE(7105)] = 230211,
  [SMALL_STATE(7106)] = 230230,
  [SMALL_STATE(7107)] = 230245,
  [SMALL_STATE(7108)] = 230264,
  [SMALL_STATE(7109)] = 230279,
  [SMALL_STATE(7110)] = 230298,
  [SMALL_STATE(7111)] = 230315,
  [SMALL_STATE(7112)] = 230334,
  [SMALL_STATE(7113)] = 230349,
  [SMALL_STATE(7114)] = 230364,
  [SMALL_STATE(7115)] = 230381,
  [SMALL_STATE(7116)] = 230396,
  [SMALL_STATE(7117)] = 230415,
  [SMALL_STATE(7118)] = 230434,
  [SMALL_STATE(7119)] = 230453,
  [SMALL_STATE(7120)] = 230468,
  [SMALL_STATE(7121)] = 230485,
  [SMALL_STATE(7122)] = 230504,
  [SMALL_STATE(7123)] = 230519,
  [SMALL_STATE(7124)] = 230538,
  [SMALL_STATE(7125)] = 230557,
  [SMALL_STATE(7126)] = 230574,
  [SMALL_STATE(7127)] = 230593,
  [SMALL_STATE(7128)] = 230608,
  [SMALL_STATE(7129)] = 230625,
  [SMALL_STATE(7130)] = 230644,
  [SMALL_STATE(7131)] = 230663,
  [SMALL_STATE(7132)] = 230682,
  [SMALL_STATE(7133)] = 230701,
  [SMALL_STATE(7134)] = 230716,
  [SMALL_STATE(7135)] = 230731,
  [SMALL_STATE(7136)] = 230750,
  [SMALL_STATE(7137)] = 230769,
  [SMALL_STATE(7138)] = 230784,
  [SMALL_STATE(7139)] = 230799,
  [SMALL_STATE(7140)] = 230814,
  [SMALL_STATE(7141)] = 230833,
  [SMALL_STATE(7142)] = 230852,
  [SMALL_STATE(7143)] = 230871,
  [SMALL_STATE(7144)] = 230888,
  [SMALL_STATE(7145)] = 230907,
  [SMALL_STATE(7146)] = 230924,
  [SMALL_STATE(7147)] = 230943,
  [SMALL_STATE(7148)] = 230962,
  [SMALL_STATE(7149)] = 230981,
  [SMALL_STATE(7150)] = 230996,
  [SMALL_STATE(7151)] = 231013,
  [SMALL_STATE(7152)] = 231032,
  [SMALL_STATE(7153)] = 231049,
  [SMALL_STATE(7154)] = 231064,
  [SMALL_STATE(7155)] = 231079,
  [SMALL_STATE(7156)] = 231094,
  [SMALL_STATE(7157)] = 231109,
  [SMALL_STATE(7158)] = 231124,
  [SMALL_STATE(7159)] = 231139,
  [SMALL_STATE(7160)] = 231154,
  [SMALL_STATE(7161)] = 231173,
  [SMALL_STATE(7162)] = 231188,
  [SMALL_STATE(7163)] = 231207,
  [SMALL_STATE(7164)] = 231226,
  [SMALL_STATE(7165)] = 231241,
  [SMALL_STATE(7166)] = 231256,
  [SMALL_STATE(7167)] = 231271,
  [SMALL_STATE(7168)] = 231286,
  [SMALL_STATE(7169)] = 231301,
  [SMALL_STATE(7170)] = 231318,
  [SMALL_STATE(7171)] = 231335,
  [SMALL_STATE(7172)] = 231350,
  [SMALL_STATE(7173)] = 231365,
  [SMALL_STATE(7174)] = 231382,
  [SMALL_STATE(7175)] = 231399,
  [SMALL_STATE(7176)] = 231414,
  [SMALL_STATE(7177)] = 231429,
  [SMALL_STATE(7178)] = 231444,
  [SMALL_STATE(7179)] = 231459,
  [SMALL_STATE(7180)] = 231474,
  [SMALL_STATE(7181)] = 231489,
  [SMALL_STATE(7182)] = 231504,
  [SMALL_STATE(7183)] = 231519,
  [SMALL_STATE(7184)] = 231534,
  [SMALL_STATE(7185)] = 231549,
  [SMALL_STATE(7186)] = 231564,
  [SMALL_STATE(7187)] = 231579,
  [SMALL_STATE(7188)] = 231594,
  [SMALL_STATE(7189)] = 231609,
  [SMALL_STATE(7190)] = 231624,
  [SMALL_STATE(7191)] = 231639,
  [SMALL_STATE(7192)] = 231654,
  [SMALL_STATE(7193)] = 231673,
  [SMALL_STATE(7194)] = 231688,
  [SMALL_STATE(7195)] = 231707,
  [SMALL_STATE(7196)] = 231722,
  [SMALL_STATE(7197)] = 231737,
  [SMALL_STATE(7198)] = 231752,
  [SMALL_STATE(7199)] = 231769,
  [SMALL_STATE(7200)] = 231786,
  [SMALL_STATE(7201)] = 231801,
  [SMALL_STATE(7202)] = 231820,
  [SMALL_STATE(7203)] = 231837,
  [SMALL_STATE(7204)] = 231856,
  [SMALL_STATE(7205)] = 231873,
  [SMALL_STATE(7206)] = 231888,
  [SMALL_STATE(7207)] = 231903,
  [SMALL_STATE(7208)] = 231918,
  [SMALL_STATE(7209)] = 231933,
  [SMALL_STATE(7210)] = 231952,
  [SMALL_STATE(7211)] = 231971,
  [SMALL_STATE(7212)] = 231990,
  [SMALL_STATE(7213)] = 232005,
  [SMALL_STATE(7214)] = 232020,
  [SMALL_STATE(7215)] = 232039,
  [SMALL_STATE(7216)] = 232054,
  [SMALL_STATE(7217)] = 232069,
  [SMALL_STATE(7218)] = 232084,
  [SMALL_STATE(7219)] = 232101,
  [SMALL_STATE(7220)] = 232120,
  [SMALL_STATE(7221)] = 232139,
  [SMALL_STATE(7222)] = 232158,
  [SMALL_STATE(7223)] = 232173,
  [SMALL_STATE(7224)] = 232192,
  [SMALL_STATE(7225)] = 232207,
  [SMALL_STATE(7226)] = 232222,
  [SMALL_STATE(7227)] = 232237,
  [SMALL_STATE(7228)] = 232252,
  [SMALL_STATE(7229)] = 232271,
  [SMALL_STATE(7230)] = 232286,
  [SMALL_STATE(7231)] = 232305,
  [SMALL_STATE(7232)] = 232320,
  [SMALL_STATE(7233)] = 232335,
  [SMALL_STATE(7234)] = 232352,
  [SMALL_STATE(7235)] = 232371,
  [SMALL_STATE(7236)] = 232386,
  [SMALL_STATE(7237)] = 232405,
  [SMALL_STATE(7238)] = 232420,
  [SMALL_STATE(7239)] = 232439,
  [SMALL_STATE(7240)] = 232454,
  [SMALL_STATE(7241)] = 232473,
  [SMALL_STATE(7242)] = 232488,
  [SMALL_STATE(7243)] = 232503,
  [SMALL_STATE(7244)] = 232520,
  [SMALL_STATE(7245)] = 232539,
  [SMALL_STATE(7246)] = 232554,
  [SMALL_STATE(7247)] = 232569,
  [SMALL_STATE(7248)] = 232584,
  [SMALL_STATE(7249)] = 232601,
  [SMALL_STATE(7250)] = 232618,
  [SMALL_STATE(7251)] = 232633,
  [SMALL_STATE(7252)] = 232650,
  [SMALL_STATE(7253)] = 232669,
  [SMALL_STATE(7254)] = 232684,
  [SMALL_STATE(7255)] = 232703,
  [SMALL_STATE(7256)] = 232722,
  [SMALL_STATE(7257)] = 232741,
  [SMALL_STATE(7258)] = 232760,
  [SMALL_STATE(7259)] = 232775,
  [SMALL_STATE(7260)] = 232794,
  [SMALL_STATE(7261)] = 232809,
  [SMALL_STATE(7262)] = 232824,
  [SMALL_STATE(7263)] = 232843,
  [SMALL_STATE(7264)] = 232862,
  [SMALL_STATE(7265)] = 232879,
  [SMALL_STATE(7266)] = 232896,
  [SMALL_STATE(7267)] = 232913,
  [SMALL_STATE(7268)] = 232932,
  [SMALL_STATE(7269)] = 232947,
  [SMALL_STATE(7270)] = 232966,
  [SMALL_STATE(7271)] = 232985,
  [SMALL_STATE(7272)] = 233002,
  [SMALL_STATE(7273)] = 233021,
  [SMALL_STATE(7274)] = 233036,
  [SMALL_STATE(7275)] = 233051,
  [SMALL_STATE(7276)] = 233070,
  [SMALL_STATE(7277)] = 233089,
  [SMALL_STATE(7278)] = 233104,
  [SMALL_STATE(7279)] = 233119,
  [SMALL_STATE(7280)] = 233138,
  [SMALL_STATE(7281)] = 233157,
  [SMALL_STATE(7282)] = 233174,
  [SMALL_STATE(7283)] = 233189,
  [SMALL_STATE(7284)] = 233206,
  [SMALL_STATE(7285)] = 233225,
  [SMALL_STATE(7286)] = 233242,
  [SMALL_STATE(7287)] = 233257,
  [SMALL_STATE(7288)] = 233276,
  [SMALL_STATE(7289)] = 233293,
  [SMALL_STATE(7290)] = 233308,
  [SMALL_STATE(7291)] = 233327,
  [SMALL_STATE(7292)] = 233346,
  [SMALL_STATE(7293)] = 233365,
  [SMALL_STATE(7294)] = 233380,
  [SMALL_STATE(7295)] = 233399,
  [SMALL_STATE(7296)] = 233416,
  [SMALL_STATE(7297)] = 233435,
  [SMALL_STATE(7298)] = 233452,
  [SMALL_STATE(7299)] = 233471,
  [SMALL_STATE(7300)] = 233488,
  [SMALL_STATE(7301)] = 233507,
  [SMALL_STATE(7302)] = 233526,
  [SMALL_STATE(7303)] = 233543,
  [SMALL_STATE(7304)] = 233558,
  [SMALL_STATE(7305)] = 233577,
  [SMALL_STATE(7306)] = 233596,
  [SMALL_STATE(7307)] = 233615,
  [SMALL_STATE(7308)] = 233634,
  [SMALL_STATE(7309)] = 233653,
  [SMALL_STATE(7310)] = 233670,
  [SMALL_STATE(7311)] = 233685,
  [SMALL_STATE(7312)] = 233700,
  [SMALL_STATE(7313)] = 233719,
  [SMALL_STATE(7314)] = 233736,
  [SMALL_STATE(7315)] = 233751,
  [SMALL_STATE(7316)] = 233766,
  [SMALL_STATE(7317)] = 233785,
  [SMALL_STATE(7318)] = 233804,
  [SMALL_STATE(7319)] = 233819,
  [SMALL_STATE(7320)] = 233834,
  [SMALL_STATE(7321)] = 233849,
  [SMALL_STATE(7322)] = 233864,
  [SMALL_STATE(7323)] = 233879,
  [SMALL_STATE(7324)] = 233894,
  [SMALL_STATE(7325)] = 233913,
  [SMALL_STATE(7326)] = 233932,
  [SMALL_STATE(7327)] = 233947,
  [SMALL_STATE(7328)] = 233962,
  [SMALL_STATE(7329)] = 233981,
  [SMALL_STATE(7330)] = 234000,
  [SMALL_STATE(7331)] = 234015,
  [SMALL_STATE(7332)] = 234030,
  [SMALL_STATE(7333)] = 234049,
  [SMALL_STATE(7334)] = 234064,
  [SMALL_STATE(7335)] = 234079,
  [SMALL_STATE(7336)] = 234094,
  [SMALL_STATE(7337)] = 234113,
  [SMALL_STATE(7338)] = 234128,
  [SMALL_STATE(7339)] = 234147,
  [SMALL_STATE(7340)] = 234162,
  [SMALL_STATE(7341)] = 234177,
  [SMALL_STATE(7342)] = 234192,
  [SMALL_STATE(7343)] = 234207,
  [SMALL_STATE(7344)] = 234222,
  [SMALL_STATE(7345)] = 234237,
  [SMALL_STATE(7346)] = 234252,
  [SMALL_STATE(7347)] = 234267,
  [SMALL_STATE(7348)] = 234282,
  [SMALL_STATE(7349)] = 234301,
  [SMALL_STATE(7350)] = 234318,
  [SMALL_STATE(7351)] = 234335,
  [SMALL_STATE(7352)] = 234350,
  [SMALL_STATE(7353)] = 234365,
  [SMALL_STATE(7354)] = 234384,
  [SMALL_STATE(7355)] = 234399,
  [SMALL_STATE(7356)] = 234416,
  [SMALL_STATE(7357)] = 234435,
  [SMALL_STATE(7358)] = 234452,
  [SMALL_STATE(7359)] = 234471,
  [SMALL_STATE(7360)] = 234488,
  [SMALL_STATE(7361)] = 234507,
  [SMALL_STATE(7362)] = 234522,
  [SMALL_STATE(7363)] = 234536,
  [SMALL_STATE(7364)] = 234552,
  [SMALL_STATE(7365)] = 234566,
  [SMALL_STATE(7366)] = 234580,
  [SMALL_STATE(7367)] = 234596,
  [SMALL_STATE(7368)] = 234612,
  [SMALL_STATE(7369)] = 234628,
  [SMALL_STATE(7370)] = 234644,
  [SMALL_STATE(7371)] = 234658,
  [SMALL_STATE(7372)] = 234674,
  [SMALL_STATE(7373)] = 234690,
  [SMALL_STATE(7374)] = 234706,
  [SMALL_STATE(7375)] = 234722,
  [SMALL_STATE(7376)] = 234738,
  [SMALL_STATE(7377)] = 234752,
  [SMALL_STATE(7378)] = 234768,
  [SMALL_STATE(7379)] = 234784,
  [SMALL_STATE(7380)] = 234800,
  [SMALL_STATE(7381)] = 234816,
  [SMALL_STATE(7382)] = 234832,
  [SMALL_STATE(7383)] = 234848,
  [SMALL_STATE(7384)] = 234864,
  [SMALL_STATE(7385)] = 234880,
  [SMALL_STATE(7386)] = 234894,
  [SMALL_STATE(7387)] = 234908,
  [SMALL_STATE(7388)] = 234922,
  [SMALL_STATE(7389)] = 234938,
  [SMALL_STATE(7390)] = 234954,
  [SMALL_STATE(7391)] = 234970,
  [SMALL_STATE(7392)] = 234984,
  [SMALL_STATE(7393)] = 234998,
  [SMALL_STATE(7394)] = 235014,
  [SMALL_STATE(7395)] = 235028,
  [SMALL_STATE(7396)] = 235044,
  [SMALL_STATE(7397)] = 235060,
  [SMALL_STATE(7398)] = 235076,
  [SMALL_STATE(7399)] = 235090,
  [SMALL_STATE(7400)] = 235104,
  [SMALL_STATE(7401)] = 235118,
  [SMALL_STATE(7402)] = 235132,
  [SMALL_STATE(7403)] = 235146,
  [SMALL_STATE(7404)] = 235162,
  [SMALL_STATE(7405)] = 235178,
  [SMALL_STATE(7406)] = 235192,
  [SMALL_STATE(7407)] = 235206,
  [SMALL_STATE(7408)] = 235220,
  [SMALL_STATE(7409)] = 235234,
  [SMALL_STATE(7410)] = 235248,
  [SMALL_STATE(7411)] = 235264,
  [SMALL_STATE(7412)] = 235278,
  [SMALL_STATE(7413)] = 235294,
  [SMALL_STATE(7414)] = 235308,
  [SMALL_STATE(7415)] = 235324,
  [SMALL_STATE(7416)] = 235338,
  [SMALL_STATE(7417)] = 235354,
  [SMALL_STATE(7418)] = 235370,
  [SMALL_STATE(7419)] = 235384,
  [SMALL_STATE(7420)] = 235398,
  [SMALL_STATE(7421)] = 235412,
  [SMALL_STATE(7422)] = 235428,
  [SMALL_STATE(7423)] = 235442,
  [SMALL_STATE(7424)] = 235456,
  [SMALL_STATE(7425)] = 235472,
  [SMALL_STATE(7426)] = 235486,
  [SMALL_STATE(7427)] = 235500,
  [SMALL_STATE(7428)] = 235516,
  [SMALL_STATE(7429)] = 235530,
  [SMALL_STATE(7430)] = 235546,
  [SMALL_STATE(7431)] = 235562,
  [SMALL_STATE(7432)] = 235576,
  [SMALL_STATE(7433)] = 235592,
  [SMALL_STATE(7434)] = 235608,
  [SMALL_STATE(7435)] = 235624,
  [SMALL_STATE(7436)] = 235640,
  [SMALL_STATE(7437)] = 235656,
  [SMALL_STATE(7438)] = 235670,
  [SMALL_STATE(7439)] = 235684,
  [SMALL_STATE(7440)] = 235698,
  [SMALL_STATE(7441)] = 235712,
  [SMALL_STATE(7442)] = 235726,
  [SMALL_STATE(7443)] = 235740,
  [SMALL_STATE(7444)] = 235754,
  [SMALL_STATE(7445)] = 235768,
  [SMALL_STATE(7446)] = 235784,
  [SMALL_STATE(7447)] = 235798,
  [SMALL_STATE(7448)] = 235814,
  [SMALL_STATE(7449)] = 235828,
  [SMALL_STATE(7450)] = 235844,
  [SMALL_STATE(7451)] = 235858,
  [SMALL_STATE(7452)] = 235872,
  [SMALL_STATE(7453)] = 235888,
  [SMALL_STATE(7454)] = 235902,
  [SMALL_STATE(7455)] = 235918,
  [SMALL_STATE(7456)] = 235934,
  [SMALL_STATE(7457)] = 235948,
  [SMALL_STATE(7458)] = 235964,
  [SMALL_STATE(7459)] = 235978,
  [SMALL_STATE(7460)] = 235992,
  [SMALL_STATE(7461)] = 236008,
  [SMALL_STATE(7462)] = 236024,
  [SMALL_STATE(7463)] = 236038,
  [SMALL_STATE(7464)] = 236052,
  [SMALL_STATE(7465)] = 236066,
  [SMALL_STATE(7466)] = 236080,
  [SMALL_STATE(7467)] = 236094,
  [SMALL_STATE(7468)] = 236110,
  [SMALL_STATE(7469)] = 236124,
  [SMALL_STATE(7470)] = 236140,
  [SMALL_STATE(7471)] = 236156,
  [SMALL_STATE(7472)] = 236172,
  [SMALL_STATE(7473)] = 236186,
  [SMALL_STATE(7474)] = 236202,
  [SMALL_STATE(7475)] = 236218,
  [SMALL_STATE(7476)] = 236232,
  [SMALL_STATE(7477)] = 236248,
  [SMALL_STATE(7478)] = 236264,
  [SMALL_STATE(7479)] = 236280,
  [SMALL_STATE(7480)] = 236296,
  [SMALL_STATE(7481)] = 236312,
  [SMALL_STATE(7482)] = 236326,
  [SMALL_STATE(7483)] = 236340,
  [SMALL_STATE(7484)] = 236356,
  [SMALL_STATE(7485)] = 236372,
  [SMALL_STATE(7486)] = 236388,
  [SMALL_STATE(7487)] = 236404,
  [SMALL_STATE(7488)] = 236418,
  [SMALL_STATE(7489)] = 236434,
  [SMALL_STATE(7490)] = 236448,
  [SMALL_STATE(7491)] = 236462,
  [SMALL_STATE(7492)] = 236478,
  [SMALL_STATE(7493)] = 236492,
  [SMALL_STATE(7494)] = 236506,
  [SMALL_STATE(7495)] = 236520,
  [SMALL_STATE(7496)] = 236536,
  [SMALL_STATE(7497)] = 236550,
  [SMALL_STATE(7498)] = 236566,
  [SMALL_STATE(7499)] = 236580,
  [SMALL_STATE(7500)] = 236596,
  [SMALL_STATE(7501)] = 236610,
  [SMALL_STATE(7502)] = 236626,
  [SMALL_STATE(7503)] = 236642,
  [SMALL_STATE(7504)] = 236656,
  [SMALL_STATE(7505)] = 236672,
  [SMALL_STATE(7506)] = 236688,
  [SMALL_STATE(7507)] = 236704,
  [SMALL_STATE(7508)] = 236718,
  [SMALL_STATE(7509)] = 236734,
  [SMALL_STATE(7510)] = 236748,
  [SMALL_STATE(7511)] = 236762,
  [SMALL_STATE(7512)] = 236776,
  [SMALL_STATE(7513)] = 236792,
  [SMALL_STATE(7514)] = 236808,
  [SMALL_STATE(7515)] = 236824,
  [SMALL_STATE(7516)] = 236840,
  [SMALL_STATE(7517)] = 236854,
  [SMALL_STATE(7518)] = 236870,
  [SMALL_STATE(7519)] = 236886,
  [SMALL_STATE(7520)] = 236900,
  [SMALL_STATE(7521)] = 236914,
  [SMALL_STATE(7522)] = 236930,
  [SMALL_STATE(7523)] = 236946,
  [SMALL_STATE(7524)] = 236960,
  [SMALL_STATE(7525)] = 236976,
  [SMALL_STATE(7526)] = 236990,
  [SMALL_STATE(7527)] = 237006,
  [SMALL_STATE(7528)] = 237020,
  [SMALL_STATE(7529)] = 237036,
  [SMALL_STATE(7530)] = 237052,
  [SMALL_STATE(7531)] = 237068,
  [SMALL_STATE(7532)] = 237084,
  [SMALL_STATE(7533)] = 237098,
  [SMALL_STATE(7534)] = 237114,
  [SMALL_STATE(7535)] = 237130,
  [SMALL_STATE(7536)] = 237146,
  [SMALL_STATE(7537)] = 237162,
  [SMALL_STATE(7538)] = 237176,
  [SMALL_STATE(7539)] = 237190,
  [SMALL_STATE(7540)] = 237204,
  [SMALL_STATE(7541)] = 237218,
  [SMALL_STATE(7542)] = 237234,
  [SMALL_STATE(7543)] = 237250,
  [SMALL_STATE(7544)] = 237264,
  [SMALL_STATE(7545)] = 237280,
  [SMALL_STATE(7546)] = 237294,
  [SMALL_STATE(7547)] = 237310,
  [SMALL_STATE(7548)] = 237326,
  [SMALL_STATE(7549)] = 237340,
  [SMALL_STATE(7550)] = 237354,
  [SMALL_STATE(7551)] = 237370,
  [SMALL_STATE(7552)] = 237386,
  [SMALL_STATE(7553)] = 237400,
  [SMALL_STATE(7554)] = 237414,
  [SMALL_STATE(7555)] = 237428,
  [SMALL_STATE(7556)] = 237444,
  [SMALL_STATE(7557)] = 237460,
  [SMALL_STATE(7558)] = 237474,
  [SMALL_STATE(7559)] = 237488,
  [SMALL_STATE(7560)] = 237502,
  [SMALL_STATE(7561)] = 237518,
  [SMALL_STATE(7562)] = 237532,
  [SMALL_STATE(7563)] = 237548,
  [SMALL_STATE(7564)] = 237564,
  [SMALL_STATE(7565)] = 237578,
  [SMALL_STATE(7566)] = 237592,
  [SMALL_STATE(7567)] = 237608,
  [SMALL_STATE(7568)] = 237622,
  [SMALL_STATE(7569)] = 237636,
  [SMALL_STATE(7570)] = 237652,
  [SMALL_STATE(7571)] = 237668,
  [SMALL_STATE(7572)] = 237682,
  [SMALL_STATE(7573)] = 237696,
  [SMALL_STATE(7574)] = 237712,
  [SMALL_STATE(7575)] = 237728,
  [SMALL_STATE(7576)] = 237744,
  [SMALL_STATE(7577)] = 237760,
  [SMALL_STATE(7578)] = 237774,
  [SMALL_STATE(7579)] = 237788,
  [SMALL_STATE(7580)] = 237804,
  [SMALL_STATE(7581)] = 237818,
  [SMALL_STATE(7582)] = 237834,
  [SMALL_STATE(7583)] = 237848,
  [SMALL_STATE(7584)] = 237864,
  [SMALL_STATE(7585)] = 237880,
  [SMALL_STATE(7586)] = 237896,
  [SMALL_STATE(7587)] = 237910,
  [SMALL_STATE(7588)] = 237924,
  [SMALL_STATE(7589)] = 237940,
  [SMALL_STATE(7590)] = 237954,
  [SMALL_STATE(7591)] = 237968,
  [SMALL_STATE(7592)] = 237984,
  [SMALL_STATE(7593)] = 238000,
  [SMALL_STATE(7594)] = 238014,
  [SMALL_STATE(7595)] = 238028,
  [SMALL_STATE(7596)] = 238042,
  [SMALL_STATE(7597)] = 238058,
  [SMALL_STATE(7598)] = 238072,
  [SMALL_STATE(7599)] = 238088,
  [SMALL_STATE(7600)] = 238104,
  [SMALL_STATE(7601)] = 238120,
  [SMALL_STATE(7602)] = 238136,
  [SMALL_STATE(7603)] = 238152,
  [SMALL_STATE(7604)] = 238166,
  [SMALL_STATE(7605)] = 238182,
  [SMALL_STATE(7606)] = 238196,
  [SMALL_STATE(7607)] = 238212,
  [SMALL_STATE(7608)] = 238226,
  [SMALL_STATE(7609)] = 238240,
  [SMALL_STATE(7610)] = 238254,
  [SMALL_STATE(7611)] = 238268,
  [SMALL_STATE(7612)] = 238284,
  [SMALL_STATE(7613)] = 238300,
  [SMALL_STATE(7614)] = 238316,
  [SMALL_STATE(7615)] = 238330,
  [SMALL_STATE(7616)] = 238346,
  [SMALL_STATE(7617)] = 238360,
  [SMALL_STATE(7618)] = 238376,
  [SMALL_STATE(7619)] = 238390,
  [SMALL_STATE(7620)] = 238404,
  [SMALL_STATE(7621)] = 238420,
  [SMALL_STATE(7622)] = 238436,
  [SMALL_STATE(7623)] = 238452,
  [SMALL_STATE(7624)] = 238466,
  [SMALL_STATE(7625)] = 238482,
  [SMALL_STATE(7626)] = 238498,
  [SMALL_STATE(7627)] = 238512,
  [SMALL_STATE(7628)] = 238528,
  [SMALL_STATE(7629)] = 238544,
  [SMALL_STATE(7630)] = 238560,
  [SMALL_STATE(7631)] = 238574,
  [SMALL_STATE(7632)] = 238590,
  [SMALL_STATE(7633)] = 238604,
  [SMALL_STATE(7634)] = 238618,
  [SMALL_STATE(7635)] = 238634,
  [SMALL_STATE(7636)] = 238648,
  [SMALL_STATE(7637)] = 238664,
  [SMALL_STATE(7638)] = 238680,
  [SMALL_STATE(7639)] = 238696,
  [SMALL_STATE(7640)] = 238710,
  [SMALL_STATE(7641)] = 238726,
  [SMALL_STATE(7642)] = 238742,
  [SMALL_STATE(7643)] = 238758,
  [SMALL_STATE(7644)] = 238772,
  [SMALL_STATE(7645)] = 238788,
  [SMALL_STATE(7646)] = 238802,
  [SMALL_STATE(7647)] = 238816,
  [SMALL_STATE(7648)] = 238832,
  [SMALL_STATE(7649)] = 238848,
  [SMALL_STATE(7650)] = 238862,
  [SMALL_STATE(7651)] = 238876,
  [SMALL_STATE(7652)] = 238892,
  [SMALL_STATE(7653)] = 238908,
  [SMALL_STATE(7654)] = 238922,
  [SMALL_STATE(7655)] = 238936,
  [SMALL_STATE(7656)] = 238952,
  [SMALL_STATE(7657)] = 238966,
  [SMALL_STATE(7658)] = 238982,
  [SMALL_STATE(7659)] = 238996,
  [SMALL_STATE(7660)] = 239012,
  [SMALL_STATE(7661)] = 239028,
  [SMALL_STATE(7662)] = 239042,
  [SMALL_STATE(7663)] = 239058,
  [SMALL_STATE(7664)] = 239072,
  [SMALL_STATE(7665)] = 239086,
  [SMALL_STATE(7666)] = 239102,
  [SMALL_STATE(7667)] = 239118,
  [SMALL_STATE(7668)] = 239134,
  [SMALL_STATE(7669)] = 239148,
  [SMALL_STATE(7670)] = 239164,
  [SMALL_STATE(7671)] = 239180,
  [SMALL_STATE(7672)] = 239196,
  [SMALL_STATE(7673)] = 239212,
  [SMALL_STATE(7674)] = 239226,
  [SMALL_STATE(7675)] = 239242,
  [SMALL_STATE(7676)] = 239258,
  [SMALL_STATE(7677)] = 239272,
  [SMALL_STATE(7678)] = 239286,
  [SMALL_STATE(7679)] = 239300,
  [SMALL_STATE(7680)] = 239316,
  [SMALL_STATE(7681)] = 239332,
  [SMALL_STATE(7682)] = 239346,
  [SMALL_STATE(7683)] = 239362,
  [SMALL_STATE(7684)] = 239376,
  [SMALL_STATE(7685)] = 239390,
  [SMALL_STATE(7686)] = 239404,
  [SMALL_STATE(7687)] = 239420,
  [SMALL_STATE(7688)] = 239436,
  [SMALL_STATE(7689)] = 239452,
  [SMALL_STATE(7690)] = 239468,
  [SMALL_STATE(7691)] = 239482,
  [SMALL_STATE(7692)] = 239498,
  [SMALL_STATE(7693)] = 239514,
  [SMALL_STATE(7694)] = 239528,
  [SMALL_STATE(7695)] = 239542,
  [SMALL_STATE(7696)] = 239556,
  [SMALL_STATE(7697)] = 239572,
  [SMALL_STATE(7698)] = 239588,
  [SMALL_STATE(7699)] = 239602,
  [SMALL_STATE(7700)] = 239618,
  [SMALL_STATE(7701)] = 239634,
  [SMALL_STATE(7702)] = 239648,
  [SMALL_STATE(7703)] = 239664,
  [SMALL_STATE(7704)] = 239680,
  [SMALL_STATE(7705)] = 239696,
  [SMALL_STATE(7706)] = 239712,
  [SMALL_STATE(7707)] = 239728,
  [SMALL_STATE(7708)] = 239744,
  [SMALL_STATE(7709)] = 239758,
  [SMALL_STATE(7710)] = 239772,
  [SMALL_STATE(7711)] = 239786,
  [SMALL_STATE(7712)] = 239802,
  [SMALL_STATE(7713)] = 239816,
  [SMALL_STATE(7714)] = 239832,
  [SMALL_STATE(7715)] = 239846,
  [SMALL_STATE(7716)] = 239862,
  [SMALL_STATE(7717)] = 239876,
  [SMALL_STATE(7718)] = 239892,
  [SMALL_STATE(7719)] = 239908,
  [SMALL_STATE(7720)] = 239922,
  [SMALL_STATE(7721)] = 239936,
  [SMALL_STATE(7722)] = 239950,
  [SMALL_STATE(7723)] = 239964,
  [SMALL_STATE(7724)] = 239980,
  [SMALL_STATE(7725)] = 239994,
  [SMALL_STATE(7726)] = 240010,
  [SMALL_STATE(7727)] = 240026,
  [SMALL_STATE(7728)] = 240042,
  [SMALL_STATE(7729)] = 240058,
  [SMALL_STATE(7730)] = 240072,
  [SMALL_STATE(7731)] = 240088,
  [SMALL_STATE(7732)] = 240102,
  [SMALL_STATE(7733)] = 240116,
  [SMALL_STATE(7734)] = 240130,
  [SMALL_STATE(7735)] = 240146,
  [SMALL_STATE(7736)] = 240160,
  [SMALL_STATE(7737)] = 240176,
  [SMALL_STATE(7738)] = 240192,
  [SMALL_STATE(7739)] = 240206,
  [SMALL_STATE(7740)] = 240222,
  [SMALL_STATE(7741)] = 240238,
  [SMALL_STATE(7742)] = 240254,
  [SMALL_STATE(7743)] = 240268,
  [SMALL_STATE(7744)] = 240284,
  [SMALL_STATE(7745)] = 240300,
  [SMALL_STATE(7746)] = 240316,
  [SMALL_STATE(7747)] = 240332,
  [SMALL_STATE(7748)] = 240348,
  [SMALL_STATE(7749)] = 240364,
  [SMALL_STATE(7750)] = 240380,
  [SMALL_STATE(7751)] = 240396,
  [SMALL_STATE(7752)] = 240410,
  [SMALL_STATE(7753)] = 240424,
  [SMALL_STATE(7754)] = 240440,
  [SMALL_STATE(7755)] = 240456,
  [SMALL_STATE(7756)] = 240472,
  [SMALL_STATE(7757)] = 240488,
  [SMALL_STATE(7758)] = 240502,
  [SMALL_STATE(7759)] = 240518,
  [SMALL_STATE(7760)] = 240534,
  [SMALL_STATE(7761)] = 240550,
  [SMALL_STATE(7762)] = 240566,
  [SMALL_STATE(7763)] = 240580,
  [SMALL_STATE(7764)] = 240596,
  [SMALL_STATE(7765)] = 240612,
  [SMALL_STATE(7766)] = 240628,
  [SMALL_STATE(7767)] = 240644,
  [SMALL_STATE(7768)] = 240660,
  [SMALL_STATE(7769)] = 240674,
  [SMALL_STATE(7770)] = 240690,
  [SMALL_STATE(7771)] = 240706,
  [SMALL_STATE(7772)] = 240722,
  [SMALL_STATE(7773)] = 240738,
  [SMALL_STATE(7774)] = 240754,
  [SMALL_STATE(7775)] = 240770,
  [SMALL_STATE(7776)] = 240784,
  [SMALL_STATE(7777)] = 240798,
  [SMALL_STATE(7778)] = 240814,
  [SMALL_STATE(7779)] = 240830,
  [SMALL_STATE(7780)] = 240846,
  [SMALL_STATE(7781)] = 240862,
  [SMALL_STATE(7782)] = 240878,
  [SMALL_STATE(7783)] = 240894,
  [SMALL_STATE(7784)] = 240908,
  [SMALL_STATE(7785)] = 240922,
  [SMALL_STATE(7786)] = 240936,
  [SMALL_STATE(7787)] = 240950,
  [SMALL_STATE(7788)] = 240966,
  [SMALL_STATE(7789)] = 240982,
  [SMALL_STATE(7790)] = 240998,
  [SMALL_STATE(7791)] = 241014,
  [SMALL_STATE(7792)] = 241030,
  [SMALL_STATE(7793)] = 241046,
  [SMALL_STATE(7794)] = 241060,
  [SMALL_STATE(7795)] = 241076,
  [SMALL_STATE(7796)] = 241090,
  [SMALL_STATE(7797)] = 241106,
  [SMALL_STATE(7798)] = 241122,
  [SMALL_STATE(7799)] = 241136,
  [SMALL_STATE(7800)] = 241150,
  [SMALL_STATE(7801)] = 241166,
  [SMALL_STATE(7802)] = 241180,
  [SMALL_STATE(7803)] = 241194,
  [SMALL_STATE(7804)] = 241208,
  [SMALL_STATE(7805)] = 241224,
  [SMALL_STATE(7806)] = 241240,
  [SMALL_STATE(7807)] = 241254,
  [SMALL_STATE(7808)] = 241268,
  [SMALL_STATE(7809)] = 241282,
  [SMALL_STATE(7810)] = 241298,
  [SMALL_STATE(7811)] = 241314,
  [SMALL_STATE(7812)] = 241330,
  [SMALL_STATE(7813)] = 241344,
  [SMALL_STATE(7814)] = 241358,
  [SMALL_STATE(7815)] = 241372,
  [SMALL_STATE(7816)] = 241388,
  [SMALL_STATE(7817)] = 241404,
  [SMALL_STATE(7818)] = 241420,
  [SMALL_STATE(7819)] = 241436,
  [SMALL_STATE(7820)] = 241452,
  [SMALL_STATE(7821)] = 241466,
  [SMALL_STATE(7822)] = 241480,
  [SMALL_STATE(7823)] = 241494,
  [SMALL_STATE(7824)] = 241508,
  [SMALL_STATE(7825)] = 241522,
  [SMALL_STATE(7826)] = 241536,
  [SMALL_STATE(7827)] = 241552,
  [SMALL_STATE(7828)] = 241568,
  [SMALL_STATE(7829)] = 241584,
  [SMALL_STATE(7830)] = 241598,
  [SMALL_STATE(7831)] = 241614,
  [SMALL_STATE(7832)] = 241630,
  [SMALL_STATE(7833)] = 241646,
  [SMALL_STATE(7834)] = 241662,
  [SMALL_STATE(7835)] = 241676,
  [SMALL_STATE(7836)] = 241690,
  [SMALL_STATE(7837)] = 241704,
  [SMALL_STATE(7838)] = 241718,
  [SMALL_STATE(7839)] = 241732,
  [SMALL_STATE(7840)] = 241746,
  [SMALL_STATE(7841)] = 241762,
  [SMALL_STATE(7842)] = 241776,
  [SMALL_STATE(7843)] = 241792,
  [SMALL_STATE(7844)] = 241808,
  [SMALL_STATE(7845)] = 241824,
  [SMALL_STATE(7846)] = 241840,
  [SMALL_STATE(7847)] = 241856,
  [SMALL_STATE(7848)] = 241870,
  [SMALL_STATE(7849)] = 241884,
  [SMALL_STATE(7850)] = 241898,
  [SMALL_STATE(7851)] = 241914,
  [SMALL_STATE(7852)] = 241930,
  [SMALL_STATE(7853)] = 241946,
  [SMALL_STATE(7854)] = 241962,
  [SMALL_STATE(7855)] = 241978,
  [SMALL_STATE(7856)] = 241992,
  [SMALL_STATE(7857)] = 242006,
  [SMALL_STATE(7858)] = 242020,
  [SMALL_STATE(7859)] = 242034,
  [SMALL_STATE(7860)] = 242048,
  [SMALL_STATE(7861)] = 242064,
  [SMALL_STATE(7862)] = 242078,
  [SMALL_STATE(7863)] = 242092,
  [SMALL_STATE(7864)] = 242108,
  [SMALL_STATE(7865)] = 242124,
  [SMALL_STATE(7866)] = 242140,
  [SMALL_STATE(7867)] = 242154,
  [SMALL_STATE(7868)] = 242168,
  [SMALL_STATE(7869)] = 242184,
  [SMALL_STATE(7870)] = 242200,
  [SMALL_STATE(7871)] = 242214,
  [SMALL_STATE(7872)] = 242228,
  [SMALL_STATE(7873)] = 242242,
  [SMALL_STATE(7874)] = 242256,
  [SMALL_STATE(7875)] = 242270,
  [SMALL_STATE(7876)] = 242284,
  [SMALL_STATE(7877)] = 242298,
  [SMALL_STATE(7878)] = 242314,
  [SMALL_STATE(7879)] = 242330,
  [SMALL_STATE(7880)] = 242344,
  [SMALL_STATE(7881)] = 242358,
  [SMALL_STATE(7882)] = 242374,
  [SMALL_STATE(7883)] = 242390,
  [SMALL_STATE(7884)] = 242404,
  [SMALL_STATE(7885)] = 242418,
  [SMALL_STATE(7886)] = 242434,
  [SMALL_STATE(7887)] = 242448,
  [SMALL_STATE(7888)] = 242464,
  [SMALL_STATE(7889)] = 242480,
  [SMALL_STATE(7890)] = 242496,
  [SMALL_STATE(7891)] = 242510,
  [SMALL_STATE(7892)] = 242526,
  [SMALL_STATE(7893)] = 242540,
  [SMALL_STATE(7894)] = 242554,
  [SMALL_STATE(7895)] = 242570,
  [SMALL_STATE(7896)] = 242584,
  [SMALL_STATE(7897)] = 242598,
  [SMALL_STATE(7898)] = 242612,
  [SMALL_STATE(7899)] = 242626,
  [SMALL_STATE(7900)] = 242642,
  [SMALL_STATE(7901)] = 242656,
  [SMALL_STATE(7902)] = 242672,
  [SMALL_STATE(7903)] = 242688,
  [SMALL_STATE(7904)] = 242704,
  [SMALL_STATE(7905)] = 242718,
  [SMALL_STATE(7906)] = 242734,
  [SMALL_STATE(7907)] = 242748,
  [SMALL_STATE(7908)] = 242764,
  [SMALL_STATE(7909)] = 242780,
  [SMALL_STATE(7910)] = 242796,
  [SMALL_STATE(7911)] = 242812,
  [SMALL_STATE(7912)] = 242826,
  [SMALL_STATE(7913)] = 242842,
  [SMALL_STATE(7914)] = 242858,
  [SMALL_STATE(7915)] = 242874,
  [SMALL_STATE(7916)] = 242890,
  [SMALL_STATE(7917)] = 242906,
  [SMALL_STATE(7918)] = 242922,
  [SMALL_STATE(7919)] = 242938,
  [SMALL_STATE(7920)] = 242954,
  [SMALL_STATE(7921)] = 242968,
  [SMALL_STATE(7922)] = 242984,
  [SMALL_STATE(7923)] = 242998,
  [SMALL_STATE(7924)] = 243012,
  [SMALL_STATE(7925)] = 243028,
  [SMALL_STATE(7926)] = 243042,
  [SMALL_STATE(7927)] = 243058,
  [SMALL_STATE(7928)] = 243074,
  [SMALL_STATE(7929)] = 243090,
  [SMALL_STATE(7930)] = 243104,
  [SMALL_STATE(7931)] = 243118,
  [SMALL_STATE(7932)] = 243134,
  [SMALL_STATE(7933)] = 243150,
  [SMALL_STATE(7934)] = 243164,
  [SMALL_STATE(7935)] = 243178,
  [SMALL_STATE(7936)] = 243192,
  [SMALL_STATE(7937)] = 243208,
  [SMALL_STATE(7938)] = 243224,
  [SMALL_STATE(7939)] = 243240,
  [SMALL_STATE(7940)] = 243256,
  [SMALL_STATE(7941)] = 243272,
  [SMALL_STATE(7942)] = 243288,
  [SMALL_STATE(7943)] = 243304,
  [SMALL_STATE(7944)] = 243318,
  [SMALL_STATE(7945)] = 243334,
  [SMALL_STATE(7946)] = 243348,
  [SMALL_STATE(7947)] = 243364,
  [SMALL_STATE(7948)] = 243380,
  [SMALL_STATE(7949)] = 243396,
  [SMALL_STATE(7950)] = 243412,
  [SMALL_STATE(7951)] = 243428,
  [SMALL_STATE(7952)] = 243444,
  [SMALL_STATE(7953)] = 243460,
  [SMALL_STATE(7954)] = 243474,
  [SMALL_STATE(7955)] = 243490,
  [SMALL_STATE(7956)] = 243506,
  [SMALL_STATE(7957)] = 243522,
  [SMALL_STATE(7958)] = 243538,
  [SMALL_STATE(7959)] = 243554,
  [SMALL_STATE(7960)] = 243570,
  [SMALL_STATE(7961)] = 243586,
  [SMALL_STATE(7962)] = 243602,
  [SMALL_STATE(7963)] = 243618,
  [SMALL_STATE(7964)] = 243634,
  [SMALL_STATE(7965)] = 243650,
  [SMALL_STATE(7966)] = 243666,
  [SMALL_STATE(7967)] = 243682,
  [SMALL_STATE(7968)] = 243698,
  [SMALL_STATE(7969)] = 243712,
  [SMALL_STATE(7970)] = 243728,
  [SMALL_STATE(7971)] = 243742,
  [SMALL_STATE(7972)] = 243758,
  [SMALL_STATE(7973)] = 243774,
  [SMALL_STATE(7974)] = 243790,
  [SMALL_STATE(7975)] = 243806,
  [SMALL_STATE(7976)] = 243822,
  [SMALL_STATE(7977)] = 243836,
  [SMALL_STATE(7978)] = 243852,
  [SMALL_STATE(7979)] = 243868,
  [SMALL_STATE(7980)] = 243884,
  [SMALL_STATE(7981)] = 243898,
  [SMALL_STATE(7982)] = 243914,
  [SMALL_STATE(7983)] = 243928,
  [SMALL_STATE(7984)] = 243944,
  [SMALL_STATE(7985)] = 243960,
  [SMALL_STATE(7986)] = 243976,
  [SMALL_STATE(7987)] = 243990,
  [SMALL_STATE(7988)] = 244006,
  [SMALL_STATE(7989)] = 244022,
  [SMALL_STATE(7990)] = 244038,
  [SMALL_STATE(7991)] = 244052,
  [SMALL_STATE(7992)] = 244068,
  [SMALL_STATE(7993)] = 244082,
  [SMALL_STATE(7994)] = 244096,
  [SMALL_STATE(7995)] = 244112,
  [SMALL_STATE(7996)] = 244128,
  [SMALL_STATE(7997)] = 244142,
  [SMALL_STATE(7998)] = 244156,
  [SMALL_STATE(7999)] = 244170,
  [SMALL_STATE(8000)] = 244184,
  [SMALL_STATE(8001)] = 244200,
  [SMALL_STATE(8002)] = 244216,
  [SMALL_STATE(8003)] = 244232,
  [SMALL_STATE(8004)] = 244246,
  [SMALL_STATE(8005)] = 244260,
  [SMALL_STATE(8006)] = 244274,
  [SMALL_STATE(8007)] = 244288,
  [SMALL_STATE(8008)] = 244302,
  [SMALL_STATE(8009)] = 244316,
  [SMALL_STATE(8010)] = 244330,
  [SMALL_STATE(8011)] = 244344,
  [SMALL_STATE(8012)] = 244358,
  [SMALL_STATE(8013)] = 244372,
  [SMALL_STATE(8014)] = 244388,
  [SMALL_STATE(8015)] = 244402,
  [SMALL_STATE(8016)] = 244418,
  [SMALL_STATE(8017)] = 244434,
  [SMALL_STATE(8018)] = 244450,
  [SMALL_STATE(8019)] = 244466,
  [SMALL_STATE(8020)] = 244482,
  [SMALL_STATE(8021)] = 244498,
  [SMALL_STATE(8022)] = 244514,
  [SMALL_STATE(8023)] = 244530,
  [SMALL_STATE(8024)] = 244546,
  [SMALL_STATE(8025)] = 244562,
  [SMALL_STATE(8026)] = 244576,
  [SMALL_STATE(8027)] = 244592,
  [SMALL_STATE(8028)] = 244606,
  [SMALL_STATE(8029)] = 244622,
  [SMALL_STATE(8030)] = 244638,
  [SMALL_STATE(8031)] = 244654,
  [SMALL_STATE(8032)] = 244670,
  [SMALL_STATE(8033)] = 244686,
  [SMALL_STATE(8034)] = 244702,
  [SMALL_STATE(8035)] = 244718,
  [SMALL_STATE(8036)] = 244734,
  [SMALL_STATE(8037)] = 244750,
  [SMALL_STATE(8038)] = 244766,
  [SMALL_STATE(8039)] = 244782,
  [SMALL_STATE(8040)] = 244796,
  [SMALL_STATE(8041)] = 244810,
  [SMALL_STATE(8042)] = 244826,
  [SMALL_STATE(8043)] = 244842,
  [SMALL_STATE(8044)] = 244856,
  [SMALL_STATE(8045)] = 244872,
  [SMALL_STATE(8046)] = 244886,
  [SMALL_STATE(8047)] = 244902,
  [SMALL_STATE(8048)] = 244918,
  [SMALL_STATE(8049)] = 244932,
  [SMALL_STATE(8050)] = 244948,
  [SMALL_STATE(8051)] = 244964,
  [SMALL_STATE(8052)] = 244978,
  [SMALL_STATE(8053)] = 244994,
  [SMALL_STATE(8054)] = 245010,
  [SMALL_STATE(8055)] = 245024,
  [SMALL_STATE(8056)] = 245038,
  [SMALL_STATE(8057)] = 245052,
  [SMALL_STATE(8058)] = 245068,
  [SMALL_STATE(8059)] = 245084,
  [SMALL_STATE(8060)] = 245100,
  [SMALL_STATE(8061)] = 245114,
  [SMALL_STATE(8062)] = 245128,
  [SMALL_STATE(8063)] = 245144,
  [SMALL_STATE(8064)] = 245160,
  [SMALL_STATE(8065)] = 245176,
  [SMALL_STATE(8066)] = 245192,
  [SMALL_STATE(8067)] = 245208,
  [SMALL_STATE(8068)] = 245224,
  [SMALL_STATE(8069)] = 245240,
  [SMALL_STATE(8070)] = 245256,
  [SMALL_STATE(8071)] = 245270,
  [SMALL_STATE(8072)] = 245284,
  [SMALL_STATE(8073)] = 245300,
  [SMALL_STATE(8074)] = 245316,
  [SMALL_STATE(8075)] = 245332,
  [SMALL_STATE(8076)] = 245348,
  [SMALL_STATE(8077)] = 245364,
  [SMALL_STATE(8078)] = 245378,
  [SMALL_STATE(8079)] = 245394,
  [SMALL_STATE(8080)] = 245410,
  [SMALL_STATE(8081)] = 245426,
  [SMALL_STATE(8082)] = 245442,
  [SMALL_STATE(8083)] = 245458,
  [SMALL_STATE(8084)] = 245472,
  [SMALL_STATE(8085)] = 245486,
  [SMALL_STATE(8086)] = 245500,
  [SMALL_STATE(8087)] = 245516,
  [SMALL_STATE(8088)] = 245532,
  [SMALL_STATE(8089)] = 245548,
  [SMALL_STATE(8090)] = 245564,
  [SMALL_STATE(8091)] = 245580,
  [SMALL_STATE(8092)] = 245596,
  [SMALL_STATE(8093)] = 245610,
  [SMALL_STATE(8094)] = 245626,
  [SMALL_STATE(8095)] = 245642,
  [SMALL_STATE(8096)] = 245656,
  [SMALL_STATE(8097)] = 245672,
  [SMALL_STATE(8098)] = 245688,
  [SMALL_STATE(8099)] = 245702,
  [SMALL_STATE(8100)] = 245716,
  [SMALL_STATE(8101)] = 245730,
  [SMALL_STATE(8102)] = 245744,
  [SMALL_STATE(8103)] = 245758,
  [SMALL_STATE(8104)] = 245774,
  [SMALL_STATE(8105)] = 245790,
  [SMALL_STATE(8106)] = 245806,
  [SMALL_STATE(8107)] = 245822,
  [SMALL_STATE(8108)] = 245836,
  [SMALL_STATE(8109)] = 245852,
  [SMALL_STATE(8110)] = 245868,
  [SMALL_STATE(8111)] = 245884,
  [SMALL_STATE(8112)] = 245900,
  [SMALL_STATE(8113)] = 245916,
  [SMALL_STATE(8114)] = 245930,
  [SMALL_STATE(8115)] = 245944,
  [SMALL_STATE(8116)] = 245958,
  [SMALL_STATE(8117)] = 245974,
  [SMALL_STATE(8118)] = 245988,
  [SMALL_STATE(8119)] = 246004,
  [SMALL_STATE(8120)] = 246020,
  [SMALL_STATE(8121)] = 246034,
  [SMALL_STATE(8122)] = 246048,
  [SMALL_STATE(8123)] = 246064,
  [SMALL_STATE(8124)] = 246080,
  [SMALL_STATE(8125)] = 246094,
  [SMALL_STATE(8126)] = 246110,
  [SMALL_STATE(8127)] = 246126,
  [SMALL_STATE(8128)] = 246142,
  [SMALL_STATE(8129)] = 246156,
  [SMALL_STATE(8130)] = 246172,
  [SMALL_STATE(8131)] = 246188,
  [SMALL_STATE(8132)] = 246204,
  [SMALL_STATE(8133)] = 246218,
  [SMALL_STATE(8134)] = 246234,
  [SMALL_STATE(8135)] = 246250,
  [SMALL_STATE(8136)] = 246264,
  [SMALL_STATE(8137)] = 246280,
  [SMALL_STATE(8138)] = 246296,
  [SMALL_STATE(8139)] = 246312,
  [SMALL_STATE(8140)] = 246328,
  [SMALL_STATE(8141)] = 246344,
  [SMALL_STATE(8142)] = 246360,
  [SMALL_STATE(8143)] = 246374,
  [SMALL_STATE(8144)] = 246388,
  [SMALL_STATE(8145)] = 246402,
  [SMALL_STATE(8146)] = 246418,
  [SMALL_STATE(8147)] = 246432,
  [SMALL_STATE(8148)] = 246446,
  [SMALL_STATE(8149)] = 246460,
  [SMALL_STATE(8150)] = 246476,
  [SMALL_STATE(8151)] = 246492,
  [SMALL_STATE(8152)] = 246506,
  [SMALL_STATE(8153)] = 246520,
  [SMALL_STATE(8154)] = 246536,
  [SMALL_STATE(8155)] = 246552,
  [SMALL_STATE(8156)] = 246566,
  [SMALL_STATE(8157)] = 246582,
  [SMALL_STATE(8158)] = 246598,
  [SMALL_STATE(8159)] = 246614,
  [SMALL_STATE(8160)] = 246630,
  [SMALL_STATE(8161)] = 246646,
  [SMALL_STATE(8162)] = 246662,
  [SMALL_STATE(8163)] = 246678,
  [SMALL_STATE(8164)] = 246694,
  [SMALL_STATE(8165)] = 246710,
  [SMALL_STATE(8166)] = 246726,
  [SMALL_STATE(8167)] = 246740,
  [SMALL_STATE(8168)] = 246756,
  [SMALL_STATE(8169)] = 246772,
  [SMALL_STATE(8170)] = 246788,
  [SMALL_STATE(8171)] = 246804,
  [SMALL_STATE(8172)] = 246820,
  [SMALL_STATE(8173)] = 246836,
  [SMALL_STATE(8174)] = 246852,
  [SMALL_STATE(8175)] = 246868,
  [SMALL_STATE(8176)] = 246884,
  [SMALL_STATE(8177)] = 246900,
  [SMALL_STATE(8178)] = 246916,
  [SMALL_STATE(8179)] = 246932,
  [SMALL_STATE(8180)] = 246946,
  [SMALL_STATE(8181)] = 246962,
  [SMALL_STATE(8182)] = 246978,
  [SMALL_STATE(8183)] = 246994,
  [SMALL_STATE(8184)] = 247010,
  [SMALL_STATE(8185)] = 247026,
  [SMALL_STATE(8186)] = 247042,
  [SMALL_STATE(8187)] = 247056,
  [SMALL_STATE(8188)] = 247072,
  [SMALL_STATE(8189)] = 247088,
  [SMALL_STATE(8190)] = 247104,
  [SMALL_STATE(8191)] = 247120,
  [SMALL_STATE(8192)] = 247136,
  [SMALL_STATE(8193)] = 247152,
  [SMALL_STATE(8194)] = 247166,
  [SMALL_STATE(8195)] = 247180,
  [SMALL_STATE(8196)] = 247194,
  [SMALL_STATE(8197)] = 247207,
  [SMALL_STATE(8198)] = 247220,
  [SMALL_STATE(8199)] = 247233,
  [SMALL_STATE(8200)] = 247246,
  [SMALL_STATE(8201)] = 247259,
  [SMALL_STATE(8202)] = 247272,
  [SMALL_STATE(8203)] = 247285,
  [SMALL_STATE(8204)] = 247298,
  [SMALL_STATE(8205)] = 247311,
  [SMALL_STATE(8206)] = 247324,
  [SMALL_STATE(8207)] = 247337,
  [SMALL_STATE(8208)] = 247350,
  [SMALL_STATE(8209)] = 247363,
  [SMALL_STATE(8210)] = 247376,
  [SMALL_STATE(8211)] = 247389,
  [SMALL_STATE(8212)] = 247402,
  [SMALL_STATE(8213)] = 247415,
  [SMALL_STATE(8214)] = 247428,
  [SMALL_STATE(8215)] = 247441,
  [SMALL_STATE(8216)] = 247454,
  [SMALL_STATE(8217)] = 247467,
  [SMALL_STATE(8218)] = 247480,
  [SMALL_STATE(8219)] = 247493,
  [SMALL_STATE(8220)] = 247506,
  [SMALL_STATE(8221)] = 247519,
  [SMALL_STATE(8222)] = 247532,
  [SMALL_STATE(8223)] = 247545,
  [SMALL_STATE(8224)] = 247558,
  [SMALL_STATE(8225)] = 247571,
  [SMALL_STATE(8226)] = 247584,
  [SMALL_STATE(8227)] = 247597,
  [SMALL_STATE(8228)] = 247610,
  [SMALL_STATE(8229)] = 247623,
  [SMALL_STATE(8230)] = 247636,
  [SMALL_STATE(8231)] = 247649,
  [SMALL_STATE(8232)] = 247662,
  [SMALL_STATE(8233)] = 247675,
  [SMALL_STATE(8234)] = 247688,
  [SMALL_STATE(8235)] = 247701,
  [SMALL_STATE(8236)] = 247714,
  [SMALL_STATE(8237)] = 247727,
  [SMALL_STATE(8238)] = 247740,
  [SMALL_STATE(8239)] = 247753,
  [SMALL_STATE(8240)] = 247766,
  [SMALL_STATE(8241)] = 247779,
  [SMALL_STATE(8242)] = 247792,
  [SMALL_STATE(8243)] = 247805,
  [SMALL_STATE(8244)] = 247818,
  [SMALL_STATE(8245)] = 247831,
  [SMALL_STATE(8246)] = 247844,
  [SMALL_STATE(8247)] = 247857,
  [SMALL_STATE(8248)] = 247870,
  [SMALL_STATE(8249)] = 247883,
  [SMALL_STATE(8250)] = 247896,
  [SMALL_STATE(8251)] = 247909,
  [SMALL_STATE(8252)] = 247922,
  [SMALL_STATE(8253)] = 247935,
  [SMALL_STATE(8254)] = 247948,
  [SMALL_STATE(8255)] = 247961,
  [SMALL_STATE(8256)] = 247974,
  [SMALL_STATE(8257)] = 247987,
  [SMALL_STATE(8258)] = 248000,
  [SMALL_STATE(8259)] = 248013,
  [SMALL_STATE(8260)] = 248026,
  [SMALL_STATE(8261)] = 248039,
  [SMALL_STATE(8262)] = 248052,
  [SMALL_STATE(8263)] = 248065,
  [SMALL_STATE(8264)] = 248078,
  [SMALL_STATE(8265)] = 248091,
  [SMALL_STATE(8266)] = 248104,
  [SMALL_STATE(8267)] = 248117,
  [SMALL_STATE(8268)] = 248130,
  [SMALL_STATE(8269)] = 248143,
  [SMALL_STATE(8270)] = 248156,
  [SMALL_STATE(8271)] = 248169,
  [SMALL_STATE(8272)] = 248182,
  [SMALL_STATE(8273)] = 248195,
  [SMALL_STATE(8274)] = 248208,
  [SMALL_STATE(8275)] = 248221,
  [SMALL_STATE(8276)] = 248234,
  [SMALL_STATE(8277)] = 248247,
  [SMALL_STATE(8278)] = 248260,
  [SMALL_STATE(8279)] = 248273,
  [SMALL_STATE(8280)] = 248286,
  [SMALL_STATE(8281)] = 248299,
  [SMALL_STATE(8282)] = 248312,
  [SMALL_STATE(8283)] = 248325,
  [SMALL_STATE(8284)] = 248338,
  [SMALL_STATE(8285)] = 248351,
  [SMALL_STATE(8286)] = 248364,
  [SMALL_STATE(8287)] = 248377,
  [SMALL_STATE(8288)] = 248390,
  [SMALL_STATE(8289)] = 248403,
  [SMALL_STATE(8290)] = 248416,
  [SMALL_STATE(8291)] = 248429,
  [SMALL_STATE(8292)] = 248442,
  [SMALL_STATE(8293)] = 248455,
  [SMALL_STATE(8294)] = 248468,
  [SMALL_STATE(8295)] = 248481,
  [SMALL_STATE(8296)] = 248494,
  [SMALL_STATE(8297)] = 248507,
  [SMALL_STATE(8298)] = 248520,
  [SMALL_STATE(8299)] = 248533,
  [SMALL_STATE(8300)] = 248546,
  [SMALL_STATE(8301)] = 248559,
  [SMALL_STATE(8302)] = 248572,
  [SMALL_STATE(8303)] = 248585,
  [SMALL_STATE(8304)] = 248598,
  [SMALL_STATE(8305)] = 248611,
  [SMALL_STATE(8306)] = 248624,
  [SMALL_STATE(8307)] = 248637,
  [SMALL_STATE(8308)] = 248650,
  [SMALL_STATE(8309)] = 248663,
  [SMALL_STATE(8310)] = 248676,
  [SMALL_STATE(8311)] = 248689,
  [SMALL_STATE(8312)] = 248702,
  [SMALL_STATE(8313)] = 248715,
  [SMALL_STATE(8314)] = 248728,
  [SMALL_STATE(8315)] = 248741,
  [SMALL_STATE(8316)] = 248754,
  [SMALL_STATE(8317)] = 248767,
  [SMALL_STATE(8318)] = 248780,
  [SMALL_STATE(8319)] = 248793,
  [SMALL_STATE(8320)] = 248806,
  [SMALL_STATE(8321)] = 248819,
  [SMALL_STATE(8322)] = 248832,
  [SMALL_STATE(8323)] = 248845,
  [SMALL_STATE(8324)] = 248858,
  [SMALL_STATE(8325)] = 248871,
  [SMALL_STATE(8326)] = 248884,
  [SMALL_STATE(8327)] = 248897,
  [SMALL_STATE(8328)] = 248910,
  [SMALL_STATE(8329)] = 248923,
  [SMALL_STATE(8330)] = 248936,
  [SMALL_STATE(8331)] = 248949,
  [SMALL_STATE(8332)] = 248962,
  [SMALL_STATE(8333)] = 248975,
  [SMALL_STATE(8334)] = 248988,
  [SMALL_STATE(8335)] = 249001,
  [SMALL_STATE(8336)] = 249014,
  [SMALL_STATE(8337)] = 249027,
  [SMALL_STATE(8338)] = 249040,
  [SMALL_STATE(8339)] = 249053,
  [SMALL_STATE(8340)] = 249066,
  [SMALL_STATE(8341)] = 249079,
  [SMALL_STATE(8342)] = 249092,
  [SMALL_STATE(8343)] = 249105,
  [SMALL_STATE(8344)] = 249118,
  [SMALL_STATE(8345)] = 249131,
  [SMALL_STATE(8346)] = 249144,
  [SMALL_STATE(8347)] = 249157,
  [SMALL_STATE(8348)] = 249170,
  [SMALL_STATE(8349)] = 249183,
  [SMALL_STATE(8350)] = 249196,
  [SMALL_STATE(8351)] = 249209,
  [SMALL_STATE(8352)] = 249222,
  [SMALL_STATE(8353)] = 249235,
  [SMALL_STATE(8354)] = 249248,
  [SMALL_STATE(8355)] = 249261,
  [SMALL_STATE(8356)] = 249274,
  [SMALL_STATE(8357)] = 249287,
  [SMALL_STATE(8358)] = 249300,
  [SMALL_STATE(8359)] = 249313,
  [SMALL_STATE(8360)] = 249326,
  [SMALL_STATE(8361)] = 249339,
  [SMALL_STATE(8362)] = 249352,
  [SMALL_STATE(8363)] = 249365,
  [SMALL_STATE(8364)] = 249378,
  [SMALL_STATE(8365)] = 249391,
  [SMALL_STATE(8366)] = 249404,
  [SMALL_STATE(8367)] = 249417,
  [SMALL_STATE(8368)] = 249430,
  [SMALL_STATE(8369)] = 249443,
  [SMALL_STATE(8370)] = 249456,
  [SMALL_STATE(8371)] = 249469,
  [SMALL_STATE(8372)] = 249482,
  [SMALL_STATE(8373)] = 249495,
  [SMALL_STATE(8374)] = 249508,
  [SMALL_STATE(8375)] = 249521,
  [SMALL_STATE(8376)] = 249534,
  [SMALL_STATE(8377)] = 249547,
  [SMALL_STATE(8378)] = 249560,
  [SMALL_STATE(8379)] = 249573,
  [SMALL_STATE(8380)] = 249586,
  [SMALL_STATE(8381)] = 249599,
  [SMALL_STATE(8382)] = 249612,
  [SMALL_STATE(8383)] = 249625,
  [SMALL_STATE(8384)] = 249638,
  [SMALL_STATE(8385)] = 249651,
  [SMALL_STATE(8386)] = 249664,
  [SMALL_STATE(8387)] = 249677,
  [SMALL_STATE(8388)] = 249690,
  [SMALL_STATE(8389)] = 249703,
  [SMALL_STATE(8390)] = 249716,
  [SMALL_STATE(8391)] = 249729,
  [SMALL_STATE(8392)] = 249742,
  [SMALL_STATE(8393)] = 249755,
  [SMALL_STATE(8394)] = 249768,
  [SMALL_STATE(8395)] = 249781,
  [SMALL_STATE(8396)] = 249794,
  [SMALL_STATE(8397)] = 249807,
  [SMALL_STATE(8398)] = 249820,
  [SMALL_STATE(8399)] = 249833,
  [SMALL_STATE(8400)] = 249846,
  [SMALL_STATE(8401)] = 249859,
  [SMALL_STATE(8402)] = 249872,
  [SMALL_STATE(8403)] = 249885,
  [SMALL_STATE(8404)] = 249898,
  [SMALL_STATE(8405)] = 249911,
  [SMALL_STATE(8406)] = 249924,
  [SMALL_STATE(8407)] = 249937,
  [SMALL_STATE(8408)] = 249950,
  [SMALL_STATE(8409)] = 249963,
  [SMALL_STATE(8410)] = 249976,
  [SMALL_STATE(8411)] = 249989,
  [SMALL_STATE(8412)] = 250002,
  [SMALL_STATE(8413)] = 250015,
  [SMALL_STATE(8414)] = 250028,
  [SMALL_STATE(8415)] = 250041,
  [SMALL_STATE(8416)] = 250054,
  [SMALL_STATE(8417)] = 250067,
  [SMALL_STATE(8418)] = 250080,
  [SMALL_STATE(8419)] = 250093,
  [SMALL_STATE(8420)] = 250106,
  [SMALL_STATE(8421)] = 250119,
  [SMALL_STATE(8422)] = 250132,
  [SMALL_STATE(8423)] = 250145,
  [SMALL_STATE(8424)] = 250158,
  [SMALL_STATE(8425)] = 250171,
  [SMALL_STATE(8426)] = 250184,
  [SMALL_STATE(8427)] = 250197,
  [SMALL_STATE(8428)] = 250210,
  [SMALL_STATE(8429)] = 250223,
  [SMALL_STATE(8430)] = 250236,
  [SMALL_STATE(8431)] = 250249,
  [SMALL_STATE(8432)] = 250262,
  [SMALL_STATE(8433)] = 250275,
  [SMALL_STATE(8434)] = 250288,
  [SMALL_STATE(8435)] = 250301,
  [SMALL_STATE(8436)] = 250314,
  [SMALL_STATE(8437)] = 250327,
  [SMALL_STATE(8438)] = 250340,
  [SMALL_STATE(8439)] = 250353,
  [SMALL_STATE(8440)] = 250366,
  [SMALL_STATE(8441)] = 250379,
  [SMALL_STATE(8442)] = 250392,
  [SMALL_STATE(8443)] = 250405,
  [SMALL_STATE(8444)] = 250418,
  [SMALL_STATE(8445)] = 250431,
  [SMALL_STATE(8446)] = 250444,
  [SMALL_STATE(8447)] = 250457,
  [SMALL_STATE(8448)] = 250470,
  [SMALL_STATE(8449)] = 250483,
  [SMALL_STATE(8450)] = 250496,
  [SMALL_STATE(8451)] = 250509,
  [SMALL_STATE(8452)] = 250522,
  [SMALL_STATE(8453)] = 250535,
  [SMALL_STATE(8454)] = 250548,
  [SMALL_STATE(8455)] = 250561,
  [SMALL_STATE(8456)] = 250574,
  [SMALL_STATE(8457)] = 250587,
  [SMALL_STATE(8458)] = 250600,
  [SMALL_STATE(8459)] = 250613,
  [SMALL_STATE(8460)] = 250626,
  [SMALL_STATE(8461)] = 250639,
  [SMALL_STATE(8462)] = 250652,
  [SMALL_STATE(8463)] = 250665,
  [SMALL_STATE(8464)] = 250678,
  [SMALL_STATE(8465)] = 250691,
  [SMALL_STATE(8466)] = 250704,
  [SMALL_STATE(8467)] = 250717,
  [SMALL_STATE(8468)] = 250730,
  [SMALL_STATE(8469)] = 250743,
  [SMALL_STATE(8470)] = 250756,
  [SMALL_STATE(8471)] = 250769,
  [SMALL_STATE(8472)] = 250782,
  [SMALL_STATE(8473)] = 250795,
  [SMALL_STATE(8474)] = 250808,
  [SMALL_STATE(8475)] = 250821,
  [SMALL_STATE(8476)] = 250834,
  [SMALL_STATE(8477)] = 250847,
  [SMALL_STATE(8478)] = 250860,
  [SMALL_STATE(8479)] = 250873,
  [SMALL_STATE(8480)] = 250886,
  [SMALL_STATE(8481)] = 250899,
  [SMALL_STATE(8482)] = 250912,
  [SMALL_STATE(8483)] = 250925,
  [SMALL_STATE(8484)] = 250938,
  [SMALL_STATE(8485)] = 250951,
  [SMALL_STATE(8486)] = 250964,
  [SMALL_STATE(8487)] = 250977,
  [SMALL_STATE(8488)] = 250990,
  [SMALL_STATE(8489)] = 251003,
  [SMALL_STATE(8490)] = 251016,
  [SMALL_STATE(8491)] = 251029,
  [SMALL_STATE(8492)] = 251042,
  [SMALL_STATE(8493)] = 251055,
  [SMALL_STATE(8494)] = 251068,
  [SMALL_STATE(8495)] = 251081,
  [SMALL_STATE(8496)] = 251094,
  [SMALL_STATE(8497)] = 251107,
  [SMALL_STATE(8498)] = 251120,
  [SMALL_STATE(8499)] = 251133,
  [SMALL_STATE(8500)] = 251146,
  [SMALL_STATE(8501)] = 251159,
  [SMALL_STATE(8502)] = 251172,
  [SMALL_STATE(8503)] = 251185,
  [SMALL_STATE(8504)] = 251198,
  [SMALL_STATE(8505)] = 251211,
  [SMALL_STATE(8506)] = 251224,
  [SMALL_STATE(8507)] = 251237,
  [SMALL_STATE(8508)] = 251250,
  [SMALL_STATE(8509)] = 251263,
  [SMALL_STATE(8510)] = 251276,
  [SMALL_STATE(8511)] = 251289,
  [SMALL_STATE(8512)] = 251302,
  [SMALL_STATE(8513)] = 251315,
  [SMALL_STATE(8514)] = 251328,
  [SMALL_STATE(8515)] = 251341,
  [SMALL_STATE(8516)] = 251354,
  [SMALL_STATE(8517)] = 251367,
  [SMALL_STATE(8518)] = 251380,
  [SMALL_STATE(8519)] = 251393,
  [SMALL_STATE(8520)] = 251406,
  [SMALL_STATE(8521)] = 251419,
  [SMALL_STATE(8522)] = 251432,
  [SMALL_STATE(8523)] = 251445,
  [SMALL_STATE(8524)] = 251458,
  [SMALL_STATE(8525)] = 251471,
  [SMALL_STATE(8526)] = 251484,
  [SMALL_STATE(8527)] = 251497,
  [SMALL_STATE(8528)] = 251510,
  [SMALL_STATE(8529)] = 251523,
  [SMALL_STATE(8530)] = 251536,
  [SMALL_STATE(8531)] = 251549,
  [SMALL_STATE(8532)] = 251562,
  [SMALL_STATE(8533)] = 251575,
  [SMALL_STATE(8534)] = 251588,
  [SMALL_STATE(8535)] = 251601,
  [SMALL_STATE(8536)] = 251614,
  [SMALL_STATE(8537)] = 251627,
  [SMALL_STATE(8538)] = 251640,
  [SMALL_STATE(8539)] = 251653,
  [SMALL_STATE(8540)] = 251666,
  [SMALL_STATE(8541)] = 251679,
  [SMALL_STATE(8542)] = 251692,
  [SMALL_STATE(8543)] = 251705,
  [SMALL_STATE(8544)] = 251718,
  [SMALL_STATE(8545)] = 251731,
  [SMALL_STATE(8546)] = 251744,
  [SMALL_STATE(8547)] = 251757,
  [SMALL_STATE(8548)] = 251770,
  [SMALL_STATE(8549)] = 251783,
  [SMALL_STATE(8550)] = 251796,
  [SMALL_STATE(8551)] = 251809,
  [SMALL_STATE(8552)] = 251822,
  [SMALL_STATE(8553)] = 251835,
  [SMALL_STATE(8554)] = 251848,
  [SMALL_STATE(8555)] = 251861,
  [SMALL_STATE(8556)] = 251874,
  [SMALL_STATE(8557)] = 251887,
  [SMALL_STATE(8558)] = 251900,
  [SMALL_STATE(8559)] = 251913,
  [SMALL_STATE(8560)] = 251926,
  [SMALL_STATE(8561)] = 251939,
  [SMALL_STATE(8562)] = 251952,
  [SMALL_STATE(8563)] = 251965,
  [SMALL_STATE(8564)] = 251978,
  [SMALL_STATE(8565)] = 251991,
  [SMALL_STATE(8566)] = 252004,
  [SMALL_STATE(8567)] = 252017,
  [SMALL_STATE(8568)] = 252030,
  [SMALL_STATE(8569)] = 252043,
  [SMALL_STATE(8570)] = 252056,
  [SMALL_STATE(8571)] = 252069,
  [SMALL_STATE(8572)] = 252082,
  [SMALL_STATE(8573)] = 252095,
  [SMALL_STATE(8574)] = 252108,
  [SMALL_STATE(8575)] = 252121,
  [SMALL_STATE(8576)] = 252134,
  [SMALL_STATE(8577)] = 252147,
  [SMALL_STATE(8578)] = 252160,
  [SMALL_STATE(8579)] = 252173,
  [SMALL_STATE(8580)] = 252186,
  [SMALL_STATE(8581)] = 252199,
  [SMALL_STATE(8582)] = 252212,
  [SMALL_STATE(8583)] = 252225,
  [SMALL_STATE(8584)] = 252238,
  [SMALL_STATE(8585)] = 252251,
  [SMALL_STATE(8586)] = 252264,
  [SMALL_STATE(8587)] = 252277,
  [SMALL_STATE(8588)] = 252290,
  [SMALL_STATE(8589)] = 252303,
  [SMALL_STATE(8590)] = 252316,
  [SMALL_STATE(8591)] = 252329,
  [SMALL_STATE(8592)] = 252342,
  [SMALL_STATE(8593)] = 252355,
  [SMALL_STATE(8594)] = 252368,
  [SMALL_STATE(8595)] = 252381,
  [SMALL_STATE(8596)] = 252394,
  [SMALL_STATE(8597)] = 252407,
  [SMALL_STATE(8598)] = 252420,
  [SMALL_STATE(8599)] = 252433,
  [SMALL_STATE(8600)] = 252446,
  [SMALL_STATE(8601)] = 252459,
  [SMALL_STATE(8602)] = 252472,
  [SMALL_STATE(8603)] = 252485,
  [SMALL_STATE(8604)] = 252498,
  [SMALL_STATE(8605)] = 252511,
  [SMALL_STATE(8606)] = 252524,
  [SMALL_STATE(8607)] = 252537,
  [SMALL_STATE(8608)] = 252550,
  [SMALL_STATE(8609)] = 252563,
  [SMALL_STATE(8610)] = 252576,
  [SMALL_STATE(8611)] = 252589,
  [SMALL_STATE(8612)] = 252602,
  [SMALL_STATE(8613)] = 252615,
  [SMALL_STATE(8614)] = 252628,
  [SMALL_STATE(8615)] = 252641,
  [SMALL_STATE(8616)] = 252654,
  [SMALL_STATE(8617)] = 252667,
  [SMALL_STATE(8618)] = 252680,
  [SMALL_STATE(8619)] = 252693,
  [SMALL_STATE(8620)] = 252706,
  [SMALL_STATE(8621)] = 252719,
  [SMALL_STATE(8622)] = 252732,
  [SMALL_STATE(8623)] = 252745,
  [SMALL_STATE(8624)] = 252758,
  [SMALL_STATE(8625)] = 252771,
  [SMALL_STATE(8626)] = 252784,
  [SMALL_STATE(8627)] = 252797,
  [SMALL_STATE(8628)] = 252810,
  [SMALL_STATE(8629)] = 252823,
  [SMALL_STATE(8630)] = 252836,
  [SMALL_STATE(8631)] = 252849,
  [SMALL_STATE(8632)] = 252862,
  [SMALL_STATE(8633)] = 252875,
  [SMALL_STATE(8634)] = 252888,
  [SMALL_STATE(8635)] = 252901,
  [SMALL_STATE(8636)] = 252914,
  [SMALL_STATE(8637)] = 252927,
  [SMALL_STATE(8638)] = 252940,
  [SMALL_STATE(8639)] = 252953,
  [SMALL_STATE(8640)] = 252966,
  [SMALL_STATE(8641)] = 252979,
  [SMALL_STATE(8642)] = 252992,
  [SMALL_STATE(8643)] = 253005,
  [SMALL_STATE(8644)] = 253018,
  [SMALL_STATE(8645)] = 253031,
  [SMALL_STATE(8646)] = 253044,
  [SMALL_STATE(8647)] = 253057,
  [SMALL_STATE(8648)] = 253070,
  [SMALL_STATE(8649)] = 253083,
  [SMALL_STATE(8650)] = 253096,
  [SMALL_STATE(8651)] = 253109,
  [SMALL_STATE(8652)] = 253122,
  [SMALL_STATE(8653)] = 253135,
  [SMALL_STATE(8654)] = 253148,
  [SMALL_STATE(8655)] = 253161,
  [SMALL_STATE(8656)] = 253174,
  [SMALL_STATE(8657)] = 253187,
  [SMALL_STATE(8658)] = 253200,
  [SMALL_STATE(8659)] = 253213,
  [SMALL_STATE(8660)] = 253226,
  [SMALL_STATE(8661)] = 253239,
  [SMALL_STATE(8662)] = 253252,
  [SMALL_STATE(8663)] = 253265,
  [SMALL_STATE(8664)] = 253278,
  [SMALL_STATE(8665)] = 253291,
  [SMALL_STATE(8666)] = 253304,
  [SMALL_STATE(8667)] = 253317,
  [SMALL_STATE(8668)] = 253330,
  [SMALL_STATE(8669)] = 253343,
  [SMALL_STATE(8670)] = 253356,
  [SMALL_STATE(8671)] = 253369,
  [SMALL_STATE(8672)] = 253382,
  [SMALL_STATE(8673)] = 253395,
  [SMALL_STATE(8674)] = 253408,
  [SMALL_STATE(8675)] = 253421,
  [SMALL_STATE(8676)] = 253434,
  [SMALL_STATE(8677)] = 253447,
  [SMALL_STATE(8678)] = 253460,
  [SMALL_STATE(8679)] = 253473,
  [SMALL_STATE(8680)] = 253486,
  [SMALL_STATE(8681)] = 253499,
  [SMALL_STATE(8682)] = 253512,
  [SMALL_STATE(8683)] = 253525,
  [SMALL_STATE(8684)] = 253538,
  [SMALL_STATE(8685)] = 253551,
  [SMALL_STATE(8686)] = 253564,
  [SMALL_STATE(8687)] = 253577,
  [SMALL_STATE(8688)] = 253590,
  [SMALL_STATE(8689)] = 253603,
  [SMALL_STATE(8690)] = 253616,
  [SMALL_STATE(8691)] = 253629,
  [SMALL_STATE(8692)] = 253642,
  [SMALL_STATE(8693)] = 253655,
  [SMALL_STATE(8694)] = 253668,
  [SMALL_STATE(8695)] = 253681,
  [SMALL_STATE(8696)] = 253694,
  [SMALL_STATE(8697)] = 253707,
  [SMALL_STATE(8698)] = 253720,
  [SMALL_STATE(8699)] = 253733,
  [SMALL_STATE(8700)] = 253746,
  [SMALL_STATE(8701)] = 253759,
  [SMALL_STATE(8702)] = 253772,
  [SMALL_STATE(8703)] = 253785,
  [SMALL_STATE(8704)] = 253798,
  [SMALL_STATE(8705)] = 253811,
  [SMALL_STATE(8706)] = 253824,
  [SMALL_STATE(8707)] = 253837,
  [SMALL_STATE(8708)] = 253850,
  [SMALL_STATE(8709)] = 253863,
  [SMALL_STATE(8710)] = 253876,
  [SMALL_STATE(8711)] = 253889,
  [SMALL_STATE(8712)] = 253902,
  [SMALL_STATE(8713)] = 253915,
  [SMALL_STATE(8714)] = 253928,
  [SMALL_STATE(8715)] = 253941,
  [SMALL_STATE(8716)] = 253954,
  [SMALL_STATE(8717)] = 253967,
  [SMALL_STATE(8718)] = 253980,
  [SMALL_STATE(8719)] = 253993,
  [SMALL_STATE(8720)] = 254006,
  [SMALL_STATE(8721)] = 254019,
  [SMALL_STATE(8722)] = 254032,
  [SMALL_STATE(8723)] = 254045,
  [SMALL_STATE(8724)] = 254058,
  [SMALL_STATE(8725)] = 254071,
  [SMALL_STATE(8726)] = 254084,
  [SMALL_STATE(8727)] = 254097,
  [SMALL_STATE(8728)] = 254110,
  [SMALL_STATE(8729)] = 254123,
  [SMALL_STATE(8730)] = 254136,
  [SMALL_STATE(8731)] = 254149,
  [SMALL_STATE(8732)] = 254162,
  [SMALL_STATE(8733)] = 254175,
  [SMALL_STATE(8734)] = 254188,
  [SMALL_STATE(8735)] = 254201,
  [SMALL_STATE(8736)] = 254214,
  [SMALL_STATE(8737)] = 254227,
  [SMALL_STATE(8738)] = 254240,
  [SMALL_STATE(8739)] = 254253,
  [SMALL_STATE(8740)] = 254266,
  [SMALL_STATE(8741)] = 254279,
  [SMALL_STATE(8742)] = 254292,
  [SMALL_STATE(8743)] = 254305,
  [SMALL_STATE(8744)] = 254318,
  [SMALL_STATE(8745)] = 254331,
  [SMALL_STATE(8746)] = 254344,
  [SMALL_STATE(8747)] = 254357,
  [SMALL_STATE(8748)] = 254370,
  [SMALL_STATE(8749)] = 254383,
  [SMALL_STATE(8750)] = 254396,
  [SMALL_STATE(8751)] = 254409,
  [SMALL_STATE(8752)] = 254422,
  [SMALL_STATE(8753)] = 254435,
  [SMALL_STATE(8754)] = 254448,
  [SMALL_STATE(8755)] = 254461,
  [SMALL_STATE(8756)] = 254474,
  [SMALL_STATE(8757)] = 254487,
  [SMALL_STATE(8758)] = 254500,
  [SMALL_STATE(8759)] = 254513,
  [SMALL_STATE(8760)] = 254526,
  [SMALL_STATE(8761)] = 254539,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8761),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6609),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6601),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4461),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7483),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8736),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4612),
  [25] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 10), SHIFT(665),
  [28] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10),
  [30] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [32] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [34] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym_pattern, 1, -1, 10),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5864),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4659),
  [43] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(692),
  [46] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [48] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [50] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [52] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [54] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8095),
  [56] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6593),
  [58] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6594),
  [60] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [62] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [64] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5408),
  [66] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [68] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [70] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [72] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 10),
  [74] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [76] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [78] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [80] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [82] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(8450),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [91] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(625),
  [94] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5179),
  [96] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [98] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8351),
  [100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3343),
  [106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6897),
  [108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8347),
  [116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8379),
  [118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8354),
  [122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4592),
  [124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10),
  [128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 10), SHIFT(633),
  [131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 10),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3959),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4556),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7931),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5409),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5200),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7843),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7844),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7011),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8076),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7944),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7013),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7015),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7980),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6431),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6446),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4954),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5295),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8265),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5729),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5815),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3750),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8306),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8307),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8308),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3371),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3364),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, 0, 299),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4557),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7774),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5332),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5188),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8069),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7939),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6857),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8065),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7765),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7220),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7221),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7732),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4945),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5488),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8252),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8687),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8438),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8439),
  [423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, 0, 92),
  [425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, 0, 54),
  [427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2, 0, 0),
  [429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2403),
  [432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(929),
  [435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0),
  [437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2369),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2161),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(12),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(702),
  [449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(4557),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2393),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(7774),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5332),
  [461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2170),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5188),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8069),
  [470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(7939),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(6857),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(300),
  [479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(704),
  [482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8065),
  [485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(7765),
  [491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(7220),
  [494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(7221),
  [497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(7732),
  [500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(502),
  [503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(609),
  [506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1306),
  [509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(266),
  [512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(321),
  [515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8095),
  [518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(6431),
  [521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(6446),
  [524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(4945),
  [527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(943),
  [530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5488),
  [533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(209),
  [536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(705),
  [539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8265),
  [542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1964),
  [545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(796),
  [548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5729),
  [551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3749),
  [554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8252),
  [557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3750),
  [560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(6897),
  [563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(956),
  [566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2192),
  [569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8687),
  [572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8438),
  [575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8439),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3186),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3958),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4210),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3999),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4189),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4020),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4033),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4108),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3954),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3190),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3180),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2941),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4043),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5501),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5341),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2425),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(931),
  [728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2360),
  [731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2173),
  [734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(11),
  [737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(4556),
  [740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2422),
  [743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(7931),
  [746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5409),
  [749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2190),
  [752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5200),
  [755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(7843),
  [758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(7844),
  [761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(7011),
  [764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8076),
  [767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(154),
  [770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(7944),
  [773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(7013),
  [776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(7015),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(7980),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(497),
  [785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(550),
  [788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1662),
  [791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(4954),
  [794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(942),
  [797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5295),
  [800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(197),
  [803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(951),
  [806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2168),
  [809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8306),
  [812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8307),
  [815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8308),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3995),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5376),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5293),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3882),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3942),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3944),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4561),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7396),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5355),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5196),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7941),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7878),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6805),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7932),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7397),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7329),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7328),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7407),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4965),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5494),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8706),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8481),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8482),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4555),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7621),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5294),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5216),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8079),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8080),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7147),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7860),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7627),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6890),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6892),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8143),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7487),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4956),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5390),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8531),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8435),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8434),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4559),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7497),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5249),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5187),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7753),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8183),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7003),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8088),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7499),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6632),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6633),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7516),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4072),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4943),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5478),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8615),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8228),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8229),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4554),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [1044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8072),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5467),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5201),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8073),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8075),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6886),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8133),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8173),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7236),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7230),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7786),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4958),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [1080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5468),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8588),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8281),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8280),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4558),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8180),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5238),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5186),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8184),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8068),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6912),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8176),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8182),
  [1128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6930),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6931),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8193),
  [1134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [1136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [1140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4947),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [1144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5480),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [1150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8640),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8309),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8310),
  [1158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [1160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [1162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [1164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [1166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [1168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [1170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [1172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [1174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [1176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3442),
  [1180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [1182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [1184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [1186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [1188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [1190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8450),
  [1192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [1196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8629),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3852),
  [1200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3272),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3505),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2830),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3625),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3321),
  [1228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(149),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8330),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4940),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5236),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3473),
  [1247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 23),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3289),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3417),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3796),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3132),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3328),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3639),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2445),
  [1269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(303),
  [1272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(320),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [1277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(1964),
  [1280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(5692),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3178),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3554),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3542),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3523),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3759),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8251),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5692),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [1335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, 0, 53),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7040),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5183),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3603),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3416),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6836),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [1377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(712),
  [1380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(319),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [1387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(659),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3307),
  [1398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [1402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [1404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym_rest_pattern, 2, 0, 53),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [1419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(588),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8220),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [1442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 10), SHIFT(875),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8282),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4885),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4900),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5185),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3243),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8544),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8263),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8267),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4838),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8301),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5214),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8515),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3686),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3814),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2479),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8204),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3830),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5211),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8728),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3094),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3582),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5217),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3777),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8521),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3841),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3671),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3198),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [1781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5182),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3418),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3501),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8318),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3834),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3902),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8215),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3840),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5208),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3883),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3884),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3725),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3836),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3975),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3986),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3991),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5524),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5527),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5529),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5519),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5515),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5517),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5518),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5522),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5288),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5210),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4971),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5482),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8665),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8389),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8390),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3539),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3160),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5576),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3608),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5417),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5567),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5614),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5510),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5259),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6671),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7181),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3784),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3511),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3194),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 1, 0, 0),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3130),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3971),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5422),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5420),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3735),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2444),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5790),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3891),
  [2257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 1, 0, 0),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4560),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5311),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6352),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6351),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6561),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8336),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6952),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5838),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4618),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4648),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5256),
  [2287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [2289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [2291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [2295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [2297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 1, 0, 16),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8495),
  [2303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 1, 0, 16),
  [2305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [2308] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0), SHIFT(4604),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8497),
  [2314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [2324] = {.entry = {.count = 3, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0), SHIFT(4910),
  [2328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 156),
  [2330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 156),
  [2332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 0),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 0),
  [2338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 2, 0, 77),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 2, 0, 77),
  [2342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 286),
  [2344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 6, 0, 286),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [2348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 6, 0, 286),
  [2350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4, 0, 0),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4, 0, 0),
  [2354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 122),
  [2356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, 0, 122),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [2360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, 0, 122),
  [2362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 185),
  [2364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 185),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [2368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 185),
  [2370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 66),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 66),
  [2374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, 0, 122),
  [2376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 122),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [2380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 122),
  [2382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 188),
  [2384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, 0, 188),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [2388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, 0, 188),
  [2390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [2392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8516),
  [2394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 227),
  [2396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 227),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [2400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 227),
  [2402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 242),
  [2404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 242),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [2408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 242),
  [2410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 63),
  [2412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 63),
  [2414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [2416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 59),
  [2418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 59),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [2422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 59),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8525),
  [2426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 158),
  [2428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 158),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [2432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 158),
  [2434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_module, 2, 0, 33),
  [2436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_module, 2, 0, 33),
  [2438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [2440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [2442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [2444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [2450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 241),
  [2452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 241),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 241),
  [2458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 89),
  [2460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 89),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [2464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 89),
  [2466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [2468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [2474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [2478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 157),
  [2480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 157),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [2484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 157),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4949),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3534),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [2506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4806),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [2510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3165),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [2516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4713),
  [2518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5248),
  [2520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [2522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [2524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6429),
  [2526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6426),
  [2528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6532),
  [2530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8260),
  [2532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5785),
  [2534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4887),
  [2536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4892),
  [2538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [2548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [2550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8563),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [2554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8561),
  [2556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2753),
  [2562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4514),
  [2564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0),
  [2566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4883),
  [2572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [2574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8358),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [2578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [2580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [2582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [2586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_modifier, 1, 0, 0),
  [2588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessibility_modifier, 1, 0, 0),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [2592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [2602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [2620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [2626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [2630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8367),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8009),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [2678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [2688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [2690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4334),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [2702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4139),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [2712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [2718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [2720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [2722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [2724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5622),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [2728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5621),
  [2730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [2738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [2740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [2744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [2746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [2748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [2752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [2754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [2756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [2760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [2762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [2764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [2766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [2768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [2770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [2772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [2774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [2776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [2778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [2780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [2782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [2784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [2786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [2788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [2790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [2792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [2798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [2802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [2804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [2806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4004),
  [2808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [2810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [2812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [2814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [2816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [2818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4021),
  [2820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [2822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [2824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [2826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [2828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [2830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3997),
  [2832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3803),
  [2834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3325),
  [2836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [2838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [2840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [2842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [2844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [2846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4011),
  [2848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [2850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [2852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [2854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [2856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [2858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [2860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [2862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [2864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [2868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [2870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4024),
  [2872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [2874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [2876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3224),
  [2878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [2880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [2882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [2884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [2888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [2890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4000),
  [2892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [2896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [2898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4040),
  [2904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [2906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [2910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6450),
  [2912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6451),
  [2914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(3914),
  [2917] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym__property_name, 1, 0, 23), SHIFT(311),
  [2921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(732),
  [2924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5446),
  [2926] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym__property_name, 1, 0, 23), SHIFT(6952),
  [2930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5255),
  [2932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3353),
  [2934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5691),
  [2936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym__property_name, 1, 0, 23),
  [2939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3356),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3360),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3624),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3875),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7192),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8494),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8499),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [2971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym__property_name, 1, 0, 23),
  [2974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(149),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [2985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 10),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6897),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8306),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8307),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8308),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6752),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8707),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8758),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8759),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8706),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6906),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6903),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8617),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8738),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8241),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7640),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8615),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8247),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8245),
  [3093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(311),
  [3096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5391),
  [3098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(6952),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6988),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8590),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5593),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8281),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8280),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7130),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8545),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8722),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8409),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8723),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8434),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6802),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [3185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8666),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8750),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8751),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8309),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8310),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6773),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8688),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8754),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8755),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8511),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8606),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8328),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8326),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [3267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(8685),
  [3270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5309),
  [3272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [3274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5433),
  [3276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5496),
  [3278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5472),
  [3280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [3282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5492),
  [3284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5481),
  [3286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5479),
  [3288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8219),
  [3290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8218),
  [3292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(8218),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8555),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7987),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8651),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8657),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8314),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8315),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8096),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8031),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8695),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8713),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7727),
  [3341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8534),
  [3343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8533),
  [3345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 37),
  [3347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7316),
  [3349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7452),
  [3351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5484),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8673),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8744),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8322),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8745),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4475),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8665),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8389),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8199),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8198),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7284),
  [3393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7512),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8565),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8558),
  [3403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(8558),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [3412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7002),
  [3414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8089),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [3420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8488),
  [3422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8490),
  [3424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 87),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [3428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 146),
  [3430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 146),
  [3432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [3434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8506),
  [3436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8505),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [3444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 81),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [3454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, 0, 207),
  [3456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [3460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 331),
  [3462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 300),
  [3464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [3466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [3468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7103),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7960),
  [3472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [3474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 37),
  [3476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [3480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 0),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [3484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 3, 0, 0),
  [3486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 144),
  [3488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 326),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 0),
  [3496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 142),
  [3498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, 0, 33),
  [3500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 227),
  [3502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 2, 0, 0),
  [3504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 292),
  [3506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, 0, 79),
  [3508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 6, 0, 248),
  [3510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [3516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 141),
  [3518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [3520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 135),
  [3522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [3524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 202),
  [3526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 122),
  [3528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [3530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [3532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 122),
  [3534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, 0, 80),
  [3536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 82),
  [3538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 88),
  [3540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 203),
  [3542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 0),
  [3544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6, 0, 0),
  [3546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5, 0, 0),
  [3548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4, 0, 0),
  [3550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3, 0, 0),
  [3552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, -1, 136),
  [3554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 13),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [3558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2, 0, 0),
  [3560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 207),
  [3562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [3564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8547),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8549),
  [3568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, 0, 294),
  [3570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 205),
  [3572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 202),
  [3574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 0),
  [3576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, 0, 138),
  [3578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 89),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, 0, 208),
  [3584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 4, 0, 209),
  [3586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 212),
  [3588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 213),
  [3590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2, 0, 0),
  [3592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 215),
  [3594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, 0, 188),
  [3596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 248),
  [3598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 59),
  [3600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 5, 0, 251),
  [3602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 5, 0, 0),
  [3604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 157),
  [3606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 0),
  [3608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 204),
  [3610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 248),
  [3612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 158),
  [3614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [3616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 5, 0, 253),
  [3618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [3620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, 0, 254),
  [3622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, 0, 255),
  [3624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 258),
  [3626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, 0, 206),
  [3628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [3630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, 0, 137),
  [3632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, 0, 137),
  [3634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, 0, 15),
  [3636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [3638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [3640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 139),
  [3642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 7, 0, 330),
  [3644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 286),
  [3646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, 0, 296),
  [3648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 13),
  [3650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, 0, 0),
  [3652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, 0, 195),
  [3654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 202),
  [3656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 140),
  [3658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 0),
  [3660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 204),
  [3662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 259),
  [3664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 7, 0, 329),
  [3666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 185),
  [3668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 152),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [3672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 140),
  [3674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, 0, 260),
  [3676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, 0, 298),
  [3678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, 0, 297),
  [3680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 242),
  [3682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 241),
  [3684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [3686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 37),
  [3688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 296),
  [3690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2, 0, 0),
  [3692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 0),
  [3694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 6, 0, 288),
  [3696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 145),
  [3698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 195),
  [3700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 15),
  [3702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_statement_block_repeat1, 1, 0, 0),
  [3704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [3708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8587),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8583),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [3714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [3716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [3728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [3738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 291),
  [3740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, 0, 325),
  [3742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 353),
  [3744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 290),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [3748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8678),
  [3750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8676),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [3754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [3756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8480),
  [3758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8608),
  [3760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4847),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8299),
  [3764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [3766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [3768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4821),
  [3770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [3772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [3774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [3776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [3778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3329),
  [3780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [3782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [3784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [3786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [3788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4708),
  [3790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8740),
  [3792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4879),
  [3794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [3796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [3798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [3800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [3802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [3804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8554),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4562),
  [3808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4825),
  [3810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [3812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3498),
  [3814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [3816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4728),
  [3818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [3820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [3822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [3824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [3826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [3830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8338),
  [3832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4683),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [3840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4827),
  [3842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [3844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [3846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [3848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4731),
  [3850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [3852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [3854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [3856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [3858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [3860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4853),
  [3862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [3864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3440),
  [3866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [3868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4730),
  [3870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [3872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [3874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [3876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [3878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2676),
  [3880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4862),
  [3882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [3884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3284),
  [3886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [3888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4707),
  [3890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [3892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [3894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [3896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [3898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [3900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [3902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8528),
  [3904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [3910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3304),
  [3912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [3914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4927),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [3922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3621),
  [3924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8286),
  [3926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5114),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8386),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4925),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [3942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3656),
  [3944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3826),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [3948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4852),
  [3950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [3952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [3954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4741),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [3958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [3960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [3962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [3964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4621),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4982),
  [3978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4904),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [3982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3481),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4926),
  [3986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3398),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [3990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5017),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2885),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [4010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4617),
  [4012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [4016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4703),
  [4018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4863),
  [4020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4743),
  [4022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4752),
  [4024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5133),
  [4026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [4028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5507),
  [4030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5151),
  [4032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [4034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [4036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6482),
  [4038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6483),
  [4040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6549),
  [4042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [4044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [4046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8237),
  [4048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4946),
  [4050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6046),
  [4052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5140),
  [4054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4938),
  [4056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [4058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [4060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8641),
  [4062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4742),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8238),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [4068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8239),
  [4070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4544),
  [4072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4589),
  [4074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4733),
  [4076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [4078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5110),
  [4080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3478),
  [4082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [4084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [4086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7128),
  [4088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7031),
  [4090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7016),
  [4092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5018),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7114),
  [4096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5020),
  [4098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4966),
  [4100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [4102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0), REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [4107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4817),
  [4109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [4111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [4115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2770),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [4119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4580),
  [4121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4565),
  [4123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7009),
  [4125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7104),
  [4127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4756),
  [4129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4757),
  [4131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4758),
  [4133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4807),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4794),
  [4137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [4139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [4141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [4143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5019),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3449),
  [4149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4581),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4570),
  [4153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [4155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [4157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4563),
  [4159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [4165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4762),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5316),
  [4171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5138),
  [4173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [4175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4577),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [4181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5118),
  [4183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [4185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3104),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3361),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [4191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5402),
  [4193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3341),
  [4195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [4197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [4199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6569),
  [4201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [4203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [4205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8419),
  [4207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [4209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6295),
  [4211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3357),
  [4213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3188),
  [4215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [4217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [4219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8589),
  [4221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4740),
  [4223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8410),
  [4225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [4227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8403),
  [4229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [4231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [4233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [4235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5465),
  [4237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [4239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [4241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [4243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6591),
  [4245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [4247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [4249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8622),
  [4251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [4253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5878),
  [4255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [4257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [4259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [4261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [4263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8616),
  [4265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4744),
  [4267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8620),
  [4269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8619),
  [4273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5192),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [4277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [4279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5068),
  [4281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [4283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6447),
  [4285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6445),
  [4287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [4289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6321),
  [4291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6320),
  [4293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [4295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4894),
  [4297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4600),
  [4299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2843),
  [4301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3158),
  [4303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3354),
  [4305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [4307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2796),
  [4309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3317),
  [4311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 49),
  [4313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 49), SHIFT_REPEAT(6836),
  [4316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4816),
  [4318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5141),
  [4320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [4322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 49), SHIFT(4969),
  [4325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2, 0, 0),
  [4327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [4329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8421),
  [4331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, 0, 63),
  [4333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2950),
  [4335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [4337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [4339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [4341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, 0, 43),
  [4343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [4345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 21),
  [4347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [4349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6433),
  [4351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6435),
  [4353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [4355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6489),
  [4357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6490),
  [4359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [4361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [4363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6470),
  [4365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6472),
  [4367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 56),
  [4369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4955),
  [4371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [4373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6500),
  [4377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6511),
  [4379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, 0, 56),
  [4381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, 0, 57),
  [4383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [4385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3962),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6415),
  [4389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6416),
  [4391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 57),
  [4393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6520),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6522),
  [4399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6456),
  [4403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6457),
  [4405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5944),
  [4407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [4409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6475),
  [4411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6476),
  [4413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [4415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [4417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6494),
  [4419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6495),
  [4421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 57),
  [4423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 56),
  [4425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [4427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6375),
  [4429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6376),
  [4431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4891),
  [4433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [4435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3993),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [4439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2802),
  [4441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [4443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [4445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4919),
  [4447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [4449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [4453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [4455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [4457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [4459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4428),
  [4461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7211),
  [4463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [4465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [4467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [4469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [4471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [4473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [4475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [4477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [4479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [4481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3311),
  [4483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [4485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5124),
  [4487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [4489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [4491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5205),
  [4493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [4495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [4497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [4499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 23),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [4504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 0),
  [4506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 23),
  [4509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 113),
  [4511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 113),
  [4513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 112),
  [4515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 112),
  [4517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 111),
  [4519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 111),
  [4521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 63),
  [4523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 63),
  [4525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_null_expression, 2, 0, 0),
  [4527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_null_expression, 2, 0, 0),
  [4529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [4531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 0),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [4535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 0),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [4545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 183),
  [4547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 183),
  [4549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, 0, 239),
  [4551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, 0, 239),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7739),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [4559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [4561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4880),
  [4563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4214),
  [4565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [4567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [4569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3424),
  [4571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [4573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [4575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3393),
  [4577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4576),
  [4579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5134),
  [4581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5142),
  [4583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__primary_type, 1, 0, 39),
  [4586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__primary_type, 1, 0, 39),
  [4589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(8279),
  [4592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(1978),
  [4595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, 0, 39),
  [4597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5144),
  [4599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(670),
  [4602] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0), REDUCE(sym__primary_type, 1, 0, 39),
  [4606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(8593),
  [4609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(1974),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3504),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4179),
  [4618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [4624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_type, 1, 0, 39), SHIFT(7918),
  [4627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [4629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [4631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4876),
  [4633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [4635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [4637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [4639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4343),
  [4641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4362),
  [4643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [4645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4371),
  [4647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4869),
  [4649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4568),
  [4651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4587),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [4655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [4657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [4659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [4663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [4665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [4667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [4671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 53),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [4675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym_pattern, 1, -1, 10),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7838),
  [4682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(341),
  [4685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0),
  [4688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0),
  [4690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym_predefined_type, 1, 0, 0),
  [4693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym_predefined_type, 1, 0, 0),
  [4696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(638),
  [4699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0),
  [4701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), REDUCE(sym__primary_type, 1, 0, 39),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [4706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [4708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [4714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 10),
  [4716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [4720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6682),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [4724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6670),
  [4726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6658),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6628),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [4732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), SHIFT(8685),
  [4735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6712),
  [4737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [4743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6637),
  [4745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(8638),
  [4748] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__primary_type, 1, 0, 39), REDUCE(sym_rest_pattern, 2, 0, 0),
  [4752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [4756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 111),
  [4758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 63),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [4762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(584),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [4767] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym_predefined_type, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 53),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [4775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 10), REDUCE(sym_rest_pattern, 2, 0, 53),
  [4778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3977),
  [4780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [4782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3472),
  [4784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2695),
  [4786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7262),
  [4788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [4790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [4792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [4794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [4796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [4798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3865),
  [4800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [4802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [4804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5021),
  [4806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3972),
  [4808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [4810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [4812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [4814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [4816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [4818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [4820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [4822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [4824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(868),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [4831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4395),
  [4833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [4835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4008),
  [4837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4012),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5139),
  [4845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [4849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [4853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [4855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [4857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [4859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [4862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4096),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4098),
  [4866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [4868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [4870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 49), SHIFT_REPEAT(4891),
  [4873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 49), SHIFT_REPEAT(3977),
  [4876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 49),
  [4878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 49), SHIFT_REPEAT(3472),
  [4881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 49), SHIFT_REPEAT(591),
  [4884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 49), SHIFT_REPEAT(6429),
  [4887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 49), SHIFT_REPEAT(6426),
  [4890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 49), SHIFT_REPEAT(2695),
  [4893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 49), SHIFT_REPEAT(8740),
  [4896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 49), SHIFT_REPEAT(4879),
  [4899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 49), SHIFT_REPEAT(7262),
  [4902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 49), SHIFT_REPEAT(2596),
  [4905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 49), SHIFT_REPEAT(2622),
  [4908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 49), SHIFT_REPEAT(2714),
  [4911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 49), SHIFT_REPEAT(2619),
  [4914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 49), SHIFT_REPEAT(2755),
  [4917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 49), SHIFT_REPEAT(2726),
  [4920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 49), SHIFT_REPEAT(3865),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [4925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [4927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3119),
  [4929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [4933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [4935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [4937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [4939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [4941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [4943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5090),
  [4945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [4947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [4949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [4953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [4955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2908),
  [4957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [4959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4182),
  [4961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [4965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [4969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5045),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3755),
  [4975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [4981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2820),
  [4985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2821),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [4991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5444),
  [4993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [4997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [4999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [5001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [5003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [5005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4978),
  [5007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3131),
  [5009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [5013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [5015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [5017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [5019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [5021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5451),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [5027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7428),
  [5029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6649),
  [5031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4980),
  [5033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3250),
  [5035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [5037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [5039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [5041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [5043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [5045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [5047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4995),
  [5049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3466),
  [5051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [5053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [5055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [5057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [5059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [5061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [5063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [5065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7450),
  [5067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [5069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [5071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [5077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5434),
  [5079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [5081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [5083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [5085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2919),
  [5087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3297),
  [5089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3247),
  [5091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(6304),
  [5094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(6238),
  [5097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(6368),
  [5100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0),
  [5102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(5467),
  [5105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(5595),
  [5108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(7699),
  [5111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(7840),
  [5114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(5159),
  [5117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(4948),
  [5120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(5606),
  [5123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(4457),
  [5126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(5611),
  [5129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(8542),
  [5132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [5134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [5136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6304),
  [5138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6238),
  [5140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6368),
  [5142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8166),
  [5144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5595),
  [5146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7699),
  [5148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7840),
  [5150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5159),
  [5152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4948),
  [5154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5606),
  [5156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4457),
  [5158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5611),
  [5160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8542),
  [5162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4499),
  [5164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6687),
  [5166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [5168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [5170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [5172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6834),
  [5174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4502),
  [5176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4258),
  [5178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4267),
  [5180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8014),
  [5182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [5184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [5186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [5188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [5190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3943),
  [5192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [5194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(2531),
  [5197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(3796),
  [5200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [5202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [5204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [5206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [5208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23),
  [5210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(3054),
  [5213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(3132),
  [5216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(3864),
  [5219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(3300),
  [5222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(3321),
  [5225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [5227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [5229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3667),
  [5231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3929),
  [5233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [5235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [5237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [5239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [5249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8642),
  [5251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(2531),
  [5254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(3864),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [5259] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 23), REDUCE(aux_sym_object_repeat1, 2, 0, 78), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 52),
  [5263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [5265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [5267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3966),
  [5269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(3321),
  [5272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(3054),
  [5275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(3132),
  [5278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(3796),
  [5281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), SHIFT(3300),
  [5284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [5286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [5288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3933),
  [5290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [5292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [5294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3980),
  [5296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3925),
  [5298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [5300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [5302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3941),
  [5304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3932),
  [5306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5757),
  [5308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [5310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5254),
  [5312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5894),
  [5314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5792),
  [5316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3914),
  [5318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3734),
  [5320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3939),
  [5322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [5324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [5326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [5328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3945),
  [5330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [5332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [5334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [5336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3300),
  [5338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3957),
  [5340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [5342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [5344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [5346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3974),
  [5348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [5350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3924),
  [5352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3970),
  [5354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [5356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [5358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [5360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3918),
  [5362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [5364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [5366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3981),
  [5368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [5370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [5372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [5374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3927),
  [5376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3926),
  [5378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [5380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [5382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3531),
  [5384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [5386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3960),
  [5388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3620),
  [5390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3919),
  [5392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [5394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [5396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [5398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3618),
  [5400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3990),
  [5402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [5404] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 23), REDUCE(aux_sym_object_repeat1, 2, 0, 78), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 52),
  [5408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3965),
  [5410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3653),
  [5412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3915),
  [5414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3675),
  [5416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [5418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [5420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3947),
  [5422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [5424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [5426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3607),
  [5428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3978),
  [5430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [5432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3949),
  [5434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [5436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [5440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [5442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6533),
  [5444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [5446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3951),
  [5448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3561),
  [5450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3967),
  [5452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3622),
  [5454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3629),
  [5456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [5458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [5460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3610),
  [5462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3950),
  [5464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [5466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [5468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [5470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [5472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [5474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [5476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [5478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5337),
  [5480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [5482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7752),
  [5484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [5486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [5488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [5490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [5492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3292),
  [5494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3281),
  [5496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [5498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7821),
  [5500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, 0, 39),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8553),
  [5504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [5512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, 0, 78), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 52),
  [5515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 56),
  [5517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 56),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [5521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 98),
  [5523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 98),
  [5525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [5527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5582),
  [5529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0),
  [5531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [5533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [5535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [5537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [5539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3326),
  [5541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3337),
  [5543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 38),
  [5545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 38),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [5549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8106),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [5553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiation_expression, 2, 0, 45),
  [5555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiation_expression, 2, 0, 45),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [5559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_object_repeat1, 2, 0, 78),
  [5561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, 0, 41),
  [5563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, 0, 41),
  [5565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [5569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, 0, 0),
  [5571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, 0, 0),
  [5573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [5575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [5577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 2, 0, 105),
  [5579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 2, 0, 105),
  [5581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [5583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3934),
  [5585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2940),
  [5587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [5589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asserts, 2, 0, 0),
  [5591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts, 2, 0, 0),
  [5593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3988),
  [5595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [5597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2911),
  [5599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3984),
  [5601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3940),
  [5603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [5605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [5607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [5609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [5611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [5613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3948),
  [5615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [5617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [5621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3921),
  [5623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8487),
  [5625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lookup_type, 4, 0, 0),
  [5627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lookup_type, 4, 0, 0),
  [5629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [5633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [5635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [5637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [5639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [5643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [5645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [5647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [5649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [5651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [5653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [5655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [5657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [5661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [5663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [5665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [5667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [5669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [5671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [5673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [5675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [5677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [5679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 43),
  [5681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 43),
  [5683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, 0, 43),
  [5685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, 0, 43),
  [5687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [5689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 2, 0, 34),
  [5691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 2, 0, 34),
  [5693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_existential_type, 1, 0, 0),
  [5695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_existential_type, 1, 0, 0),
  [5697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, 0, 0),
  [5699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, 0, 0),
  [5701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [5703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [5705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [5707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, 0, 42),
  [5709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, 0, 42),
  [5711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2, 0, 0),
  [5713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 57),
  [5715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 57),
  [5717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7877),
  [5719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 99),
  [5721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 99),
  [5723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [5725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [5727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [5729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [5731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [5733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [5735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [5737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 2, 0, 0),
  [5739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 2, 0, 0),
  [5741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 101),
  [5743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 101),
  [5745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_type, 2, 0, 0),
  [5747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_type, 2, 0, 0),
  [5749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [5751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [5753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow_maybe_type, 2, 0, 0),
  [5755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_maybe_type, 2, 0, 0),
  [5757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 2, 0, 104),
  [5759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 2, 0, 104),
  [5761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [5763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_type_query, 2, 0, 0),
  [5765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_type_query, 2, 0, 0),
  [5767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [5769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 106),
  [5771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 106),
  [5773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 56),
  [5775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 57),
  [5777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [5779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3, 0, 0),
  [5781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 171),
  [5783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 171),
  [5785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, 0, 107),
  [5787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, 0, 107),
  [5789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 172),
  [5791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 172),
  [5793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, 0, 173),
  [5795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, 0, 173),
  [5797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 174),
  [5799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 174),
  [5801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [5804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [5807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [5809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [5811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [5813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [5816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [5819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [5821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [5823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [5825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [5827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 3, 0, 0),
  [5829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 3, 0, 0),
  [5831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 178),
  [5833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 178),
  [5835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 56),
  [5837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 57),
  [5839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [5841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 3, 0, 0),
  [5843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 3, 0, 0),
  [5845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3, 0, 0),
  [5847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3, 0, 0),
  [5849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0),
  [5851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0),
  [5853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4, 0, 0),
  [5855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 63),
  [5857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 63),
  [5859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 111),
  [5861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 111),
  [5863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 179),
  [5865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 179),
  [5867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 180),
  [5869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 180),
  [5871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 233),
  [5873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 233),
  [5875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 234),
  [5877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 234),
  [5879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 181),
  [5881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 181),
  [5883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [5885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 182),
  [5887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 182),
  [5889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [5891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [5893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 4, 0, 236),
  [5895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 4, 0, 236),
  [5897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 4, 0, 104),
  [5899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 4, 0, 104),
  [5901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 0, 56),
  [5903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 0, 57),
  [5905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [5907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, 0, 237),
  [5909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, 0, 237),
  [5911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, 0, 55),
  [5913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, 0, 55),
  [5915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, 0, 240),
  [5917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, 0, 240),
  [5919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5, 0, 0),
  [5921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 183),
  [5923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 183),
  [5925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 281),
  [5927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 281),
  [5929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 282),
  [5931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 282),
  [5933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 283),
  [5935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 283),
  [5937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [5939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [5941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, 0, 284),
  [5943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, 0, 284),
  [5945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, 0, 285),
  [5947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, 0, 285),
  [5949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6, 0, 0),
  [5951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 319),
  [5953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 319),
  [5955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [5957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 320),
  [5959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 320),
  [5961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 321),
  [5963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 321),
  [5965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 322),
  [5967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 322),
  [5969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 6, 0, 323),
  [5971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 6, 0, 323),
  [5973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_type, 7, 0, 352),
  [5975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_type, 7, 0, 352),
  [5977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [5979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8275),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [5983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [5989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_type_identifier, 3, 0, 64),
  [5991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_type_identifier, 3, 0, 64),
  [5993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 63), REDUCE(sym_nested_type_identifier, 3, 0, 64),
  [5996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 66), REDUCE(sym_nested_type_identifier, 3, 0, 64),
  [5999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_satisfies_expression, 3, 0, 0),
  [6001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_satisfies_expression, 3, 0, 0),
  [6003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0),
  [6005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3, 0, 0),
  [6007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3, 0, 0),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [6011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 238),
  [6013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, 0, 168),
  [6015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, 0, 167),
  [6017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 165),
  [6019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 164),
  [6021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 162),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8320),
  [6027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [6029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 110),
  [6031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 117),
  [6033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 110),
  [6035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 110),
  [6037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 110), SHIFT(257),
  [6040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 96),
  [6042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 96),
  [6044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 109),
  [6046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 108),
  [6048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [6050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34),
  [6052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 34),
  [6054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34), SHIFT(257),
  [6057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [6059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [6061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(257),
  [6064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [6066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34),
  [6068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 34),
  [6070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34), SHIFT(257),
  [6073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 76),
  [6075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 75),
  [6077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_assertion, 2, 0, 0),
  [6079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_assertion, 2, 0, 0),
  [6081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [6087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [6091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [6093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [6095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [6097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7926),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [6101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [6103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [6107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [6111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [6113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [6119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [6123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [6133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [6135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [6137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 187),
  [6139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 187),
  [6141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [6143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [6145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [6147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [6149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [6151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [6153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [6155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [6157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [6159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [6165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [6169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [6177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 110), SHIFT(258),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [6182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0),
  [6184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0),
  [6186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [6188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 120), REDUCE(sym_assignment_expression, 3, 0, 75),
  [6191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 120),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8163),
  [6197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8168),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [6205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, 0, 169),
  [6207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, 0, 169),
  [6209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 166),
  [6211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 166),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [6215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, 0, 163),
  [6217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, 0, 163),
  [6219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 165),
  [6221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 44),
  [6223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 44),
  [6225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_closing_tag, 1, 0, 0),
  [6227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_closing_tag, 1, 0, 0),
  [6229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, 0, 46),
  [6231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, 0, 46),
  [6233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 164),
  [6235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 163),
  [6237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 163),
  [6239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 162),
  [6241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 161),
  [6243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 161),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [6249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0), REDUCE(sym_template_literal_type, 2, 0, 0),
  [6252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0), REDUCE(sym_template_literal_type, 2, 0, 0),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [6257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [6259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [6261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 120), REDUCE(sym_assignment_expression, 3, 0, 108),
  [6264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [6266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [6268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, 0, 54),
  [6270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 54), SHIFT(845),
  [6273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_literal_type, 1, 0, 0),
  [6276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_literal_type, 1, 0, 0),
  [6279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 108), REDUCE(sym_assignment_expression, 3, 0, 108),
  [6282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 108),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [6288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 184),
  [6290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 184),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [6294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 243),
  [6296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 243),
  [6298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 76),
  [6300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 78),
  [6302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, 0, 52),
  [6304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 78),
  [6306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 52),
  [6308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34), SHIFT(258),
  [6311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(258),
  [6314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 186),
  [6316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 186),
  [6318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3, 0, 0),
  [6320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3, 0, 0),
  [6322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [6332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2, 0, 0),
  [6334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, 0, 37),
  [6336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, 0, 37),
  [6338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [6340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34), SHIFT(261),
  [6343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [6345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [6347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 78),
  [6349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 78),
  [6351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(261),
  [6354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__primary_type, 1, 0, 41),
  [6357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__primary_type, 1, 0, 41),
  [6360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34), SHIFT(261),
  [6363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [6365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [6369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 92),
  [6371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 92),
  [6373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 93),
  [6375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 93),
  [6377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 119),
  [6379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 119),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [6385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 117),
  [6387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 94),
  [6389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 94),
  [6391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3, 0, 0),
  [6393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3, 0, 0),
  [6395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 95),
  [6397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 95),
  [6399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, 0, 116),
  [6401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, 0, 116),
  [6403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 115),
  [6405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 115),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7835),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [6415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 110), SHIFT(261),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [6420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 109),
  [6422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 229),
  [6424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 229),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [6434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34), SHIFT(258),
  [6437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 114),
  [6439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 114),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [6451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, 0, 373),
  [6453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 373),
  [6455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, 0, 374),
  [6457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 374),
  [6459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 214),
  [6461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 214),
  [6463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 154),
  [6465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 154), SHIFT_REPEAT(3335),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [6470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 59),
  [6472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 59),
  [6474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 10, 0, 389),
  [6476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 10, 0, 389),
  [6478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3916),
  [6480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [6482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3331),
  [6484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3740),
  [6486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 293),
  [6488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 293),
  [6490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 122),
  [6492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 122),
  [6494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [6496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 1, 0, 90),
  [6498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [6500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [6504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [6506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [6508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [6512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [6514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [6518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [6520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [6524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [6526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [6528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [6530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [6534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 327),
  [6536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 327),
  [6538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, 0, 108),
  [6540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 250),
  [6542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 250),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [6546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [6548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 188),
  [6550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 188),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [6554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [6558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [6560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, 0, 355),
  [6562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 355),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [6566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, 0, 354),
  [6568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 354),
  [6570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [6572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [6575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 110), SHIFT(255),
  [6578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [6582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [6586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [6588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [6590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 328),
  [6592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 328),
  [6594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [6596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0),
  [6598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0), SHIFT_REPEAT(3396),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [6607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [6610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 143),
  [6612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 143),
  [6614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [6622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34), SHIFT(255),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [6629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(255),
  [6632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34), SHIFT(255),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [6641] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [6649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [6653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [6669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, 0, 78), REDUCE(sym_object_pattern, 3, 0, 52),
  [6672] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [6676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, 0, 83),
  [6678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, 0, 83),
  [6680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [6682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 1, 0, 35),
  [6684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 1, 0, 35),
  [6686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__parameter_name, 1, 0, 35), REDUCE(sym__primary_type, 1, 0, 41),
  [6689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [6691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [6699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [6703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [6707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [6709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [6715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [6719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8178),
  [6733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [6735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [6743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3955),
  [6745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [6747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [6753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 3, 0, 154),
  [6755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 121),
  [6757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34), SHIFT(256),
  [6760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(256),
  [6763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34), SHIFT(256),
  [6766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, 0, 37),
  [6768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 110), SHIFT(256),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [6787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [6793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__parameter_name, 1, 0, 35),
  [6796] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__parameter_name, 1, 0, 35), REDUCE(sym__primary_type, 1, 0, 41),
  [6800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [6802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [6804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, 0, 83),
  [6806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, 0, 83),
  [6808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, 0, 41), REDUCE(sym__parameter_name, 2, 0, 83),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [6815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3961),
  [6817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3516),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [6831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [6834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3953),
  [6836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3548),
  [6838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [6841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [6843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [6846] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_literal_type, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [6850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 286),
  [6852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 188),
  [6854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [6856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 242),
  [6858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 241),
  [6860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, 0, 122),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [6864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 122),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [6868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 227),
  [6870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [6872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [6874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [6880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [6884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [6888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [6890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [6892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [6896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [6898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [6900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [6902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [6906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [6908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, 0, 216),
  [6910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, 0, 216),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [6914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [6917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 0),
  [6919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [6922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 0),
  [6924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7415),
  [6926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [6928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [6930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [6932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [6934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [6936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [6938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [6940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [6942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [6944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [6946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [6950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [6954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8179),
  [6964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, 0, 86),
  [6966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, 0, 86),
  [6968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 185),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7496),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8120),
  [6974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, 0, 218),
  [6976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, 0, 218),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8107),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [6982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 59),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [6986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 158),
  [6988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 157),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [6992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(259),
  [6995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34), SHIFT(253),
  [6998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [7000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [7006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [7010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [7014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [7016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [7022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [7026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [7036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(253),
  [7039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34), SHIFT(253),
  [7042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 5, 0, 261),
  [7044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 5, 0, 261),
  [7046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [7048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [7050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [7052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3823),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [7056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34), SHIFT(254),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [7063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 2, 0, 159),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [7069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34), SHIFT(254),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [7074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34), SHIFT(259),
  [7077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34), SHIFT(259),
  [7080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3533),
  [7082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [7086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [7088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [7090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [7092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3973),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [7096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 89),
  [7098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(254),
  [7101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [7103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8274),
  [7105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 110), SHIFT(253),
  [7108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 110), SHIFT(259),
  [7111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 43),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [7115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 54), SHIFT(829),
  [7118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 110), SHIFT(254),
  [7121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, 0, 78), REDUCE(sym_object_pattern, 3, 0, 52),
  [7124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [7127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [7129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [7132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7568),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [7142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, 0, 147),
  [7144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, 0, 147),
  [7146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [7149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, 0, 151),
  [7151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, 0, 151),
  [7153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [7155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4403),
  [7157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 34), SHIFT(260),
  [7160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [7162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [7164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4420),
  [7166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [7168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [7170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [7172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [7174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [7178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [7182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [7184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [7186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [7190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [7194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [7202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [7204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 34), SHIFT(260),
  [7207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4405),
  [7209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [7211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6034),
  [7213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7537),
  [7215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4452),
  [7217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6715),
  [7219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7745),
  [7221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4451),
  [7223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [7225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [7227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6035),
  [7229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [7231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [7233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4051),
  [7235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7400),
  [7237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4052),
  [7239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [7241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4064),
  [7243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 110), SHIFT(260),
  [7246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 49), SHIFT_REPEAT(7262),
  [7249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [7251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7405),
  [7253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [7255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3920),
  [7257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [7259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [7261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [7263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [7265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7490),
  [7267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [7269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7494),
  [7271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [7273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [7275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3983),
  [7277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4114),
  [7279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6073),
  [7281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(260),
  [7284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6077),
  [7286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [7288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [7290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [7292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [7294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3162),
  [7296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [7298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6158),
  [7300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3937),
  [7302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [7304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [7306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [7308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [7310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [7312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8601),
  [7314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, 0, 157), REDUCE(sym_class, 5, 0, 241),
  [7317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, 0, 157), REDUCE(sym_class, 5, 0, 241),
  [7320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, 0, 158), REDUCE(sym_class, 5, 0, 242),
  [7323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, 0, 158), REDUCE(sym_class, 5, 0, 242),
  [7326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, 0, 161), REDUCE(sym_class, 5, 0, 243),
  [7329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, 0, 161), REDUCE(sym_class, 5, 0, 243),
  [7332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, 0, 93), REDUCE(sym_class, 4, 0, 187),
  [7335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, 0, 93), REDUCE(sym_class, 4, 0, 187),
  [7338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, 0, 92), REDUCE(sym_class, 4, 0, 186),
  [7341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, 0, 92), REDUCE(sym_class, 4, 0, 186),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [7346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3987),
  [7348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3583),
  [7350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, 0, 89), REDUCE(sym_class, 4, 0, 185),
  [7353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, 0, 89), REDUCE(sym_class, 4, 0, 185),
  [7356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7324),
  [7358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7414),
  [7360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8597),
  [7362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [7364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [7366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [7368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [7370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 5, 0, 227), REDUCE(sym_class, 6, 0, 286),
  [7373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 5, 0, 227), REDUCE(sym_class, 6, 0, 286),
  [7376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3510),
  [7378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [7380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3611),
  [7382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [7384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [7386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 2, 0, 37), REDUCE(sym_class, 3, 0, 119),
  [7389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 2, 0, 37), REDUCE(sym_class, 3, 0, 119),
  [7392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [7394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [7396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [7398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [7400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [7402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [7404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [7408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [7410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8748),
  [7412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4092),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [7416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [7418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8746),
  [7420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [7422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [7424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [7426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [7428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2934),
  [7430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [7432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [7434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [7440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [7444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [7448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4265),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [7460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_ui_annotated_object_repeat1, 2, 0, 7),
  [7462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_annotated_object_repeat1, 2, 0, 7), SHIFT_REPEAT(7840),
  [7465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, 0, 199),
  [7467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, 0, 189),
  [7469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_annotated_object_member, 2, 0, 6),
  [7471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_annotated_object_member, 2, 0, 17),
  [7473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, 0, 123),
  [7475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_initializer, 2, 0, 0),
  [7477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, 0, 124),
  [7479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [7481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4461),
  [7484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8736),
  [7487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_definition, 2, 0, 4),
  [7489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, 0, 126),
  [7491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_definition, 2, 0, 5),
  [7493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_initializer, 3, 0, 0),
  [7495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, 0, 127),
  [7497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qml_enum_body, 3, 0, 15),
  [7499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qml_enum_body, 3, 0, 130),
  [7501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, 0, 131),
  [7503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, 0, 132),
  [7505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_binding, 3, 0, 20),
  [7507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, 0, 133),
  [7509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_binding, 3, 0, 26),
  [7511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_array, 3, 0, 0),
  [7513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_signal, 3, 0, 15),
  [7515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, 0, 191),
  [7517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_required, 3, 0, 27),
  [7519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_required, 3, 0, 15),
  [7521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, 0, 192),
  [7523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 5, 0, 134),
  [7525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qml_enum_body, 4, 0, 195),
  [7527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 4, 0, 68),
  [7529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qml_enum_body, 4, 0, 197),
  [7531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, 0, 198),
  [7533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_inline_component, 4, 0, 70),
  [7535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, 0, 200),
  [7537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, 0, 201),
  [7539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_signal, 4, 0, 69),
  [7541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 4, 0, 67),
  [7543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 7, 0, 247),
  [7545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 7, 0, 246),
  [7547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 7, 0, 245),
  [7549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qml_enum_declaration, 3, 0, 28),
  [7551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 7, 0, 244),
  [7553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 4, 0, 65),
  [7555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 4, 0, 62),
  [7557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_definition_binding, 4, 0, 61),
  [7559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_definition_binding, 4, 0, 60),
  [7561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property, 6, 0, 190),
  [7563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 1, 0, 9),
  [7565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_ui_object_initializer_repeat1, 1, 0, 0),
  [7567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_array, 4, 0, 0),
  [7569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_definition_binding, 4, 0, 50),
  [7571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_object_definition_binding, 4, 0, 51),
  [7573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_ui_annotated_object_repeat1, 1, 0, 2),
  [7575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7886),
  [7577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7884),
  [7579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_property_modifier, 1, 0, 0),
  [7581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [7583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8685),
  [7585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_ui_property_modifier, 1, 0, 0), SHIFT(7884),
  [7588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4483),
  [7590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_annotation, 3, 0, 14),
  [7592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5569),
  [7594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5555),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [7600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [7608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [7612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 6, 0, 72),
  [7614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_ui_annotated_object_repeat1, 2, 0, 7), SHIFT_REPEAT(7483),
  [7617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_pragma, 5, 0, 32),
  [7619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 5, 0, 31),
  [7621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 5, 0, 29),
  [7623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_pragma, 3, 0, 15),
  [7625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6923),
  [7627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6922),
  [7629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4297),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [7633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 3, 0, 11),
  [7635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 4, 0, 19),
  [7637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 6, 0, 71),
  [7639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [7641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_pragma, 6, 0, 73),
  [7643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 4, 0, 18),
  [7645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_import, 3, 0, 13),
  [7647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8188),
  [7649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8227),
  [7651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6787),
  [7653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6785),
  [7655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7170),
  [7657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7169),
  [7659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8242),
  [7661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6959),
  [7663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6958),
  [7665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6957),
  [7667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6956),
  [7669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_list_property_type, 4, 0, 125),
  [7671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ui_list_property_type, 4, 0, 0),
  [7673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6963),
  [7675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6961),
  [7677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7174),
  [7679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7173),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8279),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [7695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6680),
  [7697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8648),
  [7699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4720),
  [7701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4884),
  [7703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4822),
  [7705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1, 0, 0),
  [7707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6711),
  [7709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4724),
  [7711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4860),
  [7713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7233),
  [7715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4735),
  [7717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4841),
  [7719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6647),
  [7721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4716),
  [7723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [7725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6656),
  [7727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4738),
  [7729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4840),
  [7731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6669),
  [7733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4717),
  [7735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4855),
  [7737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6636),
  [7739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4739),
  [7741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4843),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7219),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [7757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6351),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [7771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [7779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8440),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8305),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8692),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8374),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8716),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8431),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8593),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [7857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 224),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [7869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 15),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [7877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 272),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [7885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, 0, 16),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [7893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 316),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5234),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4815),
  [7911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 219),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [7917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6689),
  [7919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6684),
  [7921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_identifier, 1, 0, 10),
  [7923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 351),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [7929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 310),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [7955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 155),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [7965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4591),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4826),
  [7975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3253),
  [7977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4959),
  [7979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4828),
  [7981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [7983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 270),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [7993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, 0, 15),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [8001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 270),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [8005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 219),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [8009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 1, 0, 16),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [8013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 310),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [8019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, 0, 39), REDUCE(sym_type_parameter, 1, 0, 40),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [8024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, 0, 39), SHIFT(2091),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [8043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 272),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [8047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 15),
  [8049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 270),
  [8051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, 0, 16),
  [8053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 316),
  [8055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 219),
  [8057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 16),
  [8059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 219),
  [8061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 310),
  [8063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 15),
  [8065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, 0, 310),
  [8067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, 0, 39), SHIFT(7918),
  [8070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 351),
  [8072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 224),
  [8074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 270),
  [8076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 155),
  [8078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [8080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [8082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [8084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [8088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6696),
  [8090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4968),
  [8092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8580),
  [8094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8577),
  [8096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5430),
  [8098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [8100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [8102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5120),
  [8104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [8106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [8108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [8110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, 0, 0),
  [8112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4979),
  [8114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8539),
  [8116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [8118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5007),
  [8120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5072),
  [8122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 22),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [8126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4981),
  [8128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5135),
  [8130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5002),
  [8132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5172),
  [8134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4500),
  [8136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4496),
  [8138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8441),
  [8140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5042),
  [8142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [8144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6566),
  [8146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5801),
  [8148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8669),
  [8150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6657),
  [8152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5044),
  [8154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5095),
  [8156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5163),
  [8158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5119),
  [8160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 16),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8181),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [8166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5167),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [8170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4989),
  [8172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5116),
  [8174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5031),
  [8176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5009),
  [8178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8551),
  [8180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5039),
  [8182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 48),
  [8184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6808),
  [8186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6755),
  [8188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5123),
  [8190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, 0, 56),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [8194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5059),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [8200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [8202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [8220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 372),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5314),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [8246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6673),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8162),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [8252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 182),
  [8254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 182),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [8260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 181),
  [8262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 181),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [8276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, 0, 0),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [8280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, 0, 56),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8153),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [8286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [8298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 0),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [8308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 180),
  [8310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 180),
  [8312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 179),
  [8314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 179),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [8326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [8332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [8350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 0),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [8362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 344),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [8372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7206),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5360),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [8386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5328),
  [8398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [8400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7981),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5222),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5370),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [8448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5284),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [8456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 111),
  [8458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_property_modifier, 1, 0, 0),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8685),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [8466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 63),
  [8468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__destructuring_pattern, 1, 0, 0),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [8474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 52),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [8494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 107),
  [8496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 107),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [8504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8327),
  [8506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8246),
  [8508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8452),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [8516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 43),
  [8518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8491),
  [8520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8574),
  [8522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8272),
  [8524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omitting_type_annotation, 2, 0, 0),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8581),
  [8530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_adding_type_annotation, 2, 0, 0),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8579),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [8536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opting_type_annotation, 2, 0, 0),
  [8538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8404),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [8546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, 0, 57),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [8550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8401),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [8556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, 0, 301),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [8562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8727),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7148),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [8570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, 0, 302),
  [8572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, 0, 336),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5829),
  [8576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5722),
  [8578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [8580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(638),
  [8583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 372),
  [8585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_chain, 1, 0, 0),
  [8587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [8589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_chain, 1, 0, 0),
  [8591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, 0, 280),
  [8593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4579),
  [8595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, 0, 337),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [8599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, 0, 253),
  [8601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [8605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8753),
  [8607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, 0, 356),
  [8609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, 0, 357),
  [8611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, 0, 377),
  [8613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, 0, 382),
  [8615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 9, 0, 391),
  [8617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, 0, 262),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [8623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5670),
  [8625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 2, 0, 170),
  [8627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, 0, 57),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [8637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 1, 0, 36),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [8643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5620),
  [8645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4511),
  [8647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5342),
  [8649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [8653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8757),
  [8655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [8659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 344),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7821),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [8667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 100),
  [8669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, 0, 210),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8760),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [8677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, 0, 210),
  [8679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2, 0, 0),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8222),
  [8683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [8687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5608),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [8691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5708),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [8695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [8697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(670),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [8704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5699),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [8708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8735),
  [8710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [8714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, 0, 40),
  [8716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [8720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2, 0, 153),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [8726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5605),
  [8728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 78), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 52),
  [8731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, 0, 208),
  [8733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, 0, 232),
  [8735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, 0, 223),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [8739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5559),
  [8741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, 0, 231),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [8745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8283),
  [8747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [8751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5589),
  [8753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [8757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [8763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5588),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [8767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8749),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5795),
  [8771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5579),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [8775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5578),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5907),
  [8779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5572),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [8783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5562),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [8787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5556),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [8791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5553),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [8795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5547),
  [8797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [8803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5543),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6166),
  [8807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5538),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [8811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5534),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [8815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8626),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5634),
  [8819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4696),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [8823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8743),
  [8825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [8827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [8831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, 0, 63),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8715),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8677),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [8891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [8895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2372),
  [8898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [8912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6550),
  [8915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0),
  [8917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(583),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6319),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8147),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8197),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5844),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [8988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 78),
  [8990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(8477),
  [8993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [8995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(574),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8071),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [9012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_member, 1, 0, 0),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [9026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, 0, 211),
  [9028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, 0, 211),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7095),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [9040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6423),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [9044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6004),
  [9050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8414),
  [9052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 37),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [9056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6651),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [9070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [9084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 2, 0, 0),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [9088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [9092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [9094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [9096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [9098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [9100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [9104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [9106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [9108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [9110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [9114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [9116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5928),
  [9118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [9122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [9128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [9130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [9132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 2, 0, 36),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [9140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [9142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [9144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [9146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [9158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [9186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [9188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [9190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [9192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 210),
  [9194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 210),
  [9196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [9198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [9200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [9206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [9212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [9218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [9222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [9224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [9226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [9228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [9232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [9234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [9242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [9246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ui_property_repeat1, 2, 0, 0), SHIFT_REPEAT(6368),
  [9249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_property_repeat1, 2, 0, 0),
  [9251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [9255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 49),
  [9257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 49), SHIFT_REPEAT(6897),
  [9260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [9262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 3, 0, 118),
  [9264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate_annotation, 2, 0, 0),
  [9266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts_annotation, 2, 0, 0),
  [9268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(641),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5866),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [9295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5849),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5845),
  [9303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 2, 0, 0),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [9307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6262),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4470),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [9321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 47),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [9329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 0),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [9335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [9339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [9343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [9345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8625),
  [9347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [9353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 350),
  [9355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 385),
  [9357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [9359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 3, 0, 263),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6566),
  [9363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 4, 0, 264),
  [9365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 226),
  [9367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 346),
  [9369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 144),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [9373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [9375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 266),
  [9377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 25),
  [9379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 268),
  [9381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 380),
  [9383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [9385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7813),
  [9387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, 0, 376),
  [9389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, 0, 375),
  [9391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 7, 0, 362),
  [9393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2, 0, 0),
  [9395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 343),
  [9397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [9399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [9401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [9403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [9405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 388),
  [9407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 202),
  [9409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 0),
  [9411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 0),
  [9413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 368),
  [9415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 274),
  [9417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0),
  [9419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 371),
  [9421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4495),
  [9423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, 0, 137),
  [9425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 135),
  [9427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 56),
  [9429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [9431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 276),
  [9433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, 0, 137),
  [9435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_nested_identifier, 3, 0, 0),
  [9437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_type, 2, 0, 0),
  [9439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1, 0, 0),
  [9441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 340),
  [9443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2, 0, 0),
  [9445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2089),
  [9448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7022),
  [9451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [9455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 22), SHIFT(1984),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [9460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 394),
  [9462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [9464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_type, 2, 0, 0),
  [9466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [9468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 55),
  [9470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, 0, 230),
  [9472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, 0, 278),
  [9474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [9478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 266),
  [9480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 268),
  [9482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, 0, 279),
  [9484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, 0, 79),
  [9486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 48), SHIFT(1988),
  [9489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [9491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 221),
  [9493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [9495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8259),
  [9497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8253),
  [9499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, 0, 335),
  [9501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, 0, 334),
  [9503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [9519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [9521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_nested_identifier, 3, 0, 10),
  [9523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [9525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [9529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [9531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [9533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 22), SHIFT(2136),
  [9536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [9538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [9540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 55),
  [9542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, 0, 332),
  [9544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, 0, 297),
  [9546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [9548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [9562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [9564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [9566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 22), SHIFT(2108),
  [9569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 48), SHIFT(1983),
  [9572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [9574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [9578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [9580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 211),
  [9582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 211),
  [9584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [9590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 7, 0, 330),
  [9592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 314),
  [9594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 203),
  [9596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, 0, 296),
  [9598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, 0, 195),
  [9600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [9606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 5, 0, 318),
  [9608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 221),
  [9610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 7, 0, 329),
  [9612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 308),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [9618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [9624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, 0, 298),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [9634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [9652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 48), SHIFT(2128),
  [9655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 296),
  [9657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 248),
  [9659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 0),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [9663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 195),
  [9665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 15),
  [9667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 0),
  [9669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 48), SHIFT(2065),
  [9672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, 0, 294),
  [9674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [9676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [9678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [9686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 6, 0, 288),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [9702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7365),
  [9704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, 0, 260),
  [9706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [9714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 304),
  [9716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [9718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [9720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 0),
  [9722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 15),
  [9724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 258),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8345),
  [9728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, 0, 25),
  [9730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, 0, 255),
  [9732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, 0, 254),
  [9734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 5, 0, 253),
  [9736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 5, 0, 0),
  [9738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 5, 0, 251),
  [9740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 304),
  [9742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, 0, 188),
  [9744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2, 0, 0),
  [9746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 213),
  [9748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 212),
  [9750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 4, 0, 209),
  [9752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, 0, 208),
  [9754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [9756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 308),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [9762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 5, 0, 309),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [9766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, 0, 340),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [9770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 205),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [9776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 312),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [9790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 122),
  [9792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 122),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [9800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, 0, 343),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6145),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [9810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 142),
  [9812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 141),
  [9814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 3, 0, 0),
  [9816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 25),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [9824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 59),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [9828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 259),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8261),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [9838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 22), SHIFT(1985),
  [9841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, 0, 33),
  [9843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_signature, 1, 0, 97),
  [9845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [9847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 2, 0, 0),
  [9849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 24),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8373),
  [9861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 365),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [9865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 362),
  [9867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [9871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, 0, 360),
  [9873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, 0, 359),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [9877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 215),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8638),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [9893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [9895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [9899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [9907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_version_specifier, 1, 0, 12),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [9911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [9929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 87),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [9933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_property_repeat1, 1, 0, 0),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [9941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, 0, 149),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [9963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4531),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [9971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4516),
  [9973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, 0, 91),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [9977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4515),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [10003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(422),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [10008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [10010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [10012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [10014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [10016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [10018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [10020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, 0, 160),
  [10022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [10024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 103),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [10032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [10034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [10038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [10040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [10042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, 0, 85),
  [10044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [10046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [10048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [10050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [10052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [10056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [10070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5799),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [10076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [10092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4172),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [10098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4171),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [10104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, 0, 207),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7444),
  [10108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [10110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [10114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [10116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4540),
  [10118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [10122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [10124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5415),
  [10126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8467),
  [10128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5783),
  [10130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [10132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 15),
  [10134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [10142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, 0, 43),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [10146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [10148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7466),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [10164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 295),
  [10166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 295), SHIFT_REPEAT(6479),
  [10169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 295),
  [10171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [10173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4014),
  [10175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4013),
  [10177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [10179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [10183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7285),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [10191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 176),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [10197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [10201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [10203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [10205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [10207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [10211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [10213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [10215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, 0, 256),
  [10217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, 0, 256),
  [10219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4976),
  [10221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5170),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [10225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, 0, 257),
  [10227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, 0, 257),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [10231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [10233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [10239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [10241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, 0, 0),
  [10243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, 0, 0), REDUCE(aux_sym_template_literal_type_repeat1, 1, 0, 0),
  [10246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 5, 0, 333),
  [10248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [10250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [10252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [10254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [10256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [10262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [10270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [10274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(842),
  [10277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [10279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [10281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [10283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [10287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [10289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [10295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ui_pragma_repeat1, 2, 0, 74), SHIFT_REPEAT(6567),
  [10298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_pragma_repeat1, 2, 0, 74),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [10302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [10304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [10306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(5263),
  [10309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [10313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7897),
  [10315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [10317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 52),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [10321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [10323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [10327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [10329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [10333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7218),
  [10335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [10337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6730),
  [10340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [10342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(6734),
  [10345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [10347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [10349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [10353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [10355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [10359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [10361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [10365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [10367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7896),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [10373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1, 0, 0),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [10383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, 0, 228),
  [10385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, 0, 228), SHIFT_REPEAT(599),
  [10388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [10390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [10392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [10394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [10396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [10398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [10400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6170),
  [10402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3, 0, 0),
  [10404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [10406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [10408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [10410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 21),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [10414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [10416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7249),
  [10418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8501),
  [10420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 315),
  [10422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(2020),
  [10425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 345),
  [10427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, 0, 91),
  [10429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [10433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 349),
  [10435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 342),
  [10437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 347),
  [10439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 348),
  [10441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 384),
  [10443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, 0, 336),
  [10445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 58),
  [10447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 222),
  [10449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 386),
  [10451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [10453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 383),
  [10455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [10457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 220),
  [10459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 3, 0, 208),
  [10461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 341),
  [10463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8300),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [10469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [10471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [10475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4136),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [10481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4137),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [10485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 339),
  [10487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [10489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, 0, 0),
  [10491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [10493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [10495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_definition, 2, 0, 4),
  [10497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [10499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [10501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8164),
  [10503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 3, 0, 0),
  [10505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [10507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2, 0, 0),
  [10509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [10511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [10513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [10515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [10517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, 0, 16),
  [10519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, 0, 121),
  [10521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 225),
  [10523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_definition, 2, 0, 5),
  [10525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [10529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [10531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [10533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, 0, 0),
  [10535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(5193),
  [10538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [10544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, 0, 10),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [10550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_initializer, 2, 0, 0),
  [10552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [10554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 338),
  [10556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7525),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [10560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8492),
  [10562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, 0, 337),
  [10564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6744),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [10568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [10570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [10572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [10574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0), SHIFT_REPEAT(5094),
  [10577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0),
  [10579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 387),
  [10581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [10583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [10585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8332),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [10589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [10591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [10593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [10595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [10597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0), SHIFT_REPEAT(7897),
  [10600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0),
  [10602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [10606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 1, 0, 0),
  [10608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 1, 0, 0),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [10614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [10616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [10618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8313),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [10626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [10632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [10634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4950),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [10638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [10642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [10644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [10648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7266),
  [10650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [10654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [10656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, 0, 0),
  [10658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [10660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 2, 0, 15),
  [10662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [10666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [10668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7283),
  [10670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, 0, 13),
  [10672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [10674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 267),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6658),
  [10678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 390),
  [10680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8022),
  [10684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 392),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [10690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 393),
  [10692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 395),
  [10694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [10698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [10700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [10702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [10704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_initializer, 3, 0, 0),
  [10706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__qml_enum_body_repeat1, 2, 0, 196), SHIFT_REPEAT(7508),
  [10709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__qml_enum_body_repeat1, 2, 0, 196),
  [10711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [10713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7100),
  [10715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [10717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [10719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [10721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [10723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__qml_enum_body_repeat1, 2, 0, 15),
  [10725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [10727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [10729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [10731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [10733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [10745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ui_signal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(6570),
  [10748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_signal_parameters_repeat1, 2, 0, 0),
  [10750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, 0, 396),
  [10752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [10754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 378),
  [10756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [10758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameter, 3, 0, 193),
  [10760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1926),
  [10763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [10765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6810),
  [10767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [10769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7984),
  [10771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7996),
  [10773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8012),
  [10775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7911),
  [10779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8011),
  [10781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [10783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [10785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6670),
  [10787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [10789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 331),
  [10791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [10793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [10795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8110),
  [10797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [10799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [10801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 300),
  [10803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [10805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [10807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [10809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [10811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8102),
  [10813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [10815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [10817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [10819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [10821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [10823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_require_clause, 6, 0, 324),
  [10825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 265),
  [10827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [10829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [10831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [10833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7993),
  [10835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [10837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [10839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [10841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [10843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [10845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [10847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [10849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [10851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [10853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [10855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [10857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [10859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [10861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 381),
  [10863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 379),
  [10865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 370),
  [10867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [10869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [10871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(6662),
  [10874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0),
  [10876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 269),
  [10878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6877),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7927),
  [10882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 366),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [10888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_version_specifier, 3, 0, 30),
  [10890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 369),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [10894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, 0, 253),
  [10896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, 0, 262),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [10900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [10902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [10904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 271),
  [10906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 367),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [10914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [10916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [10918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [10926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [10932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(868),
  [10935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [10937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [10939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [10941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [10943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [10945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [10951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [10953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [10955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [10957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [10959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [10961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [10963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 37),
  [10965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [10967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4809),
  [10969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 1, 0, 0),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4807),
  [10975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [10977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [10979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(1973),
  [10982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [10984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 313),
  [10986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [10988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 273),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [10992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7311),
  [10994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [11002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8155),
  [11004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [11008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 311),
  [11010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 1, 0, 0),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [11016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4626),
  [11018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4776),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [11022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4627),
  [11024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4772),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [11028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4628),
  [11030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4767),
  [11032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [11034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4640),
  [11036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [11038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 57),
  [11040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 275),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [11046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 277),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [11050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [11052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7530),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [11078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [11080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 358),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6432),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [11092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [11094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [11096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [11100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [11104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [11108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [11110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [11112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [11114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [11116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 361),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [11126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [11130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(2686),
  [11133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0),
  [11135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [11137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [11139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [11141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8016),
  [11143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [11147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(362),
  [11150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, 0, 55),
  [11152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, 0, 58),
  [11154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [11156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 81),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [11160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6638),
  [11162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8720),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [11166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 363),
  [11168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 364),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [11174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [11178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 1, 0, 0),
  [11180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [11182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [11188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 7, 0, 356),
  [11190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_pragma_repeat1, 2, 0, 54),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [11194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [11196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(314),
  [11199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [11201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7211),
  [11203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, 0, 0),
  [11205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [11207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [11209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [11211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4644),
  [11213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4596),
  [11215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 317),
  [11217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [11219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [11221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4646),
  [11223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4662),
  [11225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [11227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [11229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [11231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7554),
  [11233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [11235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [11237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4671),
  [11239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4654),
  [11241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4684),
  [11243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [11245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [11247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4331),
  [11249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [11251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [11253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [11255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [11257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [11259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4329),
  [11261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [11263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [11265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4665),
  [11267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4548),
  [11269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [11271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [11273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4643),
  [11275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4650),
  [11277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [11279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [11281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [11283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [11285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [11287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [11289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [11291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [11293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4668),
  [11295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4542),
  [11297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [11299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [11301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [11303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ui_object_array_repeat1, 2, 0, 0), SHIFT_REPEAT(4492),
  [11306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ui_object_array_repeat1, 2, 0, 0),
  [11308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [11310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [11312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [11314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [11316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 196), SHIFT_REPEAT(3905),
  [11319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 196),
  [11321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [11323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [11325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [11329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [11331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [11333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [11341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [11343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [11347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(2747),
  [11350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [11354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4691),
  [11356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4519),
  [11358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [11360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [11362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [11364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [11366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [11368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [11370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [11372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [11376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [11378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7181),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [11390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [11392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4679),
  [11394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4552),
  [11396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 303),
  [11398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 306),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [11404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 307),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [11408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [11410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [11412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [11414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [11416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [11418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 3, 0, 0),
  [11420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 24),
  [11422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [11426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, 0, 301),
  [11428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, 0, 302),
  [11430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [11434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [11438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 305),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6127),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [11450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 6, 0, 248),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [11456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 292),
  [11458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [11466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 227),
  [11468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 248),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [11480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 185),
  [11482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [11490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 241),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [11494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 242),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [11498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [11502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [11504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 158),
  [11506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 157),
  [11508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 207),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [11512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 202),
  [11514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [11518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4520),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [11522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, 0, 84),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [11536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 0),
  [11538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 204),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [11546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [11548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 326),
  [11550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [11560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [11564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [11566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 286),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [11578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8704),
  [11580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, 0, 206),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [11584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameters, 3, 0, 0),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [11592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8703),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [11598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [11600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameter, 2, 0, 129),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [11604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8684),
  [11606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameter, 2, 0, 128),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [11616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [11618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8683),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [11624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 89),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [11628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8662),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [11644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8661),
  [11646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, 0, 235),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [11654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_tuple_parameter, 3, 0, 55),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [11658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [11660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [11662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [11664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5982),
  [11666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8637),
  [11668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [11670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [11672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [11674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [11676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5925),
  [11678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8636),
  [11680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 4, 0, 217),
  [11682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [11684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8612),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [11688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8527),
  [11690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qml_enum_negative_number, 2, 0, 34),
  [11692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [11694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [11696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [11698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8611),
  [11700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [11702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [11704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 13),
  [11706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 202),
  [11708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 0),
  [11710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 204),
  [11712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 0),
  [11714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, 0, 249),
  [11716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [11718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8235),
  [11720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [11722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [11724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [11726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [11728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [11730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [11732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8469),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [11738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [11742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [11746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [11748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [11750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [11752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4551),
  [11754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [11756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1, 0, 0),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [11762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 175),
  [11764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, 0, 16),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5862),
  [11768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8585),
  [11770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 252),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5628),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [11778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4667),
  [11780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [11782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 82),
  [11784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [11786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4625),
  [11788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 249),
  [11790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [11792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4608),
  [11794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [11796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [11798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8584),
  [11800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, 0, 287),
  [11802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, 0, 289),
  [11804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [11806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8514),
  [11808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2, 0, 0),
  [11810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [11812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [11814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [11816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 4, 0, 287),
  [11818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [11820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [11822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [11824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [11826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [11828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [11830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7663),
  [11832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [11834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7668),
  [11836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 2, 0, 15),
  [11838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 3, 0, 150),
  [11840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, 0, 148),
  [11842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [11844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [11846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4529),
  [11848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [11850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [11852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [11854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [11856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [11858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [11860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [11862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, 0, 138),
  [11864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [11866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_array, 4, 0, 0),
  [11868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [11870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [11872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [11874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [11876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameters, 2, 0, 0),
  [11878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, 0, 80),
  [11880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [11882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [11884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [11886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [11888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [11890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [11892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [11894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 140),
  [11896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 140),
  [11898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 139),
  [11900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [11902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [11904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [11906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [11908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [11910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [11912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [11914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [11916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [11918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [11920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [11922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2853),
  [11924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [11926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [11928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [11930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [11932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 88),
  [11934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7100),
  [11936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [11938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [11940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 0),
  [11942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 13),
  [11944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 1, 0, 0),
  [11946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, -1, 136),
  [11948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [11950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [11952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8139),
  [11954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [11956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [11958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [11960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [11962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [11964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [11966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5075),
  [11968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [11970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [11972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [11974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [11976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5060),
  [11978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_parameter, 2, 0, 25),
  [11980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [11982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [11984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [11986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5054),
  [11988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [11990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [11992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [11994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [11996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [11998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [12002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [12008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [12010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [12012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [12014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [12016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [12020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [12022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [12024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [12026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [12028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [12030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__qml_enum_body_repeat1, 2, 0, 130),
  [12032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_assignment, 2, 0, 24),
  [12034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [12036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [12038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_object_array, 3, 0, 0),
  [12040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [12042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 177),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [12048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [12050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [12052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [12054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [12056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [12058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [12060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [12062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4764),
  [12064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [12066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4769),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [12070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4774),
  [12072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [12074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [12076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [12078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [12080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__formal_parameter, 1, 0, 0),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [12084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [12086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [12088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [12090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [12092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [12094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qml_enum_assignment, 3, 0, 194),
  [12096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [12098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [12100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [12102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qml_enum_assignment, 3, 0, 26),
  [12104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_simple_nested_identifier, 3, 0, 0),
  [12106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 145),
  [12108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2, 0, 0),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [12112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5487),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [12118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 37),
  [12120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 152),
  [12122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 102),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [12126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5489),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [12130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5497),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [12134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameters, 4, 0, 0),
  [12136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_opening_tag, 1, 0, 0),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [12146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [12148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [12154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [12158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [12160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [12162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_signal_parameter, 3, 0, 55),
  [12164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [12166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [12168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [12170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5158),
  [12172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [12176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [12178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8010),
  [12180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [12186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [12188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [12192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5034),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [12196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [12198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [12200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [12202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [12204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [12206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3494),
  [12208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [12210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5001),
  [12212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [12214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [12216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [12218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [12220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3488),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [12224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3484),
  [12226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [12228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [12230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [12232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [12234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [12236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [12238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [12240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [12242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [12244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [12246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [12248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [12254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [12256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [12258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [12260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [12262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [12266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8712),
  [12270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [12272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [12274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8532),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [12278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [12282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [12284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [12286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [12288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7737),
  [12292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [12300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5930),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [12306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7434),
  [12312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [12314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [12316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [12318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [12320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [12322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7811),
  [12324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [12326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [12328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [12330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [12332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [12334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [12338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [12340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [12342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [12344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [12346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [12348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [12356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8333),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8148),
  [12360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4829),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8157),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [12368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8001),
  [12370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [12372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [12374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [12376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [12380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [12382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8032),
  [12384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [12386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8433),
  [12388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [12390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8591),
  [12392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [12394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [12396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [12398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [12400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [12402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [12404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [12406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [12408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [12410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [12412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [12414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [12416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [12418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8236),
  [12420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [12422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [12424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [12426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [12428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [12432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [12434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [12436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8094),
  [12438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [12440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [12442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [12444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [12446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [12448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [12450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [12452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [12454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [12456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [12458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [12462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [12464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [12466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [12468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8115),
  [12472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [12474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6979),
  [12476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [12478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [12480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [12484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [12486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [12488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7976),
  [12490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [12492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [12494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [12496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [12498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [12500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [12502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [12504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [12506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [12508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [12510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [12512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [12514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [12522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [12524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [12526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [12528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7809),
  [12530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [12532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [12534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [12536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [12538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [12540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [12542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [12544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [12546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [12548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8568),
  [12550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [12552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [12554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [12556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [12558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [12560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [12562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [12564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [12566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [12568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [12570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7522),
  [12572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [12574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [12576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4786),
  [12578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [12580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [12582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [12584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [12586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [12588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [12590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [12592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [12594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [12596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [12598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [12600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [12602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [12604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [12606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [12608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [12610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [12612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5857),
  [12614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [12616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [12618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [12620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [12622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [12624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [12626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [12628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [12630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [12632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [12634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [12636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [12638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7389),
  [12640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [12642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [12644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [12646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [12648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [12650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [12652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7983),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8244),
  [12658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4811),
  [12666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [12668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [12676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [12678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [12684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8258),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [12688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7484),
  [12690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [12692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [12696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8277),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [12700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [12712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3, 0, 0),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [12734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [12738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3, 0, 0),
  [12740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [12742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [12748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [12750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [12754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [12756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [12758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [12764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, 0, 0),
  [12766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [12768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [12770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [12776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [12788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [12792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [12796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3, 0, 0),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [12802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [12806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [12808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [12810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [12812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [12816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [12818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [12820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [12822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [12824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [12826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [12834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [12838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [12842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [12844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, 0, 0),
  [12846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [12848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [12850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7907),
  [12852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [12854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [12856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [12858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [12860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [12862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [12864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [12866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, 0, 0),
  [12868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [12870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [12872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6395),
  [12874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [12876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [12878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7965),
  [12882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [12884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [12886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [12888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [12890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [12892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [12894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [12896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [12898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [12900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [12902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [12904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8167),
  [12906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [12908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2, 0, 0),
  [12910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [12912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [12914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [12916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [12918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [12920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [12922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [12924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8268),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8266),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4765),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [12946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 8),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8137),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [12954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ui_annotated_object, 2, 0, 6),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [12960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [12962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [12964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2, 0, 0),
  [12966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5754),
  [12968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [12970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [12972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8256),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [12976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8262),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4666),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8271),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [12994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8104),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [13000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [13002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [13004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [13006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [13008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [13010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [13014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8337),
  [13018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [13020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [13024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [13028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [13030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [13034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [13038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [13042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [13044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [13050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [13052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [13054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [13056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6009),
  [13058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [13060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8407),
  [13062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [13064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [13066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [13078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [13080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [13082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [13086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [13088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [13090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [13092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [13094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [13096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8455),
  [13098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [13100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [13102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4521),
  [13104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [13106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [13108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [13110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [13112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [13114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [13120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [13122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [13128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [13130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [13132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [13134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [13136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6370),
  [13138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [13140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8118),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [13148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [13154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [13156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [13158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8119),
  [13160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 3),
  [13162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [13164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [13166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [13168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [13170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [13172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 1),
  [13174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [13176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [13178] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [13180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [13182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [13184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [13186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [13188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7629),
  [13190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [13192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [13194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [13196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [13198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [13200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [13202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [13204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [13206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [13208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [13210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8682),
  [13212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [13214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [13216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [13218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [13220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [13222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token_regex_pattern = 6,
  ts_external_token__function_signature_automatic_semicolon = 7,
  ts_external_token___error_recovery = 8,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_regex_pattern] = sym_regex_pattern,
  [ts_external_token__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [ts_external_token___error_recovery] = sym___error_recovery,
};

static const bool ts_external_scanner_states[11][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
    [ts_external_token___error_recovery] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [7] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
  },
  [9] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [10] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_regex_pattern] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_qmljs_external_scanner_create(void);
void tree_sitter_qmljs_external_scanner_destroy(void *);
bool tree_sitter_qmljs_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_qmljs_external_scanner_serialize(void *, char *);
void tree_sitter_qmljs_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_qmljs(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_qmljs_external_scanner_create,
      tree_sitter_qmljs_external_scanner_destroy,
      tree_sitter_qmljs_external_scanner_scan,
      tree_sitter_qmljs_external_scanner_serialize,
      tree_sitter_qmljs_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
